#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8279
#define LARGE_STATE_COUNT 2237
#define SYMBOL_COUNT 532
#define ALIAS_COUNT 5
#define TOKEN_COUNT 217
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_virtual = 45,
  anon_sym_extern = 46,
  anon_sym___attribute__ = 47,
  anon_sym_COLON_COLON = 48,
  anon_sym_LBRACK_LBRACK = 49,
  anon_sym_RBRACK_RBRACK = 50,
  anon_sym___declspec = 51,
  anon_sym___based = 52,
  anon_sym___cdecl = 53,
  anon_sym___clrcall = 54,
  anon_sym___stdcall = 55,
  anon_sym___fastcall = 56,
  anon_sym___thiscall = 57,
  anon_sym___vectorcall = 58,
  sym_ms_restrict_modifier = 59,
  sym_ms_unsigned_ptr_modifier = 60,
  sym_ms_signed_ptr_modifier = 61,
  anon_sym__unaligned = 62,
  anon_sym___unaligned = 63,
  anon_sym_LBRACE = 64,
  anon_sym_RBRACE = 65,
  anon_sym_signed = 66,
  anon_sym_unsigned = 67,
  anon_sym_long = 68,
  anon_sym_short = 69,
  anon_sym_LBRACK = 70,
  anon_sym_static = 71,
  anon_sym_RBRACK = 72,
  anon_sym_EQ = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  anon_sym__Nonnull = 89,
  anon_sym_mutable = 90,
  anon_sym_constinit = 91,
  anon_sym_consteval = 92,
  anon_sym_alignas = 93,
  anon_sym__Alignas = 94,
  sym_primitive_type = 95,
  anon_sym_enum = 96,
  anon_sym_class = 97,
  anon_sym_struct = 98,
  anon_sym_union = 99,
  anon_sym_COLON = 100,
  anon_sym_if = 101,
  anon_sym_else = 102,
  anon_sym_switch = 103,
  anon_sym_case = 104,
  anon_sym_default = 105,
  anon_sym_while = 106,
  anon_sym_do = 107,
  anon_sym_for = 108,
  anon_sym_return = 109,
  anon_sym_break = 110,
  anon_sym_continue = 111,
  anon_sym_goto = 112,
  anon_sym___try = 113,
  anon_sym___except = 114,
  anon_sym___finally = 115,
  anon_sym___leave = 116,
  anon_sym_QMARK = 117,
  anon_sym_STAR_EQ = 118,
  anon_sym_SLASH_EQ = 119,
  anon_sym_PERCENT_EQ = 120,
  anon_sym_PLUS_EQ = 121,
  anon_sym_DASH_EQ = 122,
  anon_sym_LT_LT_EQ = 123,
  anon_sym_GT_GT_EQ = 124,
  anon_sym_AMP_EQ = 125,
  anon_sym_CARET_EQ = 126,
  anon_sym_PIPE_EQ = 127,
  anon_sym_and_eq = 128,
  anon_sym_or_eq = 129,
  anon_sym_xor_eq = 130,
  anon_sym_not = 131,
  anon_sym_compl = 132,
  anon_sym_LT_EQ_GT = 133,
  anon_sym_or = 134,
  anon_sym_and = 135,
  anon_sym_bitor = 136,
  anon_sym_xor = 137,
  anon_sym_bitand = 138,
  anon_sym_not_eq = 139,
  anon_sym_DASH_DASH = 140,
  anon_sym_PLUS_PLUS = 141,
  anon_sym_sizeof = 142,
  anon_sym___alignof__ = 143,
  anon_sym___alignof = 144,
  anon_sym__alignof = 145,
  anon_sym_alignof = 146,
  anon_sym__Alignof = 147,
  anon_sym_offsetof = 148,
  anon_sym__Generic = 149,
  anon_sym_asm = 150,
  anon_sym___asm__ = 151,
  anon_sym___asm = 152,
  anon_sym_DOT = 153,
  anon_sym_DOT_STAR = 154,
  anon_sym_DASH_GT = 155,
  sym_number_literal = 156,
  anon_sym_L_SQUOTE = 157,
  anon_sym_u_SQUOTE = 158,
  anon_sym_U_SQUOTE = 159,
  anon_sym_u8_SQUOTE = 160,
  anon_sym_SQUOTE = 161,
  aux_sym_char_literal_token1 = 162,
  anon_sym_L_DQUOTE = 163,
  anon_sym_u_DQUOTE = 164,
  anon_sym_U_DQUOTE = 165,
  anon_sym_u8_DQUOTE = 166,
  anon_sym_DQUOTE = 167,
  aux_sym_string_literal_token1 = 168,
  sym_escape_sequence = 169,
  sym_system_lib_string = 170,
  sym_true = 171,
  sym_false = 172,
  anon_sym_NULL = 173,
  anon_sym_nullptr = 174,
  sym_comment = 175,
  sym_auto = 176,
  anon_sym_decltype = 177,
  anon_sym_final = 178,
  anon_sym_override = 179,
  anon_sym_explicit = 180,
  anon_sym_typename = 181,
  anon_sym_template = 182,
  anon_sym_GT2 = 183,
  anon_sym_operator = 184,
  anon_sym_try = 185,
  anon_sym_delete = 186,
  aux_sym_pure_virtual_clause_token1 = 187,
  anon_sym_friend = 188,
  anon_sym_public = 189,
  anon_sym_private = 190,
  anon_sym_protected = 191,
  anon_sym_noexcept = 192,
  anon_sym_throw = 193,
  anon_sym_namespace = 194,
  anon_sym_using = 195,
  anon_sym_static_assert = 196,
  anon_sym_concept = 197,
  anon_sym_co_return = 198,
  anon_sym_co_yield = 199,
  anon_sym_catch = 200,
  anon_sym_R_DQUOTE = 201,
  anon_sym_LR_DQUOTE = 202,
  anon_sym_uR_DQUOTE = 203,
  anon_sym_UR_DQUOTE = 204,
  anon_sym_u8R_DQUOTE = 205,
  anon_sym_co_await = 206,
  anon_sym_new = 207,
  anon_sym_requires = 208,
  anon_sym_DASH_GT_STAR = 209,
  anon_sym_LPAREN_RPAREN = 210,
  anon_sym_LBRACK_RBRACK = 211,
  anon_sym_DQUOTE_DQUOTE = 212,
  sym_this = 213,
  sym_literal_suffix = 214,
  sym_raw_string_delimiter = 215,
  sym_raw_string_content = 216,
  sym_translation_unit = 217,
  sym__top_level_item = 218,
  sym__block_item = 219,
  sym_preproc_include = 220,
  sym_preproc_def = 221,
  sym_preproc_function_def = 222,
  sym_preproc_params = 223,
  sym_preproc_call = 224,
  sym_preproc_if = 225,
  sym_preproc_ifdef = 226,
  sym_preproc_else = 227,
  sym_preproc_elif = 228,
  sym_preproc_elifdef = 229,
  sym_preproc_if_in_field_declaration_list = 230,
  sym_preproc_ifdef_in_field_declaration_list = 231,
  sym_preproc_else_in_field_declaration_list = 232,
  sym_preproc_elif_in_field_declaration_list = 233,
  sym_preproc_elifdef_in_field_declaration_list = 234,
  sym_preproc_if_in_enumerator_list = 235,
  sym_preproc_ifdef_in_enumerator_list = 236,
  sym_preproc_else_in_enumerator_list = 237,
  sym_preproc_elif_in_enumerator_list = 238,
  sym_preproc_elifdef_in_enumerator_list = 239,
  sym_preproc_if_in_enumerator_list_no_comma = 240,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 241,
  sym_preproc_else_in_enumerator_list_no_comma = 242,
  sym_preproc_elif_in_enumerator_list_no_comma = 243,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 244,
  sym__preproc_expression = 245,
  sym_preproc_parenthesized_expression = 246,
  sym_preproc_defined = 247,
  sym_preproc_unary_expression = 248,
  sym_preproc_call_expression = 249,
  sym_preproc_argument_list = 250,
  sym_preproc_binary_expression = 251,
  sym_function_definition = 252,
  sym_declaration = 253,
  sym_type_definition = 254,
  sym__type_definition_type = 255,
  sym__type_definition_declarators = 256,
  sym__declaration_modifiers = 257,
  sym__declaration_specifiers = 258,
  sym_linkage_specification = 259,
  sym_attribute_specifier = 260,
  sym_attribute = 261,
  sym_attribute_declaration = 262,
  sym_ms_declspec_modifier = 263,
  sym_ms_based_modifier = 264,
  sym_ms_call_modifier = 265,
  sym_ms_unaligned_ptr_modifier = 266,
  sym_ms_pointer_modifier = 267,
  sym_declaration_list = 268,
  sym__declarator = 269,
  sym__field_declarator = 270,
  sym__type_declarator = 271,
  sym__abstract_declarator = 272,
  sym_parenthesized_declarator = 273,
  sym_parenthesized_field_declarator = 274,
  sym_parenthesized_type_declarator = 275,
  sym_abstract_parenthesized_declarator = 276,
  sym_attributed_declarator = 277,
  sym_attributed_field_declarator = 278,
  sym_attributed_type_declarator = 279,
  sym_pointer_declarator = 280,
  sym_pointer_field_declarator = 281,
  sym_pointer_type_declarator = 282,
  sym_abstract_pointer_declarator = 283,
  sym_function_declarator = 284,
  sym_function_field_declarator = 285,
  sym_function_type_declarator = 286,
  sym_abstract_function_declarator = 287,
  sym_array_declarator = 288,
  sym_array_field_declarator = 289,
  sym_array_type_declarator = 290,
  sym_abstract_array_declarator = 291,
  sym_init_declarator = 292,
  sym_compound_statement = 293,
  sym_storage_class_specifier = 294,
  sym_type_qualifier = 295,
  sym_alignas_qualifier = 296,
  sym_type_specifier = 297,
  sym_sized_type_specifier = 298,
  sym_enum_specifier = 299,
  sym_enumerator_list = 300,
  sym_struct_specifier = 301,
  sym_union_specifier = 302,
  sym_field_declaration_list = 303,
  sym__field_declaration_list_item = 304,
  sym_field_declaration = 305,
  sym_bitfield_clause = 306,
  sym_enumerator = 307,
  sym_parameter_list = 308,
  sym_parameter_declaration = 309,
  sym_attributed_statement = 310,
  sym_statement = 311,
  sym__top_level_statement = 312,
  sym_labeled_statement = 313,
  sym__top_level_expression_statement = 314,
  sym_expression_statement = 315,
  sym_if_statement = 316,
  sym_else_clause = 317,
  sym_switch_statement = 318,
  sym_case_statement = 319,
  sym_while_statement = 320,
  sym_do_statement = 321,
  sym_for_statement = 322,
  sym__for_statement_body = 323,
  sym_return_statement = 324,
  sym_break_statement = 325,
  sym_continue_statement = 326,
  sym_goto_statement = 327,
  sym_seh_try_statement = 328,
  sym_seh_except_clause = 329,
  sym_seh_finally_clause = 330,
  sym_seh_leave_statement = 331,
  sym_expression = 332,
  sym__string = 333,
  sym_comma_expression = 334,
  sym_conditional_expression = 335,
  sym_assignment_expression = 336,
  sym_pointer_expression = 337,
  sym_unary_expression = 338,
  sym_binary_expression = 339,
  sym_update_expression = 340,
  sym_cast_expression = 341,
  sym_type_descriptor = 342,
  sym_sizeof_expression = 343,
  sym_alignof_expression = 344,
  sym_offsetof_expression = 345,
  sym_generic_expression = 346,
  sym_subscript_expression = 347,
  sym_call_expression = 348,
  sym_gnu_asm_expression = 349,
  sym_gnu_asm_qualifier = 350,
  sym_gnu_asm_output_operand_list = 351,
  sym_gnu_asm_output_operand = 352,
  sym_gnu_asm_input_operand_list = 353,
  sym_gnu_asm_input_operand = 354,
  sym_gnu_asm_clobber_list = 355,
  sym_gnu_asm_goto_list = 356,
  sym_extension_expression = 357,
  sym_argument_list = 358,
  sym_field_expression = 359,
  sym_compound_literal_expression = 360,
  sym_parenthesized_expression = 361,
  sym_initializer_list = 362,
  sym_initializer_pair = 363,
  sym_subscript_designator = 364,
  sym_subscript_range_designator = 365,
  sym_field_designator = 366,
  sym_char_literal = 367,
  sym_concatenated_string = 368,
  sym_string_literal = 369,
  sym_null = 370,
  sym__empty_declaration = 371,
  sym_placeholder_type_specifier = 372,
  sym_decltype_auto = 373,
  sym_decltype = 374,
  sym__class_declaration = 375,
  sym__class_declaration_item = 376,
  sym_class_specifier = 377,
  sym__class_name = 378,
  sym_virtual_specifier = 379,
  sym_explicit_function_specifier = 380,
  sym_base_class_clause = 381,
  sym__enum_base_clause = 382,
  sym_dependent_type = 383,
  sym_template_declaration = 384,
  sym_template_instantiation = 385,
  sym_template_parameter_list = 386,
  sym_type_parameter_declaration = 387,
  sym_variadic_type_parameter_declaration = 388,
  sym_optional_type_parameter_declaration = 389,
  sym_template_template_parameter_declaration = 390,
  sym_optional_parameter_declaration = 391,
  sym_variadic_parameter_declaration = 392,
  sym_variadic_declarator = 393,
  sym_variadic_reference_declarator = 394,
  sym_operator_cast = 395,
  sym_field_initializer_list = 396,
  sym_field_initializer = 397,
  sym_inline_method_definition = 398,
  sym__constructor_specifiers = 399,
  sym_operator_cast_definition = 400,
  sym_operator_cast_declaration = 401,
  sym_constructor_try_statement = 402,
  sym_constructor_or_destructor_definition = 403,
  sym_constructor_or_destructor_declaration = 404,
  sym_default_method_clause = 405,
  sym_delete_method_clause = 406,
  sym_pure_virtual_clause = 407,
  sym_friend_declaration = 408,
  sym_access_specifier = 409,
  sym_reference_declarator = 410,
  sym_reference_field_declarator = 411,
  sym_reference_type_declarator = 412,
  sym_abstract_reference_declarator = 413,
  sym_structured_binding_declarator = 414,
  sym_ref_qualifier = 415,
  sym__function_declarator_seq = 416,
  sym__function_attributes_start = 417,
  sym__function_exception_specification = 418,
  sym__function_attributes_end = 419,
  sym__function_postfix = 420,
  sym_trailing_return_type = 421,
  sym_noexcept = 422,
  sym_throw_specifier = 423,
  sym_template_type = 424,
  sym_template_method = 425,
  sym_template_function = 426,
  sym_template_argument_list = 427,
  sym_namespace_definition = 428,
  sym_namespace_alias_definition = 429,
  sym__namespace_specifier = 430,
  sym_nested_namespace_specifier = 431,
  sym_using_declaration = 432,
  sym_alias_declaration = 433,
  sym_static_assert_declaration = 434,
  sym_concept_definition = 435,
  sym_for_range_loop = 436,
  sym__for_range_loop_body = 437,
  sym_init_statement = 438,
  sym_condition_clause = 439,
  sym_condition_declaration = 440,
  sym_co_return_statement = 441,
  sym_co_yield_statement = 442,
  sym_throw_statement = 443,
  sym_try_statement = 444,
  sym_catch_clause = 445,
  sym_raw_string_literal = 446,
  sym_subscript_argument_list = 447,
  sym_co_await_expression = 448,
  sym_new_expression = 449,
  sym_new_declarator = 450,
  sym_delete_expression = 451,
  sym_type_requirement = 452,
  sym_compound_requirement = 453,
  sym__requirement = 454,
  sym_requirement_seq = 455,
  sym_constraint_conjunction = 456,
  sym_constraint_disjunction = 457,
  sym__requirement_clause_constraint = 458,
  sym_requires_clause = 459,
  sym_requires_parameter_list = 460,
  sym_requires_expression = 461,
  sym_lambda_expression = 462,
  sym_lambda_capture_specifier = 463,
  sym_lambda_default_capture = 464,
  sym__fold_operator = 465,
  sym__binary_fold_operator = 466,
  sym__unary_left_fold = 467,
  sym__unary_right_fold = 468,
  sym__binary_fold = 469,
  sym_fold_expression = 470,
  sym_parameter_pack_expansion = 471,
  sym_type_parameter_pack_expansion = 472,
  sym_destructor_name = 473,
  sym_dependent_identifier = 474,
  sym_dependent_field_identifier = 475,
  sym_dependent_type_identifier = 476,
  sym__scope_resolution = 477,
  sym_qualified_field_identifier = 478,
  sym_qualified_identifier = 479,
  sym_qualified_type_identifier = 480,
  sym_qualified_operator_cast_identifier = 481,
  sym__assignment_expression_lhs = 482,
  sym_operator_name = 483,
  sym_user_defined_literal = 484,
  aux_sym_translation_unit_repeat1 = 485,
  aux_sym_preproc_params_repeat1 = 486,
  aux_sym_preproc_if_repeat1 = 487,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 488,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 489,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 490,
  aux_sym_preproc_argument_list_repeat1 = 491,
  aux_sym_declaration_repeat1 = 492,
  aux_sym_type_definition_repeat1 = 493,
  aux_sym__type_definition_type_repeat1 = 494,
  aux_sym__type_definition_declarators_repeat1 = 495,
  aux_sym__declaration_specifiers_repeat1 = 496,
  aux_sym_attribute_declaration_repeat1 = 497,
  aux_sym_attributed_declarator_repeat1 = 498,
  aux_sym_pointer_declarator_repeat1 = 499,
  aux_sym_array_declarator_repeat1 = 500,
  aux_sym_sized_type_specifier_repeat1 = 501,
  aux_sym_enumerator_list_repeat1 = 502,
  aux_sym_field_declaration_repeat1 = 503,
  aux_sym_parameter_list_repeat1 = 504,
  aux_sym_case_statement_repeat1 = 505,
  aux_sym_generic_expression_repeat1 = 506,
  aux_sym_gnu_asm_expression_repeat1 = 507,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 508,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 509,
  aux_sym_gnu_asm_clobber_list_repeat1 = 510,
  aux_sym_gnu_asm_goto_list_repeat1 = 511,
  aux_sym_argument_list_repeat1 = 512,
  aux_sym_initializer_list_repeat1 = 513,
  aux_sym_initializer_pair_repeat1 = 514,
  aux_sym_char_literal_repeat1 = 515,
  aux_sym_concatenated_string_repeat1 = 516,
  aux_sym_string_literal_repeat1 = 517,
  aux_sym__class_declaration_repeat1 = 518,
  aux_sym_base_class_clause_repeat1 = 519,
  aux_sym_template_parameter_list_repeat1 = 520,
  aux_sym_field_initializer_list_repeat1 = 521,
  aux_sym_operator_cast_definition_repeat1 = 522,
  aux_sym_constructor_try_statement_repeat1 = 523,
  aux_sym_structured_binding_declarator_repeat1 = 524,
  aux_sym__function_postfix_repeat1 = 525,
  aux_sym_throw_specifier_repeat1 = 526,
  aux_sym_template_argument_list_repeat1 = 527,
  aux_sym_subscript_argument_list_repeat1 = 528,
  aux_sym_requirement_seq_repeat1 = 529,
  aux_sym_requires_parameter_list_repeat1 = 530,
  aux_sym_lambda_capture_specifier_repeat1 = 531,
  alias_sym_field_identifier = 532,
  alias_sym_namespace_identifier = 533,
  alias_sym_simple_requirement = 534,
  alias_sym_statement_identifier = 535,
  alias_sym_type_identifier = 536,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 3},
  [115] = {.index = 176, .length = 2},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 181, .length = 2},
  [118] = {.index = 19, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 183, .length = 2},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 1},
  [123] = {.index = 188, .length = 4},
  [124] = {.index = 192, .length = 4},
  [125] = {.index = 196, .length = 2},
  [126] = {.index = 198, .length = 3},
  [127] = {.index = 201, .length = 2},
  [128] = {.index = 203, .length = 2},
  [129] = {.index = 205, .length = 1},
  [130] = {.index = 206, .length = 2},
  [131] = {.index = 208, .length = 2},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 3},
  [135] = {.index = 219, .length = 2},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 1},
  [153] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 2},
  [155] = {.index = 260, .length = 1},
  [157] = {.index = 261, .length = 1},
  [158] = {.index = 262, .length = 2},
  [159] = {.index = 264, .length = 2},
  [160] = {.index = 11, .length = 1},
  [161] = {.index = 11, .length = 1},
  [162] = {.index = 266, .length = 2},
  [163] = {.index = 268, .length = 1},
  [164] = {.index = 269, .length = 1},
  [165] = {.index = 270, .length = 4},
  [166] = {.index = 274, .length = 2},
  [167] = {.index = 276, .length = 4},
  [168] = {.index = 280, .length = 1},
  [169] = {.index = 281, .length = 3},
  [170] = {.index = 284, .length = 2},
  [171] = {.index = 286, .length = 3},
  [172] = {.index = 289, .length = 1},
  [173] = {.index = 290, .length = 5},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 4},
  [177] = {.index = 303, .length = 2},
  [178] = {.index = 305, .length = 3},
  [179] = {.index = 308, .length = 4},
  [180] = {.index = 312, .length = 4},
  [181] = {.index = 316, .length = 3},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 3},
  [185] = {.index = 327, .length = 2},
  [186] = {.index = 329, .length = 2},
  [187] = {.index = 331, .length = 2},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 3},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 2},
  [192] = {.index = 342, .length = 3},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 2},
  [195] = {.index = 349, .length = 2},
  [196] = {.index = 351, .length = 4},
  [197] = {.index = 355, .length = 5},
  [198] = {.index = 360, .length = 3},
  [199] = {.index = 363, .length = 4},
  [200] = {.index = 367, .length = 2},
  [201] = {.index = 369, .length = 1},
  [202] = {.index = 370, .length = 4},
  [203] = {.index = 374, .length = 3},
  [204] = {.index = 377, .length = 2},
  [205] = {.index = 379, .length = 1},
  [206] = {.index = 380, .length = 5},
  [207] = {.index = 385, .length = 2},
  [208] = {.index = 387, .length = 2},
  [209] = {.index = 65, .length = 1},
  [210] = {.index = 389, .length = 5},
  [211] = {.index = 394, .length = 4},
  [212] = {.index = 398, .length = 2},
  [213] = {.index = 400, .length = 2},
  [214] = {.index = 402, .length = 5},
  [215] = {.index = 407, .length = 2},
  [216] = {.index = 409, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_body, 4},
    {field_name, 3},
  [221] =
    {field_designator, 0},
    {field_value, 2},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_value, 3},
  [257] =
    {field_operand, 1},
  [258] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [260] =
    {field_assembly_code, 3},
  [261] =
    {field_default_type, 2},
  [262] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [264] =
    {field_body, 2},
    {field_parameters, 1},
  [266] =
    {field_name, 1},
    {field_type, 3},
  [268] =
    {field_condition, 2},
  [269] =
    {field_length, 1},
  [270] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [274] =
    {field_declarator, 1},
    {field_declarator, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [280] =
    {field_declarator, 4},
  [281] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [284] =
    {field_declarator, 0},
    {field_size, 3},
  [286] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [289] =
    {field_size, 2},
  [290] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [308] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [316] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [319] =
    {field_condition, 1},
    {field_update, 3},
  [321] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [324] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [327] =
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_condition, 2},
    {field_initializer, 0},
  [331] =
    {field_member, 4},
    {field_type, 2},
  [333] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [335] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [338] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [340] =
    {field_default_type, 3},
    {field_name, 1},
  [342] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [345] =
    {field_name, 1},
    {field_type, 4},
  [347] =
    {field_end, 3},
    {field_start, 1},
  [349] =
    {field_declarator, 1},
    {field_default_value, 2},
  [351] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [355] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [360] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [363] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [367] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [369] =
    {field_register, 1},
  [370] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [374] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [377] =
    {field_condition, 2},
    {field_message, 4},
  [379] =
    {field_delimiter, 1},
  [380] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_constraint, 0},
    {field_value, 2},
  [387] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [389] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [394] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [400] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [402] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [407] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [409] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [137] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [187] = {
    [4] = alias_sym_field_identifier,
  },
  [191] = {
    [1] = alias_sym_type_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 19,
  [21] = 18,
  [22] = 22,
  [23] = 13,
  [24] = 18,
  [25] = 13,
  [26] = 22,
  [27] = 22,
  [28] = 19,
  [29] = 13,
  [30] = 19,
  [31] = 18,
  [32] = 22,
  [33] = 33,
  [34] = 34,
  [35] = 34,
  [36] = 36,
  [37] = 33,
  [38] = 34,
  [39] = 39,
  [40] = 40,
  [41] = 40,
  [42] = 36,
  [43] = 43,
  [44] = 39,
  [45] = 39,
  [46] = 40,
  [47] = 36,
  [48] = 34,
  [49] = 39,
  [50] = 50,
  [51] = 40,
  [52] = 34,
  [53] = 36,
  [54] = 34,
  [55] = 36,
  [56] = 34,
  [57] = 36,
  [58] = 34,
  [59] = 36,
  [60] = 34,
  [61] = 36,
  [62] = 34,
  [63] = 36,
  [64] = 34,
  [65] = 33,
  [66] = 36,
  [67] = 34,
  [68] = 36,
  [69] = 34,
  [70] = 36,
  [71] = 34,
  [72] = 36,
  [73] = 34,
  [74] = 36,
  [75] = 34,
  [76] = 36,
  [77] = 34,
  [78] = 36,
  [79] = 36,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 82,
  [88] = 82,
  [89] = 84,
  [90] = 85,
  [91] = 84,
  [92] = 83,
  [93] = 86,
  [94] = 82,
  [95] = 83,
  [96] = 84,
  [97] = 85,
  [98] = 85,
  [99] = 83,
  [100] = 86,
  [101] = 86,
  [102] = 102,
  [103] = 103,
  [104] = 86,
  [105] = 84,
  [106] = 82,
  [107] = 103,
  [108] = 85,
  [109] = 83,
  [110] = 103,
  [111] = 103,
  [112] = 103,
  [113] = 103,
  [114] = 114,
  [115] = 114,
  [116] = 116,
  [117] = 116,
  [118] = 114,
  [119] = 116,
  [120] = 116,
  [121] = 116,
  [122] = 116,
  [123] = 123,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 127,
  [128] = 124,
  [129] = 124,
  [130] = 124,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 132,
  [136] = 136,
  [137] = 137,
  [138] = 136,
  [139] = 136,
  [140] = 137,
  [141] = 136,
  [142] = 136,
  [143] = 136,
  [144] = 137,
  [145] = 136,
  [146] = 136,
  [147] = 137,
  [148] = 137,
  [149] = 137,
  [150] = 136,
  [151] = 137,
  [152] = 137,
  [153] = 136,
  [154] = 136,
  [155] = 137,
  [156] = 136,
  [157] = 137,
  [158] = 137,
  [159] = 137,
  [160] = 136,
  [161] = 137,
  [162] = 162,
  [163] = 132,
  [164] = 164,
  [165] = 162,
  [166] = 166,
  [167] = 167,
  [168] = 162,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 164,
  [173] = 162,
  [174] = 166,
  [175] = 167,
  [176] = 169,
  [177] = 170,
  [178] = 171,
  [179] = 164,
  [180] = 180,
  [181] = 162,
  [182] = 166,
  [183] = 167,
  [184] = 184,
  [185] = 169,
  [186] = 184,
  [187] = 166,
  [188] = 170,
  [189] = 171,
  [190] = 164,
  [191] = 180,
  [192] = 167,
  [193] = 162,
  [194] = 166,
  [195] = 166,
  [196] = 169,
  [197] = 167,
  [198] = 169,
  [199] = 169,
  [200] = 170,
  [201] = 171,
  [202] = 164,
  [203] = 170,
  [204] = 180,
  [205] = 171,
  [206] = 180,
  [207] = 164,
  [208] = 132,
  [209] = 170,
  [210] = 184,
  [211] = 180,
  [212] = 167,
  [213] = 171,
  [214] = 184,
  [215] = 184,
  [216] = 180,
  [217] = 132,
  [218] = 132,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 222,
  [225] = 222,
  [226] = 132,
  [227] = 222,
  [228] = 133,
  [229] = 134,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 235,
  [240] = 240,
  [241] = 235,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 235,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 235,
  [250] = 250,
  [251] = 251,
  [252] = 235,
  [253] = 235,
  [254] = 235,
  [255] = 255,
  [256] = 235,
  [257] = 257,
  [258] = 235,
  [259] = 259,
  [260] = 260,
  [261] = 235,
  [262] = 262,
  [263] = 235,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 235,
  [277] = 235,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 235,
  [282] = 282,
  [283] = 283,
  [284] = 235,
  [285] = 285,
  [286] = 286,
  [287] = 235,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 220,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 219,
  [308] = 308,
  [309] = 220,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 219,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 220,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 219,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 323,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 371,
  [375] = 375,
  [376] = 372,
  [377] = 377,
  [378] = 373,
  [379] = 377,
  [380] = 221,
  [381] = 371,
  [382] = 223,
  [383] = 371,
  [384] = 371,
  [385] = 371,
  [386] = 223,
  [387] = 222,
  [388] = 222,
  [389] = 389,
  [390] = 373,
  [391] = 391,
  [392] = 392,
  [393] = 222,
  [394] = 375,
  [395] = 221,
  [396] = 375,
  [397] = 397,
  [398] = 222,
  [399] = 222,
  [400] = 222,
  [401] = 372,
  [402] = 377,
  [403] = 133,
  [404] = 404,
  [405] = 231,
  [406] = 231,
  [407] = 232,
  [408] = 230,
  [409] = 230,
  [410] = 232,
  [411] = 404,
  [412] = 231,
  [413] = 134,
  [414] = 133,
  [415] = 232,
  [416] = 134,
  [417] = 230,
  [418] = 273,
  [419] = 257,
  [420] = 268,
  [421] = 285,
  [422] = 278,
  [423] = 274,
  [424] = 237,
  [425] = 250,
  [426] = 242,
  [427] = 270,
  [428] = 251,
  [429] = 265,
  [430] = 279,
  [431] = 280,
  [432] = 283,
  [433] = 286,
  [434] = 243,
  [435] = 246,
  [436] = 247,
  [437] = 248,
  [438] = 250,
  [439] = 251,
  [440] = 255,
  [441] = 259,
  [442] = 234,
  [443] = 282,
  [444] = 269,
  [445] = 233,
  [446] = 272,
  [447] = 275,
  [448] = 271,
  [449] = 273,
  [450] = 257,
  [451] = 237,
  [452] = 270,
  [453] = 236,
  [454] = 234,
  [455] = 238,
  [456] = 240,
  [457] = 236,
  [458] = 238,
  [459] = 240,
  [460] = 244,
  [461] = 262,
  [462] = 267,
  [463] = 244,
  [464] = 262,
  [465] = 268,
  [466] = 285,
  [467] = 265,
  [468] = 279,
  [469] = 280,
  [470] = 264,
  [471] = 264,
  [472] = 242,
  [473] = 260,
  [474] = 274,
  [475] = 278,
  [476] = 283,
  [477] = 286,
  [478] = 271,
  [479] = 255,
  [480] = 266,
  [481] = 267,
  [482] = 243,
  [483] = 242,
  [484] = 243,
  [485] = 246,
  [486] = 247,
  [487] = 248,
  [488] = 250,
  [489] = 251,
  [490] = 255,
  [491] = 259,
  [492] = 260,
  [493] = 282,
  [494] = 269,
  [495] = 233,
  [496] = 272,
  [497] = 275,
  [498] = 271,
  [499] = 273,
  [500] = 257,
  [501] = 268,
  [502] = 285,
  [503] = 278,
  [504] = 274,
  [505] = 237,
  [506] = 270,
  [507] = 259,
  [508] = 265,
  [509] = 279,
  [510] = 280,
  [511] = 260,
  [512] = 283,
  [513] = 286,
  [514] = 234,
  [515] = 236,
  [516] = 238,
  [517] = 240,
  [518] = 244,
  [519] = 262,
  [520] = 264,
  [521] = 266,
  [522] = 267,
  [523] = 282,
  [524] = 246,
  [525] = 269,
  [526] = 247,
  [527] = 248,
  [528] = 233,
  [529] = 272,
  [530] = 275,
  [531] = 266,
  [532] = 347,
  [533] = 298,
  [534] = 306,
  [535] = 315,
  [536] = 317,
  [537] = 318,
  [538] = 326,
  [539] = 328,
  [540] = 343,
  [541] = 347,
  [542] = 350,
  [543] = 356,
  [544] = 357,
  [545] = 364,
  [546] = 365,
  [547] = 368,
  [548] = 289,
  [549] = 290,
  [550] = 293,
  [551] = 324,
  [552] = 337,
  [553] = 338,
  [554] = 341,
  [555] = 342,
  [556] = 345,
  [557] = 348,
  [558] = 303,
  [559] = 300,
  [560] = 333,
  [561] = 351,
  [562] = 352,
  [563] = 353,
  [564] = 358,
  [565] = 359,
  [566] = 360,
  [567] = 313,
  [568] = 316,
  [569] = 308,
  [570] = 330,
  [571] = 331,
  [572] = 332,
  [573] = 335,
  [574] = 370,
  [575] = 340,
  [576] = 367,
  [577] = 310,
  [578] = 292,
  [579] = 297,
  [580] = 304,
  [581] = 305,
  [582] = 308,
  [583] = 310,
  [584] = 311,
  [585] = 312,
  [586] = 223,
  [587] = 366,
  [588] = 221,
  [589] = 296,
  [590] = 288,
  [591] = 324,
  [592] = 311,
  [593] = 312,
  [594] = 334,
  [595] = 337,
  [596] = 338,
  [597] = 339,
  [598] = 341,
  [599] = 342,
  [600] = 344,
  [601] = 345,
  [602] = 346,
  [603] = 348,
  [604] = 349,
  [605] = 336,
  [606] = 334,
  [607] = 301,
  [608] = 303,
  [609] = 369,
  [610] = 291,
  [611] = 299,
  [612] = 300,
  [613] = 344,
  [614] = 346,
  [615] = 321,
  [616] = 322,
  [617] = 349,
  [618] = 333,
  [619] = 351,
  [620] = 352,
  [621] = 353,
  [622] = 358,
  [623] = 359,
  [624] = 360,
  [625] = 361,
  [626] = 362,
  [627] = 363,
  [628] = 274,
  [629] = 336,
  [630] = 294,
  [631] = 295,
  [632] = 298,
  [633] = 633,
  [634] = 306,
  [635] = 313,
  [636] = 315,
  [637] = 316,
  [638] = 317,
  [639] = 318,
  [640] = 326,
  [641] = 328,
  [642] = 330,
  [643] = 331,
  [644] = 332,
  [645] = 335,
  [646] = 370,
  [647] = 340,
  [648] = 343,
  [649] = 350,
  [650] = 304,
  [651] = 305,
  [652] = 301,
  [653] = 356,
  [654] = 357,
  [655] = 369,
  [656] = 291,
  [657] = 299,
  [658] = 364,
  [659] = 365,
  [660] = 366,
  [661] = 367,
  [662] = 368,
  [663] = 289,
  [664] = 290,
  [665] = 292,
  [666] = 293,
  [667] = 321,
  [668] = 322,
  [669] = 296,
  [670] = 297,
  [671] = 288,
  [672] = 361,
  [673] = 362,
  [674] = 363,
  [675] = 294,
  [676] = 295,
  [677] = 339,
  [678] = 324,
  [679] = 132,
  [680] = 348,
  [681] = 347,
  [682] = 299,
  [683] = 290,
  [684] = 292,
  [685] = 330,
  [686] = 365,
  [687] = 331,
  [688] = 332,
  [689] = 318,
  [690] = 333,
  [691] = 321,
  [692] = 293,
  [693] = 335,
  [694] = 370,
  [695] = 340,
  [696] = 343,
  [697] = 344,
  [698] = 304,
  [699] = 305,
  [700] = 296,
  [701] = 356,
  [702] = 349,
  [703] = 345,
  [704] = 300,
  [705] = 315,
  [706] = 297,
  [707] = 346,
  [708] = 357,
  [709] = 369,
  [710] = 322,
  [711] = 350,
  [712] = 366,
  [713] = 294,
  [714] = 714,
  [715] = 353,
  [716] = 291,
  [717] = 358,
  [718] = 303,
  [719] = 367,
  [720] = 316,
  [721] = 317,
  [722] = 313,
  [723] = 308,
  [724] = 310,
  [725] = 337,
  [726] = 368,
  [727] = 341,
  [728] = 295,
  [729] = 339,
  [730] = 132,
  [731] = 351,
  [732] = 352,
  [733] = 298,
  [734] = 326,
  [735] = 359,
  [736] = 360,
  [737] = 328,
  [738] = 311,
  [739] = 361,
  [740] = 312,
  [741] = 336,
  [742] = 362,
  [743] = 334,
  [744] = 338,
  [745] = 363,
  [746] = 306,
  [747] = 342,
  [748] = 748,
  [749] = 289,
  [750] = 301,
  [751] = 364,
  [752] = 752,
  [753] = 752,
  [754] = 633,
  [755] = 755,
  [756] = 756,
  [757] = 756,
  [758] = 752,
  [759] = 752,
  [760] = 756,
  [761] = 752,
  [762] = 752,
  [763] = 756,
  [764] = 752,
  [765] = 752,
  [766] = 633,
  [767] = 756,
  [768] = 752,
  [769] = 756,
  [770] = 132,
  [771] = 752,
  [772] = 756,
  [773] = 756,
  [774] = 756,
  [775] = 756,
  [776] = 776,
  [777] = 132,
  [778] = 132,
  [779] = 132,
  [780] = 780,
  [781] = 781,
  [782] = 781,
  [783] = 404,
  [784] = 404,
  [785] = 404,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 788,
  [790] = 788,
  [791] = 788,
  [792] = 788,
  [793] = 788,
  [794] = 788,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 796,
  [802] = 796,
  [803] = 803,
  [804] = 799,
  [805] = 799,
  [806] = 806,
  [807] = 796,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 809,
  [812] = 798,
  [813] = 806,
  [814] = 799,
  [815] = 803,
  [816] = 816,
  [817] = 816,
  [818] = 816,
  [819] = 816,
  [820] = 816,
  [821] = 816,
  [822] = 816,
  [823] = 404,
  [824] = 404,
  [825] = 825,
  [826] = 826,
  [827] = 220,
  [828] = 404,
  [829] = 219,
  [830] = 830,
  [831] = 830,
  [832] = 830,
  [833] = 134,
  [834] = 834,
  [835] = 231,
  [836] = 133,
  [837] = 834,
  [838] = 838,
  [839] = 232,
  [840] = 230,
  [841] = 259,
  [842] = 278,
  [843] = 242,
  [844] = 272,
  [845] = 243,
  [846] = 246,
  [847] = 247,
  [848] = 275,
  [849] = 244,
  [850] = 271,
  [851] = 248,
  [852] = 250,
  [853] = 280,
  [854] = 237,
  [855] = 251,
  [856] = 268,
  [857] = 233,
  [858] = 260,
  [859] = 787,
  [860] = 257,
  [861] = 270,
  [862] = 255,
  [863] = 282,
  [864] = 266,
  [865] = 825,
  [866] = 267,
  [867] = 240,
  [868] = 283,
  [869] = 786,
  [870] = 262,
  [871] = 285,
  [872] = 269,
  [873] = 265,
  [874] = 286,
  [875] = 264,
  [876] = 234,
  [877] = 236,
  [878] = 238,
  [879] = 279,
  [880] = 273,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 882,
  [885] = 885,
  [886] = 883,
  [887] = 882,
  [888] = 888,
  [889] = 885,
  [890] = 883,
  [891] = 882,
  [892] = 883,
  [893] = 885,
  [894] = 882,
  [895] = 883,
  [896] = 896,
  [897] = 882,
  [898] = 885,
  [899] = 883,
  [900] = 882,
  [901] = 883,
  [902] = 883,
  [903] = 882,
  [904] = 904,
  [905] = 885,
  [906] = 885,
  [907] = 882,
  [908] = 883,
  [909] = 909,
  [910] = 909,
  [911] = 911,
  [912] = 904,
  [913] = 913,
  [914] = 909,
  [915] = 904,
  [916] = 913,
  [917] = 911,
  [918] = 904,
  [919] = 913,
  [920] = 913,
  [921] = 904,
  [922] = 913,
  [923] = 909,
  [924] = 909,
  [925] = 909,
  [926] = 904,
  [927] = 913,
  [928] = 911,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 930,
  [933] = 930,
  [934] = 934,
  [935] = 934,
  [936] = 936,
  [937] = 937,
  [938] = 930,
  [939] = 936,
  [940] = 937,
  [941] = 934,
  [942] = 936,
  [943] = 934,
  [944] = 930,
  [945] = 934,
  [946] = 934,
  [947] = 934,
  [948] = 937,
  [949] = 937,
  [950] = 934,
  [951] = 937,
  [952] = 930,
  [953] = 934,
  [954] = 930,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 955,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 957,
  [963] = 957,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 956,
  [968] = 956,
  [969] = 956,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 955,
  [974] = 974,
  [975] = 975,
  [976] = 960,
  [977] = 977,
  [978] = 955,
  [979] = 957,
  [980] = 960,
  [981] = 957,
  [982] = 982,
  [983] = 983,
  [984] = 956,
  [985] = 985,
  [986] = 957,
  [987] = 956,
  [988] = 955,
  [989] = 960,
  [990] = 957,
  [991] = 960,
  [992] = 960,
  [993] = 960,
  [994] = 960,
  [995] = 955,
  [996] = 956,
  [997] = 955,
  [998] = 955,
  [999] = 999,
  [1000] = 957,
  [1001] = 960,
  [1002] = 956,
  [1003] = 955,
  [1004] = 956,
  [1005] = 955,
  [1006] = 957,
  [1007] = 1007,
  [1008] = 960,
  [1009] = 956,
  [1010] = 960,
  [1011] = 956,
  [1012] = 970,
  [1013] = 960,
  [1014] = 957,
  [1015] = 957,
  [1016] = 956,
  [1017] = 955,
  [1018] = 960,
  [1019] = 957,
  [1020] = 956,
  [1021] = 955,
  [1022] = 957,
  [1023] = 955,
  [1024] = 970,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1026,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1028,
  [1034] = 1026,
  [1035] = 1035,
  [1036] = 1026,
  [1037] = 1037,
  [1038] = 1035,
  [1039] = 1035,
  [1040] = 1028,
  [1041] = 1035,
  [1042] = 1028,
  [1043] = 1026,
  [1044] = 1026,
  [1045] = 1045,
  [1046] = 1035,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1028,
  [1052] = 1052,
  [1053] = 1026,
  [1054] = 1054,
  [1055] = 1026,
  [1056] = 1026,
  [1057] = 1028,
  [1058] = 1028,
  [1059] = 1028,
  [1060] = 1035,
  [1061] = 1035,
  [1062] = 1062,
  [1063] = 1028,
  [1064] = 1064,
  [1065] = 1028,
  [1066] = 1026,
  [1067] = 1067,
  [1068] = 1028,
  [1069] = 1069,
  [1070] = 1026,
  [1071] = 1028,
  [1072] = 1028,
  [1073] = 1073,
  [1074] = 1026,
  [1075] = 1026,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1076,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1081,
  [1115] = 1082,
  [1116] = 1083,
  [1117] = 1084,
  [1118] = 1108,
  [1119] = 1109,
  [1120] = 1085,
  [1121] = 1086,
  [1122] = 1077,
  [1123] = 1078,
  [1124] = 1079,
  [1125] = 1087,
  [1126] = 1088,
  [1127] = 1089,
  [1128] = 1090,
  [1129] = 1110,
  [1130] = 1091,
  [1131] = 1092,
  [1132] = 1077,
  [1133] = 1077,
  [1134] = 1095,
  [1135] = 1135,
  [1136] = 1096,
  [1137] = 1097,
  [1138] = 1105,
  [1139] = 1098,
  [1140] = 1110,
  [1141] = 1112,
  [1142] = 1113,
  [1143] = 1077,
  [1144] = 1078,
  [1145] = 1079,
  [1146] = 1078,
  [1147] = 1110,
  [1148] = 1099,
  [1149] = 1112,
  [1150] = 1100,
  [1151] = 1077,
  [1152] = 1078,
  [1153] = 1079,
  [1154] = 1101,
  [1155] = 1102,
  [1156] = 1103,
  [1157] = 1104,
  [1158] = 1111,
  [1159] = 1112,
  [1160] = 1077,
  [1161] = 1161,
  [1162] = 1113,
  [1163] = 1163,
  [1164] = 1077,
  [1165] = 1077,
  [1166] = 1166,
  [1167] = 1077,
  [1168] = 1077,
  [1169] = 1079,
  [1170] = 1080,
  [1171] = 1163,
  [1172] = 1080,
  [1173] = 1080,
  [1174] = 1080,
  [1175] = 1080,
  [1176] = 1080,
  [1177] = 1080,
  [1178] = 1080,
  [1179] = 1080,
  [1180] = 1077,
  [1181] = 1077,
  [1182] = 1093,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1184,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1195,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1183,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1193,
  [1207] = 1194,
  [1208] = 1196,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1195,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1191,
  [1216] = 1216,
  [1217] = 1213,
  [1218] = 1187,
  [1219] = 1198,
  [1220] = 1199,
  [1221] = 1200,
  [1222] = 1183,
  [1223] = 1202,
  [1224] = 1203,
  [1225] = 1204,
  [1226] = 1205,
  [1227] = 1193,
  [1228] = 1194,
  [1229] = 1213,
  [1230] = 1213,
  [1231] = 1188,
  [1232] = 1184,
  [1233] = 1192,
  [1234] = 1196,
  [1235] = 1195,
  [1236] = 1213,
  [1237] = 1185,
  [1238] = 1186,
  [1239] = 1239,
  [1240] = 1187,
  [1241] = 1192,
  [1242] = 1188,
  [1243] = 1184,
  [1244] = 1244,
  [1245] = 1190,
  [1246] = 1191,
  [1247] = 1192,
  [1248] = 1248,
  [1249] = 1198,
  [1250] = 1195,
  [1251] = 1198,
  [1252] = 1199,
  [1253] = 1200,
  [1254] = 1183,
  [1255] = 1202,
  [1256] = 1203,
  [1257] = 1204,
  [1258] = 1205,
  [1259] = 1193,
  [1260] = 1194,
  [1261] = 1196,
  [1262] = 1199,
  [1263] = 1195,
  [1264] = 1200,
  [1265] = 1265,
  [1266] = 1188,
  [1267] = 1184,
  [1268] = 1268,
  [1269] = 1191,
  [1270] = 1195,
  [1271] = 1192,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1186,
  [1275] = 1188,
  [1276] = 1213,
  [1277] = 1192,
  [1278] = 1183,
  [1279] = 1191,
  [1280] = 1198,
  [1281] = 1199,
  [1282] = 1200,
  [1283] = 1183,
  [1284] = 1202,
  [1285] = 1203,
  [1286] = 1204,
  [1287] = 1205,
  [1288] = 1193,
  [1289] = 1194,
  [1290] = 1188,
  [1291] = 1184,
  [1292] = 1185,
  [1293] = 1198,
  [1294] = 1187,
  [1295] = 1196,
  [1296] = 1199,
  [1297] = 1200,
  [1298] = 1183,
  [1299] = 1190,
  [1300] = 1202,
  [1301] = 1203,
  [1302] = 1204,
  [1303] = 1205,
  [1304] = 1193,
  [1305] = 1194,
  [1306] = 1196,
  [1307] = 1190,
  [1308] = 1191,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1202,
  [1312] = 1198,
  [1313] = 1191,
  [1314] = 1198,
  [1315] = 1199,
  [1316] = 1200,
  [1317] = 1183,
  [1318] = 1202,
  [1319] = 1203,
  [1320] = 1204,
  [1321] = 1205,
  [1322] = 1193,
  [1323] = 1194,
  [1324] = 1185,
  [1325] = 1187,
  [1326] = 1196,
  [1327] = 1209,
  [1328] = 1203,
  [1329] = 1195,
  [1330] = 1330,
  [1331] = 1199,
  [1332] = 1332,
  [1333] = 1200,
  [1334] = 1191,
  [1335] = 1198,
  [1336] = 1199,
  [1337] = 1200,
  [1338] = 1183,
  [1339] = 1202,
  [1340] = 1203,
  [1341] = 1204,
  [1342] = 1205,
  [1343] = 1193,
  [1344] = 1194,
  [1345] = 1185,
  [1346] = 1195,
  [1347] = 1187,
  [1348] = 1185,
  [1349] = 1202,
  [1350] = 1213,
  [1351] = 1203,
  [1352] = 1352,
  [1353] = 1204,
  [1354] = 1204,
  [1355] = 1355,
  [1356] = 1212,
  [1357] = 1205,
  [1358] = 1358,
  [1359] = 1205,
  [1360] = 1185,
  [1361] = 1213,
  [1362] = 1187,
  [1363] = 1193,
  [1364] = 1193,
  [1365] = 1185,
  [1366] = 1214,
  [1367] = 1194,
  [1368] = 1368,
  [1369] = 1194,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1185,
  [1373] = 1187,
  [1374] = 1188,
  [1375] = 1184,
  [1376] = 1309,
  [1377] = 1310,
  [1378] = 1192,
  [1379] = 1379,
  [1380] = 1185,
  [1381] = 1187,
  [1382] = 1382,
  [1383] = 1188,
  [1384] = 1184,
  [1385] = 1196,
  [1386] = 1190,
  [1387] = 1191,
  [1388] = 1265,
  [1389] = 1389,
  [1390] = 1191,
  [1391] = 1192,
  [1392] = 1192,
  [1393] = 1198,
  [1394] = 1199,
  [1395] = 1200,
  [1396] = 1183,
  [1397] = 1202,
  [1398] = 1203,
  [1399] = 1204,
  [1400] = 1205,
  [1401] = 1193,
  [1402] = 1194,
  [1403] = 1196,
  [1404] = 1404,
  [1405] = 1239,
  [1406] = 1244,
  [1407] = 1195,
  [1408] = 1273,
  [1409] = 1195,
  [1410] = 1213,
  [1411] = 1358,
  [1412] = 1265,
  [1413] = 1389,
  [1414] = 1404,
  [1415] = 1239,
  [1416] = 1244,
  [1417] = 1273,
  [1418] = 1188,
  [1419] = 1358,
  [1420] = 1184,
  [1421] = 1265,
  [1422] = 1389,
  [1423] = 1404,
  [1424] = 1239,
  [1425] = 1244,
  [1426] = 1273,
  [1427] = 1196,
  [1428] = 1358,
  [1429] = 1265,
  [1430] = 1389,
  [1431] = 1404,
  [1432] = 1239,
  [1433] = 1244,
  [1434] = 1273,
  [1435] = 1358,
  [1436] = 1404,
  [1437] = 1239,
  [1438] = 1244,
  [1439] = 1273,
  [1440] = 1358,
  [1441] = 1213,
  [1442] = 1404,
  [1443] = 1239,
  [1444] = 1273,
  [1445] = 1191,
  [1446] = 1196,
  [1447] = 1185,
  [1448] = 1187,
  [1449] = 1389,
  [1450] = 1188,
  [1451] = 1184,
  [1452] = 1192,
  [1453] = 1272,
  [1454] = 1213,
  [1455] = 1185,
  [1456] = 1187,
  [1457] = 1199,
  [1458] = 1404,
  [1459] = 1272,
  [1460] = 1272,
  [1461] = 1272,
  [1462] = 1272,
  [1463] = 1272,
  [1464] = 1190,
  [1465] = 1191,
  [1466] = 1198,
  [1467] = 1199,
  [1468] = 1200,
  [1469] = 1183,
  [1470] = 1202,
  [1471] = 1203,
  [1472] = 1204,
  [1473] = 1205,
  [1474] = 1193,
  [1475] = 1194,
  [1476] = 1188,
  [1477] = 1184,
  [1478] = 1192,
  [1479] = 1196,
  [1480] = 1195,
  [1481] = 1213,
  [1482] = 1198,
  [1483] = 1199,
  [1484] = 1200,
  [1485] = 1191,
  [1486] = 1192,
  [1487] = 1183,
  [1488] = 1198,
  [1489] = 1200,
  [1490] = 1183,
  [1491] = 1202,
  [1492] = 1203,
  [1493] = 1204,
  [1494] = 1205,
  [1495] = 1193,
  [1496] = 1194,
  [1497] = 1196,
  [1498] = 1202,
  [1499] = 1195,
  [1500] = 1213,
  [1501] = 1185,
  [1502] = 1187,
  [1503] = 1188,
  [1504] = 1184,
  [1505] = 1203,
  [1506] = 1188,
  [1507] = 1184,
  [1508] = 1204,
  [1509] = 1192,
  [1510] = 1205,
  [1511] = 1214,
  [1512] = 1214,
  [1513] = 1214,
  [1514] = 1214,
  [1515] = 1187,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1525,
  [1527] = 366,
  [1528] = 296,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1530,
  [1532] = 1530,
  [1533] = 1530,
  [1534] = 1520,
  [1535] = 1535,
  [1536] = 1520,
  [1537] = 1524,
  [1538] = 1523,
  [1539] = 911,
  [1540] = 1517,
  [1541] = 1520,
  [1542] = 1519,
  [1543] = 1516,
  [1544] = 1524,
  [1545] = 1518,
  [1546] = 1521,
  [1547] = 1522,
  [1548] = 1519,
  [1549] = 1524,
  [1550] = 1522,
  [1551] = 1521,
  [1552] = 911,
  [1553] = 1523,
  [1554] = 1516,
  [1555] = 1518,
  [1556] = 1517,
  [1557] = 911,
  [1558] = 1524,
  [1559] = 1518,
  [1560] = 1519,
  [1561] = 1522,
  [1562] = 1521,
  [1563] = 1523,
  [1564] = 1516,
  [1565] = 1517,
  [1566] = 1516,
  [1567] = 1519,
  [1568] = 1517,
  [1569] = 1521,
  [1570] = 1518,
  [1571] = 1523,
  [1572] = 1522,
  [1573] = 1524,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1575,
  [1577] = 1575,
  [1578] = 1575,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1580,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1580,
  [1593] = 1580,
  [1594] = 1580,
  [1595] = 1581,
  [1596] = 1581,
  [1597] = 1597,
  [1598] = 1581,
  [1599] = 1581,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1581,
  [1603] = 1580,
  [1604] = 1581,
  [1605] = 1605,
  [1606] = 1580,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1608,
  [1610] = 1610,
  [1611] = 1524,
  [1612] = 1612,
  [1613] = 1518,
  [1614] = 1517,
  [1615] = 1521,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1523,
  [1619] = 1619,
  [1620] = 1524,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1516,
  [1624] = 1522,
  [1625] = 1625,
  [1626] = 1519,
  [1627] = 1627,
  [1628] = 1522,
  [1629] = 1521,
  [1630] = 1523,
  [1631] = 1516,
  [1632] = 1518,
  [1633] = 1517,
  [1634] = 219,
  [1635] = 223,
  [1636] = 221,
  [1637] = 1519,
  [1638] = 220,
  [1639] = 1639,
  [1640] = 1639,
  [1641] = 1639,
  [1642] = 1520,
  [1643] = 1639,
  [1644] = 1524,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1520,
  [1649] = 1649,
  [1650] = 134,
  [1651] = 133,
  [1652] = 274,
  [1653] = 274,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 232,
  [1657] = 266,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1625,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 292,
  [1667] = 341,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1610,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1516,
  [1674] = 1674,
  [1675] = 342,
  [1676] = 345,
  [1677] = 1517,
  [1678] = 330,
  [1679] = 331,
  [1680] = 1680,
  [1681] = 332,
  [1682] = 297,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 285,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1518,
  [1689] = 348,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1668,
  [1694] = 264,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 278,
  [1703] = 1668,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 265,
  [1707] = 304,
  [1708] = 305,
  [1709] = 367,
  [1710] = 1710,
  [1711] = 1686,
  [1712] = 1712,
  [1713] = 303,
  [1714] = 368,
  [1715] = 300,
  [1716] = 1668,
  [1717] = 279,
  [1718] = 1686,
  [1719] = 321,
  [1720] = 322,
  [1721] = 317,
  [1722] = 280,
  [1723] = 1686,
  [1724] = 351,
  [1725] = 1725,
  [1726] = 1686,
  [1727] = 283,
  [1728] = 1686,
  [1729] = 286,
  [1730] = 366,
  [1731] = 335,
  [1732] = 296,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 318,
  [1736] = 268,
  [1737] = 326,
  [1738] = 352,
  [1739] = 1739,
  [1740] = 353,
  [1741] = 358,
  [1742] = 359,
  [1743] = 360,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 370,
  [1747] = 1686,
  [1748] = 308,
  [1749] = 310,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1522,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 328,
  [1761] = 1761,
  [1762] = 340,
  [1763] = 1521,
  [1764] = 1523,
  [1765] = 1524,
  [1766] = 289,
  [1767] = 313,
  [1768] = 311,
  [1769] = 1519,
  [1770] = 312,
  [1771] = 1520,
  [1772] = 316,
  [1773] = 324,
  [1774] = 290,
  [1775] = 337,
  [1776] = 338,
  [1777] = 339,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 333,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 221,
  [1789] = 220,
  [1790] = 1790,
  [1791] = 223,
  [1792] = 1695,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1745,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 220,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 219,
  [1816] = 1524,
  [1817] = 221,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1520,
  [1829] = 223,
  [1830] = 1574,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 219,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1783,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1524,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 133,
  [1848] = 1848,
  [1849] = 1848,
  [1850] = 134,
  [1851] = 1851,
  [1852] = 232,
  [1853] = 1851,
  [1854] = 1854,
  [1855] = 1610,
  [1856] = 1856,
  [1857] = 274,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1733,
  [1861] = 232,
  [1862] = 1846,
  [1863] = 1625,
  [1864] = 1734,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1846,
  [1868] = 1778,
  [1869] = 274,
  [1870] = 1690,
  [1871] = 1851,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1851,
  [1875] = 1840,
  [1876] = 1574,
  [1877] = 1877,
  [1878] = 1851,
  [1879] = 133,
  [1880] = 1851,
  [1881] = 274,
  [1882] = 274,
  [1883] = 1851,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 134,
  [1887] = 353,
  [1888] = 358,
  [1889] = 1889,
  [1890] = 304,
  [1891] = 313,
  [1892] = 1754,
  [1893] = 305,
  [1894] = 316,
  [1895] = 1756,
  [1896] = 330,
  [1897] = 331,
  [1898] = 332,
  [1899] = 335,
  [1900] = 370,
  [1901] = 340,
  [1902] = 283,
  [1903] = 286,
  [1904] = 787,
  [1905] = 366,
  [1906] = 367,
  [1907] = 292,
  [1908] = 266,
  [1909] = 296,
  [1910] = 297,
  [1911] = 339,
  [1912] = 1619,
  [1913] = 321,
  [1914] = 322,
  [1915] = 317,
  [1916] = 318,
  [1917] = 326,
  [1918] = 328,
  [1919] = 368,
  [1920] = 289,
  [1921] = 290,
  [1922] = 786,
  [1923] = 1923,
  [1924] = 1610,
  [1925] = 268,
  [1926] = 285,
  [1927] = 1616,
  [1928] = 1928,
  [1929] = 265,
  [1930] = 279,
  [1931] = 280,
  [1932] = 264,
  [1933] = 324,
  [1934] = 1837,
  [1935] = 337,
  [1936] = 338,
  [1937] = 339,
  [1938] = 341,
  [1939] = 342,
  [1940] = 345,
  [1941] = 348,
  [1942] = 303,
  [1943] = 300,
  [1944] = 321,
  [1945] = 322,
  [1946] = 333,
  [1947] = 351,
  [1948] = 352,
  [1949] = 358,
  [1950] = 359,
  [1951] = 360,
  [1952] = 304,
  [1953] = 305,
  [1954] = 313,
  [1955] = 316,
  [1956] = 317,
  [1957] = 318,
  [1958] = 326,
  [1959] = 328,
  [1960] = 330,
  [1961] = 331,
  [1962] = 332,
  [1963] = 335,
  [1964] = 370,
  [1965] = 340,
  [1966] = 308,
  [1967] = 310,
  [1968] = 367,
  [1969] = 368,
  [1970] = 1750,
  [1971] = 289,
  [1972] = 290,
  [1973] = 292,
  [1974] = 311,
  [1975] = 308,
  [1976] = 312,
  [1977] = 297,
  [1978] = 1751,
  [1979] = 268,
  [1980] = 285,
  [1981] = 1752,
  [1982] = 265,
  [1983] = 279,
  [1984] = 280,
  [1985] = 1753,
  [1986] = 1757,
  [1987] = 1758,
  [1988] = 264,
  [1989] = 1759,
  [1990] = 1761,
  [1991] = 310,
  [1992] = 1622,
  [1993] = 1619,
  [1994] = 278,
  [1995] = 1616,
  [1996] = 359,
  [1997] = 286,
  [1998] = 366,
  [1999] = 266,
  [2000] = 296,
  [2001] = 2001,
  [2002] = 1923,
  [2003] = 1610,
  [2004] = 2004,
  [2005] = 1658,
  [2006] = 1659,
  [2007] = 1660,
  [2008] = 311,
  [2009] = 1610,
  [2010] = 1662,
  [2011] = 1923,
  [2012] = 1663,
  [2013] = 1664,
  [2014] = 2004,
  [2015] = 1665,
  [2016] = 2004,
  [2017] = 1669,
  [2018] = 1671,
  [2019] = 1672,
  [2020] = 312,
  [2021] = 1674,
  [2022] = 1680,
  [2023] = 1683,
  [2024] = 1684,
  [2025] = 1687,
  [2026] = 1691,
  [2027] = 2004,
  [2028] = 1692,
  [2029] = 1696,
  [2030] = 1697,
  [2031] = 1698,
  [2032] = 1699,
  [2033] = 1700,
  [2034] = 1704,
  [2035] = 1705,
  [2036] = 1754,
  [2037] = 1756,
  [2038] = 1710,
  [2039] = 1712,
  [2040] = 2004,
  [2041] = 1610,
  [2042] = 1750,
  [2043] = 1751,
  [2044] = 1752,
  [2045] = 1753,
  [2046] = 1757,
  [2047] = 1758,
  [2048] = 1759,
  [2049] = 1761,
  [2050] = 1928,
  [2051] = 1701,
  [2052] = 1658,
  [2053] = 1659,
  [2054] = 1660,
  [2055] = 1662,
  [2056] = 1663,
  [2057] = 1664,
  [2058] = 1665,
  [2059] = 1669,
  [2060] = 1671,
  [2061] = 1672,
  [2062] = 1674,
  [2063] = 1680,
  [2064] = 1923,
  [2065] = 1683,
  [2066] = 1684,
  [2067] = 1687,
  [2068] = 1691,
  [2069] = 1692,
  [2070] = 2004,
  [2071] = 1696,
  [2072] = 1697,
  [2073] = 1698,
  [2074] = 1699,
  [2075] = 1700,
  [2076] = 1704,
  [2077] = 1705,
  [2078] = 1710,
  [2079] = 1712,
  [2080] = 1839,
  [2081] = 324,
  [2082] = 1622,
  [2083] = 337,
  [2084] = 338,
  [2085] = 341,
  [2086] = 342,
  [2087] = 1793,
  [2088] = 345,
  [2089] = 348,
  [2090] = 278,
  [2091] = 2091,
  [2092] = 360,
  [2093] = 303,
  [2094] = 300,
  [2095] = 333,
  [2096] = 351,
  [2097] = 352,
  [2098] = 353,
  [2099] = 283,
  [2100] = 1744,
  [2101] = 1787,
  [2102] = 1625,
  [2103] = 2001,
  [2104] = 1610,
  [2105] = 1649,
  [2106] = 2106,
  [2107] = 1616,
  [2108] = 1779,
  [2109] = 1787,
  [2110] = 1865,
  [2111] = 2111,
  [2112] = 1619,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 1725,
  [2117] = 2117,
  [2118] = 1610,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 1647,
  [2123] = 2123,
  [2124] = 1859,
  [2125] = 1646,
  [2126] = 1804,
  [2127] = 1690,
  [2128] = 2128,
  [2129] = 1778,
  [2130] = 1787,
  [2131] = 1804,
  [2132] = 1610,
  [2133] = 1733,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 1734,
  [2137] = 1859,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 1654,
  [2141] = 2141,
  [2142] = 1793,
  [2143] = 2128,
  [2144] = 1610,
  [2145] = 1622,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 1865,
  [2149] = 1804,
  [2150] = 1827,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 1807,
  [2154] = 1733,
  [2155] = 1734,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 1782,
  [2162] = 1690,
  [2163] = 1794,
  [2164] = 1520,
  [2165] = 1795,
  [2166] = 1811,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 1865,
  [2171] = 1796,
  [2172] = 1820,
  [2173] = 1812,
  [2174] = 1859,
  [2175] = 2175,
  [2176] = 1821,
  [2177] = 1824,
  [2178] = 1808,
  [2179] = 1813,
  [2180] = 1800,
  [2181] = 2181,
  [2182] = 1814,
  [2183] = 1778,
  [2184] = 1801,
  [2185] = 1889,
  [2186] = 2186,
  [2187] = 1840,
  [2188] = 1793,
  [2189] = 2189,
  [2190] = 1809,
  [2191] = 2091,
  [2192] = 1832,
  [2193] = 1783,
  [2194] = 1840,
  [2195] = 1805,
  [2196] = 1802,
  [2197] = 1803,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 1625,
  [2201] = 1831,
  [2202] = 1806,
  [2203] = 2203,
  [2204] = 1858,
  [2205] = 1884,
  [2206] = 1885,
  [2207] = 1836,
  [2208] = 1845,
  [2209] = 2209,
  [2210] = 1784,
  [2211] = 1785,
  [2212] = 1786,
  [2213] = 1790,
  [2214] = 1854,
  [2215] = 1856,
  [2216] = 1877,
  [2217] = 133,
  [2218] = 1819,
  [2219] = 134,
  [2220] = 2220,
  [2221] = 1822,
  [2222] = 1823,
  [2223] = 1825,
  [2224] = 1833,
  [2225] = 1826,
  [2226] = 1781,
  [2227] = 1519,
  [2228] = 1522,
  [2229] = 1818,
  [2230] = 1798,
  [2231] = 1521,
  [2232] = 1523,
  [2233] = 1516,
  [2234] = 1517,
  [2235] = 1518,
  [2236] = 1799,
  [2237] = 1840,
  [2238] = 2120,
  [2239] = 2121,
  [2240] = 2141,
  [2241] = 1854,
  [2242] = 1856,
  [2243] = 2243,
  [2244] = 1845,
  [2245] = 1877,
  [2246] = 1616,
  [2247] = 1701,
  [2248] = 2138,
  [2249] = 2139,
  [2250] = 1877,
  [2251] = 1646,
  [2252] = 1524,
  [2253] = 1654,
  [2254] = 2254,
  [2255] = 1873,
  [2256] = 2134,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 1885,
  [2261] = 2113,
  [2262] = 1873,
  [2263] = 1858,
  [2264] = 1622,
  [2265] = 1884,
  [2266] = 2123,
  [2267] = 1854,
  [2268] = 1858,
  [2269] = 2269,
  [2270] = 1856,
  [2271] = 1885,
  [2272] = 1845,
  [2273] = 2135,
  [2274] = 2106,
  [2275] = 2115,
  [2276] = 1647,
  [2277] = 1619,
  [2278] = 1884,
  [2279] = 1646,
  [2280] = 1649,
  [2281] = 1647,
  [2282] = 1654,
  [2283] = 2111,
  [2284] = 1649,
  [2285] = 2285,
  [2286] = 1701,
  [2287] = 2287,
  [2288] = 1649,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 1787,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 786,
  [2295] = 2295,
  [2296] = 1873,
  [2297] = 2297,
  [2298] = 1646,
  [2299] = 1649,
  [2300] = 2300,
  [2301] = 1647,
  [2302] = 1654,
  [2303] = 1744,
  [2304] = 1646,
  [2305] = 2305,
  [2306] = 1654,
  [2307] = 1649,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2001,
  [2311] = 1647,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 1654,
  [2315] = 2315,
  [2316] = 1725,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 787,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 1779,
  [2326] = 1646,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 1804,
  [2330] = 2330,
  [2331] = 1647,
  [2332] = 1625,
  [2333] = 1805,
  [2334] = 1812,
  [2335] = 2335,
  [2336] = 1803,
  [2337] = 2337,
  [2338] = 1840,
  [2339] = 2001,
  [2340] = 1808,
  [2341] = 1820,
  [2342] = 133,
  [2343] = 1625,
  [2344] = 1821,
  [2345] = 1824,
  [2346] = 2128,
  [2347] = 1804,
  [2348] = 1787,
  [2349] = 1646,
  [2350] = 1649,
  [2351] = 2001,
  [2352] = 1647,
  [2353] = 2258,
  [2354] = 1822,
  [2355] = 1654,
  [2356] = 134,
  [2357] = 1823,
  [2358] = 1825,
  [2359] = 1807,
  [2360] = 1833,
  [2361] = 1784,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 1785,
  [2365] = 2365,
  [2366] = 1701,
  [2367] = 2367,
  [2368] = 1811,
  [2369] = 1796,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 1826,
  [2375] = 1813,
  [2376] = 1587,
  [2377] = 2209,
  [2378] = 2378,
  [2379] = 1809,
  [2380] = 1786,
  [2381] = 1790,
  [2382] = 1827,
  [2383] = 2383,
  [2384] = 1591,
  [2385] = 1781,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 1795,
  [2392] = 1818,
  [2393] = 1600,
  [2394] = 1601,
  [2395] = 1579,
  [2396] = 1798,
  [2397] = 1832,
  [2398] = 2398,
  [2399] = 2259,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 1814,
  [2404] = 1607,
  [2405] = 1597,
  [2406] = 1701,
  [2407] = 1586,
  [2408] = 1590,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 1799,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 1800,
  [2419] = 1582,
  [2420] = 1605,
  [2421] = 2168,
  [2422] = 1583,
  [2423] = 2423,
  [2424] = 1584,
  [2425] = 1585,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 1589,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 1831,
  [2449] = 2449,
  [2450] = 1819,
  [2451] = 2451,
  [2452] = 1806,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 1801,
  [2456] = 1802,
  [2457] = 1782,
  [2458] = 1794,
  [2459] = 2459,
  [2460] = 1517,
  [2461] = 1616,
  [2462] = 1574,
  [2463] = 1839,
  [2464] = 1516,
  [2465] = 1646,
  [2466] = 1649,
  [2467] = 2467,
  [2468] = 1884,
  [2469] = 1787,
  [2470] = 2091,
  [2471] = 1647,
  [2472] = 1619,
  [2473] = 1654,
  [2474] = 1889,
  [2475] = 1804,
  [2476] = 1523,
  [2477] = 2477,
  [2478] = 1518,
  [2479] = 1885,
  [2480] = 1519,
  [2481] = 1845,
  [2482] = 1522,
  [2483] = 2128,
  [2484] = 1837,
  [2485] = 1733,
  [2486] = 1734,
  [2487] = 1521,
  [2488] = 1690,
  [2489] = 1854,
  [2490] = 1622,
  [2491] = 1839,
  [2492] = 1856,
  [2493] = 1778,
  [2494] = 2494,
  [2495] = 1837,
  [2496] = 2496,
  [2497] = 1858,
  [2498] = 1877,
  [2499] = 1778,
  [2500] = 2001,
  [2501] = 1516,
  [2502] = 1793,
  [2503] = 1574,
  [2504] = 1625,
  [2505] = 2120,
  [2506] = 2121,
  [2507] = 1517,
  [2508] = 1839,
  [2509] = 1804,
  [2510] = 1519,
  [2511] = 2134,
  [2512] = 2135,
  [2513] = 2138,
  [2514] = 2139,
  [2515] = 1873,
  [2516] = 1701,
  [2517] = 2123,
  [2518] = 1518,
  [2519] = 1885,
  [2520] = 1625,
  [2521] = 2111,
  [2522] = 2141,
  [2523] = 1845,
  [2524] = 1854,
  [2525] = 1646,
  [2526] = 1856,
  [2527] = 2113,
  [2528] = 2115,
  [2529] = 1877,
  [2530] = 1858,
  [2531] = 1837,
  [2532] = 1647,
  [2533] = 1884,
  [2534] = 1787,
  [2535] = 2258,
  [2536] = 1649,
  [2537] = 1885,
  [2538] = 1845,
  [2539] = 1733,
  [2540] = 1858,
  [2541] = 1884,
  [2542] = 1522,
  [2543] = 1521,
  [2544] = 1523,
  [2545] = 1654,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 1854,
  [2549] = 2259,
  [2550] = 1734,
  [2551] = 1856,
  [2552] = 1877,
  [2553] = 1690,
  [2554] = 2106,
  [2555] = 1778,
  [2556] = 1734,
  [2557] = 1519,
  [2558] = 1522,
  [2559] = 1521,
  [2560] = 2560,
  [2561] = 1782,
  [2562] = 1733,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 1574,
  [2566] = 1734,
  [2567] = 242,
  [2568] = 1793,
  [2569] = 1873,
  [2570] = 1523,
  [2571] = 1516,
  [2572] = 260,
  [2573] = 1517,
  [2574] = 1518,
  [2575] = 2259,
  [2576] = 2564,
  [2577] = 2258,
  [2578] = 2128,
  [2579] = 1733,
  [2580] = 1725,
  [2581] = 2564,
  [2582] = 1574,
  [2583] = 1690,
  [2584] = 1841,
  [2585] = 1783,
  [2586] = 1778,
  [2587] = 2587,
  [2588] = 1844,
  [2589] = 1799,
  [2590] = 1779,
  [2591] = 1843,
  [2592] = 1800,
  [2593] = 1690,
  [2594] = 1822,
  [2595] = 1574,
  [2596] = 1835,
  [2597] = 1873,
  [2598] = 2564,
  [2599] = 2599,
  [2600] = 1793,
  [2601] = 1807,
  [2602] = 2602,
  [2603] = 1744,
  [2604] = 1833,
  [2605] = 1649,
  [2606] = 1820,
  [2607] = 1784,
  [2608] = 1821,
  [2609] = 1824,
  [2610] = 1841,
  [2611] = 1809,
  [2612] = 2546,
  [2613] = 1832,
  [2614] = 1785,
  [2615] = 2547,
  [2616] = 1786,
  [2617] = 1790,
  [2618] = 1877,
  [2619] = 1819,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 1793,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 1858,
  [2631] = 1837,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 1884,
  [2638] = 1574,
  [2639] = 1823,
  [2640] = 2640,
  [2641] = 1825,
  [2642] = 1826,
  [2643] = 1827,
  [2644] = 2091,
  [2645] = 2547,
  [2646] = 1781,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 1796,
  [2650] = 1818,
  [2651] = 1798,
  [2652] = 1745,
  [2653] = 1889,
  [2654] = 1646,
  [2655] = 1844,
  [2656] = 2640,
  [2657] = 1783,
  [2658] = 1885,
  [2659] = 1803,
  [2660] = 1808,
  [2661] = 2640,
  [2662] = 1845,
  [2663] = 1831,
  [2664] = 1801,
  [2665] = 1802,
  [2666] = 1806,
  [2667] = 2640,
  [2668] = 1839,
  [2669] = 1654,
  [2670] = 1811,
  [2671] = 1812,
  [2672] = 1835,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2546,
  [2677] = 2640,
  [2678] = 1813,
  [2679] = 2640,
  [2680] = 1795,
  [2681] = 1843,
  [2682] = 1814,
  [2683] = 1836,
  [2684] = 1647,
  [2685] = 1854,
  [2686] = 1805,
  [2687] = 1794,
  [2688] = 1856,
  [2689] = 2640,
  [2690] = 2690,
  [2691] = 1523,
  [2692] = 1516,
  [2693] = 1517,
  [2694] = 1518,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 1734,
  [2698] = 2696,
  [2699] = 2120,
  [2700] = 1778,
  [2701] = 2695,
  [2702] = 2546,
  [2703] = 2690,
  [2704] = 2696,
  [2705] = 2695,
  [2706] = 2696,
  [2707] = 2547,
  [2708] = 2258,
  [2709] = 2695,
  [2710] = 2113,
  [2711] = 2711,
  [2712] = 2121,
  [2713] = 2695,
  [2714] = 2696,
  [2715] = 2259,
  [2716] = 2115,
  [2717] = 2717,
  [2718] = 1521,
  [2719] = 2409,
  [2720] = 2695,
  [2721] = 2386,
  [2722] = 1690,
  [2723] = 2387,
  [2724] = 1889,
  [2725] = 2091,
  [2726] = 1836,
  [2727] = 1889,
  [2728] = 2001,
  [2729] = 1733,
  [2730] = 2372,
  [2731] = 2388,
  [2732] = 2389,
  [2733] = 2134,
  [2734] = 2123,
  [2735] = 2695,
  [2736] = 1524,
  [2737] = 2390,
  [2738] = 2135,
  [2739] = 2696,
  [2740] = 2453,
  [2741] = 1873,
  [2742] = 2106,
  [2743] = 2696,
  [2744] = 2459,
  [2745] = 2111,
  [2746] = 2141,
  [2747] = 2138,
  [2748] = 2139,
  [2749] = 1519,
  [2750] = 2337,
  [2751] = 1522,
  [2752] = 2091,
  [2753] = 2717,
  [2754] = 1799,
  [2755] = 2620,
  [2756] = 1800,
  [2757] = 2757,
  [2758] = 2647,
  [2759] = 1520,
  [2760] = 1807,
  [2761] = 2761,
  [2762] = 1822,
  [2763] = 2761,
  [2764] = 1793,
  [2765] = 1779,
  [2766] = 2757,
  [2767] = 2632,
  [2768] = 1833,
  [2769] = 2761,
  [2770] = 1744,
  [2771] = 2690,
  [2772] = 2633,
  [2773] = 2761,
  [2774] = 2757,
  [2775] = 2621,
  [2776] = 2761,
  [2777] = 2634,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2648,
  [2781] = 2146,
  [2782] = 2147,
  [2783] = 1782,
  [2784] = 2757,
  [2785] = 2117,
  [2786] = 2134,
  [2787] = 2690,
  [2788] = 2120,
  [2789] = 2367,
  [2790] = 1524,
  [2791] = 2128,
  [2792] = 2135,
  [2793] = 2121,
  [2794] = 1841,
  [2795] = 2635,
  [2796] = 2673,
  [2797] = 2624,
  [2798] = 2625,
  [2799] = 2138,
  [2800] = 2139,
  [2801] = 2626,
  [2802] = 1843,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 1793,
  [2806] = 2114,
  [2807] = 2123,
  [2808] = 1804,
  [2809] = 2627,
  [2810] = 2628,
  [2811] = 2629,
  [2812] = 2674,
  [2813] = 2675,
  [2814] = 2106,
  [2815] = 2803,
  [2816] = 2804,
  [2817] = 2804,
  [2818] = 2111,
  [2819] = 2778,
  [2820] = 2141,
  [2821] = 2803,
  [2822] = 2804,
  [2823] = 2778,
  [2824] = 2757,
  [2825] = 2803,
  [2826] = 2803,
  [2827] = 1520,
  [2828] = 2804,
  [2829] = 1787,
  [2830] = 2119,
  [2831] = 1844,
  [2832] = 2804,
  [2833] = 2757,
  [2834] = 2761,
  [2835] = 1835,
  [2836] = 2113,
  [2837] = 2837,
  [2838] = 1725,
  [2839] = 2115,
  [2840] = 2711,
  [2841] = 2803,
  [2842] = 2623,
  [2843] = 2175,
  [2844] = 1809,
  [2845] = 2845,
  [2846] = 1801,
  [2847] = 1786,
  [2848] = 1832,
  [2849] = 2135,
  [2850] = 2690,
  [2851] = 1783,
  [2852] = 2139,
  [2853] = 1814,
  [2854] = 1802,
  [2855] = 1823,
  [2856] = 1825,
  [2857] = 1839,
  [2858] = 1889,
  [2859] = 2111,
  [2860] = 2845,
  [2861] = 2189,
  [2862] = 1840,
  [2863] = 1799,
  [2864] = 1779,
  [2865] = 1819,
  [2866] = 1524,
  [2867] = 2690,
  [2868] = 1800,
  [2869] = 2690,
  [2870] = 2186,
  [2871] = 2871,
  [2872] = 1805,
  [2873] = 2845,
  [2874] = 1803,
  [2875] = 2690,
  [2876] = 2845,
  [2877] = 1794,
  [2878] = 1795,
  [2879] = 2141,
  [2880] = 1796,
  [2881] = 1807,
  [2882] = 1520,
  [2883] = 2845,
  [2884] = 1784,
  [2885] = 2114,
  [2886] = 2690,
  [2887] = 2091,
  [2888] = 1811,
  [2889] = 2845,
  [2890] = 1524,
  [2891] = 1826,
  [2892] = 2134,
  [2893] = 1812,
  [2894] = 2138,
  [2895] = 1820,
  [2896] = 2121,
  [2897] = 1744,
  [2898] = 1827,
  [2899] = 1821,
  [2900] = 2157,
  [2901] = 1824,
  [2902] = 2115,
  [2903] = 1837,
  [2904] = 2181,
  [2905] = 1781,
  [2906] = 2690,
  [2907] = 2147,
  [2908] = 2120,
  [2909] = 2146,
  [2910] = 1831,
  [2911] = 2117,
  [2912] = 2690,
  [2913] = 1806,
  [2914] = 2106,
  [2915] = 1785,
  [2916] = 1836,
  [2917] = 2123,
  [2918] = 1782,
  [2919] = 2167,
  [2920] = 1818,
  [2921] = 1808,
  [2922] = 1833,
  [2923] = 1725,
  [2924] = 1798,
  [2925] = 2119,
  [2926] = 1813,
  [2927] = 2113,
  [2928] = 1790,
  [2929] = 2690,
  [2930] = 1822,
  [2931] = 1820,
  [2932] = 2626,
  [2933] = 2690,
  [2934] = 2135,
  [2935] = 2627,
  [2936] = 2322,
  [2937] = 2628,
  [2938] = 1840,
  [2939] = 2629,
  [2940] = 2628,
  [2941] = 2629,
  [2942] = 2123,
  [2943] = 2186,
  [2944] = 2634,
  [2945] = 2621,
  [2946] = 2106,
  [2947] = 2128,
  [2948] = 2620,
  [2949] = 2322,
  [2950] = 2674,
  [2951] = 2134,
  [2952] = 2120,
  [2953] = 2477,
  [2954] = 1790,
  [2955] = 1803,
  [2956] = 2327,
  [2957] = 1808,
  [2958] = 2958,
  [2959] = 2690,
  [2960] = 2189,
  [2961] = 1831,
  [2962] = 2292,
  [2963] = 2111,
  [2964] = 2141,
  [2965] = 1806,
  [2966] = 2289,
  [2967] = 1801,
  [2968] = 2138,
  [2969] = 1802,
  [2970] = 2620,
  [2971] = 2139,
  [2972] = 2647,
  [2973] = 2167,
  [2974] = 1524,
  [2975] = 2648,
  [2976] = 2976,
  [2977] = 1858,
  [2978] = 2673,
  [2979] = 2674,
  [2980] = 2980,
  [2981] = 2675,
  [2982] = 2690,
  [2983] = 2983,
  [2984] = 2675,
  [2985] = 2633,
  [2986] = 1811,
  [2987] = 1812,
  [2988] = 2285,
  [2989] = 2958,
  [2990] = 2647,
  [2991] = 1813,
  [2992] = 2648,
  [2993] = 2257,
  [2994] = 2157,
  [2995] = 1836,
  [2996] = 2976,
  [2997] = 1884,
  [2998] = 1814,
  [2999] = 1836,
  [3000] = 1520,
  [3001] = 2322,
  [3002] = 2958,
  [3003] = 2323,
  [3004] = 1823,
  [3005] = 1825,
  [3006] = 2322,
  [3007] = 2625,
  [3008] = 2259,
  [3009] = 2181,
  [3010] = 2958,
  [3011] = 2690,
  [3012] = 3012,
  [3013] = 1819,
  [3014] = 2958,
  [3015] = 1826,
  [3016] = 2269,
  [3017] = 2121,
  [3018] = 1805,
  [3019] = 1877,
  [3020] = 2958,
  [3021] = 2958,
  [3022] = 2632,
  [3023] = 1885,
  [3024] = 1845,
  [3025] = 1827,
  [3026] = 2635,
  [3027] = 2175,
  [3028] = 1784,
  [3029] = 2254,
  [3030] = 1785,
  [3031] = 1695,
  [3032] = 1781,
  [3033] = 1783,
  [3034] = 1701,
  [3035] = 1786,
  [3036] = 1818,
  [3037] = 1798,
  [3038] = 2322,
  [3039] = 2623,
  [3040] = 2621,
  [3041] = 2633,
  [3042] = 1809,
  [3043] = 2258,
  [3044] = 3044,
  [3045] = 2632,
  [3046] = 2673,
  [3047] = 2634,
  [3048] = 1832,
  [3049] = 2624,
  [3050] = 1794,
  [3051] = 2980,
  [3052] = 1795,
  [3053] = 2625,
  [3054] = 2626,
  [3055] = 2635,
  [3056] = 1796,
  [3057] = 2318,
  [3058] = 2113,
  [3059] = 2328,
  [3060] = 2115,
  [3061] = 2976,
  [3062] = 2627,
  [3063] = 1854,
  [3064] = 1856,
  [3065] = 2980,
  [3066] = 1821,
  [3067] = 1824,
  [3068] = 2289,
  [3069] = 2976,
  [3070] = 2297,
  [3071] = 2623,
  [3072] = 2624,
  [3073] = 1873,
  [3074] = 2673,
  [3075] = 2158,
  [3076] = 2159,
  [3077] = 2634,
  [3078] = 2001,
  [3079] = 2160,
  [3080] = 3080,
  [3081] = 2257,
  [3082] = 2635,
  [3083] = 2243,
  [3084] = 2322,
  [3085] = 1524,
  [3086] = 2290,
  [3087] = 2169,
  [3088] = 2151,
  [3089] = 2152,
  [3090] = 786,
  [3091] = 1799,
  [3092] = 2779,
  [3093] = 1800,
  [3094] = 2254,
  [3095] = 1807,
  [3096] = 3096,
  [3097] = 2285,
  [3098] = 3098,
  [3099] = 787,
  [3100] = 3098,
  [3101] = 1779,
  [3102] = 2289,
  [3103] = 2409,
  [3104] = 2199,
  [3105] = 1839,
  [3106] = 2156,
  [3107] = 2322,
  [3108] = 786,
  [3109] = 1782,
  [3110] = 1744,
  [3111] = 2451,
  [3112] = 2711,
  [3113] = 3113,
  [3114] = 2220,
  [3115] = 2717,
  [3116] = 3098,
  [3117] = 2983,
  [3118] = 2330,
  [3119] = 2322,
  [3120] = 2269,
  [3121] = 2297,
  [3122] = 2647,
  [3123] = 1701,
  [3124] = 1622,
  [3125] = 3098,
  [3126] = 2327,
  [3127] = 2292,
  [3128] = 1619,
  [3129] = 2451,
  [3130] = 3098,
  [3131] = 2648,
  [3132] = 2323,
  [3133] = 2295,
  [3134] = 2367,
  [3135] = 3135,
  [3136] = 3096,
  [3137] = 3098,
  [3138] = 1616,
  [3139] = 3098,
  [3140] = 2335,
  [3141] = 3098,
  [3142] = 3135,
  [3143] = 3098,
  [3144] = 2711,
  [3145] = 2305,
  [3146] = 2633,
  [3147] = 2620,
  [3148] = 1822,
  [3149] = 3096,
  [3150] = 2621,
  [3151] = 1833,
  [3152] = 1837,
  [3153] = 2373,
  [3154] = 2673,
  [3155] = 2318,
  [3156] = 2623,
  [3157] = 2624,
  [3158] = 2625,
  [3159] = 2626,
  [3160] = 2627,
  [3161] = 2628,
  [3162] = 2690,
  [3163] = 2629,
  [3164] = 2674,
  [3165] = 3165,
  [3166] = 2690,
  [3167] = 2675,
  [3168] = 2198,
  [3169] = 2203,
  [3170] = 2328,
  [3171] = 2373,
  [3172] = 2632,
  [3173] = 2636,
  [3174] = 2297,
  [3175] = 2647,
  [3176] = 2327,
  [3177] = 2292,
  [3178] = 2648,
  [3179] = 2323,
  [3180] = 2620,
  [3181] = 2621,
  [3182] = 2318,
  [3183] = 2623,
  [3184] = 2624,
  [3185] = 2625,
  [3186] = 2626,
  [3187] = 2627,
  [3188] = 2628,
  [3189] = 2629,
  [3190] = 2674,
  [3191] = 2675,
  [3192] = 2328,
  [3193] = 2632,
  [3194] = 2633,
  [3195] = 2634,
  [3196] = 2635,
  [3197] = 787,
  [3198] = 1725,
  [3199] = 2285,
  [3200] = 2717,
  [3201] = 2386,
  [3202] = 2387,
  [3203] = 2388,
  [3204] = 2389,
  [3205] = 2390,
  [3206] = 2459,
  [3207] = 2335,
  [3208] = 1582,
  [3209] = 2442,
  [3210] = 2362,
  [3211] = 133,
  [3212] = 2436,
  [3213] = 1803,
  [3214] = 1808,
  [3215] = 2496,
  [3216] = 1837,
  [3217] = 2443,
  [3218] = 2444,
  [3219] = 2445,
  [3220] = 1646,
  [3221] = 2446,
  [3222] = 2447,
  [3223] = 2001,
  [3224] = 2312,
  [3225] = 1801,
  [3226] = 1802,
  [3227] = 2423,
  [3228] = 1811,
  [3229] = 1812,
  [3230] = 1584,
  [3231] = 1839,
  [3232] = 1585,
  [3233] = 2128,
  [3234] = 1813,
  [3235] = 133,
  [3236] = 1589,
  [3237] = 2287,
  [3238] = 1814,
  [3239] = 1784,
  [3240] = 1785,
  [3241] = 2426,
  [3242] = 1786,
  [3243] = 1790,
  [3244] = 1616,
  [3245] = 1607,
  [3246] = 1805,
  [3247] = 1586,
  [3248] = 1590,
  [3249] = 2451,
  [3250] = 2186,
  [3251] = 2367,
  [3252] = 3252,
  [3253] = 1597,
  [3254] = 1622,
  [3255] = 3255,
  [3256] = 2427,
  [3257] = 3257,
  [3258] = 2168,
  [3259] = 2322,
  [3260] = 1783,
  [3261] = 2428,
  [3262] = 1582,
  [3263] = 2189,
  [3264] = 1583,
  [3265] = 1794,
  [3266] = 1795,
  [3267] = 1796,
  [3268] = 1605,
  [3269] = 1820,
  [3270] = 1821,
  [3271] = 1824,
  [3272] = 2410,
  [3273] = 2429,
  [3274] = 2335,
  [3275] = 2372,
  [3276] = 134,
  [3277] = 1587,
  [3278] = 2411,
  [3279] = 1819,
  [3280] = 2398,
  [3281] = 1809,
  [3282] = 1583,
  [3283] = 1832,
  [3284] = 2373,
  [3285] = 2400,
  [3286] = 2386,
  [3287] = 3255,
  [3288] = 3257,
  [3289] = 2413,
  [3290] = 2711,
  [3291] = 2387,
  [3292] = 2388,
  [3293] = 2220,
  [3294] = 2389,
  [3295] = 1600,
  [3296] = 1649,
  [3297] = 2337,
  [3298] = 2390,
  [3299] = 1601,
  [3300] = 2459,
  [3301] = 2305,
  [3302] = 1579,
  [3303] = 787,
  [3304] = 2430,
  [3305] = 2322,
  [3306] = 2717,
  [3307] = 2431,
  [3308] = 2441,
  [3309] = 2363,
  [3310] = 1605,
  [3311] = 3311,
  [3312] = 786,
  [3313] = 1591,
  [3314] = 2365,
  [3315] = 2243,
  [3316] = 2453,
  [3317] = 2367,
  [3318] = 1654,
  [3319] = 2199,
  [3320] = 2290,
  [3321] = 1586,
  [3322] = 1590,
  [3323] = 2158,
  [3324] = 2401,
  [3325] = 2371,
  [3326] = 2159,
  [3327] = 2160,
  [3328] = 2181,
  [3329] = 134,
  [3330] = 3330,
  [3331] = 2156,
  [3332] = 1823,
  [3333] = 1825,
  [3334] = 2293,
  [3335] = 1826,
  [3336] = 1827,
  [3337] = 1781,
  [3338] = 2169,
  [3339] = 1818,
  [3340] = 2433,
  [3341] = 1798,
  [3342] = 2449,
  [3343] = 2322,
  [3344] = 2402,
  [3345] = 1831,
  [3346] = 2370,
  [3347] = 1619,
  [3348] = 1647,
  [3349] = 1589,
  [3350] = 2289,
  [3351] = 1607,
  [3352] = 1597,
  [3353] = 2414,
  [3354] = 2415,
  [3355] = 1806,
  [3356] = 1587,
  [3357] = 2209,
  [3358] = 2378,
  [3359] = 2175,
  [3360] = 2409,
  [3361] = 1601,
  [3362] = 2258,
  [3363] = 2198,
  [3364] = 2203,
  [3365] = 2151,
  [3366] = 2152,
  [3367] = 2259,
  [3368] = 2383,
  [3369] = 1804,
  [3370] = 2308,
  [3371] = 2317,
  [3372] = 2324,
  [3373] = 2437,
  [3374] = 2367,
  [3375] = 2438,
  [3376] = 1579,
  [3377] = 2439,
  [3378] = 2417,
  [3379] = 2440,
  [3380] = 2454,
  [3381] = 2128,
  [3382] = 1584,
  [3383] = 1787,
  [3384] = 1600,
  [3385] = 1591,
  [3386] = 2435,
  [3387] = 2295,
  [3388] = 2330,
  [3389] = 1585,
  [3390] = 2416,
  [3391] = 2309,
  [3392] = 1836,
  [3393] = 2432,
  [3394] = 2370,
  [3395] = 2312,
  [3396] = 2436,
  [3397] = 2437,
  [3398] = 2633,
  [3399] = 2635,
  [3400] = 1582,
  [3401] = 1583,
  [3402] = 2378,
  [3403] = 2383,
  [3404] = 2362,
  [3405] = 2428,
  [3406] = 2386,
  [3407] = 2625,
  [3408] = 2387,
  [3409] = 2388,
  [3410] = 2389,
  [3411] = 2318,
  [3412] = 2449,
  [3413] = 2626,
  [3414] = 2390,
  [3415] = 2322,
  [3416] = 2459,
  [3417] = 2620,
  [3418] = 2431,
  [3419] = 2337,
  [3420] = 2432,
  [3421] = 1600,
  [3422] = 1601,
  [3423] = 1579,
  [3424] = 2632,
  [3425] = 2627,
  [3426] = 2398,
  [3427] = 2363,
  [3428] = 2453,
  [3429] = 2400,
  [3430] = 2365,
  [3431] = 3431,
  [3432] = 2438,
  [3433] = 2402,
  [3434] = 2439,
  [3435] = 1607,
  [3436] = 1597,
  [3437] = 2441,
  [3438] = 2442,
  [3439] = 2690,
  [3440] = 2443,
  [3441] = 2367,
  [3442] = 2444,
  [3443] = 2367,
  [3444] = 1837,
  [3445] = 1839,
  [3446] = 2690,
  [3447] = 2446,
  [3448] = 1586,
  [3449] = 1590,
  [3450] = 2628,
  [3451] = 2409,
  [3452] = 2168,
  [3453] = 2445,
  [3454] = 1654,
  [3455] = 1840,
  [3456] = 2410,
  [3457] = 2621,
  [3458] = 2411,
  [3459] = 2447,
  [3460] = 2623,
  [3461] = 2423,
  [3462] = 2634,
  [3463] = 2413,
  [3464] = 2367,
  [3465] = 2451,
  [3466] = 2429,
  [3467] = 2426,
  [3468] = 2629,
  [3469] = 2128,
  [3470] = 2414,
  [3471] = 2327,
  [3472] = 2292,
  [3473] = 2433,
  [3474] = 2674,
  [3475] = 2416,
  [3476] = 1625,
  [3477] = 2417,
  [3478] = 1520,
  [3479] = 1605,
  [3480] = 2324,
  [3481] = 2335,
  [3482] = 2690,
  [3483] = 2209,
  [3484] = 1647,
  [3485] = 2430,
  [3486] = 2091,
  [3487] = 1889,
  [3488] = 2371,
  [3489] = 2427,
  [3490] = 2415,
  [3491] = 3491,
  [3492] = 2648,
  [3493] = 2309,
  [3494] = 2624,
  [3495] = 3255,
  [3496] = 2287,
  [3497] = 1524,
  [3498] = 1584,
  [3499] = 2297,
  [3500] = 1585,
  [3501] = 2372,
  [3502] = 2323,
  [3503] = 1589,
  [3504] = 2401,
  [3505] = 1858,
  [3506] = 2675,
  [3507] = 1884,
  [3508] = 2690,
  [3509] = 134,
  [3510] = 1885,
  [3511] = 1845,
  [3512] = 3257,
  [3513] = 2647,
  [3514] = 2440,
  [3515] = 2328,
  [3516] = 1519,
  [3517] = 1854,
  [3518] = 1856,
  [3519] = 2257,
  [3520] = 2435,
  [3521] = 1877,
  [3522] = 2373,
  [3523] = 1522,
  [3524] = 1521,
  [3525] = 1587,
  [3526] = 1523,
  [3527] = 2367,
  [3528] = 1516,
  [3529] = 1517,
  [3530] = 1518,
  [3531] = 2454,
  [3532] = 133,
  [3533] = 2673,
  [3534] = 2293,
  [3535] = 2308,
  [3536] = 2317,
  [3537] = 1591,
  [3538] = 1734,
  [3539] = 3539,
  [3540] = 2120,
  [3541] = 3539,
  [3542] = 2121,
  [3543] = 3543,
  [3544] = 3543,
  [3545] = 3257,
  [3546] = 2717,
  [3547] = 2257,
  [3548] = 3548,
  [3549] = 2134,
  [3550] = 3550,
  [3551] = 2135,
  [3552] = 2290,
  [3553] = 2138,
  [3554] = 2139,
  [3555] = 2123,
  [3556] = 3543,
  [3557] = 2106,
  [3558] = 2111,
  [3559] = 2141,
  [3560] = 2113,
  [3561] = 2115,
  [3562] = 3548,
  [3563] = 1840,
  [3564] = 3564,
  [3565] = 2711,
  [3566] = 1519,
  [3567] = 3564,
  [3568] = 3543,
  [3569] = 1647,
  [3570] = 3570,
  [3571] = 1654,
  [3572] = 3572,
  [3573] = 1522,
  [3574] = 3543,
  [3575] = 3550,
  [3576] = 3543,
  [3577] = 2259,
  [3578] = 3543,
  [3579] = 3548,
  [3580] = 1521,
  [3581] = 3550,
  [3582] = 3582,
  [3583] = 1523,
  [3584] = 2779,
  [3585] = 3585,
  [3586] = 1873,
  [3587] = 3548,
  [3588] = 3539,
  [3589] = 1733,
  [3590] = 3585,
  [3591] = 1778,
  [3592] = 3539,
  [3593] = 3593,
  [3594] = 3543,
  [3595] = 3585,
  [3596] = 3539,
  [3597] = 3585,
  [3598] = 3539,
  [3599] = 3543,
  [3600] = 3585,
  [3601] = 3550,
  [3602] = 3539,
  [3603] = 3564,
  [3604] = 3585,
  [3605] = 3539,
  [3606] = 3585,
  [3607] = 3539,
  [3608] = 3543,
  [3609] = 3543,
  [3610] = 3582,
  [3611] = 2258,
  [3612] = 3572,
  [3613] = 3548,
  [3614] = 1516,
  [3615] = 1690,
  [3616] = 3564,
  [3617] = 3585,
  [3618] = 3550,
  [3619] = 3255,
  [3620] = 3548,
  [3621] = 1517,
  [3622] = 3564,
  [3623] = 1518,
  [3624] = 3550,
  [3625] = 1646,
  [3626] = 3564,
  [3627] = 1524,
  [3628] = 1649,
  [3629] = 3550,
  [3630] = 3582,
  [3631] = 3572,
  [3632] = 3564,
  [3633] = 3543,
  [3634] = 3582,
  [3635] = 3572,
  [3636] = 3550,
  [3637] = 3582,
  [3638] = 3572,
  [3639] = 3564,
  [3640] = 3582,
  [3641] = 3572,
  [3642] = 3550,
  [3643] = 3585,
  [3644] = 3644,
  [3645] = 3564,
  [3646] = 1646,
  [3647] = 1649,
  [3648] = 2417,
  [3649] = 2209,
  [3650] = 1600,
  [3651] = 3651,
  [3652] = 3044,
  [3653] = 3653,
  [3654] = 3651,
  [3655] = 2430,
  [3656] = 1601,
  [3657] = 2431,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3651,
  [3661] = 1579,
  [3662] = 2432,
  [3663] = 1839,
  [3664] = 1587,
  [3665] = 1605,
  [3666] = 1841,
  [3667] = 1837,
  [3668] = 2433,
  [3669] = 2372,
  [3670] = 2429,
  [3671] = 1589,
  [3672] = 2398,
  [3673] = 2378,
  [3674] = 2435,
  [3675] = 2327,
  [3676] = 2383,
  [3677] = 3651,
  [3678] = 1586,
  [3679] = 1844,
  [3680] = 2436,
  [3681] = 1647,
  [3682] = 1524,
  [3683] = 3651,
  [3684] = 1835,
  [3685] = 3651,
  [3686] = 2371,
  [3687] = 2292,
  [3688] = 1654,
  [3689] = 2437,
  [3690] = 2438,
  [3691] = 2439,
  [3692] = 2290,
  [3693] = 1843,
  [3694] = 3651,
  [3695] = 2436,
  [3696] = 1647,
  [3697] = 2337,
  [3698] = 2441,
  [3699] = 3651,
  [3700] = 1590,
  [3701] = 2442,
  [3702] = 3651,
  [3703] = 1591,
  [3704] = 2443,
  [3705] = 2363,
  [3706] = 2444,
  [3707] = 2445,
  [3708] = 2446,
  [3709] = 2400,
  [3710] = 2447,
  [3711] = 2398,
  [3712] = 3651,
  [3713] = 2414,
  [3714] = 2365,
  [3715] = 2328,
  [3716] = 2415,
  [3717] = 2402,
  [3718] = 2297,
  [3719] = 1793,
  [3720] = 3720,
  [3721] = 3651,
  [3722] = 1584,
  [3723] = 1607,
  [3724] = 1582,
  [3725] = 2318,
  [3726] = 1585,
  [3727] = 2168,
  [3728] = 1583,
  [3729] = 1597,
  [3730] = 3255,
  [3731] = 3257,
  [3732] = 1654,
  [3733] = 133,
  [3734] = 3651,
  [3735] = 2427,
  [3736] = 2428,
  [3737] = 134,
  [3738] = 3257,
  [3739] = 2453,
  [3740] = 2429,
  [3741] = 3255,
  [3742] = 2413,
  [3743] = 2410,
  [3744] = 2413,
  [3745] = 2323,
  [3746] = 1646,
  [3747] = 3651,
  [3748] = 1649,
  [3749] = 3012,
  [3750] = 2416,
  [3751] = 2411,
  [3752] = 3651,
  [3753] = 2432,
  [3754] = 2428,
  [3755] = 3755,
  [3756] = 2410,
  [3757] = 3755,
  [3758] = 3255,
  [3759] = 3759,
  [3760] = 2363,
  [3761] = 2258,
  [3762] = 2259,
  [3763] = 2416,
  [3764] = 2437,
  [3765] = 2383,
  [3766] = 3257,
  [3767] = 3759,
  [3768] = 2371,
  [3769] = 2411,
  [3770] = 2415,
  [3771] = 2441,
  [3772] = 2442,
  [3773] = 2414,
  [3774] = 2427,
  [3775] = 3759,
  [3776] = 2417,
  [3777] = 3777,
  [3778] = 2438,
  [3779] = 2439,
  [3780] = 1520,
  [3781] = 3759,
  [3782] = 2779,
  [3783] = 3777,
  [3784] = 1654,
  [3785] = 2431,
  [3786] = 2443,
  [3787] = 2444,
  [3788] = 2091,
  [3789] = 2445,
  [3790] = 3755,
  [3791] = 2446,
  [3792] = 2447,
  [3793] = 3777,
  [3794] = 1647,
  [3795] = 3777,
  [3796] = 1646,
  [3797] = 2001,
  [3798] = 3759,
  [3799] = 2402,
  [3800] = 2400,
  [3801] = 3759,
  [3802] = 2365,
  [3803] = 1889,
  [3804] = 3777,
  [3805] = 3755,
  [3806] = 2435,
  [3807] = 3755,
  [3808] = 2378,
  [3809] = 1649,
  [3810] = 3755,
  [3811] = 3777,
  [3812] = 2433,
  [3813] = 2430,
  [3814] = 1701,
  [3815] = 2175,
  [3816] = 3816,
  [3817] = 2128,
  [3818] = 1844,
  [3819] = 3255,
  [3820] = 1841,
  [3821] = 2115,
  [3822] = 2121,
  [3823] = 2141,
  [3824] = 3816,
  [3825] = 3825,
  [3826] = 1843,
  [3827] = 2186,
  [3828] = 2111,
  [3829] = 2123,
  [3830] = 3311,
  [3831] = 2134,
  [3832] = 2259,
  [3833] = 2189,
  [3834] = 1524,
  [3835] = 3257,
  [3836] = 2135,
  [3837] = 2113,
  [3838] = 1835,
  [3839] = 3825,
  [3840] = 2181,
  [3841] = 2138,
  [3842] = 2120,
  [3843] = 2106,
  [3844] = 2139,
  [3845] = 2258,
  [3846] = 3846,
  [3847] = 3847,
  [3848] = 1782,
  [3849] = 3849,
  [3850] = 3847,
  [3851] = 1725,
  [3852] = 3825,
  [3853] = 3816,
  [3854] = 3854,
  [3855] = 3854,
  [3856] = 3847,
  [3857] = 3846,
  [3858] = 3847,
  [3859] = 3846,
  [3860] = 3846,
  [3861] = 3849,
  [3862] = 3854,
  [3863] = 3849,
  [3864] = 1744,
  [3865] = 3846,
  [3866] = 3847,
  [3867] = 1837,
  [3868] = 3846,
  [3869] = 1839,
  [3870] = 1822,
  [3871] = 3854,
  [3872] = 1833,
  [3873] = 3847,
  [3874] = 3854,
  [3875] = 3255,
  [3876] = 3257,
  [3877] = 1779,
  [3878] = 1799,
  [3879] = 1800,
  [3880] = 3847,
  [3881] = 3846,
  [3882] = 3854,
  [3883] = 3883,
  [3884] = 3849,
  [3885] = 3849,
  [3886] = 1807,
  [3887] = 3849,
  [3888] = 3854,
  [3889] = 3849,
  [3890] = 1824,
  [3891] = 1814,
  [3892] = 2001,
  [3893] = 1831,
  [3894] = 2128,
  [3895] = 1841,
  [3896] = 1806,
  [3897] = 1821,
  [3898] = 2258,
  [3899] = 2259,
  [3900] = 1823,
  [3901] = 1825,
  [3902] = 1813,
  [3903] = 1784,
  [3904] = 1826,
  [3905] = 1827,
  [3906] = 1781,
  [3907] = 3816,
  [3908] = 1818,
  [3909] = 1798,
  [3910] = 1796,
  [3911] = 1520,
  [3912] = 1785,
  [3913] = 2128,
  [3914] = 1812,
  [3915] = 3825,
  [3916] = 1794,
  [3917] = 1837,
  [3918] = 1803,
  [3919] = 1808,
  [3920] = 2315,
  [3921] = 1809,
  [3922] = 1832,
  [3923] = 1786,
  [3924] = 1790,
  [3925] = 1820,
  [3926] = 1801,
  [3927] = 1805,
  [3928] = 3255,
  [3929] = 1839,
  [3930] = 1802,
  [3931] = 3257,
  [3932] = 1819,
  [3933] = 2320,
  [3934] = 1835,
  [3935] = 1811,
  [3936] = 1795,
  [3937] = 1843,
  [3938] = 1844,
  [3939] = 3816,
  [3940] = 3825,
  [3941] = 2624,
  [3942] = 2258,
  [3943] = 2453,
  [3944] = 286,
  [3945] = 3945,
  [3946] = 2625,
  [3947] = 2626,
  [3948] = 2627,
  [3949] = 1844,
  [3950] = 1625,
  [3951] = 2632,
  [3952] = 2628,
  [3953] = 2633,
  [3954] = 1529,
  [3955] = 3955,
  [3956] = 3653,
  [3957] = 2629,
  [3958] = 3958,
  [3959] = 2674,
  [3960] = 2372,
  [3961] = 1841,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 366,
  [3965] = 2675,
  [3966] = 3966,
  [3967] = 3883,
  [3968] = 2634,
  [3969] = 2621,
  [3970] = 3970,
  [3971] = 3825,
  [3972] = 3972,
  [3973] = 3973,
  [3974] = 3966,
  [3975] = 2623,
  [3976] = 266,
  [3977] = 283,
  [3978] = 296,
  [3979] = 3255,
  [3980] = 3257,
  [3981] = 2337,
  [3982] = 1804,
  [3983] = 2635,
  [3984] = 3658,
  [3985] = 3962,
  [3986] = 2647,
  [3987] = 1835,
  [3988] = 3988,
  [3989] = 2259,
  [3990] = 3972,
  [3991] = 278,
  [3992] = 2620,
  [3993] = 3955,
  [3994] = 3963,
  [3995] = 3995,
  [3996] = 2648,
  [3997] = 3945,
  [3998] = 3255,
  [3999] = 3257,
  [4000] = 2673,
  [4001] = 3816,
  [4002] = 3970,
  [4003] = 3958,
  [4004] = 3988,
  [4005] = 1843,
  [4006] = 1787,
  [4007] = 3825,
  [4008] = 1520,
  [4009] = 3955,
  [4010] = 3963,
  [4011] = 3988,
  [4012] = 3257,
  [4013] = 2186,
  [4014] = 3816,
  [4015] = 3255,
  [4016] = 3958,
  [4017] = 2181,
  [4018] = 2189,
  [4019] = 2717,
  [4020] = 4020,
  [4021] = 2175,
  [4022] = 2711,
  [4023] = 3255,
  [4024] = 3257,
  [4025] = 3816,
  [4026] = 4026,
  [4027] = 2209,
  [4028] = 2168,
  [4029] = 3988,
  [4030] = 1877,
  [4031] = 2001,
  [4032] = 2496,
  [4033] = 3963,
  [4034] = 3955,
  [4035] = 1885,
  [4036] = 2467,
  [4037] = 1884,
  [4038] = 1854,
  [4039] = 4039,
  [4040] = 3958,
  [4041] = 3825,
  [4042] = 4042,
  [4043] = 1845,
  [4044] = 4042,
  [4045] = 2711,
  [4046] = 4046,
  [4047] = 2494,
  [4048] = 1856,
  [4049] = 2209,
  [4050] = 1858,
  [4051] = 2168,
  [4052] = 1873,
  [4053] = 4053,
  [4054] = 2717,
  [4055] = 4042,
  [4056] = 4056,
  [4057] = 2258,
  [4058] = 2259,
  [4059] = 4059,
  [4060] = 3955,
  [4061] = 1839,
  [4062] = 2647,
  [4063] = 2633,
  [4064] = 2632,
  [4065] = 2624,
  [4066] = 2625,
  [4067] = 1787,
  [4068] = 3255,
  [4069] = 2626,
  [4070] = 3825,
  [4071] = 2627,
  [4072] = 2635,
  [4073] = 2628,
  [4074] = 2629,
  [4075] = 4075,
  [4076] = 2674,
  [4077] = 2634,
  [4078] = 1837,
  [4079] = 2675,
  [4080] = 2128,
  [4081] = 3958,
  [4082] = 3963,
  [4083] = 3955,
  [4084] = 3816,
  [4085] = 1625,
  [4086] = 3988,
  [4087] = 3963,
  [4088] = 2673,
  [4089] = 1701,
  [4090] = 2621,
  [4091] = 1804,
  [4092] = 1524,
  [4093] = 2623,
  [4094] = 4094,
  [4095] = 4020,
  [4096] = 2648,
  [4097] = 2620,
  [4098] = 3257,
  [4099] = 3958,
  [4100] = 3988,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 2330,
  [4104] = 4102,
  [4105] = 4105,
  [4106] = 1589,
  [4107] = 4101,
  [4108] = 4102,
  [4109] = 4109,
  [4110] = 4109,
  [4111] = 4102,
  [4112] = 1600,
  [4113] = 1601,
  [4114] = 1579,
  [4115] = 4102,
  [4116] = 2189,
  [4117] = 2634,
  [4118] = 4101,
  [4119] = 4109,
  [4120] = 2647,
  [4121] = 2675,
  [4122] = 1605,
  [4123] = 1584,
  [4124] = 4102,
  [4125] = 4046,
  [4126] = 2305,
  [4127] = 2648,
  [4128] = 4128,
  [4129] = 2627,
  [4130] = 4102,
  [4131] = 4128,
  [4132] = 2632,
  [4133] = 1587,
  [4134] = 3988,
  [4135] = 133,
  [4136] = 4136,
  [4137] = 3816,
  [4138] = 3825,
  [4139] = 4139,
  [4140] = 2628,
  [4141] = 2181,
  [4142] = 2629,
  [4143] = 4102,
  [4144] = 2295,
  [4145] = 4101,
  [4146] = 2674,
  [4147] = 4056,
  [4148] = 4148,
  [4149] = 3958,
  [4150] = 4102,
  [4151] = 4136,
  [4152] = 4102,
  [4153] = 4128,
  [4154] = 4102,
  [4155] = 2635,
  [4156] = 3963,
  [4157] = 4157,
  [4158] = 2625,
  [4159] = 4136,
  [4160] = 4102,
  [4161] = 2258,
  [4162] = 4101,
  [4163] = 4109,
  [4164] = 2626,
  [4165] = 4102,
  [4166] = 3955,
  [4167] = 2259,
  [4168] = 1783,
  [4169] = 4102,
  [4170] = 4101,
  [4171] = 4109,
  [4172] = 2633,
  [4173] = 1583,
  [4174] = 4128,
  [4175] = 2186,
  [4176] = 4176,
  [4177] = 4102,
  [4178] = 4128,
  [4179] = 1591,
  [4180] = 4180,
  [4181] = 2620,
  [4182] = 2175,
  [4183] = 1607,
  [4184] = 1597,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4102,
  [4188] = 4188,
  [4189] = 4109,
  [4190] = 134,
  [4191] = 1586,
  [4192] = 1590,
  [4193] = 1585,
  [4194] = 2623,
  [4195] = 4102,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4059,
  [4199] = 1582,
  [4200] = 2001,
  [4201] = 4056,
  [4202] = 4101,
  [4203] = 2673,
  [4204] = 4128,
  [4205] = 2624,
  [4206] = 2621,
  [4207] = 2629,
  [4208] = 2621,
  [4209] = 1778,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 4210,
  [4213] = 1522,
  [4214] = 1524,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 2673,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 3958,
  [4221] = 2623,
  [4222] = 2624,
  [4223] = 2625,
  [4224] = 2626,
  [4225] = 2627,
  [4226] = 2628,
  [4227] = 1845,
  [4228] = 4228,
  [4229] = 2674,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 2675,
  [4233] = 4210,
  [4234] = 4234,
  [4235] = 2620,
  [4236] = 2621,
  [4237] = 2673,
  [4238] = 2623,
  [4239] = 2624,
  [4240] = 2625,
  [4241] = 2626,
  [4242] = 2627,
  [4243] = 2628,
  [4244] = 2629,
  [4245] = 2674,
  [4246] = 2675,
  [4247] = 2323,
  [4248] = 2632,
  [4249] = 2633,
  [4250] = 2634,
  [4251] = 2635,
  [4252] = 4148,
  [4253] = 4230,
  [4254] = 2091,
  [4255] = 1523,
  [4256] = 2647,
  [4257] = 2297,
  [4258] = 2648,
  [4259] = 2632,
  [4260] = 2647,
  [4261] = 2633,
  [4262] = 4231,
  [4263] = 1885,
  [4264] = 2634,
  [4265] = 2647,
  [4266] = 4266,
  [4267] = 2635,
  [4268] = 1733,
  [4269] = 1856,
  [4270] = 1734,
  [4271] = 4216,
  [4272] = 4231,
  [4273] = 3135,
  [4274] = 4274,
  [4275] = 4231,
  [4276] = 3988,
  [4277] = 2648,
  [4278] = 4231,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 3955,
  [4282] = 1690,
  [4283] = 2633,
  [4284] = 2297,
  [4285] = 4285,
  [4286] = 2327,
  [4287] = 1521,
  [4288] = 2292,
  [4289] = 4231,
  [4290] = 2323,
  [4291] = 4075,
  [4292] = 4210,
  [4293] = 1516,
  [4294] = 3995,
  [4295] = 4231,
  [4296] = 4218,
  [4297] = 4297,
  [4298] = 2128,
  [4299] = 4056,
  [4300] = 1517,
  [4301] = 2318,
  [4302] = 4231,
  [4303] = 2621,
  [4304] = 2328,
  [4305] = 2635,
  [4306] = 4216,
  [4307] = 3816,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 1701,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 1877,
  [4314] = 2717,
  [4315] = 4309,
  [4316] = 1858,
  [4317] = 4317,
  [4318] = 4231,
  [4319] = 4231,
  [4320] = 1574,
  [4321] = 2648,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 4210,
  [4325] = 2327,
  [4326] = 4326,
  [4327] = 4210,
  [4328] = 2673,
  [4329] = 2318,
  [4330] = 2623,
  [4331] = 2624,
  [4332] = 2625,
  [4333] = 2626,
  [4334] = 2627,
  [4335] = 2628,
  [4336] = 2629,
  [4337] = 1518,
  [4338] = 2674,
  [4339] = 4216,
  [4340] = 2675,
  [4341] = 2620,
  [4342] = 2292,
  [4343] = 1884,
  [4344] = 4219,
  [4345] = 1745,
  [4346] = 2634,
  [4347] = 4231,
  [4348] = 4230,
  [4349] = 3963,
  [4350] = 4020,
  [4351] = 2632,
  [4352] = 3825,
  [4353] = 4353,
  [4354] = 4231,
  [4355] = 2711,
  [4356] = 4230,
  [4357] = 4231,
  [4358] = 1889,
  [4359] = 4230,
  [4360] = 4360,
  [4361] = 4216,
  [4362] = 2001,
  [4363] = 2620,
  [4364] = 4364,
  [4365] = 1519,
  [4366] = 4210,
  [4367] = 1854,
  [4368] = 1695,
  [4369] = 2328,
  [4370] = 4216,
  [4371] = 2257,
  [4372] = 3963,
  [4373] = 4373,
  [4374] = 1839,
  [4375] = 3825,
  [4376] = 2258,
  [4377] = 2259,
  [4378] = 4378,
  [4379] = 1793,
  [4380] = 1873,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 4373,
  [4385] = 4385,
  [4386] = 2290,
  [4387] = 1695,
  [4388] = 3816,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4391,
  [4392] = 4382,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 4395,
  [4396] = 4393,
  [4397] = 4394,
  [4398] = 3825,
  [4399] = 4385,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 4389,
  [4405] = 4390,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4406,
  [4410] = 4410,
  [4411] = 4407,
  [4412] = 4381,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4381,
  [4417] = 4408,
  [4418] = 4410,
  [4419] = 1745,
  [4420] = 4420,
  [4421] = 4383,
  [4422] = 1839,
  [4423] = 4423,
  [4424] = 4391,
  [4425] = 4382,
  [4426] = 4393,
  [4427] = 4394,
  [4428] = 4401,
  [4429] = 4429,
  [4430] = 4385,
  [4431] = 4401,
  [4432] = 4402,
  [4433] = 1837,
  [4434] = 4389,
  [4435] = 4390,
  [4436] = 4408,
  [4437] = 4410,
  [4438] = 2120,
  [4439] = 2121,
  [4440] = 4415,
  [4441] = 1744,
  [4442] = 4442,
  [4443] = 4391,
  [4444] = 4444,
  [4445] = 2134,
  [4446] = 4382,
  [4447] = 4393,
  [4448] = 4394,
  [4449] = 2135,
  [4450] = 2138,
  [4451] = 2139,
  [4452] = 2717,
  [4453] = 4385,
  [4454] = 4401,
  [4455] = 4402,
  [4456] = 4389,
  [4457] = 4390,
  [4458] = 4408,
  [4459] = 4410,
  [4460] = 4414,
  [4461] = 4415,
  [4462] = 4383,
  [4463] = 4415,
  [4464] = 2123,
  [4465] = 4391,
  [4466] = 4466,
  [4467] = 4382,
  [4468] = 4393,
  [4469] = 4394,
  [4470] = 2106,
  [4471] = 2111,
  [4472] = 2141,
  [4473] = 4385,
  [4474] = 4401,
  [4475] = 4402,
  [4476] = 4389,
  [4477] = 4390,
  [4478] = 4408,
  [4479] = 4479,
  [4480] = 2113,
  [4481] = 4385,
  [4482] = 2115,
  [4483] = 4401,
  [4484] = 4402,
  [4485] = 4389,
  [4486] = 4390,
  [4487] = 4408,
  [4488] = 4488,
  [4489] = 4373,
  [4490] = 4401,
  [4491] = 4402,
  [4492] = 4389,
  [4493] = 4408,
  [4494] = 4401,
  [4495] = 4495,
  [4496] = 4401,
  [4497] = 4413,
  [4498] = 4381,
  [4499] = 4499,
  [4500] = 4402,
  [4501] = 4373,
  [4502] = 4502,
  [4503] = 4381,
  [4504] = 4504,
  [4505] = 4383,
  [4506] = 4373,
  [4507] = 4381,
  [4508] = 4383,
  [4509] = 4403,
  [4510] = 3958,
  [4511] = 3988,
  [4512] = 3955,
  [4513] = 4413,
  [4514] = 4383,
  [4515] = 4373,
  [4516] = 4373,
  [4517] = 4381,
  [4518] = 4383,
  [4519] = 4413,
  [4520] = 4520,
  [4521] = 4413,
  [4522] = 4413,
  [4523] = 4523,
  [4524] = 2711,
  [4525] = 4413,
  [4526] = 4526,
  [4527] = 1701,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4391,
  [4531] = 4378,
  [4532] = 3816,
  [4533] = 4423,
  [4534] = 4423,
  [4535] = 4423,
  [4536] = 4423,
  [4537] = 4423,
  [4538] = 1837,
  [4539] = 1795,
  [4540] = 2402,
  [4541] = 1831,
  [4542] = 1806,
  [4543] = 4543,
  [4544] = 2413,
  [4545] = 1784,
  [4546] = 1785,
  [4547] = 2414,
  [4548] = 1786,
  [4549] = 1790,
  [4550] = 2415,
  [4551] = 1819,
  [4552] = 2416,
  [4553] = 2417,
  [4554] = 1822,
  [4555] = 1823,
  [4556] = 1825,
  [4557] = 2168,
  [4558] = 1839,
  [4559] = 1833,
  [4560] = 1826,
  [4561] = 1827,
  [4562] = 1781,
  [4563] = 1818,
  [4564] = 1798,
  [4565] = 4378,
  [4566] = 4378,
  [4567] = 2410,
  [4568] = 2427,
  [4569] = 2428,
  [4570] = 4570,
  [4571] = 1799,
  [4572] = 1803,
  [4573] = 1808,
  [4574] = 2429,
  [4575] = 1800,
  [4576] = 1801,
  [4577] = 1802,
  [4578] = 2430,
  [4579] = 2431,
  [4580] = 2432,
  [4581] = 2433,
  [4582] = 1807,
  [4583] = 1811,
  [4584] = 1812,
  [4585] = 1813,
  [4586] = 1814,
  [4587] = 2435,
  [4588] = 2436,
  [4589] = 1805,
  [4590] = 2437,
  [4591] = 2438,
  [4592] = 2439,
  [4593] = 1782,
  [4594] = 1794,
  [4595] = 1837,
  [4596] = 1796,
  [4597] = 2442,
  [4598] = 1820,
  [4599] = 2443,
  [4600] = 1821,
  [4601] = 2444,
  [4602] = 1824,
  [4603] = 2445,
  [4604] = 2446,
  [4605] = 2447,
  [4606] = 1809,
  [4607] = 1832,
  [4608] = 2128,
  [4609] = 2372,
  [4610] = 4610,
  [4611] = 2337,
  [4612] = 4612,
  [4613] = 4613,
  [4614] = 2453,
  [4615] = 4610,
  [4616] = 4610,
  [4617] = 4617,
  [4618] = 2411,
  [4619] = 4610,
  [4620] = 4610,
  [4621] = 2363,
  [4622] = 2365,
  [4623] = 4610,
  [4624] = 4610,
  [4625] = 2371,
  [4626] = 2209,
  [4627] = 2378,
  [4628] = 3958,
  [4629] = 3988,
  [4630] = 3955,
  [4631] = 3963,
  [4632] = 2383,
  [4633] = 2398,
  [4634] = 2400,
  [4635] = 2441,
  [4636] = 3988,
  [4637] = 2091,
  [4638] = 3955,
  [4639] = 3963,
  [4640] = 3816,
  [4641] = 4378,
  [4642] = 4642,
  [4643] = 3958,
  [4644] = 4644,
  [4645] = 4378,
  [4646] = 4378,
  [4647] = 4378,
  [4648] = 4648,
  [4649] = 4378,
  [4650] = 2128,
  [4651] = 3988,
  [4652] = 4378,
  [4653] = 4378,
  [4654] = 3825,
  [4655] = 4648,
  [4656] = 4656,
  [4657] = 3963,
  [4658] = 1889,
  [4659] = 4644,
  [4660] = 4642,
  [4661] = 4378,
  [4662] = 4378,
  [4663] = 3988,
  [4664] = 3963,
  [4665] = 2259,
  [4666] = 3955,
  [4667] = 4667,
  [4668] = 2123,
  [4669] = 4669,
  [4670] = 3963,
  [4671] = 2113,
  [4672] = 2134,
  [4673] = 4020,
  [4674] = 2135,
  [4675] = 2259,
  [4676] = 2106,
  [4677] = 2120,
  [4678] = 2121,
  [4679] = 2259,
  [4680] = 3958,
  [4681] = 4681,
  [4682] = 2138,
  [4683] = 2258,
  [4684] = 2001,
  [4685] = 2258,
  [4686] = 2139,
  [4687] = 2258,
  [4688] = 4378,
  [4689] = 4378,
  [4690] = 2111,
  [4691] = 3955,
  [4692] = 4692,
  [4693] = 3958,
  [4694] = 4020,
  [4695] = 3988,
  [4696] = 4378,
  [4697] = 4692,
  [4698] = 4667,
  [4699] = 2141,
  [4700] = 2115,
  [4701] = 1807,
  [4702] = 4378,
  [4703] = 2477,
  [4704] = 1822,
  [4705] = 4692,
  [4706] = 1799,
  [4707] = 1744,
  [4708] = 1800,
  [4709] = 4667,
  [4710] = 1779,
  [4711] = 4667,
  [4712] = 1833,
  [4713] = 1725,
  [4714] = 1782,
  [4715] = 4692,
  [4716] = 4378,
  [4717] = 3988,
  [4718] = 4718,
  [4719] = 3963,
  [4720] = 1785,
  [4721] = 4692,
  [4722] = 1794,
  [4723] = 1783,
  [4724] = 4667,
  [4725] = 4667,
  [4726] = 1809,
  [4727] = 2258,
  [4728] = 2259,
  [4729] = 4667,
  [4730] = 4692,
  [4731] = 1819,
  [4732] = 4667,
  [4733] = 4718,
  [4734] = 4734,
  [4735] = 1823,
  [4736] = 3311,
  [4737] = 1803,
  [4738] = 3955,
  [4739] = 1832,
  [4740] = 4718,
  [4741] = 1808,
  [4742] = 4692,
  [4743] = 1795,
  [4744] = 4734,
  [4745] = 4718,
  [4746] = 4667,
  [4747] = 4667,
  [4748] = 4718,
  [4749] = 4734,
  [4750] = 4734,
  [4751] = 4692,
  [4752] = 1801,
  [4753] = 4718,
  [4754] = 1802,
  [4755] = 4692,
  [4756] = 1786,
  [4757] = 1798,
  [4758] = 4718,
  [4759] = 4692,
  [4760] = 4734,
  [4761] = 4761,
  [4762] = 1811,
  [4763] = 1790,
  [4764] = 1805,
  [4765] = 4734,
  [4766] = 2091,
  [4767] = 4767,
  [4768] = 1796,
  [4769] = 1889,
  [4770] = 1826,
  [4771] = 4667,
  [4772] = 4718,
  [4773] = 1812,
  [4774] = 4734,
  [4775] = 1836,
  [4776] = 3958,
  [4777] = 1827,
  [4778] = 1820,
  [4779] = 1781,
  [4780] = 1813,
  [4781] = 4734,
  [4782] = 4667,
  [4783] = 4718,
  [4784] = 1784,
  [4785] = 4734,
  [4786] = 1821,
  [4787] = 1814,
  [4788] = 1831,
  [4789] = 1806,
  [4790] = 4692,
  [4791] = 4692,
  [4792] = 1824,
  [4793] = 2128,
  [4794] = 1818,
  [4795] = 1825,
  [4796] = 4667,
  [4797] = 1854,
  [4798] = 1856,
  [4799] = 4667,
  [4800] = 1877,
  [4801] = 4692,
  [4802] = 1884,
  [4803] = 1787,
  [4804] = 4378,
  [4805] = 2477,
  [4806] = 4667,
  [4807] = 4692,
  [4808] = 4692,
  [4809] = 4378,
  [4810] = 1885,
  [4811] = 1845,
  [4812] = 4667,
  [4813] = 4692,
  [4814] = 4378,
  [4815] = 1804,
  [4816] = 2477,
  [4817] = 1858,
  [4818] = 4378,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4825,
  [4828] = 4824,
  [4829] = 4829,
  [4830] = 4820,
  [4831] = 4821,
  [4832] = 4832,
  [4833] = 4825,
  [4834] = 4823,
  [4835] = 4825,
  [4836] = 4829,
  [4837] = 4820,
  [4838] = 4829,
  [4839] = 4820,
  [4840] = 4821,
  [4841] = 4821,
  [4842] = 4824,
  [4843] = 4823,
  [4844] = 4825,
  [4845] = 4824,
  [4846] = 4829,
  [4847] = 4820,
  [4848] = 4821,
  [4849] = 4829,
  [4850] = 4820,
  [4851] = 4821,
  [4852] = 4852,
  [4853] = 4829,
  [4854] = 4820,
  [4855] = 4821,
  [4856] = 4829,
  [4857] = 4820,
  [4858] = 4821,
  [4859] = 4829,
  [4860] = 4820,
  [4861] = 4821,
  [4862] = 4829,
  [4863] = 4820,
  [4864] = 4821,
  [4865] = 4829,
  [4866] = 4820,
  [4867] = 4821,
  [4868] = 4829,
  [4869] = 4820,
  [4870] = 4821,
  [4871] = 4829,
  [4872] = 4820,
  [4873] = 4821,
  [4874] = 4829,
  [4875] = 4820,
  [4876] = 4821,
  [4877] = 4824,
  [4878] = 4823,
  [4879] = 4824,
  [4880] = 4829,
  [4881] = 4820,
  [4882] = 4821,
  [4883] = 4825,
  [4884] = 4832,
  [4885] = 4885,
  [4886] = 4822,
  [4887] = 4824,
  [4888] = 4819,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 4824,
  [4892] = 4823,
  [4893] = 4893,
  [4894] = 4692,
  [4895] = 4667,
  [4896] = 4824,
  [4897] = 4885,
  [4898] = 4826,
  [4899] = 4692,
  [4900] = 4667,
  [4901] = 4824,
  [4902] = 4825,
  [4903] = 4829,
  [4904] = 4821,
  [4905] = 4832,
  [4906] = 4885,
  [4907] = 4822,
  [4908] = 4819,
  [4909] = 4889,
  [4910] = 4890,
  [4911] = 4824,
  [4912] = 4912,
  [4913] = 4832,
  [4914] = 4885,
  [4915] = 4822,
  [4916] = 4819,
  [4917] = 4889,
  [4918] = 4890,
  [4919] = 4824,
  [4920] = 4832,
  [4921] = 4885,
  [4922] = 4822,
  [4923] = 4819,
  [4924] = 4889,
  [4925] = 4890,
  [4926] = 4823,
  [4927] = 4829,
  [4928] = 4928,
  [4929] = 4832,
  [4930] = 4885,
  [4931] = 4822,
  [4932] = 4824,
  [4933] = 4824,
  [4934] = 4889,
  [4935] = 4890,
  [4936] = 4824,
  [4937] = 4832,
  [4938] = 4885,
  [4939] = 4822,
  [4940] = 4824,
  [4941] = 4819,
  [4942] = 4889,
  [4943] = 4890,
  [4944] = 4829,
  [4945] = 4820,
  [4946] = 4821,
  [4947] = 2120,
  [4948] = 2121,
  [4949] = 2134,
  [4950] = 2135,
  [4951] = 2138,
  [4952] = 2139,
  [4953] = 2123,
  [4954] = 2106,
  [4955] = 2111,
  [4956] = 2141,
  [4957] = 2113,
  [4958] = 2115,
  [4959] = 4824,
  [4960] = 4829,
  [4961] = 4820,
  [4962] = 4821,
  [4963] = 4820,
  [4964] = 4824,
  [4965] = 4823,
  [4966] = 4823,
  [4967] = 4819,
  [4968] = 4889,
  [4969] = 4890,
  [4970] = 4825,
  [4971] = 4825,
  [4972] = 4972,
  [4973] = 4824,
  [4974] = 4826,
  [4975] = 4826,
  [4976] = 4823,
  [4977] = 4826,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4978,
  [4981] = 4981,
  [4982] = 4979,
  [4983] = 4978,
  [4984] = 4981,
  [4985] = 4981,
  [4986] = 4986,
  [4987] = 4978,
  [4988] = 4988,
  [4989] = 4978,
  [4990] = 4988,
  [4991] = 4978,
  [4992] = 4992,
  [4993] = 2167,
  [4994] = 4994,
  [4995] = 4986,
  [4996] = 4979,
  [4997] = 4981,
  [4998] = 4981,
  [4999] = 4978,
  [5000] = 5000,
  [5001] = 4992,
  [5002] = 5002,
  [5003] = 4978,
  [5004] = 4978,
  [5005] = 4978,
  [5006] = 4986,
  [5007] = 4979,
  [5008] = 4981,
  [5009] = 4978,
  [5010] = 4978,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 4978,
  [5014] = 4978,
  [5015] = 4978,
  [5016] = 4986,
  [5017] = 5011,
  [5018] = 4992,
  [5019] = 5019,
  [5020] = 4992,
  [5021] = 5021,
  [5022] = 4979,
  [5023] = 4979,
  [5024] = 4978,
  [5025] = 4978,
  [5026] = 4981,
  [5027] = 4978,
  [5028] = 4994,
  [5029] = 4979,
  [5030] = 1873,
  [5031] = 3653,
  [5032] = 4992,
  [5033] = 3658,
  [5034] = 4992,
  [5035] = 4988,
  [5036] = 4667,
  [5037] = 4692,
  [5038] = 4994,
  [5039] = 4994,
  [5040] = 5011,
  [5041] = 4667,
  [5042] = 5011,
  [5043] = 4692,
  [5044] = 4692,
  [5045] = 3012,
  [5046] = 4667,
  [5047] = 4692,
  [5048] = 4667,
  [5049] = 4988,
  [5050] = 4994,
  [5051] = 4988,
  [5052] = 4994,
  [5053] = 4994,
  [5054] = 4988,
  [5055] = 5011,
  [5056] = 5011,
  [5057] = 4994,
  [5058] = 3044,
  [5059] = 4994,
  [5060] = 5011,
  [5061] = 4988,
  [5062] = 4988,
  [5063] = 4994,
  [5064] = 4988,
  [5065] = 5011,
  [5066] = 4994,
  [5067] = 4988,
  [5068] = 5011,
  [5069] = 5011,
  [5070] = 4020,
  [5071] = 5011,
  [5072] = 4988,
  [5073] = 4988,
  [5074] = 5011,
  [5075] = 4994,
  [5076] = 5076,
  [5077] = 4994,
  [5078] = 4988,
  [5079] = 4988,
  [5080] = 4994,
  [5081] = 5011,
  [5082] = 4988,
  [5083] = 5011,
  [5084] = 4994,
  [5085] = 5011,
  [5086] = 5076,
  [5087] = 5076,
  [5088] = 5011,
  [5089] = 4988,
  [5090] = 4994,
  [5091] = 5076,
  [5092] = 4994,
  [5093] = 4988,
  [5094] = 5094,
  [5095] = 5011,
  [5096] = 4988,
  [5097] = 4994,
  [5098] = 5011,
  [5099] = 5094,
  [5100] = 5094,
  [5101] = 5101,
  [5102] = 5094,
  [5103] = 5094,
  [5104] = 5094,
  [5105] = 5094,
  [5106] = 5101,
  [5107] = 1695,
  [5108] = 1745,
  [5109] = 5101,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 4994,
  [5114] = 4994,
  [5115] = 4994,
  [5116] = 4988,
  [5117] = 4988,
  [5118] = 5118,
  [5119] = 5112,
  [5120] = 5011,
  [5121] = 5011,
  [5122] = 5011,
  [5123] = 5101,
  [5124] = 4994,
  [5125] = 4988,
  [5126] = 5112,
  [5127] = 4988,
  [5128] = 5011,
  [5129] = 5129,
  [5130] = 5129,
  [5131] = 5129,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5132,
  [5135] = 5133,
  [5136] = 5133,
  [5137] = 5132,
  [5138] = 5129,
  [5139] = 5129,
  [5140] = 5133,
  [5141] = 5141,
  [5142] = 5132,
  [5143] = 5129,
  [5144] = 5144,
  [5145] = 5141,
  [5146] = 5133,
  [5147] = 5101,
  [5148] = 5129,
  [5149] = 5129,
  [5150] = 5132,
  [5151] = 5129,
  [5152] = 5133,
  [5153] = 5133,
  [5154] = 5154,
  [5155] = 5133,
  [5156] = 5129,
  [5157] = 5133,
  [5158] = 5141,
  [5159] = 5133,
  [5160] = 5129,
  [5161] = 5129,
  [5162] = 5129,
  [5163] = 5133,
  [5164] = 5133,
  [5165] = 5132,
  [5166] = 5132,
  [5167] = 5133,
  [5168] = 5129,
  [5169] = 5129,
  [5170] = 5133,
  [5171] = 5132,
  [5172] = 5101,
  [5173] = 5133,
  [5174] = 5132,
  [5175] = 5129,
  [5176] = 5133,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 5177,
  [5180] = 5180,
  [5181] = 5178,
  [5182] = 5182,
  [5183] = 5182,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5178,
  [5187] = 5177,
  [5188] = 5182,
  [5189] = 5178,
  [5190] = 5184,
  [5191] = 5185,
  [5192] = 5177,
  [5193] = 5180,
  [5194] = 5177,
  [5195] = 5178,
  [5196] = 5177,
  [5197] = 5182,
  [5198] = 5184,
  [5199] = 5185,
  [5200] = 5178,
  [5201] = 5177,
  [5202] = 5182,
  [5203] = 5184,
  [5204] = 5185,
  [5205] = 5184,
  [5206] = 5185,
  [5207] = 5180,
  [5208] = 5178,
  [5209] = 5177,
  [5210] = 5178,
  [5211] = 5177,
  [5212] = 5182,
  [5213] = 5182,
  [5214] = 5184,
  [5215] = 5185,
  [5216] = 5178,
  [5217] = 5177,
  [5218] = 5182,
  [5219] = 5184,
  [5220] = 5185,
  [5221] = 5180,
  [5222] = 5178,
  [5223] = 5177,
  [5224] = 5184,
  [5225] = 5185,
  [5226] = 5178,
  [5227] = 5177,
  [5228] = 5182,
  [5229] = 5182,
  [5230] = 5184,
  [5231] = 5185,
  [5232] = 5178,
  [5233] = 5185,
  [5234] = 5182,
  [5235] = 5184,
  [5236] = 5185,
  [5237] = 5178,
  [5238] = 5177,
  [5239] = 5182,
  [5240] = 5240,
  [5241] = 5182,
  [5242] = 5242,
  [5243] = 5184,
  [5244] = 5184,
  [5245] = 5185,
  [5246] = 5184,
  [5247] = 5185,
  [5248] = 5178,
  [5249] = 5177,
  [5250] = 5180,
  [5251] = 5182,
  [5252] = 5184,
  [5253] = 5185,
  [5254] = 5180,
  [5255] = 5180,
  [5256] = 5178,
  [5257] = 5242,
  [5258] = 5178,
  [5259] = 5177,
  [5260] = 5242,
  [5261] = 5182,
  [5262] = 5262,
  [5263] = 5182,
  [5264] = 5185,
  [5265] = 5182,
  [5266] = 5262,
  [5267] = 5184,
  [5268] = 5185,
  [5269] = 5178,
  [5270] = 5177,
  [5271] = 5184,
  [5272] = 5185,
  [5273] = 5118,
  [5274] = 5178,
  [5275] = 5177,
  [5276] = 5182,
  [5277] = 5184,
  [5278] = 5185,
  [5279] = 5111,
  [5280] = 5262,
  [5281] = 5154,
  [5282] = 5101,
  [5283] = 5184,
  [5284] = 5177,
  [5285] = 5285,
  [5286] = 5286,
  [5287] = 5287,
  [5288] = 5288,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 5292,
  [5293] = 5293,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5286,
  [5299] = 5299,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 133,
  [5305] = 5286,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 1582,
  [5312] = 5312,
  [5313] = 2168,
  [5314] = 1583,
  [5315] = 2717,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 5319,
  [5320] = 5320,
  [5321] = 134,
  [5322] = 5322,
  [5323] = 5316,
  [5324] = 5317,
  [5325] = 5319,
  [5326] = 5320,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 5294,
  [5330] = 2168,
  [5331] = 5101,
  [5332] = 5286,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5295,
  [5337] = 2209,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5294,
  [5341] = 5341,
  [5342] = 5342,
  [5343] = 5286,
  [5344] = 5300,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5316,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5317,
  [5353] = 5353,
  [5354] = 5319,
  [5355] = 5355,
  [5356] = 5291,
  [5357] = 5320,
  [5358] = 5295,
  [5359] = 5316,
  [5360] = 5317,
  [5361] = 5319,
  [5362] = 5320,
  [5363] = 5294,
  [5364] = 5364,
  [5365] = 5300,
  [5366] = 5300,
  [5367] = 5286,
  [5368] = 5294,
  [5369] = 1587,
  [5370] = 5370,
  [5371] = 5300,
  [5372] = 1591,
  [5373] = 5355,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 1600,
  [5377] = 1601,
  [5378] = 5294,
  [5379] = 1579,
  [5380] = 5300,
  [5381] = 5286,
  [5382] = 5382,
  [5383] = 5338,
  [5384] = 5291,
  [5385] = 5294,
  [5386] = 5386,
  [5387] = 5355,
  [5388] = 5300,
  [5389] = 5294,
  [5390] = 5300,
  [5391] = 1607,
  [5392] = 5294,
  [5393] = 5286,
  [5394] = 5300,
  [5395] = 5350,
  [5396] = 1597,
  [5397] = 5285,
  [5398] = 5398,
  [5399] = 1586,
  [5400] = 1590,
  [5401] = 5293,
  [5402] = 5402,
  [5403] = 1605,
  [5404] = 5404,
  [5405] = 5286,
  [5406] = 2209,
  [5407] = 5353,
  [5408] = 5350,
  [5409] = 5353,
  [5410] = 5355,
  [5411] = 5291,
  [5412] = 5295,
  [5413] = 1584,
  [5414] = 1585,
  [5415] = 5415,
  [5416] = 5286,
  [5417] = 1589,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 5285,
  [5422] = 5286,
  [5423] = 5402,
  [5424] = 5286,
  [5425] = 5286,
  [5426] = 5353,
  [5427] = 5286,
  [5428] = 5428,
  [5429] = 5420,
  [5430] = 5430,
  [5431] = 5307,
  [5432] = 5310,
  [5433] = 5433,
  [5434] = 5318,
  [5435] = 5333,
  [5436] = 5334,
  [5437] = 5437,
  [5438] = 5339,
  [5439] = 5338,
  [5440] = 5440,
  [5441] = 5346,
  [5442] = 5347,
  [5443] = 5350,
  [5444] = 5348,
  [5445] = 5351,
  [5446] = 5285,
  [5447] = 5402,
  [5448] = 5370,
  [5449] = 5449,
  [5450] = 5450,
  [5451] = 5303,
  [5452] = 5452,
  [5453] = 5322,
  [5454] = 5101,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5452,
  [5458] = 5450,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 5450,
  [5463] = 5327,
  [5464] = 5464,
  [5465] = 5452,
  [5466] = 5455,
  [5467] = 2717,
  [5468] = 5450,
  [5469] = 5469,
  [5470] = 5460,
  [5471] = 2167,
  [5472] = 5341,
  [5473] = 5452,
  [5474] = 5455,
  [5475] = 5452,
  [5476] = 5476,
  [5477] = 5374,
  [5478] = 5292,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5450,
  [5482] = 5459,
  [5483] = 5301,
  [5484] = 5428,
  [5485] = 5309,
  [5486] = 5375,
  [5487] = 5386,
  [5488] = 5452,
  [5489] = 5398,
  [5490] = 5404,
  [5491] = 5415,
  [5492] = 5418,
  [5493] = 5290,
  [5494] = 5494,
  [5495] = 5450,
  [5496] = 5430,
  [5497] = 5316,
  [5498] = 5419,
  [5499] = 5460,
  [5500] = 5461,
  [5501] = 5317,
  [5502] = 5460,
  [5503] = 5319,
  [5504] = 5504,
  [5505] = 5320,
  [5506] = 5455,
  [5507] = 5461,
  [5508] = 5450,
  [5509] = 5316,
  [5510] = 5345,
  [5511] = 5317,
  [5512] = 5319,
  [5513] = 5320,
  [5514] = 5296,
  [5515] = 5320,
  [5516] = 5320,
  [5517] = 5517,
  [5518] = 5517,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5101,
  [5524] = 5317,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5319,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5517,
  [5532] = 5532,
  [5533] = 5319,
  [5534] = 5534,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5517,
  [5542] = 5542,
  [5543] = 5543,
  [5544] = 5544,
  [5545] = 5545,
  [5546] = 5517,
  [5547] = 5547,
  [5548] = 5548,
  [5549] = 5316,
  [5550] = 5316,
  [5551] = 5317,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5316,
  [5557] = 5320,
  [5558] = 5558,
  [5559] = 5101,
  [5560] = 5555,
  [5561] = 786,
  [5562] = 5558,
  [5563] = 5555,
  [5564] = 5558,
  [5565] = 5558,
  [5566] = 2289,
  [5567] = 5555,
  [5568] = 5320,
  [5569] = 1837,
  [5570] = 5558,
  [5571] = 5571,
  [5572] = 5316,
  [5573] = 5316,
  [5574] = 5317,
  [5575] = 5319,
  [5576] = 5320,
  [5577] = 5317,
  [5578] = 5578,
  [5579] = 5555,
  [5580] = 1622,
  [5581] = 5316,
  [5582] = 5317,
  [5583] = 5555,
  [5584] = 5317,
  [5585] = 5319,
  [5586] = 5320,
  [5587] = 5555,
  [5588] = 1839,
  [5589] = 5101,
  [5590] = 5319,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5558,
  [5594] = 5555,
  [5595] = 1616,
  [5596] = 5558,
  [5597] = 5558,
  [5598] = 5555,
  [5599] = 5599,
  [5600] = 5558,
  [5601] = 1619,
  [5602] = 5602,
  [5603] = 5555,
  [5604] = 5604,
  [5605] = 5592,
  [5606] = 5319,
  [5607] = 787,
  [5608] = 5558,
  [5609] = 1589,
  [5610] = 5610,
  [5611] = 2117,
  [5612] = 5612,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5302,
  [5616] = 5350,
  [5617] = 5101,
  [5618] = 5618,
  [5619] = 5320,
  [5620] = 5317,
  [5621] = 5320,
  [5622] = 5622,
  [5623] = 2114,
  [5624] = 5319,
  [5625] = 5355,
  [5626] = 5355,
  [5627] = 5618,
  [5628] = 5291,
  [5629] = 5317,
  [5630] = 5618,
  [5631] = 5631,
  [5632] = 5353,
  [5633] = 2147,
  [5634] = 5618,
  [5635] = 5618,
  [5636] = 5636,
  [5637] = 5295,
  [5638] = 5618,
  [5639] = 1587,
  [5640] = 2209,
  [5641] = 1591,
  [5642] = 2146,
  [5643] = 5316,
  [5644] = 2451,
  [5645] = 5618,
  [5646] = 2373,
  [5647] = 1600,
  [5648] = 1601,
  [5649] = 1579,
  [5650] = 5618,
  [5651] = 5618,
  [5652] = 5652,
  [5653] = 5618,
  [5654] = 1607,
  [5655] = 5655,
  [5656] = 1597,
  [5657] = 1586,
  [5658] = 1590,
  [5659] = 5291,
  [5660] = 5618,
  [5661] = 5316,
  [5662] = 5610,
  [5663] = 5663,
  [5664] = 5612,
  [5665] = 2168,
  [5666] = 5613,
  [5667] = 2167,
  [5668] = 5614,
  [5669] = 5350,
  [5670] = 5618,
  [5671] = 5353,
  [5672] = 1582,
  [5673] = 1605,
  [5674] = 5652,
  [5675] = 1583,
  [5676] = 5618,
  [5677] = 5618,
  [5678] = 1584,
  [5679] = 1585,
  [5680] = 2322,
  [5681] = 5618,
  [5682] = 5319,
  [5683] = 5618,
  [5684] = 5618,
  [5685] = 5101,
  [5686] = 5618,
  [5687] = 5622,
  [5688] = 5437,
  [5689] = 5631,
  [5690] = 133,
  [5691] = 134,
  [5692] = 5655,
  [5693] = 5295,
  [5694] = 2119,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5612,
  [5698] = 5613,
  [5699] = 5699,
  [5700] = 5614,
  [5701] = 5696,
  [5702] = 5702,
  [5703] = 5703,
  [5704] = 5320,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5707,
  [5708] = 1840,
  [5709] = 5707,
  [5710] = 5710,
  [5711] = 5319,
  [5712] = 5712,
  [5713] = 5705,
  [5714] = 5705,
  [5715] = 5696,
  [5716] = 5716,
  [5717] = 5320,
  [5718] = 5707,
  [5719] = 5705,
  [5720] = 5316,
  [5721] = 5721,
  [5722] = 5712,
  [5723] = 5710,
  [5724] = 5696,
  [5725] = 5705,
  [5726] = 5705,
  [5727] = 5712,
  [5728] = 5696,
  [5729] = 5702,
  [5730] = 2157,
  [5731] = 5731,
  [5732] = 5712,
  [5733] = 5696,
  [5734] = 5712,
  [5735] = 5705,
  [5736] = 5696,
  [5737] = 5716,
  [5738] = 5316,
  [5739] = 1524,
  [5740] = 5705,
  [5741] = 5741,
  [5742] = 5705,
  [5743] = 5707,
  [5744] = 5744,
  [5745] = 5703,
  [5746] = 5319,
  [5747] = 5747,
  [5748] = 5317,
  [5749] = 5695,
  [5750] = 5317,
  [5751] = 5744,
  [5752] = 5744,
  [5753] = 5744,
  [5754] = 5744,
  [5755] = 5744,
  [5756] = 5712,
  [5757] = 5744,
  [5758] = 5652,
  [5759] = 5759,
  [5760] = 5622,
  [5761] = 5631,
  [5762] = 5712,
  [5763] = 5655,
  [5764] = 5610,
  [5765] = 5705,
  [5766] = 5766,
  [5767] = 5295,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 5316,
  [5771] = 5317,
  [5772] = 5319,
  [5773] = 5320,
  [5774] = 5525,
  [5775] = 5775,
  [5776] = 5776,
  [5777] = 5519,
  [5778] = 5295,
  [5779] = 5316,
  [5780] = 5317,
  [5781] = 5319,
  [5782] = 5320,
  [5783] = 5540,
  [5784] = 5776,
  [5785] = 5785,
  [5786] = 5355,
  [5787] = 5787,
  [5788] = 5545,
  [5789] = 5789,
  [5790] = 5787,
  [5791] = 2335,
  [5792] = 5529,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 2158,
  [5796] = 2159,
  [5797] = 2160,
  [5798] = 5536,
  [5799] = 2409,
  [5800] = 5548,
  [5801] = 5801,
  [5802] = 5793,
  [5803] = 5291,
  [5804] = 5776,
  [5805] = 5534,
  [5806] = 5776,
  [5807] = 5652,
  [5808] = 5776,
  [5809] = 5787,
  [5810] = 2119,
  [5811] = 2147,
  [5812] = 2169,
  [5813] = 5295,
  [5814] = 5814,
  [5815] = 5793,
  [5816] = 5552,
  [5817] = 5817,
  [5818] = 5353,
  [5819] = 2117,
  [5820] = 2220,
  [5821] = 2146,
  [5822] = 5776,
  [5823] = 2114,
  [5824] = 5787,
  [5825] = 5787,
  [5826] = 5350,
  [5827] = 2168,
  [5828] = 5828,
  [5829] = 5622,
  [5830] = 5830,
  [5831] = 5631,
  [5832] = 5832,
  [5833] = 5793,
  [5834] = 2199,
  [5835] = 5835,
  [5836] = 5793,
  [5837] = 5350,
  [5838] = 5521,
  [5839] = 5655,
  [5840] = 5610,
  [5841] = 5776,
  [5842] = 5787,
  [5843] = 5350,
  [5844] = 5353,
  [5845] = 5612,
  [5846] = 1654,
  [5847] = 5613,
  [5848] = 5614,
  [5849] = 5355,
  [5850] = 5291,
  [5851] = 5787,
  [5852] = 5295,
  [5853] = 2209,
  [5854] = 5553,
  [5855] = 5855,
  [5856] = 5526,
  [5857] = 5542,
  [5858] = 5787,
  [5859] = 2168,
  [5860] = 5547,
  [5861] = 5787,
  [5862] = 5544,
  [5863] = 5355,
  [5864] = 2198,
  [5865] = 2203,
  [5866] = 5543,
  [5867] = 5787,
  [5868] = 2151,
  [5869] = 2152,
  [5870] = 5787,
  [5871] = 5787,
  [5872] = 5522,
  [5873] = 5787,
  [5874] = 5101,
  [5875] = 2386,
  [5876] = 2387,
  [5877] = 2388,
  [5878] = 2389,
  [5879] = 5353,
  [5880] = 2390,
  [5881] = 2459,
  [5882] = 5787,
  [5883] = 5787,
  [5884] = 5787,
  [5885] = 5353,
  [5886] = 5787,
  [5887] = 5527,
  [5888] = 5888,
  [5889] = 5350,
  [5890] = 5890,
  [5891] = 5538,
  [5892] = 5892,
  [5893] = 5520,
  [5894] = 5535,
  [5895] = 5787,
  [5896] = 5291,
  [5897] = 5793,
  [5898] = 5787,
  [5899] = 5793,
  [5900] = 1646,
  [5901] = 5291,
  [5902] = 1649,
  [5903] = 1647,
  [5904] = 5355,
  [5905] = 5905,
  [5906] = 2209,
  [5907] = 2156,
  [5908] = 5908,
  [5909] = 5655,
  [5910] = 5610,
  [5911] = 5612,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 5912,
  [5915] = 5613,
  [5916] = 5913,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5614,
  [5920] = 5614,
  [5921] = 5918,
  [5922] = 5699,
  [5923] = 5912,
  [5924] = 5912,
  [5925] = 5631,
  [5926] = 5913,
  [5927] = 5613,
  [5928] = 5928,
  [5929] = 5928,
  [5930] = 5930,
  [5931] = 5913,
  [5932] = 5928,
  [5933] = 5908,
  [5934] = 5918,
  [5935] = 5908,
  [5936] = 5631,
  [5937] = 5930,
  [5938] = 5913,
  [5939] = 5622,
  [5940] = 5908,
  [5941] = 2157,
  [5942] = 5928,
  [5943] = 5913,
  [5944] = 5928,
  [5945] = 5918,
  [5946] = 5928,
  [5947] = 5913,
  [5948] = 5913,
  [5949] = 5928,
  [5950] = 5612,
  [5951] = 5316,
  [5952] = 5655,
  [5953] = 5652,
  [5954] = 5610,
  [5955] = 5913,
  [5956] = 5317,
  [5957] = 5928,
  [5958] = 5928,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5652,
  [5962] = 5622,
  [5963] = 5913,
  [5964] = 5928,
  [5965] = 5319,
  [5966] = 5320,
  [5967] = 5316,
  [5968] = 5317,
  [5969] = 5319,
  [5970] = 5320,
  [5971] = 5908,
  [5972] = 5972,
  [5973] = 5353,
  [5974] = 5972,
  [5975] = 5316,
  [5976] = 5631,
  [5977] = 5972,
  [5978] = 5316,
  [5979] = 5350,
  [5980] = 5972,
  [5981] = 5317,
  [5982] = 5353,
  [5983] = 5612,
  [5984] = 5319,
  [5985] = 5972,
  [5986] = 5613,
  [5987] = 5355,
  [5988] = 5972,
  [5989] = 2119,
  [5990] = 5972,
  [5991] = 2168,
  [5992] = 5291,
  [5993] = 2147,
  [5994] = 5703,
  [5995] = 5972,
  [5996] = 5695,
  [5997] = 5320,
  [5998] = 5295,
  [5999] = 5655,
  [6000] = 5972,
  [6001] = 5610,
  [6002] = 5972,
  [6003] = 5317,
  [6004] = 5614,
  [6005] = 2146,
  [6006] = 5710,
  [6007] = 6007,
  [6008] = 5972,
  [6009] = 5702,
  [6010] = 2209,
  [6011] = 5291,
  [6012] = 6012,
  [6013] = 5972,
  [6014] = 2114,
  [6015] = 5716,
  [6016] = 5972,
  [6017] = 5295,
  [6018] = 5972,
  [6019] = 3720,
  [6020] = 5319,
  [6021] = 5320,
  [6022] = 5972,
  [6023] = 2117,
  [6024] = 5972,
  [6025] = 5622,
  [6026] = 5972,
  [6027] = 5652,
  [6028] = 6028,
  [6029] = 5972,
  [6030] = 5972,
  [6031] = 6031,
  [6032] = 5350,
  [6033] = 5355,
  [6034] = 5631,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 6038,
  [6039] = 6039,
  [6040] = 5353,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 5612,
  [6045] = 5613,
  [6046] = 6036,
  [6047] = 6036,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 5614,
  [6053] = 5355,
  [6054] = 6054,
  [6055] = 5291,
  [6056] = 5295,
  [6057] = 6038,
  [6058] = 6041,
  [6059] = 6041,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 5652,
  [6063] = 5350,
  [6064] = 6038,
  [6065] = 5614,
  [6066] = 5353,
  [6067] = 6038,
  [6068] = 5355,
  [6069] = 5291,
  [6070] = 5295,
  [6071] = 6039,
  [6072] = 6072,
  [6073] = 5695,
  [6074] = 6039,
  [6075] = 6038,
  [6076] = 6041,
  [6077] = 6041,
  [6078] = 5610,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6039,
  [6084] = 6038,
  [6085] = 5612,
  [6086] = 2209,
  [6087] = 6039,
  [6088] = 6039,
  [6089] = 5702,
  [6090] = 6036,
  [6091] = 5716,
  [6092] = 6039,
  [6093] = 2157,
  [6094] = 2324,
  [6095] = 6041,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 5350,
  [6099] = 2168,
  [6100] = 5703,
  [6101] = 5622,
  [6102] = 6102,
  [6103] = 6036,
  [6104] = 6104,
  [6105] = 6041,
  [6106] = 5631,
  [6107] = 6107,
  [6108] = 6108,
  [6109] = 6109,
  [6110] = 6110,
  [6111] = 6111,
  [6112] = 5710,
  [6113] = 6113,
  [6114] = 6036,
  [6115] = 6115,
  [6116] = 6116,
  [6117] = 6036,
  [6118] = 5655,
  [6119] = 5622,
  [6120] = 6038,
  [6121] = 6121,
  [6122] = 1516,
  [6123] = 6123,
  [6124] = 6121,
  [6125] = 6121,
  [6126] = 6126,
  [6127] = 6121,
  [6128] = 6121,
  [6129] = 6129,
  [6130] = 6121,
  [6131] = 1523,
  [6132] = 6121,
  [6133] = 6133,
  [6134] = 1518,
  [6135] = 5613,
  [6136] = 6121,
  [6137] = 5655,
  [6138] = 6138,
  [6139] = 6121,
  [6140] = 1519,
  [6141] = 5614,
  [6142] = 6121,
  [6143] = 1521,
  [6144] = 6123,
  [6145] = 6145,
  [6146] = 5631,
  [6147] = 6121,
  [6148] = 5612,
  [6149] = 6121,
  [6150] = 6150,
  [6151] = 5610,
  [6152] = 1522,
  [6153] = 6153,
  [6154] = 6154,
  [6155] = 6155,
  [6156] = 1517,
  [6157] = 5652,
  [6158] = 5622,
  [6159] = 6121,
  [6160] = 6160,
  [6161] = 6161,
  [6162] = 5622,
  [6163] = 5631,
  [6164] = 5655,
  [6165] = 5610,
  [6166] = 5612,
  [6167] = 5613,
  [6168] = 6161,
  [6169] = 6161,
  [6170] = 5614,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6161,
  [6174] = 2209,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6161,
  [6178] = 6161,
  [6179] = 6161,
  [6180] = 6176,
  [6181] = 6160,
  [6182] = 6161,
  [6183] = 6183,
  [6184] = 5591,
  [6185] = 6161,
  [6186] = 6171,
  [6187] = 6161,
  [6188] = 6161,
  [6189] = 6161,
  [6190] = 6175,
  [6191] = 6161,
  [6192] = 6161,
  [6193] = 6175,
  [6194] = 6160,
  [6195] = 6171,
  [6196] = 2168,
  [6197] = 6161,
  [6198] = 6160,
  [6199] = 6175,
  [6200] = 6171,
  [6201] = 6161,
  [6202] = 6161,
  [6203] = 6161,
  [6204] = 6176,
  [6205] = 6161,
  [6206] = 6171,
  [6207] = 6161,
  [6208] = 5578,
  [6209] = 5652,
  [6210] = 6176,
  [6211] = 6171,
  [6212] = 6171,
  [6213] = 6161,
  [6214] = 5613,
  [6215] = 6215,
  [6216] = 5768,
  [6217] = 5716,
  [6218] = 6218,
  [6219] = 5769,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 5703,
  [6223] = 6221,
  [6224] = 6224,
  [6225] = 6225,
  [6226] = 5695,
  [6227] = 5789,
  [6228] = 6228,
  [6229] = 5775,
  [6230] = 6230,
  [6231] = 5655,
  [6232] = 5622,
  [6233] = 6233,
  [6234] = 6228,
  [6235] = 5794,
  [6236] = 6236,
  [6237] = 6221,
  [6238] = 6238,
  [6239] = 6220,
  [6240] = 5702,
  [6241] = 6220,
  [6242] = 6242,
  [6243] = 6221,
  [6244] = 6221,
  [6245] = 5652,
  [6246] = 5612,
  [6247] = 6220,
  [6248] = 5610,
  [6249] = 6249,
  [6250] = 5614,
  [6251] = 2322,
  [6252] = 6228,
  [6253] = 6253,
  [6254] = 5591,
  [6255] = 6255,
  [6256] = 5710,
  [6257] = 6221,
  [6258] = 6221,
  [6259] = 6259,
  [6260] = 6228,
  [6261] = 5578,
  [6262] = 5631,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 5613,
  [6266] = 5612,
  [6267] = 2319,
  [6268] = 5622,
  [6269] = 5655,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 5613,
  [6274] = 5622,
  [6275] = 2313,
  [6276] = 6270,
  [6277] = 5655,
  [6278] = 6278,
  [6279] = 5612,
  [6280] = 5610,
  [6281] = 2119,
  [6282] = 2147,
  [6283] = 2322,
  [6284] = 2300,
  [6285] = 2117,
  [6286] = 6272,
  [6287] = 6272,
  [6288] = 6288,
  [6289] = 5631,
  [6290] = 5614,
  [6291] = 6291,
  [6292] = 5614,
  [6293] = 6293,
  [6294] = 6272,
  [6295] = 2114,
  [6296] = 5652,
  [6297] = 5652,
  [6298] = 6271,
  [6299] = 5631,
  [6300] = 6300,
  [6301] = 6270,
  [6302] = 6263,
  [6303] = 6303,
  [6304] = 5610,
  [6305] = 6305,
  [6306] = 6271,
  [6307] = 6270,
  [6308] = 6308,
  [6309] = 6263,
  [6310] = 2146,
  [6311] = 6263,
  [6312] = 6312,
  [6313] = 6271,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 6012,
  [6317] = 6314,
  [6318] = 6314,
  [6319] = 6319,
  [6320] = 6320,
  [6321] = 6315,
  [6322] = 6314,
  [6323] = 2157,
  [6324] = 2322,
  [6325] = 6031,
  [6326] = 6314,
  [6327] = 6327,
  [6328] = 6328,
  [6329] = 6329,
  [6330] = 6330,
  [6331] = 6331,
  [6332] = 6315,
  [6333] = 6333,
  [6334] = 6334,
  [6335] = 6314,
  [6336] = 6336,
  [6337] = 6315,
  [6338] = 6315,
  [6339] = 6339,
  [6340] = 2322,
  [6341] = 6341,
  [6342] = 6342,
  [6343] = 6319,
  [6344] = 6315,
  [6345] = 6345,
  [6346] = 6315,
  [6347] = 6331,
  [6348] = 6348,
  [6349] = 6314,
  [6350] = 6350,
  [6351] = 6320,
  [6352] = 6352,
  [6353] = 6331,
  [6354] = 6348,
  [6355] = 6331,
  [6356] = 6348,
  [6357] = 6331,
  [6358] = 6348,
  [6359] = 6331,
  [6360] = 6348,
  [6361] = 6361,
  [6362] = 6331,
  [6363] = 6348,
  [6364] = 6364,
  [6365] = 6348,
  [6366] = 6007,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 6372,
  [6373] = 5652,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 2322,
  [6377] = 6370,
  [6378] = 6369,
  [6379] = 5622,
  [6380] = 5631,
  [6381] = 5655,
  [6382] = 5610,
  [6383] = 6372,
  [6384] = 6384,
  [6385] = 5612,
  [6386] = 5613,
  [6387] = 6387,
  [6388] = 6388,
  [6389] = 5614,
  [6390] = 6372,
  [6391] = 6391,
  [6392] = 6392,
  [6393] = 6393,
  [6394] = 6374,
  [6395] = 6395,
  [6396] = 6375,
  [6397] = 6370,
  [6398] = 2254,
  [6399] = 6369,
  [6400] = 6391,
  [6401] = 6368,
  [6402] = 6402,
  [6403] = 6403,
  [6404] = 6369,
  [6405] = 6405,
  [6406] = 6395,
  [6407] = 6375,
  [6408] = 6402,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 6411,
  [6412] = 6391,
  [6413] = 6402,
  [6414] = 6403,
  [6415] = 6411,
  [6416] = 6405,
  [6417] = 6395,
  [6418] = 6372,
  [6419] = 6403,
  [6420] = 6371,
  [6421] = 2322,
  [6422] = 6405,
  [6423] = 6369,
  [6424] = 6424,
  [6425] = 6374,
  [6426] = 6426,
  [6427] = 6427,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6435,
  [6436] = 6428,
  [6437] = 6427,
  [6438] = 6429,
  [6439] = 6439,
  [6440] = 6432,
  [6441] = 6433,
  [6442] = 6442,
  [6443] = 6434,
  [6444] = 6444,
  [6445] = 6429,
  [6446] = 6428,
  [6447] = 6447,
  [6448] = 6433,
  [6449] = 6449,
  [6450] = 6434,
  [6451] = 6451,
  [6452] = 6429,
  [6453] = 6428,
  [6454] = 6444,
  [6455] = 6433,
  [6456] = 6456,
  [6457] = 6434,
  [6458] = 6429,
  [6459] = 6433,
  [6460] = 6434,
  [6461] = 6429,
  [6462] = 6433,
  [6463] = 6434,
  [6464] = 6464,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 6429,
  [6468] = 6429,
  [6469] = 6433,
  [6470] = 6434,
  [6471] = 6429,
  [6472] = 6433,
  [6473] = 6429,
  [6474] = 6433,
  [6475] = 6466,
  [6476] = 6476,
  [6477] = 6434,
  [6478] = 6439,
  [6479] = 6432,
  [6480] = 6433,
  [6481] = 6439,
  [6482] = 6432,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6433,
  [6486] = 6456,
  [6487] = 6487,
  [6488] = 6466,
  [6489] = 6464,
  [6490] = 6466,
  [6491] = 6435,
  [6492] = 6451,
  [6493] = 6426,
  [6494] = 6435,
  [6495] = 6466,
  [6496] = 6496,
  [6497] = 6465,
  [6498] = 6465,
  [6499] = 6434,
  [6500] = 6464,
  [6501] = 6429,
  [6502] = 6432,
  [6503] = 6503,
  [6504] = 6496,
  [6505] = 6427,
  [6506] = 6476,
  [6507] = 6507,
  [6508] = 6442,
  [6509] = 6449,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6439,
  [6515] = 6444,
  [6516] = 6432,
  [6517] = 6433,
  [6518] = 6487,
  [6519] = 5591,
  [6520] = 6520,
  [6521] = 6435,
  [6522] = 6429,
  [6523] = 6435,
  [6524] = 6456,
  [6525] = 6525,
  [6526] = 6466,
  [6527] = 6451,
  [6528] = 6447,
  [6529] = 6451,
  [6530] = 6428,
  [6531] = 6435,
  [6532] = 6451,
  [6533] = 6449,
  [6534] = 6520,
  [6535] = 6465,
  [6536] = 6434,
  [6537] = 6444,
  [6538] = 6538,
  [6539] = 6428,
  [6540] = 6464,
  [6541] = 6429,
  [6542] = 6465,
  [6543] = 6465,
  [6544] = 6544,
  [6545] = 6427,
  [6546] = 6439,
  [6547] = 6427,
  [6548] = 6427,
  [6549] = 6432,
  [6550] = 6433,
  [6551] = 6487,
  [6552] = 6442,
  [6553] = 6447,
  [6554] = 6426,
  [6555] = 6444,
  [6556] = 6434,
  [6557] = 6456,
  [6558] = 6456,
  [6559] = 6466,
  [6560] = 6428,
  [6561] = 6435,
  [6562] = 6444,
  [6563] = 6476,
  [6564] = 6520,
  [6565] = 6465,
  [6566] = 6566,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6464,
  [6570] = 6434,
  [6571] = 6426,
  [6572] = 6434,
  [6573] = 6439,
  [6574] = 6427,
  [6575] = 6442,
  [6576] = 6442,
  [6577] = 6577,
  [6578] = 6487,
  [6579] = 6426,
  [6580] = 6447,
  [6581] = 6581,
  [6582] = 6582,
  [6583] = 6429,
  [6584] = 6487,
  [6585] = 6426,
  [6586] = 6426,
  [6587] = 6428,
  [6588] = 6476,
  [6589] = 6449,
  [6590] = 6487,
  [6591] = 6429,
  [6592] = 6439,
  [6593] = 6449,
  [6594] = 6444,
  [6595] = 6432,
  [6596] = 6433,
  [6597] = 6447,
  [6598] = 6434,
  [6599] = 6464,
  [6600] = 6429,
  [6601] = 6433,
  [6602] = 6476,
  [6603] = 6456,
  [6604] = 6466,
  [6605] = 6439,
  [6606] = 6476,
  [6607] = 6432,
  [6608] = 6608,
  [6609] = 6483,
  [6610] = 6433,
  [6611] = 6435,
  [6612] = 6496,
  [6613] = 6451,
  [6614] = 6456,
  [6615] = 6465,
  [6616] = 6449,
  [6617] = 6434,
  [6618] = 6466,
  [6619] = 6464,
  [6620] = 6620,
  [6621] = 6621,
  [6622] = 6622,
  [6623] = 6427,
  [6624] = 6624,
  [6625] = 6427,
  [6626] = 6442,
  [6627] = 6447,
  [6628] = 6439,
  [6629] = 6465,
  [6630] = 6435,
  [6631] = 6465,
  [6632] = 6442,
  [6633] = 6633,
  [6634] = 6483,
  [6635] = 6496,
  [6636] = 6434,
  [6637] = 6447,
  [6638] = 6427,
  [6639] = 6483,
  [6640] = 6496,
  [6641] = 6442,
  [6642] = 6447,
  [6643] = 6428,
  [6644] = 6483,
  [6645] = 6496,
  [6646] = 6428,
  [6647] = 6647,
  [6648] = 6444,
  [6649] = 6444,
  [6650] = 6483,
  [6651] = 6496,
  [6652] = 6429,
  [6653] = 6653,
  [6654] = 6439,
  [6655] = 6429,
  [6656] = 6483,
  [6657] = 6496,
  [6658] = 6432,
  [6659] = 6483,
  [6660] = 6496,
  [6661] = 6661,
  [6662] = 6483,
  [6663] = 6439,
  [6664] = 6439,
  [6665] = 6465,
  [6666] = 6666,
  [6667] = 6442,
  [6668] = 6668,
  [6669] = 6669,
  [6670] = 6447,
  [6671] = 6432,
  [6672] = 6433,
  [6673] = 6434,
  [6674] = 6433,
  [6675] = 6675,
  [6676] = 6520,
  [6677] = 6466,
  [6678] = 6429,
  [6679] = 6432,
  [6680] = 6456,
  [6681] = 6433,
  [6682] = 6476,
  [6683] = 6465,
  [6684] = 6456,
  [6685] = 6487,
  [6686] = 6686,
  [6687] = 6687,
  [6688] = 6688,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6692,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6691,
  [6701] = 6692,
  [6702] = 6693,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 6707,
  [6708] = 6695,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6686,
  [6712] = 6696,
  [6713] = 6697,
  [6714] = 6689,
  [6715] = 6715,
  [6716] = 6695,
  [6717] = 6696,
  [6718] = 6697,
  [6719] = 6688,
  [6720] = 6710,
  [6721] = 6706,
  [6722] = 6695,
  [6723] = 6696,
  [6724] = 6697,
  [6725] = 231,
  [6726] = 6704,
  [6727] = 6686,
  [6728] = 6707,
  [6729] = 6689,
  [6730] = 6730,
  [6731] = 6698,
  [6732] = 6695,
  [6733] = 6696,
  [6734] = 6697,
  [6735] = 6735,
  [6736] = 6736,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6730,
  [6740] = 6688,
  [6741] = 6686,
  [6742] = 6706,
  [6743] = 6689,
  [6744] = 6695,
  [6745] = 6696,
  [6746] = 6697,
  [6747] = 6747,
  [6748] = 6695,
  [6749] = 6696,
  [6750] = 6697,
  [6751] = 6751,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6686,
  [6755] = 6755,
  [6756] = 6689,
  [6757] = 6695,
  [6758] = 6696,
  [6759] = 6697,
  [6760] = 6760,
  [6761] = 6698,
  [6762] = 6762,
  [6763] = 6763,
  [6764] = 6687,
  [6765] = 6762,
  [6766] = 6736,
  [6767] = 6686,
  [6768] = 6689,
  [6769] = 6695,
  [6770] = 6696,
  [6771] = 6697,
  [6772] = 6763,
  [6773] = 6773,
  [6774] = 6686,
  [6775] = 6689,
  [6776] = 6695,
  [6777] = 6696,
  [6778] = 6697,
  [6779] = 6762,
  [6780] = 6763,
  [6781] = 6773,
  [6782] = 6762,
  [6783] = 6763,
  [6784] = 6686,
  [6785] = 6785,
  [6786] = 6689,
  [6787] = 6695,
  [6788] = 6696,
  [6789] = 6697,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6686,
  [6793] = 6747,
  [6794] = 6689,
  [6795] = 6695,
  [6796] = 6696,
  [6797] = 6697,
  [6798] = 6753,
  [6799] = 6799,
  [6800] = 6800,
  [6801] = 6686,
  [6802] = 6747,
  [6803] = 6803,
  [6804] = 6689,
  [6805] = 6695,
  [6806] = 6696,
  [6807] = 6697,
  [6808] = 6753,
  [6809] = 6686,
  [6810] = 6810,
  [6811] = 6686,
  [6812] = 6686,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6800,
  [6816] = 6816,
  [6817] = 6817,
  [6818] = 6803,
  [6819] = 6819,
  [6820] = 6694,
  [6821] = 6225,
  [6822] = 6773,
  [6823] = 6752,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6747,
  [6828] = 6753,
  [6829] = 6829,
  [6830] = 6695,
  [6831] = 6831,
  [6832] = 6686,
  [6833] = 6833,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 2322,
  [6838] = 6800,
  [6839] = 6803,
  [6840] = 6686,
  [6841] = 6686,
  [6842] = 6842,
  [6843] = 6686,
  [6844] = 6844,
  [6845] = 6698,
  [6846] = 6846,
  [6847] = 6847,
  [6848] = 6698,
  [6849] = 6849,
  [6850] = 6850,
  [6851] = 6851,
  [6852] = 6689,
  [6853] = 6853,
  [6854] = 6751,
  [6855] = 6855,
  [6856] = 6715,
  [6857] = 6857,
  [6858] = 6715,
  [6859] = 6859,
  [6860] = 6735,
  [6861] = 6829,
  [6862] = 6791,
  [6863] = 6863,
  [6864] = 6696,
  [6865] = 6813,
  [6866] = 6866,
  [6867] = 6694,
  [6868] = 6694,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6773,
  [6872] = 6737,
  [6873] = 6752,
  [6874] = 6686,
  [6875] = 6686,
  [6876] = 6800,
  [6877] = 6687,
  [6878] = 6773,
  [6879] = 6697,
  [6880] = 6735,
  [6881] = 6737,
  [6882] = 6791,
  [6883] = 6752,
  [6884] = 6687,
  [6885] = 6791,
  [6886] = 6886,
  [6887] = 6887,
  [6888] = 6888,
  [6889] = 6889,
  [6890] = 6846,
  [6891] = 6737,
  [6892] = 6689,
  [6893] = 6893,
  [6894] = 6691,
  [6895] = 6692,
  [6896] = 6693,
  [6897] = 6736,
  [6898] = 6898,
  [6899] = 6813,
  [6900] = 6814,
  [6901] = 6710,
  [6902] = 6715,
  [6903] = 6738,
  [6904] = 6737,
  [6905] = 6752,
  [6906] = 6906,
  [6907] = 6752,
  [6908] = 230,
  [6909] = 6829,
  [6910] = 6910,
  [6911] = 6691,
  [6912] = 6704,
  [6913] = 6705,
  [6914] = 6707,
  [6915] = 6846,
  [6916] = 6916,
  [6917] = 6917,
  [6918] = 6689,
  [6919] = 6688,
  [6920] = 6706,
  [6921] = 6695,
  [6922] = 6696,
  [6923] = 6697,
  [6924] = 6803,
  [6925] = 6698,
  [6926] = 6926,
  [6927] = 6846,
  [6928] = 6735,
  [6929] = 6736,
  [6930] = 6813,
  [6931] = 6688,
  [6932] = 6825,
  [6933] = 6689,
  [6934] = 6850,
  [6935] = 6692,
  [6936] = 6693,
  [6937] = 6813,
  [6938] = 6814,
  [6939] = 6939,
  [6940] = 6762,
  [6941] = 6763,
  [6942] = 6942,
  [6943] = 6943,
  [6944] = 6944,
  [6945] = 6747,
  [6946] = 6753,
  [6947] = 6829,
  [6948] = 6691,
  [6949] = 6692,
  [6950] = 6693,
  [6951] = 6800,
  [6952] = 6803,
  [6953] = 6850,
  [6954] = 6954,
  [6955] = 6898,
  [6956] = 6956,
  [6957] = 6957,
  [6958] = 6814,
  [6959] = 6691,
  [6960] = 6960,
  [6961] = 6692,
  [6962] = 6962,
  [6963] = 6693,
  [6964] = 6710,
  [6965] = 6829,
  [6966] = 6898,
  [6967] = 6967,
  [6968] = 6691,
  [6969] = 6969,
  [6970] = 6814,
  [6971] = 6710,
  [6972] = 6791,
  [6973] = 6692,
  [6974] = 6829,
  [6975] = 6975,
  [6976] = 6738,
  [6977] = 6977,
  [6978] = 6978,
  [6979] = 6693,
  [6980] = 6704,
  [6981] = 6813,
  [6982] = 6814,
  [6983] = 6983,
  [6984] = 6829,
  [6985] = 6715,
  [6986] = 6986,
  [6987] = 6987,
  [6988] = 6846,
  [6989] = 6831,
  [6990] = 6814,
  [6991] = 6991,
  [6992] = 6814,
  [6993] = 6898,
  [6994] = 6688,
  [6995] = 6706,
  [6996] = 6814,
  [6997] = 6695,
  [6998] = 6814,
  [6999] = 6814,
  [7000] = 6694,
  [7001] = 6696,
  [7002] = 6697,
  [7003] = 6850,
  [7004] = 7004,
  [7005] = 6773,
  [7006] = 7006,
  [7007] = 6698,
  [7008] = 6686,
  [7009] = 6736,
  [7010] = 7010,
  [7011] = 6710,
  [7012] = 6737,
  [7013] = 6752,
  [7014] = 6762,
  [7015] = 6763,
  [7016] = 6791,
  [7017] = 6737,
  [7018] = 6846,
  [7019] = 6747,
  [7020] = 6689,
  [7021] = 6753,
  [7022] = 6800,
  [7023] = 6691,
  [7024] = 6692,
  [7025] = 6693,
  [7026] = 7026,
  [7027] = 6710,
  [7028] = 6715,
  [7029] = 6704,
  [7030] = 6706,
  [7031] = 6707,
  [7032] = 6688,
  [7033] = 6706,
  [7034] = 6695,
  [7035] = 6696,
  [7036] = 6697,
  [7037] = 7037,
  [7038] = 6831,
  [7039] = 7039,
  [7040] = 6698,
  [7041] = 6715,
  [7042] = 6736,
  [7043] = 6694,
  [7044] = 6751,
  [7045] = 6814,
  [7046] = 6715,
  [7047] = 7047,
  [7048] = 7048,
  [7049] = 6762,
  [7050] = 6763,
  [7051] = 7051,
  [7052] = 6694,
  [7053] = 7053,
  [7054] = 6747,
  [7055] = 6753,
  [7056] = 6800,
  [7057] = 6803,
  [7058] = 6704,
  [7059] = 7059,
  [7060] = 7060,
  [7061] = 6705,
  [7062] = 6846,
  [7063] = 6773,
  [7064] = 7064,
  [7065] = 6686,
  [7066] = 6736,
  [7067] = 6704,
  [7068] = 6689,
  [7069] = 6694,
  [7070] = 6705,
  [7071] = 6773,
  [7072] = 6707,
  [7073] = 6689,
  [7074] = 7074,
  [7075] = 6737,
  [7076] = 6707,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7079,
  [7080] = 7080,
  [7081] = 7081,
  [7082] = 7082,
  [7083] = 7083,
  [7084] = 7078,
  [7085] = 7085,
  [7086] = 7086,
  [7087] = 2432,
  [7088] = 7088,
  [7089] = 7089,
  [7090] = 7086,
  [7091] = 7091,
  [7092] = 7092,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 7095,
  [7096] = 7096,
  [7097] = 7097,
  [7098] = 7088,
  [7099] = 7099,
  [7100] = 7100,
  [7101] = 7101,
  [7102] = 7095,
  [7103] = 7103,
  [7104] = 7104,
  [7105] = 7089,
  [7106] = 7106,
  [7107] = 7097,
  [7108] = 7108,
  [7109] = 7109,
  [7110] = 7110,
  [7111] = 7111,
  [7112] = 7083,
  [7113] = 7113,
  [7114] = 2431,
  [7115] = 7115,
  [7116] = 7116,
  [7117] = 7097,
  [7118] = 7118,
  [7119] = 7103,
  [7120] = 7097,
  [7121] = 7082,
  [7122] = 7079,
  [7123] = 7123,
  [7124] = 7124,
  [7125] = 7082,
  [7126] = 7083,
  [7127] = 7127,
  [7128] = 7079,
  [7129] = 7129,
  [7130] = 7079,
  [7131] = 7131,
  [7132] = 7132,
  [7133] = 7133,
  [7134] = 7108,
  [7135] = 7088,
  [7136] = 7132,
  [7137] = 7088,
  [7138] = 7132,
  [7139] = 7139,
  [7140] = 7108,
  [7141] = 7083,
  [7142] = 7079,
  [7143] = 7143,
  [7144] = 7091,
  [7145] = 7145,
  [7146] = 7132,
  [7147] = 7082,
  [7148] = 7148,
  [7149] = 7149,
  [7150] = 7078,
  [7151] = 7143,
  [7152] = 7097,
  [7153] = 7078,
  [7154] = 7079,
  [7155] = 7155,
  [7156] = 7156,
  [7157] = 7157,
  [7158] = 7158,
  [7159] = 7127,
  [7160] = 7089,
  [7161] = 7086,
  [7162] = 7162,
  [7163] = 7103,
  [7164] = 7164,
  [7165] = 7079,
  [7166] = 7083,
  [7167] = 7079,
  [7168] = 7133,
  [7169] = 7169,
  [7170] = 7095,
  [7171] = 7131,
  [7172] = 7108,
  [7173] = 7173,
  [7174] = 7089,
  [7175] = 7139,
  [7176] = 7156,
  [7177] = 7127,
  [7178] = 7079,
  [7179] = 7113,
  [7180] = 7086,
  [7181] = 7097,
  [7182] = 7086,
  [7183] = 7108,
  [7184] = 7078,
  [7185] = 2438,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7188,
  [7189] = 7189,
  [7190] = 7078,
  [7191] = 2439,
  [7192] = 7133,
  [7193] = 7162,
  [7194] = 7148,
  [7195] = 7104,
  [7196] = 7106,
  [7197] = 7091,
  [7198] = 7079,
  [7199] = 7093,
  [7200] = 7089,
  [7201] = 7088,
  [7202] = 7103,
  [7203] = 7096,
  [7204] = 7204,
  [7205] = 7205,
  [7206] = 7143,
  [7207] = 7099,
  [7208] = 7086,
  [7209] = 7089,
  [7210] = 7086,
  [7211] = 7123,
  [7212] = 7148,
  [7213] = 7213,
  [7214] = 7148,
  [7215] = 7103,
  [7216] = 7133,
  [7217] = 7162,
  [7218] = 7097,
  [7219] = 7079,
  [7220] = 7220,
  [7221] = 7162,
  [7222] = 7173,
  [7223] = 7079,
  [7224] = 7139,
  [7225] = 7127,
  [7226] = 7113,
  [7227] = 7227,
  [7228] = 7097,
  [7229] = 7186,
  [7230] = 7187,
  [7231] = 7188,
  [7232] = 7103,
  [7233] = 7233,
  [7234] = 7091,
  [7235] = 7093,
  [7236] = 7096,
  [7237] = 7189,
  [7238] = 7099,
  [7239] = 7239,
  [7240] = 7097,
  [7241] = 7241,
  [7242] = 7242,
  [7243] = 7243,
  [7244] = 7244,
  [7245] = 7088,
  [7246] = 7173,
  [7247] = 7139,
  [7248] = 7113,
  [7249] = 7103,
  [7250] = 7186,
  [7251] = 7187,
  [7252] = 7132,
  [7253] = 2441,
  [7254] = 7091,
  [7255] = 7093,
  [7256] = 7082,
  [7257] = 7079,
  [7258] = 7096,
  [7259] = 7099,
  [7260] = 7094,
  [7261] = 7261,
  [7262] = 7156,
  [7263] = 7173,
  [7264] = 7213,
  [7265] = 7113,
  [7266] = 7086,
  [7267] = 7267,
  [7268] = 7186,
  [7269] = 7213,
  [7270] = 7189,
  [7271] = 7189,
  [7272] = 7093,
  [7273] = 7273,
  [7274] = 7095,
  [7275] = 7096,
  [7276] = 7276,
  [7277] = 7099,
  [7278] = 7097,
  [7279] = 7173,
  [7280] = 7113,
  [7281] = 7127,
  [7282] = 7186,
  [7283] = 7088,
  [7284] = 7284,
  [7285] = 7093,
  [7286] = 7096,
  [7287] = 2442,
  [7288] = 7131,
  [7289] = 7082,
  [7290] = 7173,
  [7291] = 7078,
  [7292] = 7113,
  [7293] = 7186,
  [7294] = 7123,
  [7295] = 7093,
  [7296] = 7103,
  [7297] = 7186,
  [7298] = 7095,
  [7299] = 7186,
  [7300] = 7156,
  [7301] = 7162,
  [7302] = 7089,
  [7303] = 7148,
  [7304] = 7304,
  [7305] = 7108,
  [7306] = 7096,
  [7307] = 7187,
  [7308] = 7132,
  [7309] = 7097,
  [7310] = 7143,
  [7311] = 7220,
  [7312] = 7083,
  [7313] = 7079,
  [7314] = 7108,
  [7315] = 7188,
  [7316] = 7188,
  [7317] = 7156,
  [7318] = 7097,
  [7319] = 7078,
  [7320] = 2415,
  [7321] = 7089,
  [7322] = 7086,
  [7323] = 7173,
  [7324] = 7189,
  [7325] = 7325,
  [7326] = 7093,
  [7327] = 7189,
  [7328] = 7173,
  [7329] = 7148,
  [7330] = 7082,
  [7331] = 7139,
  [7332] = 7089,
  [7333] = 7086,
  [7334] = 7104,
  [7335] = 7103,
  [7336] = 7088,
  [7337] = 7187,
  [7338] = 7123,
  [7339] = 7103,
  [7340] = 7127,
  [7341] = 7213,
  [7342] = 7148,
  [7343] = 7113,
  [7344] = 7103,
  [7345] = 7083,
  [7346] = 2444,
  [7347] = 2445,
  [7348] = 7097,
  [7349] = 7162,
  [7350] = 7082,
  [7351] = 2447,
  [7352] = 7094,
  [7353] = 7097,
  [7354] = 7354,
  [7355] = 7148,
  [7356] = 7089,
  [7357] = 7086,
  [7358] = 7082,
  [7359] = 7359,
  [7360] = 7325,
  [7361] = 7094,
  [7362] = 7082,
  [7363] = 7097,
  [7364] = 7089,
  [7365] = 7086,
  [7366] = 7103,
  [7367] = 7367,
  [7368] = 7082,
  [7369] = 7099,
  [7370] = 7104,
  [7371] = 7082,
  [7372] = 7372,
  [7373] = 7188,
  [7374] = 7186,
  [7375] = 7186,
  [7376] = 7078,
  [7377] = 7106,
  [7378] = 7108,
  [7379] = 7123,
  [7380] = 7187,
  [7381] = 7381,
  [7382] = 7079,
  [7383] = 7189,
  [7384] = 7104,
  [7385] = 7094,
  [7386] = 7386,
  [7387] = 7079,
  [7388] = 7094,
  [7389] = 7104,
  [7390] = 7188,
  [7391] = 7106,
  [7392] = 7088,
  [7393] = 7131,
  [7394] = 7325,
  [7395] = 7132,
  [7396] = 7088,
  [7397] = 7095,
  [7398] = 7325,
  [7399] = 7089,
  [7400] = 7325,
  [7401] = 7078,
  [7402] = 7325,
  [7403] = 7097,
  [7404] = 7325,
  [7405] = 7325,
  [7406] = 7325,
  [7407] = 7325,
  [7408] = 7325,
  [7409] = 7325,
  [7410] = 7325,
  [7411] = 7325,
  [7412] = 7325,
  [7413] = 7325,
  [7414] = 7325,
  [7415] = 7108,
  [7416] = 7094,
  [7417] = 7417,
  [7418] = 7418,
  [7419] = 7419,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7425,
  [7426] = 7426,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7429,
  [7430] = 7430,
  [7431] = 7420,
  [7432] = 7422,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7417,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7443,
  [7444] = 7444,
  [7445] = 7445,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7448,
  [7449] = 7449,
  [7450] = 7450,
  [7451] = 7440,
  [7452] = 7448,
  [7453] = 7453,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7429,
  [7461] = 7461,
  [7462] = 7418,
  [7463] = 7463,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7434,
  [7471] = 7417,
  [7472] = 7472,
  [7473] = 7429,
  [7474] = 7461,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7433,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7465,
  [7482] = 7476,
  [7483] = 7450,
  [7484] = 7484,
  [7485] = 7485,
  [7486] = 7486,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7489,
  [7490] = 7479,
  [7491] = 7476,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7468,
  [7496] = 7489,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7430,
  [7500] = 7500,
  [7501] = 7420,
  [7502] = 7502,
  [7503] = 7418,
  [7504] = 7448,
  [7505] = 7488,
  [7506] = 7506,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7479,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 7476,
  [7513] = 7508,
  [7514] = 7514,
  [7515] = 7515,
  [7516] = 7516,
  [7517] = 7517,
  [7518] = 7518,
  [7519] = 7480,
  [7520] = 7429,
  [7521] = 7492,
  [7522] = 7522,
  [7523] = 7492,
  [7524] = 7426,
  [7525] = 7525,
  [7526] = 7526,
  [7527] = 7461,
  [7528] = 7418,
  [7529] = 7515,
  [7530] = 7530,
  [7531] = 7508,
  [7532] = 7532,
  [7533] = 7461,
  [7534] = 7534,
  [7535] = 7525,
  [7536] = 7536,
  [7537] = 7487,
  [7538] = 7418,
  [7539] = 7517,
  [7540] = 7479,
  [7541] = 7422,
  [7542] = 7542,
  [7543] = 7420,
  [7544] = 7422,
  [7545] = 7433,
  [7546] = 7546,
  [7547] = 7487,
  [7548] = 7449,
  [7549] = 7549,
  [7550] = 7550,
  [7551] = 7551,
  [7552] = 7440,
  [7553] = 7553,
  [7554] = 7480,
  [7555] = 7555,
  [7556] = 7536,
  [7557] = 7457,
  [7558] = 7558,
  [7559] = 7442,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7466,
  [7563] = 7427,
  [7564] = 7459,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7446,
  [7569] = 7569,
  [7570] = 5341,
  [7571] = 7434,
  [7572] = 7417,
  [7573] = 7573,
  [7574] = 7453,
  [7575] = 7575,
  [7576] = 7486,
  [7577] = 7577,
  [7578] = 7578,
  [7579] = 7579,
  [7580] = 7497,
  [7581] = 7581,
  [7582] = 7546,
  [7583] = 7502,
  [7584] = 7439,
  [7585] = 7507,
  [7586] = 7480,
  [7587] = 7420,
  [7588] = 7588,
  [7589] = 7589,
  [7590] = 7439,
  [7591] = 7514,
  [7592] = 7592,
  [7593] = 7429,
  [7594] = 7476,
  [7595] = 7595,
  [7596] = 7522,
  [7597] = 7532,
  [7598] = 7461,
  [7599] = 7454,
  [7600] = 7418,
  [7601] = 7424,
  [7602] = 7427,
  [7603] = 7603,
  [7604] = 7604,
  [7605] = 7532,
  [7606] = 7525,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 7609,
  [7610] = 7430,
  [7611] = 7611,
  [7612] = 7422,
  [7613] = 7433,
  [7614] = 7614,
  [7615] = 7615,
  [7616] = 7433,
  [7617] = 7617,
  [7618] = 7430,
  [7619] = 7440,
  [7620] = 7620,
  [7621] = 7448,
  [7622] = 7429,
  [7623] = 7623,
  [7624] = 7439,
  [7625] = 7436,
  [7626] = 7578,
  [7627] = 7588,
  [7628] = 7459,
  [7629] = 7546,
  [7630] = 7630,
  [7631] = 7468,
  [7632] = 7454,
  [7633] = 7633,
  [7634] = 7434,
  [7635] = 7417,
  [7636] = 7636,
  [7637] = 7497,
  [7638] = 7449,
  [7639] = 7573,
  [7640] = 7640,
  [7641] = 7641,
  [7642] = 7418,
  [7643] = 7643,
  [7644] = 7514,
  [7645] = 7532,
  [7646] = 7577,
  [7647] = 7467,
  [7648] = 7449,
  [7649] = 7595,
  [7650] = 7522,
  [7651] = 7437,
  [7652] = 5327,
  [7653] = 7428,
  [7654] = 7578,
  [7655] = 7655,
  [7656] = 7461,
  [7657] = 7657,
  [7658] = 7525,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 7661,
  [7662] = 7436,
  [7663] = 5370,
  [7664] = 7433,
  [7665] = 7659,
  [7666] = 7453,
  [7667] = 7667,
  [7668] = 7480,
  [7669] = 7669,
  [7670] = 7440,
  [7671] = 7660,
  [7672] = 6387,
  [7673] = 7427,
  [7674] = 7441,
  [7675] = 7439,
  [7676] = 7480,
  [7677] = 7418,
  [7678] = 7561,
  [7679] = 7459,
  [7680] = 7578,
  [7681] = 7436,
  [7682] = 7682,
  [7683] = 7424,
  [7684] = 7427,
  [7685] = 7434,
  [7686] = 7417,
  [7687] = 7430,
  [7688] = 7497,
  [7689] = 7689,
  [7690] = 7453,
  [7691] = 7440,
  [7692] = 7436,
  [7693] = 7577,
  [7694] = 7439,
  [7695] = 7695,
  [7696] = 7461,
  [7697] = 7573,
  [7698] = 7464,
  [7699] = 7595,
  [7700] = 7522,
  [7701] = 7418,
  [7702] = 7439,
  [7703] = 7525,
  [7704] = 7660,
  [7705] = 7461,
  [7706] = 7706,
  [7707] = 7500,
  [7708] = 7418,
  [7709] = 7709,
  [7710] = 7710,
  [7711] = 7711,
  [7712] = 7440,
  [7713] = 7502,
  [7714] = 7714,
  [7715] = 7466,
  [7716] = 7716,
  [7717] = 7717,
  [7718] = 7434,
  [7719] = 7487,
  [7720] = 7617,
  [7721] = 7443,
  [7722] = 7695,
  [7723] = 7418,
  [7724] = 7434,
  [7725] = 7417,
  [7726] = 7517,
  [7727] = 7514,
  [7728] = 7536,
  [7729] = 7588,
  [7730] = 7508,
  [7731] = 7731,
  [7732] = 7525,
  [7733] = 7485,
  [7734] = 7734,
  [7735] = 7448,
  [7736] = 7440,
  [7737] = 7488,
  [7738] = 7446,
  [7739] = 7417,
  [7740] = 7573,
  [7741] = 7486,
  [7742] = 7429,
  [7743] = 7546,
  [7744] = 7525,
  [7745] = 7457,
  [7746] = 7746,
  [7747] = 7440,
  [7748] = 7476,
  [7749] = 7417,
  [7750] = 7480,
  [7751] = 7492,
  [7752] = 7752,
  [7753] = 7525,
  [7754] = 7440,
  [7755] = 7417,
  [7756] = 7418,
  [7757] = 7440,
  [7758] = 7476,
  [7759] = 7573,
  [7760] = 7440,
  [7761] = 7417,
  [7762] = 7440,
  [7763] = 7417,
  [7764] = 7440,
  [7765] = 7417,
  [7766] = 7440,
  [7767] = 7417,
  [7768] = 7440,
  [7769] = 7417,
  [7770] = 7440,
  [7771] = 7417,
  [7772] = 7608,
  [7773] = 7525,
  [7774] = 7449,
  [7775] = 7775,
  [7776] = 7488,
  [7777] = 7534,
  [7778] = 7493,
  [7779] = 7779,
  [7780] = 7608,
  [7781] = 7449,
  [7782] = 7456,
  [7783] = 7779,
  [7784] = 7784,
  [7785] = 7468,
  [7786] = 7465,
  [7787] = 7461,
  [7788] = 7424,
  [7789] = 7472,
  [7790] = 7578,
  [7791] = 7454,
  [7792] = 7532,
  [7793] = 7418,
  [7794] = 7536,
  [7795] = 7746,
  [7796] = 7577,
  [7797] = 7515,
  [7798] = 7561,
  [7799] = 7461,
  [7800] = 7800,
  [7801] = 7468,
  [7802] = 7802,
  [7803] = 7464,
  [7804] = 7669,
  [7805] = 7561,
  [7806] = 7806,
  [7807] = 7438,
  [7808] = 7447,
  [7809] = 7506,
  [7810] = 7467,
  [7811] = 7811,
  [7812] = 7466,
  [7813] = 7695,
  [7814] = 7669,
  [7815] = 7488,
  [7816] = 7569,
  [7817] = 7492,
  [7818] = 7818,
  [7819] = 7819,
  [7820] = 7464,
  [7821] = 7466,
  [7822] = 7822,
  [7823] = 7484,
  [7824] = 7429,
  [7825] = 7661,
  [7826] = 7588,
  [7827] = 7424,
  [7828] = 7828,
  [7829] = 7829,
  [7830] = 7448,
  [7831] = 7466,
  [7832] = 7832,
  [7833] = 7479,
  [7834] = 7834,
  [7835] = 7573,
  [7836] = 7836,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7468,
  [7840] = 7840,
  [7841] = 7427,
  [7842] = 7842,
  [7843] = 7430,
  [7844] = 7844,
  [7845] = 7845,
  [7846] = 7846,
  [7847] = 7682,
  [7848] = 7436,
  [7849] = 7487,
  [7850] = 7457,
  [7851] = 7442,
  [7852] = 7852,
  [7853] = 7659,
  [7854] = 7488,
  [7855] = 7855,
  [7856] = 7492,
  [7857] = 7418,
  [7858] = 7643,
  [7859] = 7669,
  [7860] = 7669,
  [7861] = 7861,
  [7862] = 7862,
  [7863] = 7497,
  [7864] = 7864,
  [7865] = 7865,
  [7866] = 7480,
  [7867] = 7867,
  [7868] = 7868,
  [7869] = 7469,
  [7870] = 7746,
  [7871] = 7429,
  [7872] = 7442,
  [7873] = 7498,
  [7874] = 7874,
  [7875] = 7714,
  [7876] = 7438,
  [7877] = 7476,
  [7878] = 7577,
  [7879] = 7464,
  [7880] = 7487,
  [7881] = 7515,
  [7882] = 7418,
  [7883] = 7546,
  [7884] = 7478,
  [7885] = 7478,
  [7886] = 7472,
  [7887] = 7494,
  [7888] = 7536,
  [7889] = 7510,
  [7890] = 7532,
  [7891] = 7578,
  [7892] = 7892,
  [7893] = 7893,
  [7894] = 7894,
  [7895] = 7895,
  [7896] = 7588,
  [7897] = 7454,
  [7898] = 7515,
  [7899] = 7532,
  [7900] = 7900,
  [7901] = 7525,
  [7902] = 7775,
  [7903] = 7448,
  [7904] = 7904,
  [7905] = 7468,
  [7906] = 7906,
  [7907] = 7595,
  [7908] = 7532,
  [7909] = 7424,
  [7910] = 7546,
  [7911] = 7420,
  [7912] = 7660,
  [7913] = 7913,
  [7914] = 7660,
  [7915] = 7915,
  [7916] = 7500,
  [7917] = 7522,
  [7918] = 7918,
  [7919] = 7919,
  [7920] = 7920,
  [7921] = 7921,
  [7922] = 7922,
  [7923] = 7417,
  [7924] = 7924,
  [7925] = 7464,
  [7926] = 7489,
  [7927] = 7448,
  [7928] = 7494,
  [7929] = 7472,
  [7930] = 7454,
  [7931] = 7709,
  [7932] = 1647,
  [7933] = 7933,
  [7934] = 7429,
  [7935] = 7935,
  [7936] = 7936,
  [7937] = 7937,
  [7938] = 7938,
  [7939] = 7588,
  [7940] = 7940,
  [7941] = 7941,
  [7942] = 7942,
  [7943] = 7943,
  [7944] = 7439,
  [7945] = 7429,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7443,
  [7951] = 7502,
  [7952] = 7442,
  [7953] = 7427,
  [7954] = 7711,
  [7955] = 7453,
  [7956] = 7775,
  [7957] = 7493,
  [7958] = 7779,
  [7959] = 7456,
  [7960] = 7960,
  [7961] = 7784,
  [7962] = 7457,
  [7963] = 7424,
  [7964] = 7515,
  [7965] = 7507,
  [7966] = 7966,
  [7967] = 7800,
  [7968] = 7476,
  [7969] = 7802,
  [7970] = 7608,
  [7971] = 7971,
  [7972] = 7467,
  [7973] = 7447,
  [7974] = 7506,
  [7975] = 7695,
  [7976] = 7430,
  [7977] = 7429,
  [7978] = 7661,
  [7979] = 7466,
  [7980] = 7437,
  [7981] = 7468,
  [7982] = 7842,
  [7983] = 7682,
  [7984] = 7472,
  [7985] = 7985,
  [7986] = 7775,
  [7987] = 7493,
  [7988] = 7456,
  [7989] = 7989,
  [7990] = 7784,
  [7991] = 7461,
  [7992] = 7468,
  [7993] = 7800,
  [7994] = 7811,
  [7995] = 7802,
  [7996] = 7448,
  [7997] = 7441,
  [7998] = 7447,
  [7999] = 7506,
  [8000] = 7661,
  [8001] = 7476,
  [8002] = 8002,
  [8003] = 8003,
  [8004] = 7842,
  [8005] = 7682,
  [8006] = 7472,
  [8007] = 7775,
  [8008] = 7493,
  [8009] = 7456,
  [8010] = 7443,
  [8011] = 7784,
  [8012] = 7514,
  [8013] = 7459,
  [8014] = 7800,
  [8015] = 7802,
  [8016] = 7498,
  [8017] = 7517,
  [8018] = 7447,
  [8019] = 7506,
  [8020] = 7661,
  [8021] = 7510,
  [8022] = 7424,
  [8023] = 7500,
  [8024] = 7842,
  [8025] = 7682,
  [8026] = 7479,
  [8027] = 7775,
  [8028] = 7493,
  [8029] = 7456,
  [8030] = 7427,
  [8031] = 7784,
  [8032] = 7430,
  [8033] = 7436,
  [8034] = 7802,
  [8035] = 8035,
  [8036] = 7695,
  [8037] = 7447,
  [8038] = 7506,
  [8039] = 7661,
  [8040] = 8040,
  [8041] = 7695,
  [8042] = 8042,
  [8043] = 7842,
  [8044] = 7682,
  [8045] = 7479,
  [8046] = 7775,
  [8047] = 7489,
  [8048] = 7784,
  [8049] = 7536,
  [8050] = 7800,
  [8051] = 7716,
  [8052] = 7695,
  [8053] = 7447,
  [8054] = 7506,
  [8055] = 7515,
  [8056] = 7485,
  [8057] = 8057,
  [8058] = 7842,
  [8059] = 7561,
  [8060] = 7775,
  [8061] = 7784,
  [8062] = 7508,
  [8063] = 7506,
  [8064] = 7426,
  [8065] = 7714,
  [8066] = 7842,
  [8067] = 7457,
  [8068] = 7775,
  [8069] = 7784,
  [8070] = 7573,
  [8071] = 7506,
  [8072] = 7429,
  [8073] = 7842,
  [8074] = 7775,
  [8075] = 7784,
  [8076] = 7506,
  [8077] = 7842,
  [8078] = 7506,
  [8079] = 7842,
  [8080] = 7506,
  [8081] = 7842,
  [8082] = 7506,
  [8083] = 7842,
  [8084] = 7506,
  [8085] = 7842,
  [8086] = 7506,
  [8087] = 7842,
  [8088] = 7506,
  [8089] = 7842,
  [8090] = 7506,
  [8091] = 7842,
  [8092] = 7446,
  [8093] = 7424,
  [8094] = 7779,
  [8095] = 7630,
  [8096] = 7861,
  [8097] = 7461,
  [8098] = 7716,
  [8099] = 7439,
  [8100] = 8100,
  [8101] = 8101,
  [8102] = 5303,
  [8103] = 7480,
  [8104] = 7486,
  [8105] = 7667,
  [8106] = 8106,
  [8107] = 7802,
  [8108] = 7532,
  [8109] = 7428,
  [8110] = 7443,
  [8111] = 8111,
  [8112] = 7484,
  [8113] = 8113,
  [8114] = 1654,
  [8115] = 8115,
  [8116] = 8116,
  [8117] = 7487,
  [8118] = 7418,
  [8119] = 7442,
  [8120] = 7546,
  [8121] = 8121,
  [8122] = 7422,
  [8123] = 7536,
  [8124] = 7784,
  [8125] = 7497,
  [8126] = 7498,
  [8127] = 8127,
  [8128] = 7578,
  [8129] = 8129,
  [8130] = 7588,
  [8131] = 7472,
  [8132] = 7454,
  [8133] = 7443,
  [8134] = 8134,
  [8135] = 8135,
  [8136] = 7448,
  [8137] = 8137,
  [8138] = 7424,
  [8139] = 7569,
  [8140] = 7573,
  [8141] = 7461,
  [8142] = 7423,
  [8143] = 8143,
  [8144] = 8144,
  [8145] = 7448,
  [8146] = 7669,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 7502,
  [8151] = 7507,
  [8152] = 7445,
  [8153] = 8147,
  [8154] = 7446,
  [8155] = 7486,
  [8156] = 8156,
  [8157] = 7418,
  [8158] = 7436,
  [8159] = 7608,
  [8160] = 7669,
  [8161] = 7532,
  [8162] = 7508,
  [8163] = 7448,
  [8164] = 7514,
  [8165] = 7461,
  [8166] = 7608,
  [8167] = 7450,
  [8168] = 7573,
  [8169] = 7459,
  [8170] = 7424,
  [8171] = 8171,
  [8172] = 8172,
  [8173] = 8173,
  [8174] = 7595,
  [8175] = 7448,
  [8176] = 7573,
  [8177] = 7461,
  [8178] = 7779,
  [8179] = 7630,
  [8180] = 7861,
  [8181] = 7445,
  [8182] = 7497,
  [8183] = 7660,
  [8184] = 7449,
  [8185] = 7484,
  [8186] = 8113,
  [8187] = 7507,
  [8188] = 7842,
  [8189] = 8172,
  [8190] = 8190,
  [8191] = 7779,
  [8192] = 7630,
  [8193] = 7861,
  [8194] = 7465,
  [8195] = 7461,
  [8196] = 7484,
  [8197] = 8113,
  [8198] = 7711,
  [8199] = 7617,
  [8200] = 7424,
  [8201] = 7630,
  [8202] = 7861,
  [8203] = 7502,
  [8204] = 7439,
  [8205] = 7484,
  [8206] = 8113,
  [8207] = 7461,
  [8208] = 8208,
  [8209] = 7630,
  [8210] = 7861,
  [8211] = 7443,
  [8212] = 7561,
  [8213] = 7484,
  [8214] = 8113,
  [8215] = 8215,
  [8216] = 7630,
  [8217] = 7861,
  [8218] = 7561,
  [8219] = 7484,
  [8220] = 8113,
  [8221] = 7660,
  [8222] = 7484,
  [8223] = 8113,
  [8224] = 8224,
  [8225] = 8113,
  [8226] = 7711,
  [8227] = 8113,
  [8228] = 7669,
  [8229] = 8113,
  [8230] = 7811,
  [8231] = 8113,
  [8232] = 7669,
  [8233] = 8113,
  [8234] = 8234,
  [8235] = 8113,
  [8236] = 8236,
  [8237] = 8113,
  [8238] = 8238,
  [8239] = 8113,
  [8240] = 7469,
  [8241] = 8113,
  [8242] = 7615,
  [8243] = 7752,
  [8244] = 7669,
  [8245] = 7615,
  [8246] = 7752,
  [8247] = 8247,
  [8248] = 7615,
  [8249] = 7752,
  [8250] = 7424,
  [8251] = 7615,
  [8252] = 7752,
  [8253] = 7427,
  [8254] = 7615,
  [8255] = 7752,
  [8256] = 7430,
  [8257] = 7752,
  [8258] = 7752,
  [8259] = 7752,
  [8260] = 7752,
  [8261] = 7752,
  [8262] = 7752,
  [8263] = 7752,
  [8264] = 7752,
  [8265] = 7752,
  [8266] = 7752,
  [8267] = 7752,
  [8268] = 7436,
  [8269] = 7500,
  [8270] = 8113,
  [8271] = 7643,
  [8272] = 7811,
  [8273] = 7640,
  [8274] = 7640,
  [8275] = 7640,
  [8276] = 7640,
  [8277] = 7640,
  [8278] = 8278,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 337,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(159);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(159);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(180);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(180);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(181);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(181);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 342,
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 412,
        '-', 402,
        '/', 421,
        '<', 447,
        '=', 268,
        '>', 438,
      );
      if (lookahead == '\\') SKIP(98);
      if (lookahead == '^') ADVANCE(430);
      if (lookahead == '|') ADVANCE(429);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(523);
      if (lookahead != 0) ADVANCE(524);
      END_STATE();
    case 107:
      if (lookahead == '\n') ADVANCE(526);
      if (lookahead == '\r') ADVANCE(525);
      if (lookahead == 'U') ADVANCE(329);
      if (lookahead == 'u') ADVANCE(321);
      if (lookahead == 'x') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '/') ADVANCE(513);
      if (lookahead == '\\') ADVANCE(512);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(514);
      if (lookahead != 0) ADVANCE(511);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '(') ADVANCE(337);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(114);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(160);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(160);
      if (lookahead == '\r') SKIP(116);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 158:
      if (lookahead == '\r') ADVANCE(631);
      if (lookahead == '\\') ADVANCE(625);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 404,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 117,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 289,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 405,
        '.', 484,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 143,
        ']', 462,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 16,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 404,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 18,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 405,
        '.', 484,
        '/', 421,
        '0', 492,
        ':', 265,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 119,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 429,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 400,
        '"', 232,
        '%', 424,
        '&', 434,
        '(', 247,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '[', 277,
        '\\', 26,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 400,
        '"', 232,
        '%', 424,
        '&', 434,
        '(', 247,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '[', 278,
        '\\', 80,
        '^', 431,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 280,
        '&', 433,
        '\'', 510,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 309,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '<', 266,
        '>', 437,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 6,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 427,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 284,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 486,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 4,
        ']', 279,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 303,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 288,
        '&', 432,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        '-', 406,
        '.', 255,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '>', 271,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 10,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 282,
        '&', 433,
        '\'', 510,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 309,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '>', 269,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 8,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 485,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 12,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '&', 432,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 485,
        '/', 249,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 14,
        ']', 462,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 399,
        '\'', 510,
        '(', 398,
        ')', 340,
        '+', 417,
        '-', 410,
        '.', 309,
        '/', 249,
        '0', 492,
        'L', 551,
        'U', 552,
        '\\', 96,
        'u', 553,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 42,
        ']', 462,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 121,
        ']', 462,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 121,
        ']', 462,
        '^', 431,
        'u', 646,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 72,
        ']', 462,
        '^', 430,
        'u', 541,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 72,
        ']', 462,
        '^', 430,
        'u', 646,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 459,
        '\\', 30,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 36,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 60,
        '^', 431,
        'u', 541,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 60,
        '^', 431,
        'u', 646,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 459,
        '\\', 28,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 40,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 64,
        '^', 431,
        'u', 541,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 64,
        '^', 431,
        'u', 646,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 133,
        '^', 430,
        'u', 541,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 133,
        '^', 430,
        'u', 646,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 267,
        '#', 300,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 34,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 267,
        '#', 285,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 412,
        ',', 339,
        '-', 402,
        '/', 421,
        ':', 265,
        ';', 452,
        '<', 447,
        '=', 268,
        '>', 438,
        '[', 459,
        '\\', 22,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '0', 633,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 32,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 44,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 155,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 125,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 123,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 137,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 137,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 461,
        '\\', 68,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 54,
        ']', 462,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 48,
        ']', 462,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 145,
        ']', 462,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 149,
        ']', 462,
        '^', 430,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 149,
        ']', 462,
        '^', 430,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 46,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 467,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 127,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 460,
        '\\', 86,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 70,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 153,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 153,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 461,
        '\\', 141,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 50,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 135,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 460,
        '\\', 84,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 459,
        '\\', 82,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 131,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 139,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 139,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 461,
        '\\', 151,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '*', 420,
        '+', 418,
        ',', 339,
        '-', 411,
        '.', 248,
        '/', 422,
        '<', 445,
        '=', 464,
        '>', 439,
        '\\', 90,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 464,
        '>', 438,
        '?', 469,
        '[', 459,
        '\\', 38,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 52,
        ']', 462,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 265,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 129,
        ']', 279,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 147,
        '^', 430,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 66,
        '^', 430,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 62,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 157,
        '^', 430,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 157,
        '^', 430,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '"', 519,
        '&', 433,
        '(', 398,
        '*', 419,
        '/', 249,
        ':', 265,
        'L', 535,
        'U', 539,
        '[', 459,
        '\\', 74,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 542,
        'v', 602,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '"', 519,
        ')', 340,
        ',', 339,
        '/', 249,
        ':', 467,
        'L', 534,
        'R', 536,
        'U', 538,
        '\\', 103,
        'u', 541,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 230:
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == 'L') ADVANCE(535);
      if (lookahead == 'U') ADVANCE(539);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 231:
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      END_STATE();
    case 232:
      if (lookahead == '"') ADVANCE(642);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '#', 289,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 458,
        '\\', 56,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '#', 281,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 412,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 20,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 283,
        '&', 433,
        '(', 398,
        '*', 419,
        ',', 339,
        '/', 249,
        ':', 265,
        ';', 452,
        '[', 459,
        '\\', 24,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 58,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 78,
        '{', 456,
        '|', 303,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '.', 254,
        '/', 249,
        ':', 467,
        ';', 452,
        '=', 463,
        '>', 632,
        '[', 458,
        '\\', 92,
        '{', 456,
        '|', 303,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 76,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '/', 249,
        ';', 452,
        '=', 463,
        '>', 632,
        '[', 458,
        '\\', 88,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 241:
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      END_STATE();
    case 242:
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 243:
      if (lookahead == '\'') ADVANCE(310);
      if (lookahead == '.') ADVANCE(499);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '(', 398,
        ')', 340,
        ',', 339,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 460,
        '\\', 101,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '(', 398,
        '/', 249,
        ':', 265,
        'F', 559,
        'T', 563,
        '[', 458,
        '\\', 94,
        'f', 569,
        't', 610,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 246:
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 247:
      if (lookahead == ')') ADVANCE(640);
      END_STATE();
    case 248:
      if (lookahead == '*') ADVANCE(487);
      END_STATE();
    case 249:
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      END_STATE();
    case 250:
      if (lookahead == '*') ADVANCE(639);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '/') ADVANCE(623);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 254:
      if (lookahead == '.') ADVANCE(256);
      END_STATE();
    case 255:
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 256:
      if (lookahead == '.') ADVANCE(338);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 258:
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 259:
      if (lookahead == '1') ADVANCE(263);
      END_STATE();
    case 260:
      if (lookahead == '2') ADVANCE(490);
      END_STATE();
    case 261:
      if (lookahead == '2') ADVANCE(264);
      if (lookahead == '6') ADVANCE(490);
      END_STATE();
    case 262:
      if (lookahead == '4') ADVANCE(490);
      END_STATE();
    case 263:
      if (lookahead == '6') ADVANCE(490);
      END_STATE();
    case 264:
      if (lookahead == '8') ADVANCE(490);
      END_STATE();
    case 265:
      if (lookahead == ':') ADVANCE(453);
      END_STATE();
    case 266:
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 267:
      if (lookahead == '=') ADVANCE(436);
      END_STATE();
    case 268:
      if (lookahead == '=') ADVANCE(435);
      END_STATE();
    case 269:
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 271:
      if (lookahead == '>') ADVANCE(270);
      END_STATE();
    case 272:
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 273:
      if (lookahead == '>') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(530);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 275:
      if (lookahead == 'F') ADVANCE(259);
      END_STATE();
    case 276:
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 277:
      if (lookahead == '[') ADVANCE(454);
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 278:
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 279:
      if (lookahead == ']') ADVANCE(455);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(280);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(292);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(302);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(289);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 293:
      if (lookahead == 'f') ADVANCE(259);
      END_STATE();
    case 294:
      if (lookahead == 'f') ADVANCE(343);
      END_STATE();
    case 295:
      if (lookahead == 'f') ADVANCE(349);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(351);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(353);
      END_STATE();
    case 298:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 299:
      if (lookahead == 'i') ADVANCE(295);
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 300:
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 301:
      if (lookahead == 'l') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 303:
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 304:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(311);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 305:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 306:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(494);
      END_STATE();
    case 307:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 308:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 309:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 310:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(622);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(525);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(312);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(365);
      END_STATE();
    case 331:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 332:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 284,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 486,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 4,
        ']', 279,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 303,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(342);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(291);
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(623);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(630);
      if (lookahead == '\r') ADVANCE(624);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(626);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '\r') ADVANCE(359);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(366);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(364);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(629);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(626);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(365);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(365);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(336);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(341);
      if (lookahead == 'n') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(341);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == 's') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(390);
      if (lookahead == 'n') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(436);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(489);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '>') ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(489);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(250);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(473);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(470);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '=') ADVANCE(471);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(479);
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(426);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(451);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(480);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(449);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(449);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(454);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(454);
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(435);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(558);
      if (lookahead == '3') ADVANCE(556);
      if (lookahead == '6') ADVANCE(557);
      if (lookahead == '8') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(453);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(487);
      if (lookahead == '.') ADVANCE(256);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(487);
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(639);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 309,
        'B', 275,
        'b', 293,
        'E', 304,
        'e', 304,
        'F', 498,
        'f', 498,
        'L', 490,
        'l', 490,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 307,
        '.', 499,
        'L', 500,
        'l', 503,
        'B', 306,
        'b', 306,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'X', 257,
        'x', 257,
        'Z', 505,
        'z', 505,
        '8', 243,
        '9', 243,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 307,
        '.', 499,
        'L', 500,
        'l', 503,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
        '8', 243,
        '9', 243,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 306,
        'L', 500,
        'l', 503,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
        '0', 494,
        '1', 494,
      );
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 308,
        '.', 499,
        'L', 500,
        'l', 503,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(311);
      if (lookahead == 'B') ADVANCE(275);
      if (lookahead == 'b') ADVANCE(293);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(498);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 313,
        '.', 305,
        'L', 500,
        'l', 503,
        'P', 304,
        'p', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(261);
      if (lookahead == '3') ADVANCE(260);
      if (lookahead == '6') ADVANCE(262);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 275,
        'b', 293,
        'E', 304,
        'e', 304,
        'F', 498,
        'f', 498,
        'L', 490,
        'l', 490,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(505);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(490);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(501);
      if (lookahead == 'l') ADVANCE(504);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(490);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(505);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(526);
      if (lookahead == '\r') ADVANCE(525);
      if (lookahead == 'U') ADVANCE(329);
      if (lookahead == 'u') ADVANCE(321);
      if (lookahead == 'x') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(522);
      if (lookahead == '/') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(521);
      if (lookahead == '/') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(522);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(521);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(522);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(523);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(525);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == '\'') ADVANCE(506);
      if (lookahead == 'R') ADVANCE(544);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == 'R') ADVANCE(544);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == '\'') ADVANCE(508);
      if (lookahead == 'R') ADVANCE(545);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == 'R') ADVANCE(545);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '8') ADVANCE(546);
      if (lookahead == 'R') ADVANCE(549);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(547);
      if (lookahead == 'R') ADVANCE(549);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(635);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(637);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == 'R') ADVANCE(550);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(550);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(506);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(508);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '8') ADVANCE(554);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(558);
      if (lookahead == '3') ADVANCE(556);
      if (lookahead == '6') ADVANCE(557);
      if (lookahead == '8') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(562);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(531);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(565);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(561);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(560);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '_') ADVANCE(573);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '_') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'b') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'd') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'd') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(531);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(532);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'f') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'f') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'g') ADVANCE(599);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'h') ADVANCE(571);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(621);
      if (lookahead == 's') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(593);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(578);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(572);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(604);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 's') ADVANCE(579);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(555);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'x') ADVANCE(566);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'z') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(630);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(631);
      if (lookahead == '\\') ADVANCE(625);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(629);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(626);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(357);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(628);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(628);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(630);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == 'R') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == 'R') ADVANCE(648);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(649);
      if (lookahead == 'R') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(635);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(637);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 84,
        'b', 85,
        'c', 86,
        'd', 87,
        'e', 88,
        'f', 89,
        'i', 90,
        'l', 91,
        'r', 92,
        's', 93,
        't', 94,
        'u', 95,
        'v', 96,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(166);
      if (lookahead == 's') ADVANCE(167);
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(170);
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(173);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(174);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(180);
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(182);
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(184);
      if (lookahead == 'p') ADVANCE(185);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(187);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(188);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(189);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(190);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(191);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(192);
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(196);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(198);
      if (lookahead == 'r') ADVANCE(199);
      if (lookahead == 'y') ADVANCE(200);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(201);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(202);
      if (lookahead == 's') ADVANCE(203);
      if (lookahead == 't') ADVANCE(204);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(205);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(210);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(211);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(212);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(215);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(217);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(220);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(222);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(223);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(224);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(228);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(230);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(232);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(233);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(234);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(236);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(239);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(241);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(242);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(243);
      if (lookahead == 'o') ADVANCE(244);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(248);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(251);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(252);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(253);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(254);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(256);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 166:
      if (lookahead == 'i') ADVANCE(258);
      END_STATE();
    case 167:
      if (lookahead == 'm') ADVANCE(259);
      END_STATE();
    case 168:
      if (lookahead == 't') ADVANCE(260);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(261);
      END_STATE();
    case 170:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 171:
      if (lookahead == 'r') ADVANCE(263);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(265);
      if (lookahead == 't') ADVANCE(266);
      END_STATE();
    case 174:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(269);
      END_STATE();
    case 177:
      if (lookahead == 'l') ADVANCE(270);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(271);
      END_STATE();
    case 179:
      if (lookahead == 's') ADVANCE(272);
      END_STATE();
    case 180:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'i') ADVANCE(275);
      if (lookahead == 'r') ADVANCE(276);
      END_STATE();
    case 183:
      if (lookahead == 'y') ADVANCE(277);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 186:
      if (lookahead == 'c') ADVANCE(280);
      END_STATE();
    case 187:
      if (lookahead == 'g') ADVANCE(281);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 189:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 192:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 193:
      if (lookahead == 'r') ADVANCE(286);
      END_STATE();
    case 194:
      if (lookahead == 'k') ADVANCE(287);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 196:
      if (lookahead == 'h') ADVANCE(288);
      END_STATE();
    case 197:
      if (lookahead == 's') ADVANCE(289);
      END_STATE();
    case 198:
      if (lookahead == 'w') ADVANCE(290);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 201:
      if (lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 205:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 206:
      if (lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 211:
      if (lookahead == 'i') ADVANCE(301);
      END_STATE();
    case 212:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 213:
      if (lookahead == 'l') ADVANCE(303);
      END_STATE();
    case 214:
      if (lookahead == 'n') ADVANCE(304);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(305);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 218:
      if (lookahead == 'b') ADVANCE(306);
      END_STATE();
    case 219:
      if (lookahead == 's') ADVANCE(307);
      END_STATE();
    case 220:
      if (lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 223:
      if (lookahead == 'p') ADVANCE(311);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 226:
      if (lookahead == 'q') ADVANCE(314);
      END_STATE();
    case 227:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 228:
      if (lookahead == 'a') ADVANCE(316);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 230:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 231:
      if (lookahead == 's') ADVANCE(319);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(320);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 234:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 235:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 237:
      if (lookahead == 'o') ADVANCE(325);
      END_STATE();
    case 238:
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 240:
      if (lookahead == 'c') ADVANCE(328);
      END_STATE();
    case 241:
      if (lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(330);
      END_STATE();
    case 244:
      if (lookahead == 'w') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'd') ADVANCE(332);
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 246:
      if (lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(335);
      END_STATE();
    case 248:
      if (lookahead == 'g') ADVANCE(336);
      END_STATE();
    case 249:
      if (lookahead == 'u') ADVANCE(337);
      END_STATE();
    case 250:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 254:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 256:
      if (lookahead == 'u') ADVANCE(344);
      END_STATE();
    case 257:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 258:
      if (lookahead == 'g') ADVANCE(346);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(347);
      END_STATE();
    case 260:
      if (lookahead == 'r') ADVANCE(348);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 262:
      if (lookahead == 'c') ADVANCE(350);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(351);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(352);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 269:
      if (lookahead == 'c') ADVANCE(357);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 271:
      if (lookahead == 'v') ADVANCE(359);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(360);
      END_STATE();
    case 273:
      if (lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 275:
      if (lookahead == 's') ADVANCE(363);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 278:
      if (lookahead == 'l') ADVANCE(365);
      END_STATE();
    case 279:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 280:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 281:
      if (lookahead == 'n') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(370);
      if (lookahead == 'o') ADVANCE(371);
      END_STATE();
    case 284:
      if (lookahead == 'q') ADVANCE(372);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(373);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(374);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 294:
      if (lookahead == 'p') ADVANCE(377);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(379);
      END_STATE();
    case 296:
      if (lookahead == 'n') ADVANCE(380);
      END_STATE();
    case 297:
      if (lookahead == 'y') ADVANCE(381);
      END_STATE();
    case 298:
      if (lookahead == 'l') ADVANCE(382);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 301:
      if (lookahead == 'c') ADVANCE(385);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(386);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 304:
      if (lookahead == 'd') ADVANCE(387);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 306:
      if (lookahead == 'l') ADVANCE(389);
      END_STATE();
    case 307:
      if (lookahead == 'p') ADVANCE(390);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 309:
      if (lookahead == 'u') ADVANCE(392);
      END_STATE();
    case 310:
      if (lookahead == 'q') ADVANCE(393);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(394);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(396);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 315:
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 316:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 317:
      if (lookahead == 'c') ADVANCE(399);
      END_STATE();
    case 318:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(401);
      END_STATE();
    case 320:
      if (lookahead == 'r') ADVANCE(402);
      END_STATE();
    case 321:
      if (lookahead == 'i') ADVANCE(403);
      END_STATE();
    case 322:
      if (lookahead == 'n') ADVANCE(404);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(405);
      END_STATE();
    case 325:
      if (lookahead == 'f') ADVANCE(406);
      END_STATE();
    case 326:
      if (lookahead == 'c') ADVANCE(407);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 328:
      if (lookahead == 'h') ADVANCE(409);
      END_STATE();
    case 329:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(411);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(412);
      END_STATE();
    case 333:
      if (lookahead == 'a') ADVANCE(413);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(414);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 337:
      if (lookahead == 'a') ADVANCE(415);
      END_STATE();
    case 338:
      if (lookahead == 'i') ADVANCE(416);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 340:
      if (lookahead == 'q') ADVANCE(417);
      END_STATE();
    case 341:
      if (lookahead == 'a') ADVANCE(418);
      if (lookahead == 'o') ADVANCE(419);
      END_STATE();
    case 342:
      if (lookahead == 'c') ADVANCE(420);
      END_STATE();
    case 343:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 344:
      if (lookahead == 'l') ADVANCE(422);
      END_STATE();
    case 345:
      if (lookahead == 'u') ADVANCE(423);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(424);
      END_STATE();
    case 347:
      if (lookahead == '_') ADVANCE(425);
      END_STATE();
    case 348:
      if (lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 349:
      if (lookahead == 'd') ADVANCE(427);
      END_STATE();
    case 350:
      if (lookahead == 'l') ADVANCE(428);
      END_STATE();
    case 351:
      if (lookahead == 'a') ADVANCE(429);
      END_STATE();
    case 352:
      if (lookahead == 's') ADVANCE(430);
      END_STATE();
    case 353:
      if (lookahead == 'p') ADVANCE(431);
      END_STATE();
    case 354:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 355:
      if (lookahead == 'c') ADVANCE(433);
      END_STATE();
    case 356:
      if (lookahead == 'l') ADVANCE(434);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(436);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(437);
      END_STATE();
    case 360:
      if (lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 362:
      if (lookahead == 'a') ADVANCE(439);
      END_STATE();
    case 363:
      if (lookahead == 'c') ADVANCE(440);
      END_STATE();
    case 364:
      if (lookahead == 'a') ADVANCE(441);
      END_STATE();
    case 365:
      if (lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 367:
      if (lookahead == 'o') ADVANCE(443);
      END_STATE();
    case 368:
      if (lookahead == 'o') ADVANCE(444);
      END_STATE();
    case 369:
      if (lookahead == 'g') ADVANCE(445);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(446);
      END_STATE();
    case 371:
      if (lookahead == 'f') ADVANCE(447);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 374:
      if (lookahead == 'i') ADVANCE(448);
      END_STATE();
    case 375:
      if (lookahead == 'u') ADVANCE(449);
      END_STATE();
    case 376:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(451);
      END_STATE();
    case 378:
      if (lookahead == 'v') ADVANCE(452);
      if (lookahead == 'x') ADVANCE(453);
      END_STATE();
    case 379:
      if (lookahead == 'n') ADVANCE(454);
      END_STATE();
    case 380:
      if (lookahead == 'u') ADVANCE(455);
      END_STATE();
    case 381:
      if (lookahead == 'p') ADVANCE(456);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(457);
      END_STATE();
    case 383:
      if (lookahead == 'd') ADVANCE(458);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 385:
      if (lookahead == 'i') ADVANCE(459);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(460);
      END_STATE();
    case 390:
      if (lookahead == 'a') ADVANCE(461);
      END_STATE();
    case 391:
      if (lookahead == 'p') ADVANCE(462);
      END_STATE();
    case 392:
      if (lookahead == 'r') ADVANCE(463);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 394:
      if (lookahead == 'r') ADVANCE(464);
      END_STATE();
    case 395:
      if (lookahead == 'o') ADVANCE(465);
      END_STATE();
    case 396:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 397:
      if (lookahead == 'd') ADVANCE(467);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(468);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 401:
      if (lookahead == 'e') ADVANCE(470);
      END_STATE();
    case 402:
      if (lookahead == 'e') ADVANCE(471);
      END_STATE();
    case 403:
      if (lookahead == 'c') ADVANCE(472);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(473);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 410:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 411:
      if (lookahead == '_') ADVANCE(475);
      END_STATE();
    case 412:
      if (lookahead == 'f') ADVANCE(476);
      END_STATE();
    case 413:
      if (lookahead == 'm') ADVANCE(477);
      END_STATE();
    case 414:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 415:
      if (lookahead == 'l') ADVANCE(479);
      END_STATE();
    case 416:
      if (lookahead == 'l') ADVANCE(480);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 418:
      if (lookahead == 's') ADVANCE(481);
      END_STATE();
    case 419:
      if (lookahead == 'f') ADVANCE(482);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 421:
      if (lookahead == 'c') ADVANCE(483);
      END_STATE();
    case 422:
      if (lookahead == 'l') ADVANCE(484);
      END_STATE();
    case 423:
      if (lookahead == 'r') ADVANCE(485);
      END_STATE();
    case 424:
      if (lookahead == 'o') ADVANCE(486);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 426:
      if (lookahead == 'b') ADVANCE(487);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(488);
      END_STATE();
    case 430:
      if (lookahead == 'p') ADVANCE(489);
      END_STATE();
    case 431:
      if (lookahead == 't') ADVANCE(490);
      END_STATE();
    case 432:
      if (lookahead == 's') ADVANCE(491);
      END_STATE();
    case 433:
      if (lookahead == 'a') ADVANCE(492);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 435:
      if (lookahead == 'i') ADVANCE(494);
      END_STATE();
    case 436:
      if (lookahead == 'e') ADVANCE(495);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 438:
      if (lookahead == 'i') ADVANCE(496);
      END_STATE();
    case 439:
      if (lookahead == 'l') ADVANCE(497);
      END_STATE();
    case 440:
      if (lookahead == 'a') ADVANCE(498);
      END_STATE();
    case 441:
      if (lookahead == 'd') ADVANCE(499);
      END_STATE();
    case 442:
      if (lookahead == 'g') ADVANCE(500);
      END_STATE();
    case 443:
      if (lookahead == 'r') ADVANCE(501);
      END_STATE();
    case 444:
      if (lookahead == 'f') ADVANCE(502);
      END_STATE();
    case 445:
      if (lookahead == 'n') ADVANCE(503);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 448:
      if (lookahead == 't') ADVANCE(504);
      END_STATE();
    case 449:
      if (lookahead == 'r') ADVANCE(505);
      END_STATE();
    case 450:
      if (lookahead == 'd') ADVANCE(506);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 452:
      if (lookahead == 'a') ADVANCE(507);
      END_STATE();
    case 453:
      if (lookahead == 'p') ADVANCE(508);
      END_STATE();
    case 454:
      if (lookahead == 'i') ADVANCE(509);
      END_STATE();
    case 455:
      if (lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 456:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 459:
      if (lookahead == 't') ADVANCE(512);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 461:
      if (lookahead == 'c') ADVANCE(513);
      END_STATE();
    case 462:
      if (lookahead == 't') ADVANCE(514);
      END_STATE();
    case 463:
      if (lookahead == 'n') ADVANCE(515);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 465:
      if (lookahead == 'f') ADVANCE(516);
      END_STATE();
    case 466:
      if (lookahead == 'r') ADVANCE(517);
      END_STATE();
    case 467:
      if (lookahead == 'e') ADVANCE(518);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 470:
      if (lookahead == 'r') ADVANCE(520);
      END_STATE();
    case 471:
      if (lookahead == 's') ADVANCE(521);
      END_STATE();
    case 472:
      if (lookahead == 't') ADVANCE(522);
      END_STATE();
    case 473:
      if (lookahead == 'a') ADVANCE(523);
      END_STATE();
    case 474:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 475:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 477:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 478:
      if (lookahead == 'd') ADVANCE(527);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 480:
      if (lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 485:
      if (lookahead == 'n') ADVANCE(529);
      END_STATE();
    case 486:
      if (lookahead == 'f') ADVANCE(530);
      END_STATE();
    case 487:
      if (lookahead == 'u') ADVANCE(531);
      END_STATE();
    case 488:
      if (lookahead == 'l') ADVANCE(532);
      END_STATE();
    case 489:
      if (lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 491:
      if (lookahead == 'i') ADVANCE(534);
      END_STATE();
    case 492:
      if (lookahead == 'l') ADVANCE(535);
      END_STATE();
    case 493:
      if (lookahead == 'y') ADVANCE(536);
      END_STATE();
    case 494:
      if (lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(538);
      END_STATE();
    case 496:
      if (lookahead == 'c') ADVANCE(539);
      END_STATE();
    case 497:
      if (lookahead == 'l') ADVANCE(540);
      END_STATE();
    case 498:
      if (lookahead == 'l') ADVANCE(541);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 500:
      if (lookahead == 'n') ADVANCE(542);
      END_STATE();
    case 501:
      if (lookahead == 'c') ADVANCE(543);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 503:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 505:
      if (lookahead == 'n') ADVANCE(545);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 507:
      if (lookahead == 'l') ADVANCE(546);
      END_STATE();
    case 508:
      if (lookahead == 'r') ADVANCE(547);
      END_STATE();
    case 509:
      if (lookahead == 't') ADVANCE(548);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 513:
      if (lookahead == 'e') ADVANCE(549);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 519:
      if (lookahead == 'd') ADVANCE(550);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 523:
      if (lookahead == 's') ADVANCE(551);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 525:
      if (lookahead == 'o') ADVANCE(552);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(553);
      END_STATE();
    case 531:
      if (lookahead == 't') ADVANCE(554);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 533:
      if (lookahead == 'c') ADVANCE(555);
      END_STATE();
    case 534:
      if (lookahead == 'o') ADVANCE(556);
      END_STATE();
    case 535:
      if (lookahead == 'l') ADVANCE(557);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 537:
      if (lookahead == 'l') ADVANCE(558);
      END_STATE();
    case 538:
      if (lookahead == '_') ADVANCE(559);
      END_STATE();
    case 539:
      if (lookahead == 't') ADVANCE(560);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 541:
      if (lookahead == 'l') ADVANCE(561);
      END_STATE();
    case 542:
      if (lookahead == 'e') ADVANCE(562);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(563);
      END_STATE();
    case 544:
      if (lookahead == 'd') ADVANCE(564);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 551:
      if (lookahead == 's') ADVANCE(565);
      END_STATE();
    case 552:
      if (lookahead == 'c') ADVANCE(566);
      END_STATE();
    case 553:
      if (lookahead == '_') ADVANCE(567);
      END_STATE();
    case 554:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 556:
      if (lookahead == 'n') ADVANCE(569);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 558:
      if (lookahead == 'i') ADVANCE(570);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(571);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 562:
      if (lookahead == 'd') ADVANCE(572);
      END_STATE();
    case 563:
      if (lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 565:
      if (lookahead == 'e') ADVANCE(574);
      END_STATE();
    case 566:
      if (lookahead == 'a') ADVANCE(575);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 568:
      if (lookahead == '_') ADVANCE(576);
      END_STATE();
    case 569:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 570:
      if (lookahead == 'n') ADVANCE(578);
      END_STATE();
    case 571:
      if (lookahead == '_') ADVANCE(579);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 573:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 574:
      if (lookahead == 'r') ADVANCE(581);
      END_STATE();
    case 575:
      if (lookahead == 'l') ADVANCE(582);
      END_STATE();
    case 576:
      if (lookahead == '_') ADVANCE(583);
      END_STATE();
    case 577:
      if (lookahead == '_') ADVANCE(584);
      END_STATE();
    case 578:
      if (lookahead == 'e') ADVANCE(585);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 581:
      if (lookahead == 't') ADVANCE(586);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 332},
  [2] = {.lex_state = 332},
  [3] = {.lex_state = 332},
  [4] = {.lex_state = 332},
  [5] = {.lex_state = 332},
  [6] = {.lex_state = 332},
  [7] = {.lex_state = 332},
  [8] = {.lex_state = 332},
  [9] = {.lex_state = 332},
  [10] = {.lex_state = 332},
  [11] = {.lex_state = 332},
  [12] = {.lex_state = 332},
  [13] = {.lex_state = 167},
  [14] = {.lex_state = 167},
  [15] = {.lex_state = 167},
  [16] = {.lex_state = 167},
  [17] = {.lex_state = 167},
  [18] = {.lex_state = 167},
  [19] = {.lex_state = 167},
  [20] = {.lex_state = 167},
  [21] = {.lex_state = 167},
  [22] = {.lex_state = 167},
  [23] = {.lex_state = 167},
  [24] = {.lex_state = 167},
  [25] = {.lex_state = 167},
  [26] = {.lex_state = 167},
  [27] = {.lex_state = 167},
  [28] = {.lex_state = 167},
  [29] = {.lex_state = 167},
  [30] = {.lex_state = 167},
  [31] = {.lex_state = 167},
  [32] = {.lex_state = 167},
  [33] = {.lex_state = 167},
  [34] = {.lex_state = 332},
  [35] = {.lex_state = 332},
  [36] = {.lex_state = 332},
  [37] = {.lex_state = 332},
  [38] = {.lex_state = 332},
  [39] = {.lex_state = 332},
  [40] = {.lex_state = 332},
  [41] = {.lex_state = 332},
  [42] = {.lex_state = 332},
  [43] = {.lex_state = 170},
  [44] = {.lex_state = 332},
  [45] = {.lex_state = 332},
  [46] = {.lex_state = 332},
  [47] = {.lex_state = 332},
  [48] = {.lex_state = 332},
  [49] = {.lex_state = 332},
  [50] = {.lex_state = 170},
  [51] = {.lex_state = 332},
  [52] = {.lex_state = 332},
  [53] = {.lex_state = 332},
  [54] = {.lex_state = 332},
  [55] = {.lex_state = 332},
  [56] = {.lex_state = 332},
  [57] = {.lex_state = 332},
  [58] = {.lex_state = 332},
  [59] = {.lex_state = 332},
  [60] = {.lex_state = 332},
  [61] = {.lex_state = 332},
  [62] = {.lex_state = 332},
  [63] = {.lex_state = 332},
  [64] = {.lex_state = 332},
  [65] = {.lex_state = 170},
  [66] = {.lex_state = 332},
  [67] = {.lex_state = 332},
  [68] = {.lex_state = 332},
  [69] = {.lex_state = 332},
  [70] = {.lex_state = 332},
  [71] = {.lex_state = 332},
  [72] = {.lex_state = 332},
  [73] = {.lex_state = 332},
  [74] = {.lex_state = 332},
  [75] = {.lex_state = 332},
  [76] = {.lex_state = 332},
  [77] = {.lex_state = 332},
  [78] = {.lex_state = 332},
  [79] = {.lex_state = 332},
  [80] = {.lex_state = 332},
  [81] = {.lex_state = 332},
  [82] = {.lex_state = 167},
  [83] = {.lex_state = 167},
  [84] = {.lex_state = 167},
  [85] = {.lex_state = 167},
  [86] = {.lex_state = 167},
  [87] = {.lex_state = 332},
  [88] = {.lex_state = 332},
  [89] = {.lex_state = 332},
  [90] = {.lex_state = 332},
  [91] = {.lex_state = 332},
  [92] = {.lex_state = 332},
  [93] = {.lex_state = 170},
  [94] = {.lex_state = 170},
  [95] = {.lex_state = 332},
  [96] = {.lex_state = 170},
  [97] = {.lex_state = 332},
  [98] = {.lex_state = 170},
  [99] = {.lex_state = 170},
  [100] = {.lex_state = 332},
  [101] = {.lex_state = 332},
  [102] = {.lex_state = 169},
  [103] = {.lex_state = 169},
  [104] = {.lex_state = 169},
  [105] = {.lex_state = 169},
  [106] = {.lex_state = 169},
  [107] = {.lex_state = 169},
  [108] = {.lex_state = 169},
  [109] = {.lex_state = 169},
  [110] = {.lex_state = 169},
  [111] = {.lex_state = 169},
  [112] = {.lex_state = 169},
  [113] = {.lex_state = 169},
  [114] = {.lex_state = 171},
  [115] = {.lex_state = 171},
  [116] = {.lex_state = 169},
  [117] = {.lex_state = 169},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 169},
  [120] = {.lex_state = 169},
  [121] = {.lex_state = 169},
  [122] = {.lex_state = 169},
  [123] = {.lex_state = 169},
  [124] = {.lex_state = 169},
  [125] = {.lex_state = 169},
  [126] = {.lex_state = 169},
  [127] = {.lex_state = 169},
  [128] = {.lex_state = 169},
  [129] = {.lex_state = 169},
  [130] = {.lex_state = 169},
  [131] = {.lex_state = 169},
  [132] = {.lex_state = 160},
  [133] = {.lex_state = 332},
  [134] = {.lex_state = 332},
  [135] = {.lex_state = 160},
  [136] = {.lex_state = 172},
  [137] = {.lex_state = 172},
  [138] = {.lex_state = 172},
  [139] = {.lex_state = 172},
  [140] = {.lex_state = 172},
  [141] = {.lex_state = 172},
  [142] = {.lex_state = 172},
  [143] = {.lex_state = 172},
  [144] = {.lex_state = 172},
  [145] = {.lex_state = 172},
  [146] = {.lex_state = 172},
  [147] = {.lex_state = 172},
  [148] = {.lex_state = 172},
  [149] = {.lex_state = 172},
  [150] = {.lex_state = 172},
  [151] = {.lex_state = 172},
  [152] = {.lex_state = 172},
  [153] = {.lex_state = 172},
  [154] = {.lex_state = 172},
  [155] = {.lex_state = 172},
  [156] = {.lex_state = 172},
  [157] = {.lex_state = 172},
  [158] = {.lex_state = 172},
  [159] = {.lex_state = 172},
  [160] = {.lex_state = 172},
  [161] = {.lex_state = 172},
  [162] = {.lex_state = 169},
  [163] = {.lex_state = 160},
  [164] = {.lex_state = 169},
  [165] = {.lex_state = 169},
  [166] = {.lex_state = 169},
  [167] = {.lex_state = 169},
  [168] = {.lex_state = 169},
  [169] = {.lex_state = 169},
  [170] = {.lex_state = 169},
  [171] = {.lex_state = 169},
  [172] = {.lex_state = 169},
  [173] = {.lex_state = 169},
  [174] = {.lex_state = 169},
  [175] = {.lex_state = 169},
  [176] = {.lex_state = 169},
  [177] = {.lex_state = 169},
  [178] = {.lex_state = 169},
  [179] = {.lex_state = 169},
  [180] = {.lex_state = 169},
  [181] = {.lex_state = 169},
  [182] = {.lex_state = 169},
  [183] = {.lex_state = 169},
  [184] = {.lex_state = 169},
  [185] = {.lex_state = 169},
  [186] = {.lex_state = 169},
  [187] = {.lex_state = 169},
  [188] = {.lex_state = 169},
  [189] = {.lex_state = 169},
  [190] = {.lex_state = 169},
  [191] = {.lex_state = 169},
  [192] = {.lex_state = 169},
  [193] = {.lex_state = 169},
  [194] = {.lex_state = 169},
  [195] = {.lex_state = 169},
  [196] = {.lex_state = 169},
  [197] = {.lex_state = 169},
  [198] = {.lex_state = 169},
  [199] = {.lex_state = 169},
  [200] = {.lex_state = 169},
  [201] = {.lex_state = 169},
  [202] = {.lex_state = 169},
  [203] = {.lex_state = 169},
  [204] = {.lex_state = 169},
  [205] = {.lex_state = 169},
  [206] = {.lex_state = 169},
  [207] = {.lex_state = 169},
  [208] = {.lex_state = 162},
  [209] = {.lex_state = 169},
  [210] = {.lex_state = 169},
  [211] = {.lex_state = 169},
  [212] = {.lex_state = 169},
  [213] = {.lex_state = 169},
  [214] = {.lex_state = 169},
  [215] = {.lex_state = 169},
  [216] = {.lex_state = 169},
  [217] = {.lex_state = 160},
  [218] = {.lex_state = 163},
  [219] = {.lex_state = 167},
  [220] = {.lex_state = 167},
  [221] = {.lex_state = 167},
  [222] = {.lex_state = 332},
  [223] = {.lex_state = 167},
  [224] = {.lex_state = 332},
  [225] = {.lex_state = 332},
  [226] = {.lex_state = 162},
  [227] = {.lex_state = 332},
  [228] = {.lex_state = 167},
  [229] = {.lex_state = 167},
  [230] = {.lex_state = 167},
  [231] = {.lex_state = 167},
  [232] = {.lex_state = 167},
  [233] = {.lex_state = 167},
  [234] = {.lex_state = 167},
  [235] = {.lex_state = 172},
  [236] = {.lex_state = 167},
  [237] = {.lex_state = 167},
  [238] = {.lex_state = 167},
  [239] = {.lex_state = 172},
  [240] = {.lex_state = 167},
  [241] = {.lex_state = 172},
  [242] = {.lex_state = 167},
  [243] = {.lex_state = 167},
  [244] = {.lex_state = 167},
  [245] = {.lex_state = 172},
  [246] = {.lex_state = 167},
  [247] = {.lex_state = 167},
  [248] = {.lex_state = 167},
  [249] = {.lex_state = 172},
  [250] = {.lex_state = 167},
  [251] = {.lex_state = 167},
  [252] = {.lex_state = 172},
  [253] = {.lex_state = 172},
  [254] = {.lex_state = 172},
  [255] = {.lex_state = 167},
  [256] = {.lex_state = 172},
  [257] = {.lex_state = 167},
  [258] = {.lex_state = 172},
  [259] = {.lex_state = 167},
  [260] = {.lex_state = 167},
  [261] = {.lex_state = 172},
  [262] = {.lex_state = 167},
  [263] = {.lex_state = 172},
  [264] = {.lex_state = 167},
  [265] = {.lex_state = 167},
  [266] = {.lex_state = 167},
  [267] = {.lex_state = 167},
  [268] = {.lex_state = 167},
  [269] = {.lex_state = 167},
  [270] = {.lex_state = 167},
  [271] = {.lex_state = 167},
  [272] = {.lex_state = 167},
  [273] = {.lex_state = 167},
  [274] = {.lex_state = 167},
  [275] = {.lex_state = 167},
  [276] = {.lex_state = 172},
  [277] = {.lex_state = 172},
  [278] = {.lex_state = 167},
  [279] = {.lex_state = 167},
  [280] = {.lex_state = 167},
  [281] = {.lex_state = 172},
  [282] = {.lex_state = 167},
  [283] = {.lex_state = 167},
  [284] = {.lex_state = 172},
  [285] = {.lex_state = 167},
  [286] = {.lex_state = 167},
  [287] = {.lex_state = 172},
  [288] = {.lex_state = 167},
  [289] = {.lex_state = 167},
  [290] = {.lex_state = 167},
  [291] = {.lex_state = 167},
  [292] = {.lex_state = 167},
  [293] = {.lex_state = 167},
  [294] = {.lex_state = 167},
  [295] = {.lex_state = 167},
  [296] = {.lex_state = 167},
  [297] = {.lex_state = 167},
  [298] = {.lex_state = 167},
  [299] = {.lex_state = 167},
  [300] = {.lex_state = 167},
  [301] = {.lex_state = 167},
  [302] = {.lex_state = 170},
  [303] = {.lex_state = 167},
  [304] = {.lex_state = 167},
  [305] = {.lex_state = 167},
  [306] = {.lex_state = 167},
  [307] = {.lex_state = 170},
  [308] = {.lex_state = 167},
  [309] = {.lex_state = 332},
  [310] = {.lex_state = 167},
  [311] = {.lex_state = 167},
  [312] = {.lex_state = 167},
  [313] = {.lex_state = 167},
  [314] = {.lex_state = 169},
  [315] = {.lex_state = 167},
  [316] = {.lex_state = 167},
  [317] = {.lex_state = 167},
  [318] = {.lex_state = 167},
  [319] = {.lex_state = 169},
  [320] = {.lex_state = 332},
  [321] = {.lex_state = 167},
  [322] = {.lex_state = 167},
  [323] = {.lex_state = 171},
  [324] = {.lex_state = 167},
  [325] = {.lex_state = 332},
  [326] = {.lex_state = 167},
  [327] = {.lex_state = 172},
  [328] = {.lex_state = 167},
  [329] = {.lex_state = 332},
  [330] = {.lex_state = 167},
  [331] = {.lex_state = 167},
  [332] = {.lex_state = 167},
  [333] = {.lex_state = 167},
  [334] = {.lex_state = 167},
  [335] = {.lex_state = 167},
  [336] = {.lex_state = 167},
  [337] = {.lex_state = 167},
  [338] = {.lex_state = 167},
  [339] = {.lex_state = 167},
  [340] = {.lex_state = 167},
  [341] = {.lex_state = 167},
  [342] = {.lex_state = 167},
  [343] = {.lex_state = 167},
  [344] = {.lex_state = 167},
  [345] = {.lex_state = 167},
  [346] = {.lex_state = 167},
  [347] = {.lex_state = 167},
  [348] = {.lex_state = 167},
  [349] = {.lex_state = 167},
  [350] = {.lex_state = 167},
  [351] = {.lex_state = 167},
  [352] = {.lex_state = 167},
  [353] = {.lex_state = 167},
  [354] = {.lex_state = 169},
  [355] = {.lex_state = 171},
  [356] = {.lex_state = 167},
  [357] = {.lex_state = 167},
  [358] = {.lex_state = 167},
  [359] = {.lex_state = 167},
  [360] = {.lex_state = 167},
  [361] = {.lex_state = 167},
  [362] = {.lex_state = 167},
  [363] = {.lex_state = 167},
  [364] = {.lex_state = 167},
  [365] = {.lex_state = 167},
  [366] = {.lex_state = 167},
  [367] = {.lex_state = 167},
  [368] = {.lex_state = 167},
  [369] = {.lex_state = 167},
  [370] = {.lex_state = 167},
  [371] = {.lex_state = 172},
  [372] = {.lex_state = 234},
  [373] = {.lex_state = 234},
  [374] = {.lex_state = 172},
  [375] = {.lex_state = 234},
  [376] = {.lex_state = 234},
  [377] = {.lex_state = 234},
  [378] = {.lex_state = 234},
  [379] = {.lex_state = 234},
  [380] = {.lex_state = 170},
  [381] = {.lex_state = 172},
  [382] = {.lex_state = 332},
  [383] = {.lex_state = 172},
  [384] = {.lex_state = 172},
  [385] = {.lex_state = 172},
  [386] = {.lex_state = 170},
  [387] = {.lex_state = 169},
  [388] = {.lex_state = 169},
  [389] = {.lex_state = 234},
  [390] = {.lex_state = 234},
  [391] = {.lex_state = 234},
  [392] = {.lex_state = 234},
  [393] = {.lex_state = 169},
  [394] = {.lex_state = 234},
  [395] = {.lex_state = 332},
  [396] = {.lex_state = 234},
  [397] = {.lex_state = 234},
  [398] = {.lex_state = 169},
  [399] = {.lex_state = 169},
  [400] = {.lex_state = 169},
  [401] = {.lex_state = 234},
  [402] = {.lex_state = 234},
  [403] = {.lex_state = 332},
  [404] = {.lex_state = 169},
  [405] = {.lex_state = 332},
  [406] = {.lex_state = 332},
  [407] = {.lex_state = 332},
  [408] = {.lex_state = 332},
  [409] = {.lex_state = 170},
  [410] = {.lex_state = 170},
  [411] = {.lex_state = 169},
  [412] = {.lex_state = 170},
  [413] = {.lex_state = 332},
  [414] = {.lex_state = 170},
  [415] = {.lex_state = 332},
  [416] = {.lex_state = 170},
  [417] = {.lex_state = 332},
  [418] = {.lex_state = 332},
  [419] = {.lex_state = 332},
  [420] = {.lex_state = 332},
  [421] = {.lex_state = 332},
  [422] = {.lex_state = 332},
  [423] = {.lex_state = 332},
  [424] = {.lex_state = 332},
  [425] = {.lex_state = 332},
  [426] = {.lex_state = 332},
  [427] = {.lex_state = 332},
  [428] = {.lex_state = 332},
  [429] = {.lex_state = 332},
  [430] = {.lex_state = 332},
  [431] = {.lex_state = 332},
  [432] = {.lex_state = 332},
  [433] = {.lex_state = 332},
  [434] = {.lex_state = 170},
  [435] = {.lex_state = 170},
  [436] = {.lex_state = 170},
  [437] = {.lex_state = 170},
  [438] = {.lex_state = 170},
  [439] = {.lex_state = 170},
  [440] = {.lex_state = 170},
  [441] = {.lex_state = 170},
  [442] = {.lex_state = 332},
  [443] = {.lex_state = 170},
  [444] = {.lex_state = 170},
  [445] = {.lex_state = 170},
  [446] = {.lex_state = 170},
  [447] = {.lex_state = 170},
  [448] = {.lex_state = 170},
  [449] = {.lex_state = 170},
  [450] = {.lex_state = 170},
  [451] = {.lex_state = 170},
  [452] = {.lex_state = 170},
  [453] = {.lex_state = 332},
  [454] = {.lex_state = 170},
  [455] = {.lex_state = 332},
  [456] = {.lex_state = 332},
  [457] = {.lex_state = 170},
  [458] = {.lex_state = 170},
  [459] = {.lex_state = 170},
  [460] = {.lex_state = 170},
  [461] = {.lex_state = 170},
  [462] = {.lex_state = 170},
  [463] = {.lex_state = 332},
  [464] = {.lex_state = 332},
  [465] = {.lex_state = 170},
  [466] = {.lex_state = 170},
  [467] = {.lex_state = 170},
  [468] = {.lex_state = 170},
  [469] = {.lex_state = 170},
  [470] = {.lex_state = 170},
  [471] = {.lex_state = 332},
  [472] = {.lex_state = 170},
  [473] = {.lex_state = 170},
  [474] = {.lex_state = 170},
  [475] = {.lex_state = 170},
  [476] = {.lex_state = 170},
  [477] = {.lex_state = 170},
  [478] = {.lex_state = 332},
  [479] = {.lex_state = 332},
  [480] = {.lex_state = 332},
  [481] = {.lex_state = 332},
  [482] = {.lex_state = 332},
  [483] = {.lex_state = 332},
  [484] = {.lex_state = 332},
  [485] = {.lex_state = 332},
  [486] = {.lex_state = 332},
  [487] = {.lex_state = 332},
  [488] = {.lex_state = 332},
  [489] = {.lex_state = 332},
  [490] = {.lex_state = 332},
  [491] = {.lex_state = 332},
  [492] = {.lex_state = 332},
  [493] = {.lex_state = 332},
  [494] = {.lex_state = 332},
  [495] = {.lex_state = 332},
  [496] = {.lex_state = 332},
  [497] = {.lex_state = 332},
  [498] = {.lex_state = 332},
  [499] = {.lex_state = 332},
  [500] = {.lex_state = 332},
  [501] = {.lex_state = 332},
  [502] = {.lex_state = 332},
  [503] = {.lex_state = 332},
  [504] = {.lex_state = 332},
  [505] = {.lex_state = 332},
  [506] = {.lex_state = 332},
  [507] = {.lex_state = 332},
  [508] = {.lex_state = 332},
  [509] = {.lex_state = 332},
  [510] = {.lex_state = 332},
  [511] = {.lex_state = 332},
  [512] = {.lex_state = 332},
  [513] = {.lex_state = 332},
  [514] = {.lex_state = 332},
  [515] = {.lex_state = 332},
  [516] = {.lex_state = 332},
  [517] = {.lex_state = 332},
  [518] = {.lex_state = 332},
  [519] = {.lex_state = 332},
  [520] = {.lex_state = 332},
  [521] = {.lex_state = 332},
  [522] = {.lex_state = 332},
  [523] = {.lex_state = 332},
  [524] = {.lex_state = 332},
  [525] = {.lex_state = 332},
  [526] = {.lex_state = 332},
  [527] = {.lex_state = 332},
  [528] = {.lex_state = 332},
  [529] = {.lex_state = 332},
  [530] = {.lex_state = 332},
  [531] = {.lex_state = 170},
  [532] = {.lex_state = 332},
  [533] = {.lex_state = 170},
  [534] = {.lex_state = 170},
  [535] = {.lex_state = 170},
  [536] = {.lex_state = 170},
  [537] = {.lex_state = 170},
  [538] = {.lex_state = 170},
  [539] = {.lex_state = 170},
  [540] = {.lex_state = 170},
  [541] = {.lex_state = 170},
  [542] = {.lex_state = 170},
  [543] = {.lex_state = 170},
  [544] = {.lex_state = 170},
  [545] = {.lex_state = 170},
  [546] = {.lex_state = 170},
  [547] = {.lex_state = 170},
  [548] = {.lex_state = 170},
  [549] = {.lex_state = 170},
  [550] = {.lex_state = 170},
  [551] = {.lex_state = 170},
  [552] = {.lex_state = 170},
  [553] = {.lex_state = 170},
  [554] = {.lex_state = 170},
  [555] = {.lex_state = 170},
  [556] = {.lex_state = 170},
  [557] = {.lex_state = 170},
  [558] = {.lex_state = 170},
  [559] = {.lex_state = 170},
  [560] = {.lex_state = 170},
  [561] = {.lex_state = 170},
  [562] = {.lex_state = 170},
  [563] = {.lex_state = 170},
  [564] = {.lex_state = 170},
  [565] = {.lex_state = 170},
  [566] = {.lex_state = 170},
  [567] = {.lex_state = 170},
  [568] = {.lex_state = 170},
  [569] = {.lex_state = 332},
  [570] = {.lex_state = 170},
  [571] = {.lex_state = 170},
  [572] = {.lex_state = 170},
  [573] = {.lex_state = 170},
  [574] = {.lex_state = 170},
  [575] = {.lex_state = 170},
  [576] = {.lex_state = 170},
  [577] = {.lex_state = 332},
  [578] = {.lex_state = 170},
  [579] = {.lex_state = 170},
  [580] = {.lex_state = 170},
  [581] = {.lex_state = 170},
  [582] = {.lex_state = 170},
  [583] = {.lex_state = 170},
  [584] = {.lex_state = 170},
  [585] = {.lex_state = 170},
  [586] = {.lex_state = 332},
  [587] = {.lex_state = 170},
  [588] = {.lex_state = 332},
  [589] = {.lex_state = 170},
  [590] = {.lex_state = 332},
  [591] = {.lex_state = 332},
  [592] = {.lex_state = 332},
  [593] = {.lex_state = 332},
  [594] = {.lex_state = 332},
  [595] = {.lex_state = 332},
  [596] = {.lex_state = 332},
  [597] = {.lex_state = 332},
  [598] = {.lex_state = 332},
  [599] = {.lex_state = 332},
  [600] = {.lex_state = 332},
  [601] = {.lex_state = 332},
  [602] = {.lex_state = 332},
  [603] = {.lex_state = 332},
  [604] = {.lex_state = 332},
  [605] = {.lex_state = 332},
  [606] = {.lex_state = 170},
  [607] = {.lex_state = 332},
  [608] = {.lex_state = 332},
  [609] = {.lex_state = 332},
  [610] = {.lex_state = 332},
  [611] = {.lex_state = 332},
  [612] = {.lex_state = 332},
  [613] = {.lex_state = 170},
  [614] = {.lex_state = 170},
  [615] = {.lex_state = 332},
  [616] = {.lex_state = 332},
  [617] = {.lex_state = 170},
  [618] = {.lex_state = 332},
  [619] = {.lex_state = 332},
  [620] = {.lex_state = 332},
  [621] = {.lex_state = 332},
  [622] = {.lex_state = 332},
  [623] = {.lex_state = 332},
  [624] = {.lex_state = 332},
  [625] = {.lex_state = 332},
  [626] = {.lex_state = 332},
  [627] = {.lex_state = 332},
  [628] = {.lex_state = 332},
  [629] = {.lex_state = 170},
  [630] = {.lex_state = 332},
  [631] = {.lex_state = 332},
  [632] = {.lex_state = 332},
  [633] = {.lex_state = 234},
  [634] = {.lex_state = 332},
  [635] = {.lex_state = 332},
  [636] = {.lex_state = 332},
  [637] = {.lex_state = 332},
  [638] = {.lex_state = 332},
  [639] = {.lex_state = 332},
  [640] = {.lex_state = 332},
  [641] = {.lex_state = 332},
  [642] = {.lex_state = 332},
  [643] = {.lex_state = 332},
  [644] = {.lex_state = 332},
  [645] = {.lex_state = 332},
  [646] = {.lex_state = 332},
  [647] = {.lex_state = 332},
  [648] = {.lex_state = 332},
  [649] = {.lex_state = 332},
  [650] = {.lex_state = 332},
  [651] = {.lex_state = 332},
  [652] = {.lex_state = 170},
  [653] = {.lex_state = 332},
  [654] = {.lex_state = 332},
  [655] = {.lex_state = 170},
  [656] = {.lex_state = 170},
  [657] = {.lex_state = 170},
  [658] = {.lex_state = 332},
  [659] = {.lex_state = 332},
  [660] = {.lex_state = 332},
  [661] = {.lex_state = 332},
  [662] = {.lex_state = 332},
  [663] = {.lex_state = 332},
  [664] = {.lex_state = 332},
  [665] = {.lex_state = 332},
  [666] = {.lex_state = 332},
  [667] = {.lex_state = 170},
  [668] = {.lex_state = 170},
  [669] = {.lex_state = 332},
  [670] = {.lex_state = 332},
  [671] = {.lex_state = 170},
  [672] = {.lex_state = 170},
  [673] = {.lex_state = 170},
  [674] = {.lex_state = 170},
  [675] = {.lex_state = 170},
  [676] = {.lex_state = 170},
  [677] = {.lex_state = 170},
  [678] = {.lex_state = 332},
  [679] = {.lex_state = 161},
  [680] = {.lex_state = 332},
  [681] = {.lex_state = 332},
  [682] = {.lex_state = 332},
  [683] = {.lex_state = 332},
  [684] = {.lex_state = 332},
  [685] = {.lex_state = 332},
  [686] = {.lex_state = 332},
  [687] = {.lex_state = 332},
  [688] = {.lex_state = 332},
  [689] = {.lex_state = 332},
  [690] = {.lex_state = 332},
  [691] = {.lex_state = 332},
  [692] = {.lex_state = 332},
  [693] = {.lex_state = 332},
  [694] = {.lex_state = 332},
  [695] = {.lex_state = 332},
  [696] = {.lex_state = 332},
  [697] = {.lex_state = 332},
  [698] = {.lex_state = 332},
  [699] = {.lex_state = 332},
  [700] = {.lex_state = 332},
  [701] = {.lex_state = 332},
  [702] = {.lex_state = 332},
  [703] = {.lex_state = 332},
  [704] = {.lex_state = 332},
  [705] = {.lex_state = 332},
  [706] = {.lex_state = 332},
  [707] = {.lex_state = 332},
  [708] = {.lex_state = 332},
  [709] = {.lex_state = 332},
  [710] = {.lex_state = 332},
  [711] = {.lex_state = 332},
  [712] = {.lex_state = 332},
  [713] = {.lex_state = 332},
  [714] = {.lex_state = 332},
  [715] = {.lex_state = 332},
  [716] = {.lex_state = 332},
  [717] = {.lex_state = 332},
  [718] = {.lex_state = 332},
  [719] = {.lex_state = 332},
  [720] = {.lex_state = 332},
  [721] = {.lex_state = 332},
  [722] = {.lex_state = 332},
  [723] = {.lex_state = 332},
  [724] = {.lex_state = 332},
  [725] = {.lex_state = 332},
  [726] = {.lex_state = 332},
  [727] = {.lex_state = 332},
  [728] = {.lex_state = 332},
  [729] = {.lex_state = 332},
  [730] = {.lex_state = 161},
  [731] = {.lex_state = 332},
  [732] = {.lex_state = 332},
  [733] = {.lex_state = 332},
  [734] = {.lex_state = 332},
  [735] = {.lex_state = 332},
  [736] = {.lex_state = 332},
  [737] = {.lex_state = 332},
  [738] = {.lex_state = 332},
  [739] = {.lex_state = 332},
  [740] = {.lex_state = 332},
  [741] = {.lex_state = 332},
  [742] = {.lex_state = 332},
  [743] = {.lex_state = 332},
  [744] = {.lex_state = 332},
  [745] = {.lex_state = 332},
  [746] = {.lex_state = 332},
  [747] = {.lex_state = 332},
  [748] = {.lex_state = 332},
  [749] = {.lex_state = 332},
  [750] = {.lex_state = 332},
  [751] = {.lex_state = 332},
  [752] = {.lex_state = 190},
  [753] = {.lex_state = 190},
  [754] = {.lex_state = 235},
  [755] = {.lex_state = 235},
  [756] = {.lex_state = 190},
  [757] = {.lex_state = 190},
  [758] = {.lex_state = 190},
  [759] = {.lex_state = 190},
  [760] = {.lex_state = 190},
  [761] = {.lex_state = 190},
  [762] = {.lex_state = 190},
  [763] = {.lex_state = 190},
  [764] = {.lex_state = 190},
  [765] = {.lex_state = 190},
  [766] = {.lex_state = 190},
  [767] = {.lex_state = 190},
  [768] = {.lex_state = 190},
  [769] = {.lex_state = 190},
  [770] = {.lex_state = 161},
  [771] = {.lex_state = 190},
  [772] = {.lex_state = 190},
  [773] = {.lex_state = 190},
  [774] = {.lex_state = 190},
  [775] = {.lex_state = 190},
  [776] = {.lex_state = 235},
  [777] = {.lex_state = 161},
  [778] = {.lex_state = 161},
  [779] = {.lex_state = 164},
  [780] = {.lex_state = 161},
  [781] = {.lex_state = 165},
  [782] = {.lex_state = 165},
  [783] = {.lex_state = 172},
  [784] = {.lex_state = 172},
  [785] = {.lex_state = 172},
  [786] = {.lex_state = 332},
  [787] = {.lex_state = 332},
  [788] = {.lex_state = 234},
  [789] = {.lex_state = 234},
  [790] = {.lex_state = 234},
  [791] = {.lex_state = 234},
  [792] = {.lex_state = 234},
  [793] = {.lex_state = 234},
  [794] = {.lex_state = 234},
  [795] = {.lex_state = 172},
  [796] = {.lex_state = 172},
  [797] = {.lex_state = 172},
  [798] = {.lex_state = 172},
  [799] = {.lex_state = 172},
  [800] = {.lex_state = 172},
  [801] = {.lex_state = 172},
  [802] = {.lex_state = 172},
  [803] = {.lex_state = 172},
  [804] = {.lex_state = 172},
  [805] = {.lex_state = 172},
  [806] = {.lex_state = 172},
  [807] = {.lex_state = 172},
  [808] = {.lex_state = 172},
  [809] = {.lex_state = 172},
  [810] = {.lex_state = 172},
  [811] = {.lex_state = 172},
  [812] = {.lex_state = 172},
  [813] = {.lex_state = 172},
  [814] = {.lex_state = 172},
  [815] = {.lex_state = 172},
  [816] = {.lex_state = 234},
  [817] = {.lex_state = 234},
  [818] = {.lex_state = 234},
  [819] = {.lex_state = 234},
  [820] = {.lex_state = 234},
  [821] = {.lex_state = 234},
  [822] = {.lex_state = 234},
  [823] = {.lex_state = 171},
  [824] = {.lex_state = 171},
  [825] = {.lex_state = 332},
  [826] = {.lex_state = 183},
  [827] = {.lex_state = 169},
  [828] = {.lex_state = 172},
  [829] = {.lex_state = 169},
  [830] = {.lex_state = 183},
  [831] = {.lex_state = 183},
  [832] = {.lex_state = 183},
  [833] = {.lex_state = 169},
  [834] = {.lex_state = 171},
  [835] = {.lex_state = 169},
  [836] = {.lex_state = 169},
  [837] = {.lex_state = 171},
  [838] = {.lex_state = 183},
  [839] = {.lex_state = 169},
  [840] = {.lex_state = 169},
  [841] = {.lex_state = 169},
  [842] = {.lex_state = 169},
  [843] = {.lex_state = 169},
  [844] = {.lex_state = 169},
  [845] = {.lex_state = 169},
  [846] = {.lex_state = 169},
  [847] = {.lex_state = 169},
  [848] = {.lex_state = 169},
  [849] = {.lex_state = 169},
  [850] = {.lex_state = 169},
  [851] = {.lex_state = 169},
  [852] = {.lex_state = 169},
  [853] = {.lex_state = 169},
  [854] = {.lex_state = 169},
  [855] = {.lex_state = 169},
  [856] = {.lex_state = 169},
  [857] = {.lex_state = 169},
  [858] = {.lex_state = 169},
  [859] = {.lex_state = 169},
  [860] = {.lex_state = 169},
  [861] = {.lex_state = 169},
  [862] = {.lex_state = 169},
  [863] = {.lex_state = 169},
  [864] = {.lex_state = 169},
  [865] = {.lex_state = 169},
  [866] = {.lex_state = 169},
  [867] = {.lex_state = 169},
  [868] = {.lex_state = 169},
  [869] = {.lex_state = 169},
  [870] = {.lex_state = 169},
  [871] = {.lex_state = 169},
  [872] = {.lex_state = 169},
  [873] = {.lex_state = 169},
  [874] = {.lex_state = 169},
  [875] = {.lex_state = 169},
  [876] = {.lex_state = 169},
  [877] = {.lex_state = 169},
  [878] = {.lex_state = 169},
  [879] = {.lex_state = 169},
  [880] = {.lex_state = 169},
  [881] = {.lex_state = 234},
  [882] = {.lex_state = 172},
  [883] = {.lex_state = 172},
  [884] = {.lex_state = 172},
  [885] = {.lex_state = 172},
  [886] = {.lex_state = 172},
  [887] = {.lex_state = 172},
  [888] = {.lex_state = 172},
  [889] = {.lex_state = 172},
  [890] = {.lex_state = 172},
  [891] = {.lex_state = 172},
  [892] = {.lex_state = 172},
  [893] = {.lex_state = 172},
  [894] = {.lex_state = 172},
  [895] = {.lex_state = 172},
  [896] = {.lex_state = 172},
  [897] = {.lex_state = 172},
  [898] = {.lex_state = 172},
  [899] = {.lex_state = 172},
  [900] = {.lex_state = 172},
  [901] = {.lex_state = 172},
  [902] = {.lex_state = 172},
  [903] = {.lex_state = 172},
  [904] = {.lex_state = 183},
  [905] = {.lex_state = 172},
  [906] = {.lex_state = 172},
  [907] = {.lex_state = 172},
  [908] = {.lex_state = 172},
  [909] = {.lex_state = 172},
  [910] = {.lex_state = 172},
  [911] = {.lex_state = 179},
  [912] = {.lex_state = 183},
  [913] = {.lex_state = 172},
  [914] = {.lex_state = 172},
  [915] = {.lex_state = 183},
  [916] = {.lex_state = 172},
  [917] = {.lex_state = 183},
  [918] = {.lex_state = 183},
  [919] = {.lex_state = 172},
  [920] = {.lex_state = 172},
  [921] = {.lex_state = 183},
  [922] = {.lex_state = 172},
  [923] = {.lex_state = 172},
  [924] = {.lex_state = 172},
  [925] = {.lex_state = 172},
  [926] = {.lex_state = 183},
  [927] = {.lex_state = 172},
  [928] = {.lex_state = 183},
  [929] = {.lex_state = 172},
  [930] = {.lex_state = 172},
  [931] = {.lex_state = 172},
  [932] = {.lex_state = 172},
  [933] = {.lex_state = 172},
  [934] = {.lex_state = 172},
  [935] = {.lex_state = 172},
  [936] = {.lex_state = 172},
  [937] = {.lex_state = 172},
  [938] = {.lex_state = 172},
  [939] = {.lex_state = 172},
  [940] = {.lex_state = 172},
  [941] = {.lex_state = 172},
  [942] = {.lex_state = 172},
  [943] = {.lex_state = 172},
  [944] = {.lex_state = 172},
  [945] = {.lex_state = 172},
  [946] = {.lex_state = 172},
  [947] = {.lex_state = 172},
  [948] = {.lex_state = 172},
  [949] = {.lex_state = 172},
  [950] = {.lex_state = 172},
  [951] = {.lex_state = 172},
  [952] = {.lex_state = 172},
  [953] = {.lex_state = 172},
  [954] = {.lex_state = 172},
  [955] = {.lex_state = 172},
  [956] = {.lex_state = 172},
  [957] = {.lex_state = 171},
  [958] = {.lex_state = 172},
  [959] = {.lex_state = 172},
  [960] = {.lex_state = 171},
  [961] = {.lex_state = 172},
  [962] = {.lex_state = 171},
  [963] = {.lex_state = 171},
  [964] = {.lex_state = 172},
  [965] = {.lex_state = 172},
  [966] = {.lex_state = 172},
  [967] = {.lex_state = 172},
  [968] = {.lex_state = 172},
  [969] = {.lex_state = 172},
  [970] = {.lex_state = 172},
  [971] = {.lex_state = 172},
  [972] = {.lex_state = 172},
  [973] = {.lex_state = 172},
  [974] = {.lex_state = 172},
  [975] = {.lex_state = 172},
  [976] = {.lex_state = 171},
  [977] = {.lex_state = 172},
  [978] = {.lex_state = 172},
  [979] = {.lex_state = 171},
  [980] = {.lex_state = 171},
  [981] = {.lex_state = 171},
  [982] = {.lex_state = 172},
  [983] = {.lex_state = 172},
  [984] = {.lex_state = 172},
  [985] = {.lex_state = 172},
  [986] = {.lex_state = 171},
  [987] = {.lex_state = 172},
  [988] = {.lex_state = 172},
  [989] = {.lex_state = 171},
  [990] = {.lex_state = 171},
  [991] = {.lex_state = 171},
  [992] = {.lex_state = 171},
  [993] = {.lex_state = 171},
  [994] = {.lex_state = 171},
  [995] = {.lex_state = 172},
  [996] = {.lex_state = 172},
  [997] = {.lex_state = 172},
  [998] = {.lex_state = 172},
  [999] = {.lex_state = 172},
  [1000] = {.lex_state = 171},
  [1001] = {.lex_state = 171},
  [1002] = {.lex_state = 172},
  [1003] = {.lex_state = 172},
  [1004] = {.lex_state = 172},
  [1005] = {.lex_state = 172},
  [1006] = {.lex_state = 171},
  [1007] = {.lex_state = 172},
  [1008] = {.lex_state = 171},
  [1009] = {.lex_state = 172},
  [1010] = {.lex_state = 171},
  [1011] = {.lex_state = 172},
  [1012] = {.lex_state = 172},
  [1013] = {.lex_state = 171},
  [1014] = {.lex_state = 171},
  [1015] = {.lex_state = 171},
  [1016] = {.lex_state = 172},
  [1017] = {.lex_state = 172},
  [1018] = {.lex_state = 171},
  [1019] = {.lex_state = 171},
  [1020] = {.lex_state = 172},
  [1021] = {.lex_state = 172},
  [1022] = {.lex_state = 171},
  [1023] = {.lex_state = 172},
  [1024] = {.lex_state = 172},
  [1025] = {.lex_state = 172},
  [1026] = {.lex_state = 172},
  [1027] = {.lex_state = 172},
  [1028] = {.lex_state = 172},
  [1029] = {.lex_state = 172},
  [1030] = {.lex_state = 172},
  [1031] = {.lex_state = 172},
  [1032] = {.lex_state = 172},
  [1033] = {.lex_state = 172},
  [1034] = {.lex_state = 172},
  [1035] = {.lex_state = 172},
  [1036] = {.lex_state = 172},
  [1037] = {.lex_state = 172},
  [1038] = {.lex_state = 172},
  [1039] = {.lex_state = 172},
  [1040] = {.lex_state = 172},
  [1041] = {.lex_state = 172},
  [1042] = {.lex_state = 172},
  [1043] = {.lex_state = 172},
  [1044] = {.lex_state = 172},
  [1045] = {.lex_state = 172},
  [1046] = {.lex_state = 172},
  [1047] = {.lex_state = 172},
  [1048] = {.lex_state = 172},
  [1049] = {.lex_state = 172},
  [1050] = {.lex_state = 172},
  [1051] = {.lex_state = 172},
  [1052] = {.lex_state = 172},
  [1053] = {.lex_state = 172},
  [1054] = {.lex_state = 172},
  [1055] = {.lex_state = 172},
  [1056] = {.lex_state = 172},
  [1057] = {.lex_state = 172},
  [1058] = {.lex_state = 172},
  [1059] = {.lex_state = 172},
  [1060] = {.lex_state = 172},
  [1061] = {.lex_state = 172},
  [1062] = {.lex_state = 172},
  [1063] = {.lex_state = 172},
  [1064] = {.lex_state = 172},
  [1065] = {.lex_state = 172},
  [1066] = {.lex_state = 172},
  [1067] = {.lex_state = 172},
  [1068] = {.lex_state = 172},
  [1069] = {.lex_state = 172},
  [1070] = {.lex_state = 172},
  [1071] = {.lex_state = 172},
  [1072] = {.lex_state = 172},
  [1073] = {.lex_state = 172},
  [1074] = {.lex_state = 172},
  [1075] = {.lex_state = 172},
  [1076] = {.lex_state = 172},
  [1077] = {.lex_state = 172},
  [1078] = {.lex_state = 172},
  [1079] = {.lex_state = 172},
  [1080] = {.lex_state = 172},
  [1081] = {.lex_state = 172},
  [1082] = {.lex_state = 172},
  [1083] = {.lex_state = 172},
  [1084] = {.lex_state = 172},
  [1085] = {.lex_state = 172},
  [1086] = {.lex_state = 172},
  [1087] = {.lex_state = 172},
  [1088] = {.lex_state = 172},
  [1089] = {.lex_state = 172},
  [1090] = {.lex_state = 172},
  [1091] = {.lex_state = 172},
  [1092] = {.lex_state = 172},
  [1093] = {.lex_state = 172},
  [1094] = {.lex_state = 172},
  [1095] = {.lex_state = 172},
  [1096] = {.lex_state = 172},
  [1097] = {.lex_state = 172},
  [1098] = {.lex_state = 172},
  [1099] = {.lex_state = 172},
  [1100] = {.lex_state = 172},
  [1101] = {.lex_state = 172},
  [1102] = {.lex_state = 172},
  [1103] = {.lex_state = 172},
  [1104] = {.lex_state = 172},
  [1105] = {.lex_state = 172},
  [1106] = {.lex_state = 172},
  [1107] = {.lex_state = 172},
  [1108] = {.lex_state = 172},
  [1109] = {.lex_state = 172},
  [1110] = {.lex_state = 172},
  [1111] = {.lex_state = 172},
  [1112] = {.lex_state = 172},
  [1113] = {.lex_state = 172},
  [1114] = {.lex_state = 172},
  [1115] = {.lex_state = 172},
  [1116] = {.lex_state = 172},
  [1117] = {.lex_state = 172},
  [1118] = {.lex_state = 172},
  [1119] = {.lex_state = 172},
  [1120] = {.lex_state = 172},
  [1121] = {.lex_state = 172},
  [1122] = {.lex_state = 172},
  [1123] = {.lex_state = 172},
  [1124] = {.lex_state = 172},
  [1125] = {.lex_state = 172},
  [1126] = {.lex_state = 172},
  [1127] = {.lex_state = 172},
  [1128] = {.lex_state = 172},
  [1129] = {.lex_state = 172},
  [1130] = {.lex_state = 172},
  [1131] = {.lex_state = 172},
  [1132] = {.lex_state = 172},
  [1133] = {.lex_state = 172},
  [1134] = {.lex_state = 172},
  [1135] = {.lex_state = 172},
  [1136] = {.lex_state = 172},
  [1137] = {.lex_state = 172},
  [1138] = {.lex_state = 172},
  [1139] = {.lex_state = 172},
  [1140] = {.lex_state = 172},
  [1141] = {.lex_state = 172},
  [1142] = {.lex_state = 172},
  [1143] = {.lex_state = 172},
  [1144] = {.lex_state = 172},
  [1145] = {.lex_state = 172},
  [1146] = {.lex_state = 172},
  [1147] = {.lex_state = 172},
  [1148] = {.lex_state = 172},
  [1149] = {.lex_state = 172},
  [1150] = {.lex_state = 172},
  [1151] = {.lex_state = 172},
  [1152] = {.lex_state = 172},
  [1153] = {.lex_state = 172},
  [1154] = {.lex_state = 172},
  [1155] = {.lex_state = 172},
  [1156] = {.lex_state = 172},
  [1157] = {.lex_state = 172},
  [1158] = {.lex_state = 172},
  [1159] = {.lex_state = 172},
  [1160] = {.lex_state = 172},
  [1161] = {.lex_state = 172},
  [1162] = {.lex_state = 172},
  [1163] = {.lex_state = 172},
  [1164] = {.lex_state = 172},
  [1165] = {.lex_state = 172},
  [1166] = {.lex_state = 172},
  [1167] = {.lex_state = 172},
  [1168] = {.lex_state = 172},
  [1169] = {.lex_state = 172},
  [1170] = {.lex_state = 172},
  [1171] = {.lex_state = 172},
  [1172] = {.lex_state = 172},
  [1173] = {.lex_state = 172},
  [1174] = {.lex_state = 172},
  [1175] = {.lex_state = 172},
  [1176] = {.lex_state = 172},
  [1177] = {.lex_state = 172},
  [1178] = {.lex_state = 172},
  [1179] = {.lex_state = 172},
  [1180] = {.lex_state = 172},
  [1181] = {.lex_state = 172},
  [1182] = {.lex_state = 172},
  [1183] = {.lex_state = 172},
  [1184] = {.lex_state = 172},
  [1185] = {.lex_state = 172},
  [1186] = {.lex_state = 172},
  [1187] = {.lex_state = 172},
  [1188] = {.lex_state = 172},
  [1189] = {.lex_state = 172},
  [1190] = {.lex_state = 172},
  [1191] = {.lex_state = 172},
  [1192] = {.lex_state = 172},
  [1193] = {.lex_state = 172},
  [1194] = {.lex_state = 172},
  [1195] = {.lex_state = 172},
  [1196] = {.lex_state = 172},
  [1197] = {.lex_state = 172},
  [1198] = {.lex_state = 172},
  [1199] = {.lex_state = 172},
  [1200] = {.lex_state = 172},
  [1201] = {.lex_state = 172},
  [1202] = {.lex_state = 172},
  [1203] = {.lex_state = 172},
  [1204] = {.lex_state = 172},
  [1205] = {.lex_state = 172},
  [1206] = {.lex_state = 172},
  [1207] = {.lex_state = 172},
  [1208] = {.lex_state = 172},
  [1209] = {.lex_state = 172},
  [1210] = {.lex_state = 172},
  [1211] = {.lex_state = 172},
  [1212] = {.lex_state = 172},
  [1213] = {.lex_state = 172},
  [1214] = {.lex_state = 172},
  [1215] = {.lex_state = 172},
  [1216] = {.lex_state = 172},
  [1217] = {.lex_state = 172},
  [1218] = {.lex_state = 172},
  [1219] = {.lex_state = 172},
  [1220] = {.lex_state = 172},
  [1221] = {.lex_state = 172},
  [1222] = {.lex_state = 172},
  [1223] = {.lex_state = 172},
  [1224] = {.lex_state = 172},
  [1225] = {.lex_state = 172},
  [1226] = {.lex_state = 172},
  [1227] = {.lex_state = 172},
  [1228] = {.lex_state = 172},
  [1229] = {.lex_state = 172},
  [1230] = {.lex_state = 172},
  [1231] = {.lex_state = 172},
  [1232] = {.lex_state = 172},
  [1233] = {.lex_state = 172},
  [1234] = {.lex_state = 172},
  [1235] = {.lex_state = 172},
  [1236] = {.lex_state = 172},
  [1237] = {.lex_state = 172},
  [1238] = {.lex_state = 172},
  [1239] = {.lex_state = 172},
  [1240] = {.lex_state = 172},
  [1241] = {.lex_state = 172},
  [1242] = {.lex_state = 172},
  [1243] = {.lex_state = 172},
  [1244] = {.lex_state = 172},
  [1245] = {.lex_state = 172},
  [1246] = {.lex_state = 172},
  [1247] = {.lex_state = 172},
  [1248] = {.lex_state = 172},
  [1249] = {.lex_state = 172},
  [1250] = {.lex_state = 172},
  [1251] = {.lex_state = 172},
  [1252] = {.lex_state = 172},
  [1253] = {.lex_state = 172},
  [1254] = {.lex_state = 172},
  [1255] = {.lex_state = 172},
  [1256] = {.lex_state = 172},
  [1257] = {.lex_state = 172},
  [1258] = {.lex_state = 172},
  [1259] = {.lex_state = 172},
  [1260] = {.lex_state = 172},
  [1261] = {.lex_state = 172},
  [1262] = {.lex_state = 172},
  [1263] = {.lex_state = 172},
  [1264] = {.lex_state = 172},
  [1265] = {.lex_state = 172},
  [1266] = {.lex_state = 172},
  [1267] = {.lex_state = 172},
  [1268] = {.lex_state = 172},
  [1269] = {.lex_state = 172},
  [1270] = {.lex_state = 172},
  [1271] = {.lex_state = 172},
  [1272] = {.lex_state = 172},
  [1273] = {.lex_state = 172},
  [1274] = {.lex_state = 172},
  [1275] = {.lex_state = 172},
  [1276] = {.lex_state = 172},
  [1277] = {.lex_state = 172},
  [1278] = {.lex_state = 172},
  [1279] = {.lex_state = 172},
  [1280] = {.lex_state = 172},
  [1281] = {.lex_state = 172},
  [1282] = {.lex_state = 172},
  [1283] = {.lex_state = 172},
  [1284] = {.lex_state = 172},
  [1285] = {.lex_state = 172},
  [1286] = {.lex_state = 172},
  [1287] = {.lex_state = 172},
  [1288] = {.lex_state = 172},
  [1289] = {.lex_state = 172},
  [1290] = {.lex_state = 172},
  [1291] = {.lex_state = 172},
  [1292] = {.lex_state = 172},
  [1293] = {.lex_state = 172},
  [1294] = {.lex_state = 172},
  [1295] = {.lex_state = 172},
  [1296] = {.lex_state = 172},
  [1297] = {.lex_state = 172},
  [1298] = {.lex_state = 172},
  [1299] = {.lex_state = 172},
  [1300] = {.lex_state = 172},
  [1301] = {.lex_state = 172},
  [1302] = {.lex_state = 172},
  [1303] = {.lex_state = 172},
  [1304] = {.lex_state = 172},
  [1305] = {.lex_state = 172},
  [1306] = {.lex_state = 172},
  [1307] = {.lex_state = 172},
  [1308] = {.lex_state = 172},
  [1309] = {.lex_state = 172},
  [1310] = {.lex_state = 172},
  [1311] = {.lex_state = 172},
  [1312] = {.lex_state = 172},
  [1313] = {.lex_state = 172},
  [1314] = {.lex_state = 172},
  [1315] = {.lex_state = 172},
  [1316] = {.lex_state = 172},
  [1317] = {.lex_state = 172},
  [1318] = {.lex_state = 172},
  [1319] = {.lex_state = 172},
  [1320] = {.lex_state = 172},
  [1321] = {.lex_state = 172},
  [1322] = {.lex_state = 172},
  [1323] = {.lex_state = 172},
  [1324] = {.lex_state = 172},
  [1325] = {.lex_state = 172},
  [1326] = {.lex_state = 172},
  [1327] = {.lex_state = 172},
  [1328] = {.lex_state = 172},
  [1329] = {.lex_state = 172},
  [1330] = {.lex_state = 172},
  [1331] = {.lex_state = 172},
  [1332] = {.lex_state = 172},
  [1333] = {.lex_state = 172},
  [1334] = {.lex_state = 172},
  [1335] = {.lex_state = 172},
  [1336] = {.lex_state = 172},
  [1337] = {.lex_state = 172},
  [1338] = {.lex_state = 172},
  [1339] = {.lex_state = 172},
  [1340] = {.lex_state = 172},
  [1341] = {.lex_state = 172},
  [1342] = {.lex_state = 172},
  [1343] = {.lex_state = 172},
  [1344] = {.lex_state = 172},
  [1345] = {.lex_state = 172},
  [1346] = {.lex_state = 172},
  [1347] = {.lex_state = 172},
  [1348] = {.lex_state = 172},
  [1349] = {.lex_state = 172},
  [1350] = {.lex_state = 172},
  [1351] = {.lex_state = 172},
  [1352] = {.lex_state = 172},
  [1353] = {.lex_state = 172},
  [1354] = {.lex_state = 172},
  [1355] = {.lex_state = 172},
  [1356] = {.lex_state = 172},
  [1357] = {.lex_state = 172},
  [1358] = {.lex_state = 172},
  [1359] = {.lex_state = 172},
  [1360] = {.lex_state = 172},
  [1361] = {.lex_state = 172},
  [1362] = {.lex_state = 172},
  [1363] = {.lex_state = 172},
  [1364] = {.lex_state = 172},
  [1365] = {.lex_state = 172},
  [1366] = {.lex_state = 172},
  [1367] = {.lex_state = 172},
  [1368] = {.lex_state = 172},
  [1369] = {.lex_state = 172},
  [1370] = {.lex_state = 172},
  [1371] = {.lex_state = 172},
  [1372] = {.lex_state = 172},
  [1373] = {.lex_state = 172},
  [1374] = {.lex_state = 172},
  [1375] = {.lex_state = 172},
  [1376] = {.lex_state = 172},
  [1377] = {.lex_state = 172},
  [1378] = {.lex_state = 172},
  [1379] = {.lex_state = 172},
  [1380] = {.lex_state = 172},
  [1381] = {.lex_state = 172},
  [1382] = {.lex_state = 172},
  [1383] = {.lex_state = 172},
  [1384] = {.lex_state = 172},
  [1385] = {.lex_state = 172},
  [1386] = {.lex_state = 172},
  [1387] = {.lex_state = 172},
  [1388] = {.lex_state = 172},
  [1389] = {.lex_state = 172},
  [1390] = {.lex_state = 172},
  [1391] = {.lex_state = 172},
  [1392] = {.lex_state = 172},
  [1393] = {.lex_state = 172},
  [1394] = {.lex_state = 172},
  [1395] = {.lex_state = 172},
  [1396] = {.lex_state = 172},
  [1397] = {.lex_state = 172},
  [1398] = {.lex_state = 172},
  [1399] = {.lex_state = 172},
  [1400] = {.lex_state = 172},
  [1401] = {.lex_state = 172},
  [1402] = {.lex_state = 172},
  [1403] = {.lex_state = 172},
  [1404] = {.lex_state = 172},
  [1405] = {.lex_state = 172},
  [1406] = {.lex_state = 172},
  [1407] = {.lex_state = 172},
  [1408] = {.lex_state = 172},
  [1409] = {.lex_state = 172},
  [1410] = {.lex_state = 172},
  [1411] = {.lex_state = 172},
  [1412] = {.lex_state = 172},
  [1413] = {.lex_state = 172},
  [1414] = {.lex_state = 172},
  [1415] = {.lex_state = 172},
  [1416] = {.lex_state = 172},
  [1417] = {.lex_state = 172},
  [1418] = {.lex_state = 172},
  [1419] = {.lex_state = 172},
  [1420] = {.lex_state = 172},
  [1421] = {.lex_state = 172},
  [1422] = {.lex_state = 172},
  [1423] = {.lex_state = 172},
  [1424] = {.lex_state = 172},
  [1425] = {.lex_state = 172},
  [1426] = {.lex_state = 172},
  [1427] = {.lex_state = 172},
  [1428] = {.lex_state = 172},
  [1429] = {.lex_state = 172},
  [1430] = {.lex_state = 172},
  [1431] = {.lex_state = 172},
  [1432] = {.lex_state = 172},
  [1433] = {.lex_state = 172},
  [1434] = {.lex_state = 172},
  [1435] = {.lex_state = 172},
  [1436] = {.lex_state = 172},
  [1437] = {.lex_state = 172},
  [1438] = {.lex_state = 172},
  [1439] = {.lex_state = 172},
  [1440] = {.lex_state = 172},
  [1441] = {.lex_state = 172},
  [1442] = {.lex_state = 172},
  [1443] = {.lex_state = 172},
  [1444] = {.lex_state = 172},
  [1445] = {.lex_state = 172},
  [1446] = {.lex_state = 172},
  [1447] = {.lex_state = 172},
  [1448] = {.lex_state = 172},
  [1449] = {.lex_state = 172},
  [1450] = {.lex_state = 172},
  [1451] = {.lex_state = 172},
  [1452] = {.lex_state = 172},
  [1453] = {.lex_state = 172},
  [1454] = {.lex_state = 172},
  [1455] = {.lex_state = 172},
  [1456] = {.lex_state = 172},
  [1457] = {.lex_state = 172},
  [1458] = {.lex_state = 172},
  [1459] = {.lex_state = 172},
  [1460] = {.lex_state = 172},
  [1461] = {.lex_state = 172},
  [1462] = {.lex_state = 172},
  [1463] = {.lex_state = 172},
  [1464] = {.lex_state = 172},
  [1465] = {.lex_state = 172},
  [1466] = {.lex_state = 172},
  [1467] = {.lex_state = 172},
  [1468] = {.lex_state = 172},
  [1469] = {.lex_state = 172},
  [1470] = {.lex_state = 172},
  [1471] = {.lex_state = 172},
  [1472] = {.lex_state = 172},
  [1473] = {.lex_state = 172},
  [1474] = {.lex_state = 172},
  [1475] = {.lex_state = 172},
  [1476] = {.lex_state = 172},
  [1477] = {.lex_state = 172},
  [1478] = {.lex_state = 172},
  [1479] = {.lex_state = 172},
  [1480] = {.lex_state = 172},
  [1481] = {.lex_state = 172},
  [1482] = {.lex_state = 172},
  [1483] = {.lex_state = 172},
  [1484] = {.lex_state = 172},
  [1485] = {.lex_state = 172},
  [1486] = {.lex_state = 172},
  [1487] = {.lex_state = 172},
  [1488] = {.lex_state = 172},
  [1489] = {.lex_state = 172},
  [1490] = {.lex_state = 172},
  [1491] = {.lex_state = 172},
  [1492] = {.lex_state = 172},
  [1493] = {.lex_state = 172},
  [1494] = {.lex_state = 172},
  [1495] = {.lex_state = 172},
  [1496] = {.lex_state = 172},
  [1497] = {.lex_state = 172},
  [1498] = {.lex_state = 172},
  [1499] = {.lex_state = 172},
  [1500] = {.lex_state = 172},
  [1501] = {.lex_state = 172},
  [1502] = {.lex_state = 172},
  [1503] = {.lex_state = 172},
  [1504] = {.lex_state = 172},
  [1505] = {.lex_state = 172},
  [1506] = {.lex_state = 172},
  [1507] = {.lex_state = 172},
  [1508] = {.lex_state = 172},
  [1509] = {.lex_state = 172},
  [1510] = {.lex_state = 172},
  [1511] = {.lex_state = 172},
  [1512] = {.lex_state = 172},
  [1513] = {.lex_state = 172},
  [1514] = {.lex_state = 172},
  [1515] = {.lex_state = 172},
  [1516] = {.lex_state = 191},
  [1517] = {.lex_state = 191},
  [1518] = {.lex_state = 191},
  [1519] = {.lex_state = 191},
  [1520] = {.lex_state = 191},
  [1521] = {.lex_state = 191},
  [1522] = {.lex_state = 191},
  [1523] = {.lex_state = 191},
  [1524] = {.lex_state = 191},
  [1525] = {.lex_state = 234},
  [1526] = {.lex_state = 234},
  [1527] = {.lex_state = 169},
  [1528] = {.lex_state = 169},
  [1529] = {.lex_state = 169},
  [1530] = {.lex_state = 234},
  [1531] = {.lex_state = 234},
  [1532] = {.lex_state = 234},
  [1533] = {.lex_state = 234},
  [1534] = {.lex_state = 191},
  [1535] = {.lex_state = 179},
  [1536] = {.lex_state = 189},
  [1537] = {.lex_state = 191},
  [1538] = {.lex_state = 189},
  [1539] = {.lex_state = 180},
  [1540] = {.lex_state = 189},
  [1541] = {.lex_state = 191},
  [1542] = {.lex_state = 189},
  [1543] = {.lex_state = 189},
  [1544] = {.lex_state = 189},
  [1545] = {.lex_state = 189},
  [1546] = {.lex_state = 189},
  [1547] = {.lex_state = 189},
  [1548] = {.lex_state = 220},
  [1549] = {.lex_state = 191},
  [1550] = {.lex_state = 220},
  [1551] = {.lex_state = 220},
  [1552] = {.lex_state = 184},
  [1553] = {.lex_state = 220},
  [1554] = {.lex_state = 220},
  [1555] = {.lex_state = 220},
  [1556] = {.lex_state = 220},
  [1557] = {.lex_state = 174},
  [1558] = {.lex_state = 189},
  [1559] = {.lex_state = 189},
  [1560] = {.lex_state = 189},
  [1561] = {.lex_state = 189},
  [1562] = {.lex_state = 189},
  [1563] = {.lex_state = 189},
  [1564] = {.lex_state = 189},
  [1565] = {.lex_state = 189},
  [1566] = {.lex_state = 192},
  [1567] = {.lex_state = 192},
  [1568] = {.lex_state = 192},
  [1569] = {.lex_state = 192},
  [1570] = {.lex_state = 192},
  [1571] = {.lex_state = 192},
  [1572] = {.lex_state = 192},
  [1573] = {.lex_state = 220},
  [1574] = {.lex_state = 234},
  [1575] = {.lex_state = 234},
  [1576] = {.lex_state = 234},
  [1577] = {.lex_state = 234},
  [1578] = {.lex_state = 234},
  [1579] = {.lex_state = 234},
  [1580] = {.lex_state = 234},
  [1581] = {.lex_state = 234},
  [1582] = {.lex_state = 234},
  [1583] = {.lex_state = 234},
  [1584] = {.lex_state = 234},
  [1585] = {.lex_state = 234},
  [1586] = {.lex_state = 234},
  [1587] = {.lex_state = 234},
  [1588] = {.lex_state = 234},
  [1589] = {.lex_state = 234},
  [1590] = {.lex_state = 234},
  [1591] = {.lex_state = 234},
  [1592] = {.lex_state = 234},
  [1593] = {.lex_state = 234},
  [1594] = {.lex_state = 234},
  [1595] = {.lex_state = 234},
  [1596] = {.lex_state = 234},
  [1597] = {.lex_state = 234},
  [1598] = {.lex_state = 234},
  [1599] = {.lex_state = 234},
  [1600] = {.lex_state = 234},
  [1601] = {.lex_state = 234},
  [1602] = {.lex_state = 234},
  [1603] = {.lex_state = 234},
  [1604] = {.lex_state = 234},
  [1605] = {.lex_state = 234},
  [1606] = {.lex_state = 234},
  [1607] = {.lex_state = 234},
  [1608] = {.lex_state = 234},
  [1609] = {.lex_state = 234},
  [1610] = {.lex_state = 174},
  [1611] = {.lex_state = 220},
  [1612] = {.lex_state = 169},
  [1613] = {.lex_state = 204},
  [1614] = {.lex_state = 204},
  [1615] = {.lex_state = 204},
  [1616] = {.lex_state = 176},
  [1617] = {.lex_state = 234},
  [1618] = {.lex_state = 204},
  [1619] = {.lex_state = 176},
  [1620] = {.lex_state = 220},
  [1621] = {.lex_state = 169},
  [1622] = {.lex_state = 176},
  [1623] = {.lex_state = 204},
  [1624] = {.lex_state = 204},
  [1625] = {.lex_state = 200},
  [1626] = {.lex_state = 204},
  [1627] = {.lex_state = 172},
  [1628] = {.lex_state = 211},
  [1629] = {.lex_state = 211},
  [1630] = {.lex_state = 211},
  [1631] = {.lex_state = 211},
  [1632] = {.lex_state = 211},
  [1633] = {.lex_state = 211},
  [1634] = {.lex_state = 234},
  [1635] = {.lex_state = 234},
  [1636] = {.lex_state = 234},
  [1637] = {.lex_state = 211},
  [1638] = {.lex_state = 234},
  [1639] = {.lex_state = 234},
  [1640] = {.lex_state = 234},
  [1641] = {.lex_state = 234},
  [1642] = {.lex_state = 189},
  [1643] = {.lex_state = 234},
  [1644] = {.lex_state = 189},
  [1645] = {.lex_state = 234},
  [1646] = {.lex_state = 176},
  [1647] = {.lex_state = 176},
  [1648] = {.lex_state = 204},
  [1649] = {.lex_state = 176},
  [1650] = {.lex_state = 234},
  [1651] = {.lex_state = 234},
  [1652] = {.lex_state = 234},
  [1653] = {.lex_state = 234},
  [1654] = {.lex_state = 176},
  [1655] = {.lex_state = 234},
  [1656] = {.lex_state = 234},
  [1657] = {.lex_state = 234},
  [1658] = {.lex_state = 234},
  [1659] = {.lex_state = 234},
  [1660] = {.lex_state = 234},
  [1661] = {.lex_state = 194},
  [1662] = {.lex_state = 234},
  [1663] = {.lex_state = 234},
  [1664] = {.lex_state = 234},
  [1665] = {.lex_state = 234},
  [1666] = {.lex_state = 234},
  [1667] = {.lex_state = 234},
  [1668] = {.lex_state = 220},
  [1669] = {.lex_state = 234},
  [1670] = {.lex_state = 174},
  [1671] = {.lex_state = 234},
  [1672] = {.lex_state = 234},
  [1673] = {.lex_state = 221},
  [1674] = {.lex_state = 234},
  [1675] = {.lex_state = 234},
  [1676] = {.lex_state = 234},
  [1677] = {.lex_state = 221},
  [1678] = {.lex_state = 234},
  [1679] = {.lex_state = 234},
  [1680] = {.lex_state = 234},
  [1681] = {.lex_state = 234},
  [1682] = {.lex_state = 234},
  [1683] = {.lex_state = 234},
  [1684] = {.lex_state = 234},
  [1685] = {.lex_state = 234},
  [1686] = {.lex_state = 220},
  [1687] = {.lex_state = 234},
  [1688] = {.lex_state = 221},
  [1689] = {.lex_state = 234},
  [1690] = {.lex_state = 221},
  [1691] = {.lex_state = 234},
  [1692] = {.lex_state = 234},
  [1693] = {.lex_state = 220},
  [1694] = {.lex_state = 234},
  [1695] = {.lex_state = 172},
  [1696] = {.lex_state = 234},
  [1697] = {.lex_state = 234},
  [1698] = {.lex_state = 234},
  [1699] = {.lex_state = 234},
  [1700] = {.lex_state = 234},
  [1701] = {.lex_state = 195},
  [1702] = {.lex_state = 234},
  [1703] = {.lex_state = 220},
  [1704] = {.lex_state = 234},
  [1705] = {.lex_state = 234},
  [1706] = {.lex_state = 234},
  [1707] = {.lex_state = 234},
  [1708] = {.lex_state = 234},
  [1709] = {.lex_state = 234},
  [1710] = {.lex_state = 234},
  [1711] = {.lex_state = 220},
  [1712] = {.lex_state = 234},
  [1713] = {.lex_state = 234},
  [1714] = {.lex_state = 234},
  [1715] = {.lex_state = 234},
  [1716] = {.lex_state = 220},
  [1717] = {.lex_state = 234},
  [1718] = {.lex_state = 220},
  [1719] = {.lex_state = 234},
  [1720] = {.lex_state = 234},
  [1721] = {.lex_state = 234},
  [1722] = {.lex_state = 234},
  [1723] = {.lex_state = 220},
  [1724] = {.lex_state = 234},
  [1725] = {.lex_state = 221},
  [1726] = {.lex_state = 220},
  [1727] = {.lex_state = 234},
  [1728] = {.lex_state = 220},
  [1729] = {.lex_state = 234},
  [1730] = {.lex_state = 234},
  [1731] = {.lex_state = 234},
  [1732] = {.lex_state = 234},
  [1733] = {.lex_state = 221},
  [1734] = {.lex_state = 221},
  [1735] = {.lex_state = 234},
  [1736] = {.lex_state = 234},
  [1737] = {.lex_state = 234},
  [1738] = {.lex_state = 234},
  [1739] = {.lex_state = 234},
  [1740] = {.lex_state = 234},
  [1741] = {.lex_state = 234},
  [1742] = {.lex_state = 234},
  [1743] = {.lex_state = 234},
  [1744] = {.lex_state = 200},
  [1745] = {.lex_state = 172},
  [1746] = {.lex_state = 234},
  [1747] = {.lex_state = 220},
  [1748] = {.lex_state = 234},
  [1749] = {.lex_state = 234},
  [1750] = {.lex_state = 234},
  [1751] = {.lex_state = 234},
  [1752] = {.lex_state = 234},
  [1753] = {.lex_state = 234},
  [1754] = {.lex_state = 234},
  [1755] = {.lex_state = 221},
  [1756] = {.lex_state = 234},
  [1757] = {.lex_state = 234},
  [1758] = {.lex_state = 234},
  [1759] = {.lex_state = 234},
  [1760] = {.lex_state = 234},
  [1761] = {.lex_state = 234},
  [1762] = {.lex_state = 234},
  [1763] = {.lex_state = 221},
  [1764] = {.lex_state = 221},
  [1765] = {.lex_state = 204},
  [1766] = {.lex_state = 234},
  [1767] = {.lex_state = 234},
  [1768] = {.lex_state = 234},
  [1769] = {.lex_state = 221},
  [1770] = {.lex_state = 234},
  [1771] = {.lex_state = 211},
  [1772] = {.lex_state = 234},
  [1773] = {.lex_state = 234},
  [1774] = {.lex_state = 234},
  [1775] = {.lex_state = 234},
  [1776] = {.lex_state = 234},
  [1777] = {.lex_state = 234},
  [1778] = {.lex_state = 221},
  [1779] = {.lex_state = 221},
  [1780] = {.lex_state = 234},
  [1781] = {.lex_state = 200},
  [1782] = {.lex_state = 200},
  [1783] = {.lex_state = 234},
  [1784] = {.lex_state = 200},
  [1785] = {.lex_state = 200},
  [1786] = {.lex_state = 200},
  [1787] = {.lex_state = 200},
  [1788] = {.lex_state = 190},
  [1789] = {.lex_state = 235},
  [1790] = {.lex_state = 200},
  [1791] = {.lex_state = 235},
  [1792] = {.lex_state = 234},
  [1793] = {.lex_state = 200},
  [1794] = {.lex_state = 200},
  [1795] = {.lex_state = 200},
  [1796] = {.lex_state = 200},
  [1797] = {.lex_state = 234},
  [1798] = {.lex_state = 200},
  [1799] = {.lex_state = 200},
  [1800] = {.lex_state = 200},
  [1801] = {.lex_state = 200},
  [1802] = {.lex_state = 200},
  [1803] = {.lex_state = 200},
  [1804] = {.lex_state = 200},
  [1805] = {.lex_state = 200},
  [1806] = {.lex_state = 200},
  [1807] = {.lex_state = 200},
  [1808] = {.lex_state = 200},
  [1809] = {.lex_state = 200},
  [1810] = {.lex_state = 190},
  [1811] = {.lex_state = 200},
  [1812] = {.lex_state = 200},
  [1813] = {.lex_state = 200},
  [1814] = {.lex_state = 200},
  [1815] = {.lex_state = 235},
  [1816] = {.lex_state = 211},
  [1817] = {.lex_state = 235},
  [1818] = {.lex_state = 200},
  [1819] = {.lex_state = 200},
  [1820] = {.lex_state = 200},
  [1821] = {.lex_state = 200},
  [1822] = {.lex_state = 200},
  [1823] = {.lex_state = 200},
  [1824] = {.lex_state = 200},
  [1825] = {.lex_state = 200},
  [1826] = {.lex_state = 200},
  [1827] = {.lex_state = 200},
  [1828] = {.lex_state = 192},
  [1829] = {.lex_state = 190},
  [1830] = {.lex_state = 199},
  [1831] = {.lex_state = 200},
  [1832] = {.lex_state = 200},
  [1833] = {.lex_state = 200},
  [1834] = {.lex_state = 190},
  [1835] = {.lex_state = 195},
  [1836] = {.lex_state = 201},
  [1837] = {.lex_state = 192},
  [1838] = {.lex_state = 201},
  [1839] = {.lex_state = 192},
  [1840] = {.lex_state = 176},
  [1841] = {.lex_state = 195},
  [1842] = {.lex_state = 192},
  [1843] = {.lex_state = 195},
  [1844] = {.lex_state = 195},
  [1845] = {.lex_state = 201},
  [1846] = {.lex_state = 183},
  [1847] = {.lex_state = 235},
  [1848] = {.lex_state = 179},
  [1849] = {.lex_state = 183},
  [1850] = {.lex_state = 190},
  [1851] = {.lex_state = 234},
  [1852] = {.lex_state = 190},
  [1853] = {.lex_state = 234},
  [1854] = {.lex_state = 201},
  [1855] = {.lex_state = 174},
  [1856] = {.lex_state = 201},
  [1857] = {.lex_state = 190},
  [1858] = {.lex_state = 201},
  [1859] = {.lex_state = 233},
  [1860] = {.lex_state = 192},
  [1861] = {.lex_state = 235},
  [1862] = {.lex_state = 179},
  [1863] = {.lex_state = 234},
  [1864] = {.lex_state = 192},
  [1865] = {.lex_state = 233},
  [1866] = {.lex_state = 234},
  [1867] = {.lex_state = 183},
  [1868] = {.lex_state = 192},
  [1869] = {.lex_state = 235},
  [1870] = {.lex_state = 192},
  [1871] = {.lex_state = 234},
  [1872] = {.lex_state = 174},
  [1873] = {.lex_state = 201},
  [1874] = {.lex_state = 234},
  [1875] = {.lex_state = 176},
  [1876] = {.lex_state = 192},
  [1877] = {.lex_state = 201},
  [1878] = {.lex_state = 234},
  [1879] = {.lex_state = 190},
  [1880] = {.lex_state = 234},
  [1881] = {.lex_state = 235},
  [1882] = {.lex_state = 190},
  [1883] = {.lex_state = 234},
  [1884] = {.lex_state = 201},
  [1885] = {.lex_state = 201},
  [1886] = {.lex_state = 235},
  [1887] = {.lex_state = 235},
  [1888] = {.lex_state = 190},
  [1889] = {.lex_state = 195},
  [1890] = {.lex_state = 190},
  [1891] = {.lex_state = 190},
  [1892] = {.lex_state = 190},
  [1893] = {.lex_state = 190},
  [1894] = {.lex_state = 190},
  [1895] = {.lex_state = 190},
  [1896] = {.lex_state = 190},
  [1897] = {.lex_state = 190},
  [1898] = {.lex_state = 190},
  [1899] = {.lex_state = 190},
  [1900] = {.lex_state = 190},
  [1901] = {.lex_state = 190},
  [1902] = {.lex_state = 190},
  [1903] = {.lex_state = 190},
  [1904] = {.lex_state = 236},
  [1905] = {.lex_state = 190},
  [1906] = {.lex_state = 190},
  [1907] = {.lex_state = 190},
  [1908] = {.lex_state = 190},
  [1909] = {.lex_state = 190},
  [1910] = {.lex_state = 190},
  [1911] = {.lex_state = 190},
  [1912] = {.lex_state = 182},
  [1913] = {.lex_state = 190},
  [1914] = {.lex_state = 190},
  [1915] = {.lex_state = 190},
  [1916] = {.lex_state = 190},
  [1917] = {.lex_state = 190},
  [1918] = {.lex_state = 190},
  [1919] = {.lex_state = 190},
  [1920] = {.lex_state = 190},
  [1921] = {.lex_state = 190},
  [1922] = {.lex_state = 236},
  [1923] = {.lex_state = 234},
  [1924] = {.lex_state = 180},
  [1925] = {.lex_state = 190},
  [1926] = {.lex_state = 190},
  [1927] = {.lex_state = 182},
  [1928] = {.lex_state = 174},
  [1929] = {.lex_state = 190},
  [1930] = {.lex_state = 190},
  [1931] = {.lex_state = 190},
  [1932] = {.lex_state = 190},
  [1933] = {.lex_state = 235},
  [1934] = {.lex_state = 234},
  [1935] = {.lex_state = 235},
  [1936] = {.lex_state = 235},
  [1937] = {.lex_state = 235},
  [1938] = {.lex_state = 235},
  [1939] = {.lex_state = 235},
  [1940] = {.lex_state = 235},
  [1941] = {.lex_state = 235},
  [1942] = {.lex_state = 235},
  [1943] = {.lex_state = 235},
  [1944] = {.lex_state = 235},
  [1945] = {.lex_state = 235},
  [1946] = {.lex_state = 235},
  [1947] = {.lex_state = 235},
  [1948] = {.lex_state = 235},
  [1949] = {.lex_state = 235},
  [1950] = {.lex_state = 235},
  [1951] = {.lex_state = 235},
  [1952] = {.lex_state = 235},
  [1953] = {.lex_state = 235},
  [1954] = {.lex_state = 235},
  [1955] = {.lex_state = 235},
  [1956] = {.lex_state = 235},
  [1957] = {.lex_state = 235},
  [1958] = {.lex_state = 235},
  [1959] = {.lex_state = 235},
  [1960] = {.lex_state = 235},
  [1961] = {.lex_state = 235},
  [1962] = {.lex_state = 235},
  [1963] = {.lex_state = 235},
  [1964] = {.lex_state = 235},
  [1965] = {.lex_state = 235},
  [1966] = {.lex_state = 235},
  [1967] = {.lex_state = 235},
  [1968] = {.lex_state = 235},
  [1969] = {.lex_state = 235},
  [1970] = {.lex_state = 190},
  [1971] = {.lex_state = 235},
  [1972] = {.lex_state = 235},
  [1973] = {.lex_state = 235},
  [1974] = {.lex_state = 235},
  [1975] = {.lex_state = 190},
  [1976] = {.lex_state = 235},
  [1977] = {.lex_state = 235},
  [1978] = {.lex_state = 190},
  [1979] = {.lex_state = 235},
  [1980] = {.lex_state = 235},
  [1981] = {.lex_state = 190},
  [1982] = {.lex_state = 235},
  [1983] = {.lex_state = 235},
  [1984] = {.lex_state = 235},
  [1985] = {.lex_state = 190},
  [1986] = {.lex_state = 190},
  [1987] = {.lex_state = 190},
  [1988] = {.lex_state = 235},
  [1989] = {.lex_state = 190},
  [1990] = {.lex_state = 190},
  [1991] = {.lex_state = 190},
  [1992] = {.lex_state = 176},
  [1993] = {.lex_state = 176},
  [1994] = {.lex_state = 235},
  [1995] = {.lex_state = 176},
  [1996] = {.lex_state = 190},
  [1997] = {.lex_state = 235},
  [1998] = {.lex_state = 235},
  [1999] = {.lex_state = 235},
  [2000] = {.lex_state = 235},
  [2001] = {.lex_state = 192},
  [2002] = {.lex_state = 234},
  [2003] = {.lex_state = 174},
  [2004] = {.lex_state = 174},
  [2005] = {.lex_state = 190},
  [2006] = {.lex_state = 190},
  [2007] = {.lex_state = 190},
  [2008] = {.lex_state = 190},
  [2009] = {.lex_state = 174},
  [2010] = {.lex_state = 190},
  [2011] = {.lex_state = 234},
  [2012] = {.lex_state = 190},
  [2013] = {.lex_state = 190},
  [2014] = {.lex_state = 174},
  [2015] = {.lex_state = 190},
  [2016] = {.lex_state = 174},
  [2017] = {.lex_state = 190},
  [2018] = {.lex_state = 190},
  [2019] = {.lex_state = 190},
  [2020] = {.lex_state = 190},
  [2021] = {.lex_state = 190},
  [2022] = {.lex_state = 190},
  [2023] = {.lex_state = 190},
  [2024] = {.lex_state = 190},
  [2025] = {.lex_state = 190},
  [2026] = {.lex_state = 190},
  [2027] = {.lex_state = 174},
  [2028] = {.lex_state = 190},
  [2029] = {.lex_state = 190},
  [2030] = {.lex_state = 190},
  [2031] = {.lex_state = 190},
  [2032] = {.lex_state = 190},
  [2033] = {.lex_state = 190},
  [2034] = {.lex_state = 190},
  [2035] = {.lex_state = 190},
  [2036] = {.lex_state = 235},
  [2037] = {.lex_state = 235},
  [2038] = {.lex_state = 190},
  [2039] = {.lex_state = 190},
  [2040] = {.lex_state = 174},
  [2041] = {.lex_state = 180},
  [2042] = {.lex_state = 235},
  [2043] = {.lex_state = 235},
  [2044] = {.lex_state = 235},
  [2045] = {.lex_state = 235},
  [2046] = {.lex_state = 235},
  [2047] = {.lex_state = 235},
  [2048] = {.lex_state = 235},
  [2049] = {.lex_state = 235},
  [2050] = {.lex_state = 174},
  [2051] = {.lex_state = 201},
  [2052] = {.lex_state = 235},
  [2053] = {.lex_state = 235},
  [2054] = {.lex_state = 235},
  [2055] = {.lex_state = 235},
  [2056] = {.lex_state = 235},
  [2057] = {.lex_state = 235},
  [2058] = {.lex_state = 235},
  [2059] = {.lex_state = 235},
  [2060] = {.lex_state = 235},
  [2061] = {.lex_state = 235},
  [2062] = {.lex_state = 235},
  [2063] = {.lex_state = 235},
  [2064] = {.lex_state = 234},
  [2065] = {.lex_state = 235},
  [2066] = {.lex_state = 235},
  [2067] = {.lex_state = 235},
  [2068] = {.lex_state = 235},
  [2069] = {.lex_state = 235},
  [2070] = {.lex_state = 174},
  [2071] = {.lex_state = 235},
  [2072] = {.lex_state = 235},
  [2073] = {.lex_state = 235},
  [2074] = {.lex_state = 235},
  [2075] = {.lex_state = 235},
  [2076] = {.lex_state = 235},
  [2077] = {.lex_state = 235},
  [2078] = {.lex_state = 235},
  [2079] = {.lex_state = 235},
  [2080] = {.lex_state = 234},
  [2081] = {.lex_state = 190},
  [2082] = {.lex_state = 182},
  [2083] = {.lex_state = 190},
  [2084] = {.lex_state = 190},
  [2085] = {.lex_state = 190},
  [2086] = {.lex_state = 190},
  [2087] = {.lex_state = 195},
  [2088] = {.lex_state = 190},
  [2089] = {.lex_state = 190},
  [2090] = {.lex_state = 190},
  [2091] = {.lex_state = 195},
  [2092] = {.lex_state = 190},
  [2093] = {.lex_state = 190},
  [2094] = {.lex_state = 190},
  [2095] = {.lex_state = 190},
  [2096] = {.lex_state = 190},
  [2097] = {.lex_state = 190},
  [2098] = {.lex_state = 190},
  [2099] = {.lex_state = 235},
  [2100] = {.lex_state = 195},
  [2101] = {.lex_state = 194},
  [2102] = {.lex_state = 225},
  [2103] = {.lex_state = 192},
  [2104] = {.lex_state = 184},
  [2105] = {.lex_state = 176},
  [2106] = {.lex_state = 195},
  [2107] = {.lex_state = 186},
  [2108] = {.lex_state = 192},
  [2109] = {.lex_state = 225},
  [2110] = {.lex_state = 233},
  [2111] = {.lex_state = 195},
  [2112] = {.lex_state = 186},
  [2113] = {.lex_state = 195},
  [2114] = {.lex_state = 193},
  [2115] = {.lex_state = 195},
  [2116] = {.lex_state = 192},
  [2117] = {.lex_state = 193},
  [2118] = {.lex_state = 184},
  [2119] = {.lex_state = 193},
  [2120] = {.lex_state = 195},
  [2121] = {.lex_state = 195},
  [2122] = {.lex_state = 176},
  [2123] = {.lex_state = 195},
  [2124] = {.lex_state = 199},
  [2125] = {.lex_state = 176},
  [2126] = {.lex_state = 194},
  [2127] = {.lex_state = 236},
  [2128] = {.lex_state = 192},
  [2129] = {.lex_state = 236},
  [2130] = {.lex_state = 194},
  [2131] = {.lex_state = 225},
  [2132] = {.lex_state = 174},
  [2133] = {.lex_state = 236},
  [2134] = {.lex_state = 195},
  [2135] = {.lex_state = 195},
  [2136] = {.lex_state = 236},
  [2137] = {.lex_state = 233},
  [2138] = {.lex_state = 195},
  [2139] = {.lex_state = 195},
  [2140] = {.lex_state = 176},
  [2141] = {.lex_state = 195},
  [2142] = {.lex_state = 236},
  [2143] = {.lex_state = 192},
  [2144] = {.lex_state = 174},
  [2145] = {.lex_state = 186},
  [2146] = {.lex_state = 193},
  [2147] = {.lex_state = 193},
  [2148] = {.lex_state = 199},
  [2149] = {.lex_state = 194},
  [2150] = {.lex_state = 195},
  [2151] = {.lex_state = 193},
  [2152] = {.lex_state = 193},
  [2153] = {.lex_state = 195},
  [2154] = {.lex_state = 234},
  [2155] = {.lex_state = 234},
  [2156] = {.lex_state = 193},
  [2157] = {.lex_state = 193},
  [2158] = {.lex_state = 193},
  [2159] = {.lex_state = 193},
  [2160] = {.lex_state = 193},
  [2161] = {.lex_state = 195},
  [2162] = {.lex_state = 234},
  [2163] = {.lex_state = 195},
  [2164] = {.lex_state = 192},
  [2165] = {.lex_state = 195},
  [2166] = {.lex_state = 195},
  [2167] = {.lex_state = 193},
  [2168] = {.lex_state = 234},
  [2169] = {.lex_state = 193},
  [2170] = {.lex_state = 199},
  [2171] = {.lex_state = 195},
  [2172] = {.lex_state = 195},
  [2173] = {.lex_state = 195},
  [2174] = {.lex_state = 199},
  [2175] = {.lex_state = 195},
  [2176] = {.lex_state = 195},
  [2177] = {.lex_state = 195},
  [2178] = {.lex_state = 195},
  [2179] = {.lex_state = 195},
  [2180] = {.lex_state = 195},
  [2181] = {.lex_state = 195},
  [2182] = {.lex_state = 195},
  [2183] = {.lex_state = 234},
  [2184] = {.lex_state = 195},
  [2185] = {.lex_state = 201},
  [2186] = {.lex_state = 195},
  [2187] = {.lex_state = 182},
  [2188] = {.lex_state = 234},
  [2189] = {.lex_state = 195},
  [2190] = {.lex_state = 195},
  [2191] = {.lex_state = 201},
  [2192] = {.lex_state = 195},
  [2193] = {.lex_state = 195},
  [2194] = {.lex_state = 176},
  [2195] = {.lex_state = 195},
  [2196] = {.lex_state = 195},
  [2197] = {.lex_state = 195},
  [2198] = {.lex_state = 193},
  [2199] = {.lex_state = 193},
  [2200] = {.lex_state = 192},
  [2201] = {.lex_state = 195},
  [2202] = {.lex_state = 195},
  [2203] = {.lex_state = 193},
  [2204] = {.lex_state = 192},
  [2205] = {.lex_state = 192},
  [2206] = {.lex_state = 192},
  [2207] = {.lex_state = 195},
  [2208] = {.lex_state = 192},
  [2209] = {.lex_state = 234},
  [2210] = {.lex_state = 195},
  [2211] = {.lex_state = 195},
  [2212] = {.lex_state = 195},
  [2213] = {.lex_state = 195},
  [2214] = {.lex_state = 192},
  [2215] = {.lex_state = 192},
  [2216] = {.lex_state = 192},
  [2217] = {.lex_state = 234},
  [2218] = {.lex_state = 195},
  [2219] = {.lex_state = 234},
  [2220] = {.lex_state = 193},
  [2221] = {.lex_state = 195},
  [2222] = {.lex_state = 195},
  [2223] = {.lex_state = 195},
  [2224] = {.lex_state = 195},
  [2225] = {.lex_state = 195},
  [2226] = {.lex_state = 195},
  [2227] = {.lex_state = 234},
  [2228] = {.lex_state = 234},
  [2229] = {.lex_state = 195},
  [2230] = {.lex_state = 195},
  [2231] = {.lex_state = 234},
  [2232] = {.lex_state = 234},
  [2233] = {.lex_state = 234},
  [2234] = {.lex_state = 234},
  [2235] = {.lex_state = 234},
  [2236] = {.lex_state = 195},
  [2237] = {.lex_state = 186},
  [2238] = {.lex_state = 201},
  [2239] = {.lex_state = 201},
  [2240] = {.lex_state = 201},
  [2241] = {.lex_state = 195},
  [2242] = {.lex_state = 195},
  [2243] = {.lex_state = 192},
  [2244] = {.lex_state = 224},
  [2245] = {.lex_state = 195},
  [2246] = {.lex_state = 182},
  [2247] = {.lex_state = 224},
  [2248] = {.lex_state = 201},
  [2249] = {.lex_state = 201},
  [2250] = {.lex_state = 224},
  [2251] = {.lex_state = 182},
  [2252] = {.lex_state = 192},
  [2253] = {.lex_state = 182},
  [2254] = {.lex_state = 192},
  [2255] = {.lex_state = 192},
  [2256] = {.lex_state = 201},
  [2257] = {.lex_state = 195},
  [2258] = {.lex_state = 195},
  [2259] = {.lex_state = 195},
  [2260] = {.lex_state = 224},
  [2261] = {.lex_state = 201},
  [2262] = {.lex_state = 195},
  [2263] = {.lex_state = 195},
  [2264] = {.lex_state = 182},
  [2265] = {.lex_state = 195},
  [2266] = {.lex_state = 201},
  [2267] = {.lex_state = 224},
  [2268] = {.lex_state = 224},
  [2269] = {.lex_state = 192},
  [2270] = {.lex_state = 224},
  [2271] = {.lex_state = 195},
  [2272] = {.lex_state = 195},
  [2273] = {.lex_state = 201},
  [2274] = {.lex_state = 201},
  [2275] = {.lex_state = 201},
  [2276] = {.lex_state = 182},
  [2277] = {.lex_state = 182},
  [2278] = {.lex_state = 224},
  [2279] = {.lex_state = 176},
  [2280] = {.lex_state = 176},
  [2281] = {.lex_state = 176},
  [2282] = {.lex_state = 176},
  [2283] = {.lex_state = 201},
  [2284] = {.lex_state = 182},
  [2285] = {.lex_state = 192},
  [2286] = {.lex_state = 205},
  [2287] = {.lex_state = 195},
  [2288] = {.lex_state = 182},
  [2289] = {.lex_state = 198},
  [2290] = {.lex_state = 195},
  [2291] = {.lex_state = 207},
  [2292] = {.lex_state = 192},
  [2293] = {.lex_state = 195},
  [2294] = {.lex_state = 193},
  [2295] = {.lex_state = 193},
  [2296] = {.lex_state = 224},
  [2297] = {.lex_state = 192},
  [2298] = {.lex_state = 186},
  [2299] = {.lex_state = 186},
  [2300] = {.lex_state = 234},
  [2301] = {.lex_state = 186},
  [2302] = {.lex_state = 186},
  [2303] = {.lex_state = 236},
  [2304] = {.lex_state = 176},
  [2305] = {.lex_state = 193},
  [2306] = {.lex_state = 182},
  [2307] = {.lex_state = 176},
  [2308] = {.lex_state = 195},
  [2309] = {.lex_state = 195},
  [2310] = {.lex_state = 204},
  [2311] = {.lex_state = 176},
  [2312] = {.lex_state = 195},
  [2313] = {.lex_state = 234},
  [2314] = {.lex_state = 176},
  [2315] = {.lex_state = 236},
  [2316] = {.lex_state = 236},
  [2317] = {.lex_state = 195},
  [2318] = {.lex_state = 192},
  [2319] = {.lex_state = 234},
  [2320] = {.lex_state = 236},
  [2321] = {.lex_state = 193},
  [2322] = {.lex_state = 195},
  [2323] = {.lex_state = 192},
  [2324] = {.lex_state = 195},
  [2325] = {.lex_state = 236},
  [2326] = {.lex_state = 182},
  [2327] = {.lex_state = 192},
  [2328] = {.lex_state = 192},
  [2329] = {.lex_state = 207},
  [2330] = {.lex_state = 193},
  [2331] = {.lex_state = 182},
  [2332] = {.lex_state = 207},
  [2333] = {.lex_state = 236},
  [2334] = {.lex_state = 236},
  [2335] = {.lex_state = 195},
  [2336] = {.lex_state = 236},
  [2337] = {.lex_state = 195},
  [2338] = {.lex_state = 182},
  [2339] = {.lex_state = 236},
  [2340] = {.lex_state = 236},
  [2341] = {.lex_state = 236},
  [2342] = {.lex_state = 195},
  [2343] = {.lex_state = 215},
  [2344] = {.lex_state = 236},
  [2345] = {.lex_state = 236},
  [2346] = {.lex_state = 204},
  [2347] = {.lex_state = 215},
  [2348] = {.lex_state = 215},
  [2349] = {.lex_state = 186},
  [2350] = {.lex_state = 186},
  [2351] = {.lex_state = 211},
  [2352] = {.lex_state = 186},
  [2353] = {.lex_state = 195},
  [2354] = {.lex_state = 236},
  [2355] = {.lex_state = 186},
  [2356] = {.lex_state = 195},
  [2357] = {.lex_state = 236},
  [2358] = {.lex_state = 236},
  [2359] = {.lex_state = 236},
  [2360] = {.lex_state = 236},
  [2361] = {.lex_state = 236},
  [2362] = {.lex_state = 195},
  [2363] = {.lex_state = 195},
  [2364] = {.lex_state = 236},
  [2365] = {.lex_state = 195},
  [2366] = {.lex_state = 236},
  [2367] = {.lex_state = 195},
  [2368] = {.lex_state = 236},
  [2369] = {.lex_state = 236},
  [2370] = {.lex_state = 195},
  [2371] = {.lex_state = 195},
  [2372] = {.lex_state = 195},
  [2373] = {.lex_state = 195},
  [2374] = {.lex_state = 236},
  [2375] = {.lex_state = 236},
  [2376] = {.lex_state = 195},
  [2377] = {.lex_state = 195},
  [2378] = {.lex_state = 195},
  [2379] = {.lex_state = 236},
  [2380] = {.lex_state = 236},
  [2381] = {.lex_state = 236},
  [2382] = {.lex_state = 236},
  [2383] = {.lex_state = 195},
  [2384] = {.lex_state = 195},
  [2385] = {.lex_state = 236},
  [2386] = {.lex_state = 195},
  [2387] = {.lex_state = 195},
  [2388] = {.lex_state = 195},
  [2389] = {.lex_state = 195},
  [2390] = {.lex_state = 195},
  [2391] = {.lex_state = 236},
  [2392] = {.lex_state = 236},
  [2393] = {.lex_state = 195},
  [2394] = {.lex_state = 195},
  [2395] = {.lex_state = 195},
  [2396] = {.lex_state = 236},
  [2397] = {.lex_state = 236},
  [2398] = {.lex_state = 195},
  [2399] = {.lex_state = 195},
  [2400] = {.lex_state = 195},
  [2401] = {.lex_state = 195},
  [2402] = {.lex_state = 195},
  [2403] = {.lex_state = 236},
  [2404] = {.lex_state = 195},
  [2405] = {.lex_state = 195},
  [2406] = {.lex_state = 212},
  [2407] = {.lex_state = 195},
  [2408] = {.lex_state = 195},
  [2409] = {.lex_state = 195},
  [2410] = {.lex_state = 195},
  [2411] = {.lex_state = 195},
  [2412] = {.lex_state = 236},
  [2413] = {.lex_state = 195},
  [2414] = {.lex_state = 195},
  [2415] = {.lex_state = 195},
  [2416] = {.lex_state = 195},
  [2417] = {.lex_state = 195},
  [2418] = {.lex_state = 236},
  [2419] = {.lex_state = 195},
  [2420] = {.lex_state = 195},
  [2421] = {.lex_state = 195},
  [2422] = {.lex_state = 195},
  [2423] = {.lex_state = 195},
  [2424] = {.lex_state = 195},
  [2425] = {.lex_state = 195},
  [2426] = {.lex_state = 195},
  [2427] = {.lex_state = 195},
  [2428] = {.lex_state = 195},
  [2429] = {.lex_state = 195},
  [2430] = {.lex_state = 195},
  [2431] = {.lex_state = 195},
  [2432] = {.lex_state = 195},
  [2433] = {.lex_state = 195},
  [2434] = {.lex_state = 195},
  [2435] = {.lex_state = 195},
  [2436] = {.lex_state = 195},
  [2437] = {.lex_state = 195},
  [2438] = {.lex_state = 195},
  [2439] = {.lex_state = 195},
  [2440] = {.lex_state = 195},
  [2441] = {.lex_state = 195},
  [2442] = {.lex_state = 195},
  [2443] = {.lex_state = 195},
  [2444] = {.lex_state = 195},
  [2445] = {.lex_state = 195},
  [2446] = {.lex_state = 195},
  [2447] = {.lex_state = 195},
  [2448] = {.lex_state = 236},
  [2449] = {.lex_state = 195},
  [2450] = {.lex_state = 236},
  [2451] = {.lex_state = 195},
  [2452] = {.lex_state = 236},
  [2453] = {.lex_state = 195},
  [2454] = {.lex_state = 195},
  [2455] = {.lex_state = 236},
  [2456] = {.lex_state = 236},
  [2457] = {.lex_state = 236},
  [2458] = {.lex_state = 236},
  [2459] = {.lex_state = 195},
  [2460] = {.lex_state = 223},
  [2461] = {.lex_state = 178},
  [2462] = {.lex_state = 223},
  [2463] = {.lex_state = 172},
  [2464] = {.lex_state = 223},
  [2465] = {.lex_state = 182},
  [2466] = {.lex_state = 182},
  [2467] = {.lex_state = 236},
  [2468] = {.lex_state = 204},
  [2469] = {.lex_state = 234},
  [2470] = {.lex_state = 224},
  [2471] = {.lex_state = 182},
  [2472] = {.lex_state = 178},
  [2473] = {.lex_state = 182},
  [2474] = {.lex_state = 224},
  [2475] = {.lex_state = 234},
  [2476] = {.lex_state = 223},
  [2477] = {.lex_state = 236},
  [2478] = {.lex_state = 223},
  [2479] = {.lex_state = 204},
  [2480] = {.lex_state = 223},
  [2481] = {.lex_state = 204},
  [2482] = {.lex_state = 223},
  [2483] = {.lex_state = 211},
  [2484] = {.lex_state = 204},
  [2485] = {.lex_state = 223},
  [2486] = {.lex_state = 223},
  [2487] = {.lex_state = 223},
  [2488] = {.lex_state = 223},
  [2489] = {.lex_state = 204},
  [2490] = {.lex_state = 178},
  [2491] = {.lex_state = 204},
  [2492] = {.lex_state = 204},
  [2493] = {.lex_state = 223},
  [2494] = {.lex_state = 236},
  [2495] = {.lex_state = 172},
  [2496] = {.lex_state = 236},
  [2497] = {.lex_state = 204},
  [2498] = {.lex_state = 204},
  [2499] = {.lex_state = 204},
  [2500] = {.lex_state = 204},
  [2501] = {.lex_state = 236},
  [2502] = {.lex_state = 224},
  [2503] = {.lex_state = 204},
  [2504] = {.lex_state = 236},
  [2505] = {.lex_state = 224},
  [2506] = {.lex_state = 224},
  [2507] = {.lex_state = 236},
  [2508] = {.lex_state = 211},
  [2509] = {.lex_state = 207},
  [2510] = {.lex_state = 236},
  [2511] = {.lex_state = 224},
  [2512] = {.lex_state = 224},
  [2513] = {.lex_state = 224},
  [2514] = {.lex_state = 224},
  [2515] = {.lex_state = 204},
  [2516] = {.lex_state = 205},
  [2517] = {.lex_state = 224},
  [2518] = {.lex_state = 236},
  [2519] = {.lex_state = 236},
  [2520] = {.lex_state = 207},
  [2521] = {.lex_state = 224},
  [2522] = {.lex_state = 224},
  [2523] = {.lex_state = 236},
  [2524] = {.lex_state = 236},
  [2525] = {.lex_state = 182},
  [2526] = {.lex_state = 236},
  [2527] = {.lex_state = 224},
  [2528] = {.lex_state = 224},
  [2529] = {.lex_state = 236},
  [2530] = {.lex_state = 211},
  [2531] = {.lex_state = 211},
  [2532] = {.lex_state = 182},
  [2533] = {.lex_state = 211},
  [2534] = {.lex_state = 207},
  [2535] = {.lex_state = 205},
  [2536] = {.lex_state = 182},
  [2537] = {.lex_state = 211},
  [2538] = {.lex_state = 211},
  [2539] = {.lex_state = 204},
  [2540] = {.lex_state = 236},
  [2541] = {.lex_state = 236},
  [2542] = {.lex_state = 236},
  [2543] = {.lex_state = 236},
  [2544] = {.lex_state = 236},
  [2545] = {.lex_state = 182},
  [2546] = {.lex_state = 233},
  [2547] = {.lex_state = 233},
  [2548] = {.lex_state = 211},
  [2549] = {.lex_state = 205},
  [2550] = {.lex_state = 204},
  [2551] = {.lex_state = 211},
  [2552] = {.lex_state = 211},
  [2553] = {.lex_state = 204},
  [2554] = {.lex_state = 224},
  [2555] = {.lex_state = 172},
  [2556] = {.lex_state = 211},
  [2557] = {.lex_state = 172},
  [2558] = {.lex_state = 172},
  [2559] = {.lex_state = 172},
  [2560] = {.lex_state = 172},
  [2561] = {.lex_state = 224},
  [2562] = {.lex_state = 172},
  [2563] = {.lex_state = 172},
  [2564] = {.lex_state = 228},
  [2565] = {.lex_state = 204},
  [2566] = {.lex_state = 172},
  [2567] = {.lex_state = 172},
  [2568] = {.lex_state = 172},
  [2569] = {.lex_state = 211},
  [2570] = {.lex_state = 172},
  [2571] = {.lex_state = 172},
  [2572] = {.lex_state = 172},
  [2573] = {.lex_state = 172},
  [2574] = {.lex_state = 172},
  [2575] = {.lex_state = 212},
  [2576] = {.lex_state = 228},
  [2577] = {.lex_state = 212},
  [2578] = {.lex_state = 204},
  [2579] = {.lex_state = 211},
  [2580] = {.lex_state = 223},
  [2581] = {.lex_state = 228},
  [2582] = {.lex_state = 172},
  [2583] = {.lex_state = 211},
  [2584] = {.lex_state = 204},
  [2585] = {.lex_state = 236},
  [2586] = {.lex_state = 211},
  [2587] = {.lex_state = 172},
  [2588] = {.lex_state = 204},
  [2589] = {.lex_state = 224},
  [2590] = {.lex_state = 223},
  [2591] = {.lex_state = 204},
  [2592] = {.lex_state = 224},
  [2593] = {.lex_state = 172},
  [2594] = {.lex_state = 224},
  [2595] = {.lex_state = 211},
  [2596] = {.lex_state = 204},
  [2597] = {.lex_state = 236},
  [2598] = {.lex_state = 228},
  [2599] = {.lex_state = 172},
  [2600] = {.lex_state = 205},
  [2601] = {.lex_state = 224},
  [2602] = {.lex_state = 172},
  [2603] = {.lex_state = 224},
  [2604] = {.lex_state = 224},
  [2605] = {.lex_state = 178},
  [2606] = {.lex_state = 224},
  [2607] = {.lex_state = 224},
  [2608] = {.lex_state = 224},
  [2609] = {.lex_state = 224},
  [2610] = {.lex_state = 211},
  [2611] = {.lex_state = 224},
  [2612] = {.lex_state = 199},
  [2613] = {.lex_state = 224},
  [2614] = {.lex_state = 224},
  [2615] = {.lex_state = 199},
  [2616] = {.lex_state = 224},
  [2617] = {.lex_state = 224},
  [2618] = {.lex_state = 204},
  [2619] = {.lex_state = 224},
  [2620] = {.lex_state = 192},
  [2621] = {.lex_state = 192},
  [2622] = {.lex_state = 212},
  [2623] = {.lex_state = 192},
  [2624] = {.lex_state = 192},
  [2625] = {.lex_state = 192},
  [2626] = {.lex_state = 192},
  [2627] = {.lex_state = 192},
  [2628] = {.lex_state = 192},
  [2629] = {.lex_state = 192},
  [2630] = {.lex_state = 204},
  [2631] = {.lex_state = 204},
  [2632] = {.lex_state = 192},
  [2633] = {.lex_state = 192},
  [2634] = {.lex_state = 192},
  [2635] = {.lex_state = 192},
  [2636] = {.lex_state = 236},
  [2637] = {.lex_state = 204},
  [2638] = {.lex_state = 236},
  [2639] = {.lex_state = 224},
  [2640] = {.lex_state = 220},
  [2641] = {.lex_state = 224},
  [2642] = {.lex_state = 224},
  [2643] = {.lex_state = 224},
  [2644] = {.lex_state = 204},
  [2645] = {.lex_state = 233},
  [2646] = {.lex_state = 224},
  [2647] = {.lex_state = 192},
  [2648] = {.lex_state = 192},
  [2649] = {.lex_state = 224},
  [2650] = {.lex_state = 224},
  [2651] = {.lex_state = 224},
  [2652] = {.lex_state = 236},
  [2653] = {.lex_state = 204},
  [2654] = {.lex_state = 178},
  [2655] = {.lex_state = 211},
  [2656] = {.lex_state = 220},
  [2657] = {.lex_state = 224},
  [2658] = {.lex_state = 204},
  [2659] = {.lex_state = 224},
  [2660] = {.lex_state = 224},
  [2661] = {.lex_state = 220},
  [2662] = {.lex_state = 204},
  [2663] = {.lex_state = 224},
  [2664] = {.lex_state = 224},
  [2665] = {.lex_state = 224},
  [2666] = {.lex_state = 224},
  [2667] = {.lex_state = 220},
  [2668] = {.lex_state = 204},
  [2669] = {.lex_state = 178},
  [2670] = {.lex_state = 224},
  [2671] = {.lex_state = 224},
  [2672] = {.lex_state = 211},
  [2673] = {.lex_state = 192},
  [2674] = {.lex_state = 192},
  [2675] = {.lex_state = 192},
  [2676] = {.lex_state = 233},
  [2677] = {.lex_state = 220},
  [2678] = {.lex_state = 224},
  [2679] = {.lex_state = 220},
  [2680] = {.lex_state = 224},
  [2681] = {.lex_state = 211},
  [2682] = {.lex_state = 224},
  [2683] = {.lex_state = 224},
  [2684] = {.lex_state = 178},
  [2685] = {.lex_state = 204},
  [2686] = {.lex_state = 224},
  [2687] = {.lex_state = 224},
  [2688] = {.lex_state = 204},
  [2689] = {.lex_state = 220},
  [2690] = {.lex_state = 236},
  [2691] = {.lex_state = 204},
  [2692] = {.lex_state = 204},
  [2693] = {.lex_state = 204},
  [2694] = {.lex_state = 204},
  [2695] = {.lex_state = 220},
  [2696] = {.lex_state = 220},
  [2697] = {.lex_state = 204},
  [2698] = {.lex_state = 220},
  [2699] = {.lex_state = 204},
  [2700] = {.lex_state = 204},
  [2701] = {.lex_state = 220},
  [2702] = {.lex_state = 199},
  [2703] = {.lex_state = 236},
  [2704] = {.lex_state = 220},
  [2705] = {.lex_state = 220},
  [2706] = {.lex_state = 220},
  [2707] = {.lex_state = 199},
  [2708] = {.lex_state = 205},
  [2709] = {.lex_state = 220},
  [2710] = {.lex_state = 204},
  [2711] = {.lex_state = 196},
  [2712] = {.lex_state = 204},
  [2713] = {.lex_state = 220},
  [2714] = {.lex_state = 220},
  [2715] = {.lex_state = 205},
  [2716] = {.lex_state = 204},
  [2717] = {.lex_state = 196},
  [2718] = {.lex_state = 204},
  [2719] = {.lex_state = 193},
  [2720] = {.lex_state = 220},
  [2721] = {.lex_state = 193},
  [2722] = {.lex_state = 204},
  [2723] = {.lex_state = 193},
  [2724] = {.lex_state = 236},
  [2725] = {.lex_state = 236},
  [2726] = {.lex_state = 239},
  [2727] = {.lex_state = 211},
  [2728] = {.lex_state = 236},
  [2729] = {.lex_state = 204},
  [2730] = {.lex_state = 222},
  [2731] = {.lex_state = 193},
  [2732] = {.lex_state = 193},
  [2733] = {.lex_state = 204},
  [2734] = {.lex_state = 204},
  [2735] = {.lex_state = 220},
  [2736] = {.lex_state = 191},
  [2737] = {.lex_state = 193},
  [2738] = {.lex_state = 204},
  [2739] = {.lex_state = 220},
  [2740] = {.lex_state = 222},
  [2741] = {.lex_state = 204},
  [2742] = {.lex_state = 204},
  [2743] = {.lex_state = 220},
  [2744] = {.lex_state = 193},
  [2745] = {.lex_state = 204},
  [2746] = {.lex_state = 204},
  [2747] = {.lex_state = 204},
  [2748] = {.lex_state = 204},
  [2749] = {.lex_state = 204},
  [2750] = {.lex_state = 222},
  [2751] = {.lex_state = 204},
  [2752] = {.lex_state = 211},
  [2753] = {.lex_state = 196},
  [2754] = {.lex_state = 204},
  [2755] = {.lex_state = 192},
  [2756] = {.lex_state = 204},
  [2757] = {.lex_state = 199},
  [2758] = {.lex_state = 192},
  [2759] = {.lex_state = 189},
  [2760] = {.lex_state = 204},
  [2761] = {.lex_state = 199},
  [2762] = {.lex_state = 204},
  [2763] = {.lex_state = 199},
  [2764] = {.lex_state = 205},
  [2765] = {.lex_state = 204},
  [2766] = {.lex_state = 199},
  [2767] = {.lex_state = 192},
  [2768] = {.lex_state = 204},
  [2769] = {.lex_state = 199},
  [2770] = {.lex_state = 204},
  [2771] = {.lex_state = 237},
  [2772] = {.lex_state = 192},
  [2773] = {.lex_state = 199},
  [2774] = {.lex_state = 199},
  [2775] = {.lex_state = 192},
  [2776] = {.lex_state = 199},
  [2777] = {.lex_state = 192},
  [2778] = {.lex_state = 204},
  [2779] = {.lex_state = 236},
  [2780] = {.lex_state = 192},
  [2781] = {.lex_state = 189},
  [2782] = {.lex_state = 189},
  [2783] = {.lex_state = 204},
  [2784] = {.lex_state = 199},
  [2785] = {.lex_state = 189},
  [2786] = {.lex_state = 211},
  [2787] = {.lex_state = 237},
  [2788] = {.lex_state = 211},
  [2789] = {.lex_state = 192},
  [2790] = {.lex_state = 223},
  [2791] = {.lex_state = 236},
  [2792] = {.lex_state = 211},
  [2793] = {.lex_state = 211},
  [2794] = {.lex_state = 204},
  [2795] = {.lex_state = 192},
  [2796] = {.lex_state = 192},
  [2797] = {.lex_state = 192},
  [2798] = {.lex_state = 192},
  [2799] = {.lex_state = 211},
  [2800] = {.lex_state = 211},
  [2801] = {.lex_state = 192},
  [2802] = {.lex_state = 204},
  [2803] = {.lex_state = 199},
  [2804] = {.lex_state = 199},
  [2805] = {.lex_state = 237},
  [2806] = {.lex_state = 189},
  [2807] = {.lex_state = 211},
  [2808] = {.lex_state = 234},
  [2809] = {.lex_state = 192},
  [2810] = {.lex_state = 192},
  [2811] = {.lex_state = 192},
  [2812] = {.lex_state = 192},
  [2813] = {.lex_state = 192},
  [2814] = {.lex_state = 211},
  [2815] = {.lex_state = 199},
  [2816] = {.lex_state = 199},
  [2817] = {.lex_state = 199},
  [2818] = {.lex_state = 211},
  [2819] = {.lex_state = 204},
  [2820] = {.lex_state = 211},
  [2821] = {.lex_state = 199},
  [2822] = {.lex_state = 199},
  [2823] = {.lex_state = 204},
  [2824] = {.lex_state = 199},
  [2825] = {.lex_state = 199},
  [2826] = {.lex_state = 199},
  [2827] = {.lex_state = 191},
  [2828] = {.lex_state = 199},
  [2829] = {.lex_state = 234},
  [2830] = {.lex_state = 189},
  [2831] = {.lex_state = 204},
  [2832] = {.lex_state = 199},
  [2833] = {.lex_state = 199},
  [2834] = {.lex_state = 199},
  [2835] = {.lex_state = 204},
  [2836] = {.lex_state = 211},
  [2837] = {.lex_state = 236},
  [2838] = {.lex_state = 204},
  [2839] = {.lex_state = 211},
  [2840] = {.lex_state = 196},
  [2841] = {.lex_state = 199},
  [2842] = {.lex_state = 192},
  [2843] = {.lex_state = 204},
  [2844] = {.lex_state = 204},
  [2845] = {.lex_state = 166},
  [2846] = {.lex_state = 204},
  [2847] = {.lex_state = 204},
  [2848] = {.lex_state = 204},
  [2849] = {.lex_state = 236},
  [2850] = {.lex_state = 236},
  [2851] = {.lex_state = 204},
  [2852] = {.lex_state = 236},
  [2853] = {.lex_state = 204},
  [2854] = {.lex_state = 204},
  [2855] = {.lex_state = 204},
  [2856] = {.lex_state = 204},
  [2857] = {.lex_state = 236},
  [2858] = {.lex_state = 204},
  [2859] = {.lex_state = 236},
  [2860] = {.lex_state = 166},
  [2861] = {.lex_state = 204},
  [2862] = {.lex_state = 178},
  [2863] = {.lex_state = 211},
  [2864] = {.lex_state = 211},
  [2865] = {.lex_state = 204},
  [2866] = {.lex_state = 199},
  [2867] = {.lex_state = 236},
  [2868] = {.lex_state = 211},
  [2869] = {.lex_state = 236},
  [2870] = {.lex_state = 204},
  [2871] = {.lex_state = 172},
  [2872] = {.lex_state = 204},
  [2873] = {.lex_state = 166},
  [2874] = {.lex_state = 204},
  [2875] = {.lex_state = 237},
  [2876] = {.lex_state = 166},
  [2877] = {.lex_state = 204},
  [2878] = {.lex_state = 204},
  [2879] = {.lex_state = 236},
  [2880] = {.lex_state = 204},
  [2881] = {.lex_state = 211},
  [2882] = {.lex_state = 204},
  [2883] = {.lex_state = 166},
  [2884] = {.lex_state = 204},
  [2885] = {.lex_state = 214},
  [2886] = {.lex_state = 237},
  [2887] = {.lex_state = 204},
  [2888] = {.lex_state = 204},
  [2889] = {.lex_state = 166},
  [2890] = {.lex_state = 189},
  [2891] = {.lex_state = 204},
  [2892] = {.lex_state = 236},
  [2893] = {.lex_state = 204},
  [2894] = {.lex_state = 236},
  [2895] = {.lex_state = 204},
  [2896] = {.lex_state = 236},
  [2897] = {.lex_state = 211},
  [2898] = {.lex_state = 204},
  [2899] = {.lex_state = 204},
  [2900] = {.lex_state = 189},
  [2901] = {.lex_state = 204},
  [2902] = {.lex_state = 236},
  [2903] = {.lex_state = 236},
  [2904] = {.lex_state = 204},
  [2905] = {.lex_state = 204},
  [2906] = {.lex_state = 237},
  [2907] = {.lex_state = 214},
  [2908] = {.lex_state = 236},
  [2909] = {.lex_state = 214},
  [2910] = {.lex_state = 204},
  [2911] = {.lex_state = 214},
  [2912] = {.lex_state = 237},
  [2913] = {.lex_state = 204},
  [2914] = {.lex_state = 236},
  [2915] = {.lex_state = 204},
  [2916] = {.lex_state = 204},
  [2917] = {.lex_state = 236},
  [2918] = {.lex_state = 211},
  [2919] = {.lex_state = 189},
  [2920] = {.lex_state = 204},
  [2921] = {.lex_state = 204},
  [2922] = {.lex_state = 211},
  [2923] = {.lex_state = 211},
  [2924] = {.lex_state = 204},
  [2925] = {.lex_state = 214},
  [2926] = {.lex_state = 204},
  [2927] = {.lex_state = 236},
  [2928] = {.lex_state = 204},
  [2929] = {.lex_state = 236},
  [2930] = {.lex_state = 211},
  [2931] = {.lex_state = 211},
  [2932] = {.lex_state = 192},
  [2933] = {.lex_state = 220},
  [2934] = {.lex_state = 204},
  [2935] = {.lex_state = 192},
  [2936] = {.lex_state = 192},
  [2937] = {.lex_state = 192},
  [2938] = {.lex_state = 178},
  [2939] = {.lex_state = 192},
  [2940] = {.lex_state = 204},
  [2941] = {.lex_state = 204},
  [2942] = {.lex_state = 204},
  [2943] = {.lex_state = 211},
  [2944] = {.lex_state = 204},
  [2945] = {.lex_state = 204},
  [2946] = {.lex_state = 204},
  [2947] = {.lex_state = 236},
  [2948] = {.lex_state = 204},
  [2949] = {.lex_state = 189},
  [2950] = {.lex_state = 204},
  [2951] = {.lex_state = 204},
  [2952] = {.lex_state = 204},
  [2953] = {.lex_state = 236},
  [2954] = {.lex_state = 211},
  [2955] = {.lex_state = 211},
  [2956] = {.lex_state = 204},
  [2957] = {.lex_state = 211},
  [2958] = {.lex_state = 234},
  [2959] = {.lex_state = 220},
  [2960] = {.lex_state = 211},
  [2961] = {.lex_state = 211},
  [2962] = {.lex_state = 204},
  [2963] = {.lex_state = 204},
  [2964] = {.lex_state = 204},
  [2965] = {.lex_state = 211},
  [2966] = {.lex_state = 213},
  [2967] = {.lex_state = 211},
  [2968] = {.lex_state = 204},
  [2969] = {.lex_state = 211},
  [2970] = {.lex_state = 192},
  [2971] = {.lex_state = 204},
  [2972] = {.lex_state = 192},
  [2973] = {.lex_state = 214},
  [2974] = {.lex_state = 204},
  [2975] = {.lex_state = 192},
  [2976] = {.lex_state = 234},
  [2977] = {.lex_state = 236},
  [2978] = {.lex_state = 192},
  [2979] = {.lex_state = 192},
  [2980] = {.lex_state = 234},
  [2981] = {.lex_state = 192},
  [2982] = {.lex_state = 220},
  [2983] = {.lex_state = 236},
  [2984] = {.lex_state = 204},
  [2985] = {.lex_state = 204},
  [2986] = {.lex_state = 211},
  [2987] = {.lex_state = 211},
  [2988] = {.lex_state = 204},
  [2989] = {.lex_state = 234},
  [2990] = {.lex_state = 204},
  [2991] = {.lex_state = 211},
  [2992] = {.lex_state = 204},
  [2993] = {.lex_state = 204},
  [2994] = {.lex_state = 214},
  [2995] = {.lex_state = 236},
  [2996] = {.lex_state = 234},
  [2997] = {.lex_state = 236},
  [2998] = {.lex_state = 211},
  [2999] = {.lex_state = 211},
  [3000] = {.lex_state = 211},
  [3001] = {.lex_state = 191},
  [3002] = {.lex_state = 234},
  [3003] = {.lex_state = 204},
  [3004] = {.lex_state = 211},
  [3005] = {.lex_state = 211},
  [3006] = {.lex_state = 191},
  [3007] = {.lex_state = 192},
  [3008] = {.lex_state = 220},
  [3009] = {.lex_state = 211},
  [3010] = {.lex_state = 234},
  [3011] = {.lex_state = 220},
  [3012] = {.lex_state = 236},
  [3013] = {.lex_state = 211},
  [3014] = {.lex_state = 234},
  [3015] = {.lex_state = 211},
  [3016] = {.lex_state = 204},
  [3017] = {.lex_state = 204},
  [3018] = {.lex_state = 211},
  [3019] = {.lex_state = 236},
  [3020] = {.lex_state = 234},
  [3021] = {.lex_state = 234},
  [3022] = {.lex_state = 192},
  [3023] = {.lex_state = 236},
  [3024] = {.lex_state = 236},
  [3025] = {.lex_state = 211},
  [3026] = {.lex_state = 204},
  [3027] = {.lex_state = 211},
  [3028] = {.lex_state = 211},
  [3029] = {.lex_state = 204},
  [3030] = {.lex_state = 211},
  [3031] = {.lex_state = 236},
  [3032] = {.lex_state = 211},
  [3033] = {.lex_state = 211},
  [3034] = {.lex_state = 237},
  [3035] = {.lex_state = 211},
  [3036] = {.lex_state = 211},
  [3037] = {.lex_state = 211},
  [3038] = {.lex_state = 189},
  [3039] = {.lex_state = 204},
  [3040] = {.lex_state = 192},
  [3041] = {.lex_state = 192},
  [3042] = {.lex_state = 211},
  [3043] = {.lex_state = 220},
  [3044] = {.lex_state = 236},
  [3045] = {.lex_state = 204},
  [3046] = {.lex_state = 204},
  [3047] = {.lex_state = 192},
  [3048] = {.lex_state = 211},
  [3049] = {.lex_state = 204},
  [3050] = {.lex_state = 211},
  [3051] = {.lex_state = 234},
  [3052] = {.lex_state = 211},
  [3053] = {.lex_state = 204},
  [3054] = {.lex_state = 204},
  [3055] = {.lex_state = 192},
  [3056] = {.lex_state = 211},
  [3057] = {.lex_state = 204},
  [3058] = {.lex_state = 204},
  [3059] = {.lex_state = 204},
  [3060] = {.lex_state = 204},
  [3061] = {.lex_state = 234},
  [3062] = {.lex_state = 204},
  [3063] = {.lex_state = 236},
  [3064] = {.lex_state = 236},
  [3065] = {.lex_state = 234},
  [3066] = {.lex_state = 211},
  [3067] = {.lex_state = 211},
  [3068] = {.lex_state = 206},
  [3069] = {.lex_state = 234},
  [3070] = {.lex_state = 204},
  [3071] = {.lex_state = 192},
  [3072] = {.lex_state = 192},
  [3073] = {.lex_state = 236},
  [3074] = {.lex_state = 195},
  [3075] = {.lex_state = 189},
  [3076] = {.lex_state = 189},
  [3077] = {.lex_state = 211},
  [3078] = {.lex_state = 199},
  [3079] = {.lex_state = 189},
  [3080] = {.lex_state = 192},
  [3081] = {.lex_state = 211},
  [3082] = {.lex_state = 211},
  [3083] = {.lex_state = 204},
  [3084] = {.lex_state = 204},
  [3085] = {.lex_state = 211},
  [3086] = {.lex_state = 204},
  [3087] = {.lex_state = 189},
  [3088] = {.lex_state = 189},
  [3089] = {.lex_state = 189},
  [3090] = {.lex_state = 234},
  [3091] = {.lex_state = 204},
  [3092] = {.lex_state = 236},
  [3093] = {.lex_state = 204},
  [3094] = {.lex_state = 211},
  [3095] = {.lex_state = 204},
  [3096] = {.lex_state = 191},
  [3097] = {.lex_state = 211},
  [3098] = {.lex_state = 204},
  [3099] = {.lex_state = 189},
  [3100] = {.lex_state = 204},
  [3101] = {.lex_state = 204},
  [3102] = {.lex_state = 210},
  [3103] = {.lex_state = 189},
  [3104] = {.lex_state = 189},
  [3105] = {.lex_state = 236},
  [3106] = {.lex_state = 189},
  [3107] = {.lex_state = 204},
  [3108] = {.lex_state = 189},
  [3109] = {.lex_state = 204},
  [3110] = {.lex_state = 204},
  [3111] = {.lex_state = 191},
  [3112] = {.lex_state = 208},
  [3113] = {.lex_state = 234},
  [3114] = {.lex_state = 189},
  [3115] = {.lex_state = 208},
  [3116] = {.lex_state = 204},
  [3117] = {.lex_state = 234},
  [3118] = {.lex_state = 189},
  [3119] = {.lex_state = 204},
  [3120] = {.lex_state = 211},
  [3121] = {.lex_state = 211},
  [3122] = {.lex_state = 211},
  [3123] = {.lex_state = 201},
  [3124] = {.lex_state = 178},
  [3125] = {.lex_state = 204},
  [3126] = {.lex_state = 211},
  [3127] = {.lex_state = 211},
  [3128] = {.lex_state = 178},
  [3129] = {.lex_state = 189},
  [3130] = {.lex_state = 204},
  [3131] = {.lex_state = 211},
  [3132] = {.lex_state = 211},
  [3133] = {.lex_state = 189},
  [3134] = {.lex_state = 192},
  [3135] = {.lex_state = 191},
  [3136] = {.lex_state = 191},
  [3137] = {.lex_state = 204},
  [3138] = {.lex_state = 178},
  [3139] = {.lex_state = 204},
  [3140] = {.lex_state = 191},
  [3141] = {.lex_state = 204},
  [3142] = {.lex_state = 189},
  [3143] = {.lex_state = 204},
  [3144] = {.lex_state = 196},
  [3145] = {.lex_state = 189},
  [3146] = {.lex_state = 211},
  [3147] = {.lex_state = 211},
  [3148] = {.lex_state = 204},
  [3149] = {.lex_state = 189},
  [3150] = {.lex_state = 211},
  [3151] = {.lex_state = 204},
  [3152] = {.lex_state = 236},
  [3153] = {.lex_state = 189},
  [3154] = {.lex_state = 211},
  [3155] = {.lex_state = 211},
  [3156] = {.lex_state = 211},
  [3157] = {.lex_state = 211},
  [3158] = {.lex_state = 211},
  [3159] = {.lex_state = 211},
  [3160] = {.lex_state = 211},
  [3161] = {.lex_state = 211},
  [3162] = {.lex_state = 236},
  [3163] = {.lex_state = 211},
  [3164] = {.lex_state = 211},
  [3165] = {.lex_state = 236},
  [3166] = {.lex_state = 236},
  [3167] = {.lex_state = 211},
  [3168] = {.lex_state = 189},
  [3169] = {.lex_state = 189},
  [3170] = {.lex_state = 211},
  [3171] = {.lex_state = 191},
  [3172] = {.lex_state = 211},
  [3173] = {.lex_state = 234},
  [3174] = {.lex_state = 195},
  [3175] = {.lex_state = 195},
  [3176] = {.lex_state = 195},
  [3177] = {.lex_state = 195},
  [3178] = {.lex_state = 195},
  [3179] = {.lex_state = 195},
  [3180] = {.lex_state = 195},
  [3181] = {.lex_state = 195},
  [3182] = {.lex_state = 195},
  [3183] = {.lex_state = 195},
  [3184] = {.lex_state = 195},
  [3185] = {.lex_state = 195},
  [3186] = {.lex_state = 195},
  [3187] = {.lex_state = 195},
  [3188] = {.lex_state = 195},
  [3189] = {.lex_state = 195},
  [3190] = {.lex_state = 195},
  [3191] = {.lex_state = 195},
  [3192] = {.lex_state = 195},
  [3193] = {.lex_state = 195},
  [3194] = {.lex_state = 195},
  [3195] = {.lex_state = 195},
  [3196] = {.lex_state = 195},
  [3197] = {.lex_state = 234},
  [3198] = {.lex_state = 204},
  [3199] = {.lex_state = 195},
  [3200] = {.lex_state = 196},
  [3201] = {.lex_state = 189},
  [3202] = {.lex_state = 189},
  [3203] = {.lex_state = 189},
  [3204] = {.lex_state = 189},
  [3205] = {.lex_state = 189},
  [3206] = {.lex_state = 189},
  [3207] = {.lex_state = 189},
  [3208] = {.lex_state = 204},
  [3209] = {.lex_state = 204},
  [3210] = {.lex_state = 204},
  [3211] = {.lex_state = 204},
  [3212] = {.lex_state = 204},
  [3213] = {.lex_state = 204},
  [3214] = {.lex_state = 204},
  [3215] = {.lex_state = 234},
  [3216] = {.lex_state = 236},
  [3217] = {.lex_state = 204},
  [3218] = {.lex_state = 204},
  [3219] = {.lex_state = 204},
  [3220] = {.lex_state = 178},
  [3221] = {.lex_state = 204},
  [3222] = {.lex_state = 204},
  [3223] = {.lex_state = 199},
  [3224] = {.lex_state = 204},
  [3225] = {.lex_state = 204},
  [3226] = {.lex_state = 204},
  [3227] = {.lex_state = 204},
  [3228] = {.lex_state = 204},
  [3229] = {.lex_state = 204},
  [3230] = {.lex_state = 204},
  [3231] = {.lex_state = 236},
  [3232] = {.lex_state = 204},
  [3233] = {.lex_state = 199},
  [3234] = {.lex_state = 204},
  [3235] = {.lex_state = 201},
  [3236] = {.lex_state = 201},
  [3237] = {.lex_state = 204},
  [3238] = {.lex_state = 204},
  [3239] = {.lex_state = 204},
  [3240] = {.lex_state = 204},
  [3241] = {.lex_state = 204},
  [3242] = {.lex_state = 204},
  [3243] = {.lex_state = 204},
  [3244] = {.lex_state = 188},
  [3245] = {.lex_state = 201},
  [3246] = {.lex_state = 204},
  [3247] = {.lex_state = 204},
  [3248] = {.lex_state = 204},
  [3249] = {.lex_state = 204},
  [3250] = {.lex_state = 204},
  [3251] = {.lex_state = 192},
  [3252] = {.lex_state = 220},
  [3253] = {.lex_state = 201},
  [3254] = {.lex_state = 188},
  [3255] = {.lex_state = 236},
  [3256] = {.lex_state = 204},
  [3257] = {.lex_state = 236},
  [3258] = {.lex_state = 204},
  [3259] = {.lex_state = 211},
  [3260] = {.lex_state = 204},
  [3261] = {.lex_state = 204},
  [3262] = {.lex_state = 201},
  [3263] = {.lex_state = 204},
  [3264] = {.lex_state = 204},
  [3265] = {.lex_state = 204},
  [3266] = {.lex_state = 204},
  [3267] = {.lex_state = 204},
  [3268] = {.lex_state = 201},
  [3269] = {.lex_state = 204},
  [3270] = {.lex_state = 204},
  [3271] = {.lex_state = 204},
  [3272] = {.lex_state = 204},
  [3273] = {.lex_state = 204},
  [3274] = {.lex_state = 204},
  [3275] = {.lex_state = 204},
  [3276] = {.lex_state = 201},
  [3277] = {.lex_state = 201},
  [3278] = {.lex_state = 204},
  [3279] = {.lex_state = 204},
  [3280] = {.lex_state = 204},
  [3281] = {.lex_state = 204},
  [3282] = {.lex_state = 201},
  [3283] = {.lex_state = 204},
  [3284] = {.lex_state = 204},
  [3285] = {.lex_state = 204},
  [3286] = {.lex_state = 204},
  [3287] = {.lex_state = 237},
  [3288] = {.lex_state = 237},
  [3289] = {.lex_state = 204},
  [3290] = {.lex_state = 216},
  [3291] = {.lex_state = 204},
  [3292] = {.lex_state = 204},
  [3293] = {.lex_state = 214},
  [3294] = {.lex_state = 204},
  [3295] = {.lex_state = 201},
  [3296] = {.lex_state = 178},
  [3297] = {.lex_state = 204},
  [3298] = {.lex_state = 204},
  [3299] = {.lex_state = 201},
  [3300] = {.lex_state = 204},
  [3301] = {.lex_state = 214},
  [3302] = {.lex_state = 201},
  [3303] = {.lex_state = 214},
  [3304] = {.lex_state = 204},
  [3305] = {.lex_state = 192},
  [3306] = {.lex_state = 216},
  [3307] = {.lex_state = 204},
  [3308] = {.lex_state = 204},
  [3309] = {.lex_state = 204},
  [3310] = {.lex_state = 204},
  [3311] = {.lex_state = 239},
  [3312] = {.lex_state = 214},
  [3313] = {.lex_state = 201},
  [3314] = {.lex_state = 204},
  [3315] = {.lex_state = 211},
  [3316] = {.lex_state = 204},
  [3317] = {.lex_state = 204},
  [3318] = {.lex_state = 178},
  [3319] = {.lex_state = 214},
  [3320] = {.lex_state = 211},
  [3321] = {.lex_state = 201},
  [3322] = {.lex_state = 201},
  [3323] = {.lex_state = 214},
  [3324] = {.lex_state = 204},
  [3325] = {.lex_state = 204},
  [3326] = {.lex_state = 214},
  [3327] = {.lex_state = 214},
  [3328] = {.lex_state = 204},
  [3329] = {.lex_state = 204},
  [3330] = {.lex_state = 236},
  [3331] = {.lex_state = 214},
  [3332] = {.lex_state = 204},
  [3333] = {.lex_state = 204},
  [3334] = {.lex_state = 204},
  [3335] = {.lex_state = 204},
  [3336] = {.lex_state = 204},
  [3337] = {.lex_state = 204},
  [3338] = {.lex_state = 214},
  [3339] = {.lex_state = 204},
  [3340] = {.lex_state = 204},
  [3341] = {.lex_state = 204},
  [3342] = {.lex_state = 204},
  [3343] = {.lex_state = 211},
  [3344] = {.lex_state = 204},
  [3345] = {.lex_state = 204},
  [3346] = {.lex_state = 204},
  [3347] = {.lex_state = 188},
  [3348] = {.lex_state = 178},
  [3349] = {.lex_state = 204},
  [3350] = {.lex_state = 218},
  [3351] = {.lex_state = 204},
  [3352] = {.lex_state = 204},
  [3353] = {.lex_state = 204},
  [3354] = {.lex_state = 204},
  [3355] = {.lex_state = 204},
  [3356] = {.lex_state = 204},
  [3357] = {.lex_state = 204},
  [3358] = {.lex_state = 204},
  [3359] = {.lex_state = 204},
  [3360] = {.lex_state = 204},
  [3361] = {.lex_state = 204},
  [3362] = {.lex_state = 236},
  [3363] = {.lex_state = 214},
  [3364] = {.lex_state = 214},
  [3365] = {.lex_state = 214},
  [3366] = {.lex_state = 214},
  [3367] = {.lex_state = 236},
  [3368] = {.lex_state = 204},
  [3369] = {.lex_state = 200},
  [3370] = {.lex_state = 204},
  [3371] = {.lex_state = 204},
  [3372] = {.lex_state = 204},
  [3373] = {.lex_state = 204},
  [3374] = {.lex_state = 204},
  [3375] = {.lex_state = 204},
  [3376] = {.lex_state = 204},
  [3377] = {.lex_state = 204},
  [3378] = {.lex_state = 204},
  [3379] = {.lex_state = 204},
  [3380] = {.lex_state = 204},
  [3381] = {.lex_state = 199},
  [3382] = {.lex_state = 201},
  [3383] = {.lex_state = 200},
  [3384] = {.lex_state = 204},
  [3385] = {.lex_state = 204},
  [3386] = {.lex_state = 204},
  [3387] = {.lex_state = 214},
  [3388] = {.lex_state = 214},
  [3389] = {.lex_state = 201},
  [3390] = {.lex_state = 204},
  [3391] = {.lex_state = 204},
  [3392] = {.lex_state = 204},
  [3393] = {.lex_state = 204},
  [3394] = {.lex_state = 211},
  [3395] = {.lex_state = 211},
  [3396] = {.lex_state = 211},
  [3397] = {.lex_state = 211},
  [3398] = {.lex_state = 204},
  [3399] = {.lex_state = 204},
  [3400] = {.lex_state = 211},
  [3401] = {.lex_state = 211},
  [3402] = {.lex_state = 211},
  [3403] = {.lex_state = 211},
  [3404] = {.lex_state = 211},
  [3405] = {.lex_state = 211},
  [3406] = {.lex_state = 211},
  [3407] = {.lex_state = 204},
  [3408] = {.lex_state = 211},
  [3409] = {.lex_state = 211},
  [3410] = {.lex_state = 211},
  [3411] = {.lex_state = 204},
  [3412] = {.lex_state = 211},
  [3413] = {.lex_state = 204},
  [3414] = {.lex_state = 211},
  [3415] = {.lex_state = 192},
  [3416] = {.lex_state = 211},
  [3417] = {.lex_state = 204},
  [3418] = {.lex_state = 211},
  [3419] = {.lex_state = 211},
  [3420] = {.lex_state = 211},
  [3421] = {.lex_state = 211},
  [3422] = {.lex_state = 211},
  [3423] = {.lex_state = 211},
  [3424] = {.lex_state = 204},
  [3425] = {.lex_state = 204},
  [3426] = {.lex_state = 211},
  [3427] = {.lex_state = 211},
  [3428] = {.lex_state = 211},
  [3429] = {.lex_state = 211},
  [3430] = {.lex_state = 211},
  [3431] = {.lex_state = 234},
  [3432] = {.lex_state = 211},
  [3433] = {.lex_state = 211},
  [3434] = {.lex_state = 211},
  [3435] = {.lex_state = 211},
  [3436] = {.lex_state = 211},
  [3437] = {.lex_state = 211},
  [3438] = {.lex_state = 211},
  [3439] = {.lex_state = 237},
  [3440] = {.lex_state = 211},
  [3441] = {.lex_state = 211},
  [3442] = {.lex_state = 211},
  [3443] = {.lex_state = 192},
  [3444] = {.lex_state = 199},
  [3445] = {.lex_state = 199},
  [3446] = {.lex_state = 237},
  [3447] = {.lex_state = 211},
  [3448] = {.lex_state = 211},
  [3449] = {.lex_state = 211},
  [3450] = {.lex_state = 204},
  [3451] = {.lex_state = 211},
  [3452] = {.lex_state = 211},
  [3453] = {.lex_state = 211},
  [3454] = {.lex_state = 234},
  [3455] = {.lex_state = 178},
  [3456] = {.lex_state = 211},
  [3457] = {.lex_state = 204},
  [3458] = {.lex_state = 211},
  [3459] = {.lex_state = 211},
  [3460] = {.lex_state = 204},
  [3461] = {.lex_state = 211},
  [3462] = {.lex_state = 204},
  [3463] = {.lex_state = 211},
  [3464] = {.lex_state = 211},
  [3465] = {.lex_state = 211},
  [3466] = {.lex_state = 211},
  [3467] = {.lex_state = 211},
  [3468] = {.lex_state = 204},
  [3469] = {.lex_state = 236},
  [3470] = {.lex_state = 211},
  [3471] = {.lex_state = 204},
  [3472] = {.lex_state = 204},
  [3473] = {.lex_state = 211},
  [3474] = {.lex_state = 204},
  [3475] = {.lex_state = 211},
  [3476] = {.lex_state = 199},
  [3477] = {.lex_state = 211},
  [3478] = {.lex_state = 236},
  [3479] = {.lex_state = 211},
  [3480] = {.lex_state = 211},
  [3481] = {.lex_state = 211},
  [3482] = {.lex_state = 237},
  [3483] = {.lex_state = 211},
  [3484] = {.lex_state = 234},
  [3485] = {.lex_state = 211},
  [3486] = {.lex_state = 236},
  [3487] = {.lex_state = 236},
  [3488] = {.lex_state = 211},
  [3489] = {.lex_state = 211},
  [3490] = {.lex_state = 211},
  [3491] = {.lex_state = 191},
  [3492] = {.lex_state = 204},
  [3493] = {.lex_state = 211},
  [3494] = {.lex_state = 204},
  [3495] = {.lex_state = 237},
  [3496] = {.lex_state = 211},
  [3497] = {.lex_state = 204},
  [3498] = {.lex_state = 211},
  [3499] = {.lex_state = 204},
  [3500] = {.lex_state = 211},
  [3501] = {.lex_state = 211},
  [3502] = {.lex_state = 204},
  [3503] = {.lex_state = 211},
  [3504] = {.lex_state = 211},
  [3505] = {.lex_state = 199},
  [3506] = {.lex_state = 204},
  [3507] = {.lex_state = 199},
  [3508] = {.lex_state = 237},
  [3509] = {.lex_state = 211},
  [3510] = {.lex_state = 199},
  [3511] = {.lex_state = 199},
  [3512] = {.lex_state = 237},
  [3513] = {.lex_state = 204},
  [3514] = {.lex_state = 211},
  [3515] = {.lex_state = 204},
  [3516] = {.lex_state = 195},
  [3517] = {.lex_state = 199},
  [3518] = {.lex_state = 199},
  [3519] = {.lex_state = 204},
  [3520] = {.lex_state = 211},
  [3521] = {.lex_state = 199},
  [3522] = {.lex_state = 211},
  [3523] = {.lex_state = 195},
  [3524] = {.lex_state = 195},
  [3525] = {.lex_state = 211},
  [3526] = {.lex_state = 195},
  [3527] = {.lex_state = 195},
  [3528] = {.lex_state = 195},
  [3529] = {.lex_state = 195},
  [3530] = {.lex_state = 195},
  [3531] = {.lex_state = 211},
  [3532] = {.lex_state = 211},
  [3533] = {.lex_state = 204},
  [3534] = {.lex_state = 211},
  [3535] = {.lex_state = 211},
  [3536] = {.lex_state = 211},
  [3537] = {.lex_state = 211},
  [3538] = {.lex_state = 199},
  [3539] = {.lex_state = 234},
  [3540] = {.lex_state = 236},
  [3541] = {.lex_state = 234},
  [3542] = {.lex_state = 236},
  [3543] = {.lex_state = 234},
  [3544] = {.lex_state = 234},
  [3545] = {.lex_state = 233},
  [3546] = {.lex_state = 208},
  [3547] = {.lex_state = 201},
  [3548] = {.lex_state = 234},
  [3549] = {.lex_state = 236},
  [3550] = {.lex_state = 234},
  [3551] = {.lex_state = 236},
  [3552] = {.lex_state = 204},
  [3553] = {.lex_state = 236},
  [3554] = {.lex_state = 236},
  [3555] = {.lex_state = 236},
  [3556] = {.lex_state = 234},
  [3557] = {.lex_state = 236},
  [3558] = {.lex_state = 236},
  [3559] = {.lex_state = 236},
  [3560] = {.lex_state = 236},
  [3561] = {.lex_state = 236},
  [3562] = {.lex_state = 234},
  [3563] = {.lex_state = 188},
  [3564] = {.lex_state = 234},
  [3565] = {.lex_state = 208},
  [3566] = {.lex_state = 199},
  [3567] = {.lex_state = 234},
  [3568] = {.lex_state = 234},
  [3569] = {.lex_state = 178},
  [3570] = {.lex_state = 234},
  [3571] = {.lex_state = 178},
  [3572] = {.lex_state = 234},
  [3573] = {.lex_state = 199},
  [3574] = {.lex_state = 234},
  [3575] = {.lex_state = 234},
  [3576] = {.lex_state = 234},
  [3577] = {.lex_state = 201},
  [3578] = {.lex_state = 234},
  [3579] = {.lex_state = 234},
  [3580] = {.lex_state = 199},
  [3581] = {.lex_state = 234},
  [3582] = {.lex_state = 234},
  [3583] = {.lex_state = 199},
  [3584] = {.lex_state = 236},
  [3585] = {.lex_state = 234},
  [3586] = {.lex_state = 199},
  [3587] = {.lex_state = 234},
  [3588] = {.lex_state = 234},
  [3589] = {.lex_state = 199},
  [3590] = {.lex_state = 234},
  [3591] = {.lex_state = 199},
  [3592] = {.lex_state = 234},
  [3593] = {.lex_state = 234},
  [3594] = {.lex_state = 234},
  [3595] = {.lex_state = 234},
  [3596] = {.lex_state = 234},
  [3597] = {.lex_state = 234},
  [3598] = {.lex_state = 234},
  [3599] = {.lex_state = 234},
  [3600] = {.lex_state = 234},
  [3601] = {.lex_state = 234},
  [3602] = {.lex_state = 234},
  [3603] = {.lex_state = 234},
  [3604] = {.lex_state = 234},
  [3605] = {.lex_state = 234},
  [3606] = {.lex_state = 234},
  [3607] = {.lex_state = 234},
  [3608] = {.lex_state = 234},
  [3609] = {.lex_state = 234},
  [3610] = {.lex_state = 234},
  [3611] = {.lex_state = 201},
  [3612] = {.lex_state = 234},
  [3613] = {.lex_state = 234},
  [3614] = {.lex_state = 199},
  [3615] = {.lex_state = 199},
  [3616] = {.lex_state = 234},
  [3617] = {.lex_state = 234},
  [3618] = {.lex_state = 234},
  [3619] = {.lex_state = 233},
  [3620] = {.lex_state = 234},
  [3621] = {.lex_state = 199},
  [3622] = {.lex_state = 234},
  [3623] = {.lex_state = 199},
  [3624] = {.lex_state = 234},
  [3625] = {.lex_state = 178},
  [3626] = {.lex_state = 234},
  [3627] = {.lex_state = 199},
  [3628] = {.lex_state = 178},
  [3629] = {.lex_state = 234},
  [3630] = {.lex_state = 234},
  [3631] = {.lex_state = 234},
  [3632] = {.lex_state = 234},
  [3633] = {.lex_state = 234},
  [3634] = {.lex_state = 234},
  [3635] = {.lex_state = 234},
  [3636] = {.lex_state = 234},
  [3637] = {.lex_state = 234},
  [3638] = {.lex_state = 234},
  [3639] = {.lex_state = 234},
  [3640] = {.lex_state = 234},
  [3641] = {.lex_state = 234},
  [3642] = {.lex_state = 234},
  [3643] = {.lex_state = 234},
  [3644] = {.lex_state = 192},
  [3645] = {.lex_state = 234},
  [3646] = {.lex_state = 178},
  [3647] = {.lex_state = 178},
  [3648] = {.lex_state = 204},
  [3649] = {.lex_state = 204},
  [3650] = {.lex_state = 204},
  [3651] = {.lex_state = 234},
  [3652] = {.lex_state = 220},
  [3653] = {.lex_state = 239},
  [3654] = {.lex_state = 234},
  [3655] = {.lex_state = 204},
  [3656] = {.lex_state = 204},
  [3657] = {.lex_state = 204},
  [3658] = {.lex_state = 239},
  [3659] = {.lex_state = 234},
  [3660] = {.lex_state = 234},
  [3661] = {.lex_state = 204},
  [3662] = {.lex_state = 204},
  [3663] = {.lex_state = 199},
  [3664] = {.lex_state = 204},
  [3665] = {.lex_state = 204},
  [3666] = {.lex_state = 199},
  [3667] = {.lex_state = 199},
  [3668] = {.lex_state = 204},
  [3669] = {.lex_state = 204},
  [3670] = {.lex_state = 201},
  [3671] = {.lex_state = 204},
  [3672] = {.lex_state = 204},
  [3673] = {.lex_state = 204},
  [3674] = {.lex_state = 204},
  [3675] = {.lex_state = 199},
  [3676] = {.lex_state = 204},
  [3677] = {.lex_state = 234},
  [3678] = {.lex_state = 204},
  [3679] = {.lex_state = 199},
  [3680] = {.lex_state = 204},
  [3681] = {.lex_state = 178},
  [3682] = {.lex_state = 220},
  [3683] = {.lex_state = 234},
  [3684] = {.lex_state = 199},
  [3685] = {.lex_state = 234},
  [3686] = {.lex_state = 204},
  [3687] = {.lex_state = 199},
  [3688] = {.lex_state = 178},
  [3689] = {.lex_state = 204},
  [3690] = {.lex_state = 204},
  [3691] = {.lex_state = 204},
  [3692] = {.lex_state = 201},
  [3693] = {.lex_state = 199},
  [3694] = {.lex_state = 234},
  [3695] = {.lex_state = 201},
  [3696] = {.lex_state = 188},
  [3697] = {.lex_state = 204},
  [3698] = {.lex_state = 204},
  [3699] = {.lex_state = 234},
  [3700] = {.lex_state = 204},
  [3701] = {.lex_state = 204},
  [3702] = {.lex_state = 234},
  [3703] = {.lex_state = 204},
  [3704] = {.lex_state = 204},
  [3705] = {.lex_state = 204},
  [3706] = {.lex_state = 204},
  [3707] = {.lex_state = 204},
  [3708] = {.lex_state = 204},
  [3709] = {.lex_state = 204},
  [3710] = {.lex_state = 204},
  [3711] = {.lex_state = 201},
  [3712] = {.lex_state = 234},
  [3713] = {.lex_state = 204},
  [3714] = {.lex_state = 204},
  [3715] = {.lex_state = 199},
  [3716] = {.lex_state = 204},
  [3717] = {.lex_state = 204},
  [3718] = {.lex_state = 199},
  [3719] = {.lex_state = 201},
  [3720] = {.lex_state = 234},
  [3721] = {.lex_state = 234},
  [3722] = {.lex_state = 204},
  [3723] = {.lex_state = 204},
  [3724] = {.lex_state = 204},
  [3725] = {.lex_state = 199},
  [3726] = {.lex_state = 204},
  [3727] = {.lex_state = 204},
  [3728] = {.lex_state = 204},
  [3729] = {.lex_state = 204},
  [3730] = {.lex_state = 236},
  [3731] = {.lex_state = 236},
  [3732] = {.lex_state = 188},
  [3733] = {.lex_state = 204},
  [3734] = {.lex_state = 234},
  [3735] = {.lex_state = 204},
  [3736] = {.lex_state = 204},
  [3737] = {.lex_state = 204},
  [3738] = {.lex_state = 237},
  [3739] = {.lex_state = 204},
  [3740] = {.lex_state = 204},
  [3741] = {.lex_state = 237},
  [3742] = {.lex_state = 204},
  [3743] = {.lex_state = 204},
  [3744] = {.lex_state = 201},
  [3745] = {.lex_state = 199},
  [3746] = {.lex_state = 188},
  [3747] = {.lex_state = 234},
  [3748] = {.lex_state = 188},
  [3749] = {.lex_state = 220},
  [3750] = {.lex_state = 204},
  [3751] = {.lex_state = 204},
  [3752] = {.lex_state = 234},
  [3753] = {.lex_state = 201},
  [3754] = {.lex_state = 201},
  [3755] = {.lex_state = 199},
  [3756] = {.lex_state = 201},
  [3757] = {.lex_state = 199},
  [3758] = {.lex_state = 220},
  [3759] = {.lex_state = 199},
  [3760] = {.lex_state = 201},
  [3761] = {.lex_state = 201},
  [3762] = {.lex_state = 201},
  [3763] = {.lex_state = 201},
  [3764] = {.lex_state = 201},
  [3765] = {.lex_state = 201},
  [3766] = {.lex_state = 220},
  [3767] = {.lex_state = 199},
  [3768] = {.lex_state = 201},
  [3769] = {.lex_state = 201},
  [3770] = {.lex_state = 201},
  [3771] = {.lex_state = 201},
  [3772] = {.lex_state = 201},
  [3773] = {.lex_state = 201},
  [3774] = {.lex_state = 201},
  [3775] = {.lex_state = 199},
  [3776] = {.lex_state = 201},
  [3777] = {.lex_state = 199},
  [3778] = {.lex_state = 201},
  [3779] = {.lex_state = 201},
  [3780] = {.lex_state = 236},
  [3781] = {.lex_state = 199},
  [3782] = {.lex_state = 236},
  [3783] = {.lex_state = 199},
  [3784] = {.lex_state = 188},
  [3785] = {.lex_state = 201},
  [3786] = {.lex_state = 201},
  [3787] = {.lex_state = 201},
  [3788] = {.lex_state = 199},
  [3789] = {.lex_state = 201},
  [3790] = {.lex_state = 199},
  [3791] = {.lex_state = 201},
  [3792] = {.lex_state = 201},
  [3793] = {.lex_state = 199},
  [3794] = {.lex_state = 188},
  [3795] = {.lex_state = 199},
  [3796] = {.lex_state = 188},
  [3797] = {.lex_state = 223},
  [3798] = {.lex_state = 199},
  [3799] = {.lex_state = 201},
  [3800] = {.lex_state = 201},
  [3801] = {.lex_state = 199},
  [3802] = {.lex_state = 201},
  [3803] = {.lex_state = 199},
  [3804] = {.lex_state = 199},
  [3805] = {.lex_state = 199},
  [3806] = {.lex_state = 201},
  [3807] = {.lex_state = 199},
  [3808] = {.lex_state = 201},
  [3809] = {.lex_state = 188},
  [3810] = {.lex_state = 199},
  [3811] = {.lex_state = 199},
  [3812] = {.lex_state = 201},
  [3813] = {.lex_state = 201},
  [3814] = {.lex_state = 237},
  [3815] = {.lex_state = 201},
  [3816] = {.lex_state = 236},
  [3817] = {.lex_state = 223},
  [3818] = {.lex_state = 199},
  [3819] = {.lex_state = 199},
  [3820] = {.lex_state = 199},
  [3821] = {.lex_state = 199},
  [3822] = {.lex_state = 199},
  [3823] = {.lex_state = 199},
  [3824] = {.lex_state = 237},
  [3825] = {.lex_state = 236},
  [3826] = {.lex_state = 199},
  [3827] = {.lex_state = 201},
  [3828] = {.lex_state = 199},
  [3829] = {.lex_state = 199},
  [3830] = {.lex_state = 233},
  [3831] = {.lex_state = 199},
  [3832] = {.lex_state = 237},
  [3833] = {.lex_state = 201},
  [3834] = {.lex_state = 236},
  [3835] = {.lex_state = 199},
  [3836] = {.lex_state = 199},
  [3837] = {.lex_state = 199},
  [3838] = {.lex_state = 199},
  [3839] = {.lex_state = 237},
  [3840] = {.lex_state = 201},
  [3841] = {.lex_state = 199},
  [3842] = {.lex_state = 199},
  [3843] = {.lex_state = 199},
  [3844] = {.lex_state = 199},
  [3845] = {.lex_state = 237},
  [3846] = {.lex_state = 234},
  [3847] = {.lex_state = 234},
  [3848] = {.lex_state = 199},
  [3849] = {.lex_state = 234},
  [3850] = {.lex_state = 234},
  [3851] = {.lex_state = 199},
  [3852] = {.lex_state = 237},
  [3853] = {.lex_state = 237},
  [3854] = {.lex_state = 234},
  [3855] = {.lex_state = 234},
  [3856] = {.lex_state = 234},
  [3857] = {.lex_state = 234},
  [3858] = {.lex_state = 234},
  [3859] = {.lex_state = 234},
  [3860] = {.lex_state = 234},
  [3861] = {.lex_state = 234},
  [3862] = {.lex_state = 234},
  [3863] = {.lex_state = 234},
  [3864] = {.lex_state = 199},
  [3865] = {.lex_state = 234},
  [3866] = {.lex_state = 234},
  [3867] = {.lex_state = 223},
  [3868] = {.lex_state = 234},
  [3869] = {.lex_state = 223},
  [3870] = {.lex_state = 199},
  [3871] = {.lex_state = 234},
  [3872] = {.lex_state = 199},
  [3873] = {.lex_state = 234},
  [3874] = {.lex_state = 234},
  [3875] = {.lex_state = 233},
  [3876] = {.lex_state = 233},
  [3877] = {.lex_state = 199},
  [3878] = {.lex_state = 199},
  [3879] = {.lex_state = 199},
  [3880] = {.lex_state = 234},
  [3881] = {.lex_state = 234},
  [3882] = {.lex_state = 234},
  [3883] = {.lex_state = 236},
  [3884] = {.lex_state = 234},
  [3885] = {.lex_state = 234},
  [3886] = {.lex_state = 199},
  [3887] = {.lex_state = 234},
  [3888] = {.lex_state = 234},
  [3889] = {.lex_state = 234},
  [3890] = {.lex_state = 199},
  [3891] = {.lex_state = 199},
  [3892] = {.lex_state = 236},
  [3893] = {.lex_state = 199},
  [3894] = {.lex_state = 236},
  [3895] = {.lex_state = 201},
  [3896] = {.lex_state = 199},
  [3897] = {.lex_state = 199},
  [3898] = {.lex_state = 224},
  [3899] = {.lex_state = 224},
  [3900] = {.lex_state = 199},
  [3901] = {.lex_state = 199},
  [3902] = {.lex_state = 199},
  [3903] = {.lex_state = 199},
  [3904] = {.lex_state = 199},
  [3905] = {.lex_state = 199},
  [3906] = {.lex_state = 199},
  [3907] = {.lex_state = 233},
  [3908] = {.lex_state = 199},
  [3909] = {.lex_state = 199},
  [3910] = {.lex_state = 199},
  [3911] = {.lex_state = 236},
  [3912] = {.lex_state = 199},
  [3913] = {.lex_state = 236},
  [3914] = {.lex_state = 199},
  [3915] = {.lex_state = 233},
  [3916] = {.lex_state = 199},
  [3917] = {.lex_state = 236},
  [3918] = {.lex_state = 199},
  [3919] = {.lex_state = 199},
  [3920] = {.lex_state = 220},
  [3921] = {.lex_state = 199},
  [3922] = {.lex_state = 199},
  [3923] = {.lex_state = 199},
  [3924] = {.lex_state = 199},
  [3925] = {.lex_state = 199},
  [3926] = {.lex_state = 199},
  [3927] = {.lex_state = 199},
  [3928] = {.lex_state = 237},
  [3929] = {.lex_state = 236},
  [3930] = {.lex_state = 199},
  [3931] = {.lex_state = 237},
  [3932] = {.lex_state = 199},
  [3933] = {.lex_state = 220},
  [3934] = {.lex_state = 201},
  [3935] = {.lex_state = 199},
  [3936] = {.lex_state = 199},
  [3937] = {.lex_state = 201},
  [3938] = {.lex_state = 201},
  [3939] = {.lex_state = 237},
  [3940] = {.lex_state = 236},
  [3941] = {.lex_state = 199},
  [3942] = {.lex_state = 237},
  [3943] = {.lex_state = 201},
  [3944] = {.lex_state = 234},
  [3945] = {.lex_state = 220},
  [3946] = {.lex_state = 199},
  [3947] = {.lex_state = 199},
  [3948] = {.lex_state = 199},
  [3949] = {.lex_state = 224},
  [3950] = {.lex_state = 239},
  [3951] = {.lex_state = 199},
  [3952] = {.lex_state = 199},
  [3953] = {.lex_state = 199},
  [3954] = {.lex_state = 234},
  [3955] = {.lex_state = 237},
  [3956] = {.lex_state = 233},
  [3957] = {.lex_state = 199},
  [3958] = {.lex_state = 236},
  [3959] = {.lex_state = 199},
  [3960] = {.lex_state = 201},
  [3961] = {.lex_state = 224},
  [3962] = {.lex_state = 220},
  [3963] = {.lex_state = 237},
  [3964] = {.lex_state = 234},
  [3965] = {.lex_state = 199},
  [3966] = {.lex_state = 220},
  [3967] = {.lex_state = 237},
  [3968] = {.lex_state = 199},
  [3969] = {.lex_state = 199},
  [3970] = {.lex_state = 233},
  [3971] = {.lex_state = 237},
  [3972] = {.lex_state = 220},
  [3973] = {.lex_state = 233},
  [3974] = {.lex_state = 220},
  [3975] = {.lex_state = 199},
  [3976] = {.lex_state = 234},
  [3977] = {.lex_state = 234},
  [3978] = {.lex_state = 234},
  [3979] = {.lex_state = 233},
  [3980] = {.lex_state = 233},
  [3981] = {.lex_state = 201},
  [3982] = {.lex_state = 239},
  [3983] = {.lex_state = 199},
  [3984] = {.lex_state = 233},
  [3985] = {.lex_state = 220},
  [3986] = {.lex_state = 199},
  [3987] = {.lex_state = 224},
  [3988] = {.lex_state = 236},
  [3989] = {.lex_state = 237},
  [3990] = {.lex_state = 220},
  [3991] = {.lex_state = 234},
  [3992] = {.lex_state = 199},
  [3993] = {.lex_state = 236},
  [3994] = {.lex_state = 236},
  [3995] = {.lex_state = 199},
  [3996] = {.lex_state = 199},
  [3997] = {.lex_state = 220},
  [3998] = {.lex_state = 201},
  [3999] = {.lex_state = 201},
  [4000] = {.lex_state = 199},
  [4001] = {.lex_state = 236},
  [4002] = {.lex_state = 233},
  [4003] = {.lex_state = 237},
  [4004] = {.lex_state = 237},
  [4005] = {.lex_state = 224},
  [4006] = {.lex_state = 239},
  [4007] = {.lex_state = 220},
  [4008] = {.lex_state = 236},
  [4009] = {.lex_state = 237},
  [4010] = {.lex_state = 237},
  [4011] = {.lex_state = 237},
  [4012] = {.lex_state = 233},
  [4013] = {.lex_state = 199},
  [4014] = {.lex_state = 220},
  [4015] = {.lex_state = 199},
  [4016] = {.lex_state = 237},
  [4017] = {.lex_state = 199},
  [4018] = {.lex_state = 199},
  [4019] = {.lex_state = 202},
  [4020] = {.lex_state = 236},
  [4021] = {.lex_state = 199},
  [4022] = {.lex_state = 202},
  [4023] = {.lex_state = 233},
  [4024] = {.lex_state = 199},
  [4025] = {.lex_state = 199},
  [4026] = {.lex_state = 220},
  [4027] = {.lex_state = 199},
  [4028] = {.lex_state = 199},
  [4029] = {.lex_state = 233},
  [4030] = {.lex_state = 237},
  [4031] = {.lex_state = 233},
  [4032] = {.lex_state = 220},
  [4033] = {.lex_state = 233},
  [4034] = {.lex_state = 233},
  [4035] = {.lex_state = 237},
  [4036] = {.lex_state = 220},
  [4037] = {.lex_state = 237},
  [4038] = {.lex_state = 237},
  [4039] = {.lex_state = 220},
  [4040] = {.lex_state = 233},
  [4041] = {.lex_state = 199},
  [4042] = {.lex_state = 199},
  [4043] = {.lex_state = 237},
  [4044] = {.lex_state = 199},
  [4045] = {.lex_state = 202},
  [4046] = {.lex_state = 236},
  [4047] = {.lex_state = 220},
  [4048] = {.lex_state = 237},
  [4049] = {.lex_state = 201},
  [4050] = {.lex_state = 237},
  [4051] = {.lex_state = 201},
  [4052] = {.lex_state = 237},
  [4053] = {.lex_state = 220},
  [4054] = {.lex_state = 202},
  [4055] = {.lex_state = 199},
  [4056] = {.lex_state = 233},
  [4057] = {.lex_state = 237},
  [4058] = {.lex_state = 237},
  [4059] = {.lex_state = 236},
  [4060] = {.lex_state = 236},
  [4061] = {.lex_state = 233},
  [4062] = {.lex_state = 199},
  [4063] = {.lex_state = 199},
  [4064] = {.lex_state = 199},
  [4065] = {.lex_state = 199},
  [4066] = {.lex_state = 199},
  [4067] = {.lex_state = 240},
  [4068] = {.lex_state = 201},
  [4069] = {.lex_state = 199},
  [4070] = {.lex_state = 233},
  [4071] = {.lex_state = 199},
  [4072] = {.lex_state = 199},
  [4073] = {.lex_state = 199},
  [4074] = {.lex_state = 199},
  [4075] = {.lex_state = 236},
  [4076] = {.lex_state = 199},
  [4077] = {.lex_state = 199},
  [4078] = {.lex_state = 233},
  [4079] = {.lex_state = 199},
  [4080] = {.lex_state = 233},
  [4081] = {.lex_state = 236},
  [4082] = {.lex_state = 237},
  [4083] = {.lex_state = 237},
  [4084] = {.lex_state = 233},
  [4085] = {.lex_state = 240},
  [4086] = {.lex_state = 236},
  [4087] = {.lex_state = 236},
  [4088] = {.lex_state = 199},
  [4089] = {.lex_state = 237},
  [4090] = {.lex_state = 199},
  [4091] = {.lex_state = 240},
  [4092] = {.lex_state = 220},
  [4093] = {.lex_state = 199},
  [4094] = {.lex_state = 199},
  [4095] = {.lex_state = 237},
  [4096] = {.lex_state = 199},
  [4097] = {.lex_state = 199},
  [4098] = {.lex_state = 201},
  [4099] = {.lex_state = 237},
  [4100] = {.lex_state = 237},
  [4101] = {.lex_state = 199},
  [4102] = {.lex_state = 224},
  [4103] = {.lex_state = 237},
  [4104] = {.lex_state = 224},
  [4105] = {.lex_state = 219},
  [4106] = {.lex_state = 224},
  [4107] = {.lex_state = 199},
  [4108] = {.lex_state = 224},
  [4109] = {.lex_state = 199},
  [4110] = {.lex_state = 199},
  [4111] = {.lex_state = 224},
  [4112] = {.lex_state = 224},
  [4113] = {.lex_state = 224},
  [4114] = {.lex_state = 224},
  [4115] = {.lex_state = 224},
  [4116] = {.lex_state = 224},
  [4117] = {.lex_state = 199},
  [4118] = {.lex_state = 199},
  [4119] = {.lex_state = 199},
  [4120] = {.lex_state = 199},
  [4121] = {.lex_state = 199},
  [4122] = {.lex_state = 224},
  [4123] = {.lex_state = 224},
  [4124] = {.lex_state = 224},
  [4125] = {.lex_state = 237},
  [4126] = {.lex_state = 237},
  [4127] = {.lex_state = 199},
  [4128] = {.lex_state = 199},
  [4129] = {.lex_state = 199},
  [4130] = {.lex_state = 224},
  [4131] = {.lex_state = 199},
  [4132] = {.lex_state = 199},
  [4133] = {.lex_state = 224},
  [4134] = {.lex_state = 220},
  [4135] = {.lex_state = 224},
  [4136] = {.lex_state = 199},
  [4137] = {.lex_state = 237},
  [4138] = {.lex_state = 237},
  [4139] = {.lex_state = 199},
  [4140] = {.lex_state = 199},
  [4141] = {.lex_state = 224},
  [4142] = {.lex_state = 199},
  [4143] = {.lex_state = 224},
  [4144] = {.lex_state = 237},
  [4145] = {.lex_state = 199},
  [4146] = {.lex_state = 199},
  [4147] = {.lex_state = 233},
  [4148] = {.lex_state = 199},
  [4149] = {.lex_state = 220},
  [4150] = {.lex_state = 224},
  [4151] = {.lex_state = 199},
  [4152] = {.lex_state = 224},
  [4153] = {.lex_state = 199},
  [4154] = {.lex_state = 224},
  [4155] = {.lex_state = 199},
  [4156] = {.lex_state = 220},
  [4157] = {.lex_state = 199},
  [4158] = {.lex_state = 199},
  [4159] = {.lex_state = 199},
  [4160] = {.lex_state = 224},
  [4161] = {.lex_state = 237},
  [4162] = {.lex_state = 199},
  [4163] = {.lex_state = 199},
  [4164] = {.lex_state = 199},
  [4165] = {.lex_state = 224},
  [4166] = {.lex_state = 220},
  [4167] = {.lex_state = 237},
  [4168] = {.lex_state = 237},
  [4169] = {.lex_state = 224},
  [4170] = {.lex_state = 199},
  [4171] = {.lex_state = 199},
  [4172] = {.lex_state = 199},
  [4173] = {.lex_state = 224},
  [4174] = {.lex_state = 199},
  [4175] = {.lex_state = 224},
  [4176] = {.lex_state = 199},
  [4177] = {.lex_state = 224},
  [4178] = {.lex_state = 199},
  [4179] = {.lex_state = 224},
  [4180] = {.lex_state = 199},
  [4181] = {.lex_state = 199},
  [4182] = {.lex_state = 224},
  [4183] = {.lex_state = 224},
  [4184] = {.lex_state = 224},
  [4185] = {.lex_state = 199},
  [4186] = {.lex_state = 199},
  [4187] = {.lex_state = 224},
  [4188] = {.lex_state = 199},
  [4189] = {.lex_state = 199},
  [4190] = {.lex_state = 224},
  [4191] = {.lex_state = 224},
  [4192] = {.lex_state = 224},
  [4193] = {.lex_state = 224},
  [4194] = {.lex_state = 199},
  [4195] = {.lex_state = 224},
  [4196] = {.lex_state = 199},
  [4197] = {.lex_state = 199},
  [4198] = {.lex_state = 237},
  [4199] = {.lex_state = 224},
  [4200] = {.lex_state = 233},
  [4201] = {.lex_state = 199},
  [4202] = {.lex_state = 199},
  [4203] = {.lex_state = 199},
  [4204] = {.lex_state = 199},
  [4205] = {.lex_state = 199},
  [4206] = {.lex_state = 199},
  [4207] = {.lex_state = 199},
  [4208] = {.lex_state = 199},
  [4209] = {.lex_state = 233},
  [4210] = {.lex_state = 199},
  [4211] = {.lex_state = 199},
  [4212] = {.lex_state = 199},
  [4213] = {.lex_state = 233},
  [4214] = {.lex_state = 223},
  [4215] = {.lex_state = 199},
  [4216] = {.lex_state = 199},
  [4217] = {.lex_state = 199},
  [4218] = {.lex_state = 199},
  [4219] = {.lex_state = 199},
  [4220] = {.lex_state = 199},
  [4221] = {.lex_state = 199},
  [4222] = {.lex_state = 199},
  [4223] = {.lex_state = 199},
  [4224] = {.lex_state = 199},
  [4225] = {.lex_state = 199},
  [4226] = {.lex_state = 199},
  [4227] = {.lex_state = 233},
  [4228] = {.lex_state = 199},
  [4229] = {.lex_state = 199},
  [4230] = {.lex_state = 199},
  [4231] = {.lex_state = 201},
  [4232] = {.lex_state = 199},
  [4233] = {.lex_state = 199},
  [4234] = {.lex_state = 199},
  [4235] = {.lex_state = 201},
  [4236] = {.lex_state = 201},
  [4237] = {.lex_state = 201},
  [4238] = {.lex_state = 201},
  [4239] = {.lex_state = 201},
  [4240] = {.lex_state = 201},
  [4241] = {.lex_state = 201},
  [4242] = {.lex_state = 201},
  [4243] = {.lex_state = 201},
  [4244] = {.lex_state = 201},
  [4245] = {.lex_state = 201},
  [4246] = {.lex_state = 201},
  [4247] = {.lex_state = 224},
  [4248] = {.lex_state = 201},
  [4249] = {.lex_state = 201},
  [4250] = {.lex_state = 201},
  [4251] = {.lex_state = 201},
  [4252] = {.lex_state = 201},
  [4253] = {.lex_state = 199},
  [4254] = {.lex_state = 237},
  [4255] = {.lex_state = 233},
  [4256] = {.lex_state = 201},
  [4257] = {.lex_state = 224},
  [4258] = {.lex_state = 201},
  [4259] = {.lex_state = 199},
  [4260] = {.lex_state = 199},
  [4261] = {.lex_state = 199},
  [4262] = {.lex_state = 201},
  [4263] = {.lex_state = 233},
  [4264] = {.lex_state = 199},
  [4265] = {.lex_state = 224},
  [4266] = {.lex_state = 199},
  [4267] = {.lex_state = 199},
  [4268] = {.lex_state = 233},
  [4269] = {.lex_state = 233},
  [4270] = {.lex_state = 233},
  [4271] = {.lex_state = 199},
  [4272] = {.lex_state = 201},
  [4273] = {.lex_state = 220},
  [4274] = {.lex_state = 199},
  [4275] = {.lex_state = 201},
  [4276] = {.lex_state = 199},
  [4277] = {.lex_state = 199},
  [4278] = {.lex_state = 201},
  [4279] = {.lex_state = 199},
  [4280] = {.lex_state = 199},
  [4281] = {.lex_state = 199},
  [4282] = {.lex_state = 233},
  [4283] = {.lex_state = 224},
  [4284] = {.lex_state = 201},
  [4285] = {.lex_state = 224},
  [4286] = {.lex_state = 201},
  [4287] = {.lex_state = 233},
  [4288] = {.lex_state = 201},
  [4289] = {.lex_state = 201},
  [4290] = {.lex_state = 201},
  [4291] = {.lex_state = 237},
  [4292] = {.lex_state = 199},
  [4293] = {.lex_state = 233},
  [4294] = {.lex_state = 199},
  [4295] = {.lex_state = 201},
  [4296] = {.lex_state = 224},
  [4297] = {.lex_state = 199},
  [4298] = {.lex_state = 233},
  [4299] = {.lex_state = 199},
  [4300] = {.lex_state = 233},
  [4301] = {.lex_state = 201},
  [4302] = {.lex_state = 201},
  [4303] = {.lex_state = 224},
  [4304] = {.lex_state = 201},
  [4305] = {.lex_state = 224},
  [4306] = {.lex_state = 199},
  [4307] = {.lex_state = 201},
  [4308] = {.lex_state = 199},
  [4309] = {.lex_state = 224},
  [4310] = {.lex_state = 238},
  [4311] = {.lex_state = 199},
  [4312] = {.lex_state = 199},
  [4313] = {.lex_state = 233},
  [4314] = {.lex_state = 202},
  [4315] = {.lex_state = 199},
  [4316] = {.lex_state = 233},
  [4317] = {.lex_state = 199},
  [4318] = {.lex_state = 201},
  [4319] = {.lex_state = 201},
  [4320] = {.lex_state = 233},
  [4321] = {.lex_state = 224},
  [4322] = {.lex_state = 199},
  [4323] = {.lex_state = 199},
  [4324] = {.lex_state = 199},
  [4325] = {.lex_state = 224},
  [4326] = {.lex_state = 199},
  [4327] = {.lex_state = 199},
  [4328] = {.lex_state = 224},
  [4329] = {.lex_state = 224},
  [4330] = {.lex_state = 224},
  [4331] = {.lex_state = 224},
  [4332] = {.lex_state = 224},
  [4333] = {.lex_state = 224},
  [4334] = {.lex_state = 224},
  [4335] = {.lex_state = 224},
  [4336] = {.lex_state = 224},
  [4337] = {.lex_state = 233},
  [4338] = {.lex_state = 224},
  [4339] = {.lex_state = 199},
  [4340] = {.lex_state = 224},
  [4341] = {.lex_state = 224},
  [4342] = {.lex_state = 224},
  [4343] = {.lex_state = 233},
  [4344] = {.lex_state = 224},
  [4345] = {.lex_state = 233},
  [4346] = {.lex_state = 224},
  [4347] = {.lex_state = 201},
  [4348] = {.lex_state = 199},
  [4349] = {.lex_state = 199},
  [4350] = {.lex_state = 234},
  [4351] = {.lex_state = 224},
  [4352] = {.lex_state = 201},
  [4353] = {.lex_state = 199},
  [4354] = {.lex_state = 201},
  [4355] = {.lex_state = 202},
  [4356] = {.lex_state = 199},
  [4357] = {.lex_state = 201},
  [4358] = {.lex_state = 237},
  [4359] = {.lex_state = 199},
  [4360] = {.lex_state = 199},
  [4361] = {.lex_state = 199},
  [4362] = {.lex_state = 233},
  [4363] = {.lex_state = 199},
  [4364] = {.lex_state = 199},
  [4365] = {.lex_state = 233},
  [4366] = {.lex_state = 199},
  [4367] = {.lex_state = 233},
  [4368] = {.lex_state = 233},
  [4369] = {.lex_state = 224},
  [4370] = {.lex_state = 199},
  [4371] = {.lex_state = 224},
  [4372] = {.lex_state = 233},
  [4373] = {.lex_state = 234},
  [4374] = {.lex_state = 233},
  [4375] = {.lex_state = 199},
  [4376] = {.lex_state = 238},
  [4377] = {.lex_state = 238},
  [4378] = {.lex_state = 236},
  [4379] = {.lex_state = 238},
  [4380] = {.lex_state = 233},
  [4381] = {.lex_state = 234},
  [4382] = {.lex_state = 199},
  [4383] = {.lex_state = 234},
  [4384] = {.lex_state = 234},
  [4385] = {.lex_state = 199},
  [4386] = {.lex_state = 224},
  [4387] = {.lex_state = 237},
  [4388] = {.lex_state = 233},
  [4389] = {.lex_state = 199},
  [4390] = {.lex_state = 199},
  [4391] = {.lex_state = 201},
  [4392] = {.lex_state = 199},
  [4393] = {.lex_state = 199},
  [4394] = {.lex_state = 199},
  [4395] = {.lex_state = 199},
  [4396] = {.lex_state = 199},
  [4397] = {.lex_state = 199},
  [4398] = {.lex_state = 233},
  [4399] = {.lex_state = 199},
  [4400] = {.lex_state = 199},
  [4401] = {.lex_state = 199},
  [4402] = {.lex_state = 199},
  [4403] = {.lex_state = 199},
  [4404] = {.lex_state = 199},
  [4405] = {.lex_state = 199},
  [4406] = {.lex_state = 199},
  [4407] = {.lex_state = 199},
  [4408] = {.lex_state = 199},
  [4409] = {.lex_state = 199},
  [4410] = {.lex_state = 199},
  [4411] = {.lex_state = 199},
  [4412] = {.lex_state = 234},
  [4413] = {.lex_state = 199},
  [4414] = {.lex_state = 199},
  [4415] = {.lex_state = 199},
  [4416] = {.lex_state = 234},
  [4417] = {.lex_state = 199},
  [4418] = {.lex_state = 199},
  [4419] = {.lex_state = 237},
  [4420] = {.lex_state = 199},
  [4421] = {.lex_state = 234},
  [4422] = {.lex_state = 233},
  [4423] = {.lex_state = 199},
  [4424] = {.lex_state = 201},
  [4425] = {.lex_state = 199},
  [4426] = {.lex_state = 199},
  [4427] = {.lex_state = 199},
  [4428] = {.lex_state = 199},
  [4429] = {.lex_state = 199},
  [4430] = {.lex_state = 199},
  [4431] = {.lex_state = 199},
  [4432] = {.lex_state = 199},
  [4433] = {.lex_state = 233},
  [4434] = {.lex_state = 199},
  [4435] = {.lex_state = 199},
  [4436] = {.lex_state = 199},
  [4437] = {.lex_state = 199},
  [4438] = {.lex_state = 237},
  [4439] = {.lex_state = 237},
  [4440] = {.lex_state = 199},
  [4441] = {.lex_state = 237},
  [4442] = {.lex_state = 199},
  [4443] = {.lex_state = 201},
  [4444] = {.lex_state = 199},
  [4445] = {.lex_state = 237},
  [4446] = {.lex_state = 199},
  [4447] = {.lex_state = 199},
  [4448] = {.lex_state = 199},
  [4449] = {.lex_state = 237},
  [4450] = {.lex_state = 237},
  [4451] = {.lex_state = 237},
  [4452] = {.lex_state = 226},
  [4453] = {.lex_state = 199},
  [4454] = {.lex_state = 199},
  [4455] = {.lex_state = 199},
  [4456] = {.lex_state = 199},
  [4457] = {.lex_state = 199},
  [4458] = {.lex_state = 199},
  [4459] = {.lex_state = 199},
  [4460] = {.lex_state = 199},
  [4461] = {.lex_state = 199},
  [4462] = {.lex_state = 234},
  [4463] = {.lex_state = 199},
  [4464] = {.lex_state = 237},
  [4465] = {.lex_state = 201},
  [4466] = {.lex_state = 199},
  [4467] = {.lex_state = 199},
  [4468] = {.lex_state = 199},
  [4469] = {.lex_state = 199},
  [4470] = {.lex_state = 237},
  [4471] = {.lex_state = 237},
  [4472] = {.lex_state = 237},
  [4473] = {.lex_state = 199},
  [4474] = {.lex_state = 199},
  [4475] = {.lex_state = 199},
  [4476] = {.lex_state = 199},
  [4477] = {.lex_state = 199},
  [4478] = {.lex_state = 199},
  [4479] = {.lex_state = 199},
  [4480] = {.lex_state = 237},
  [4481] = {.lex_state = 199},
  [4482] = {.lex_state = 237},
  [4483] = {.lex_state = 199},
  [4484] = {.lex_state = 199},
  [4485] = {.lex_state = 199},
  [4486] = {.lex_state = 199},
  [4487] = {.lex_state = 199},
  [4488] = {.lex_state = 199},
  [4489] = {.lex_state = 234},
  [4490] = {.lex_state = 199},
  [4491] = {.lex_state = 199},
  [4492] = {.lex_state = 199},
  [4493] = {.lex_state = 199},
  [4494] = {.lex_state = 199},
  [4495] = {.lex_state = 199},
  [4496] = {.lex_state = 199},
  [4497] = {.lex_state = 199},
  [4498] = {.lex_state = 234},
  [4499] = {.lex_state = 199},
  [4500] = {.lex_state = 199},
  [4501] = {.lex_state = 234},
  [4502] = {.lex_state = 199},
  [4503] = {.lex_state = 234},
  [4504] = {.lex_state = 199},
  [4505] = {.lex_state = 234},
  [4506] = {.lex_state = 234},
  [4507] = {.lex_state = 234},
  [4508] = {.lex_state = 234},
  [4509] = {.lex_state = 199},
  [4510] = {.lex_state = 233},
  [4511] = {.lex_state = 233},
  [4512] = {.lex_state = 233},
  [4513] = {.lex_state = 199},
  [4514] = {.lex_state = 234},
  [4515] = {.lex_state = 234},
  [4516] = {.lex_state = 234},
  [4517] = {.lex_state = 234},
  [4518] = {.lex_state = 234},
  [4519] = {.lex_state = 199},
  [4520] = {.lex_state = 199},
  [4521] = {.lex_state = 199},
  [4522] = {.lex_state = 199},
  [4523] = {.lex_state = 199},
  [4524] = {.lex_state = 226},
  [4525] = {.lex_state = 199},
  [4526] = {.lex_state = 199},
  [4527] = {.lex_state = 200},
  [4528] = {.lex_state = 199},
  [4529] = {.lex_state = 199},
  [4530] = {.lex_state = 201},
  [4531] = {.lex_state = 236},
  [4532] = {.lex_state = 199},
  [4533] = {.lex_state = 199},
  [4534] = {.lex_state = 199},
  [4535] = {.lex_state = 199},
  [4536] = {.lex_state = 199},
  [4537] = {.lex_state = 199},
  [4538] = {.lex_state = 233},
  [4539] = {.lex_state = 237},
  [4540] = {.lex_state = 224},
  [4541] = {.lex_state = 237},
  [4542] = {.lex_state = 237},
  [4543] = {.lex_state = 199},
  [4544] = {.lex_state = 224},
  [4545] = {.lex_state = 237},
  [4546] = {.lex_state = 237},
  [4547] = {.lex_state = 224},
  [4548] = {.lex_state = 237},
  [4549] = {.lex_state = 237},
  [4550] = {.lex_state = 224},
  [4551] = {.lex_state = 237},
  [4552] = {.lex_state = 224},
  [4553] = {.lex_state = 224},
  [4554] = {.lex_state = 237},
  [4555] = {.lex_state = 237},
  [4556] = {.lex_state = 237},
  [4557] = {.lex_state = 224},
  [4558] = {.lex_state = 234},
  [4559] = {.lex_state = 237},
  [4560] = {.lex_state = 237},
  [4561] = {.lex_state = 237},
  [4562] = {.lex_state = 237},
  [4563] = {.lex_state = 237},
  [4564] = {.lex_state = 237},
  [4565] = {.lex_state = 237},
  [4566] = {.lex_state = 237},
  [4567] = {.lex_state = 224},
  [4568] = {.lex_state = 224},
  [4569] = {.lex_state = 224},
  [4570] = {.lex_state = 220},
  [4571] = {.lex_state = 237},
  [4572] = {.lex_state = 237},
  [4573] = {.lex_state = 237},
  [4574] = {.lex_state = 224},
  [4575] = {.lex_state = 237},
  [4576] = {.lex_state = 237},
  [4577] = {.lex_state = 237},
  [4578] = {.lex_state = 224},
  [4579] = {.lex_state = 224},
  [4580] = {.lex_state = 224},
  [4581] = {.lex_state = 224},
  [4582] = {.lex_state = 237},
  [4583] = {.lex_state = 237},
  [4584] = {.lex_state = 237},
  [4585] = {.lex_state = 237},
  [4586] = {.lex_state = 237},
  [4587] = {.lex_state = 224},
  [4588] = {.lex_state = 224},
  [4589] = {.lex_state = 237},
  [4590] = {.lex_state = 224},
  [4591] = {.lex_state = 224},
  [4592] = {.lex_state = 224},
  [4593] = {.lex_state = 237},
  [4594] = {.lex_state = 237},
  [4595] = {.lex_state = 234},
  [4596] = {.lex_state = 237},
  [4597] = {.lex_state = 224},
  [4598] = {.lex_state = 237},
  [4599] = {.lex_state = 224},
  [4600] = {.lex_state = 237},
  [4601] = {.lex_state = 224},
  [4602] = {.lex_state = 237},
  [4603] = {.lex_state = 224},
  [4604] = {.lex_state = 224},
  [4605] = {.lex_state = 224},
  [4606] = {.lex_state = 237},
  [4607] = {.lex_state = 237},
  [4608] = {.lex_state = 233},
  [4609] = {.lex_state = 224},
  [4610] = {.lex_state = 199},
  [4611] = {.lex_state = 224},
  [4612] = {.lex_state = 237},
  [4613] = {.lex_state = 199},
  [4614] = {.lex_state = 224},
  [4615] = {.lex_state = 199},
  [4616] = {.lex_state = 199},
  [4617] = {.lex_state = 202},
  [4618] = {.lex_state = 224},
  [4619] = {.lex_state = 199},
  [4620] = {.lex_state = 199},
  [4621] = {.lex_state = 224},
  [4622] = {.lex_state = 224},
  [4623] = {.lex_state = 199},
  [4624] = {.lex_state = 199},
  [4625] = {.lex_state = 224},
  [4626] = {.lex_state = 224},
  [4627] = {.lex_state = 224},
  [4628] = {.lex_state = 237},
  [4629] = {.lex_state = 237},
  [4630] = {.lex_state = 237},
  [4631] = {.lex_state = 237},
  [4632] = {.lex_state = 224},
  [4633] = {.lex_state = 224},
  [4634] = {.lex_state = 224},
  [4635] = {.lex_state = 224},
  [4636] = {.lex_state = 201},
  [4637] = {.lex_state = 233},
  [4638] = {.lex_state = 201},
  [4639] = {.lex_state = 201},
  [4640] = {.lex_state = 201},
  [4641] = {.lex_state = 237},
  [4642] = {.lex_state = 220},
  [4643] = {.lex_state = 201},
  [4644] = {.lex_state = 220},
  [4645] = {.lex_state = 237},
  [4646] = {.lex_state = 236},
  [4647] = {.lex_state = 237},
  [4648] = {.lex_state = 220},
  [4649] = {.lex_state = 236},
  [4650] = {.lex_state = 236},
  [4651] = {.lex_state = 233},
  [4652] = {.lex_state = 237},
  [4653] = {.lex_state = 236},
  [4654] = {.lex_state = 201},
  [4655] = {.lex_state = 220},
  [4656] = {.lex_state = 199},
  [4657] = {.lex_state = 233},
  [4658] = {.lex_state = 233},
  [4659] = {.lex_state = 220},
  [4660] = {.lex_state = 220},
  [4661] = {.lex_state = 236},
  [4662] = {.lex_state = 220},
  [4663] = {.lex_state = 233},
  [4664] = {.lex_state = 233},
  [4665] = {.lex_state = 201},
  [4666] = {.lex_state = 233},
  [4667] = {.lex_state = 236},
  [4668] = {.lex_state = 233},
  [4669] = {.lex_state = 234},
  [4670] = {.lex_state = 199},
  [4671] = {.lex_state = 233},
  [4672] = {.lex_state = 233},
  [4673] = {.lex_state = 233},
  [4674] = {.lex_state = 233},
  [4675] = {.lex_state = 200},
  [4676] = {.lex_state = 233},
  [4677] = {.lex_state = 233},
  [4678] = {.lex_state = 233},
  [4679] = {.lex_state = 224},
  [4680] = {.lex_state = 199},
  [4681] = {.lex_state = 236},
  [4682] = {.lex_state = 233},
  [4683] = {.lex_state = 201},
  [4684] = {.lex_state = 234},
  [4685] = {.lex_state = 224},
  [4686] = {.lex_state = 233},
  [4687] = {.lex_state = 200},
  [4688] = {.lex_state = 220},
  [4689] = {.lex_state = 220},
  [4690] = {.lex_state = 233},
  [4691] = {.lex_state = 199},
  [4692] = {.lex_state = 236},
  [4693] = {.lex_state = 233},
  [4694] = {.lex_state = 233},
  [4695] = {.lex_state = 199},
  [4696] = {.lex_state = 220},
  [4697] = {.lex_state = 236},
  [4698] = {.lex_state = 236},
  [4699] = {.lex_state = 233},
  [4700] = {.lex_state = 233},
  [4701] = {.lex_state = 233},
  [4702] = {.lex_state = 236},
  [4703] = {.lex_state = 233},
  [4704] = {.lex_state = 233},
  [4705] = {.lex_state = 237},
  [4706] = {.lex_state = 233},
  [4707] = {.lex_state = 233},
  [4708] = {.lex_state = 233},
  [4709] = {.lex_state = 237},
  [4710] = {.lex_state = 233},
  [4711] = {.lex_state = 237},
  [4712] = {.lex_state = 233},
  [4713] = {.lex_state = 233},
  [4714] = {.lex_state = 233},
  [4715] = {.lex_state = 237},
  [4716] = {.lex_state = 236},
  [4717] = {.lex_state = 201},
  [4718] = {.lex_state = 234},
  [4719] = {.lex_state = 201},
  [4720] = {.lex_state = 233},
  [4721] = {.lex_state = 236},
  [4722] = {.lex_state = 233},
  [4723] = {.lex_state = 233},
  [4724] = {.lex_state = 236},
  [4725] = {.lex_state = 237},
  [4726] = {.lex_state = 233},
  [4727] = {.lex_state = 237},
  [4728] = {.lex_state = 237},
  [4729] = {.lex_state = 237},
  [4730] = {.lex_state = 236},
  [4731] = {.lex_state = 233},
  [4732] = {.lex_state = 236},
  [4733] = {.lex_state = 234},
  [4734] = {.lex_state = 234},
  [4735] = {.lex_state = 233},
  [4736] = {.lex_state = 201},
  [4737] = {.lex_state = 233},
  [4738] = {.lex_state = 201},
  [4739] = {.lex_state = 233},
  [4740] = {.lex_state = 234},
  [4741] = {.lex_state = 233},
  [4742] = {.lex_state = 237},
  [4743] = {.lex_state = 233},
  [4744] = {.lex_state = 234},
  [4745] = {.lex_state = 234},
  [4746] = {.lex_state = 236},
  [4747] = {.lex_state = 237},
  [4748] = {.lex_state = 234},
  [4749] = {.lex_state = 234},
  [4750] = {.lex_state = 234},
  [4751] = {.lex_state = 236},
  [4752] = {.lex_state = 233},
  [4753] = {.lex_state = 234},
  [4754] = {.lex_state = 233},
  [4755] = {.lex_state = 237},
  [4756] = {.lex_state = 233},
  [4757] = {.lex_state = 233},
  [4758] = {.lex_state = 234},
  [4759] = {.lex_state = 237},
  [4760] = {.lex_state = 234},
  [4761] = {.lex_state = 234},
  [4762] = {.lex_state = 233},
  [4763] = {.lex_state = 233},
  [4764] = {.lex_state = 233},
  [4765] = {.lex_state = 234},
  [4766] = {.lex_state = 234},
  [4767] = {.lex_state = 234},
  [4768] = {.lex_state = 233},
  [4769] = {.lex_state = 234},
  [4770] = {.lex_state = 233},
  [4771] = {.lex_state = 237},
  [4772] = {.lex_state = 234},
  [4773] = {.lex_state = 233},
  [4774] = {.lex_state = 234},
  [4775] = {.lex_state = 233},
  [4776] = {.lex_state = 201},
  [4777] = {.lex_state = 233},
  [4778] = {.lex_state = 233},
  [4779] = {.lex_state = 233},
  [4780] = {.lex_state = 233},
  [4781] = {.lex_state = 234},
  [4782] = {.lex_state = 236},
  [4783] = {.lex_state = 234},
  [4784] = {.lex_state = 233},
  [4785] = {.lex_state = 234},
  [4786] = {.lex_state = 233},
  [4787] = {.lex_state = 233},
  [4788] = {.lex_state = 233},
  [4789] = {.lex_state = 233},
  [4790] = {.lex_state = 237},
  [4791] = {.lex_state = 236},
  [4792] = {.lex_state = 233},
  [4793] = {.lex_state = 234},
  [4794] = {.lex_state = 233},
  [4795] = {.lex_state = 233},
  [4796] = {.lex_state = 191},
  [4797] = {.lex_state = 234},
  [4798] = {.lex_state = 234},
  [4799] = {.lex_state = 191},
  [4800] = {.lex_state = 234},
  [4801] = {.lex_state = 191},
  [4802] = {.lex_state = 234},
  [4803] = {.lex_state = 234},
  [4804] = {.lex_state = 237},
  [4805] = {.lex_state = 199},
  [4806] = {.lex_state = 191},
  [4807] = {.lex_state = 191},
  [4808] = {.lex_state = 191},
  [4809] = {.lex_state = 237},
  [4810] = {.lex_state = 234},
  [4811] = {.lex_state = 234},
  [4812] = {.lex_state = 191},
  [4813] = {.lex_state = 191},
  [4814] = {.lex_state = 237},
  [4815] = {.lex_state = 234},
  [4816] = {.lex_state = 199},
  [4817] = {.lex_state = 234},
  [4818] = {.lex_state = 237},
  [4819] = {.lex_state = 191},
  [4820] = {.lex_state = 191},
  [4821] = {.lex_state = 191},
  [4822] = {.lex_state = 191},
  [4823] = {.lex_state = 234},
  [4824] = {.lex_state = 234},
  [4825] = {.lex_state = 234},
  [4826] = {.lex_state = 199},
  [4827] = {.lex_state = 234},
  [4828] = {.lex_state = 234},
  [4829] = {.lex_state = 191},
  [4830] = {.lex_state = 191},
  [4831] = {.lex_state = 191},
  [4832] = {.lex_state = 191},
  [4833] = {.lex_state = 234},
  [4834] = {.lex_state = 234},
  [4835] = {.lex_state = 234},
  [4836] = {.lex_state = 191},
  [4837] = {.lex_state = 191},
  [4838] = {.lex_state = 191},
  [4839] = {.lex_state = 191},
  [4840] = {.lex_state = 191},
  [4841] = {.lex_state = 191},
  [4842] = {.lex_state = 234},
  [4843] = {.lex_state = 234},
  [4844] = {.lex_state = 234},
  [4845] = {.lex_state = 234},
  [4846] = {.lex_state = 191},
  [4847] = {.lex_state = 191},
  [4848] = {.lex_state = 191},
  [4849] = {.lex_state = 191},
  [4850] = {.lex_state = 191},
  [4851] = {.lex_state = 191},
  [4852] = {.lex_state = 234},
  [4853] = {.lex_state = 191},
  [4854] = {.lex_state = 191},
  [4855] = {.lex_state = 191},
  [4856] = {.lex_state = 191},
  [4857] = {.lex_state = 191},
  [4858] = {.lex_state = 191},
  [4859] = {.lex_state = 191},
  [4860] = {.lex_state = 191},
  [4861] = {.lex_state = 191},
  [4862] = {.lex_state = 191},
  [4863] = {.lex_state = 191},
  [4864] = {.lex_state = 191},
  [4865] = {.lex_state = 191},
  [4866] = {.lex_state = 191},
  [4867] = {.lex_state = 191},
  [4868] = {.lex_state = 191},
  [4869] = {.lex_state = 191},
  [4870] = {.lex_state = 191},
  [4871] = {.lex_state = 191},
  [4872] = {.lex_state = 191},
  [4873] = {.lex_state = 191},
  [4874] = {.lex_state = 191},
  [4875] = {.lex_state = 191},
  [4876] = {.lex_state = 191},
  [4877] = {.lex_state = 234},
  [4878] = {.lex_state = 234},
  [4879] = {.lex_state = 234},
  [4880] = {.lex_state = 191},
  [4881] = {.lex_state = 191},
  [4882] = {.lex_state = 191},
  [4883] = {.lex_state = 234},
  [4884] = {.lex_state = 191},
  [4885] = {.lex_state = 191},
  [4886] = {.lex_state = 191},
  [4887] = {.lex_state = 234},
  [4888] = {.lex_state = 191},
  [4889] = {.lex_state = 191},
  [4890] = {.lex_state = 191},
  [4891] = {.lex_state = 234},
  [4892] = {.lex_state = 234},
  [4893] = {.lex_state = 199},
  [4894] = {.lex_state = 236},
  [4895] = {.lex_state = 236},
  [4896] = {.lex_state = 234},
  [4897] = {.lex_state = 191},
  [4898] = {.lex_state = 199},
  [4899] = {.lex_state = 236},
  [4900] = {.lex_state = 236},
  [4901] = {.lex_state = 234},
  [4902] = {.lex_state = 234},
  [4903] = {.lex_state = 191},
  [4904] = {.lex_state = 191},
  [4905] = {.lex_state = 191},
  [4906] = {.lex_state = 191},
  [4907] = {.lex_state = 191},
  [4908] = {.lex_state = 191},
  [4909] = {.lex_state = 191},
  [4910] = {.lex_state = 191},
  [4911] = {.lex_state = 234},
  [4912] = {.lex_state = 199},
  [4913] = {.lex_state = 191},
  [4914] = {.lex_state = 191},
  [4915] = {.lex_state = 191},
  [4916] = {.lex_state = 191},
  [4917] = {.lex_state = 191},
  [4918] = {.lex_state = 191},
  [4919] = {.lex_state = 234},
  [4920] = {.lex_state = 191},
  [4921] = {.lex_state = 191},
  [4922] = {.lex_state = 191},
  [4923] = {.lex_state = 191},
  [4924] = {.lex_state = 191},
  [4925] = {.lex_state = 191},
  [4926] = {.lex_state = 234},
  [4927] = {.lex_state = 191},
  [4928] = {.lex_state = 199},
  [4929] = {.lex_state = 191},
  [4930] = {.lex_state = 191},
  [4931] = {.lex_state = 191},
  [4932] = {.lex_state = 234},
  [4933] = {.lex_state = 234},
  [4934] = {.lex_state = 191},
  [4935] = {.lex_state = 191},
  [4936] = {.lex_state = 234},
  [4937] = {.lex_state = 191},
  [4938] = {.lex_state = 191},
  [4939] = {.lex_state = 191},
  [4940] = {.lex_state = 234},
  [4941] = {.lex_state = 191},
  [4942] = {.lex_state = 191},
  [4943] = {.lex_state = 191},
  [4944] = {.lex_state = 191},
  [4945] = {.lex_state = 191},
  [4946] = {.lex_state = 191},
  [4947] = {.lex_state = 234},
  [4948] = {.lex_state = 234},
  [4949] = {.lex_state = 234},
  [4950] = {.lex_state = 234},
  [4951] = {.lex_state = 234},
  [4952] = {.lex_state = 234},
  [4953] = {.lex_state = 234},
  [4954] = {.lex_state = 234},
  [4955] = {.lex_state = 234},
  [4956] = {.lex_state = 234},
  [4957] = {.lex_state = 234},
  [4958] = {.lex_state = 234},
  [4959] = {.lex_state = 234},
  [4960] = {.lex_state = 191},
  [4961] = {.lex_state = 191},
  [4962] = {.lex_state = 191},
  [4963] = {.lex_state = 191},
  [4964] = {.lex_state = 234},
  [4965] = {.lex_state = 234},
  [4966] = {.lex_state = 234},
  [4967] = {.lex_state = 191},
  [4968] = {.lex_state = 191},
  [4969] = {.lex_state = 191},
  [4970] = {.lex_state = 234},
  [4971] = {.lex_state = 234},
  [4972] = {.lex_state = 234},
  [4973] = {.lex_state = 234},
  [4974] = {.lex_state = 199},
  [4975] = {.lex_state = 199},
  [4976] = {.lex_state = 234},
  [4977] = {.lex_state = 199},
  [4978] = {.lex_state = 191},
  [4979] = {.lex_state = 199},
  [4980] = {.lex_state = 191},
  [4981] = {.lex_state = 199},
  [4982] = {.lex_state = 199},
  [4983] = {.lex_state = 191},
  [4984] = {.lex_state = 199},
  [4985] = {.lex_state = 199},
  [4986] = {.lex_state = 199},
  [4987] = {.lex_state = 191},
  [4988] = {.lex_state = 236},
  [4989] = {.lex_state = 191},
  [4990] = {.lex_state = 236},
  [4991] = {.lex_state = 191},
  [4992] = {.lex_state = 199},
  [4993] = {.lex_state = 236},
  [4994] = {.lex_state = 236},
  [4995] = {.lex_state = 199},
  [4996] = {.lex_state = 199},
  [4997] = {.lex_state = 199},
  [4998] = {.lex_state = 199},
  [4999] = {.lex_state = 191},
  [5000] = {.lex_state = 199},
  [5001] = {.lex_state = 199},
  [5002] = {.lex_state = 234},
  [5003] = {.lex_state = 191},
  [5004] = {.lex_state = 191},
  [5005] = {.lex_state = 191},
  [5006] = {.lex_state = 199},
  [5007] = {.lex_state = 199},
  [5008] = {.lex_state = 199},
  [5009] = {.lex_state = 191},
  [5010] = {.lex_state = 191},
  [5011] = {.lex_state = 236},
  [5012] = {.lex_state = 199},
  [5013] = {.lex_state = 191},
  [5014] = {.lex_state = 191},
  [5015] = {.lex_state = 191},
  [5016] = {.lex_state = 199},
  [5017] = {.lex_state = 236},
  [5018] = {.lex_state = 199},
  [5019] = {.lex_state = 234},
  [5020] = {.lex_state = 199},
  [5021] = {.lex_state = 199},
  [5022] = {.lex_state = 199},
  [5023] = {.lex_state = 199},
  [5024] = {.lex_state = 191},
  [5025] = {.lex_state = 191},
  [5026] = {.lex_state = 199},
  [5027] = {.lex_state = 191},
  [5028] = {.lex_state = 236},
  [5029] = {.lex_state = 199},
  [5030] = {.lex_state = 234},
  [5031] = {.lex_state = 201},
  [5032] = {.lex_state = 199},
  [5033] = {.lex_state = 201},
  [5034] = {.lex_state = 199},
  [5035] = {.lex_state = 237},
  [5036] = {.lex_state = 193},
  [5037] = {.lex_state = 193},
  [5038] = {.lex_state = 237},
  [5039] = {.lex_state = 237},
  [5040] = {.lex_state = 237},
  [5041] = {.lex_state = 193},
  [5042] = {.lex_state = 237},
  [5043] = {.lex_state = 193},
  [5044] = {.lex_state = 193},
  [5045] = {.lex_state = 233},
  [5046] = {.lex_state = 193},
  [5047] = {.lex_state = 193},
  [5048] = {.lex_state = 193},
  [5049] = {.lex_state = 237},
  [5050] = {.lex_state = 237},
  [5051] = {.lex_state = 237},
  [5052] = {.lex_state = 236},
  [5053] = {.lex_state = 236},
  [5054] = {.lex_state = 236},
  [5055] = {.lex_state = 236},
  [5056] = {.lex_state = 236},
  [5057] = {.lex_state = 236},
  [5058] = {.lex_state = 233},
  [5059] = {.lex_state = 237},
  [5060] = {.lex_state = 237},
  [5061] = {.lex_state = 237},
  [5062] = {.lex_state = 237},
  [5063] = {.lex_state = 236},
  [5064] = {.lex_state = 236},
  [5065] = {.lex_state = 236},
  [5066] = {.lex_state = 237},
  [5067] = {.lex_state = 237},
  [5068] = {.lex_state = 237},
  [5069] = {.lex_state = 237},
  [5070] = {.lex_state = 201},
  [5071] = {.lex_state = 236},
  [5072] = {.lex_state = 236},
  [5073] = {.lex_state = 236},
  [5074] = {.lex_state = 237},
  [5075] = {.lex_state = 237},
  [5076] = {.lex_state = 234},
  [5077] = {.lex_state = 191},
  [5078] = {.lex_state = 191},
  [5079] = {.lex_state = 191},
  [5080] = {.lex_state = 191},
  [5081] = {.lex_state = 191},
  [5082] = {.lex_state = 191},
  [5083] = {.lex_state = 191},
  [5084] = {.lex_state = 191},
  [5085] = {.lex_state = 191},
  [5086] = {.lex_state = 234},
  [5087] = {.lex_state = 234},
  [5088] = {.lex_state = 191},
  [5089] = {.lex_state = 191},
  [5090] = {.lex_state = 191},
  [5091] = {.lex_state = 234},
  [5092] = {.lex_state = 236},
  [5093] = {.lex_state = 236},
  [5094] = {.lex_state = 245},
  [5095] = {.lex_state = 236},
  [5096] = {.lex_state = 236},
  [5097] = {.lex_state = 236},
  [5098] = {.lex_state = 236},
  [5099] = {.lex_state = 245},
  [5100] = {.lex_state = 245},
  [5101] = {.lex_state = 236},
  [5102] = {.lex_state = 245},
  [5103] = {.lex_state = 245},
  [5104] = {.lex_state = 245},
  [5105] = {.lex_state = 245},
  [5106] = {.lex_state = 237},
  [5107] = {.lex_state = 201},
  [5108] = {.lex_state = 201},
  [5109] = {.lex_state = 237},
  [5110] = {.lex_state = 220},
  [5111] = {.lex_state = 236},
  [5112] = {.lex_state = 237},
  [5113] = {.lex_state = 193},
  [5114] = {.lex_state = 193},
  [5115] = {.lex_state = 193},
  [5116] = {.lex_state = 193},
  [5117] = {.lex_state = 193},
  [5118] = {.lex_state = 236},
  [5119] = {.lex_state = 237},
  [5120] = {.lex_state = 193},
  [5121] = {.lex_state = 193},
  [5122] = {.lex_state = 193},
  [5123] = {.lex_state = 233},
  [5124] = {.lex_state = 193},
  [5125] = {.lex_state = 193},
  [5126] = {.lex_state = 237},
  [5127] = {.lex_state = 193},
  [5128] = {.lex_state = 193},
  [5129] = {.lex_state = 245},
  [5130] = {.lex_state = 245},
  [5131] = {.lex_state = 245},
  [5132] = {.lex_state = 245},
  [5133] = {.lex_state = 245},
  [5134] = {.lex_state = 245},
  [5135] = {.lex_state = 245},
  [5136] = {.lex_state = 245},
  [5137] = {.lex_state = 245},
  [5138] = {.lex_state = 245},
  [5139] = {.lex_state = 245},
  [5140] = {.lex_state = 245},
  [5141] = {.lex_state = 220},
  [5142] = {.lex_state = 245},
  [5143] = {.lex_state = 245},
  [5144] = {.lex_state = 237},
  [5145] = {.lex_state = 220},
  [5146] = {.lex_state = 245},
  [5147] = {.lex_state = 237},
  [5148] = {.lex_state = 245},
  [5149] = {.lex_state = 245},
  [5150] = {.lex_state = 245},
  [5151] = {.lex_state = 245},
  [5152] = {.lex_state = 245},
  [5153] = {.lex_state = 245},
  [5154] = {.lex_state = 190},
  [5155] = {.lex_state = 245},
  [5156] = {.lex_state = 245},
  [5157] = {.lex_state = 245},
  [5158] = {.lex_state = 220},
  [5159] = {.lex_state = 245},
  [5160] = {.lex_state = 245},
  [5161] = {.lex_state = 245},
  [5162] = {.lex_state = 245},
  [5163] = {.lex_state = 245},
  [5164] = {.lex_state = 245},
  [5165] = {.lex_state = 245},
  [5166] = {.lex_state = 245},
  [5167] = {.lex_state = 245},
  [5168] = {.lex_state = 245},
  [5169] = {.lex_state = 245},
  [5170] = {.lex_state = 245},
  [5171] = {.lex_state = 245},
  [5172] = {.lex_state = 236},
  [5173] = {.lex_state = 245},
  [5174] = {.lex_state = 245},
  [5175] = {.lex_state = 245},
  [5176] = {.lex_state = 245},
  [5177] = {.lex_state = 191},
  [5178] = {.lex_state = 191},
  [5179] = {.lex_state = 191},
  [5180] = {.lex_state = 236},
  [5181] = {.lex_state = 191},
  [5182] = {.lex_state = 191},
  [5183] = {.lex_state = 191},
  [5184] = {.lex_state = 191},
  [5185] = {.lex_state = 191},
  [5186] = {.lex_state = 191},
  [5187] = {.lex_state = 191},
  [5188] = {.lex_state = 191},
  [5189] = {.lex_state = 191},
  [5190] = {.lex_state = 191},
  [5191] = {.lex_state = 191},
  [5192] = {.lex_state = 191},
  [5193] = {.lex_state = 236},
  [5194] = {.lex_state = 191},
  [5195] = {.lex_state = 191},
  [5196] = {.lex_state = 191},
  [5197] = {.lex_state = 191},
  [5198] = {.lex_state = 191},
  [5199] = {.lex_state = 191},
  [5200] = {.lex_state = 191},
  [5201] = {.lex_state = 191},
  [5202] = {.lex_state = 191},
  [5203] = {.lex_state = 191},
  [5204] = {.lex_state = 191},
  [5205] = {.lex_state = 191},
  [5206] = {.lex_state = 191},
  [5207] = {.lex_state = 236},
  [5208] = {.lex_state = 191},
  [5209] = {.lex_state = 191},
  [5210] = {.lex_state = 191},
  [5211] = {.lex_state = 191},
  [5212] = {.lex_state = 191},
  [5213] = {.lex_state = 191},
  [5214] = {.lex_state = 191},
  [5215] = {.lex_state = 191},
  [5216] = {.lex_state = 191},
  [5217] = {.lex_state = 191},
  [5218] = {.lex_state = 191},
  [5219] = {.lex_state = 191},
  [5220] = {.lex_state = 191},
  [5221] = {.lex_state = 236},
  [5222] = {.lex_state = 191},
  [5223] = {.lex_state = 191},
  [5224] = {.lex_state = 191},
  [5225] = {.lex_state = 191},
  [5226] = {.lex_state = 191},
  [5227] = {.lex_state = 191},
  [5228] = {.lex_state = 191},
  [5229] = {.lex_state = 191},
  [5230] = {.lex_state = 191},
  [5231] = {.lex_state = 191},
  [5232] = {.lex_state = 191},
  [5233] = {.lex_state = 191},
  [5234] = {.lex_state = 191},
  [5235] = {.lex_state = 191},
  [5236] = {.lex_state = 191},
  [5237] = {.lex_state = 191},
  [5238] = {.lex_state = 191},
  [5239] = {.lex_state = 191},
  [5240] = {.lex_state = 220},
  [5241] = {.lex_state = 191},
  [5242] = {.lex_state = 173},
  [5243] = {.lex_state = 191},
  [5244] = {.lex_state = 191},
  [5245] = {.lex_state = 191},
  [5246] = {.lex_state = 191},
  [5247] = {.lex_state = 191},
  [5248] = {.lex_state = 191},
  [5249] = {.lex_state = 191},
  [5250] = {.lex_state = 236},
  [5251] = {.lex_state = 191},
  [5252] = {.lex_state = 191},
  [5253] = {.lex_state = 191},
  [5254] = {.lex_state = 236},
  [5255] = {.lex_state = 236},
  [5256] = {.lex_state = 191},
  [5257] = {.lex_state = 173},
  [5258] = {.lex_state = 191},
  [5259] = {.lex_state = 191},
  [5260] = {.lex_state = 173},
  [5261] = {.lex_state = 191},
  [5262] = {.lex_state = 190},
  [5263] = {.lex_state = 191},
  [5264] = {.lex_state = 191},
  [5265] = {.lex_state = 191},
  [5266] = {.lex_state = 190},
  [5267] = {.lex_state = 191},
  [5268] = {.lex_state = 191},
  [5269] = {.lex_state = 191},
  [5270] = {.lex_state = 191},
  [5271] = {.lex_state = 191},
  [5272] = {.lex_state = 191},
  [5273] = {.lex_state = 237},
  [5274] = {.lex_state = 191},
  [5275] = {.lex_state = 191},
  [5276] = {.lex_state = 191},
  [5277] = {.lex_state = 191},
  [5278] = {.lex_state = 191},
  [5279] = {.lex_state = 237},
  [5280] = {.lex_state = 190},
  [5281] = {.lex_state = 99},
  [5282] = {.lex_state = 220},
  [5283] = {.lex_state = 191},
  [5284] = {.lex_state = 191},
  [5285] = {.lex_state = 173},
  [5286] = {.lex_state = 220},
  [5287] = {.lex_state = 173},
  [5288] = {.lex_state = 237},
  [5289] = {.lex_state = 237},
  [5290] = {.lex_state = 190},
  [5291] = {.lex_state = 237},
  [5292] = {.lex_state = 190},
  [5293] = {.lex_state = 173},
  [5294] = {.lex_state = 234},
  [5295] = {.lex_state = 237},
  [5296] = {.lex_state = 190},
  [5297] = {.lex_state = 173},
  [5298] = {.lex_state = 220},
  [5299] = {.lex_state = 190},
  [5300] = {.lex_state = 234},
  [5301] = {.lex_state = 190},
  [5302] = {.lex_state = 237},
  [5303] = {.lex_state = 190},
  [5304] = {.lex_state = 237},
  [5305] = {.lex_state = 220},
  [5306] = {.lex_state = 173},
  [5307] = {.lex_state = 173},
  [5308] = {.lex_state = 237},
  [5309] = {.lex_state = 236},
  [5310] = {.lex_state = 173},
  [5311] = {.lex_state = 237},
  [5312] = {.lex_state = 173},
  [5313] = {.lex_state = 237},
  [5314] = {.lex_state = 237},
  [5315] = {.lex_state = 190},
  [5316] = {.lex_state = 236},
  [5317] = {.lex_state = 236},
  [5318] = {.lex_state = 173},
  [5319] = {.lex_state = 236},
  [5320] = {.lex_state = 236},
  [5321] = {.lex_state = 237},
  [5322] = {.lex_state = 190},
  [5323] = {.lex_state = 236},
  [5324] = {.lex_state = 236},
  [5325] = {.lex_state = 236},
  [5326] = {.lex_state = 236},
  [5327] = {.lex_state = 190},
  [5328] = {.lex_state = 173},
  [5329] = {.lex_state = 234},
  [5330] = {.lex_state = 236},
  [5331] = {.lex_state = 199},
  [5332] = {.lex_state = 220},
  [5333] = {.lex_state = 173},
  [5334] = {.lex_state = 173},
  [5335] = {.lex_state = 237},
  [5336] = {.lex_state = 237},
  [5337] = {.lex_state = 236},
  [5338] = {.lex_state = 220},
  [5339] = {.lex_state = 173},
  [5340] = {.lex_state = 234},
  [5341] = {.lex_state = 190},
  [5342] = {.lex_state = 173},
  [5343] = {.lex_state = 220},
  [5344] = {.lex_state = 234},
  [5345] = {.lex_state = 236},
  [5346] = {.lex_state = 173},
  [5347] = {.lex_state = 173},
  [5348] = {.lex_state = 173},
  [5349] = {.lex_state = 237},
  [5350] = {.lex_state = 236},
  [5351] = {.lex_state = 173},
  [5352] = {.lex_state = 237},
  [5353] = {.lex_state = 236},
  [5354] = {.lex_state = 237},
  [5355] = {.lex_state = 236},
  [5356] = {.lex_state = 236},
  [5357] = {.lex_state = 237},
  [5358] = {.lex_state = 236},
  [5359] = {.lex_state = 237},
  [5360] = {.lex_state = 237},
  [5361] = {.lex_state = 237},
  [5362] = {.lex_state = 237},
  [5363] = {.lex_state = 234},
  [5364] = {.lex_state = 173},
  [5365] = {.lex_state = 234},
  [5366] = {.lex_state = 234},
  [5367] = {.lex_state = 220},
  [5368] = {.lex_state = 234},
  [5369] = {.lex_state = 237},
  [5370] = {.lex_state = 190},
  [5371] = {.lex_state = 234},
  [5372] = {.lex_state = 237},
  [5373] = {.lex_state = 237},
  [5374] = {.lex_state = 190},
  [5375] = {.lex_state = 190},
  [5376] = {.lex_state = 237},
  [5377] = {.lex_state = 237},
  [5378] = {.lex_state = 234},
  [5379] = {.lex_state = 237},
  [5380] = {.lex_state = 234},
  [5381] = {.lex_state = 220},
  [5382] = {.lex_state = 173},
  [5383] = {.lex_state = 220},
  [5384] = {.lex_state = 237},
  [5385] = {.lex_state = 234},
  [5386] = {.lex_state = 190},
  [5387] = {.lex_state = 237},
  [5388] = {.lex_state = 234},
  [5389] = {.lex_state = 234},
  [5390] = {.lex_state = 234},
  [5391] = {.lex_state = 237},
  [5392] = {.lex_state = 234},
  [5393] = {.lex_state = 220},
  [5394] = {.lex_state = 234},
  [5395] = {.lex_state = 237},
  [5396] = {.lex_state = 237},
  [5397] = {.lex_state = 173},
  [5398] = {.lex_state = 190},
  [5399] = {.lex_state = 237},
  [5400] = {.lex_state = 237},
  [5401] = {.lex_state = 173},
  [5402] = {.lex_state = 173},
  [5403] = {.lex_state = 237},
  [5404] = {.lex_state = 190},
  [5405] = {.lex_state = 220},
  [5406] = {.lex_state = 237},
  [5407] = {.lex_state = 237},
  [5408] = {.lex_state = 236},
  [5409] = {.lex_state = 236},
  [5410] = {.lex_state = 236},
  [5411] = {.lex_state = 236},
  [5412] = {.lex_state = 236},
  [5413] = {.lex_state = 237},
  [5414] = {.lex_state = 237},
  [5415] = {.lex_state = 190},
  [5416] = {.lex_state = 220},
  [5417] = {.lex_state = 237},
  [5418] = {.lex_state = 190},
  [5419] = {.lex_state = 236},
  [5420] = {.lex_state = 173},
  [5421] = {.lex_state = 173},
  [5422] = {.lex_state = 220},
  [5423] = {.lex_state = 173},
  [5424] = {.lex_state = 220},
  [5425] = {.lex_state = 220},
  [5426] = {.lex_state = 237},
  [5427] = {.lex_state = 220},
  [5428] = {.lex_state = 190},
  [5429] = {.lex_state = 173},
  [5430] = {.lex_state = 190},
  [5431] = {.lex_state = 173},
  [5432] = {.lex_state = 173},
  [5433] = {.lex_state = 237},
  [5434] = {.lex_state = 173},
  [5435] = {.lex_state = 173},
  [5436] = {.lex_state = 173},
  [5437] = {.lex_state = 237},
  [5438] = {.lex_state = 173},
  [5439] = {.lex_state = 220},
  [5440] = {.lex_state = 237},
  [5441] = {.lex_state = 173},
  [5442] = {.lex_state = 173},
  [5443] = {.lex_state = 237},
  [5444] = {.lex_state = 173},
  [5445] = {.lex_state = 173},
  [5446] = {.lex_state = 173},
  [5447] = {.lex_state = 173},
  [5448] = {.lex_state = 99},
  [5449] = {.lex_state = 99},
  [5450] = {.lex_state = 234},
  [5451] = {.lex_state = 99},
  [5452] = {.lex_state = 220},
  [5453] = {.lex_state = 99},
  [5454] = {.lex_state = 233},
  [5455] = {.lex_state = 99},
  [5456] = {.lex_state = 99},
  [5457] = {.lex_state = 220},
  [5458] = {.lex_state = 234},
  [5459] = {.lex_state = 190},
  [5460] = {.lex_state = 234},
  [5461] = {.lex_state = 99},
  [5462] = {.lex_state = 234},
  [5463] = {.lex_state = 99},
  [5464] = {.lex_state = 237},
  [5465] = {.lex_state = 220},
  [5466] = {.lex_state = 99},
  [5467] = {.lex_state = 99},
  [5468] = {.lex_state = 234},
  [5469] = {.lex_state = 99},
  [5470] = {.lex_state = 234},
  [5471] = {.lex_state = 237},
  [5472] = {.lex_state = 99},
  [5473] = {.lex_state = 220},
  [5474] = {.lex_state = 99},
  [5475] = {.lex_state = 220},
  [5476] = {.lex_state = 99},
  [5477] = {.lex_state = 99},
  [5478] = {.lex_state = 99},
  [5479] = {.lex_state = 99},
  [5480] = {.lex_state = 99},
  [5481] = {.lex_state = 234},
  [5482] = {.lex_state = 190},
  [5483] = {.lex_state = 99},
  [5484] = {.lex_state = 99},
  [5485] = {.lex_state = 237},
  [5486] = {.lex_state = 99},
  [5487] = {.lex_state = 99},
  [5488] = {.lex_state = 220},
  [5489] = {.lex_state = 99},
  [5490] = {.lex_state = 99},
  [5491] = {.lex_state = 99},
  [5492] = {.lex_state = 99},
  [5493] = {.lex_state = 99},
  [5494] = {.lex_state = 99},
  [5495] = {.lex_state = 234},
  [5496] = {.lex_state = 99},
  [5497] = {.lex_state = 237},
  [5498] = {.lex_state = 237},
  [5499] = {.lex_state = 234},
  [5500] = {.lex_state = 99},
  [5501] = {.lex_state = 237},
  [5502] = {.lex_state = 234},
  [5503] = {.lex_state = 237},
  [5504] = {.lex_state = 234},
  [5505] = {.lex_state = 237},
  [5506] = {.lex_state = 99},
  [5507] = {.lex_state = 99},
  [5508] = {.lex_state = 234},
  [5509] = {.lex_state = 237},
  [5510] = {.lex_state = 237},
  [5511] = {.lex_state = 237},
  [5512] = {.lex_state = 237},
  [5513] = {.lex_state = 237},
  [5514] = {.lex_state = 99},
  [5515] = {.lex_state = 233},
  [5516] = {.lex_state = 233},
  [5517] = {.lex_state = 236},
  [5518] = {.lex_state = 236},
  [5519] = {.lex_state = 237},
  [5520] = {.lex_state = 237},
  [5521] = {.lex_state = 237},
  [5522] = {.lex_state = 237},
  [5523] = {.lex_state = 237},
  [5524] = {.lex_state = 233},
  [5525] = {.lex_state = 237},
  [5526] = {.lex_state = 237},
  [5527] = {.lex_state = 237},
  [5528] = {.lex_state = 233},
  [5529] = {.lex_state = 237},
  [5530] = {.lex_state = 191},
  [5531] = {.lex_state = 236},
  [5532] = {.lex_state = 236},
  [5533] = {.lex_state = 233},
  [5534] = {.lex_state = 237},
  [5535] = {.lex_state = 237},
  [5536] = {.lex_state = 237},
  [5537] = {.lex_state = 191},
  [5538] = {.lex_state = 237},
  [5539] = {.lex_state = 191},
  [5540] = {.lex_state = 237},
  [5541] = {.lex_state = 236},
  [5542] = {.lex_state = 237},
  [5543] = {.lex_state = 237},
  [5544] = {.lex_state = 237},
  [5545] = {.lex_state = 237},
  [5546] = {.lex_state = 236},
  [5547] = {.lex_state = 237},
  [5548] = {.lex_state = 237},
  [5549] = {.lex_state = 233},
  [5550] = {.lex_state = 233},
  [5551] = {.lex_state = 233},
  [5552] = {.lex_state = 237},
  [5553] = {.lex_state = 237},
  [5554] = {.lex_state = 191},
  [5555] = {.lex_state = 199},
  [5556] = {.lex_state = 237},
  [5557] = {.lex_state = 237},
  [5558] = {.lex_state = 171},
  [5559] = {.lex_state = 233},
  [5560] = {.lex_state = 199},
  [5561] = {.lex_state = 237},
  [5562] = {.lex_state = 171},
  [5563] = {.lex_state = 199},
  [5564] = {.lex_state = 171},
  [5565] = {.lex_state = 171},
  [5566] = {.lex_state = 244},
  [5567] = {.lex_state = 199},
  [5568] = {.lex_state = 237},
  [5569] = {.lex_state = 233},
  [5570] = {.lex_state = 171},
  [5571] = {.lex_state = 229},
  [5572] = {.lex_state = 237},
  [5573] = {.lex_state = 236},
  [5574] = {.lex_state = 236},
  [5575] = {.lex_state = 236},
  [5576] = {.lex_state = 236},
  [5577] = {.lex_state = 237},
  [5578] = {.lex_state = 236},
  [5579] = {.lex_state = 199},
  [5580] = {.lex_state = 229},
  [5581] = {.lex_state = 236},
  [5582] = {.lex_state = 236},
  [5583] = {.lex_state = 199},
  [5584] = {.lex_state = 237},
  [5585] = {.lex_state = 236},
  [5586] = {.lex_state = 236},
  [5587] = {.lex_state = 199},
  [5588] = {.lex_state = 233},
  [5589] = {.lex_state = 201},
  [5590] = {.lex_state = 237},
  [5591] = {.lex_state = 236},
  [5592] = {.lex_state = 220},
  [5593] = {.lex_state = 171},
  [5594] = {.lex_state = 199},
  [5595] = {.lex_state = 229},
  [5596] = {.lex_state = 171},
  [5597] = {.lex_state = 171},
  [5598] = {.lex_state = 199},
  [5599] = {.lex_state = 236},
  [5600] = {.lex_state = 171},
  [5601] = {.lex_state = 229},
  [5602] = {.lex_state = 220},
  [5603] = {.lex_state = 199},
  [5604] = {.lex_state = 220},
  [5605] = {.lex_state = 220},
  [5606] = {.lex_state = 237},
  [5607] = {.lex_state = 237},
  [5608] = {.lex_state = 171},
  [5609] = {.lex_state = 233},
  [5610] = {.lex_state = 236},
  [5611] = {.lex_state = 236},
  [5612] = {.lex_state = 236},
  [5613] = {.lex_state = 236},
  [5614] = {.lex_state = 236},
  [5615] = {.lex_state = 238},
  [5616] = {.lex_state = 233},
  [5617] = {.lex_state = 171},
  [5618] = {.lex_state = 234},
  [5619] = {.lex_state = 191},
  [5620] = {.lex_state = 191},
  [5621] = {.lex_state = 191},
  [5622] = {.lex_state = 237},
  [5623] = {.lex_state = 236},
  [5624] = {.lex_state = 191},
  [5625] = {.lex_state = 233},
  [5626] = {.lex_state = 233},
  [5627] = {.lex_state = 234},
  [5628] = {.lex_state = 233},
  [5629] = {.lex_state = 191},
  [5630] = {.lex_state = 234},
  [5631] = {.lex_state = 237},
  [5632] = {.lex_state = 233},
  [5633] = {.lex_state = 236},
  [5634] = {.lex_state = 234},
  [5635] = {.lex_state = 234},
  [5636] = {.lex_state = 191},
  [5637] = {.lex_state = 233},
  [5638] = {.lex_state = 234},
  [5639] = {.lex_state = 233},
  [5640] = {.lex_state = 233},
  [5641] = {.lex_state = 233},
  [5642] = {.lex_state = 236},
  [5643] = {.lex_state = 191},
  [5644] = {.lex_state = 237},
  [5645] = {.lex_state = 234},
  [5646] = {.lex_state = 237},
  [5647] = {.lex_state = 233},
  [5648] = {.lex_state = 233},
  [5649] = {.lex_state = 233},
  [5650] = {.lex_state = 234},
  [5651] = {.lex_state = 234},
  [5652] = {.lex_state = 236},
  [5653] = {.lex_state = 234},
  [5654] = {.lex_state = 233},
  [5655] = {.lex_state = 237},
  [5656] = {.lex_state = 233},
  [5657] = {.lex_state = 233},
  [5658] = {.lex_state = 233},
  [5659] = {.lex_state = 233},
  [5660] = {.lex_state = 234},
  [5661] = {.lex_state = 191},
  [5662] = {.lex_state = 237},
  [5663] = {.lex_state = 191},
  [5664] = {.lex_state = 237},
  [5665] = {.lex_state = 233},
  [5666] = {.lex_state = 237},
  [5667] = {.lex_state = 236},
  [5668] = {.lex_state = 237},
  [5669] = {.lex_state = 233},
  [5670] = {.lex_state = 234},
  [5671] = {.lex_state = 233},
  [5672] = {.lex_state = 233},
  [5673] = {.lex_state = 233},
  [5674] = {.lex_state = 237},
  [5675] = {.lex_state = 233},
  [5676] = {.lex_state = 234},
  [5677] = {.lex_state = 234},
  [5678] = {.lex_state = 233},
  [5679] = {.lex_state = 233},
  [5680] = {.lex_state = 237},
  [5681] = {.lex_state = 234},
  [5682] = {.lex_state = 191},
  [5683] = {.lex_state = 234},
  [5684] = {.lex_state = 234},
  [5685] = {.lex_state = 171},
  [5686] = {.lex_state = 234},
  [5687] = {.lex_state = 236},
  [5688] = {.lex_state = 238},
  [5689] = {.lex_state = 236},
  [5690] = {.lex_state = 233},
  [5691] = {.lex_state = 233},
  [5692] = {.lex_state = 236},
  [5693] = {.lex_state = 233},
  [5694] = {.lex_state = 236},
  [5695] = {.lex_state = 237},
  [5696] = {.lex_state = 183},
  [5697] = {.lex_state = 237},
  [5698] = {.lex_state = 237},
  [5699] = {.lex_state = 236},
  [5700] = {.lex_state = 237},
  [5701] = {.lex_state = 183},
  [5702] = {.lex_state = 236},
  [5703] = {.lex_state = 237},
  [5704] = {.lex_state = 192},
  [5705] = {.lex_state = 171},
  [5706] = {.lex_state = 237},
  [5707] = {.lex_state = 191},
  [5708] = {.lex_state = 176},
  [5709] = {.lex_state = 191},
  [5710] = {.lex_state = 237},
  [5711] = {.lex_state = 192},
  [5712] = {.lex_state = 183},
  [5713] = {.lex_state = 171},
  [5714] = {.lex_state = 171},
  [5715] = {.lex_state = 183},
  [5716] = {.lex_state = 236},
  [5717] = {.lex_state = 192},
  [5718] = {.lex_state = 191},
  [5719] = {.lex_state = 171},
  [5720] = {.lex_state = 192},
  [5721] = {.lex_state = 183},
  [5722] = {.lex_state = 183},
  [5723] = {.lex_state = 236},
  [5724] = {.lex_state = 183},
  [5725] = {.lex_state = 171},
  [5726] = {.lex_state = 171},
  [5727] = {.lex_state = 183},
  [5728] = {.lex_state = 183},
  [5729] = {.lex_state = 237},
  [5730] = {.lex_state = 236},
  [5731] = {.lex_state = 191},
  [5732] = {.lex_state = 183},
  [5733] = {.lex_state = 183},
  [5734] = {.lex_state = 183},
  [5735] = {.lex_state = 171},
  [5736] = {.lex_state = 183},
  [5737] = {.lex_state = 237},
  [5738] = {.lex_state = 192},
  [5739] = {.lex_state = 236},
  [5740] = {.lex_state = 171},
  [5741] = {.lex_state = 191},
  [5742] = {.lex_state = 171},
  [5743] = {.lex_state = 191},
  [5744] = {.lex_state = 183},
  [5745] = {.lex_state = 236},
  [5746] = {.lex_state = 192},
  [5747] = {.lex_state = 191},
  [5748] = {.lex_state = 192},
  [5749] = {.lex_state = 236},
  [5750] = {.lex_state = 192},
  [5751] = {.lex_state = 183},
  [5752] = {.lex_state = 183},
  [5753] = {.lex_state = 183},
  [5754] = {.lex_state = 183},
  [5755] = {.lex_state = 183},
  [5756] = {.lex_state = 183},
  [5757] = {.lex_state = 183},
  [5758] = {.lex_state = 237},
  [5759] = {.lex_state = 191},
  [5760] = {.lex_state = 237},
  [5761] = {.lex_state = 237},
  [5762] = {.lex_state = 183},
  [5763] = {.lex_state = 237},
  [5764] = {.lex_state = 237},
  [5765] = {.lex_state = 171},
  [5766] = {.lex_state = 191},
  [5767] = {.lex_state = 191},
  [5768] = {.lex_state = 237},
  [5769] = {.lex_state = 237},
  [5770] = {.lex_state = 211},
  [5771] = {.lex_state = 211},
  [5772] = {.lex_state = 211},
  [5773] = {.lex_state = 211},
  [5774] = {.lex_state = 238},
  [5775] = {.lex_state = 237},
  [5776] = {.lex_state = 237},
  [5777] = {.lex_state = 238},
  [5778] = {.lex_state = 195},
  [5779] = {.lex_state = 211},
  [5780] = {.lex_state = 211},
  [5781] = {.lex_state = 211},
  [5782] = {.lex_state = 211},
  [5783] = {.lex_state = 238},
  [5784] = {.lex_state = 237},
  [5785] = {.lex_state = 191},
  [5786] = {.lex_state = 195},
  [5787] = {.lex_state = 191},
  [5788] = {.lex_state = 238},
  [5789] = {.lex_state = 237},
  [5790] = {.lex_state = 191},
  [5791] = {.lex_state = 237},
  [5792] = {.lex_state = 238},
  [5793] = {.lex_state = 237},
  [5794] = {.lex_state = 237},
  [5795] = {.lex_state = 237},
  [5796] = {.lex_state = 237},
  [5797] = {.lex_state = 237},
  [5798] = {.lex_state = 238},
  [5799] = {.lex_state = 237},
  [5800] = {.lex_state = 238},
  [5801] = {.lex_state = 191},
  [5802] = {.lex_state = 237},
  [5803] = {.lex_state = 195},
  [5804] = {.lex_state = 237},
  [5805] = {.lex_state = 238},
  [5806] = {.lex_state = 237},
  [5807] = {.lex_state = 233},
  [5808] = {.lex_state = 237},
  [5809] = {.lex_state = 191},
  [5810] = {.lex_state = 237},
  [5811] = {.lex_state = 237},
  [5812] = {.lex_state = 237},
  [5813] = {.lex_state = 195},
  [5814] = {.lex_state = 237},
  [5815] = {.lex_state = 237},
  [5816] = {.lex_state = 238},
  [5817] = {.lex_state = 191},
  [5818] = {.lex_state = 195},
  [5819] = {.lex_state = 237},
  [5820] = {.lex_state = 237},
  [5821] = {.lex_state = 237},
  [5822] = {.lex_state = 237},
  [5823] = {.lex_state = 237},
  [5824] = {.lex_state = 191},
  [5825] = {.lex_state = 191},
  [5826] = {.lex_state = 191},
  [5827] = {.lex_state = 195},
  [5828] = {.lex_state = 237},
  [5829] = {.lex_state = 233},
  [5830] = {.lex_state = 237},
  [5831] = {.lex_state = 233},
  [5832] = {.lex_state = 237},
  [5833] = {.lex_state = 237},
  [5834] = {.lex_state = 237},
  [5835] = {.lex_state = 237},
  [5836] = {.lex_state = 237},
  [5837] = {.lex_state = 191},
  [5838] = {.lex_state = 238},
  [5839] = {.lex_state = 233},
  [5840] = {.lex_state = 233},
  [5841] = {.lex_state = 237},
  [5842] = {.lex_state = 191},
  [5843] = {.lex_state = 195},
  [5844] = {.lex_state = 191},
  [5845] = {.lex_state = 233},
  [5846] = {.lex_state = 229},
  [5847] = {.lex_state = 233},
  [5848] = {.lex_state = 233},
  [5849] = {.lex_state = 191},
  [5850] = {.lex_state = 191},
  [5851] = {.lex_state = 191},
  [5852] = {.lex_state = 191},
  [5853] = {.lex_state = 191},
  [5854] = {.lex_state = 238},
  [5855] = {.lex_state = 237},
  [5856] = {.lex_state = 238},
  [5857] = {.lex_state = 238},
  [5858] = {.lex_state = 191},
  [5859] = {.lex_state = 191},
  [5860] = {.lex_state = 238},
  [5861] = {.lex_state = 191},
  [5862] = {.lex_state = 238},
  [5863] = {.lex_state = 195},
  [5864] = {.lex_state = 237},
  [5865] = {.lex_state = 237},
  [5866] = {.lex_state = 238},
  [5867] = {.lex_state = 191},
  [5868] = {.lex_state = 237},
  [5869] = {.lex_state = 237},
  [5870] = {.lex_state = 191},
  [5871] = {.lex_state = 191},
  [5872] = {.lex_state = 238},
  [5873] = {.lex_state = 191},
  [5874] = {.lex_state = 200},
  [5875] = {.lex_state = 237},
  [5876] = {.lex_state = 237},
  [5877] = {.lex_state = 237},
  [5878] = {.lex_state = 237},
  [5879] = {.lex_state = 195},
  [5880] = {.lex_state = 237},
  [5881] = {.lex_state = 237},
  [5882] = {.lex_state = 191},
  [5883] = {.lex_state = 191},
  [5884] = {.lex_state = 191},
  [5885] = {.lex_state = 191},
  [5886] = {.lex_state = 191},
  [5887] = {.lex_state = 238},
  [5888] = {.lex_state = 237},
  [5889] = {.lex_state = 195},
  [5890] = {.lex_state = 237},
  [5891] = {.lex_state = 238},
  [5892] = {.lex_state = 237},
  [5893] = {.lex_state = 238},
  [5894] = {.lex_state = 238},
  [5895] = {.lex_state = 191},
  [5896] = {.lex_state = 195},
  [5897] = {.lex_state = 237},
  [5898] = {.lex_state = 191},
  [5899] = {.lex_state = 237},
  [5900] = {.lex_state = 229},
  [5901] = {.lex_state = 191},
  [5902] = {.lex_state = 229},
  [5903] = {.lex_state = 229},
  [5904] = {.lex_state = 191},
  [5905] = {.lex_state = 237},
  [5906] = {.lex_state = 195},
  [5907] = {.lex_state = 237},
  [5908] = {.lex_state = 191},
  [5909] = {.lex_state = 236},
  [5910] = {.lex_state = 236},
  [5911] = {.lex_state = 236},
  [5912] = {.lex_state = 237},
  [5913] = {.lex_state = 189},
  [5914] = {.lex_state = 237},
  [5915] = {.lex_state = 236},
  [5916] = {.lex_state = 189},
  [5917] = {.lex_state = 171},
  [5918] = {.lex_state = 237},
  [5919] = {.lex_state = 237},
  [5920] = {.lex_state = 236},
  [5921] = {.lex_state = 237},
  [5922] = {.lex_state = 237},
  [5923] = {.lex_state = 237},
  [5924] = {.lex_state = 237},
  [5925] = {.lex_state = 237},
  [5926] = {.lex_state = 189},
  [5927] = {.lex_state = 237},
  [5928] = {.lex_state = 189},
  [5929] = {.lex_state = 189},
  [5930] = {.lex_state = 171},
  [5931] = {.lex_state = 189},
  [5932] = {.lex_state = 189},
  [5933] = {.lex_state = 191},
  [5934] = {.lex_state = 237},
  [5935] = {.lex_state = 191},
  [5936] = {.lex_state = 236},
  [5937] = {.lex_state = 171},
  [5938] = {.lex_state = 189},
  [5939] = {.lex_state = 237},
  [5940] = {.lex_state = 191},
  [5941] = {.lex_state = 237},
  [5942] = {.lex_state = 189},
  [5943] = {.lex_state = 189},
  [5944] = {.lex_state = 189},
  [5945] = {.lex_state = 237},
  [5946] = {.lex_state = 189},
  [5947] = {.lex_state = 189},
  [5948] = {.lex_state = 189},
  [5949] = {.lex_state = 189},
  [5950] = {.lex_state = 237},
  [5951] = {.lex_state = 193},
  [5952] = {.lex_state = 237},
  [5953] = {.lex_state = 236},
  [5954] = {.lex_state = 237},
  [5955] = {.lex_state = 189},
  [5956] = {.lex_state = 193},
  [5957] = {.lex_state = 189},
  [5958] = {.lex_state = 189},
  [5959] = {.lex_state = 191},
  [5960] = {.lex_state = 191},
  [5961] = {.lex_state = 237},
  [5962] = {.lex_state = 236},
  [5963] = {.lex_state = 189},
  [5964] = {.lex_state = 189},
  [5965] = {.lex_state = 193},
  [5966] = {.lex_state = 193},
  [5967] = {.lex_state = 193},
  [5968] = {.lex_state = 193},
  [5969] = {.lex_state = 193},
  [5970] = {.lex_state = 193},
  [5971] = {.lex_state = 191},
  [5972] = {.lex_state = 191},
  [5973] = {.lex_state = 211},
  [5974] = {.lex_state = 191},
  [5975] = {.lex_state = 195},
  [5976] = {.lex_state = 191},
  [5977] = {.lex_state = 191},
  [5978] = {.lex_state = 195},
  [5979] = {.lex_state = 211},
  [5980] = {.lex_state = 191},
  [5981] = {.lex_state = 195},
  [5982] = {.lex_state = 211},
  [5983] = {.lex_state = 191},
  [5984] = {.lex_state = 195},
  [5985] = {.lex_state = 191},
  [5986] = {.lex_state = 191},
  [5987] = {.lex_state = 211},
  [5988] = {.lex_state = 191},
  [5989] = {.lex_state = 191},
  [5990] = {.lex_state = 191},
  [5991] = {.lex_state = 211},
  [5992] = {.lex_state = 211},
  [5993] = {.lex_state = 191},
  [5994] = {.lex_state = 332},
  [5995] = {.lex_state = 191},
  [5996] = {.lex_state = 332},
  [5997] = {.lex_state = 195},
  [5998] = {.lex_state = 211},
  [5999] = {.lex_state = 191},
  [6000] = {.lex_state = 191},
  [6001] = {.lex_state = 191},
  [6002] = {.lex_state = 191},
  [6003] = {.lex_state = 195},
  [6004] = {.lex_state = 191},
  [6005] = {.lex_state = 191},
  [6006] = {.lex_state = 332},
  [6007] = {.lex_state = 237},
  [6008] = {.lex_state = 191},
  [6009] = {.lex_state = 332},
  [6010] = {.lex_state = 211},
  [6011] = {.lex_state = 211},
  [6012] = {.lex_state = 237},
  [6013] = {.lex_state = 191},
  [6014] = {.lex_state = 191},
  [6015] = {.lex_state = 332},
  [6016] = {.lex_state = 191},
  [6017] = {.lex_state = 211},
  [6018] = {.lex_state = 191},
  [6019] = {.lex_state = 199},
  [6020] = {.lex_state = 195},
  [6021] = {.lex_state = 195},
  [6022] = {.lex_state = 191},
  [6023] = {.lex_state = 191},
  [6024] = {.lex_state = 191},
  [6025] = {.lex_state = 191},
  [6026] = {.lex_state = 191},
  [6027] = {.lex_state = 191},
  [6028] = {.lex_state = 0},
  [6029] = {.lex_state = 191},
  [6030] = {.lex_state = 191},
  [6031] = {.lex_state = 237},
  [6032] = {.lex_state = 211},
  [6033] = {.lex_state = 211},
  [6034] = {.lex_state = 233},
  [6035] = {.lex_state = 191},
  [6036] = {.lex_state = 191},
  [6037] = {.lex_state = 191},
  [6038] = {.lex_state = 191},
  [6039] = {.lex_state = 191},
  [6040] = {.lex_state = 193},
  [6041] = {.lex_state = 191},
  [6042] = {.lex_state = 191},
  [6043] = {.lex_state = 191},
  [6044] = {.lex_state = 192},
  [6045] = {.lex_state = 192},
  [6046] = {.lex_state = 191},
  [6047] = {.lex_state = 191},
  [6048] = {.lex_state = 237},
  [6049] = {.lex_state = 189},
  [6050] = {.lex_state = 237},
  [6051] = {.lex_state = 191},
  [6052] = {.lex_state = 192},
  [6053] = {.lex_state = 193},
  [6054] = {.lex_state = 237},
  [6055] = {.lex_state = 193},
  [6056] = {.lex_state = 193},
  [6057] = {.lex_state = 191},
  [6058] = {.lex_state = 191},
  [6059] = {.lex_state = 191},
  [6060] = {.lex_state = 237},
  [6061] = {.lex_state = 237},
  [6062] = {.lex_state = 192},
  [6063] = {.lex_state = 193},
  [6064] = {.lex_state = 191},
  [6065] = {.lex_state = 233},
  [6066] = {.lex_state = 193},
  [6067] = {.lex_state = 191},
  [6068] = {.lex_state = 193},
  [6069] = {.lex_state = 193},
  [6070] = {.lex_state = 193},
  [6071] = {.lex_state = 191},
  [6072] = {.lex_state = 237},
  [6073] = {.lex_state = 191},
  [6074] = {.lex_state = 191},
  [6075] = {.lex_state = 191},
  [6076] = {.lex_state = 191},
  [6077] = {.lex_state = 191},
  [6078] = {.lex_state = 192},
  [6079] = {.lex_state = 191},
  [6080] = {.lex_state = 191},
  [6081] = {.lex_state = 237},
  [6082] = {.lex_state = 237},
  [6083] = {.lex_state = 191},
  [6084] = {.lex_state = 191},
  [6085] = {.lex_state = 233},
  [6086] = {.lex_state = 193},
  [6087] = {.lex_state = 191},
  [6088] = {.lex_state = 191},
  [6089] = {.lex_state = 191},
  [6090] = {.lex_state = 191},
  [6091] = {.lex_state = 191},
  [6092] = {.lex_state = 191},
  [6093] = {.lex_state = 191},
  [6094] = {.lex_state = 237},
  [6095] = {.lex_state = 191},
  [6096] = {.lex_state = 191},
  [6097] = {.lex_state = 237},
  [6098] = {.lex_state = 193},
  [6099] = {.lex_state = 193},
  [6100] = {.lex_state = 191},
  [6101] = {.lex_state = 192},
  [6102] = {.lex_state = 191},
  [6103] = {.lex_state = 191},
  [6104] = {.lex_state = 191},
  [6105] = {.lex_state = 191},
  [6106] = {.lex_state = 192},
  [6107] = {.lex_state = 191},
  [6108] = {.lex_state = 191},
  [6109] = {.lex_state = 191},
  [6110] = {.lex_state = 191},
  [6111] = {.lex_state = 191},
  [6112] = {.lex_state = 191},
  [6113] = {.lex_state = 191},
  [6114] = {.lex_state = 191},
  [6115] = {.lex_state = 191},
  [6116] = {.lex_state = 191},
  [6117] = {.lex_state = 191},
  [6118] = {.lex_state = 192},
  [6119] = {.lex_state = 233},
  [6120] = {.lex_state = 191},
  [6121] = {.lex_state = 220},
  [6122] = {.lex_state = 237},
  [6123] = {.lex_state = 332},
  [6124] = {.lex_state = 220},
  [6125] = {.lex_state = 220},
  [6126] = {.lex_state = 191},
  [6127] = {.lex_state = 220},
  [6128] = {.lex_state = 220},
  [6129] = {.lex_state = 176},
  [6130] = {.lex_state = 220},
  [6131] = {.lex_state = 237},
  [6132] = {.lex_state = 220},
  [6133] = {.lex_state = 191},
  [6134] = {.lex_state = 237},
  [6135] = {.lex_state = 211},
  [6136] = {.lex_state = 220},
  [6137] = {.lex_state = 211},
  [6138] = {.lex_state = 191},
  [6139] = {.lex_state = 220},
  [6140] = {.lex_state = 237},
  [6141] = {.lex_state = 211},
  [6142] = {.lex_state = 220},
  [6143] = {.lex_state = 237},
  [6144] = {.lex_state = 332},
  [6145] = {.lex_state = 191},
  [6146] = {.lex_state = 211},
  [6147] = {.lex_state = 220},
  [6148] = {.lex_state = 211},
  [6149] = {.lex_state = 220},
  [6150] = {.lex_state = 176},
  [6151] = {.lex_state = 211},
  [6152] = {.lex_state = 237},
  [6153] = {.lex_state = 191},
  [6154] = {.lex_state = 332},
  [6155] = {.lex_state = 191},
  [6156] = {.lex_state = 237},
  [6157] = {.lex_state = 211},
  [6158] = {.lex_state = 211},
  [6159] = {.lex_state = 220},
  [6160] = {.lex_state = 191},
  [6161] = {.lex_state = 191},
  [6162] = {.lex_state = 193},
  [6163] = {.lex_state = 193},
  [6164] = {.lex_state = 193},
  [6165] = {.lex_state = 193},
  [6166] = {.lex_state = 193},
  [6167] = {.lex_state = 193},
  [6168] = {.lex_state = 191},
  [6169] = {.lex_state = 191},
  [6170] = {.lex_state = 193},
  [6171] = {.lex_state = 191},
  [6172] = {.lex_state = 171},
  [6173] = {.lex_state = 191},
  [6174] = {.lex_state = 199},
  [6175] = {.lex_state = 230},
  [6176] = {.lex_state = 191},
  [6177] = {.lex_state = 191},
  [6178] = {.lex_state = 191},
  [6179] = {.lex_state = 191},
  [6180] = {.lex_state = 191},
  [6181] = {.lex_state = 191},
  [6182] = {.lex_state = 191},
  [6183] = {.lex_state = 191},
  [6184] = {.lex_state = 332},
  [6185] = {.lex_state = 191},
  [6186] = {.lex_state = 191},
  [6187] = {.lex_state = 191},
  [6188] = {.lex_state = 191},
  [6189] = {.lex_state = 191},
  [6190] = {.lex_state = 230},
  [6191] = {.lex_state = 191},
  [6192] = {.lex_state = 191},
  [6193] = {.lex_state = 230},
  [6194] = {.lex_state = 191},
  [6195] = {.lex_state = 191},
  [6196] = {.lex_state = 199},
  [6197] = {.lex_state = 191},
  [6198] = {.lex_state = 191},
  [6199] = {.lex_state = 230},
  [6200] = {.lex_state = 191},
  [6201] = {.lex_state = 191},
  [6202] = {.lex_state = 191},
  [6203] = {.lex_state = 191},
  [6204] = {.lex_state = 191},
  [6205] = {.lex_state = 191},
  [6206] = {.lex_state = 191},
  [6207] = {.lex_state = 191},
  [6208] = {.lex_state = 332},
  [6209] = {.lex_state = 193},
  [6210] = {.lex_state = 191},
  [6211] = {.lex_state = 191},
  [6212] = {.lex_state = 191},
  [6213] = {.lex_state = 191},
  [6214] = {.lex_state = 195},
  [6215] = {.lex_state = 332},
  [6216] = {.lex_state = 332},
  [6217] = {.lex_state = 193},
  [6218] = {.lex_state = 220},
  [6219] = {.lex_state = 332},
  [6220] = {.lex_state = 332},
  [6221] = {.lex_state = 332},
  [6222] = {.lex_state = 193},
  [6223] = {.lex_state = 332},
  [6224] = {.lex_state = 171},
  [6225] = {.lex_state = 233},
  [6226] = {.lex_state = 193},
  [6227] = {.lex_state = 332},
  [6228] = {.lex_state = 332},
  [6229] = {.lex_state = 332},
  [6230] = {.lex_state = 332},
  [6231] = {.lex_state = 195},
  [6232] = {.lex_state = 195},
  [6233] = {.lex_state = 332},
  [6234] = {.lex_state = 332},
  [6235] = {.lex_state = 332},
  [6236] = {.lex_state = 332},
  [6237] = {.lex_state = 332},
  [6238] = {.lex_state = 233},
  [6239] = {.lex_state = 332},
  [6240] = {.lex_state = 193},
  [6241] = {.lex_state = 332},
  [6242] = {.lex_state = 191},
  [6243] = {.lex_state = 332},
  [6244] = {.lex_state = 332},
  [6245] = {.lex_state = 195},
  [6246] = {.lex_state = 195},
  [6247] = {.lex_state = 332},
  [6248] = {.lex_state = 195},
  [6249] = {.lex_state = 193},
  [6250] = {.lex_state = 195},
  [6251] = {.lex_state = 239},
  [6252] = {.lex_state = 332},
  [6253] = {.lex_state = 191},
  [6254] = {.lex_state = 236},
  [6255] = {.lex_state = 220},
  [6256] = {.lex_state = 193},
  [6257] = {.lex_state = 332},
  [6258] = {.lex_state = 332},
  [6259] = {.lex_state = 171},
  [6260] = {.lex_state = 332},
  [6261] = {.lex_state = 236},
  [6262] = {.lex_state = 195},
  [6263] = {.lex_state = 191},
  [6264] = {.lex_state = 332},
  [6265] = {.lex_state = 171},
  [6266] = {.lex_state = 171},
  [6267] = {.lex_state = 199},
  [6268] = {.lex_state = 171},
  [6269] = {.lex_state = 171},
  [6270] = {.lex_state = 332},
  [6271] = {.lex_state = 191},
  [6272] = {.lex_state = 332},
  [6273] = {.lex_state = 171},
  [6274] = {.lex_state = 171},
  [6275] = {.lex_state = 199},
  [6276] = {.lex_state = 332},
  [6277] = {.lex_state = 171},
  [6278] = {.lex_state = 332},
  [6279] = {.lex_state = 171},
  [6280] = {.lex_state = 171},
  [6281] = {.lex_state = 193},
  [6282] = {.lex_state = 193},
  [6283] = {.lex_state = 236},
  [6284] = {.lex_state = 199},
  [6285] = {.lex_state = 193},
  [6286] = {.lex_state = 332},
  [6287] = {.lex_state = 332},
  [6288] = {.lex_state = 171},
  [6289] = {.lex_state = 171},
  [6290] = {.lex_state = 171},
  [6291] = {.lex_state = 171},
  [6292] = {.lex_state = 171},
  [6293] = {.lex_state = 191},
  [6294] = {.lex_state = 332},
  [6295] = {.lex_state = 193},
  [6296] = {.lex_state = 171},
  [6297] = {.lex_state = 171},
  [6298] = {.lex_state = 191},
  [6299] = {.lex_state = 171},
  [6300] = {.lex_state = 171},
  [6301] = {.lex_state = 332},
  [6302] = {.lex_state = 191},
  [6303] = {.lex_state = 171},
  [6304] = {.lex_state = 171},
  [6305] = {.lex_state = 171},
  [6306] = {.lex_state = 191},
  [6307] = {.lex_state = 332},
  [6308] = {.lex_state = 171},
  [6309] = {.lex_state = 191},
  [6310] = {.lex_state = 193},
  [6311] = {.lex_state = 191},
  [6312] = {.lex_state = 171},
  [6313] = {.lex_state = 191},
  [6314] = {.lex_state = 233},
  [6315] = {.lex_state = 233},
  [6316] = {.lex_state = 332},
  [6317] = {.lex_state = 233},
  [6318] = {.lex_state = 233},
  [6319] = {.lex_state = 191},
  [6320] = {.lex_state = 171},
  [6321] = {.lex_state = 233},
  [6322] = {.lex_state = 233},
  [6323] = {.lex_state = 193},
  [6324] = {.lex_state = 332},
  [6325] = {.lex_state = 332},
  [6326] = {.lex_state = 233},
  [6327] = {.lex_state = 189},
  [6328] = {.lex_state = 189},
  [6329] = {.lex_state = 189},
  [6330] = {.lex_state = 189},
  [6331] = {.lex_state = 191},
  [6332] = {.lex_state = 233},
  [6333] = {.lex_state = 189},
  [6334] = {.lex_state = 0},
  [6335] = {.lex_state = 233},
  [6336] = {.lex_state = 189},
  [6337] = {.lex_state = 233},
  [6338] = {.lex_state = 233},
  [6339] = {.lex_state = 189},
  [6340] = {.lex_state = 332},
  [6341] = {.lex_state = 0},
  [6342] = {.lex_state = 189},
  [6343] = {.lex_state = 191},
  [6344] = {.lex_state = 233},
  [6345] = {.lex_state = 191},
  [6346] = {.lex_state = 233},
  [6347] = {.lex_state = 191},
  [6348] = {.lex_state = 191},
  [6349] = {.lex_state = 233},
  [6350] = {.lex_state = 189},
  [6351] = {.lex_state = 171},
  [6352] = {.lex_state = 189},
  [6353] = {.lex_state = 191},
  [6354] = {.lex_state = 191},
  [6355] = {.lex_state = 191},
  [6356] = {.lex_state = 191},
  [6357] = {.lex_state = 191},
  [6358] = {.lex_state = 191},
  [6359] = {.lex_state = 191},
  [6360] = {.lex_state = 191},
  [6361] = {.lex_state = 191},
  [6362] = {.lex_state = 191},
  [6363] = {.lex_state = 191},
  [6364] = {.lex_state = 189},
  [6365] = {.lex_state = 191},
  [6366] = {.lex_state = 332},
  [6367] = {.lex_state = 191},
  [6368] = {.lex_state = 171},
  [6369] = {.lex_state = 191},
  [6370] = {.lex_state = 191},
  [6371] = {.lex_state = 171},
  [6372] = {.lex_state = 191},
  [6373] = {.lex_state = 176},
  [6374] = {.lex_state = 191},
  [6375] = {.lex_state = 191},
  [6376] = {.lex_state = 332},
  [6377] = {.lex_state = 191},
  [6378] = {.lex_state = 191},
  [6379] = {.lex_state = 176},
  [6380] = {.lex_state = 176},
  [6381] = {.lex_state = 176},
  [6382] = {.lex_state = 176},
  [6383] = {.lex_state = 191},
  [6384] = {.lex_state = 211},
  [6385] = {.lex_state = 176},
  [6386] = {.lex_state = 176},
  [6387] = {.lex_state = 191},
  [6388] = {.lex_state = 191},
  [6389] = {.lex_state = 176},
  [6390] = {.lex_state = 191},
  [6391] = {.lex_state = 191},
  [6392] = {.lex_state = 191},
  [6393] = {.lex_state = 191},
  [6394] = {.lex_state = 191},
  [6395] = {.lex_state = 191},
  [6396] = {.lex_state = 191},
  [6397] = {.lex_state = 191},
  [6398] = {.lex_state = 332},
  [6399] = {.lex_state = 191},
  [6400] = {.lex_state = 191},
  [6401] = {.lex_state = 171},
  [6402] = {.lex_state = 191},
  [6403] = {.lex_state = 191},
  [6404] = {.lex_state = 191},
  [6405] = {.lex_state = 191},
  [6406] = {.lex_state = 191},
  [6407] = {.lex_state = 191},
  [6408] = {.lex_state = 191},
  [6409] = {.lex_state = 211},
  [6410] = {.lex_state = 233},
  [6411] = {.lex_state = 171},
  [6412] = {.lex_state = 191},
  [6413] = {.lex_state = 191},
  [6414] = {.lex_state = 191},
  [6415] = {.lex_state = 171},
  [6416] = {.lex_state = 191},
  [6417] = {.lex_state = 191},
  [6418] = {.lex_state = 191},
  [6419] = {.lex_state = 191},
  [6420] = {.lex_state = 171},
  [6421] = {.lex_state = 332},
  [6422] = {.lex_state = 191},
  [6423] = {.lex_state = 191},
  [6424] = {.lex_state = 332},
  [6425] = {.lex_state = 191},
  [6426] = {.lex_state = 233},
  [6427] = {.lex_state = 171},
  [6428] = {.lex_state = 171},
  [6429] = {.lex_state = 106},
  [6430] = {.lex_state = 233},
  [6431] = {.lex_state = 176},
  [6432] = {.lex_state = 108},
  [6433] = {.lex_state = 106},
  [6434] = {.lex_state = 0},
  [6435] = {.lex_state = 191},
  [6436] = {.lex_state = 171},
  [6437] = {.lex_state = 171},
  [6438] = {.lex_state = 106},
  [6439] = {.lex_state = 176},
  [6440] = {.lex_state = 108},
  [6441] = {.lex_state = 106},
  [6442] = {.lex_state = 191},
  [6443] = {.lex_state = 0},
  [6444] = {.lex_state = 191},
  [6445] = {.lex_state = 106},
  [6446] = {.lex_state = 171},
  [6447] = {.lex_state = 191},
  [6448] = {.lex_state = 106},
  [6449] = {.lex_state = 332},
  [6450] = {.lex_state = 0},
  [6451] = {.lex_state = 191},
  [6452] = {.lex_state = 106},
  [6453] = {.lex_state = 171},
  [6454] = {.lex_state = 191},
  [6455] = {.lex_state = 106},
  [6456] = {.lex_state = 332},
  [6457] = {.lex_state = 0},
  [6458] = {.lex_state = 106},
  [6459] = {.lex_state = 106},
  [6460] = {.lex_state = 0},
  [6461] = {.lex_state = 106},
  [6462] = {.lex_state = 106},
  [6463] = {.lex_state = 0},
  [6464] = {.lex_state = 332},
  [6465] = {.lex_state = 176},
  [6466] = {.lex_state = 171},
  [6467] = {.lex_state = 106},
  [6468] = {.lex_state = 106},
  [6469] = {.lex_state = 106},
  [6470] = {.lex_state = 0},
  [6471] = {.lex_state = 106},
  [6472] = {.lex_state = 106},
  [6473] = {.lex_state = 106},
  [6474] = {.lex_state = 106},
  [6475] = {.lex_state = 171},
  [6476] = {.lex_state = 109},
  [6477] = {.lex_state = 0},
  [6478] = {.lex_state = 176},
  [6479] = {.lex_state = 108},
  [6480] = {.lex_state = 106},
  [6481] = {.lex_state = 176},
  [6482] = {.lex_state = 108},
  [6483] = {.lex_state = 332},
  [6484] = {.lex_state = 171},
  [6485] = {.lex_state = 106},
  [6486] = {.lex_state = 332},
  [6487] = {.lex_state = 176},
  [6488] = {.lex_state = 171},
  [6489] = {.lex_state = 332},
  [6490] = {.lex_state = 171},
  [6491] = {.lex_state = 191},
  [6492] = {.lex_state = 191},
  [6493] = {.lex_state = 233},
  [6494] = {.lex_state = 191},
  [6495] = {.lex_state = 171},
  [6496] = {.lex_state = 332},
  [6497] = {.lex_state = 176},
  [6498] = {.lex_state = 176},
  [6499] = {.lex_state = 0},
  [6500] = {.lex_state = 332},
  [6501] = {.lex_state = 106},
  [6502] = {.lex_state = 108},
  [6503] = {.lex_state = 0},
  [6504] = {.lex_state = 332},
  [6505] = {.lex_state = 171},
  [6506] = {.lex_state = 109},
  [6507] = {.lex_state = 191},
  [6508] = {.lex_state = 191},
  [6509] = {.lex_state = 332},
  [6510] = {.lex_state = 176},
  [6511] = {.lex_state = 176},
  [6512] = {.lex_state = 233},
  [6513] = {.lex_state = 176},
  [6514] = {.lex_state = 176},
  [6515] = {.lex_state = 191},
  [6516] = {.lex_state = 108},
  [6517] = {.lex_state = 106},
  [6518] = {.lex_state = 176},
  [6519] = {.lex_state = 332},
  [6520] = {.lex_state = 332},
  [6521] = {.lex_state = 191},
  [6522] = {.lex_state = 106},
  [6523] = {.lex_state = 191},
  [6524] = {.lex_state = 332},
  [6525] = {.lex_state = 191},
  [6526] = {.lex_state = 171},
  [6527] = {.lex_state = 191},
  [6528] = {.lex_state = 191},
  [6529] = {.lex_state = 191},
  [6530] = {.lex_state = 171},
  [6531] = {.lex_state = 191},
  [6532] = {.lex_state = 191},
  [6533] = {.lex_state = 332},
  [6534] = {.lex_state = 332},
  [6535] = {.lex_state = 176},
  [6536] = {.lex_state = 0},
  [6537] = {.lex_state = 191},
  [6538] = {.lex_state = 0},
  [6539] = {.lex_state = 171},
  [6540] = {.lex_state = 332},
  [6541] = {.lex_state = 106},
  [6542] = {.lex_state = 176},
  [6543] = {.lex_state = 176},
  [6544] = {.lex_state = 191},
  [6545] = {.lex_state = 171},
  [6546] = {.lex_state = 176},
  [6547] = {.lex_state = 171},
  [6548] = {.lex_state = 171},
  [6549] = {.lex_state = 108},
  [6550] = {.lex_state = 106},
  [6551] = {.lex_state = 176},
  [6552] = {.lex_state = 191},
  [6553] = {.lex_state = 191},
  [6554] = {.lex_state = 233},
  [6555] = {.lex_state = 191},
  [6556] = {.lex_state = 0},
  [6557] = {.lex_state = 332},
  [6558] = {.lex_state = 332},
  [6559] = {.lex_state = 171},
  [6560] = {.lex_state = 171},
  [6561] = {.lex_state = 191},
  [6562] = {.lex_state = 191},
  [6563] = {.lex_state = 109},
  [6564] = {.lex_state = 332},
  [6565] = {.lex_state = 176},
  [6566] = {.lex_state = 176},
  [6567] = {.lex_state = 176},
  [6568] = {.lex_state = 0},
  [6569] = {.lex_state = 332},
  [6570] = {.lex_state = 0},
  [6571] = {.lex_state = 233},
  [6572] = {.lex_state = 0},
  [6573] = {.lex_state = 176},
  [6574] = {.lex_state = 171},
  [6575] = {.lex_state = 191},
  [6576] = {.lex_state = 191},
  [6577] = {.lex_state = 176},
  [6578] = {.lex_state = 176},
  [6579] = {.lex_state = 233},
  [6580] = {.lex_state = 191},
  [6581] = {.lex_state = 211},
  [6582] = {.lex_state = 233},
  [6583] = {.lex_state = 106},
  [6584] = {.lex_state = 176},
  [6585] = {.lex_state = 233},
  [6586] = {.lex_state = 233},
  [6587] = {.lex_state = 171},
  [6588] = {.lex_state = 109},
  [6589] = {.lex_state = 332},
  [6590] = {.lex_state = 176},
  [6591] = {.lex_state = 106},
  [6592] = {.lex_state = 176},
  [6593] = {.lex_state = 332},
  [6594] = {.lex_state = 191},
  [6595] = {.lex_state = 108},
  [6596] = {.lex_state = 106},
  [6597] = {.lex_state = 191},
  [6598] = {.lex_state = 0},
  [6599] = {.lex_state = 332},
  [6600] = {.lex_state = 106},
  [6601] = {.lex_state = 106},
  [6602] = {.lex_state = 109},
  [6603] = {.lex_state = 332},
  [6604] = {.lex_state = 171},
  [6605] = {.lex_state = 176},
  [6606] = {.lex_state = 109},
  [6607] = {.lex_state = 108},
  [6608] = {.lex_state = 108},
  [6609] = {.lex_state = 332},
  [6610] = {.lex_state = 106},
  [6611] = {.lex_state = 191},
  [6612] = {.lex_state = 332},
  [6613] = {.lex_state = 191},
  [6614] = {.lex_state = 332},
  [6615] = {.lex_state = 176},
  [6616] = {.lex_state = 332},
  [6617] = {.lex_state = 0},
  [6618] = {.lex_state = 171},
  [6619] = {.lex_state = 332},
  [6620] = {.lex_state = 106},
  [6621] = {.lex_state = 191},
  [6622] = {.lex_state = 0},
  [6623] = {.lex_state = 171},
  [6624] = {.lex_state = 191},
  [6625] = {.lex_state = 171},
  [6626] = {.lex_state = 191},
  [6627] = {.lex_state = 191},
  [6628] = {.lex_state = 176},
  [6629] = {.lex_state = 176},
  [6630] = {.lex_state = 191},
  [6631] = {.lex_state = 176},
  [6632] = {.lex_state = 191},
  [6633] = {.lex_state = 332},
  [6634] = {.lex_state = 332},
  [6635] = {.lex_state = 332},
  [6636] = {.lex_state = 0},
  [6637] = {.lex_state = 191},
  [6638] = {.lex_state = 171},
  [6639] = {.lex_state = 332},
  [6640] = {.lex_state = 332},
  [6641] = {.lex_state = 191},
  [6642] = {.lex_state = 191},
  [6643] = {.lex_state = 171},
  [6644] = {.lex_state = 332},
  [6645] = {.lex_state = 332},
  [6646] = {.lex_state = 171},
  [6647] = {.lex_state = 191},
  [6648] = {.lex_state = 191},
  [6649] = {.lex_state = 191},
  [6650] = {.lex_state = 332},
  [6651] = {.lex_state = 332},
  [6652] = {.lex_state = 106},
  [6653] = {.lex_state = 176},
  [6654] = {.lex_state = 176},
  [6655] = {.lex_state = 106},
  [6656] = {.lex_state = 332},
  [6657] = {.lex_state = 332},
  [6658] = {.lex_state = 108},
  [6659] = {.lex_state = 332},
  [6660] = {.lex_state = 332},
  [6661] = {.lex_state = 332},
  [6662] = {.lex_state = 332},
  [6663] = {.lex_state = 176},
  [6664] = {.lex_state = 176},
  [6665] = {.lex_state = 176},
  [6666] = {.lex_state = 191},
  [6667] = {.lex_state = 191},
  [6668] = {.lex_state = 191},
  [6669] = {.lex_state = 191},
  [6670] = {.lex_state = 191},
  [6671] = {.lex_state = 108},
  [6672] = {.lex_state = 106},
  [6673] = {.lex_state = 0},
  [6674] = {.lex_state = 106},
  [6675] = {.lex_state = 176},
  [6676] = {.lex_state = 332},
  [6677] = {.lex_state = 171},
  [6678] = {.lex_state = 106},
  [6679] = {.lex_state = 108},
  [6680] = {.lex_state = 332},
  [6681] = {.lex_state = 106},
  [6682] = {.lex_state = 109},
  [6683] = {.lex_state = 176},
  [6684] = {.lex_state = 332},
  [6685] = {.lex_state = 176},
  [6686] = {.lex_state = 191},
  [6687] = {.lex_state = 0},
  [6688] = {.lex_state = 176},
  [6689] = {.lex_state = 0},
  [6690] = {.lex_state = 0},
  [6691] = {.lex_state = 0},
  [6692] = {.lex_state = 0},
  [6693] = {.lex_state = 0},
  [6694] = {.lex_state = 191},
  [6695] = {.lex_state = 0},
  [6696] = {.lex_state = 0},
  [6697] = {.lex_state = 0},
  [6698] = {.lex_state = 0},
  [6699] = {.lex_state = 0},
  [6700] = {.lex_state = 0},
  [6701] = {.lex_state = 0},
  [6702] = {.lex_state = 0},
  [6703] = {.lex_state = 0},
  [6704] = {.lex_state = 0},
  [6705] = {.lex_state = 0},
  [6706] = {.lex_state = 176},
  [6707] = {.lex_state = 0},
  [6708] = {.lex_state = 0},
  [6709] = {.lex_state = 0},
  [6710] = {.lex_state = 191},
  [6711] = {.lex_state = 191},
  [6712] = {.lex_state = 0},
  [6713] = {.lex_state = 0},
  [6714] = {.lex_state = 0},
  [6715] = {.lex_state = 332},
  [6716] = {.lex_state = 0},
  [6717] = {.lex_state = 0},
  [6718] = {.lex_state = 0},
  [6719] = {.lex_state = 176},
  [6720] = {.lex_state = 191},
  [6721] = {.lex_state = 176},
  [6722] = {.lex_state = 0},
  [6723] = {.lex_state = 0},
  [6724] = {.lex_state = 0},
  [6725] = {.lex_state = 191},
  [6726] = {.lex_state = 0},
  [6727] = {.lex_state = 191},
  [6728] = {.lex_state = 0},
  [6729] = {.lex_state = 0},
  [6730] = {.lex_state = 0},
  [6731] = {.lex_state = 0},
  [6732] = {.lex_state = 0},
  [6733] = {.lex_state = 0},
  [6734] = {.lex_state = 0},
  [6735] = {.lex_state = 0},
  [6736] = {.lex_state = 191},
  [6737] = {.lex_state = 332},
  [6738] = {.lex_state = 0},
  [6739] = {.lex_state = 0},
  [6740] = {.lex_state = 176},
  [6741] = {.lex_state = 191},
  [6742] = {.lex_state = 176},
  [6743] = {.lex_state = 0},
  [6744] = {.lex_state = 0},
  [6745] = {.lex_state = 0},
  [6746] = {.lex_state = 0},
  [6747] = {.lex_state = 176},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 0},
  [6751] = {.lex_state = 0},
  [6752] = {.lex_state = 0},
  [6753] = {.lex_state = 176},
  [6754] = {.lex_state = 191},
  [6755] = {.lex_state = 0},
  [6756] = {.lex_state = 0},
  [6757] = {.lex_state = 0},
  [6758] = {.lex_state = 0},
  [6759] = {.lex_state = 0},
  [6760] = {.lex_state = 332},
  [6761] = {.lex_state = 0},
  [6762] = {.lex_state = 176},
  [6763] = {.lex_state = 176},
  [6764] = {.lex_state = 0},
  [6765] = {.lex_state = 176},
  [6766] = {.lex_state = 191},
  [6767] = {.lex_state = 191},
  [6768] = {.lex_state = 0},
  [6769] = {.lex_state = 0},
  [6770] = {.lex_state = 0},
  [6771] = {.lex_state = 0},
  [6772] = {.lex_state = 176},
  [6773] = {.lex_state = 0},
  [6774] = {.lex_state = 191},
  [6775] = {.lex_state = 0},
  [6776] = {.lex_state = 0},
  [6777] = {.lex_state = 0},
  [6778] = {.lex_state = 0},
  [6779] = {.lex_state = 176},
  [6780] = {.lex_state = 176},
  [6781] = {.lex_state = 0},
  [6782] = {.lex_state = 176},
  [6783] = {.lex_state = 176},
  [6784] = {.lex_state = 191},
  [6785] = {.lex_state = 160},
  [6786] = {.lex_state = 0},
  [6787] = {.lex_state = 0},
  [6788] = {.lex_state = 0},
  [6789] = {.lex_state = 0},
  [6790] = {.lex_state = 0},
  [6791] = {.lex_state = 0},
  [6792] = {.lex_state = 191},
  [6793] = {.lex_state = 176},
  [6794] = {.lex_state = 0},
  [6795] = {.lex_state = 0},
  [6796] = {.lex_state = 0},
  [6797] = {.lex_state = 0},
  [6798] = {.lex_state = 176},
  [6799] = {.lex_state = 0},
  [6800] = {.lex_state = 176},
  [6801] = {.lex_state = 191},
  [6802] = {.lex_state = 176},
  [6803] = {.lex_state = 0},
  [6804] = {.lex_state = 0},
  [6805] = {.lex_state = 0},
  [6806] = {.lex_state = 0},
  [6807] = {.lex_state = 0},
  [6808] = {.lex_state = 176},
  [6809] = {.lex_state = 191},
  [6810] = {.lex_state = 0},
  [6811] = {.lex_state = 191},
  [6812] = {.lex_state = 191},
  [6813] = {.lex_state = 191},
  [6814] = {.lex_state = 108},
  [6815] = {.lex_state = 176},
  [6816] = {.lex_state = 191},
  [6817] = {.lex_state = 171},
  [6818] = {.lex_state = 0},
  [6819] = {.lex_state = 0},
  [6820] = {.lex_state = 191},
  [6821] = {.lex_state = 332},
  [6822] = {.lex_state = 0},
  [6823] = {.lex_state = 0},
  [6824] = {.lex_state = 0},
  [6825] = {.lex_state = 0},
  [6826] = {.lex_state = 0},
  [6827] = {.lex_state = 176},
  [6828] = {.lex_state = 176},
  [6829] = {.lex_state = 191},
  [6830] = {.lex_state = 0},
  [6831] = {.lex_state = 0},
  [6832] = {.lex_state = 191},
  [6833] = {.lex_state = 0},
  [6834] = {.lex_state = 191},
  [6835] = {.lex_state = 191},
  [6836] = {.lex_state = 0},
  [6837] = {.lex_state = 332},
  [6838] = {.lex_state = 176},
  [6839] = {.lex_state = 0},
  [6840] = {.lex_state = 191},
  [6841] = {.lex_state = 191},
  [6842] = {.lex_state = 0},
  [6843] = {.lex_state = 191},
  [6844] = {.lex_state = 0},
  [6845] = {.lex_state = 0},
  [6846] = {.lex_state = 176},
  [6847] = {.lex_state = 0},
  [6848] = {.lex_state = 0},
  [6849] = {.lex_state = 0},
  [6850] = {.lex_state = 111},
  [6851] = {.lex_state = 0},
  [6852] = {.lex_state = 0},
  [6853] = {.lex_state = 0},
  [6854] = {.lex_state = 0},
  [6855] = {.lex_state = 176},
  [6856] = {.lex_state = 332},
  [6857] = {.lex_state = 0},
  [6858] = {.lex_state = 332},
  [6859] = {.lex_state = 0},
  [6860] = {.lex_state = 0},
  [6861] = {.lex_state = 191},
  [6862] = {.lex_state = 0},
  [6863] = {.lex_state = 0},
  [6864] = {.lex_state = 0},
  [6865] = {.lex_state = 191},
  [6866] = {.lex_state = 0},
  [6867] = {.lex_state = 191},
  [6868] = {.lex_state = 191},
  [6869] = {.lex_state = 0},
  [6870] = {.lex_state = 0},
  [6871] = {.lex_state = 0},
  [6872] = {.lex_state = 332},
  [6873] = {.lex_state = 0},
  [6874] = {.lex_state = 191},
  [6875] = {.lex_state = 191},
  [6876] = {.lex_state = 176},
  [6877] = {.lex_state = 0},
  [6878] = {.lex_state = 0},
  [6879] = {.lex_state = 0},
  [6880] = {.lex_state = 0},
  [6881] = {.lex_state = 332},
  [6882] = {.lex_state = 0},
  [6883] = {.lex_state = 0},
  [6884] = {.lex_state = 0},
  [6885] = {.lex_state = 0},
  [6886] = {.lex_state = 0},
  [6887] = {.lex_state = 0},
  [6888] = {.lex_state = 0},
  [6889] = {.lex_state = 0},
  [6890] = {.lex_state = 176},
  [6891] = {.lex_state = 332},
  [6892] = {.lex_state = 0},
  [6893] = {.lex_state = 0},
  [6894] = {.lex_state = 0},
  [6895] = {.lex_state = 0},
  [6896] = {.lex_state = 0},
  [6897] = {.lex_state = 191},
  [6898] = {.lex_state = 0},
  [6899] = {.lex_state = 191},
  [6900] = {.lex_state = 108},
  [6901] = {.lex_state = 191},
  [6902] = {.lex_state = 332},
  [6903] = {.lex_state = 0},
  [6904] = {.lex_state = 332},
  [6905] = {.lex_state = 0},
  [6906] = {.lex_state = 211},
  [6907] = {.lex_state = 0},
  [6908] = {.lex_state = 191},
  [6909] = {.lex_state = 191},
  [6910] = {.lex_state = 191},
  [6911] = {.lex_state = 0},
  [6912] = {.lex_state = 0},
  [6913] = {.lex_state = 0},
  [6914] = {.lex_state = 0},
  [6915] = {.lex_state = 176},
  [6916] = {.lex_state = 0},
  [6917] = {.lex_state = 0},
  [6918] = {.lex_state = 0},
  [6919] = {.lex_state = 176},
  [6920] = {.lex_state = 176},
  [6921] = {.lex_state = 0},
  [6922] = {.lex_state = 0},
  [6923] = {.lex_state = 0},
  [6924] = {.lex_state = 0},
  [6925] = {.lex_state = 0},
  [6926] = {.lex_state = 176},
  [6927] = {.lex_state = 176},
  [6928] = {.lex_state = 0},
  [6929] = {.lex_state = 191},
  [6930] = {.lex_state = 191},
  [6931] = {.lex_state = 176},
  [6932] = {.lex_state = 0},
  [6933] = {.lex_state = 0},
  [6934] = {.lex_state = 111},
  [6935] = {.lex_state = 0},
  [6936] = {.lex_state = 0},
  [6937] = {.lex_state = 191},
  [6938] = {.lex_state = 108},
  [6939] = {.lex_state = 176},
  [6940] = {.lex_state = 176},
  [6941] = {.lex_state = 176},
  [6942] = {.lex_state = 0},
  [6943] = {.lex_state = 0},
  [6944] = {.lex_state = 0},
  [6945] = {.lex_state = 176},
  [6946] = {.lex_state = 176},
  [6947] = {.lex_state = 191},
  [6948] = {.lex_state = 0},
  [6949] = {.lex_state = 0},
  [6950] = {.lex_state = 0},
  [6951] = {.lex_state = 176},
  [6952] = {.lex_state = 0},
  [6953] = {.lex_state = 111},
  [6954] = {.lex_state = 0},
  [6955] = {.lex_state = 0},
  [6956] = {.lex_state = 0},
  [6957] = {.lex_state = 0},
  [6958] = {.lex_state = 108},
  [6959] = {.lex_state = 0},
  [6960] = {.lex_state = 176},
  [6961] = {.lex_state = 0},
  [6962] = {.lex_state = 176},
  [6963] = {.lex_state = 0},
  [6964] = {.lex_state = 191},
  [6965] = {.lex_state = 191},
  [6966] = {.lex_state = 0},
  [6967] = {.lex_state = 0},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 0},
  [6970] = {.lex_state = 108},
  [6971] = {.lex_state = 191},
  [6972] = {.lex_state = 0},
  [6973] = {.lex_state = 0},
  [6974] = {.lex_state = 191},
  [6975] = {.lex_state = 176},
  [6976] = {.lex_state = 0},
  [6977] = {.lex_state = 176},
  [6978] = {.lex_state = 0},
  [6979] = {.lex_state = 0},
  [6980] = {.lex_state = 0},
  [6981] = {.lex_state = 191},
  [6982] = {.lex_state = 108},
  [6983] = {.lex_state = 0},
  [6984] = {.lex_state = 191},
  [6985] = {.lex_state = 332},
  [6986] = {.lex_state = 0},
  [6987] = {.lex_state = 0},
  [6988] = {.lex_state = 176},
  [6989] = {.lex_state = 0},
  [6990] = {.lex_state = 108},
  [6991] = {.lex_state = 0},
  [6992] = {.lex_state = 108},
  [6993] = {.lex_state = 0},
  [6994] = {.lex_state = 176},
  [6995] = {.lex_state = 176},
  [6996] = {.lex_state = 108},
  [6997] = {.lex_state = 0},
  [6998] = {.lex_state = 108},
  [6999] = {.lex_state = 108},
  [7000] = {.lex_state = 191},
  [7001] = {.lex_state = 0},
  [7002] = {.lex_state = 0},
  [7003] = {.lex_state = 111},
  [7004] = {.lex_state = 0},
  [7005] = {.lex_state = 0},
  [7006] = {.lex_state = 171},
  [7007] = {.lex_state = 0},
  [7008] = {.lex_state = 191},
  [7009] = {.lex_state = 191},
  [7010] = {.lex_state = 176},
  [7011] = {.lex_state = 191},
  [7012] = {.lex_state = 332},
  [7013] = {.lex_state = 0},
  [7014] = {.lex_state = 176},
  [7015] = {.lex_state = 176},
  [7016] = {.lex_state = 0},
  [7017] = {.lex_state = 332},
  [7018] = {.lex_state = 176},
  [7019] = {.lex_state = 176},
  [7020] = {.lex_state = 0},
  [7021] = {.lex_state = 176},
  [7022] = {.lex_state = 176},
  [7023] = {.lex_state = 0},
  [7024] = {.lex_state = 0},
  [7025] = {.lex_state = 0},
  [7026] = {.lex_state = 0},
  [7027] = {.lex_state = 191},
  [7028] = {.lex_state = 332},
  [7029] = {.lex_state = 0},
  [7030] = {.lex_state = 176},
  [7031] = {.lex_state = 0},
  [7032] = {.lex_state = 176},
  [7033] = {.lex_state = 176},
  [7034] = {.lex_state = 0},
  [7035] = {.lex_state = 0},
  [7036] = {.lex_state = 0},
  [7037] = {.lex_state = 0},
  [7038] = {.lex_state = 0},
  [7039] = {.lex_state = 0},
  [7040] = {.lex_state = 0},
  [7041] = {.lex_state = 332},
  [7042] = {.lex_state = 191},
  [7043] = {.lex_state = 191},
  [7044] = {.lex_state = 0},
  [7045] = {.lex_state = 108},
  [7046] = {.lex_state = 332},
  [7047] = {.lex_state = 0},
  [7048] = {.lex_state = 332},
  [7049] = {.lex_state = 176},
  [7050] = {.lex_state = 176},
  [7051] = {.lex_state = 0},
  [7052] = {.lex_state = 191},
  [7053] = {.lex_state = 0},
  [7054] = {.lex_state = 176},
  [7055] = {.lex_state = 176},
  [7056] = {.lex_state = 176},
  [7057] = {.lex_state = 0},
  [7058] = {.lex_state = 0},
  [7059] = {.lex_state = 0},
  [7060] = {.lex_state = 0},
  [7061] = {.lex_state = 0},
  [7062] = {.lex_state = 176},
  [7063] = {.lex_state = 0},
  [7064] = {.lex_state = 0},
  [7065] = {.lex_state = 191},
  [7066] = {.lex_state = 191},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 191},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 0},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 0},
  [7074] = {.lex_state = 171},
  [7075] = {.lex_state = 332},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 0},
  [7079] = {.lex_state = 332},
  [7080] = {.lex_state = 0},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 0},
  [7083] = {.lex_state = 110},
  [7084] = {.lex_state = 0},
  [7085] = {.lex_state = 0},
  [7086] = {.lex_state = 0},
  [7087] = {.lex_state = 191},
  [7088] = {.lex_state = 0},
  [7089] = {.lex_state = 0},
  [7090] = {.lex_state = 0},
  [7091] = {.lex_state = 332},
  [7092] = {.lex_state = 0},
  [7093] = {.lex_state = 332},
  [7094] = {.lex_state = 110},
  [7095] = {.lex_state = 0},
  [7096] = {.lex_state = 0},
  [7097] = {.lex_state = 191},
  [7098] = {.lex_state = 0},
  [7099] = {.lex_state = 332},
  [7100] = {.lex_state = 0},
  [7101] = {.lex_state = 0},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 0},
  [7104] = {.lex_state = 0},
  [7105] = {.lex_state = 0},
  [7106] = {.lex_state = 0},
  [7107] = {.lex_state = 191},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 0},
  [7110] = {.lex_state = 191},
  [7111] = {.lex_state = 110},
  [7112] = {.lex_state = 110},
  [7113] = {.lex_state = 0},
  [7114] = {.lex_state = 191},
  [7115] = {.lex_state = 0},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 191},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 0},
  [7120] = {.lex_state = 191},
  [7121] = {.lex_state = 0},
  [7122] = {.lex_state = 332},
  [7123] = {.lex_state = 0},
  [7124] = {.lex_state = 191},
  [7125] = {.lex_state = 0},
  [7126] = {.lex_state = 110},
  [7127] = {.lex_state = 332},
  [7128] = {.lex_state = 332},
  [7129] = {.lex_state = 0},
  [7130] = {.lex_state = 332},
  [7131] = {.lex_state = 0},
  [7132] = {.lex_state = 0},
  [7133] = {.lex_state = 332},
  [7134] = {.lex_state = 0},
  [7135] = {.lex_state = 0},
  [7136] = {.lex_state = 0},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 0},
  [7139] = {.lex_state = 332},
  [7140] = {.lex_state = 0},
  [7141] = {.lex_state = 110},
  [7142] = {.lex_state = 332},
  [7143] = {.lex_state = 0},
  [7144] = {.lex_state = 332},
  [7145] = {.lex_state = 332},
  [7146] = {.lex_state = 0},
  [7147] = {.lex_state = 0},
  [7148] = {.lex_state = 0},
  [7149] = {.lex_state = 0},
  [7150] = {.lex_state = 0},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 191},
  [7153] = {.lex_state = 0},
  [7154] = {.lex_state = 332},
  [7155] = {.lex_state = 0},
  [7156] = {.lex_state = 332},
  [7157] = {.lex_state = 0},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 332},
  [7160] = {.lex_state = 0},
  [7161] = {.lex_state = 0},
  [7162] = {.lex_state = 0},
  [7163] = {.lex_state = 0},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 332},
  [7166] = {.lex_state = 110},
  [7167] = {.lex_state = 332},
  [7168] = {.lex_state = 332},
  [7169] = {.lex_state = 0},
  [7170] = {.lex_state = 0},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 191},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 332},
  [7176] = {.lex_state = 332},
  [7177] = {.lex_state = 332},
  [7178] = {.lex_state = 332},
  [7179] = {.lex_state = 0},
  [7180] = {.lex_state = 0},
  [7181] = {.lex_state = 191},
  [7182] = {.lex_state = 0},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 191},
  [7186] = {.lex_state = 332},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 332},
  [7189] = {.lex_state = 0},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 191},
  [7192] = {.lex_state = 332},
  [7193] = {.lex_state = 0},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 0},
  [7196] = {.lex_state = 0},
  [7197] = {.lex_state = 332},
  [7198] = {.lex_state = 332},
  [7199] = {.lex_state = 332},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 0},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 0},
  [7207] = {.lex_state = 332},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 0},
  [7213] = {.lex_state = 0},
  [7214] = {.lex_state = 0},
  [7215] = {.lex_state = 0},
  [7216] = {.lex_state = 332},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 191},
  [7219] = {.lex_state = 332},
  [7220] = {.lex_state = 191},
  [7221] = {.lex_state = 0},
  [7222] = {.lex_state = 191},
  [7223] = {.lex_state = 332},
  [7224] = {.lex_state = 332},
  [7225] = {.lex_state = 332},
  [7226] = {.lex_state = 0},
  [7227] = {.lex_state = 0},
  [7228] = {.lex_state = 191},
  [7229] = {.lex_state = 332},
  [7230] = {.lex_state = 0},
  [7231] = {.lex_state = 332},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 332},
  [7235] = {.lex_state = 332},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 0},
  [7238] = {.lex_state = 332},
  [7239] = {.lex_state = 332},
  [7240] = {.lex_state = 191},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 0},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 110},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 191},
  [7247] = {.lex_state = 332},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 332},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 0},
  [7253] = {.lex_state = 191},
  [7254] = {.lex_state = 332},
  [7255] = {.lex_state = 332},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 332},
  [7258] = {.lex_state = 0},
  [7259] = {.lex_state = 332},
  [7260] = {.lex_state = 110},
  [7261] = {.lex_state = 0},
  [7262] = {.lex_state = 332},
  [7263] = {.lex_state = 191},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 332},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 332},
  [7273] = {.lex_state = 191},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 110},
  [7277] = {.lex_state = 332},
  [7278] = {.lex_state = 191},
  [7279] = {.lex_state = 191},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 332},
  [7282] = {.lex_state = 332},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 332},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 191},
  [7288] = {.lex_state = 0},
  [7289] = {.lex_state = 0},
  [7290] = {.lex_state = 191},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 332},
  [7294] = {.lex_state = 0},
  [7295] = {.lex_state = 332},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 332},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 332},
  [7300] = {.lex_state = 332},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 0},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 332},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 0},
  [7309] = {.lex_state = 191},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 191},
  [7312] = {.lex_state = 110},
  [7313] = {.lex_state = 332},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 332},
  [7316] = {.lex_state = 332},
  [7317] = {.lex_state = 332},
  [7318] = {.lex_state = 191},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 191},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 191},
  [7324] = {.lex_state = 0},
  [7325] = {.lex_state = 332, .external_lex_state = 2},
  [7326] = {.lex_state = 332},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 191},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 332},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 0},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 0},
  [7338] = {.lex_state = 0},
  [7339] = {.lex_state = 0},
  [7340] = {.lex_state = 332},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 0},
  [7344] = {.lex_state = 0},
  [7345] = {.lex_state = 110},
  [7346] = {.lex_state = 191},
  [7347] = {.lex_state = 191},
  [7348] = {.lex_state = 191},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 191},
  [7352] = {.lex_state = 110},
  [7353] = {.lex_state = 191},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 332},
  [7360] = {.lex_state = 332, .external_lex_state = 2},
  [7361] = {.lex_state = 110},
  [7362] = {.lex_state = 0},
  [7363] = {.lex_state = 191},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 0},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 332},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 0},
  [7373] = {.lex_state = 332},
  [7374] = {.lex_state = 332},
  [7375] = {.lex_state = 332},
  [7376] = {.lex_state = 0},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 0},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 332},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 110},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 332},
  [7388] = {.lex_state = 110},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 332},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 332, .external_lex_state = 2},
  [7395] = {.lex_state = 0},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 332, .external_lex_state = 2},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 332, .external_lex_state = 2},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 332, .external_lex_state = 2},
  [7403] = {.lex_state = 191},
  [7404] = {.lex_state = 332, .external_lex_state = 2},
  [7405] = {.lex_state = 332, .external_lex_state = 2},
  [7406] = {.lex_state = 332, .external_lex_state = 2},
  [7407] = {.lex_state = 332, .external_lex_state = 2},
  [7408] = {.lex_state = 332, .external_lex_state = 2},
  [7409] = {.lex_state = 332, .external_lex_state = 2},
  [7410] = {.lex_state = 332, .external_lex_state = 2},
  [7411] = {.lex_state = 332, .external_lex_state = 2},
  [7412] = {.lex_state = 332, .external_lex_state = 2},
  [7413] = {.lex_state = 332, .external_lex_state = 2},
  [7414] = {.lex_state = 332, .external_lex_state = 2},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 110},
  [7417] = {.lex_state = 0, .external_lex_state = 2},
  [7418] = {.lex_state = 0},
  [7419] = {.lex_state = 0},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 191},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 191},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 0},
  [7426] = {.lex_state = 191},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 169},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 0},
  [7433] = {.lex_state = 191},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 0, .external_lex_state = 2},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 0},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 191},
  [7445] = {.lex_state = 0},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 332},
  [7448] = {.lex_state = 176},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 0},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 176},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 332},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 191},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 0},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 0},
  [7464] = {.lex_state = 191},
  [7465] = {.lex_state = 111},
  [7466] = {.lex_state = 111},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 169},
  [7470] = {.lex_state = 0},
  [7471] = {.lex_state = 0, .external_lex_state = 2},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 0},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 332},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 191},
  [7478] = {.lex_state = 0},
  [7479] = {.lex_state = 0},
  [7480] = {.lex_state = 0},
  [7481] = {.lex_state = 111},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 191},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 0},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 169},
  [7490] = {.lex_state = 0},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 332},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 169},
  [7497] = {.lex_state = 191},
  [7498] = {.lex_state = 191},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 176},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0, .external_lex_state = 3},
  [7507] = {.lex_state = 191},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 169},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 0},
  [7514] = {.lex_state = 332},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 169},
  [7518] = {.lex_state = 0},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 191},
  [7525] = {.lex_state = 332},
  [7526] = {.lex_state = 332},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 0},
  [7530] = {.lex_state = 191},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 191},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 332},
  [7535] = {.lex_state = 332},
  [7536] = {.lex_state = 0},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 0},
  [7539] = {.lex_state = 169},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 332},
  [7543] = {.lex_state = 0},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 191},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 0},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 169},
  [7550] = {.lex_state = 169},
  [7551] = {.lex_state = 169},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 332},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 111},
  [7562] = {.lex_state = 111},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 191},
  [7565] = {.lex_state = 332},
  [7566] = {.lex_state = 176},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 111},
  [7571] = {.lex_state = 0},
  [7572] = {.lex_state = 0, .external_lex_state = 2},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 0},
  [7575] = {.lex_state = 191},
  [7576] = {.lex_state = 0},
  [7577] = {.lex_state = 176},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 169},
  [7580] = {.lex_state = 191},
  [7581] = {.lex_state = 191},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 191},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 0},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 191},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 332},
  [7592] = {.lex_state = 332},
  [7593] = {.lex_state = 0},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 191},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 191},
  [7604] = {.lex_state = 0},
  [7605] = {.lex_state = 191},
  [7606] = {.lex_state = 332},
  [7607] = {.lex_state = 191},
  [7608] = {.lex_state = 191},
  [7609] = {.lex_state = 0},
  [7610] = {.lex_state = 0},
  [7611] = {.lex_state = 169},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 191},
  [7614] = {.lex_state = 169},
  [7615] = {.lex_state = 332},
  [7616] = {.lex_state = 191},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 176},
  [7622] = {.lex_state = 0},
  [7623] = {.lex_state = 169},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 191},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 332},
  [7631] = {.lex_state = 0},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 0},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 0, .external_lex_state = 2},
  [7636] = {.lex_state = 0},
  [7637] = {.lex_state = 191},
  [7638] = {.lex_state = 0},
  [7639] = {.lex_state = 0},
  [7640] = {.lex_state = 332},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 169},
  [7644] = {.lex_state = 332},
  [7645] = {.lex_state = 191},
  [7646] = {.lex_state = 176},
  [7647] = {.lex_state = 0},
  [7648] = {.lex_state = 0},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 111},
  [7653] = {.lex_state = 169},
  [7654] = {.lex_state = 0},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 0},
  [7657] = {.lex_state = 332},
  [7658] = {.lex_state = 332},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 111},
  [7661] = {.lex_state = 0},
  [7662] = {.lex_state = 0},
  [7663] = {.lex_state = 111},
  [7664] = {.lex_state = 191},
  [7665] = {.lex_state = 0},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 0},
  [7671] = {.lex_state = 111},
  [7672] = {.lex_state = 176},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 0},
  [7678] = {.lex_state = 111},
  [7679] = {.lex_state = 191},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 0},
  [7682] = {.lex_state = 176},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0, .external_lex_state = 2},
  [7687] = {.lex_state = 0},
  [7688] = {.lex_state = 191},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 176},
  [7694] = {.lex_state = 0},
  [7695] = {.lex_state = 332},
  [7696] = {.lex_state = 0},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 191},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 332},
  [7704] = {.lex_state = 111},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 191},
  [7707] = {.lex_state = 0},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 191},
  [7711] = {.lex_state = 169},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 169},
  [7715] = {.lex_state = 111},
  [7716] = {.lex_state = 176},
  [7717] = {.lex_state = 0},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 0},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 332},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 0},
  [7725] = {.lex_state = 0, .external_lex_state = 2},
  [7726] = {.lex_state = 169},
  [7727] = {.lex_state = 332},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 191},
  [7732] = {.lex_state = 332},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 176},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0, .external_lex_state = 2},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 332},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 0, .external_lex_state = 2},
  [7750] = {.lex_state = 0},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 332},
  [7753] = {.lex_state = 332},
  [7754] = {.lex_state = 0},
  [7755] = {.lex_state = 0, .external_lex_state = 2},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 0},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 0, .external_lex_state = 2},
  [7762] = {.lex_state = 0},
  [7763] = {.lex_state = 0, .external_lex_state = 2},
  [7764] = {.lex_state = 0},
  [7765] = {.lex_state = 0, .external_lex_state = 2},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 0, .external_lex_state = 2},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 0, .external_lex_state = 2},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 0, .external_lex_state = 2},
  [7772] = {.lex_state = 191},
  [7773] = {.lex_state = 332},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 332},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 332},
  [7778] = {.lex_state = 332},
  [7779] = {.lex_state = 332},
  [7780] = {.lex_state = 191},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 332},
  [7783] = {.lex_state = 332},
  [7784] = {.lex_state = 332},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 111},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 0},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 191},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 176},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 111},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 191},
  [7801] = {.lex_state = 0},
  [7802] = {.lex_state = 332},
  [7803] = {.lex_state = 191},
  [7804] = {.lex_state = 0},
  [7805] = {.lex_state = 111},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 332},
  [7809] = {.lex_state = 0, .external_lex_state = 3},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 169},
  [7812] = {.lex_state = 111},
  [7813] = {.lex_state = 332},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 191},
  [7821] = {.lex_state = 111},
  [7822] = {.lex_state = 190},
  [7823] = {.lex_state = 191},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 0},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 234},
  [7829] = {.lex_state = 332},
  [7830] = {.lex_state = 176},
  [7831] = {.lex_state = 111},
  [7832] = {.lex_state = 332},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 332},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 167},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 332},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 169},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 0},
  [7847] = {.lex_state = 176},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 0},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 167},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 169},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 0},
  [7861] = {.lex_state = 191},
  [7862] = {.lex_state = 169},
  [7863] = {.lex_state = 191},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 191},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 191},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 169},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 0},
  [7873] = {.lex_state = 191},
  [7874] = {.lex_state = 169},
  [7875] = {.lex_state = 169},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 176},
  [7879] = {.lex_state = 191},
  [7880] = {.lex_state = 0},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 0},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 0},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 191},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 170},
  [7893] = {.lex_state = 167},
  [7894] = {.lex_state = 332},
  [7895] = {.lex_state = 167},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 191},
  [7900] = {.lex_state = 170},
  [7901] = {.lex_state = 332},
  [7902] = {.lex_state = 332},
  [7903] = {.lex_state = 176},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 191},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 0},
  [7912] = {.lex_state = 111},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 111},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 169},
  [7923] = {.lex_state = 0, .external_lex_state = 2},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 191},
  [7926] = {.lex_state = 169},
  [7927] = {.lex_state = 176},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 111},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 0},
  [7937] = {.lex_state = 191},
  [7938] = {.lex_state = 169},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 191},
  [7941] = {.lex_state = 191},
  [7942] = {.lex_state = 191},
  [7943] = {.lex_state = 191},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 191},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 0},
  [7954] = {.lex_state = 169},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 332},
  [7957] = {.lex_state = 332},
  [7958] = {.lex_state = 332},
  [7959] = {.lex_state = 332},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 332},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 191},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 191},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 332},
  [7970] = {.lex_state = 191},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 332},
  [7974] = {.lex_state = 0, .external_lex_state = 3},
  [7975] = {.lex_state = 332},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 111},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 0},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 176},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 332},
  [7987] = {.lex_state = 332},
  [7988] = {.lex_state = 332},
  [7989] = {.lex_state = 169},
  [7990] = {.lex_state = 332},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 191},
  [7994] = {.lex_state = 169},
  [7995] = {.lex_state = 332},
  [7996] = {.lex_state = 176},
  [7997] = {.lex_state = 0},
  [7998] = {.lex_state = 332},
  [7999] = {.lex_state = 0, .external_lex_state = 3},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 169},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 176},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 332},
  [8008] = {.lex_state = 332},
  [8009] = {.lex_state = 332},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 332},
  [8012] = {.lex_state = 332},
  [8013] = {.lex_state = 191},
  [8014] = {.lex_state = 191},
  [8015] = {.lex_state = 332},
  [8016] = {.lex_state = 191},
  [8017] = {.lex_state = 169},
  [8018] = {.lex_state = 332},
  [8019] = {.lex_state = 0, .external_lex_state = 3},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 176},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 332},
  [8028] = {.lex_state = 332},
  [8029] = {.lex_state = 332},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 332},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 332},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 332},
  [8037] = {.lex_state = 332},
  [8038] = {.lex_state = 0, .external_lex_state = 3},
  [8039] = {.lex_state = 0},
  [8040] = {.lex_state = 191},
  [8041] = {.lex_state = 332},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 176},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 332},
  [8047] = {.lex_state = 169},
  [8048] = {.lex_state = 332},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 191},
  [8051] = {.lex_state = 176},
  [8052] = {.lex_state = 332},
  [8053] = {.lex_state = 332},
  [8054] = {.lex_state = 0, .external_lex_state = 3},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 169},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 111},
  [8060] = {.lex_state = 332},
  [8061] = {.lex_state = 332},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 0, .external_lex_state = 3},
  [8064] = {.lex_state = 191},
  [8065] = {.lex_state = 169},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 332},
  [8069] = {.lex_state = 332},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 0, .external_lex_state = 3},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 332},
  [8075] = {.lex_state = 332},
  [8076] = {.lex_state = 0, .external_lex_state = 3},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 0, .external_lex_state = 3},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0, .external_lex_state = 3},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0, .external_lex_state = 3},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0, .external_lex_state = 3},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 0, .external_lex_state = 3},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 0, .external_lex_state = 3},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 0, .external_lex_state = 3},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 332},
  [8095] = {.lex_state = 332},
  [8096] = {.lex_state = 191},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 176},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 169},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 111},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 169},
  [8107] = {.lex_state = 332},
  [8108] = {.lex_state = 191},
  [8109] = {.lex_state = 169},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 191},
  [8113] = {.lex_state = 0, .external_lex_state = 3},
  [8114] = {.lex_state = 111},
  [8115] = {.lex_state = 169},
  [8116] = {.lex_state = 169},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 191},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 332},
  [8125] = {.lex_state = 191},
  [8126] = {.lex_state = 191},
  [8127] = {.lex_state = 169},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 191},
  [8135] = {.lex_state = 169},
  [8136] = {.lex_state = 176},
  [8137] = {.lex_state = 0},
  [8138] = {.lex_state = 0},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 191},
  [8143] = {.lex_state = 0},
  [8144] = {.lex_state = 169},
  [8145] = {.lex_state = 176},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 332},
  [8148] = {.lex_state = 191},
  [8149] = {.lex_state = 169},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 191},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 332},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 191},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 191},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 176},
  [8164] = {.lex_state = 332},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 191},
  [8167] = {.lex_state = 0},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 191},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 0},
  [8172] = {.lex_state = 191},
  [8173] = {.lex_state = 169},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 176},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 332},
  [8179] = {.lex_state = 332},
  [8180] = {.lex_state = 191},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 191},
  [8183] = {.lex_state = 111},
  [8184] = {.lex_state = 0},
  [8185] = {.lex_state = 191},
  [8186] = {.lex_state = 0, .external_lex_state = 3},
  [8187] = {.lex_state = 191},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 191},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 332},
  [8192] = {.lex_state = 332},
  [8193] = {.lex_state = 191},
  [8194] = {.lex_state = 111},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 191},
  [8197] = {.lex_state = 0, .external_lex_state = 3},
  [8198] = {.lex_state = 169},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 332},
  [8202] = {.lex_state = 191},
  [8203] = {.lex_state = 0},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 191},
  [8206] = {.lex_state = 0, .external_lex_state = 3},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 169},
  [8209] = {.lex_state = 332},
  [8210] = {.lex_state = 191},
  [8211] = {.lex_state = 0},
  [8212] = {.lex_state = 111},
  [8213] = {.lex_state = 191},
  [8214] = {.lex_state = 0, .external_lex_state = 3},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 332},
  [8217] = {.lex_state = 191},
  [8218] = {.lex_state = 111},
  [8219] = {.lex_state = 191},
  [8220] = {.lex_state = 0, .external_lex_state = 3},
  [8221] = {.lex_state = 111},
  [8222] = {.lex_state = 191},
  [8223] = {.lex_state = 0, .external_lex_state = 3},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0, .external_lex_state = 3},
  [8226] = {.lex_state = 169},
  [8227] = {.lex_state = 0, .external_lex_state = 3},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0, .external_lex_state = 3},
  [8230] = {.lex_state = 169},
  [8231] = {.lex_state = 0, .external_lex_state = 3},
  [8232] = {.lex_state = 0},
  [8233] = {.lex_state = 0, .external_lex_state = 3},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 0, .external_lex_state = 3},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 0, .external_lex_state = 3},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 0, .external_lex_state = 3},
  [8240] = {.lex_state = 169},
  [8241] = {.lex_state = 0, .external_lex_state = 3},
  [8242] = {.lex_state = 332},
  [8243] = {.lex_state = 332},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 332},
  [8246] = {.lex_state = 332},
  [8247] = {.lex_state = 0},
  [8248] = {.lex_state = 332},
  [8249] = {.lex_state = 332},
  [8250] = {.lex_state = 0},
  [8251] = {.lex_state = 332},
  [8252] = {.lex_state = 332},
  [8253] = {.lex_state = 0},
  [8254] = {.lex_state = 332},
  [8255] = {.lex_state = 332},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 332},
  [8258] = {.lex_state = 332},
  [8259] = {.lex_state = 332},
  [8260] = {.lex_state = 332},
  [8261] = {.lex_state = 332},
  [8262] = {.lex_state = 332},
  [8263] = {.lex_state = 332},
  [8264] = {.lex_state = 332},
  [8265] = {.lex_state = 332},
  [8266] = {.lex_state = 332},
  [8267] = {.lex_state = 332},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 0, .external_lex_state = 3},
  [8271] = {.lex_state = 169},
  [8272] = {.lex_state = 169},
  [8273] = {.lex_state = 332},
  [8274] = {.lex_state = 332},
  [8275] = {.lex_state = 332},
  [8276] = {.lex_state = 332},
  [8277] = {.lex_state = 332},
  [8278] = {.lex_state = 332},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8236),
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5945),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2679),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(714),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4617),
    [sym_conditional_expression] = STATE(4656),
    [sym_assignment_expression] = STATE(4656),
    [sym_pointer_expression] = STATE(3644),
    [sym_unary_expression] = STATE(4656),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(4656),
    [sym_cast_expression] = STATE(4656),
    [sym_sizeof_expression] = STATE(4656),
    [sym_alignof_expression] = STATE(4656),
    [sym_offsetof_expression] = STATE(4656),
    [sym_generic_expression] = STATE(4656),
    [sym_subscript_expression] = STATE(3644),
    [sym_call_expression] = STATE(3644),
    [sym_gnu_asm_expression] = STATE(4656),
    [sym_extension_expression] = STATE(4656),
    [sym_field_expression] = STATE(3644),
    [sym_compound_literal_expression] = STATE(4656),
    [sym_parenthesized_expression] = STATE(3644),
    [sym_char_literal] = STATE(4617),
    [sym_concatenated_string] = STATE(4617),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(4656),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1693),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6337),
    [sym__constructor_specifiers] = STATE(1693),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4570),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(4656),
    [sym_new_expression] = STATE(4656),
    [sym_delete_expression] = STATE(4656),
    [sym_requires_clause] = STATE(4656),
    [sym_requires_expression] = STATE(4656),
    [sym_lambda_expression] = STATE(4656),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(4656),
    [sym_parameter_pack_expansion] = STATE(4656),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3491),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6337),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3644),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(111),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(117),
    [sym_false] = ACTIONS(117),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(117),
  },
  [2] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [3] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [4] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [5] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [6] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [7] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [8] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [9] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [10] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [11] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [12] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [13] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7496),
    [sym_preproc_elif] = STATE(7496),
    [sym_preproc_elifdef] = STATE(7496),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [14] = {
    [sym__block_item] = STATE(16),
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(7511),
    [sym_preproc_elif] = STATE(7511),
    [sym_preproc_elifdef] = STATE(7511),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(16),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [15] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(7579),
    [sym_preproc_elif] = STATE(7579),
    [sym_preproc_elifdef] = STATE(7579),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(17),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(17),
    [sym_template_instantiation] = STATE(17),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(17),
    [sym_operator_cast_declaration] = STATE(17),
    [sym_constructor_or_destructor_definition] = STATE(17),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(17),
    [sym_namespace_alias_definition] = STATE(17),
    [sym_using_declaration] = STATE(17),
    [sym_alias_declaration] = STATE(17),
    [sym_static_assert_declaration] = STATE(17),
    [sym_concept_definition] = STATE(17),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [16] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7623),
    [sym_preproc_elif] = STATE(7623),
    [sym_preproc_elifdef] = STATE(7623),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [17] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7938),
    [sym_preproc_elif] = STATE(7938),
    [sym_preproc_elifdef] = STATE(7938),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [18] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(7517),
    [sym_preproc_elif] = STATE(7517),
    [sym_preproc_elifdef] = STATE(7517),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [19] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(7711),
    [sym_preproc_elif] = STATE(7711),
    [sym_preproc_elifdef] = STATE(7711),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(13),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(13),
    [sym_template_instantiation] = STATE(13),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(13),
    [sym_operator_cast_declaration] = STATE(13),
    [sym_constructor_or_destructor_definition] = STATE(13),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(13),
    [sym_namespace_alias_definition] = STATE(13),
    [sym_using_declaration] = STATE(13),
    [sym_alias_declaration] = STATE(13),
    [sym_static_assert_declaration] = STATE(13),
    [sym_concept_definition] = STATE(13),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [20] = {
    [sym__block_item] = STATE(23),
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(7954),
    [sym_preproc_elif] = STATE(7954),
    [sym_preproc_elifdef] = STATE(7954),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(23),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(23),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(23),
    [sym_template_instantiation] = STATE(23),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(23),
    [sym_operator_cast_declaration] = STATE(23),
    [sym_constructor_or_destructor_definition] = STATE(23),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(23),
    [sym_namespace_alias_definition] = STATE(23),
    [sym_using_declaration] = STATE(23),
    [sym_alias_declaration] = STATE(23),
    [sym_static_assert_declaration] = STATE(23),
    [sym_concept_definition] = STATE(23),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [21] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(7539),
    [sym_preproc_elif] = STATE(7539),
    [sym_preproc_elifdef] = STATE(7539),
    [sym_function_definition] = STATE(32),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(32),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(32),
    [sym_template_instantiation] = STATE(32),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(32),
    [sym_operator_cast_declaration] = STATE(32),
    [sym_constructor_or_destructor_definition] = STATE(32),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(32),
    [sym_namespace_alias_definition] = STATE(32),
    [sym_using_declaration] = STATE(32),
    [sym_alias_declaration] = STATE(32),
    [sym_static_assert_declaration] = STATE(32),
    [sym_concept_definition] = STATE(32),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7994),
    [sym_preproc_elif] = STATE(7994),
    [sym_preproc_elifdef] = STATE(7994),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [23] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8047),
    [sym_preproc_elif] = STATE(8047),
    [sym_preproc_elifdef] = STATE(8047),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [24] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(8017),
    [sym_preproc_elif] = STATE(8017),
    [sym_preproc_elifdef] = STATE(8017),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7926),
    [sym_preproc_elif] = STATE(7926),
    [sym_preproc_elifdef] = STATE(7926),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8272),
    [sym_preproc_elif] = STATE(8272),
    [sym_preproc_elifdef] = STATE(8272),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8230),
    [sym_preproc_elif] = STATE(8230),
    [sym_preproc_elifdef] = STATE(8230),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [28] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8226),
    [sym_preproc_elif] = STATE(8226),
    [sym_preproc_elifdef] = STATE(8226),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7489),
    [sym_preproc_elif] = STATE(7489),
    [sym_preproc_elifdef] = STATE(7489),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [30] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(8198),
    [sym_preproc_elif] = STATE(8198),
    [sym_preproc_elifdef] = STATE(8198),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [31] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(7726),
    [sym_preproc_elif] = STATE(7726),
    [sym_preproc_elifdef] = STATE(7726),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [32] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7811),
    [sym_preproc_elif] = STATE(7811),
    [sym_preproc_elifdef] = STATE(7811),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(288),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1703),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1703),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1703),
    [sym_identifier] = ACTIONS(373),
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(379),
    [aux_sym_preproc_if_token1] = ACTIONS(382),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(387),
    [aux_sym_preproc_else_token1] = ACTIONS(385),
    [aux_sym_preproc_elif_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(385),
    [sym_preproc_directive] = ACTIONS(390),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym___extension__] = ACTIONS(417),
    [anon_sym_typedef] = ACTIONS(420),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(426),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(459),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [sym_primitive_type] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(486),
    [anon_sym_case] = ACTIONS(489),
    [anon_sym_default] = ACTIONS(492),
    [anon_sym_while] = ACTIONS(495),
    [anon_sym_do] = ACTIONS(498),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(504),
    [anon_sym_break] = ACTIONS(507),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_goto] = ACTIONS(513),
    [anon_sym___try] = ACTIONS(516),
    [anon_sym___leave] = ACTIONS(519),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [sym_number_literal] = ACTIONS(540),
    [anon_sym_L_SQUOTE] = ACTIONS(543),
    [anon_sym_u_SQUOTE] = ACTIONS(543),
    [anon_sym_U_SQUOTE] = ACTIONS(543),
    [anon_sym_u8_SQUOTE] = ACTIONS(543),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_L_DQUOTE] = ACTIONS(546),
    [anon_sym_u_DQUOTE] = ACTIONS(546),
    [anon_sym_U_DQUOTE] = ACTIONS(546),
    [anon_sym_u8_DQUOTE] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [anon_sym_NULL] = ACTIONS(552),
    [anon_sym_nullptr] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(555),
    [anon_sym_decltype] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(567),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(579),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_using] = ACTIONS(585),
    [anon_sym_static_assert] = ACTIONS(588),
    [anon_sym_concept] = ACTIONS(591),
    [anon_sym_co_return] = ACTIONS(594),
    [anon_sym_co_yield] = ACTIONS(597),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(549),
  },
  [34] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [35] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [36] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [37] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(622),
    [aux_sym_preproc_include_token1] = ACTIONS(625),
    [aux_sym_preproc_def_token1] = ACTIONS(628),
    [aux_sym_preproc_if_token1] = ACTIONS(631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(634),
    [sym_preproc_directive] = ACTIONS(637),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(640),
    [anon_sym___extension__] = ACTIONS(643),
    [anon_sym_typedef] = ACTIONS(646),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(649),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_RBRACE] = ACTIONS(655),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(657),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [sym_primitive_type] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(660),
    [anon_sym_switch] = ACTIONS(663),
    [anon_sym_case] = ACTIONS(666),
    [anon_sym_default] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(672),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(678),
    [anon_sym_return] = ACTIONS(681),
    [anon_sym_break] = ACTIONS(684),
    [anon_sym_continue] = ACTIONS(687),
    [anon_sym_goto] = ACTIONS(690),
    [anon_sym___try] = ACTIONS(693),
    [anon_sym___leave] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [sym_number_literal] = ACTIONS(540),
    [anon_sym_L_SQUOTE] = ACTIONS(543),
    [anon_sym_u_SQUOTE] = ACTIONS(543),
    [anon_sym_U_SQUOTE] = ACTIONS(543),
    [anon_sym_u8_SQUOTE] = ACTIONS(543),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_L_DQUOTE] = ACTIONS(546),
    [anon_sym_u_DQUOTE] = ACTIONS(546),
    [anon_sym_U_DQUOTE] = ACTIONS(546),
    [anon_sym_u8_DQUOTE] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [anon_sym_NULL] = ACTIONS(552),
    [anon_sym_nullptr] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(555),
    [anon_sym_decltype] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(699),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(702),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(705),
    [anon_sym_namespace] = ACTIONS(708),
    [anon_sym_using] = ACTIONS(711),
    [anon_sym_static_assert] = ACTIONS(714),
    [anon_sym_concept] = ACTIONS(717),
    [anon_sym_co_return] = ACTIONS(720),
    [anon_sym_co_yield] = ACTIONS(723),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(549),
  },
  [38] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [39] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [40] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [41] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [42] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [43] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1883),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5934),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(434),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(671),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1716),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(1716),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1716),
    [sym_identifier] = ACTIONS(736),
    [aux_sym_preproc_include_token1] = ACTIONS(738),
    [aux_sym_preproc_def_token1] = ACTIONS(740),
    [aux_sym_preproc_if_token1] = ACTIONS(742),
    [aux_sym_preproc_if_token2] = ACTIONS(744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(746),
    [sym_preproc_directive] = ACTIONS(748),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(752),
    [anon_sym_typedef] = ACTIONS(754),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(756),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(760),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(788),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_namespace] = ACTIONS(794),
    [anon_sym_using] = ACTIONS(796),
    [anon_sym_static_assert] = ACTIONS(798),
    [anon_sym_concept] = ACTIONS(800),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [44] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [45] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [46] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [47] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [48] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [49] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [50] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1883),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5934),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(434),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(671),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1716),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(1716),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1716),
    [sym_identifier] = ACTIONS(736),
    [aux_sym_preproc_include_token1] = ACTIONS(738),
    [aux_sym_preproc_def_token1] = ACTIONS(740),
    [aux_sym_preproc_if_token1] = ACTIONS(742),
    [aux_sym_preproc_if_token2] = ACTIONS(818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(746),
    [sym_preproc_directive] = ACTIONS(748),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(752),
    [anon_sym_typedef] = ACTIONS(754),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(756),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(760),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(788),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_namespace] = ACTIONS(794),
    [anon_sym_using] = ACTIONS(796),
    [anon_sym_static_assert] = ACTIONS(798),
    [anon_sym_concept] = ACTIONS(800),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [51] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [52] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [53] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [54] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [55] = {
    [sym__block_item] = STATE(56),
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(56),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(828),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [56] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [57] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(832),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [58] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(834),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [59] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [60] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [61] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [62] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(842),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [63] = {
    [sym__block_item] = STATE(64),
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(64),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(844),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [64] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(846),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [65] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1883),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5934),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(434),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(671),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1716),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(1716),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1716),
    [sym_identifier] = ACTIONS(848),
    [aux_sym_preproc_include_token1] = ACTIONS(851),
    [aux_sym_preproc_def_token1] = ACTIONS(854),
    [aux_sym_preproc_if_token1] = ACTIONS(857),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(860),
    [sym_preproc_directive] = ACTIONS(863),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(866),
    [anon_sym___extension__] = ACTIONS(869),
    [anon_sym_typedef] = ACTIONS(872),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(875),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(881),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [sym_primitive_type] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_switch] = ACTIONS(887),
    [anon_sym_case] = ACTIONS(890),
    [anon_sym_default] = ACTIONS(893),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(899),
    [anon_sym_for] = ACTIONS(902),
    [anon_sym_return] = ACTIONS(905),
    [anon_sym_break] = ACTIONS(908),
    [anon_sym_continue] = ACTIONS(911),
    [anon_sym_goto] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(917),
    [anon_sym___leave] = ACTIONS(920),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [sym_number_literal] = ACTIONS(540),
    [anon_sym_L_SQUOTE] = ACTIONS(543),
    [anon_sym_u_SQUOTE] = ACTIONS(543),
    [anon_sym_U_SQUOTE] = ACTIONS(543),
    [anon_sym_u8_SQUOTE] = ACTIONS(543),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_L_DQUOTE] = ACTIONS(546),
    [anon_sym_u_DQUOTE] = ACTIONS(546),
    [anon_sym_U_DQUOTE] = ACTIONS(546),
    [anon_sym_u8_DQUOTE] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [anon_sym_NULL] = ACTIONS(552),
    [anon_sym_nullptr] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(555),
    [anon_sym_decltype] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(923),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(926),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_namespace] = ACTIONS(932),
    [anon_sym_using] = ACTIONS(935),
    [anon_sym_static_assert] = ACTIONS(938),
    [anon_sym_concept] = ACTIONS(941),
    [anon_sym_co_return] = ACTIONS(944),
    [anon_sym_co_yield] = ACTIONS(947),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(549),
  },
  [66] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [67] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [68] = {
    [sym__block_item] = STATE(69),
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(69),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [69] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [70] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [71] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [72] = {
    [sym__block_item] = STATE(73),
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(73),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [73] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [74] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [75] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [76] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [77] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [78] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [79] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5921),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(590),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4273),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3096),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [80] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5945),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2679),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(714),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4617),
    [sym_conditional_expression] = STATE(4656),
    [sym_assignment_expression] = STATE(4656),
    [sym_pointer_expression] = STATE(3644),
    [sym_unary_expression] = STATE(4656),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(4656),
    [sym_cast_expression] = STATE(4656),
    [sym_sizeof_expression] = STATE(4656),
    [sym_alignof_expression] = STATE(4656),
    [sym_offsetof_expression] = STATE(4656),
    [sym_generic_expression] = STATE(4656),
    [sym_subscript_expression] = STATE(3644),
    [sym_call_expression] = STATE(3644),
    [sym_gnu_asm_expression] = STATE(4656),
    [sym_extension_expression] = STATE(4656),
    [sym_field_expression] = STATE(3644),
    [sym_compound_literal_expression] = STATE(4656),
    [sym_parenthesized_expression] = STATE(3644),
    [sym_char_literal] = STATE(4617),
    [sym_concatenated_string] = STATE(4617),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(4656),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1693),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6337),
    [sym__constructor_specifiers] = STATE(1693),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4570),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(4656),
    [sym_new_expression] = STATE(4656),
    [sym_delete_expression] = STATE(4656),
    [sym_requires_clause] = STATE(4656),
    [sym_requires_expression] = STATE(4656),
    [sym_lambda_expression] = STATE(4656),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(4656),
    [sym_parameter_pack_expansion] = STATE(4656),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3491),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6337),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3644),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(978),
    [sym_identifier] = ACTIONS(980),
    [aux_sym_preproc_include_token1] = ACTIONS(983),
    [aux_sym_preproc_def_token1] = ACTIONS(986),
    [aux_sym_preproc_if_token1] = ACTIONS(989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(992),
    [sym_preproc_directive] = ACTIONS(995),
    [anon_sym_LPAREN2] = ACTIONS(998),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_STAR] = ACTIONS(1010),
    [anon_sym_AMP_AMP] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym___extension__] = ACTIONS(1019),
    [anon_sym_typedef] = ACTIONS(1022),
    [anon_sym_virtual] = ACTIONS(1025),
    [anon_sym_extern] = ACTIONS(1028),
    [anon_sym___attribute__] = ACTIONS(1031),
    [anon_sym_COLON_COLON] = ACTIONS(1034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1037),
    [anon_sym___declspec] = ACTIONS(1040),
    [anon_sym___based] = ACTIONS(1043),
    [anon_sym___cdecl] = ACTIONS(1046),
    [anon_sym___clrcall] = ACTIONS(1046),
    [anon_sym___stdcall] = ACTIONS(1046),
    [anon_sym___fastcall] = ACTIONS(1046),
    [anon_sym___thiscall] = ACTIONS(1046),
    [anon_sym___vectorcall] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [anon_sym_signed] = ACTIONS(1052),
    [anon_sym_unsigned] = ACTIONS(1052),
    [anon_sym_long] = ACTIONS(1052),
    [anon_sym_short] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(1058),
    [anon_sym_register] = ACTIONS(1058),
    [anon_sym_inline] = ACTIONS(1061),
    [anon_sym___inline] = ACTIONS(1058),
    [anon_sym___inline__] = ACTIONS(1058),
    [anon_sym___forceinline] = ACTIONS(1058),
    [anon_sym_thread_local] = ACTIONS(1058),
    [anon_sym___thread] = ACTIONS(1058),
    [anon_sym_const] = ACTIONS(1064),
    [anon_sym_constexpr] = ACTIONS(1064),
    [anon_sym_volatile] = ACTIONS(1064),
    [anon_sym_restrict] = ACTIONS(1064),
    [anon_sym___restrict__] = ACTIONS(1064),
    [anon_sym__Atomic] = ACTIONS(1064),
    [anon_sym__Noreturn] = ACTIONS(1064),
    [anon_sym_noreturn] = ACTIONS(1064),
    [anon_sym__Nonnull] = ACTIONS(1064),
    [anon_sym_mutable] = ACTIONS(1064),
    [anon_sym_constinit] = ACTIONS(1064),
    [anon_sym_consteval] = ACTIONS(1064),
    [anon_sym_alignas] = ACTIONS(1067),
    [anon_sym__Alignas] = ACTIONS(1067),
    [sym_primitive_type] = ACTIONS(1070),
    [anon_sym_enum] = ACTIONS(1073),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_struct] = ACTIONS(1079),
    [anon_sym_union] = ACTIONS(1082),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1088),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_default] = ACTIONS(1094),
    [anon_sym_while] = ACTIONS(1097),
    [anon_sym_do] = ACTIONS(1100),
    [anon_sym_for] = ACTIONS(1103),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1109),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1115),
    [anon_sym_not] = ACTIONS(1007),
    [anon_sym_compl] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1121),
    [anon_sym___alignof__] = ACTIONS(1124),
    [anon_sym___alignof] = ACTIONS(1124),
    [anon_sym__alignof] = ACTIONS(1124),
    [anon_sym_alignof] = ACTIONS(1124),
    [anon_sym__Alignof] = ACTIONS(1124),
    [anon_sym_offsetof] = ACTIONS(1127),
    [anon_sym__Generic] = ACTIONS(1130),
    [anon_sym_asm] = ACTIONS(1133),
    [anon_sym___asm__] = ACTIONS(1133),
    [anon_sym___asm] = ACTIONS(1133),
    [sym_number_literal] = ACTIONS(1136),
    [anon_sym_L_SQUOTE] = ACTIONS(1139),
    [anon_sym_u_SQUOTE] = ACTIONS(1139),
    [anon_sym_U_SQUOTE] = ACTIONS(1139),
    [anon_sym_u8_SQUOTE] = ACTIONS(1139),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [anon_sym_L_DQUOTE] = ACTIONS(1142),
    [anon_sym_u_DQUOTE] = ACTIONS(1142),
    [anon_sym_U_DQUOTE] = ACTIONS(1142),
    [anon_sym_u8_DQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [anon_sym_NULL] = ACTIONS(1148),
    [anon_sym_nullptr] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1151),
    [anon_sym_decltype] = ACTIONS(1154),
    [anon_sym_explicit] = ACTIONS(1157),
    [anon_sym_typename] = ACTIONS(1160),
    [anon_sym_template] = ACTIONS(1163),
    [anon_sym_operator] = ACTIONS(1166),
    [anon_sym_try] = ACTIONS(1169),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_throw] = ACTIONS(1175),
    [anon_sym_namespace] = ACTIONS(1178),
    [anon_sym_using] = ACTIONS(1181),
    [anon_sym_static_assert] = ACTIONS(1184),
    [anon_sym_concept] = ACTIONS(1187),
    [anon_sym_co_return] = ACTIONS(1190),
    [anon_sym_co_yield] = ACTIONS(1193),
    [anon_sym_R_DQUOTE] = ACTIONS(1196),
    [anon_sym_LR_DQUOTE] = ACTIONS(1196),
    [anon_sym_uR_DQUOTE] = ACTIONS(1196),
    [anon_sym_UR_DQUOTE] = ACTIONS(1196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1196),
    [anon_sym_co_await] = ACTIONS(1199),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_requires] = ACTIONS(1205),
    [sym_this] = ACTIONS(1145),
  },
  [81] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(825),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5945),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2679),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(714),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4617),
    [sym_conditional_expression] = STATE(4656),
    [sym_assignment_expression] = STATE(4656),
    [sym_pointer_expression] = STATE(3644),
    [sym_unary_expression] = STATE(4656),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(4656),
    [sym_cast_expression] = STATE(4656),
    [sym_sizeof_expression] = STATE(4656),
    [sym_alignof_expression] = STATE(4656),
    [sym_offsetof_expression] = STATE(4656),
    [sym_generic_expression] = STATE(4656),
    [sym_subscript_expression] = STATE(3644),
    [sym_call_expression] = STATE(3644),
    [sym_gnu_asm_expression] = STATE(4656),
    [sym_extension_expression] = STATE(4656),
    [sym_field_expression] = STATE(3644),
    [sym_compound_literal_expression] = STATE(4656),
    [sym_parenthesized_expression] = STATE(3644),
    [sym_char_literal] = STATE(4617),
    [sym_concatenated_string] = STATE(4617),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(4656),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_explicit_function_specifier] = STATE(1693),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6337),
    [sym__constructor_specifiers] = STATE(1693),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(4570),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(4656),
    [sym_new_expression] = STATE(4656),
    [sym_delete_expression] = STATE(4656),
    [sym_requires_clause] = STATE(4656),
    [sym_requires_expression] = STATE(4656),
    [sym_lambda_expression] = STATE(4656),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(4656),
    [sym_parameter_pack_expansion] = STATE(4656),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5141),
    [sym_qualified_identifier] = STATE(3491),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_qualified_operator_cast_identifier] = STATE(6337),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3644),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(111),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(117),
    [sym_false] = ACTIONS(117),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(117),
  },
  [82] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4977),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [83] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4977),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token2] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [aux_sym_preproc_else_token1] = ACTIONS(1235),
    [aux_sym_preproc_elif_token1] = ACTIONS(1235),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym___extension__] = ACTIONS(1257),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_virtual] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1275),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___based] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_mutable] = ACTIONS(1290),
    [anon_sym_constinit] = ACTIONS(1290),
    [anon_sym_consteval] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1293),
    [anon_sym__Alignas] = ACTIONS(1293),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_class] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1305),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1329),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_compl] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1359),
    [anon_sym___asm__] = ACTIONS(1359),
    [anon_sym___asm] = ACTIONS(1359),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1365),
    [anon_sym_u_SQUOTE] = ACTIONS(1365),
    [anon_sym_U_SQUOTE] = ACTIONS(1365),
    [anon_sym_u8_SQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1377),
    [anon_sym_decltype] = ACTIONS(1380),
    [anon_sym_explicit] = ACTIONS(1235),
    [anon_sym_typename] = ACTIONS(1383),
    [anon_sym_template] = ACTIONS(1386),
    [anon_sym_operator] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1389),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1395),
    [anon_sym_namespace] = ACTIONS(1235),
    [anon_sym_using] = ACTIONS(1235),
    [anon_sym_static_assert] = ACTIONS(1235),
    [anon_sym_concept] = ACTIONS(1235),
    [anon_sym_co_return] = ACTIONS(1398),
    [anon_sym_co_yield] = ACTIONS(1401),
    [anon_sym_R_DQUOTE] = ACTIONS(1404),
    [anon_sym_LR_DQUOTE] = ACTIONS(1404),
    [anon_sym_uR_DQUOTE] = ACTIONS(1404),
    [anon_sym_UR_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1404),
    [anon_sym_co_await] = ACTIONS(1407),
    [anon_sym_new] = ACTIONS(1410),
    [anon_sym_requires] = ACTIONS(1413),
    [sym_this] = ACTIONS(1371),
  },
  [84] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4977),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [aux_sym_preproc_else_token1] = ACTIONS(1416),
    [aux_sym_preproc_elif_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [85] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4977),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [aux_sym_preproc_else_token1] = ACTIONS(1420),
    [aux_sym_preproc_elif_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [86] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4977),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [aux_sym_preproc_else_token1] = ACTIONS(1424),
    [aux_sym_preproc_elif_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1424),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1424),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1424),
    [anon_sym_using] = ACTIONS(1424),
    [anon_sym_static_assert] = ACTIONS(1424),
    [anon_sym_concept] = ACTIONS(1424),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [87] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [88] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4975),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [89] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4975),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [90] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4975),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [91] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [92] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4975),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1451),
    [anon_sym_virtual] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1275),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___based] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_mutable] = ACTIONS(1290),
    [anon_sym_constinit] = ACTIONS(1290),
    [anon_sym_consteval] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1293),
    [anon_sym__Alignas] = ACTIONS(1293),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_class] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1305),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1463),
    [anon_sym_do] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1475),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1487),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_compl] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1359),
    [anon_sym___asm__] = ACTIONS(1359),
    [anon_sym___asm] = ACTIONS(1359),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1365),
    [anon_sym_u_SQUOTE] = ACTIONS(1365),
    [anon_sym_U_SQUOTE] = ACTIONS(1365),
    [anon_sym_u8_SQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1377),
    [anon_sym_decltype] = ACTIONS(1380),
    [anon_sym_explicit] = ACTIONS(1235),
    [anon_sym_typename] = ACTIONS(1383),
    [anon_sym_template] = ACTIONS(1386),
    [anon_sym_operator] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1493),
    [anon_sym_namespace] = ACTIONS(1235),
    [anon_sym_using] = ACTIONS(1235),
    [anon_sym_static_assert] = ACTIONS(1235),
    [anon_sym_concept] = ACTIONS(1235),
    [anon_sym_co_return] = ACTIONS(1496),
    [anon_sym_co_yield] = ACTIONS(1499),
    [anon_sym_R_DQUOTE] = ACTIONS(1404),
    [anon_sym_LR_DQUOTE] = ACTIONS(1404),
    [anon_sym_uR_DQUOTE] = ACTIONS(1404),
    [anon_sym_UR_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1404),
    [anon_sym_co_await] = ACTIONS(1407),
    [anon_sym_new] = ACTIONS(1410),
    [anon_sym_requires] = ACTIONS(1413),
    [sym_this] = ACTIONS(1371),
  },
  [93] = {
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4974),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(96),
    [sym_identifier] = ACTIONS(1502),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(754),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_else] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1424),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1424),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_namespace] = ACTIONS(1424),
    [anon_sym_using] = ACTIONS(1424),
    [anon_sym_static_assert] = ACTIONS(1424),
    [anon_sym_concept] = ACTIONS(1424),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [94] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4974),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1502),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(754),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [95] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(1249),
    [sym_identifier] = ACTIONS(1506),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(1509),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1515),
    [anon_sym_virtual] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1275),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___based] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_mutable] = ACTIONS(1290),
    [anon_sym_constinit] = ACTIONS(1290),
    [anon_sym_consteval] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1293),
    [anon_sym__Alignas] = ACTIONS(1293),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_class] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1305),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_do] = ACTIONS(1530),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1539),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1548),
    [anon_sym___leave] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_compl] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1359),
    [anon_sym___asm__] = ACTIONS(1359),
    [anon_sym___asm] = ACTIONS(1359),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1365),
    [anon_sym_u_SQUOTE] = ACTIONS(1365),
    [anon_sym_U_SQUOTE] = ACTIONS(1365),
    [anon_sym_u8_SQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1377),
    [anon_sym_decltype] = ACTIONS(1380),
    [anon_sym_explicit] = ACTIONS(1235),
    [anon_sym_typename] = ACTIONS(1383),
    [anon_sym_template] = ACTIONS(1386),
    [anon_sym_operator] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1554),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1557),
    [anon_sym_namespace] = ACTIONS(1235),
    [anon_sym_using] = ACTIONS(1235),
    [anon_sym_static_assert] = ACTIONS(1235),
    [anon_sym_concept] = ACTIONS(1235),
    [anon_sym_co_return] = ACTIONS(1560),
    [anon_sym_co_yield] = ACTIONS(1563),
    [anon_sym_R_DQUOTE] = ACTIONS(1404),
    [anon_sym_LR_DQUOTE] = ACTIONS(1404),
    [anon_sym_uR_DQUOTE] = ACTIONS(1404),
    [anon_sym_UR_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1404),
    [anon_sym_co_await] = ACTIONS(1407),
    [anon_sym_new] = ACTIONS(1410),
    [anon_sym_requires] = ACTIONS(1413),
    [sym_this] = ACTIONS(1371),
  },
  [96] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4974),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1502),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(754),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [97] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [98] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4974),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1502),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(754),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [99] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4974),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1566),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token2] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(1569),
    [anon_sym___extension__] = ACTIONS(1572),
    [anon_sym_typedef] = ACTIONS(1575),
    [anon_sym_virtual] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1275),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___based] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_mutable] = ACTIONS(1290),
    [anon_sym_constinit] = ACTIONS(1290),
    [anon_sym_consteval] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1293),
    [anon_sym__Alignas] = ACTIONS(1293),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_class] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1305),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1584),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1587),
    [anon_sym_do] = ACTIONS(1590),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1596),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1602),
    [anon_sym_goto] = ACTIONS(1605),
    [anon_sym___try] = ACTIONS(1608),
    [anon_sym___leave] = ACTIONS(1611),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_compl] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1359),
    [anon_sym___asm__] = ACTIONS(1359),
    [anon_sym___asm] = ACTIONS(1359),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1365),
    [anon_sym_u_SQUOTE] = ACTIONS(1365),
    [anon_sym_U_SQUOTE] = ACTIONS(1365),
    [anon_sym_u8_SQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1377),
    [anon_sym_decltype] = ACTIONS(1380),
    [anon_sym_explicit] = ACTIONS(1235),
    [anon_sym_typename] = ACTIONS(1383),
    [anon_sym_template] = ACTIONS(1386),
    [anon_sym_operator] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1617),
    [anon_sym_namespace] = ACTIONS(1235),
    [anon_sym_using] = ACTIONS(1235),
    [anon_sym_static_assert] = ACTIONS(1235),
    [anon_sym_concept] = ACTIONS(1235),
    [anon_sym_co_return] = ACTIONS(1620),
    [anon_sym_co_yield] = ACTIONS(1623),
    [anon_sym_R_DQUOTE] = ACTIONS(1404),
    [anon_sym_LR_DQUOTE] = ACTIONS(1404),
    [anon_sym_uR_DQUOTE] = ACTIONS(1404),
    [anon_sym_UR_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1404),
    [anon_sym_co_await] = ACTIONS(1407),
    [anon_sym_new] = ACTIONS(1410),
    [anon_sym_requires] = ACTIONS(1413),
    [sym_this] = ACTIONS(1371),
  },
  [100] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1424),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1424),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1424),
    [anon_sym_using] = ACTIONS(1424),
    [anon_sym_static_assert] = ACTIONS(1424),
    [anon_sym_concept] = ACTIONS(1424),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [101] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4975),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1424),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1424),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1424),
    [anon_sym_using] = ACTIONS(1424),
    [anon_sym_static_assert] = ACTIONS(1424),
    [anon_sym_concept] = ACTIONS(1424),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [102] = {
    [sym_declaration] = STATE(497),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4975),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(497),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4186),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7204),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [103] = {
    [sym_declaration] = STATE(447),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4974),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(434),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(447),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [104] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1628),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1632),
    [anon_sym_typedef] = ACTIONS(1634),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [105] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1628),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1632),
    [anon_sym_typedef] = ACTIONS(1634),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [106] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1628),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1632),
    [anon_sym_typedef] = ACTIONS(1634),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [107] = {
    [sym_declaration] = STATE(848),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(845),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(848),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1628),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [108] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1628),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1632),
    [anon_sym_typedef] = ACTIONS(1634),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [109] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1672),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1675),
    [anon_sym___extension__] = ACTIONS(1678),
    [anon_sym_typedef] = ACTIONS(1681),
    [anon_sym_virtual] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1275),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1684),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_mutable] = ACTIONS(1290),
    [anon_sym_constinit] = ACTIONS(1290),
    [anon_sym_consteval] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1293),
    [anon_sym__Alignas] = ACTIONS(1293),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_class] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1305),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1696),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1708),
    [anon_sym_goto] = ACTIONS(1711),
    [anon_sym___try] = ACTIONS(1714),
    [anon_sym___leave] = ACTIONS(1717),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_compl] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1359),
    [anon_sym___asm__] = ACTIONS(1359),
    [anon_sym___asm] = ACTIONS(1359),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1365),
    [anon_sym_u_SQUOTE] = ACTIONS(1365),
    [anon_sym_U_SQUOTE] = ACTIONS(1365),
    [anon_sym_u8_SQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1377),
    [anon_sym_decltype] = ACTIONS(1380),
    [anon_sym_typename] = ACTIONS(1383),
    [anon_sym_template] = ACTIONS(1386),
    [anon_sym_try] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_co_return] = ACTIONS(1726),
    [anon_sym_co_yield] = ACTIONS(1729),
    [anon_sym_R_DQUOTE] = ACTIONS(1404),
    [anon_sym_LR_DQUOTE] = ACTIONS(1404),
    [anon_sym_uR_DQUOTE] = ACTIONS(1404),
    [anon_sym_UR_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1404),
    [anon_sym_co_await] = ACTIONS(1407),
    [anon_sym_new] = ACTIONS(1410),
    [anon_sym_requires] = ACTIONS(1413),
    [sym_this] = ACTIONS(1371),
  },
  [110] = {
    [sym_declaration] = STATE(530),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(484),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(530),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [111] = {
    [sym_declaration] = STATE(497),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4975),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(497),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [112] = {
    [sym_declaration] = STATE(530),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(482),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(530),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [113] = {
    [sym_declaration] = STATE(275),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4977),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(865),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_compound_statement] = STATE(243),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(275),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [114] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(5021),
    [sym__declarator] = STATE(6236),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7827),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3142),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5367),
    [sym_qualified_identifier] = STATE(3149),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1762),
    [anon_sym___clrcall] = ACTIONS(1762),
    [anon_sym___stdcall] = ACTIONS(1762),
    [anon_sym___fastcall] = ACTIONS(1762),
    [anon_sym___thiscall] = ACTIONS(1762),
    [anon_sym___vectorcall] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [115] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(5021),
    [sym__declarator] = STATE(6236),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8200),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3142),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5367),
    [sym_qualified_identifier] = STATE(3149),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1762),
    [anon_sym___clrcall] = ACTIONS(1762),
    [anon_sym___stdcall] = ACTIONS(1762),
    [anon_sym___fastcall] = ACTIONS(1762),
    [anon_sym___thiscall] = ACTIONS(1762),
    [anon_sym___vectorcall] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [116] = {
    [sym_declaration] = STATE(314),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7911),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8111),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(8122),
    [sym_init_statement] = STATE(1866),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym___extension__] = ACTIONS(1822),
    [anon_sym_typedef] = ACTIONS(1824),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [117] = {
    [sym_declaration] = STATE(314),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7501),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8111),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7541),
    [sym_init_statement] = STATE(1866),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym___extension__] = ACTIONS(1822),
    [anon_sym_typedef] = ACTIONS(1824),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [118] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(5021),
    [sym__declarator] = STATE(6236),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_compound_statement] = STATE(7569),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2823),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7569),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7601),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3142),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7602),
    [sym__unary_right_fold] = STATE(7618),
    [sym__binary_fold] = STATE(7625),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5367),
    [sym_qualified_identifier] = STATE(3149),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7665),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1762),
    [anon_sym___clrcall] = ACTIONS(1762),
    [anon_sym___stdcall] = ACTIONS(1762),
    [anon_sym___fastcall] = ACTIONS(1762),
    [anon_sym___thiscall] = ACTIONS(1762),
    [anon_sym___vectorcall] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [119] = {
    [sym_declaration] = STATE(314),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7420),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8111),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7422),
    [sym_init_statement] = STATE(1866),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym___extension__] = ACTIONS(1822),
    [anon_sym_typedef] = ACTIONS(1824),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [120] = {
    [sym_declaration] = STATE(314),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7587),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8111),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7612),
    [sym_init_statement] = STATE(1866),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym___extension__] = ACTIONS(1822),
    [anon_sym_typedef] = ACTIONS(1824),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [121] = {
    [sym_declaration] = STATE(314),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7431),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8111),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7432),
    [sym_init_statement] = STATE(1866),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym___extension__] = ACTIONS(1822),
    [anon_sym_typedef] = ACTIONS(1824),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [122] = {
    [sym_declaration] = STATE(314),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7543),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8111),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7544),
    [sym_init_statement] = STATE(1866),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym___extension__] = ACTIONS(1822),
    [anon_sym_typedef] = ACTIONS(1824),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [123] = {
    [sym_declaration] = STATE(1529),
    [sym_type_definition] = STATE(1529),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4893),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression_statement] = STATE(1529),
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7118),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_alias_declaration] = STATE(1529),
    [sym_init_statement] = STATE(131),
    [sym_condition_declaration] = STATE(7560),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1632),
    [anon_sym_typedef] = ACTIONS(1634),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1830),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6842),
    [sym_expression] = STATE(3100),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7274),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6842),
    [sym_variadic_parameter_declaration] = STATE(6842),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5416),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6842),
    [sym_expression] = STATE(3098),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7274),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6842),
    [sym_variadic_parameter_declaration] = STATE(6842),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7602),
    [sym__unary_right_fold] = STATE(7618),
    [sym__binary_fold] = STATE(7625),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5416),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6842),
    [sym_expression] = STATE(3116),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7274),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6842),
    [sym_variadic_parameter_declaration] = STATE(6842),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5416),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_compound_statement] = STATE(6823),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6993),
    [sym_expression] = STATE(4145),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6823),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6993),
    [sym_variadic_parameter_declaration] = STATE(6993),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5425),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [128] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6842),
    [sym_expression] = STATE(3125),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7274),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6842),
    [sym_variadic_parameter_declaration] = STATE(6842),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7427),
    [sym__unary_right_fold] = STATE(7430),
    [sym__binary_fold] = STATE(7436),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5416),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [129] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6842),
    [sym_expression] = STATE(3137),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7274),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6842),
    [sym_variadic_parameter_declaration] = STATE(6842),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7684),
    [sym__unary_right_fold] = STATE(7687),
    [sym__binary_fold] = STATE(7692),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5416),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [130] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6842),
    [sym_expression] = STATE(3141),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7274),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6842),
    [sym_variadic_parameter_declaration] = STATE(6842),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(8253),
    [sym__unary_right_fold] = STATE(8256),
    [sym__binary_fold] = STATE(8268),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5416),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [131] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(5012),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_expression] = STATE(4211),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8238),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3012),
    [sym_template_function] = STATE(3802),
    [sym_condition_declaration] = STATE(8238),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5381),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(3044),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [132] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [aux_sym_preproc_if_token2] = ACTIONS(1904),
    [aux_sym_preproc_else_token1] = ACTIONS(1904),
    [aux_sym_preproc_elif_token1] = ACTIONS(1902),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1906),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1950),
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_RPAREN] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_PIPE_PIPE] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___except] = ACTIONS(1952),
    [anon_sym___finally] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_or] = ACTIONS(1952),
    [anon_sym_and] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_final] = ACTIONS(1952),
    [anon_sym_override] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_GT2] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(1954),
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_PIPE_PIPE] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1954),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___except] = ACTIONS(1956),
    [anon_sym___finally] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_or] = ACTIONS(1956),
    [anon_sym_and] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_final] = ACTIONS(1956),
    [anon_sym_override] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_GT2] = ACTIONS(1954),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [135] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1960),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_RBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [136] = {
    [sym_compound_statement] = STATE(7569),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2823),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7569),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7683),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7684),
    [sym__unary_right_fold] = STATE(7687),
    [sym__binary_fold] = STATE(7692),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7665),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [137] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7742),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [138] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8200),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [139] = {
    [sym_compound_statement] = STATE(7816),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2819),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7816),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8250),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(8253),
    [sym__unary_right_fold] = STATE(8256),
    [sym__binary_fold] = STATE(8268),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7853),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [140] = {
    [sym_compound_statement] = STATE(7816),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2819),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7816),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8072),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(8253),
    [sym__unary_right_fold] = STATE(8256),
    [sym__binary_fold] = STATE(8268),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7853),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [141] = {
    [sym_compound_statement] = STATE(7569),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2823),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7569),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7601),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7602),
    [sym__unary_right_fold] = STATE(7618),
    [sym__binary_fold] = STATE(7625),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7665),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [142] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7909),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [143] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8022),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [144] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7520),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [145] = {
    [sym_compound_statement] = STATE(7816),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2819),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7816),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7424),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7427),
    [sym__unary_right_fold] = STATE(7430),
    [sym__binary_fold] = STATE(7436),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7853),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [146] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8093),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [147] = {
    [sym_compound_statement] = STATE(7816),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2819),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7816),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7945),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7427),
    [sym__unary_right_fold] = STATE(7430),
    [sym__binary_fold] = STATE(7436),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7853),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [148] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7473),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [149] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7593),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [150] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8170),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [151] = {
    [sym_compound_statement] = STATE(7569),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2823),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7569),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7429),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7602),
    [sym__unary_right_fold] = STATE(7618),
    [sym__binary_fold] = STATE(7625),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7665),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [152] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7460),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [153] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7788),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [154] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7827),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [155] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7622),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [156] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7963),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [157] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7977),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [158] = {
    [sym_compound_statement] = STATE(7569),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2823),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(7569),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7871),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7684),
    [sym__unary_right_fold] = STATE(7687),
    [sym__binary_fold] = STATE(7692),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7665),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [159] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7824),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [160] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(8138),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [161] = {
    [sym_compound_statement] = STATE(8139),
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(2778),
    [sym__string] = STATE(3112),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_type_descriptor] = STATE(7934),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7170),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(417),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [163] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1998),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym___attribute__] = ACTIONS(1902),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(464),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(230),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(269),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(167),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(255),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(167),
    [sym_identifier] = ACTIONS(2024),
    [anon_sym_LPAREN2] = ACTIONS(2027),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2039),
    [anon_sym___extension__] = ACTIONS(2042),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [sym_primitive_type] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2060),
    [anon_sym_switch] = ACTIONS(2063),
    [anon_sym_case] = ACTIONS(2066),
    [anon_sym_default] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_do] = ACTIONS(2075),
    [anon_sym_for] = ACTIONS(2078),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2087),
    [anon_sym_goto] = ACTIONS(2090),
    [anon_sym___try] = ACTIONS(2093),
    [anon_sym___leave] = ACTIONS(2096),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_compl] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_sizeof] = ACTIONS(2102),
    [anon_sym___alignof__] = ACTIONS(2105),
    [anon_sym___alignof] = ACTIONS(2105),
    [anon_sym__alignof] = ACTIONS(2105),
    [anon_sym_alignof] = ACTIONS(2105),
    [anon_sym__Alignof] = ACTIONS(2105),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2111),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2117),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2129),
    [anon_sym_nullptr] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2132),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2144),
    [anon_sym_co_return] = ACTIONS(2147),
    [anon_sym_co_yield] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2126),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(408),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(231),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(238),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(244),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(262),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(6908),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(525),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(479),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_LPAREN2] = ACTIONS(2027),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2170),
    [anon_sym___extension__] = ACTIONS(2042),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [sym_primitive_type] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2191),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2209),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_compl] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_sizeof] = ACTIONS(2102),
    [anon_sym___alignof__] = ACTIONS(2105),
    [anon_sym___alignof] = ACTIONS(2105),
    [anon_sym__alignof] = ACTIONS(2105),
    [anon_sym_alignof] = ACTIONS(2105),
    [anon_sym__Alignof] = ACTIONS(2105),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2111),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2117),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2129),
    [anon_sym_nullptr] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2132),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_co_return] = ACTIONS(2221),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2126),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(6725),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(455),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(463),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(464),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(479),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(204),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(409),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(204),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(444),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(183),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(440),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(183),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(2027),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2042),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [sym_primitive_type] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2241),
    [anon_sym_case] = ACTIONS(2244),
    [anon_sym_default] = ACTIONS(2247),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2271),
    [anon_sym___leave] = ACTIONS(2274),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_compl] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_sizeof] = ACTIONS(2102),
    [anon_sym___alignof__] = ACTIONS(2105),
    [anon_sym___alignof] = ACTIONS(2105),
    [anon_sym__alignof] = ACTIONS(2105),
    [anon_sym_alignof] = ACTIONS(2105),
    [anon_sym__Alignof] = ACTIONS(2105),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2111),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2117),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2129),
    [anon_sym_nullptr] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2132),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2283),
    [anon_sym_co_yield] = ACTIONS(2286),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2126),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(8014),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(204),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(412),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(8050),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(494),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(204),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(458),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(204),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(460),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(204),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(461),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(204),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(167),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_statement] = STATE(255),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7951),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(167),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(192),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(490),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(192),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_LPAREN2] = ACTIONS(2027),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2170),
    [anon_sym___extension__] = ACTIONS(2042),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [sym_primitive_type] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2295),
    [anon_sym_switch] = ACTIONS(2298),
    [anon_sym_case] = ACTIONS(2301),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2307),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2313),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2319),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_goto] = ACTIONS(2325),
    [anon_sym___try] = ACTIONS(2328),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_compl] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_sizeof] = ACTIONS(2102),
    [anon_sym___alignof__] = ACTIONS(2105),
    [anon_sym___alignof] = ACTIONS(2105),
    [anon_sym__alignof] = ACTIONS(2105),
    [anon_sym_alignof] = ACTIONS(2105),
    [anon_sym__Alignof] = ACTIONS(2105),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2111),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2117),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2129),
    [anon_sym_nullptr] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2132),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2331),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2337),
    [anon_sym_co_yield] = ACTIONS(2340),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2126),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(840),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(872),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(525),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(405),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(862),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2345),
    [anon_sym_LPAREN2] = ACTIONS(2027),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2042),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [sym_primitive_type] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2357),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2375),
    [anon_sym_goto] = ACTIONS(2378),
    [anon_sym___try] = ACTIONS(2381),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_compl] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_sizeof] = ACTIONS(2102),
    [anon_sym___alignof__] = ACTIONS(2105),
    [anon_sym___alignof] = ACTIONS(2105),
    [anon_sym__alignof] = ACTIONS(2105),
    [anon_sym_alignof] = ACTIONS(2105),
    [anon_sym__Alignof] = ACTIONS(2105),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2111),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2117),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2129),
    [anon_sym_nullptr] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2132),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2390),
    [anon_sym_co_return] = ACTIONS(2393),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2126),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(406),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(835),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(878),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(849),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(870),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(516),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(183),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_statement] = STATE(440),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7713),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(183),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(778),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_goto] = ACTIONS(782),
    [anon_sym___try] = ACTIONS(784),
    [anon_sym___leave] = ACTIONS(786),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_co_return] = ACTIONS(802),
    [anon_sym_co_yield] = ACTIONS(804),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(518),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(862),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8203),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_do] = ACTIONS(1644),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1652),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym___try] = ACTIONS(1656),
    [anon_sym___leave] = ACTIONS(1658),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_co_return] = ACTIONS(1664),
    [anon_sym_co_yield] = ACTIONS(1666),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(519),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [208] = {
    [sym_expression] = STATE(3059),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_initializer_list] = STATE(3272),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1752),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1902),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1904),
    [sym_this] = ACTIONS(1796),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(455),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(7800),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(479),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(479),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2027),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2042),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [sym_primitive_type] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2419),
    [anon_sym_while] = ACTIONS(2422),
    [anon_sym_do] = ACTIONS(2191),
    [anon_sym_for] = ACTIONS(2425),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2431),
    [anon_sym_not] = ACTIONS(2033),
    [anon_sym_compl] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_sizeof] = ACTIONS(2102),
    [anon_sym___alignof__] = ACTIONS(2105),
    [anon_sym___alignof] = ACTIONS(2105),
    [anon_sym__alignof] = ACTIONS(2105),
    [anon_sym_alignof] = ACTIONS(2105),
    [anon_sym__Alignof] = ACTIONS(2105),
    [anon_sym_offsetof] = ACTIONS(2108),
    [anon_sym__Generic] = ACTIONS(2111),
    [anon_sym_asm] = ACTIONS(2114),
    [anon_sym___asm__] = ACTIONS(2114),
    [anon_sym___asm] = ACTIONS(2114),
    [sym_number_literal] = ACTIONS(2117),
    [anon_sym_L_SQUOTE] = ACTIONS(2120),
    [anon_sym_u_SQUOTE] = ACTIONS(2120),
    [anon_sym_U_SQUOTE] = ACTIONS(2120),
    [anon_sym_u8_SQUOTE] = ACTIONS(2120),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [anon_sym_NULL] = ACTIONS(2129),
    [anon_sym_nullptr] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2132),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_co_return] = ACTIONS(2221),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2162),
    [sym_this] = ACTIONS(2126),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(484),
    [sym_attributed_statement] = STATE(484),
    [sym_statement] = STATE(463),
    [sym_labeled_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_case_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_seh_try_statement] = STATE(484),
    [sym_seh_leave_statement] = STATE(484),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(484),
    [sym_co_return_statement] = STATE(484),
    [sym_co_yield_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(7967),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(7993),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(192),
    [sym_compound_statement] = STATE(482),
    [sym_attributed_statement] = STATE(482),
    [sym_statement] = STATE(490),
    [sym_labeled_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_seh_try_statement] = STATE(482),
    [sym_seh_leave_statement] = STATE(482),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7583),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_for_range_loop] = STATE(482),
    [sym_co_return_statement] = STATE(482),
    [sym_co_yield_statement] = STATE(482),
    [sym_throw_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_attributed_declarator_repeat1] = STATE(192),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [217] = {
    [sym_expression] = STATE(3192),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_COLON] = ACTIONS(1902),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [218] = {
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_initializer_list] = STATE(3456),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1902),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [219] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [220] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [aux_sym_preproc_else_token1] = ACTIONS(2499),
    [aux_sym_preproc_elif_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [221] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [aux_sym_preproc_else_token1] = ACTIONS(2505),
    [aux_sym_preproc_elif_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym___try] = ACTIONS(2505),
    [anon_sym___leave] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [222] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2529),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [223] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_catch] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [224] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [225] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [226] = {
    [sym_expression] = STATE(3515),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_initializer_list] = STATE(3743),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1902),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1904),
    [sym_this] = ACTIONS(1878),
  },
  [227] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [aux_sym_preproc_else_token1] = ACTIONS(1956),
    [aux_sym_preproc_elif_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [230] = {
    [sym_else_clause] = STATE(270),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [aux_sym_preproc_else_token1] = ACTIONS(2566),
    [aux_sym_preproc_elif_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [231] = {
    [sym_else_clause] = STATE(236),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [aux_sym_preproc_else_token1] = ACTIONS(2572),
    [aux_sym_preproc_elif_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [aux_sym_preproc_else_token1] = ACTIONS(2584),
    [aux_sym_preproc_elif_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_virtual] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [235] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4165),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6598),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(7073),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2642),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [aux_sym_preproc_else_token1] = ACTIONS(2658),
    [aux_sym_preproc_elif_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [aux_sym_preproc_else_token1] = ACTIONS(2662),
    [aux_sym_preproc_elif_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [239] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4195),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6499),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6933),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2666),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_virtual] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym__Nonnull] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [anon_sym___asm] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [241] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4111),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6572),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6689),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token2] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [aux_sym_preproc_else_token1] = ACTIONS(2674),
    [aux_sym_preproc_elif_token1] = ACTIONS(2674),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_virtual] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___based] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_mutable] = ACTIONS(2674),
    [anon_sym_constinit] = ACTIONS(2674),
    [anon_sym_consteval] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym___leave] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_compl] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2674),
    [anon_sym_decltype] = ACTIONS(2674),
    [anon_sym_explicit] = ACTIONS(2674),
    [anon_sym_typename] = ACTIONS(2674),
    [anon_sym_template] = ACTIONS(2674),
    [anon_sym_operator] = ACTIONS(2674),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2674),
    [anon_sym_throw] = ACTIONS(2674),
    [anon_sym_namespace] = ACTIONS(2674),
    [anon_sym_using] = ACTIONS(2674),
    [anon_sym_static_assert] = ACTIONS(2674),
    [anon_sym_concept] = ACTIONS(2674),
    [anon_sym_co_return] = ACTIONS(2674),
    [anon_sym_co_yield] = ACTIONS(2674),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2674),
    [anon_sym_new] = ACTIONS(2674),
    [anon_sym_requires] = ACTIONS(2674),
    [sym_this] = ACTIONS(2674),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [aux_sym_preproc_else_token1] = ACTIONS(2678),
    [aux_sym_preproc_elif_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token2] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [aux_sym_preproc_else_token1] = ACTIONS(2682),
    [aux_sym_preproc_elif_token1] = ACTIONS(2682),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_virtual] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___based] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_mutable] = ACTIONS(2682),
    [anon_sym_constinit] = ACTIONS(2682),
    [anon_sym_consteval] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym___leave] = ACTIONS(2682),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2682),
    [anon_sym_decltype] = ACTIONS(2682),
    [anon_sym_explicit] = ACTIONS(2682),
    [anon_sym_typename] = ACTIONS(2682),
    [anon_sym_template] = ACTIONS(2682),
    [anon_sym_operator] = ACTIONS(2682),
    [anon_sym_try] = ACTIONS(2682),
    [anon_sym_delete] = ACTIONS(2682),
    [anon_sym_throw] = ACTIONS(2682),
    [anon_sym_namespace] = ACTIONS(2682),
    [anon_sym_using] = ACTIONS(2682),
    [anon_sym_static_assert] = ACTIONS(2682),
    [anon_sym_concept] = ACTIONS(2682),
    [anon_sym_co_return] = ACTIONS(2682),
    [anon_sym_co_yield] = ACTIONS(2682),
    [anon_sym_R_DQUOTE] = ACTIONS(2684),
    [anon_sym_LR_DQUOTE] = ACTIONS(2684),
    [anon_sym_uR_DQUOTE] = ACTIONS(2684),
    [anon_sym_UR_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2684),
    [anon_sym_co_await] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2682),
    [anon_sym_requires] = ACTIONS(2682),
    [sym_this] = ACTIONS(2682),
  },
  [245] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4130),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6636),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2686),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [aux_sym_preproc_else_token1] = ACTIONS(2688),
    [aux_sym_preproc_elif_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym__Nonnull] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [anon_sym___asm] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token2] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [aux_sym_preproc_else_token1] = ACTIONS(2692),
    [aux_sym_preproc_elif_token1] = ACTIONS(2692),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_virtual] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_else] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [anon_sym___asm] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [aux_sym_preproc_else_token1] = ACTIONS(2696),
    [aux_sym_preproc_elif_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [249] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4143),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6570),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6729),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [aux_sym_preproc_else_token1] = ACTIONS(2702),
    [aux_sym_preproc_elif_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
  },
  [252] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4150),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6434),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6743),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [253] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4154),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6443),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6756),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [254] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4160),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6450),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6768),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2714),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token2] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [aux_sym_preproc_else_token1] = ACTIONS(2716),
    [aux_sym_preproc_elif_token1] = ACTIONS(2716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_virtual] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym__Nonnull] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_else] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [anon_sym___asm] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [256] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4169),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6457),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6775),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token2] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [aux_sym_preproc_else_token1] = ACTIONS(2722),
    [aux_sym_preproc_elif_token1] = ACTIONS(2722),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [258] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4102),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6463),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6794),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2726),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token2] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [aux_sym_preproc_else_token1] = ACTIONS(2728),
    [aux_sym_preproc_elif_token1] = ACTIONS(2728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_virtual] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym__Nonnull] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [anon_sym___asm] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [aux_sym_preproc_else_token1] = ACTIONS(2732),
    [aux_sym_preproc_elif_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [261] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4104),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6470),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6804),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [aux_sym_preproc_else_token1] = ACTIONS(2738),
    [aux_sym_preproc_elif_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_virtual] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [263] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4124),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6477),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6852),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [aux_sym_preproc_else_token1] = ACTIONS(2744),
    [aux_sym_preproc_elif_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [aux_sym_preproc_else_token1] = ACTIONS(2748),
    [aux_sym_preproc_elif_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [anon_sym___asm] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2752),
    [aux_sym_preproc_include_token1] = ACTIONS(2752),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token2] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2752),
    [aux_sym_preproc_else_token1] = ACTIONS(2752),
    [aux_sym_preproc_elif_token1] = ACTIONS(2752),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2752),
    [sym_preproc_directive] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym___based] = ACTIONS(2752),
    [anon_sym___cdecl] = ACTIONS(2752),
    [anon_sym___clrcall] = ACTIONS(2752),
    [anon_sym___stdcall] = ACTIONS(2752),
    [anon_sym___fastcall] = ACTIONS(2752),
    [anon_sym___thiscall] = ACTIONS(2752),
    [anon_sym___vectorcall] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_goto] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2752),
    [anon_sym___leave] = ACTIONS(2752),
    [anon_sym_not] = ACTIONS(2752),
    [anon_sym_compl] = ACTIONS(2752),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_sizeof] = ACTIONS(2752),
    [anon_sym___alignof__] = ACTIONS(2752),
    [anon_sym___alignof] = ACTIONS(2752),
    [anon_sym__alignof] = ACTIONS(2752),
    [anon_sym_alignof] = ACTIONS(2752),
    [anon_sym__Alignof] = ACTIONS(2752),
    [anon_sym_offsetof] = ACTIONS(2752),
    [anon_sym__Generic] = ACTIONS(2752),
    [anon_sym_asm] = ACTIONS(2752),
    [anon_sym___asm__] = ACTIONS(2752),
    [anon_sym___asm] = ACTIONS(2752),
    [sym_number_literal] = ACTIONS(2754),
    [anon_sym_L_SQUOTE] = ACTIONS(2754),
    [anon_sym_u_SQUOTE] = ACTIONS(2754),
    [anon_sym_U_SQUOTE] = ACTIONS(2754),
    [anon_sym_u8_SQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [anon_sym_L_DQUOTE] = ACTIONS(2754),
    [anon_sym_u_DQUOTE] = ACTIONS(2754),
    [anon_sym_U_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8_DQUOTE] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [anon_sym_NULL] = ACTIONS(2752),
    [anon_sym_nullptr] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_explicit] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_operator] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_static_assert] = ACTIONS(2752),
    [anon_sym_concept] = ACTIONS(2752),
    [anon_sym_co_return] = ACTIONS(2752),
    [anon_sym_co_yield] = ACTIONS(2752),
    [anon_sym_R_DQUOTE] = ACTIONS(2754),
    [anon_sym_LR_DQUOTE] = ACTIONS(2754),
    [anon_sym_uR_DQUOTE] = ACTIONS(2754),
    [anon_sym_UR_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2754),
    [anon_sym_co_await] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_requires] = ACTIONS(2752),
    [sym_this] = ACTIONS(2752),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2756),
    [aux_sym_preproc_include_token1] = ACTIONS(2756),
    [aux_sym_preproc_def_token1] = ACTIONS(2756),
    [aux_sym_preproc_if_token1] = ACTIONS(2756),
    [aux_sym_preproc_if_token2] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [aux_sym_preproc_else_token1] = ACTIONS(2756),
    [aux_sym_preproc_elif_token1] = ACTIONS(2756),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2756),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2756),
    [anon_sym_typedef] = ACTIONS(2756),
    [anon_sym_virtual] = ACTIONS(2756),
    [anon_sym_extern] = ACTIONS(2756),
    [anon_sym___attribute__] = ACTIONS(2756),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2756),
    [anon_sym___based] = ACTIONS(2756),
    [anon_sym___cdecl] = ACTIONS(2756),
    [anon_sym___clrcall] = ACTIONS(2756),
    [anon_sym___stdcall] = ACTIONS(2756),
    [anon_sym___fastcall] = ACTIONS(2756),
    [anon_sym___thiscall] = ACTIONS(2756),
    [anon_sym___vectorcall] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2756),
    [anon_sym_unsigned] = ACTIONS(2756),
    [anon_sym_long] = ACTIONS(2756),
    [anon_sym_short] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_register] = ACTIONS(2756),
    [anon_sym_inline] = ACTIONS(2756),
    [anon_sym___inline] = ACTIONS(2756),
    [anon_sym___inline__] = ACTIONS(2756),
    [anon_sym___forceinline] = ACTIONS(2756),
    [anon_sym_thread_local] = ACTIONS(2756),
    [anon_sym___thread] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_constexpr] = ACTIONS(2756),
    [anon_sym_volatile] = ACTIONS(2756),
    [anon_sym_restrict] = ACTIONS(2756),
    [anon_sym___restrict__] = ACTIONS(2756),
    [anon_sym__Atomic] = ACTIONS(2756),
    [anon_sym__Noreturn] = ACTIONS(2756),
    [anon_sym_noreturn] = ACTIONS(2756),
    [anon_sym__Nonnull] = ACTIONS(2756),
    [anon_sym_mutable] = ACTIONS(2756),
    [anon_sym_constinit] = ACTIONS(2756),
    [anon_sym_consteval] = ACTIONS(2756),
    [anon_sym_alignas] = ACTIONS(2756),
    [anon_sym__Alignas] = ACTIONS(2756),
    [sym_primitive_type] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_struct] = ACTIONS(2756),
    [anon_sym_union] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_case] = ACTIONS(2756),
    [anon_sym_default] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_goto] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2756),
    [anon_sym___leave] = ACTIONS(2756),
    [anon_sym_not] = ACTIONS(2756),
    [anon_sym_compl] = ACTIONS(2756),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2756),
    [anon_sym___alignof__] = ACTIONS(2756),
    [anon_sym___alignof] = ACTIONS(2756),
    [anon_sym__alignof] = ACTIONS(2756),
    [anon_sym_alignof] = ACTIONS(2756),
    [anon_sym__Alignof] = ACTIONS(2756),
    [anon_sym_offsetof] = ACTIONS(2756),
    [anon_sym__Generic] = ACTIONS(2756),
    [anon_sym_asm] = ACTIONS(2756),
    [anon_sym___asm__] = ACTIONS(2756),
    [anon_sym___asm] = ACTIONS(2756),
    [sym_number_literal] = ACTIONS(2758),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [anon_sym_NULL] = ACTIONS(2756),
    [anon_sym_nullptr] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2756),
    [anon_sym_decltype] = ACTIONS(2756),
    [anon_sym_explicit] = ACTIONS(2756),
    [anon_sym_typename] = ACTIONS(2756),
    [anon_sym_template] = ACTIONS(2756),
    [anon_sym_operator] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_namespace] = ACTIONS(2756),
    [anon_sym_using] = ACTIONS(2756),
    [anon_sym_static_assert] = ACTIONS(2756),
    [anon_sym_concept] = ACTIONS(2756),
    [anon_sym_co_return] = ACTIONS(2756),
    [anon_sym_co_yield] = ACTIONS(2756),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_requires] = ACTIONS(2756),
    [sym_this] = ACTIONS(2756),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [aux_sym_preproc_else_token1] = ACTIONS(2760),
    [aux_sym_preproc_elif_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2764),
    [aux_sym_preproc_include_token1] = ACTIONS(2764),
    [aux_sym_preproc_def_token1] = ACTIONS(2764),
    [aux_sym_preproc_if_token1] = ACTIONS(2764),
    [aux_sym_preproc_if_token2] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2764),
    [aux_sym_preproc_else_token1] = ACTIONS(2764),
    [aux_sym_preproc_elif_token1] = ACTIONS(2764),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2764),
    [sym_preproc_directive] = ACTIONS(2764),
    [anon_sym_LPAREN2] = ACTIONS(2766),
    [anon_sym_BANG] = ACTIONS(2766),
    [anon_sym_TILDE] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym___extension__] = ACTIONS(2764),
    [anon_sym_typedef] = ACTIONS(2764),
    [anon_sym_virtual] = ACTIONS(2764),
    [anon_sym_extern] = ACTIONS(2764),
    [anon_sym___attribute__] = ACTIONS(2764),
    [anon_sym_COLON_COLON] = ACTIONS(2766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2766),
    [anon_sym___declspec] = ACTIONS(2764),
    [anon_sym___based] = ACTIONS(2764),
    [anon_sym___cdecl] = ACTIONS(2764),
    [anon_sym___clrcall] = ACTIONS(2764),
    [anon_sym___stdcall] = ACTIONS(2764),
    [anon_sym___fastcall] = ACTIONS(2764),
    [anon_sym___thiscall] = ACTIONS(2764),
    [anon_sym___vectorcall] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2764),
    [anon_sym_unsigned] = ACTIONS(2764),
    [anon_sym_long] = ACTIONS(2764),
    [anon_sym_short] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_register] = ACTIONS(2764),
    [anon_sym_inline] = ACTIONS(2764),
    [anon_sym___inline] = ACTIONS(2764),
    [anon_sym___inline__] = ACTIONS(2764),
    [anon_sym___forceinline] = ACTIONS(2764),
    [anon_sym_thread_local] = ACTIONS(2764),
    [anon_sym___thread] = ACTIONS(2764),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_constexpr] = ACTIONS(2764),
    [anon_sym_volatile] = ACTIONS(2764),
    [anon_sym_restrict] = ACTIONS(2764),
    [anon_sym___restrict__] = ACTIONS(2764),
    [anon_sym__Atomic] = ACTIONS(2764),
    [anon_sym__Noreturn] = ACTIONS(2764),
    [anon_sym_noreturn] = ACTIONS(2764),
    [anon_sym__Nonnull] = ACTIONS(2764),
    [anon_sym_mutable] = ACTIONS(2764),
    [anon_sym_constinit] = ACTIONS(2764),
    [anon_sym_consteval] = ACTIONS(2764),
    [anon_sym_alignas] = ACTIONS(2764),
    [anon_sym__Alignas] = ACTIONS(2764),
    [sym_primitive_type] = ACTIONS(2764),
    [anon_sym_enum] = ACTIONS(2764),
    [anon_sym_class] = ACTIONS(2764),
    [anon_sym_struct] = ACTIONS(2764),
    [anon_sym_union] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_else] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2764),
    [anon_sym_case] = ACTIONS(2764),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2764),
    [anon_sym_return] = ACTIONS(2764),
    [anon_sym_break] = ACTIONS(2764),
    [anon_sym_continue] = ACTIONS(2764),
    [anon_sym_goto] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2764),
    [anon_sym___leave] = ACTIONS(2764),
    [anon_sym_not] = ACTIONS(2764),
    [anon_sym_compl] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2766),
    [anon_sym_PLUS_PLUS] = ACTIONS(2766),
    [anon_sym_sizeof] = ACTIONS(2764),
    [anon_sym___alignof__] = ACTIONS(2764),
    [anon_sym___alignof] = ACTIONS(2764),
    [anon_sym__alignof] = ACTIONS(2764),
    [anon_sym_alignof] = ACTIONS(2764),
    [anon_sym__Alignof] = ACTIONS(2764),
    [anon_sym_offsetof] = ACTIONS(2764),
    [anon_sym__Generic] = ACTIONS(2764),
    [anon_sym_asm] = ACTIONS(2764),
    [anon_sym___asm__] = ACTIONS(2764),
    [anon_sym___asm] = ACTIONS(2764),
    [sym_number_literal] = ACTIONS(2766),
    [anon_sym_L_SQUOTE] = ACTIONS(2766),
    [anon_sym_u_SQUOTE] = ACTIONS(2766),
    [anon_sym_U_SQUOTE] = ACTIONS(2766),
    [anon_sym_u8_SQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [anon_sym_L_DQUOTE] = ACTIONS(2766),
    [anon_sym_u_DQUOTE] = ACTIONS(2766),
    [anon_sym_U_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8_DQUOTE] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [anon_sym_NULL] = ACTIONS(2764),
    [anon_sym_nullptr] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2764),
    [anon_sym_decltype] = ACTIONS(2764),
    [anon_sym_explicit] = ACTIONS(2764),
    [anon_sym_typename] = ACTIONS(2764),
    [anon_sym_template] = ACTIONS(2764),
    [anon_sym_operator] = ACTIONS(2764),
    [anon_sym_try] = ACTIONS(2764),
    [anon_sym_delete] = ACTIONS(2764),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_namespace] = ACTIONS(2764),
    [anon_sym_using] = ACTIONS(2764),
    [anon_sym_static_assert] = ACTIONS(2764),
    [anon_sym_concept] = ACTIONS(2764),
    [anon_sym_co_return] = ACTIONS(2764),
    [anon_sym_co_yield] = ACTIONS(2764),
    [anon_sym_R_DQUOTE] = ACTIONS(2766),
    [anon_sym_LR_DQUOTE] = ACTIONS(2766),
    [anon_sym_uR_DQUOTE] = ACTIONS(2766),
    [anon_sym_UR_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2766),
    [anon_sym_co_await] = ACTIONS(2764),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_requires] = ACTIONS(2764),
    [sym_this] = ACTIONS(2764),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2768),
    [aux_sym_preproc_include_token1] = ACTIONS(2768),
    [aux_sym_preproc_def_token1] = ACTIONS(2768),
    [aux_sym_preproc_if_token1] = ACTIONS(2768),
    [aux_sym_preproc_if_token2] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2768),
    [aux_sym_preproc_else_token1] = ACTIONS(2768),
    [aux_sym_preproc_elif_token1] = ACTIONS(2768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2768),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2768),
    [sym_preproc_directive] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2770),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym___extension__] = ACTIONS(2768),
    [anon_sym_typedef] = ACTIONS(2768),
    [anon_sym_virtual] = ACTIONS(2768),
    [anon_sym_extern] = ACTIONS(2768),
    [anon_sym___attribute__] = ACTIONS(2768),
    [anon_sym_COLON_COLON] = ACTIONS(2770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2770),
    [anon_sym___declspec] = ACTIONS(2768),
    [anon_sym___based] = ACTIONS(2768),
    [anon_sym___cdecl] = ACTIONS(2768),
    [anon_sym___clrcall] = ACTIONS(2768),
    [anon_sym___stdcall] = ACTIONS(2768),
    [anon_sym___fastcall] = ACTIONS(2768),
    [anon_sym___thiscall] = ACTIONS(2768),
    [anon_sym___vectorcall] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2768),
    [anon_sym_unsigned] = ACTIONS(2768),
    [anon_sym_long] = ACTIONS(2768),
    [anon_sym_short] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_register] = ACTIONS(2768),
    [anon_sym_inline] = ACTIONS(2768),
    [anon_sym___inline] = ACTIONS(2768),
    [anon_sym___inline__] = ACTIONS(2768),
    [anon_sym___forceinline] = ACTIONS(2768),
    [anon_sym_thread_local] = ACTIONS(2768),
    [anon_sym___thread] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_constexpr] = ACTIONS(2768),
    [anon_sym_volatile] = ACTIONS(2768),
    [anon_sym_restrict] = ACTIONS(2768),
    [anon_sym___restrict__] = ACTIONS(2768),
    [anon_sym__Atomic] = ACTIONS(2768),
    [anon_sym__Noreturn] = ACTIONS(2768),
    [anon_sym_noreturn] = ACTIONS(2768),
    [anon_sym__Nonnull] = ACTIONS(2768),
    [anon_sym_mutable] = ACTIONS(2768),
    [anon_sym_constinit] = ACTIONS(2768),
    [anon_sym_consteval] = ACTIONS(2768),
    [anon_sym_alignas] = ACTIONS(2768),
    [anon_sym__Alignas] = ACTIONS(2768),
    [sym_primitive_type] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_struct] = ACTIONS(2768),
    [anon_sym_union] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_case] = ACTIONS(2768),
    [anon_sym_default] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_goto] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2768),
    [anon_sym___leave] = ACTIONS(2768),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_compl] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_sizeof] = ACTIONS(2768),
    [anon_sym___alignof__] = ACTIONS(2768),
    [anon_sym___alignof] = ACTIONS(2768),
    [anon_sym__alignof] = ACTIONS(2768),
    [anon_sym_alignof] = ACTIONS(2768),
    [anon_sym__Alignof] = ACTIONS(2768),
    [anon_sym_offsetof] = ACTIONS(2768),
    [anon_sym__Generic] = ACTIONS(2768),
    [anon_sym_asm] = ACTIONS(2768),
    [anon_sym___asm__] = ACTIONS(2768),
    [anon_sym___asm] = ACTIONS(2768),
    [sym_number_literal] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2770),
    [anon_sym_u_SQUOTE] = ACTIONS(2770),
    [anon_sym_U_SQUOTE] = ACTIONS(2770),
    [anon_sym_u8_SQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [anon_sym_L_DQUOTE] = ACTIONS(2770),
    [anon_sym_u_DQUOTE] = ACTIONS(2770),
    [anon_sym_U_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8_DQUOTE] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [anon_sym_NULL] = ACTIONS(2768),
    [anon_sym_nullptr] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2768),
    [anon_sym_decltype] = ACTIONS(2768),
    [anon_sym_explicit] = ACTIONS(2768),
    [anon_sym_typename] = ACTIONS(2768),
    [anon_sym_template] = ACTIONS(2768),
    [anon_sym_operator] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_namespace] = ACTIONS(2768),
    [anon_sym_using] = ACTIONS(2768),
    [anon_sym_static_assert] = ACTIONS(2768),
    [anon_sym_concept] = ACTIONS(2768),
    [anon_sym_co_return] = ACTIONS(2768),
    [anon_sym_co_yield] = ACTIONS(2768),
    [anon_sym_R_DQUOTE] = ACTIONS(2770),
    [anon_sym_LR_DQUOTE] = ACTIONS(2770),
    [anon_sym_uR_DQUOTE] = ACTIONS(2770),
    [anon_sym_UR_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2770),
    [anon_sym_co_await] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_requires] = ACTIONS(2768),
    [sym_this] = ACTIONS(2768),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2772),
    [aux_sym_preproc_include_token1] = ACTIONS(2772),
    [aux_sym_preproc_def_token1] = ACTIONS(2772),
    [aux_sym_preproc_if_token1] = ACTIONS(2772),
    [aux_sym_preproc_if_token2] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2772),
    [aux_sym_preproc_else_token1] = ACTIONS(2772),
    [aux_sym_preproc_elif_token1] = ACTIONS(2772),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2772),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2772),
    [sym_preproc_directive] = ACTIONS(2772),
    [anon_sym_LPAREN2] = ACTIONS(2774),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2772),
    [anon_sym_typedef] = ACTIONS(2772),
    [anon_sym_virtual] = ACTIONS(2772),
    [anon_sym_extern] = ACTIONS(2772),
    [anon_sym___attribute__] = ACTIONS(2772),
    [anon_sym_COLON_COLON] = ACTIONS(2774),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2774),
    [anon_sym___declspec] = ACTIONS(2772),
    [anon_sym___based] = ACTIONS(2772),
    [anon_sym___cdecl] = ACTIONS(2772),
    [anon_sym___clrcall] = ACTIONS(2772),
    [anon_sym___stdcall] = ACTIONS(2772),
    [anon_sym___fastcall] = ACTIONS(2772),
    [anon_sym___thiscall] = ACTIONS(2772),
    [anon_sym___vectorcall] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2772),
    [anon_sym_unsigned] = ACTIONS(2772),
    [anon_sym_long] = ACTIONS(2772),
    [anon_sym_short] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_register] = ACTIONS(2772),
    [anon_sym_inline] = ACTIONS(2772),
    [anon_sym___inline] = ACTIONS(2772),
    [anon_sym___inline__] = ACTIONS(2772),
    [anon_sym___forceinline] = ACTIONS(2772),
    [anon_sym_thread_local] = ACTIONS(2772),
    [anon_sym___thread] = ACTIONS(2772),
    [anon_sym_const] = ACTIONS(2772),
    [anon_sym_constexpr] = ACTIONS(2772),
    [anon_sym_volatile] = ACTIONS(2772),
    [anon_sym_restrict] = ACTIONS(2772),
    [anon_sym___restrict__] = ACTIONS(2772),
    [anon_sym__Atomic] = ACTIONS(2772),
    [anon_sym__Noreturn] = ACTIONS(2772),
    [anon_sym_noreturn] = ACTIONS(2772),
    [anon_sym__Nonnull] = ACTIONS(2772),
    [anon_sym_mutable] = ACTIONS(2772),
    [anon_sym_constinit] = ACTIONS(2772),
    [anon_sym_consteval] = ACTIONS(2772),
    [anon_sym_alignas] = ACTIONS(2772),
    [anon_sym__Alignas] = ACTIONS(2772),
    [sym_primitive_type] = ACTIONS(2772),
    [anon_sym_enum] = ACTIONS(2772),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_struct] = ACTIONS(2772),
    [anon_sym_union] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2772),
    [anon_sym_else] = ACTIONS(2772),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_case] = ACTIONS(2772),
    [anon_sym_default] = ACTIONS(2772),
    [anon_sym_while] = ACTIONS(2772),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_return] = ACTIONS(2772),
    [anon_sym_break] = ACTIONS(2772),
    [anon_sym_continue] = ACTIONS(2772),
    [anon_sym_goto] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2772),
    [anon_sym___leave] = ACTIONS(2772),
    [anon_sym_not] = ACTIONS(2772),
    [anon_sym_compl] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_sizeof] = ACTIONS(2772),
    [anon_sym___alignof__] = ACTIONS(2772),
    [anon_sym___alignof] = ACTIONS(2772),
    [anon_sym__alignof] = ACTIONS(2772),
    [anon_sym_alignof] = ACTIONS(2772),
    [anon_sym__Alignof] = ACTIONS(2772),
    [anon_sym_offsetof] = ACTIONS(2772),
    [anon_sym__Generic] = ACTIONS(2772),
    [anon_sym_asm] = ACTIONS(2772),
    [anon_sym___asm__] = ACTIONS(2772),
    [anon_sym___asm] = ACTIONS(2772),
    [sym_number_literal] = ACTIONS(2774),
    [anon_sym_L_SQUOTE] = ACTIONS(2774),
    [anon_sym_u_SQUOTE] = ACTIONS(2774),
    [anon_sym_U_SQUOTE] = ACTIONS(2774),
    [anon_sym_u8_SQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [anon_sym_L_DQUOTE] = ACTIONS(2774),
    [anon_sym_u_DQUOTE] = ACTIONS(2774),
    [anon_sym_U_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8_DQUOTE] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [anon_sym_NULL] = ACTIONS(2772),
    [anon_sym_nullptr] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2772),
    [anon_sym_decltype] = ACTIONS(2772),
    [anon_sym_explicit] = ACTIONS(2772),
    [anon_sym_typename] = ACTIONS(2772),
    [anon_sym_template] = ACTIONS(2772),
    [anon_sym_operator] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2772),
    [anon_sym_delete] = ACTIONS(2772),
    [anon_sym_throw] = ACTIONS(2772),
    [anon_sym_namespace] = ACTIONS(2772),
    [anon_sym_using] = ACTIONS(2772),
    [anon_sym_static_assert] = ACTIONS(2772),
    [anon_sym_concept] = ACTIONS(2772),
    [anon_sym_co_return] = ACTIONS(2772),
    [anon_sym_co_yield] = ACTIONS(2772),
    [anon_sym_R_DQUOTE] = ACTIONS(2774),
    [anon_sym_LR_DQUOTE] = ACTIONS(2774),
    [anon_sym_uR_DQUOTE] = ACTIONS(2774),
    [anon_sym_UR_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2774),
    [anon_sym_co_await] = ACTIONS(2772),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_requires] = ACTIONS(2772),
    [sym_this] = ACTIONS(2772),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2776),
    [aux_sym_preproc_include_token1] = ACTIONS(2776),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token2] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2776),
    [aux_sym_preproc_else_token1] = ACTIONS(2776),
    [aux_sym_preproc_elif_token1] = ACTIONS(2776),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2776),
    [sym_preproc_directive] = ACTIONS(2776),
    [anon_sym_LPAREN2] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2778),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym___extension__] = ACTIONS(2776),
    [anon_sym_typedef] = ACTIONS(2776),
    [anon_sym_virtual] = ACTIONS(2776),
    [anon_sym_extern] = ACTIONS(2776),
    [anon_sym___attribute__] = ACTIONS(2776),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2776),
    [anon_sym___based] = ACTIONS(2776),
    [anon_sym___cdecl] = ACTIONS(2776),
    [anon_sym___clrcall] = ACTIONS(2776),
    [anon_sym___stdcall] = ACTIONS(2776),
    [anon_sym___fastcall] = ACTIONS(2776),
    [anon_sym___thiscall] = ACTIONS(2776),
    [anon_sym___vectorcall] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_signed] = ACTIONS(2776),
    [anon_sym_unsigned] = ACTIONS(2776),
    [anon_sym_long] = ACTIONS(2776),
    [anon_sym_short] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_register] = ACTIONS(2776),
    [anon_sym_inline] = ACTIONS(2776),
    [anon_sym___inline] = ACTIONS(2776),
    [anon_sym___inline__] = ACTIONS(2776),
    [anon_sym___forceinline] = ACTIONS(2776),
    [anon_sym_thread_local] = ACTIONS(2776),
    [anon_sym___thread] = ACTIONS(2776),
    [anon_sym_const] = ACTIONS(2776),
    [anon_sym_constexpr] = ACTIONS(2776),
    [anon_sym_volatile] = ACTIONS(2776),
    [anon_sym_restrict] = ACTIONS(2776),
    [anon_sym___restrict__] = ACTIONS(2776),
    [anon_sym__Atomic] = ACTIONS(2776),
    [anon_sym__Noreturn] = ACTIONS(2776),
    [anon_sym_noreturn] = ACTIONS(2776),
    [anon_sym__Nonnull] = ACTIONS(2776),
    [anon_sym_mutable] = ACTIONS(2776),
    [anon_sym_constinit] = ACTIONS(2776),
    [anon_sym_consteval] = ACTIONS(2776),
    [anon_sym_alignas] = ACTIONS(2776),
    [anon_sym__Alignas] = ACTIONS(2776),
    [sym_primitive_type] = ACTIONS(2776),
    [anon_sym_enum] = ACTIONS(2776),
    [anon_sym_class] = ACTIONS(2776),
    [anon_sym_struct] = ACTIONS(2776),
    [anon_sym_union] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2776),
    [anon_sym_else] = ACTIONS(2776),
    [anon_sym_switch] = ACTIONS(2776),
    [anon_sym_case] = ACTIONS(2776),
    [anon_sym_default] = ACTIONS(2776),
    [anon_sym_while] = ACTIONS(2776),
    [anon_sym_do] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2776),
    [anon_sym_goto] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2776),
    [anon_sym___leave] = ACTIONS(2776),
    [anon_sym_not] = ACTIONS(2776),
    [anon_sym_compl] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_sizeof] = ACTIONS(2776),
    [anon_sym___alignof__] = ACTIONS(2776),
    [anon_sym___alignof] = ACTIONS(2776),
    [anon_sym__alignof] = ACTIONS(2776),
    [anon_sym_alignof] = ACTIONS(2776),
    [anon_sym__Alignof] = ACTIONS(2776),
    [anon_sym_offsetof] = ACTIONS(2776),
    [anon_sym__Generic] = ACTIONS(2776),
    [anon_sym_asm] = ACTIONS(2776),
    [anon_sym___asm__] = ACTIONS(2776),
    [anon_sym___asm] = ACTIONS(2776),
    [sym_number_literal] = ACTIONS(2778),
    [anon_sym_L_SQUOTE] = ACTIONS(2778),
    [anon_sym_u_SQUOTE] = ACTIONS(2778),
    [anon_sym_U_SQUOTE] = ACTIONS(2778),
    [anon_sym_u8_SQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_L_DQUOTE] = ACTIONS(2778),
    [anon_sym_u_DQUOTE] = ACTIONS(2778),
    [anon_sym_U_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8_DQUOTE] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [anon_sym_NULL] = ACTIONS(2776),
    [anon_sym_nullptr] = ACTIONS(2776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2776),
    [anon_sym_decltype] = ACTIONS(2776),
    [anon_sym_explicit] = ACTIONS(2776),
    [anon_sym_typename] = ACTIONS(2776),
    [anon_sym_template] = ACTIONS(2776),
    [anon_sym_operator] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2776),
    [anon_sym_delete] = ACTIONS(2776),
    [anon_sym_throw] = ACTIONS(2776),
    [anon_sym_namespace] = ACTIONS(2776),
    [anon_sym_using] = ACTIONS(2776),
    [anon_sym_static_assert] = ACTIONS(2776),
    [anon_sym_concept] = ACTIONS(2776),
    [anon_sym_co_return] = ACTIONS(2776),
    [anon_sym_co_yield] = ACTIONS(2776),
    [anon_sym_R_DQUOTE] = ACTIONS(2778),
    [anon_sym_LR_DQUOTE] = ACTIONS(2778),
    [anon_sym_uR_DQUOTE] = ACTIONS(2778),
    [anon_sym_UR_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2778),
    [anon_sym_co_await] = ACTIONS(2776),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_requires] = ACTIONS(2776),
    [sym_this] = ACTIONS(2776),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token2] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [aux_sym_preproc_else_token1] = ACTIONS(2780),
    [aux_sym_preproc_elif_token1] = ACTIONS(2780),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_virtual] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym__Nonnull] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [anon_sym___asm] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [276] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4108),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6673),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(7068),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [277] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4152),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6556),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6918),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2792),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [aux_sym_preproc_else_token1] = ACTIONS(2794),
    [aux_sym_preproc_elif_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [281] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4115),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6617),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(7020),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token2] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [aux_sym_preproc_else_token1] = ACTIONS(2804),
    [aux_sym_preproc_elif_token1] = ACTIONS(2804),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [284] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4177),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6536),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6892),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [aux_sym_preproc_else_token1] = ACTIONS(2760),
    [aux_sym_preproc_elif_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [287] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4187),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6460),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(6786),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [aux_sym_preproc_else_token1] = ACTIONS(2820),
    [aux_sym_preproc_elif_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_virtual] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [aux_sym_preproc_else_token1] = ACTIONS(2834),
    [aux_sym_preproc_elif_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token2] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [aux_sym_preproc_else_token1] = ACTIONS(2838),
    [aux_sym_preproc_elif_token1] = ACTIONS(2838),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym__Nonnull] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym__Alignas] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [anon_sym___asm] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym__Nonnull] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym__Alignas] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [anon_sym___asm] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [aux_sym_preproc_else_token1] = ACTIONS(2850),
    [aux_sym_preproc_elif_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [anon_sym___asm] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym__Nonnull] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [anon_sym___asm] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym__Nonnull] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [anon_sym___asm] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token2] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [aux_sym_preproc_else_token1] = ACTIONS(2862),
    [aux_sym_preproc_elif_token1] = ACTIONS(2862),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token2] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [aux_sym_preproc_else_token1] = ACTIONS(2866),
    [aux_sym_preproc_elif_token1] = ACTIONS(2866),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [sym_primitive_type] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token2] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [aux_sym_preproc_else_token1] = ACTIONS(2870),
    [aux_sym_preproc_elif_token1] = ACTIONS(2870),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [sym_primitive_type] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [sym_number_literal] = ACTIONS(2872),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [302] = {
    [sym_catch_clause] = STATE(307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(307),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(2874),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [aux_sym_preproc_else_token1] = ACTIONS(2876),
    [aux_sym_preproc_elif_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [aux_sym_preproc_else_token1] = ACTIONS(2880),
    [aux_sym_preproc_elif_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [aux_sym_preproc_else_token1] = ACTIONS(2884),
    [aux_sym_preproc_elif_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [aux_sym_preproc_else_token1] = ACTIONS(2888),
    [aux_sym_preproc_elif_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [sym_primitive_type] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [sym_number_literal] = ACTIONS(2890),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [307] = {
    [sym_catch_clause] = STATE(307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(307),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [aux_sym_preproc_else_token1] = ACTIONS(2895),
    [aux_sym_preproc_elif_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [309] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [314] = {
    [sym_expression] = STATE(4323),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7819),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2938),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [319] = {
    [sym_expression] = STATE(4326),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8156),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(2956),
    [anon_sym___extension__] = ACTIONS(2958),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [320] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [323] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2841),
    [sym__declarator] = STATE(6100),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_type_qualifier] = STATE(3805),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_expression] = STATE(2988),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3142),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5286),
    [sym_qualified_identifier] = STATE(3149),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3317),
    [aux_sym__type_definition_type_repeat1] = STATE(3805),
    [aux_sym_pointer_declarator_repeat1] = STATE(2841),
    [sym_identifier] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym___extension__] = ACTIONS(2982),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [aux_sym_preproc_else_token1] = ACTIONS(2992),
    [aux_sym_preproc_elif_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [sym_number_literal] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [325] = {
    [sym_catch_clause] = STATE(329),
    [aux_sym_constructor_try_statement_repeat1] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [aux_sym_preproc_else_token1] = ACTIONS(2998),
    [aux_sym_preproc_elif_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [327] = {
    [sym_type_qualifier] = STATE(3685),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4388),
    [sym_sized_type_specifier] = STATE(2666),
    [sym_enum_specifier] = STATE(2666),
    [sym_struct_specifier] = STATE(2666),
    [sym_union_specifier] = STATE(2666),
    [sym_expression] = STATE(4285),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_type_descriptor] = STATE(6790),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_placeholder_type_specifier] = STATE(2666),
    [sym_decltype_auto] = STATE(2663),
    [sym_decltype] = STATE(2580),
    [sym_class_specifier] = STATE(2666),
    [sym__class_name] = STATE(7102),
    [sym_dependent_type] = STATE(2666),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_type_parameter_pack_expansion] = STATE(7284),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5405),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3441),
    [aux_sym__type_definition_type_repeat1] = STATE(3685),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [aux_sym_preproc_else_token1] = ACTIONS(2998),
    [aux_sym_preproc_elif_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [329] = {
    [sym_catch_clause] = STATE(329),
    [aux_sym_constructor_try_statement_repeat1] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(3002),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [330] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym__Nonnull] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [anon_sym___asm] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [331] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym__Nonnull] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [anon_sym___asm] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [332] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym__Nonnull] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [anon_sym___asm] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [333] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [aux_sym_preproc_else_token1] = ACTIONS(3017),
    [aux_sym_preproc_elif_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_virtual] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym__Nonnull] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym___try] = ACTIONS(3017),
    [anon_sym___leave] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [anon_sym___asm] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [334] = {
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3021),
    [aux_sym_preproc_elif_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3023),
    [anon_sym_BANG] = ACTIONS(3023),
    [anon_sym_TILDE] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_SEMI] = ACTIONS(3023),
    [anon_sym___extension__] = ACTIONS(3021),
    [anon_sym_typedef] = ACTIONS(3021),
    [anon_sym_virtual] = ACTIONS(3021),
    [anon_sym_extern] = ACTIONS(3021),
    [anon_sym___attribute__] = ACTIONS(3021),
    [anon_sym_COLON_COLON] = ACTIONS(3023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3023),
    [anon_sym___declspec] = ACTIONS(3021),
    [anon_sym___based] = ACTIONS(3021),
    [anon_sym___cdecl] = ACTIONS(3021),
    [anon_sym___clrcall] = ACTIONS(3021),
    [anon_sym___stdcall] = ACTIONS(3021),
    [anon_sym___fastcall] = ACTIONS(3021),
    [anon_sym___thiscall] = ACTIONS(3021),
    [anon_sym___vectorcall] = ACTIONS(3021),
    [anon_sym_LBRACE] = ACTIONS(3023),
    [anon_sym_signed] = ACTIONS(3021),
    [anon_sym_unsigned] = ACTIONS(3021),
    [anon_sym_long] = ACTIONS(3021),
    [anon_sym_short] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(3021),
    [anon_sym_static] = ACTIONS(3021),
    [anon_sym_register] = ACTIONS(3021),
    [anon_sym_inline] = ACTIONS(3021),
    [anon_sym___inline] = ACTIONS(3021),
    [anon_sym___inline__] = ACTIONS(3021),
    [anon_sym___forceinline] = ACTIONS(3021),
    [anon_sym_thread_local] = ACTIONS(3021),
    [anon_sym___thread] = ACTIONS(3021),
    [anon_sym_const] = ACTIONS(3021),
    [anon_sym_constexpr] = ACTIONS(3021),
    [anon_sym_volatile] = ACTIONS(3021),
    [anon_sym_restrict] = ACTIONS(3021),
    [anon_sym___restrict__] = ACTIONS(3021),
    [anon_sym__Atomic] = ACTIONS(3021),
    [anon_sym__Noreturn] = ACTIONS(3021),
    [anon_sym_noreturn] = ACTIONS(3021),
    [anon_sym__Nonnull] = ACTIONS(3021),
    [anon_sym_mutable] = ACTIONS(3021),
    [anon_sym_constinit] = ACTIONS(3021),
    [anon_sym_consteval] = ACTIONS(3021),
    [anon_sym_alignas] = ACTIONS(3021),
    [anon_sym__Alignas] = ACTIONS(3021),
    [sym_primitive_type] = ACTIONS(3021),
    [anon_sym_enum] = ACTIONS(3021),
    [anon_sym_class] = ACTIONS(3021),
    [anon_sym_struct] = ACTIONS(3021),
    [anon_sym_union] = ACTIONS(3021),
    [anon_sym_if] = ACTIONS(3021),
    [anon_sym_switch] = ACTIONS(3021),
    [anon_sym_case] = ACTIONS(3021),
    [anon_sym_default] = ACTIONS(3021),
    [anon_sym_while] = ACTIONS(3021),
    [anon_sym_do] = ACTIONS(3021),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_return] = ACTIONS(3021),
    [anon_sym_break] = ACTIONS(3021),
    [anon_sym_continue] = ACTIONS(3021),
    [anon_sym_goto] = ACTIONS(3021),
    [anon_sym___try] = ACTIONS(3021),
    [anon_sym___leave] = ACTIONS(3021),
    [anon_sym_not] = ACTIONS(3021),
    [anon_sym_compl] = ACTIONS(3021),
    [anon_sym_DASH_DASH] = ACTIONS(3023),
    [anon_sym_PLUS_PLUS] = ACTIONS(3023),
    [anon_sym_sizeof] = ACTIONS(3021),
    [anon_sym___alignof__] = ACTIONS(3021),
    [anon_sym___alignof] = ACTIONS(3021),
    [anon_sym__alignof] = ACTIONS(3021),
    [anon_sym_alignof] = ACTIONS(3021),
    [anon_sym__Alignof] = ACTIONS(3021),
    [anon_sym_offsetof] = ACTIONS(3021),
    [anon_sym__Generic] = ACTIONS(3021),
    [anon_sym_asm] = ACTIONS(3021),
    [anon_sym___asm__] = ACTIONS(3021),
    [anon_sym___asm] = ACTIONS(3021),
    [sym_number_literal] = ACTIONS(3023),
    [anon_sym_L_SQUOTE] = ACTIONS(3023),
    [anon_sym_u_SQUOTE] = ACTIONS(3023),
    [anon_sym_U_SQUOTE] = ACTIONS(3023),
    [anon_sym_u8_SQUOTE] = ACTIONS(3023),
    [anon_sym_SQUOTE] = ACTIONS(3023),
    [anon_sym_L_DQUOTE] = ACTIONS(3023),
    [anon_sym_u_DQUOTE] = ACTIONS(3023),
    [anon_sym_U_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8_DQUOTE] = ACTIONS(3023),
    [anon_sym_DQUOTE] = ACTIONS(3023),
    [sym_true] = ACTIONS(3021),
    [sym_false] = ACTIONS(3021),
    [anon_sym_NULL] = ACTIONS(3021),
    [anon_sym_nullptr] = ACTIONS(3021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3021),
    [anon_sym_decltype] = ACTIONS(3021),
    [anon_sym_explicit] = ACTIONS(3021),
    [anon_sym_typename] = ACTIONS(3021),
    [anon_sym_template] = ACTIONS(3021),
    [anon_sym_operator] = ACTIONS(3021),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_delete] = ACTIONS(3021),
    [anon_sym_throw] = ACTIONS(3021),
    [anon_sym_namespace] = ACTIONS(3021),
    [anon_sym_using] = ACTIONS(3021),
    [anon_sym_static_assert] = ACTIONS(3021),
    [anon_sym_concept] = ACTIONS(3021),
    [anon_sym_co_return] = ACTIONS(3021),
    [anon_sym_co_yield] = ACTIONS(3021),
    [anon_sym_R_DQUOTE] = ACTIONS(3023),
    [anon_sym_LR_DQUOTE] = ACTIONS(3023),
    [anon_sym_uR_DQUOTE] = ACTIONS(3023),
    [anon_sym_UR_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3023),
    [anon_sym_co_await] = ACTIONS(3021),
    [anon_sym_new] = ACTIONS(3021),
    [anon_sym_requires] = ACTIONS(3021),
    [sym_this] = ACTIONS(3021),
  },
  [335] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [sym_number_literal] = ACTIONS(3027),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [336] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token2] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3029),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [sym_primitive_type] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym___try] = ACTIONS(3029),
    [anon_sym___leave] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [sym_number_literal] = ACTIONS(3031),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [337] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [aux_sym_preproc_else_token1] = ACTIONS(3033),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [sym_primitive_type] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym___try] = ACTIONS(3033),
    [anon_sym___leave] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [sym_number_literal] = ACTIONS(3035),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [338] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [339] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [aux_sym_preproc_else_token1] = ACTIONS(3041),
    [aux_sym_preproc_elif_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [340] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [341] = {
    [sym_identifier] = ACTIONS(3049),
    [aux_sym_preproc_include_token1] = ACTIONS(3049),
    [aux_sym_preproc_def_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token2] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3049),
    [aux_sym_preproc_else_token1] = ACTIONS(3049),
    [aux_sym_preproc_elif_token1] = ACTIONS(3049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3049),
    [sym_preproc_directive] = ACTIONS(3049),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_BANG] = ACTIONS(3051),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3049),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym___attribute__] = ACTIONS(3049),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3051),
    [anon_sym___declspec] = ACTIONS(3049),
    [anon_sym___based] = ACTIONS(3049),
    [anon_sym___cdecl] = ACTIONS(3049),
    [anon_sym___clrcall] = ACTIONS(3049),
    [anon_sym___stdcall] = ACTIONS(3049),
    [anon_sym___fastcall] = ACTIONS(3049),
    [anon_sym___thiscall] = ACTIONS(3049),
    [anon_sym___vectorcall] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3049),
    [anon_sym_unsigned] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_register] = ACTIONS(3049),
    [anon_sym_inline] = ACTIONS(3049),
    [anon_sym___inline] = ACTIONS(3049),
    [anon_sym___inline__] = ACTIONS(3049),
    [anon_sym___forceinline] = ACTIONS(3049),
    [anon_sym_thread_local] = ACTIONS(3049),
    [anon_sym___thread] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_constexpr] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_restrict] = ACTIONS(3049),
    [anon_sym___restrict__] = ACTIONS(3049),
    [anon_sym__Atomic] = ACTIONS(3049),
    [anon_sym__Noreturn] = ACTIONS(3049),
    [anon_sym_noreturn] = ACTIONS(3049),
    [anon_sym__Nonnull] = ACTIONS(3049),
    [anon_sym_mutable] = ACTIONS(3049),
    [anon_sym_constinit] = ACTIONS(3049),
    [anon_sym_consteval] = ACTIONS(3049),
    [anon_sym_alignas] = ACTIONS(3049),
    [anon_sym__Alignas] = ACTIONS(3049),
    [sym_primitive_type] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_union] = ACTIONS(3049),
    [anon_sym_if] = ACTIONS(3049),
    [anon_sym_switch] = ACTIONS(3049),
    [anon_sym_case] = ACTIONS(3049),
    [anon_sym_default] = ACTIONS(3049),
    [anon_sym_while] = ACTIONS(3049),
    [anon_sym_do] = ACTIONS(3049),
    [anon_sym_for] = ACTIONS(3049),
    [anon_sym_return] = ACTIONS(3049),
    [anon_sym_break] = ACTIONS(3049),
    [anon_sym_continue] = ACTIONS(3049),
    [anon_sym_goto] = ACTIONS(3049),
    [anon_sym___try] = ACTIONS(3049),
    [anon_sym___leave] = ACTIONS(3049),
    [anon_sym_not] = ACTIONS(3049),
    [anon_sym_compl] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_sizeof] = ACTIONS(3049),
    [anon_sym___alignof__] = ACTIONS(3049),
    [anon_sym___alignof] = ACTIONS(3049),
    [anon_sym__alignof] = ACTIONS(3049),
    [anon_sym_alignof] = ACTIONS(3049),
    [anon_sym__Alignof] = ACTIONS(3049),
    [anon_sym_offsetof] = ACTIONS(3049),
    [anon_sym__Generic] = ACTIONS(3049),
    [anon_sym_asm] = ACTIONS(3049),
    [anon_sym___asm__] = ACTIONS(3049),
    [anon_sym___asm] = ACTIONS(3049),
    [sym_number_literal] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3051),
    [anon_sym_u_SQUOTE] = ACTIONS(3051),
    [anon_sym_U_SQUOTE] = ACTIONS(3051),
    [anon_sym_u8_SQUOTE] = ACTIONS(3051),
    [anon_sym_SQUOTE] = ACTIONS(3051),
    [anon_sym_L_DQUOTE] = ACTIONS(3051),
    [anon_sym_u_DQUOTE] = ACTIONS(3051),
    [anon_sym_U_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8_DQUOTE] = ACTIONS(3051),
    [anon_sym_DQUOTE] = ACTIONS(3051),
    [sym_true] = ACTIONS(3049),
    [sym_false] = ACTIONS(3049),
    [anon_sym_NULL] = ACTIONS(3049),
    [anon_sym_nullptr] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3049),
    [anon_sym_decltype] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_typename] = ACTIONS(3049),
    [anon_sym_template] = ACTIONS(3049),
    [anon_sym_operator] = ACTIONS(3049),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_delete] = ACTIONS(3049),
    [anon_sym_throw] = ACTIONS(3049),
    [anon_sym_namespace] = ACTIONS(3049),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static_assert] = ACTIONS(3049),
    [anon_sym_concept] = ACTIONS(3049),
    [anon_sym_co_return] = ACTIONS(3049),
    [anon_sym_co_yield] = ACTIONS(3049),
    [anon_sym_R_DQUOTE] = ACTIONS(3051),
    [anon_sym_LR_DQUOTE] = ACTIONS(3051),
    [anon_sym_uR_DQUOTE] = ACTIONS(3051),
    [anon_sym_UR_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3051),
    [anon_sym_co_await] = ACTIONS(3049),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_requires] = ACTIONS(3049),
    [sym_this] = ACTIONS(3049),
  },
  [342] = {
    [sym_identifier] = ACTIONS(3053),
    [aux_sym_preproc_include_token1] = ACTIONS(3053),
    [aux_sym_preproc_def_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token2] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3053),
    [aux_sym_preproc_else_token1] = ACTIONS(3053),
    [aux_sym_preproc_elif_token1] = ACTIONS(3053),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3053),
    [sym_preproc_directive] = ACTIONS(3053),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_BANG] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3055),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym___extension__] = ACTIONS(3053),
    [anon_sym_typedef] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym___attribute__] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3055),
    [anon_sym___declspec] = ACTIONS(3053),
    [anon_sym___based] = ACTIONS(3053),
    [anon_sym___cdecl] = ACTIONS(3053),
    [anon_sym___clrcall] = ACTIONS(3053),
    [anon_sym___stdcall] = ACTIONS(3053),
    [anon_sym___fastcall] = ACTIONS(3053),
    [anon_sym___thiscall] = ACTIONS(3053),
    [anon_sym___vectorcall] = ACTIONS(3053),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_signed] = ACTIONS(3053),
    [anon_sym_unsigned] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [anon_sym_register] = ACTIONS(3053),
    [anon_sym_inline] = ACTIONS(3053),
    [anon_sym___inline] = ACTIONS(3053),
    [anon_sym___inline__] = ACTIONS(3053),
    [anon_sym___forceinline] = ACTIONS(3053),
    [anon_sym_thread_local] = ACTIONS(3053),
    [anon_sym___thread] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_constexpr] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_restrict] = ACTIONS(3053),
    [anon_sym___restrict__] = ACTIONS(3053),
    [anon_sym__Atomic] = ACTIONS(3053),
    [anon_sym__Noreturn] = ACTIONS(3053),
    [anon_sym_noreturn] = ACTIONS(3053),
    [anon_sym__Nonnull] = ACTIONS(3053),
    [anon_sym_mutable] = ACTIONS(3053),
    [anon_sym_constinit] = ACTIONS(3053),
    [anon_sym_consteval] = ACTIONS(3053),
    [anon_sym_alignas] = ACTIONS(3053),
    [anon_sym__Alignas] = ACTIONS(3053),
    [sym_primitive_type] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3053),
    [anon_sym_if] = ACTIONS(3053),
    [anon_sym_switch] = ACTIONS(3053),
    [anon_sym_case] = ACTIONS(3053),
    [anon_sym_default] = ACTIONS(3053),
    [anon_sym_while] = ACTIONS(3053),
    [anon_sym_do] = ACTIONS(3053),
    [anon_sym_for] = ACTIONS(3053),
    [anon_sym_return] = ACTIONS(3053),
    [anon_sym_break] = ACTIONS(3053),
    [anon_sym_continue] = ACTIONS(3053),
    [anon_sym_goto] = ACTIONS(3053),
    [anon_sym___try] = ACTIONS(3053),
    [anon_sym___leave] = ACTIONS(3053),
    [anon_sym_not] = ACTIONS(3053),
    [anon_sym_compl] = ACTIONS(3053),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_sizeof] = ACTIONS(3053),
    [anon_sym___alignof__] = ACTIONS(3053),
    [anon_sym___alignof] = ACTIONS(3053),
    [anon_sym__alignof] = ACTIONS(3053),
    [anon_sym_alignof] = ACTIONS(3053),
    [anon_sym__Alignof] = ACTIONS(3053),
    [anon_sym_offsetof] = ACTIONS(3053),
    [anon_sym__Generic] = ACTIONS(3053),
    [anon_sym_asm] = ACTIONS(3053),
    [anon_sym___asm__] = ACTIONS(3053),
    [anon_sym___asm] = ACTIONS(3053),
    [sym_number_literal] = ACTIONS(3055),
    [anon_sym_L_SQUOTE] = ACTIONS(3055),
    [anon_sym_u_SQUOTE] = ACTIONS(3055),
    [anon_sym_U_SQUOTE] = ACTIONS(3055),
    [anon_sym_u8_SQUOTE] = ACTIONS(3055),
    [anon_sym_SQUOTE] = ACTIONS(3055),
    [anon_sym_L_DQUOTE] = ACTIONS(3055),
    [anon_sym_u_DQUOTE] = ACTIONS(3055),
    [anon_sym_U_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8_DQUOTE] = ACTIONS(3055),
    [anon_sym_DQUOTE] = ACTIONS(3055),
    [sym_true] = ACTIONS(3053),
    [sym_false] = ACTIONS(3053),
    [anon_sym_NULL] = ACTIONS(3053),
    [anon_sym_nullptr] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3053),
    [anon_sym_decltype] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_typename] = ACTIONS(3053),
    [anon_sym_template] = ACTIONS(3053),
    [anon_sym_operator] = ACTIONS(3053),
    [anon_sym_try] = ACTIONS(3053),
    [anon_sym_delete] = ACTIONS(3053),
    [anon_sym_throw] = ACTIONS(3053),
    [anon_sym_namespace] = ACTIONS(3053),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static_assert] = ACTIONS(3053),
    [anon_sym_concept] = ACTIONS(3053),
    [anon_sym_co_return] = ACTIONS(3053),
    [anon_sym_co_yield] = ACTIONS(3053),
    [anon_sym_R_DQUOTE] = ACTIONS(3055),
    [anon_sym_LR_DQUOTE] = ACTIONS(3055),
    [anon_sym_uR_DQUOTE] = ACTIONS(3055),
    [anon_sym_UR_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3055),
    [anon_sym_co_await] = ACTIONS(3053),
    [anon_sym_new] = ACTIONS(3053),
    [anon_sym_requires] = ACTIONS(3053),
    [sym_this] = ACTIONS(3053),
  },
  [343] = {
    [sym_identifier] = ACTIONS(3057),
    [aux_sym_preproc_include_token1] = ACTIONS(3057),
    [aux_sym_preproc_def_token1] = ACTIONS(3057),
    [aux_sym_preproc_if_token1] = ACTIONS(3057),
    [aux_sym_preproc_if_token2] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3057),
    [aux_sym_preproc_else_token1] = ACTIONS(3057),
    [aux_sym_preproc_elif_token1] = ACTIONS(3057),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3057),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3057),
    [sym_preproc_directive] = ACTIONS(3057),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_BANG] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3059),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_SEMI] = ACTIONS(3059),
    [anon_sym___extension__] = ACTIONS(3057),
    [anon_sym_typedef] = ACTIONS(3057),
    [anon_sym_virtual] = ACTIONS(3057),
    [anon_sym_extern] = ACTIONS(3057),
    [anon_sym___attribute__] = ACTIONS(3057),
    [anon_sym_COLON_COLON] = ACTIONS(3059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3059),
    [anon_sym___declspec] = ACTIONS(3057),
    [anon_sym___based] = ACTIONS(3057),
    [anon_sym___cdecl] = ACTIONS(3057),
    [anon_sym___clrcall] = ACTIONS(3057),
    [anon_sym___stdcall] = ACTIONS(3057),
    [anon_sym___fastcall] = ACTIONS(3057),
    [anon_sym___thiscall] = ACTIONS(3057),
    [anon_sym___vectorcall] = ACTIONS(3057),
    [anon_sym_LBRACE] = ACTIONS(3059),
    [anon_sym_signed] = ACTIONS(3057),
    [anon_sym_unsigned] = ACTIONS(3057),
    [anon_sym_long] = ACTIONS(3057),
    [anon_sym_short] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_register] = ACTIONS(3057),
    [anon_sym_inline] = ACTIONS(3057),
    [anon_sym___inline] = ACTIONS(3057),
    [anon_sym___inline__] = ACTIONS(3057),
    [anon_sym___forceinline] = ACTIONS(3057),
    [anon_sym_thread_local] = ACTIONS(3057),
    [anon_sym___thread] = ACTIONS(3057),
    [anon_sym_const] = ACTIONS(3057),
    [anon_sym_constexpr] = ACTIONS(3057),
    [anon_sym_volatile] = ACTIONS(3057),
    [anon_sym_restrict] = ACTIONS(3057),
    [anon_sym___restrict__] = ACTIONS(3057),
    [anon_sym__Atomic] = ACTIONS(3057),
    [anon_sym__Noreturn] = ACTIONS(3057),
    [anon_sym_noreturn] = ACTIONS(3057),
    [anon_sym__Nonnull] = ACTIONS(3057),
    [anon_sym_mutable] = ACTIONS(3057),
    [anon_sym_constinit] = ACTIONS(3057),
    [anon_sym_consteval] = ACTIONS(3057),
    [anon_sym_alignas] = ACTIONS(3057),
    [anon_sym__Alignas] = ACTIONS(3057),
    [sym_primitive_type] = ACTIONS(3057),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3057),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3057),
    [anon_sym_if] = ACTIONS(3057),
    [anon_sym_switch] = ACTIONS(3057),
    [anon_sym_case] = ACTIONS(3057),
    [anon_sym_default] = ACTIONS(3057),
    [anon_sym_while] = ACTIONS(3057),
    [anon_sym_do] = ACTIONS(3057),
    [anon_sym_for] = ACTIONS(3057),
    [anon_sym_return] = ACTIONS(3057),
    [anon_sym_break] = ACTIONS(3057),
    [anon_sym_continue] = ACTIONS(3057),
    [anon_sym_goto] = ACTIONS(3057),
    [anon_sym___try] = ACTIONS(3057),
    [anon_sym___leave] = ACTIONS(3057),
    [anon_sym_not] = ACTIONS(3057),
    [anon_sym_compl] = ACTIONS(3057),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_sizeof] = ACTIONS(3057),
    [anon_sym___alignof__] = ACTIONS(3057),
    [anon_sym___alignof] = ACTIONS(3057),
    [anon_sym__alignof] = ACTIONS(3057),
    [anon_sym_alignof] = ACTIONS(3057),
    [anon_sym__Alignof] = ACTIONS(3057),
    [anon_sym_offsetof] = ACTIONS(3057),
    [anon_sym__Generic] = ACTIONS(3057),
    [anon_sym_asm] = ACTIONS(3057),
    [anon_sym___asm__] = ACTIONS(3057),
    [anon_sym___asm] = ACTIONS(3057),
    [sym_number_literal] = ACTIONS(3059),
    [anon_sym_L_SQUOTE] = ACTIONS(3059),
    [anon_sym_u_SQUOTE] = ACTIONS(3059),
    [anon_sym_U_SQUOTE] = ACTIONS(3059),
    [anon_sym_u8_SQUOTE] = ACTIONS(3059),
    [anon_sym_SQUOTE] = ACTIONS(3059),
    [anon_sym_L_DQUOTE] = ACTIONS(3059),
    [anon_sym_u_DQUOTE] = ACTIONS(3059),
    [anon_sym_U_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8_DQUOTE] = ACTIONS(3059),
    [anon_sym_DQUOTE] = ACTIONS(3059),
    [sym_true] = ACTIONS(3057),
    [sym_false] = ACTIONS(3057),
    [anon_sym_NULL] = ACTIONS(3057),
    [anon_sym_nullptr] = ACTIONS(3057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3057),
    [anon_sym_decltype] = ACTIONS(3057),
    [anon_sym_explicit] = ACTIONS(3057),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3057),
    [anon_sym_operator] = ACTIONS(3057),
    [anon_sym_try] = ACTIONS(3057),
    [anon_sym_delete] = ACTIONS(3057),
    [anon_sym_throw] = ACTIONS(3057),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3057),
    [anon_sym_static_assert] = ACTIONS(3057),
    [anon_sym_concept] = ACTIONS(3057),
    [anon_sym_co_return] = ACTIONS(3057),
    [anon_sym_co_yield] = ACTIONS(3057),
    [anon_sym_R_DQUOTE] = ACTIONS(3059),
    [anon_sym_LR_DQUOTE] = ACTIONS(3059),
    [anon_sym_uR_DQUOTE] = ACTIONS(3059),
    [anon_sym_UR_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3059),
    [anon_sym_co_await] = ACTIONS(3057),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_requires] = ACTIONS(3057),
    [sym_this] = ACTIONS(3057),
  },
  [344] = {
    [sym_identifier] = ACTIONS(3061),
    [aux_sym_preproc_include_token1] = ACTIONS(3061),
    [aux_sym_preproc_def_token1] = ACTIONS(3061),
    [aux_sym_preproc_if_token1] = ACTIONS(3061),
    [aux_sym_preproc_if_token2] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3061),
    [aux_sym_preproc_else_token1] = ACTIONS(3061),
    [aux_sym_preproc_elif_token1] = ACTIONS(3061),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3061),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3061),
    [sym_preproc_directive] = ACTIONS(3061),
    [anon_sym_LPAREN2] = ACTIONS(3063),
    [anon_sym_BANG] = ACTIONS(3063),
    [anon_sym_TILDE] = ACTIONS(3063),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3063),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_SEMI] = ACTIONS(3063),
    [anon_sym___extension__] = ACTIONS(3061),
    [anon_sym_typedef] = ACTIONS(3061),
    [anon_sym_virtual] = ACTIONS(3061),
    [anon_sym_extern] = ACTIONS(3061),
    [anon_sym___attribute__] = ACTIONS(3061),
    [anon_sym_COLON_COLON] = ACTIONS(3063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3063),
    [anon_sym___declspec] = ACTIONS(3061),
    [anon_sym___based] = ACTIONS(3061),
    [anon_sym___cdecl] = ACTIONS(3061),
    [anon_sym___clrcall] = ACTIONS(3061),
    [anon_sym___stdcall] = ACTIONS(3061),
    [anon_sym___fastcall] = ACTIONS(3061),
    [anon_sym___thiscall] = ACTIONS(3061),
    [anon_sym___vectorcall] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(3063),
    [anon_sym_signed] = ACTIONS(3061),
    [anon_sym_unsigned] = ACTIONS(3061),
    [anon_sym_long] = ACTIONS(3061),
    [anon_sym_short] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_static] = ACTIONS(3061),
    [anon_sym_register] = ACTIONS(3061),
    [anon_sym_inline] = ACTIONS(3061),
    [anon_sym___inline] = ACTIONS(3061),
    [anon_sym___inline__] = ACTIONS(3061),
    [anon_sym___forceinline] = ACTIONS(3061),
    [anon_sym_thread_local] = ACTIONS(3061),
    [anon_sym___thread] = ACTIONS(3061),
    [anon_sym_const] = ACTIONS(3061),
    [anon_sym_constexpr] = ACTIONS(3061),
    [anon_sym_volatile] = ACTIONS(3061),
    [anon_sym_restrict] = ACTIONS(3061),
    [anon_sym___restrict__] = ACTIONS(3061),
    [anon_sym__Atomic] = ACTIONS(3061),
    [anon_sym__Noreturn] = ACTIONS(3061),
    [anon_sym_noreturn] = ACTIONS(3061),
    [anon_sym__Nonnull] = ACTIONS(3061),
    [anon_sym_mutable] = ACTIONS(3061),
    [anon_sym_constinit] = ACTIONS(3061),
    [anon_sym_consteval] = ACTIONS(3061),
    [anon_sym_alignas] = ACTIONS(3061),
    [anon_sym__Alignas] = ACTIONS(3061),
    [sym_primitive_type] = ACTIONS(3061),
    [anon_sym_enum] = ACTIONS(3061),
    [anon_sym_class] = ACTIONS(3061),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3061),
    [anon_sym_if] = ACTIONS(3061),
    [anon_sym_switch] = ACTIONS(3061),
    [anon_sym_case] = ACTIONS(3061),
    [anon_sym_default] = ACTIONS(3061),
    [anon_sym_while] = ACTIONS(3061),
    [anon_sym_do] = ACTIONS(3061),
    [anon_sym_for] = ACTIONS(3061),
    [anon_sym_return] = ACTIONS(3061),
    [anon_sym_break] = ACTIONS(3061),
    [anon_sym_continue] = ACTIONS(3061),
    [anon_sym_goto] = ACTIONS(3061),
    [anon_sym___try] = ACTIONS(3061),
    [anon_sym___leave] = ACTIONS(3061),
    [anon_sym_not] = ACTIONS(3061),
    [anon_sym_compl] = ACTIONS(3061),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_sizeof] = ACTIONS(3061),
    [anon_sym___alignof__] = ACTIONS(3061),
    [anon_sym___alignof] = ACTIONS(3061),
    [anon_sym__alignof] = ACTIONS(3061),
    [anon_sym_alignof] = ACTIONS(3061),
    [anon_sym__Alignof] = ACTIONS(3061),
    [anon_sym_offsetof] = ACTIONS(3061),
    [anon_sym__Generic] = ACTIONS(3061),
    [anon_sym_asm] = ACTIONS(3061),
    [anon_sym___asm__] = ACTIONS(3061),
    [anon_sym___asm] = ACTIONS(3061),
    [sym_number_literal] = ACTIONS(3063),
    [anon_sym_L_SQUOTE] = ACTIONS(3063),
    [anon_sym_u_SQUOTE] = ACTIONS(3063),
    [anon_sym_U_SQUOTE] = ACTIONS(3063),
    [anon_sym_u8_SQUOTE] = ACTIONS(3063),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_L_DQUOTE] = ACTIONS(3063),
    [anon_sym_u_DQUOTE] = ACTIONS(3063),
    [anon_sym_U_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8_DQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3063),
    [sym_true] = ACTIONS(3061),
    [sym_false] = ACTIONS(3061),
    [anon_sym_NULL] = ACTIONS(3061),
    [anon_sym_nullptr] = ACTIONS(3061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3061),
    [anon_sym_decltype] = ACTIONS(3061),
    [anon_sym_explicit] = ACTIONS(3061),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3061),
    [anon_sym_operator] = ACTIONS(3061),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_delete] = ACTIONS(3061),
    [anon_sym_throw] = ACTIONS(3061),
    [anon_sym_namespace] = ACTIONS(3061),
    [anon_sym_using] = ACTIONS(3061),
    [anon_sym_static_assert] = ACTIONS(3061),
    [anon_sym_concept] = ACTIONS(3061),
    [anon_sym_co_return] = ACTIONS(3061),
    [anon_sym_co_yield] = ACTIONS(3061),
    [anon_sym_R_DQUOTE] = ACTIONS(3063),
    [anon_sym_LR_DQUOTE] = ACTIONS(3063),
    [anon_sym_uR_DQUOTE] = ACTIONS(3063),
    [anon_sym_UR_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3063),
    [anon_sym_co_await] = ACTIONS(3061),
    [anon_sym_new] = ACTIONS(3061),
    [anon_sym_requires] = ACTIONS(3061),
    [sym_this] = ACTIONS(3061),
  },
  [345] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token2] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [aux_sym_preproc_else_token1] = ACTIONS(3065),
    [aux_sym_preproc_elif_token1] = ACTIONS(3065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym___try] = ACTIONS(3065),
    [anon_sym___leave] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [346] = {
    [sym_identifier] = ACTIONS(3069),
    [aux_sym_preproc_include_token1] = ACTIONS(3069),
    [aux_sym_preproc_def_token1] = ACTIONS(3069),
    [aux_sym_preproc_if_token1] = ACTIONS(3069),
    [aux_sym_preproc_if_token2] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3069),
    [aux_sym_preproc_else_token1] = ACTIONS(3069),
    [aux_sym_preproc_elif_token1] = ACTIONS(3069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3069),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3069),
    [sym_preproc_directive] = ACTIONS(3069),
    [anon_sym_LPAREN2] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3071),
    [anon_sym_TILDE] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3071),
    [anon_sym_AMP_AMP] = ACTIONS(3071),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_SEMI] = ACTIONS(3071),
    [anon_sym___extension__] = ACTIONS(3069),
    [anon_sym_typedef] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym___attribute__] = ACTIONS(3069),
    [anon_sym_COLON_COLON] = ACTIONS(3071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3071),
    [anon_sym___declspec] = ACTIONS(3069),
    [anon_sym___based] = ACTIONS(3069),
    [anon_sym___cdecl] = ACTIONS(3069),
    [anon_sym___clrcall] = ACTIONS(3069),
    [anon_sym___stdcall] = ACTIONS(3069),
    [anon_sym___fastcall] = ACTIONS(3069),
    [anon_sym___thiscall] = ACTIONS(3069),
    [anon_sym___vectorcall] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(3071),
    [anon_sym_signed] = ACTIONS(3069),
    [anon_sym_unsigned] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_register] = ACTIONS(3069),
    [anon_sym_inline] = ACTIONS(3069),
    [anon_sym___inline] = ACTIONS(3069),
    [anon_sym___inline__] = ACTIONS(3069),
    [anon_sym___forceinline] = ACTIONS(3069),
    [anon_sym_thread_local] = ACTIONS(3069),
    [anon_sym___thread] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_constexpr] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_restrict] = ACTIONS(3069),
    [anon_sym___restrict__] = ACTIONS(3069),
    [anon_sym__Atomic] = ACTIONS(3069),
    [anon_sym__Noreturn] = ACTIONS(3069),
    [anon_sym_noreturn] = ACTIONS(3069),
    [anon_sym__Nonnull] = ACTIONS(3069),
    [anon_sym_mutable] = ACTIONS(3069),
    [anon_sym_constinit] = ACTIONS(3069),
    [anon_sym_consteval] = ACTIONS(3069),
    [anon_sym_alignas] = ACTIONS(3069),
    [anon_sym__Alignas] = ACTIONS(3069),
    [sym_primitive_type] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_union] = ACTIONS(3069),
    [anon_sym_if] = ACTIONS(3069),
    [anon_sym_switch] = ACTIONS(3069),
    [anon_sym_case] = ACTIONS(3069),
    [anon_sym_default] = ACTIONS(3069),
    [anon_sym_while] = ACTIONS(3069),
    [anon_sym_do] = ACTIONS(3069),
    [anon_sym_for] = ACTIONS(3069),
    [anon_sym_return] = ACTIONS(3069),
    [anon_sym_break] = ACTIONS(3069),
    [anon_sym_continue] = ACTIONS(3069),
    [anon_sym_goto] = ACTIONS(3069),
    [anon_sym___try] = ACTIONS(3069),
    [anon_sym___leave] = ACTIONS(3069),
    [anon_sym_not] = ACTIONS(3069),
    [anon_sym_compl] = ACTIONS(3069),
    [anon_sym_DASH_DASH] = ACTIONS(3071),
    [anon_sym_PLUS_PLUS] = ACTIONS(3071),
    [anon_sym_sizeof] = ACTIONS(3069),
    [anon_sym___alignof__] = ACTIONS(3069),
    [anon_sym___alignof] = ACTIONS(3069),
    [anon_sym__alignof] = ACTIONS(3069),
    [anon_sym_alignof] = ACTIONS(3069),
    [anon_sym__Alignof] = ACTIONS(3069),
    [anon_sym_offsetof] = ACTIONS(3069),
    [anon_sym__Generic] = ACTIONS(3069),
    [anon_sym_asm] = ACTIONS(3069),
    [anon_sym___asm__] = ACTIONS(3069),
    [anon_sym___asm] = ACTIONS(3069),
    [sym_number_literal] = ACTIONS(3071),
    [anon_sym_L_SQUOTE] = ACTIONS(3071),
    [anon_sym_u_SQUOTE] = ACTIONS(3071),
    [anon_sym_U_SQUOTE] = ACTIONS(3071),
    [anon_sym_u8_SQUOTE] = ACTIONS(3071),
    [anon_sym_SQUOTE] = ACTIONS(3071),
    [anon_sym_L_DQUOTE] = ACTIONS(3071),
    [anon_sym_u_DQUOTE] = ACTIONS(3071),
    [anon_sym_U_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8_DQUOTE] = ACTIONS(3071),
    [anon_sym_DQUOTE] = ACTIONS(3071),
    [sym_true] = ACTIONS(3069),
    [sym_false] = ACTIONS(3069),
    [anon_sym_NULL] = ACTIONS(3069),
    [anon_sym_nullptr] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3069),
    [anon_sym_decltype] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_typename] = ACTIONS(3069),
    [anon_sym_template] = ACTIONS(3069),
    [anon_sym_operator] = ACTIONS(3069),
    [anon_sym_try] = ACTIONS(3069),
    [anon_sym_delete] = ACTIONS(3069),
    [anon_sym_throw] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3069),
    [anon_sym_concept] = ACTIONS(3069),
    [anon_sym_co_return] = ACTIONS(3069),
    [anon_sym_co_yield] = ACTIONS(3069),
    [anon_sym_R_DQUOTE] = ACTIONS(3071),
    [anon_sym_LR_DQUOTE] = ACTIONS(3071),
    [anon_sym_uR_DQUOTE] = ACTIONS(3071),
    [anon_sym_UR_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3071),
    [anon_sym_co_await] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_requires] = ACTIONS(3069),
    [sym_this] = ACTIONS(3069),
  },
  [347] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym__Nonnull] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym__Alignas] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [anon_sym___asm] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [348] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym__Nonnull] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym__Alignas] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [anon_sym___asm] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [aux_sym_preproc_else_token1] = ACTIONS(3081),
    [aux_sym_preproc_elif_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [350] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3087),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym__Nonnull] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym__Alignas] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym___try] = ACTIONS(3085),
    [anon_sym___leave] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [anon_sym___asm] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [351] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3093),
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [aux_sym_preproc_else_token1] = ACTIONS(3093),
    [aux_sym_preproc_elif_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3093),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_AMP_AMP] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3093),
    [anon_sym_typedef] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym___attribute__] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(3095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3095),
    [anon_sym___declspec] = ACTIONS(3093),
    [anon_sym___based] = ACTIONS(3093),
    [anon_sym___cdecl] = ACTIONS(3093),
    [anon_sym___clrcall] = ACTIONS(3093),
    [anon_sym___stdcall] = ACTIONS(3093),
    [anon_sym___fastcall] = ACTIONS(3093),
    [anon_sym___thiscall] = ACTIONS(3093),
    [anon_sym___vectorcall] = ACTIONS(3093),
    [anon_sym_LBRACE] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3093),
    [anon_sym_unsigned] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [anon_sym_register] = ACTIONS(3093),
    [anon_sym_inline] = ACTIONS(3093),
    [anon_sym___inline] = ACTIONS(3093),
    [anon_sym___inline__] = ACTIONS(3093),
    [anon_sym___forceinline] = ACTIONS(3093),
    [anon_sym_thread_local] = ACTIONS(3093),
    [anon_sym___thread] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_constexpr] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_restrict] = ACTIONS(3093),
    [anon_sym___restrict__] = ACTIONS(3093),
    [anon_sym__Atomic] = ACTIONS(3093),
    [anon_sym__Noreturn] = ACTIONS(3093),
    [anon_sym_noreturn] = ACTIONS(3093),
    [anon_sym__Nonnull] = ACTIONS(3093),
    [anon_sym_mutable] = ACTIONS(3093),
    [anon_sym_constinit] = ACTIONS(3093),
    [anon_sym_consteval] = ACTIONS(3093),
    [anon_sym_alignas] = ACTIONS(3093),
    [anon_sym__Alignas] = ACTIONS(3093),
    [sym_primitive_type] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_union] = ACTIONS(3093),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_switch] = ACTIONS(3093),
    [anon_sym_case] = ACTIONS(3093),
    [anon_sym_default] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(3093),
    [anon_sym_do] = ACTIONS(3093),
    [anon_sym_for] = ACTIONS(3093),
    [anon_sym_return] = ACTIONS(3093),
    [anon_sym_break] = ACTIONS(3093),
    [anon_sym_continue] = ACTIONS(3093),
    [anon_sym_goto] = ACTIONS(3093),
    [anon_sym___try] = ACTIONS(3093),
    [anon_sym___leave] = ACTIONS(3093),
    [anon_sym_not] = ACTIONS(3093),
    [anon_sym_compl] = ACTIONS(3093),
    [anon_sym_DASH_DASH] = ACTIONS(3095),
    [anon_sym_PLUS_PLUS] = ACTIONS(3095),
    [anon_sym_sizeof] = ACTIONS(3093),
    [anon_sym___alignof__] = ACTIONS(3093),
    [anon_sym___alignof] = ACTIONS(3093),
    [anon_sym__alignof] = ACTIONS(3093),
    [anon_sym_alignof] = ACTIONS(3093),
    [anon_sym__Alignof] = ACTIONS(3093),
    [anon_sym_offsetof] = ACTIONS(3093),
    [anon_sym__Generic] = ACTIONS(3093),
    [anon_sym_asm] = ACTIONS(3093),
    [anon_sym___asm__] = ACTIONS(3093),
    [anon_sym___asm] = ACTIONS(3093),
    [sym_number_literal] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3095),
    [anon_sym_u_SQUOTE] = ACTIONS(3095),
    [anon_sym_U_SQUOTE] = ACTIONS(3095),
    [anon_sym_u8_SQUOTE] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(3095),
    [anon_sym_L_DQUOTE] = ACTIONS(3095),
    [anon_sym_u_DQUOTE] = ACTIONS(3095),
    [anon_sym_U_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8_DQUOTE] = ACTIONS(3095),
    [anon_sym_DQUOTE] = ACTIONS(3095),
    [sym_true] = ACTIONS(3093),
    [sym_false] = ACTIONS(3093),
    [anon_sym_NULL] = ACTIONS(3093),
    [anon_sym_nullptr] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3093),
    [anon_sym_decltype] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_typename] = ACTIONS(3093),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_operator] = ACTIONS(3093),
    [anon_sym_try] = ACTIONS(3093),
    [anon_sym_delete] = ACTIONS(3093),
    [anon_sym_throw] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static_assert] = ACTIONS(3093),
    [anon_sym_concept] = ACTIONS(3093),
    [anon_sym_co_return] = ACTIONS(3093),
    [anon_sym_co_yield] = ACTIONS(3093),
    [anon_sym_R_DQUOTE] = ACTIONS(3095),
    [anon_sym_LR_DQUOTE] = ACTIONS(3095),
    [anon_sym_uR_DQUOTE] = ACTIONS(3095),
    [anon_sym_UR_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3095),
    [anon_sym_co_await] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_requires] = ACTIONS(3093),
    [sym_this] = ACTIONS(3093),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3097),
    [aux_sym_preproc_include_token1] = ACTIONS(3097),
    [aux_sym_preproc_def_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3097),
    [aux_sym_preproc_else_token1] = ACTIONS(3097),
    [aux_sym_preproc_elif_token1] = ACTIONS(3097),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3097),
    [anon_sym_LPAREN2] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3099),
    [anon_sym_DASH] = ACTIONS(3097),
    [anon_sym_PLUS] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3099),
    [anon_sym_AMP_AMP] = ACTIONS(3099),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3097),
    [anon_sym_typedef] = ACTIONS(3097),
    [anon_sym_virtual] = ACTIONS(3097),
    [anon_sym_extern] = ACTIONS(3097),
    [anon_sym___attribute__] = ACTIONS(3097),
    [anon_sym_COLON_COLON] = ACTIONS(3099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3099),
    [anon_sym___declspec] = ACTIONS(3097),
    [anon_sym___based] = ACTIONS(3097),
    [anon_sym___cdecl] = ACTIONS(3097),
    [anon_sym___clrcall] = ACTIONS(3097),
    [anon_sym___stdcall] = ACTIONS(3097),
    [anon_sym___fastcall] = ACTIONS(3097),
    [anon_sym___thiscall] = ACTIONS(3097),
    [anon_sym___vectorcall] = ACTIONS(3097),
    [anon_sym_LBRACE] = ACTIONS(3099),
    [anon_sym_signed] = ACTIONS(3097),
    [anon_sym_unsigned] = ACTIONS(3097),
    [anon_sym_long] = ACTIONS(3097),
    [anon_sym_short] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_static] = ACTIONS(3097),
    [anon_sym_register] = ACTIONS(3097),
    [anon_sym_inline] = ACTIONS(3097),
    [anon_sym___inline] = ACTIONS(3097),
    [anon_sym___inline__] = ACTIONS(3097),
    [anon_sym___forceinline] = ACTIONS(3097),
    [anon_sym_thread_local] = ACTIONS(3097),
    [anon_sym___thread] = ACTIONS(3097),
    [anon_sym_const] = ACTIONS(3097),
    [anon_sym_constexpr] = ACTIONS(3097),
    [anon_sym_volatile] = ACTIONS(3097),
    [anon_sym_restrict] = ACTIONS(3097),
    [anon_sym___restrict__] = ACTIONS(3097),
    [anon_sym__Atomic] = ACTIONS(3097),
    [anon_sym__Noreturn] = ACTIONS(3097),
    [anon_sym_noreturn] = ACTIONS(3097),
    [anon_sym__Nonnull] = ACTIONS(3097),
    [anon_sym_mutable] = ACTIONS(3097),
    [anon_sym_constinit] = ACTIONS(3097),
    [anon_sym_consteval] = ACTIONS(3097),
    [anon_sym_alignas] = ACTIONS(3097),
    [anon_sym__Alignas] = ACTIONS(3097),
    [sym_primitive_type] = ACTIONS(3097),
    [anon_sym_enum] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3097),
    [anon_sym_struct] = ACTIONS(3097),
    [anon_sym_union] = ACTIONS(3097),
    [anon_sym_if] = ACTIONS(3097),
    [anon_sym_switch] = ACTIONS(3097),
    [anon_sym_case] = ACTIONS(3097),
    [anon_sym_default] = ACTIONS(3097),
    [anon_sym_while] = ACTIONS(3097),
    [anon_sym_do] = ACTIONS(3097),
    [anon_sym_for] = ACTIONS(3097),
    [anon_sym_return] = ACTIONS(3097),
    [anon_sym_break] = ACTIONS(3097),
    [anon_sym_continue] = ACTIONS(3097),
    [anon_sym_goto] = ACTIONS(3097),
    [anon_sym___try] = ACTIONS(3097),
    [anon_sym___leave] = ACTIONS(3097),
    [anon_sym_not] = ACTIONS(3097),
    [anon_sym_compl] = ACTIONS(3097),
    [anon_sym_DASH_DASH] = ACTIONS(3099),
    [anon_sym_PLUS_PLUS] = ACTIONS(3099),
    [anon_sym_sizeof] = ACTIONS(3097),
    [anon_sym___alignof__] = ACTIONS(3097),
    [anon_sym___alignof] = ACTIONS(3097),
    [anon_sym__alignof] = ACTIONS(3097),
    [anon_sym_alignof] = ACTIONS(3097),
    [anon_sym__Alignof] = ACTIONS(3097),
    [anon_sym_offsetof] = ACTIONS(3097),
    [anon_sym__Generic] = ACTIONS(3097),
    [anon_sym_asm] = ACTIONS(3097),
    [anon_sym___asm__] = ACTIONS(3097),
    [anon_sym___asm] = ACTIONS(3097),
    [sym_number_literal] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3099),
    [anon_sym_u_SQUOTE] = ACTIONS(3099),
    [anon_sym_U_SQUOTE] = ACTIONS(3099),
    [anon_sym_u8_SQUOTE] = ACTIONS(3099),
    [anon_sym_SQUOTE] = ACTIONS(3099),
    [anon_sym_L_DQUOTE] = ACTIONS(3099),
    [anon_sym_u_DQUOTE] = ACTIONS(3099),
    [anon_sym_U_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8_DQUOTE] = ACTIONS(3099),
    [anon_sym_DQUOTE] = ACTIONS(3099),
    [sym_true] = ACTIONS(3097),
    [sym_false] = ACTIONS(3097),
    [anon_sym_NULL] = ACTIONS(3097),
    [anon_sym_nullptr] = ACTIONS(3097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3097),
    [anon_sym_explicit] = ACTIONS(3097),
    [anon_sym_typename] = ACTIONS(3097),
    [anon_sym_template] = ACTIONS(3097),
    [anon_sym_operator] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3097),
    [anon_sym_delete] = ACTIONS(3097),
    [anon_sym_throw] = ACTIONS(3097),
    [anon_sym_namespace] = ACTIONS(3097),
    [anon_sym_using] = ACTIONS(3097),
    [anon_sym_static_assert] = ACTIONS(3097),
    [anon_sym_concept] = ACTIONS(3097),
    [anon_sym_co_return] = ACTIONS(3097),
    [anon_sym_co_yield] = ACTIONS(3097),
    [anon_sym_R_DQUOTE] = ACTIONS(3099),
    [anon_sym_LR_DQUOTE] = ACTIONS(3099),
    [anon_sym_uR_DQUOTE] = ACTIONS(3099),
    [anon_sym_UR_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3099),
    [anon_sym_co_await] = ACTIONS(3097),
    [anon_sym_new] = ACTIONS(3097),
    [anon_sym_requires] = ACTIONS(3097),
    [sym_this] = ACTIONS(3097),
  },
  [354] = {
    [sym_expression] = STATE(4311),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7641),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_mutable] = ACTIONS(2674),
    [anon_sym_constinit] = ACTIONS(2674),
    [anon_sym_consteval] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2674),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(2674),
    [anon_sym_template] = ACTIONS(3118),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [355] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2841),
    [sym__declarator] = STATE(6100),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_type_qualifier] = STATE(3805),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3135),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5305),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(2367),
    [aux_sym__type_definition_type_repeat1] = STATE(3805),
    [aux_sym_pointer_declarator_repeat1] = STATE(2841),
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_LPAREN2] = ACTIONS(3123),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token2] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [aux_sym_preproc_else_token1] = ACTIONS(3131),
    [aux_sym_preproc_elif_token1] = ACTIONS(3131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym___try] = ACTIONS(3131),
    [anon_sym___leave] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token2] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [aux_sym_preproc_else_token1] = ACTIONS(3135),
    [aux_sym_preproc_elif_token1] = ACTIONS(3135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym___try] = ACTIONS(3135),
    [anon_sym___leave] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [aux_sym_preproc_else_token1] = ACTIONS(3139),
    [aux_sym_preproc_elif_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [aux_sym_preproc_else_token1] = ACTIONS(3143),
    [aux_sym_preproc_elif_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [362] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token2] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [aux_sym_preproc_else_token1] = ACTIONS(3155),
    [aux_sym_preproc_elif_token1] = ACTIONS(3155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [363] = {
    [sym_identifier] = ACTIONS(3159),
    [aux_sym_preproc_include_token1] = ACTIONS(3159),
    [aux_sym_preproc_def_token1] = ACTIONS(3159),
    [aux_sym_preproc_if_token1] = ACTIONS(3159),
    [aux_sym_preproc_if_token2] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3159),
    [aux_sym_preproc_else_token1] = ACTIONS(3159),
    [aux_sym_preproc_elif_token1] = ACTIONS(3159),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3159),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3159),
    [sym_preproc_directive] = ACTIONS(3159),
    [anon_sym_LPAREN2] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3161),
    [anon_sym_TILDE] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3159),
    [anon_sym_PLUS] = ACTIONS(3159),
    [anon_sym_STAR] = ACTIONS(3161),
    [anon_sym_AMP_AMP] = ACTIONS(3161),
    [anon_sym_AMP] = ACTIONS(3159),
    [anon_sym_SEMI] = ACTIONS(3161),
    [anon_sym___extension__] = ACTIONS(3159),
    [anon_sym_typedef] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym___attribute__] = ACTIONS(3159),
    [anon_sym_COLON_COLON] = ACTIONS(3161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3161),
    [anon_sym___declspec] = ACTIONS(3159),
    [anon_sym___based] = ACTIONS(3159),
    [anon_sym___cdecl] = ACTIONS(3159),
    [anon_sym___clrcall] = ACTIONS(3159),
    [anon_sym___stdcall] = ACTIONS(3159),
    [anon_sym___fastcall] = ACTIONS(3159),
    [anon_sym___thiscall] = ACTIONS(3159),
    [anon_sym___vectorcall] = ACTIONS(3159),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_signed] = ACTIONS(3159),
    [anon_sym_unsigned] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [anon_sym_register] = ACTIONS(3159),
    [anon_sym_inline] = ACTIONS(3159),
    [anon_sym___inline] = ACTIONS(3159),
    [anon_sym___inline__] = ACTIONS(3159),
    [anon_sym___forceinline] = ACTIONS(3159),
    [anon_sym_thread_local] = ACTIONS(3159),
    [anon_sym___thread] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_constexpr] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_restrict] = ACTIONS(3159),
    [anon_sym___restrict__] = ACTIONS(3159),
    [anon_sym__Atomic] = ACTIONS(3159),
    [anon_sym__Noreturn] = ACTIONS(3159),
    [anon_sym_noreturn] = ACTIONS(3159),
    [anon_sym__Nonnull] = ACTIONS(3159),
    [anon_sym_mutable] = ACTIONS(3159),
    [anon_sym_constinit] = ACTIONS(3159),
    [anon_sym_consteval] = ACTIONS(3159),
    [anon_sym_alignas] = ACTIONS(3159),
    [anon_sym__Alignas] = ACTIONS(3159),
    [sym_primitive_type] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_union] = ACTIONS(3159),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_switch] = ACTIONS(3159),
    [anon_sym_case] = ACTIONS(3159),
    [anon_sym_default] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(3159),
    [anon_sym_do] = ACTIONS(3159),
    [anon_sym_for] = ACTIONS(3159),
    [anon_sym_return] = ACTIONS(3159),
    [anon_sym_break] = ACTIONS(3159),
    [anon_sym_continue] = ACTIONS(3159),
    [anon_sym_goto] = ACTIONS(3159),
    [anon_sym___try] = ACTIONS(3159),
    [anon_sym___leave] = ACTIONS(3159),
    [anon_sym_not] = ACTIONS(3159),
    [anon_sym_compl] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3161),
    [anon_sym_PLUS_PLUS] = ACTIONS(3161),
    [anon_sym_sizeof] = ACTIONS(3159),
    [anon_sym___alignof__] = ACTIONS(3159),
    [anon_sym___alignof] = ACTIONS(3159),
    [anon_sym__alignof] = ACTIONS(3159),
    [anon_sym_alignof] = ACTIONS(3159),
    [anon_sym__Alignof] = ACTIONS(3159),
    [anon_sym_offsetof] = ACTIONS(3159),
    [anon_sym__Generic] = ACTIONS(3159),
    [anon_sym_asm] = ACTIONS(3159),
    [anon_sym___asm__] = ACTIONS(3159),
    [anon_sym___asm] = ACTIONS(3159),
    [sym_number_literal] = ACTIONS(3161),
    [anon_sym_L_SQUOTE] = ACTIONS(3161),
    [anon_sym_u_SQUOTE] = ACTIONS(3161),
    [anon_sym_U_SQUOTE] = ACTIONS(3161),
    [anon_sym_u8_SQUOTE] = ACTIONS(3161),
    [anon_sym_SQUOTE] = ACTIONS(3161),
    [anon_sym_L_DQUOTE] = ACTIONS(3161),
    [anon_sym_u_DQUOTE] = ACTIONS(3161),
    [anon_sym_U_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8_DQUOTE] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(3161),
    [sym_true] = ACTIONS(3159),
    [sym_false] = ACTIONS(3159),
    [anon_sym_NULL] = ACTIONS(3159),
    [anon_sym_nullptr] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3159),
    [anon_sym_decltype] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_typename] = ACTIONS(3159),
    [anon_sym_template] = ACTIONS(3159),
    [anon_sym_operator] = ACTIONS(3159),
    [anon_sym_try] = ACTIONS(3159),
    [anon_sym_delete] = ACTIONS(3159),
    [anon_sym_throw] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static_assert] = ACTIONS(3159),
    [anon_sym_concept] = ACTIONS(3159),
    [anon_sym_co_return] = ACTIONS(3159),
    [anon_sym_co_yield] = ACTIONS(3159),
    [anon_sym_R_DQUOTE] = ACTIONS(3161),
    [anon_sym_LR_DQUOTE] = ACTIONS(3161),
    [anon_sym_uR_DQUOTE] = ACTIONS(3161),
    [anon_sym_UR_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3161),
    [anon_sym_co_await] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_requires] = ACTIONS(3159),
    [sym_this] = ACTIONS(3159),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3163),
    [aux_sym_preproc_include_token1] = ACTIONS(3163),
    [aux_sym_preproc_def_token1] = ACTIONS(3163),
    [aux_sym_preproc_if_token1] = ACTIONS(3163),
    [aux_sym_preproc_if_token2] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3163),
    [aux_sym_preproc_else_token1] = ACTIONS(3163),
    [aux_sym_preproc_elif_token1] = ACTIONS(3163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3163),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3163),
    [sym_preproc_directive] = ACTIONS(3163),
    [anon_sym_LPAREN2] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_STAR] = ACTIONS(3165),
    [anon_sym_AMP_AMP] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3165),
    [anon_sym___extension__] = ACTIONS(3163),
    [anon_sym_typedef] = ACTIONS(3163),
    [anon_sym_virtual] = ACTIONS(3163),
    [anon_sym_extern] = ACTIONS(3163),
    [anon_sym___attribute__] = ACTIONS(3163),
    [anon_sym_COLON_COLON] = ACTIONS(3165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3165),
    [anon_sym___declspec] = ACTIONS(3163),
    [anon_sym___based] = ACTIONS(3163),
    [anon_sym___cdecl] = ACTIONS(3163),
    [anon_sym___clrcall] = ACTIONS(3163),
    [anon_sym___stdcall] = ACTIONS(3163),
    [anon_sym___fastcall] = ACTIONS(3163),
    [anon_sym___thiscall] = ACTIONS(3163),
    [anon_sym___vectorcall] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3165),
    [anon_sym_signed] = ACTIONS(3163),
    [anon_sym_unsigned] = ACTIONS(3163),
    [anon_sym_long] = ACTIONS(3163),
    [anon_sym_short] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_register] = ACTIONS(3163),
    [anon_sym_inline] = ACTIONS(3163),
    [anon_sym___inline] = ACTIONS(3163),
    [anon_sym___inline__] = ACTIONS(3163),
    [anon_sym___forceinline] = ACTIONS(3163),
    [anon_sym_thread_local] = ACTIONS(3163),
    [anon_sym___thread] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_constexpr] = ACTIONS(3163),
    [anon_sym_volatile] = ACTIONS(3163),
    [anon_sym_restrict] = ACTIONS(3163),
    [anon_sym___restrict__] = ACTIONS(3163),
    [anon_sym__Atomic] = ACTIONS(3163),
    [anon_sym__Noreturn] = ACTIONS(3163),
    [anon_sym_noreturn] = ACTIONS(3163),
    [anon_sym__Nonnull] = ACTIONS(3163),
    [anon_sym_mutable] = ACTIONS(3163),
    [anon_sym_constinit] = ACTIONS(3163),
    [anon_sym_consteval] = ACTIONS(3163),
    [anon_sym_alignas] = ACTIONS(3163),
    [anon_sym__Alignas] = ACTIONS(3163),
    [sym_primitive_type] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_struct] = ACTIONS(3163),
    [anon_sym_union] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_case] = ACTIONS(3163),
    [anon_sym_default] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_goto] = ACTIONS(3163),
    [anon_sym___try] = ACTIONS(3163),
    [anon_sym___leave] = ACTIONS(3163),
    [anon_sym_not] = ACTIONS(3163),
    [anon_sym_compl] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3165),
    [anon_sym_PLUS_PLUS] = ACTIONS(3165),
    [anon_sym_sizeof] = ACTIONS(3163),
    [anon_sym___alignof__] = ACTIONS(3163),
    [anon_sym___alignof] = ACTIONS(3163),
    [anon_sym__alignof] = ACTIONS(3163),
    [anon_sym_alignof] = ACTIONS(3163),
    [anon_sym__Alignof] = ACTIONS(3163),
    [anon_sym_offsetof] = ACTIONS(3163),
    [anon_sym__Generic] = ACTIONS(3163),
    [anon_sym_asm] = ACTIONS(3163),
    [anon_sym___asm__] = ACTIONS(3163),
    [anon_sym___asm] = ACTIONS(3163),
    [sym_number_literal] = ACTIONS(3165),
    [anon_sym_L_SQUOTE] = ACTIONS(3165),
    [anon_sym_u_SQUOTE] = ACTIONS(3165),
    [anon_sym_U_SQUOTE] = ACTIONS(3165),
    [anon_sym_u8_SQUOTE] = ACTIONS(3165),
    [anon_sym_SQUOTE] = ACTIONS(3165),
    [anon_sym_L_DQUOTE] = ACTIONS(3165),
    [anon_sym_u_DQUOTE] = ACTIONS(3165),
    [anon_sym_U_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8_DQUOTE] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(3165),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [anon_sym_NULL] = ACTIONS(3163),
    [anon_sym_nullptr] = ACTIONS(3163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3163),
    [anon_sym_decltype] = ACTIONS(3163),
    [anon_sym_explicit] = ACTIONS(3163),
    [anon_sym_typename] = ACTIONS(3163),
    [anon_sym_template] = ACTIONS(3163),
    [anon_sym_operator] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_static_assert] = ACTIONS(3163),
    [anon_sym_concept] = ACTIONS(3163),
    [anon_sym_co_return] = ACTIONS(3163),
    [anon_sym_co_yield] = ACTIONS(3163),
    [anon_sym_R_DQUOTE] = ACTIONS(3165),
    [anon_sym_LR_DQUOTE] = ACTIONS(3165),
    [anon_sym_uR_DQUOTE] = ACTIONS(3165),
    [anon_sym_UR_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3165),
    [anon_sym_co_await] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_requires] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
  },
  [365] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token2] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [aux_sym_preproc_else_token1] = ACTIONS(3167),
    [aux_sym_preproc_elif_token1] = ACTIONS(3167),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [sym_primitive_type] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym___try] = ACTIONS(3167),
    [anon_sym___leave] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [sym_number_literal] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [366] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [aux_sym_preproc_else_token1] = ACTIONS(3171),
    [aux_sym_preproc_elif_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [sym_number_literal] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [367] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token2] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [aux_sym_preproc_else_token1] = ACTIONS(3175),
    [aux_sym_preproc_elif_token1] = ACTIONS(3175),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [sym_primitive_type] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym___try] = ACTIONS(3175),
    [anon_sym___leave] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [sym_number_literal] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [368] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [aux_sym_preproc_else_token1] = ACTIONS(3179),
    [aux_sym_preproc_elif_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [sym_primitive_type] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym___try] = ACTIONS(3179),
    [anon_sym___leave] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [sym_number_literal] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [aux_sym_preproc_else_token1] = ACTIONS(3183),
    [aux_sym_preproc_elif_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [370] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [371] = {
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_type_descriptor] = STATE(7776),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [372] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7653),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7653),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7653),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [373] = {
    [sym_preproc_def] = STATE(376),
    [sym_preproc_function_def] = STATE(376),
    [sym_preproc_call] = STATE(376),
    [sym_preproc_if_in_field_declaration_list] = STATE(376),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(376),
    [sym_preproc_else_in_field_declaration_list] = STATE(8240),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8240),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8240),
    [sym_type_definition] = STATE(376),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(376),
    [sym_field_declaration] = STATE(376),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(376),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(376),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(376),
    [sym_operator_cast_declaration] = STATE(376),
    [sym_constructor_or_destructor_definition] = STATE(376),
    [sym_constructor_or_destructor_declaration] = STATE(376),
    [sym_friend_declaration] = STATE(376),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(376),
    [sym_alias_declaration] = STATE(376),
    [sym_static_assert_declaration] = STATE(376),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(376),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [374] = {
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(4399),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_type_descriptor] = STATE(7737),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [375] = {
    [sym_preproc_def] = STATE(377),
    [sym_preproc_function_def] = STATE(377),
    [sym_preproc_call] = STATE(377),
    [sym_preproc_if_in_field_declaration_list] = STATE(377),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(377),
    [sym_preproc_else_in_field_declaration_list] = STATE(7858),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7858),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7858),
    [sym_type_definition] = STATE(377),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(377),
    [sym_field_declaration] = STATE(377),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(377),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(377),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(377),
    [sym_operator_cast_declaration] = STATE(377),
    [sym_constructor_or_destructor_definition] = STATE(377),
    [sym_constructor_or_destructor_declaration] = STATE(377),
    [sym_friend_declaration] = STATE(377),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(377),
    [sym_alias_declaration] = STATE(377),
    [sym_static_assert_declaration] = STATE(377),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(377),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [376] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(8109),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8109),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8109),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [377] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7714),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7714),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7714),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [378] = {
    [sym_preproc_def] = STATE(401),
    [sym_preproc_function_def] = STATE(401),
    [sym_preproc_call] = STATE(401),
    [sym_preproc_if_in_field_declaration_list] = STATE(401),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(401),
    [sym_preproc_else_in_field_declaration_list] = STATE(7869),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7869),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7869),
    [sym_type_definition] = STATE(401),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(401),
    [sym_field_declaration] = STATE(401),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(401),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(401),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(401),
    [sym_operator_cast_declaration] = STATE(401),
    [sym_constructor_or_destructor_definition] = STATE(401),
    [sym_constructor_or_destructor_declaration] = STATE(401),
    [sym_friend_declaration] = STATE(401),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(401),
    [sym_alias_declaration] = STATE(401),
    [sym_static_assert_declaration] = STATE(401),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(401),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [379] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7875),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7875),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7875),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3273),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [380] = {
    [sym_catch_clause] = STATE(307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(307),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym___try] = ACTIONS(2505),
    [anon_sym___leave] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(2874),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [381] = {
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(4430),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_type_descriptor] = STATE(7488),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [382] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_catch] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [383] = {
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(4453),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_type_descriptor] = STATE(7815),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [384] = {
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(4473),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_type_descriptor] = STATE(7854),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [385] = {
    [sym_type_qualifier] = STATE(3683),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(4532),
    [sym_sized_type_specifier] = STATE(1806),
    [sym_enum_specifier] = STATE(1806),
    [sym_struct_specifier] = STATE(1806),
    [sym_union_specifier] = STATE(1806),
    [sym_expression] = STATE(4481),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_type_descriptor] = STATE(7505),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_placeholder_type_specifier] = STATE(1806),
    [sym_decltype_auto] = STATE(1831),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1806),
    [sym__class_name] = STATE(7095),
    [sym_dependent_type] = STATE(1806),
    [sym_template_type] = STATE(5045),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(5058),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym__type_definition_type_repeat1] = STATE(3683),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1764),
    [anon_sym_unsigned] = ACTIONS(1764),
    [anon_sym_long] = ACTIONS(1764),
    [anon_sym_short] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(1770),
    [anon_sym_class] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1774),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1800),
    [anon_sym_decltype] = ACTIONS(1802),
    [anon_sym_typename] = ACTIONS(1804),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [386] = {
    [sym_catch_clause] = STATE(307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(307),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_catch] = ACTIONS(2874),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [387] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [388] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2529),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [389] = {
    [sym_preproc_def] = STATE(392),
    [sym_preproc_function_def] = STATE(392),
    [sym_preproc_call] = STATE(392),
    [sym_preproc_if_in_field_declaration_list] = STATE(392),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(392),
    [sym_preproc_else_in_field_declaration_list] = STATE(8144),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8144),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8144),
    [sym_type_definition] = STATE(392),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(392),
    [sym_field_declaration] = STATE(392),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(392),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(392),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(392),
    [sym_operator_cast_declaration] = STATE(392),
    [sym_constructor_or_destructor_definition] = STATE(392),
    [sym_constructor_or_destructor_declaration] = STATE(392),
    [sym_friend_declaration] = STATE(392),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(392),
    [sym_alias_declaration] = STATE(392),
    [sym_static_assert_declaration] = STATE(392),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(392),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [390] = {
    [sym_preproc_def] = STATE(372),
    [sym_preproc_function_def] = STATE(372),
    [sym_preproc_call] = STATE(372),
    [sym_preproc_if_in_field_declaration_list] = STATE(372),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(372),
    [sym_preproc_else_in_field_declaration_list] = STATE(7469),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7469),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7469),
    [sym_type_definition] = STATE(372),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(372),
    [sym_field_declaration] = STATE(372),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(372),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(372),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(372),
    [sym_operator_cast_declaration] = STATE(372),
    [sym_constructor_or_destructor_definition] = STATE(372),
    [sym_constructor_or_destructor_declaration] = STATE(372),
    [sym_friend_declaration] = STATE(372),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(372),
    [sym_alias_declaration] = STATE(372),
    [sym_static_assert_declaration] = STATE(372),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(372),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [391] = {
    [sym_preproc_def] = STATE(397),
    [sym_preproc_function_def] = STATE(397),
    [sym_preproc_call] = STATE(397),
    [sym_preproc_if_in_field_declaration_list] = STATE(397),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(397),
    [sym_preproc_else_in_field_declaration_list] = STATE(8173),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8173),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8173),
    [sym_type_definition] = STATE(397),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(397),
    [sym_field_declaration] = STATE(397),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(397),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(397),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(397),
    [sym_operator_cast_declaration] = STATE(397),
    [sym_constructor_or_destructor_definition] = STATE(397),
    [sym_constructor_or_destructor_declaration] = STATE(397),
    [sym_friend_declaration] = STATE(397),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(397),
    [sym_alias_declaration] = STATE(397),
    [sym_static_assert_declaration] = STATE(397),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(397),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [392] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(8208),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8208),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8208),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [393] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [394] = {
    [sym_preproc_def] = STATE(379),
    [sym_preproc_function_def] = STATE(379),
    [sym_preproc_call] = STATE(379),
    [sym_preproc_if_in_field_declaration_list] = STATE(379),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(379),
    [sym_preproc_else_in_field_declaration_list] = STATE(7643),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7643),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7643),
    [sym_type_definition] = STATE(379),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(379),
    [sym_field_declaration] = STATE(379),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(379),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(379),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(379),
    [sym_operator_cast_declaration] = STATE(379),
    [sym_constructor_or_destructor_definition] = STATE(379),
    [sym_constructor_or_destructor_declaration] = STATE(379),
    [sym_friend_declaration] = STATE(379),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(379),
    [sym_alias_declaration] = STATE(379),
    [sym_static_assert_declaration] = STATE(379),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(379),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [395] = {
    [sym_catch_clause] = STATE(320),
    [aux_sym_constructor_try_statement_repeat1] = STATE(320),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym___try] = ACTIONS(2505),
    [anon_sym___leave] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [396] = {
    [sym_preproc_def] = STATE(402),
    [sym_preproc_function_def] = STATE(402),
    [sym_preproc_call] = STATE(402),
    [sym_preproc_if_in_field_declaration_list] = STATE(402),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(402),
    [sym_preproc_else_in_field_declaration_list] = STATE(8271),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8271),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8271),
    [sym_type_definition] = STATE(402),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(402),
    [sym_field_declaration] = STATE(402),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(402),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(402),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(402),
    [sym_operator_cast_declaration] = STATE(402),
    [sym_constructor_or_destructor_definition] = STATE(402),
    [sym_constructor_or_destructor_declaration] = STATE(402),
    [sym_friend_declaration] = STATE(402),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(402),
    [sym_alias_declaration] = STATE(402),
    [sym_static_assert_declaration] = STATE(402),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(402),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [397] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7551),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7551),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7551),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [398] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [399] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [400] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [401] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7428),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7428),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7428),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [402] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(8065),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8065),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8065),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3255),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [404] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [405] = {
    [sym_else_clause] = STATE(515),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [406] = {
    [sym_else_clause] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(2578),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [408] = {
    [sym_else_clause] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [409] = {
    [sym_else_clause] = STATE(452),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [411] = {
    [sym_expression] = STATE(3513),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [412] = {
    [sym_else_clause] = STATE(457),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [413] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [414] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [415] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [416] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [417] = {
    [sym_else_clause] = STATE(506),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(2782),
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_virtual] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym__Nonnull] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [anon_sym___asm] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(2724),
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(2762),
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(2762),
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(2796),
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [423] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(2704),
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_virtual] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___based] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_RBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_mutable] = ACTIONS(2674),
    [anon_sym_constinit] = ACTIONS(2674),
    [anon_sym_consteval] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym___leave] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_compl] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2674),
    [anon_sym_decltype] = ACTIONS(2674),
    [anon_sym_explicit] = ACTIONS(2674),
    [anon_sym_typename] = ACTIONS(2674),
    [anon_sym_template] = ACTIONS(2674),
    [anon_sym_operator] = ACTIONS(2674),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2674),
    [anon_sym_throw] = ACTIONS(2674),
    [anon_sym_namespace] = ACTIONS(2674),
    [anon_sym_using] = ACTIONS(2674),
    [anon_sym_static_assert] = ACTIONS(2674),
    [anon_sym_concept] = ACTIONS(2674),
    [anon_sym_co_return] = ACTIONS(2674),
    [anon_sym_co_yield] = ACTIONS(2674),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2674),
    [anon_sym_new] = ACTIONS(2674),
    [anon_sym_requires] = ACTIONS(2674),
    [sym_this] = ACTIONS(2674),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2770),
    [sym_identifier] = ACTIONS(2768),
    [aux_sym_preproc_include_token1] = ACTIONS(2768),
    [aux_sym_preproc_def_token1] = ACTIONS(2768),
    [aux_sym_preproc_if_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2768),
    [sym_preproc_directive] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2770),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym___extension__] = ACTIONS(2768),
    [anon_sym_typedef] = ACTIONS(2768),
    [anon_sym_virtual] = ACTIONS(2768),
    [anon_sym_extern] = ACTIONS(2768),
    [anon_sym___attribute__] = ACTIONS(2768),
    [anon_sym_COLON_COLON] = ACTIONS(2770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2770),
    [anon_sym___declspec] = ACTIONS(2768),
    [anon_sym___based] = ACTIONS(2768),
    [anon_sym___cdecl] = ACTIONS(2768),
    [anon_sym___clrcall] = ACTIONS(2768),
    [anon_sym___stdcall] = ACTIONS(2768),
    [anon_sym___fastcall] = ACTIONS(2768),
    [anon_sym___thiscall] = ACTIONS(2768),
    [anon_sym___vectorcall] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2768),
    [anon_sym_unsigned] = ACTIONS(2768),
    [anon_sym_long] = ACTIONS(2768),
    [anon_sym_short] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_register] = ACTIONS(2768),
    [anon_sym_inline] = ACTIONS(2768),
    [anon_sym___inline] = ACTIONS(2768),
    [anon_sym___inline__] = ACTIONS(2768),
    [anon_sym___forceinline] = ACTIONS(2768),
    [anon_sym_thread_local] = ACTIONS(2768),
    [anon_sym___thread] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_constexpr] = ACTIONS(2768),
    [anon_sym_volatile] = ACTIONS(2768),
    [anon_sym_restrict] = ACTIONS(2768),
    [anon_sym___restrict__] = ACTIONS(2768),
    [anon_sym__Atomic] = ACTIONS(2768),
    [anon_sym__Noreturn] = ACTIONS(2768),
    [anon_sym_noreturn] = ACTIONS(2768),
    [anon_sym__Nonnull] = ACTIONS(2768),
    [anon_sym_mutable] = ACTIONS(2768),
    [anon_sym_constinit] = ACTIONS(2768),
    [anon_sym_consteval] = ACTIONS(2768),
    [anon_sym_alignas] = ACTIONS(2768),
    [anon_sym__Alignas] = ACTIONS(2768),
    [sym_primitive_type] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_struct] = ACTIONS(2768),
    [anon_sym_union] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_case] = ACTIONS(2768),
    [anon_sym_default] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_goto] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2768),
    [anon_sym___leave] = ACTIONS(2768),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_compl] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_sizeof] = ACTIONS(2768),
    [anon_sym___alignof__] = ACTIONS(2768),
    [anon_sym___alignof] = ACTIONS(2768),
    [anon_sym__alignof] = ACTIONS(2768),
    [anon_sym_alignof] = ACTIONS(2768),
    [anon_sym__Alignof] = ACTIONS(2768),
    [anon_sym_offsetof] = ACTIONS(2768),
    [anon_sym__Generic] = ACTIONS(2768),
    [anon_sym_asm] = ACTIONS(2768),
    [anon_sym___asm__] = ACTIONS(2768),
    [anon_sym___asm] = ACTIONS(2768),
    [sym_number_literal] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2770),
    [anon_sym_u_SQUOTE] = ACTIONS(2770),
    [anon_sym_U_SQUOTE] = ACTIONS(2770),
    [anon_sym_u8_SQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [anon_sym_L_DQUOTE] = ACTIONS(2770),
    [anon_sym_u_DQUOTE] = ACTIONS(2770),
    [anon_sym_U_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8_DQUOTE] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [anon_sym_NULL] = ACTIONS(2768),
    [anon_sym_nullptr] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2768),
    [anon_sym_decltype] = ACTIONS(2768),
    [anon_sym_explicit] = ACTIONS(2768),
    [anon_sym_typename] = ACTIONS(2768),
    [anon_sym_template] = ACTIONS(2768),
    [anon_sym_operator] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_namespace] = ACTIONS(2768),
    [anon_sym_using] = ACTIONS(2768),
    [anon_sym_static_assert] = ACTIONS(2768),
    [anon_sym_concept] = ACTIONS(2768),
    [anon_sym_co_return] = ACTIONS(2768),
    [anon_sym_co_yield] = ACTIONS(2768),
    [anon_sym_R_DQUOTE] = ACTIONS(2770),
    [anon_sym_LR_DQUOTE] = ACTIONS(2770),
    [anon_sym_uR_DQUOTE] = ACTIONS(2770),
    [anon_sym_UR_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2770),
    [anon_sym_co_await] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_requires] = ACTIONS(2768),
    [sym_this] = ACTIONS(2768),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2708),
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2750),
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [anon_sym___asm] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(2816),
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym__Nonnull] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [anon_sym___asm] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token2] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_virtual] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_else] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [anon_sym___asm] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token2] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_virtual] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym__Nonnull] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_else] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [anon_sym___asm] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token2] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_virtual] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym__Nonnull] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [anon_sym___asm] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_virtual] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_RBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token2] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2764),
    [aux_sym_preproc_include_token1] = ACTIONS(2764),
    [aux_sym_preproc_def_token1] = ACTIONS(2764),
    [aux_sym_preproc_if_token1] = ACTIONS(2764),
    [aux_sym_preproc_if_token2] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2764),
    [sym_preproc_directive] = ACTIONS(2764),
    [anon_sym_LPAREN2] = ACTIONS(2766),
    [anon_sym_BANG] = ACTIONS(2766),
    [anon_sym_TILDE] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym___extension__] = ACTIONS(2764),
    [anon_sym_typedef] = ACTIONS(2764),
    [anon_sym_virtual] = ACTIONS(2764),
    [anon_sym_extern] = ACTIONS(2764),
    [anon_sym___attribute__] = ACTIONS(2764),
    [anon_sym_COLON_COLON] = ACTIONS(2766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2766),
    [anon_sym___declspec] = ACTIONS(2764),
    [anon_sym___based] = ACTIONS(2764),
    [anon_sym___cdecl] = ACTIONS(2764),
    [anon_sym___clrcall] = ACTIONS(2764),
    [anon_sym___stdcall] = ACTIONS(2764),
    [anon_sym___fastcall] = ACTIONS(2764),
    [anon_sym___thiscall] = ACTIONS(2764),
    [anon_sym___vectorcall] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2764),
    [anon_sym_unsigned] = ACTIONS(2764),
    [anon_sym_long] = ACTIONS(2764),
    [anon_sym_short] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_register] = ACTIONS(2764),
    [anon_sym_inline] = ACTIONS(2764),
    [anon_sym___inline] = ACTIONS(2764),
    [anon_sym___inline__] = ACTIONS(2764),
    [anon_sym___forceinline] = ACTIONS(2764),
    [anon_sym_thread_local] = ACTIONS(2764),
    [anon_sym___thread] = ACTIONS(2764),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_constexpr] = ACTIONS(2764),
    [anon_sym_volatile] = ACTIONS(2764),
    [anon_sym_restrict] = ACTIONS(2764),
    [anon_sym___restrict__] = ACTIONS(2764),
    [anon_sym__Atomic] = ACTIONS(2764),
    [anon_sym__Noreturn] = ACTIONS(2764),
    [anon_sym_noreturn] = ACTIONS(2764),
    [anon_sym__Nonnull] = ACTIONS(2764),
    [anon_sym_mutable] = ACTIONS(2764),
    [anon_sym_constinit] = ACTIONS(2764),
    [anon_sym_consteval] = ACTIONS(2764),
    [anon_sym_alignas] = ACTIONS(2764),
    [anon_sym__Alignas] = ACTIONS(2764),
    [sym_primitive_type] = ACTIONS(2764),
    [anon_sym_enum] = ACTIONS(2764),
    [anon_sym_class] = ACTIONS(2764),
    [anon_sym_struct] = ACTIONS(2764),
    [anon_sym_union] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_else] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2764),
    [anon_sym_case] = ACTIONS(2764),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2764),
    [anon_sym_return] = ACTIONS(2764),
    [anon_sym_break] = ACTIONS(2764),
    [anon_sym_continue] = ACTIONS(2764),
    [anon_sym_goto] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2764),
    [anon_sym___leave] = ACTIONS(2764),
    [anon_sym_not] = ACTIONS(2764),
    [anon_sym_compl] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2766),
    [anon_sym_PLUS_PLUS] = ACTIONS(2766),
    [anon_sym_sizeof] = ACTIONS(2764),
    [anon_sym___alignof__] = ACTIONS(2764),
    [anon_sym___alignof] = ACTIONS(2764),
    [anon_sym__alignof] = ACTIONS(2764),
    [anon_sym_alignof] = ACTIONS(2764),
    [anon_sym__Alignof] = ACTIONS(2764),
    [anon_sym_offsetof] = ACTIONS(2764),
    [anon_sym__Generic] = ACTIONS(2764),
    [anon_sym_asm] = ACTIONS(2764),
    [anon_sym___asm__] = ACTIONS(2764),
    [anon_sym___asm] = ACTIONS(2764),
    [sym_number_literal] = ACTIONS(2766),
    [anon_sym_L_SQUOTE] = ACTIONS(2766),
    [anon_sym_u_SQUOTE] = ACTIONS(2766),
    [anon_sym_U_SQUOTE] = ACTIONS(2766),
    [anon_sym_u8_SQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [anon_sym_L_DQUOTE] = ACTIONS(2766),
    [anon_sym_u_DQUOTE] = ACTIONS(2766),
    [anon_sym_U_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8_DQUOTE] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [anon_sym_NULL] = ACTIONS(2764),
    [anon_sym_nullptr] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2764),
    [anon_sym_decltype] = ACTIONS(2764),
    [anon_sym_explicit] = ACTIONS(2764),
    [anon_sym_typename] = ACTIONS(2764),
    [anon_sym_template] = ACTIONS(2764),
    [anon_sym_operator] = ACTIONS(2764),
    [anon_sym_try] = ACTIONS(2764),
    [anon_sym_delete] = ACTIONS(2764),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_namespace] = ACTIONS(2764),
    [anon_sym_using] = ACTIONS(2764),
    [anon_sym_static_assert] = ACTIONS(2764),
    [anon_sym_concept] = ACTIONS(2764),
    [anon_sym_co_return] = ACTIONS(2764),
    [anon_sym_co_yield] = ACTIONS(2764),
    [anon_sym_R_DQUOTE] = ACTIONS(2766),
    [anon_sym_LR_DQUOTE] = ACTIONS(2766),
    [anon_sym_uR_DQUOTE] = ACTIONS(2766),
    [anon_sym_UR_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2766),
    [anon_sym_co_await] = ACTIONS(2764),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_requires] = ACTIONS(2764),
    [sym_this] = ACTIONS(2764),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2776),
    [aux_sym_preproc_include_token1] = ACTIONS(2776),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token2] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2776),
    [sym_preproc_directive] = ACTIONS(2776),
    [anon_sym_LPAREN2] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2778),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym___extension__] = ACTIONS(2776),
    [anon_sym_typedef] = ACTIONS(2776),
    [anon_sym_virtual] = ACTIONS(2776),
    [anon_sym_extern] = ACTIONS(2776),
    [anon_sym___attribute__] = ACTIONS(2776),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2776),
    [anon_sym___based] = ACTIONS(2776),
    [anon_sym___cdecl] = ACTIONS(2776),
    [anon_sym___clrcall] = ACTIONS(2776),
    [anon_sym___stdcall] = ACTIONS(2776),
    [anon_sym___fastcall] = ACTIONS(2776),
    [anon_sym___thiscall] = ACTIONS(2776),
    [anon_sym___vectorcall] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_signed] = ACTIONS(2776),
    [anon_sym_unsigned] = ACTIONS(2776),
    [anon_sym_long] = ACTIONS(2776),
    [anon_sym_short] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_register] = ACTIONS(2776),
    [anon_sym_inline] = ACTIONS(2776),
    [anon_sym___inline] = ACTIONS(2776),
    [anon_sym___inline__] = ACTIONS(2776),
    [anon_sym___forceinline] = ACTIONS(2776),
    [anon_sym_thread_local] = ACTIONS(2776),
    [anon_sym___thread] = ACTIONS(2776),
    [anon_sym_const] = ACTIONS(2776),
    [anon_sym_constexpr] = ACTIONS(2776),
    [anon_sym_volatile] = ACTIONS(2776),
    [anon_sym_restrict] = ACTIONS(2776),
    [anon_sym___restrict__] = ACTIONS(2776),
    [anon_sym__Atomic] = ACTIONS(2776),
    [anon_sym__Noreturn] = ACTIONS(2776),
    [anon_sym_noreturn] = ACTIONS(2776),
    [anon_sym__Nonnull] = ACTIONS(2776),
    [anon_sym_mutable] = ACTIONS(2776),
    [anon_sym_constinit] = ACTIONS(2776),
    [anon_sym_consteval] = ACTIONS(2776),
    [anon_sym_alignas] = ACTIONS(2776),
    [anon_sym__Alignas] = ACTIONS(2776),
    [sym_primitive_type] = ACTIONS(2776),
    [anon_sym_enum] = ACTIONS(2776),
    [anon_sym_class] = ACTIONS(2776),
    [anon_sym_struct] = ACTIONS(2776),
    [anon_sym_union] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2776),
    [anon_sym_else] = ACTIONS(2776),
    [anon_sym_switch] = ACTIONS(2776),
    [anon_sym_case] = ACTIONS(2776),
    [anon_sym_default] = ACTIONS(2776),
    [anon_sym_while] = ACTIONS(2776),
    [anon_sym_do] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2776),
    [anon_sym_goto] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2776),
    [anon_sym___leave] = ACTIONS(2776),
    [anon_sym_not] = ACTIONS(2776),
    [anon_sym_compl] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_sizeof] = ACTIONS(2776),
    [anon_sym___alignof__] = ACTIONS(2776),
    [anon_sym___alignof] = ACTIONS(2776),
    [anon_sym__alignof] = ACTIONS(2776),
    [anon_sym_alignof] = ACTIONS(2776),
    [anon_sym__Alignof] = ACTIONS(2776),
    [anon_sym_offsetof] = ACTIONS(2776),
    [anon_sym__Generic] = ACTIONS(2776),
    [anon_sym_asm] = ACTIONS(2776),
    [anon_sym___asm__] = ACTIONS(2776),
    [anon_sym___asm] = ACTIONS(2776),
    [sym_number_literal] = ACTIONS(2778),
    [anon_sym_L_SQUOTE] = ACTIONS(2778),
    [anon_sym_u_SQUOTE] = ACTIONS(2778),
    [anon_sym_U_SQUOTE] = ACTIONS(2778),
    [anon_sym_u8_SQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_L_DQUOTE] = ACTIONS(2778),
    [anon_sym_u_DQUOTE] = ACTIONS(2778),
    [anon_sym_U_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8_DQUOTE] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [anon_sym_NULL] = ACTIONS(2776),
    [anon_sym_nullptr] = ACTIONS(2776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2776),
    [anon_sym_decltype] = ACTIONS(2776),
    [anon_sym_explicit] = ACTIONS(2776),
    [anon_sym_typename] = ACTIONS(2776),
    [anon_sym_template] = ACTIONS(2776),
    [anon_sym_operator] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2776),
    [anon_sym_delete] = ACTIONS(2776),
    [anon_sym_throw] = ACTIONS(2776),
    [anon_sym_namespace] = ACTIONS(2776),
    [anon_sym_using] = ACTIONS(2776),
    [anon_sym_static_assert] = ACTIONS(2776),
    [anon_sym_concept] = ACTIONS(2776),
    [anon_sym_co_return] = ACTIONS(2776),
    [anon_sym_co_yield] = ACTIONS(2776),
    [anon_sym_R_DQUOTE] = ACTIONS(2778),
    [anon_sym_LR_DQUOTE] = ACTIONS(2778),
    [anon_sym_uR_DQUOTE] = ACTIONS(2778),
    [anon_sym_UR_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2778),
    [anon_sym_co_await] = ACTIONS(2776),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_requires] = ACTIONS(2776),
    [sym_this] = ACTIONS(2776),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2772),
    [aux_sym_preproc_include_token1] = ACTIONS(2772),
    [aux_sym_preproc_def_token1] = ACTIONS(2772),
    [aux_sym_preproc_if_token1] = ACTIONS(2772),
    [aux_sym_preproc_if_token2] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2772),
    [sym_preproc_directive] = ACTIONS(2772),
    [anon_sym_LPAREN2] = ACTIONS(2774),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2772),
    [anon_sym_typedef] = ACTIONS(2772),
    [anon_sym_virtual] = ACTIONS(2772),
    [anon_sym_extern] = ACTIONS(2772),
    [anon_sym___attribute__] = ACTIONS(2772),
    [anon_sym_COLON_COLON] = ACTIONS(2774),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2774),
    [anon_sym___declspec] = ACTIONS(2772),
    [anon_sym___based] = ACTIONS(2772),
    [anon_sym___cdecl] = ACTIONS(2772),
    [anon_sym___clrcall] = ACTIONS(2772),
    [anon_sym___stdcall] = ACTIONS(2772),
    [anon_sym___fastcall] = ACTIONS(2772),
    [anon_sym___thiscall] = ACTIONS(2772),
    [anon_sym___vectorcall] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2772),
    [anon_sym_unsigned] = ACTIONS(2772),
    [anon_sym_long] = ACTIONS(2772),
    [anon_sym_short] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_register] = ACTIONS(2772),
    [anon_sym_inline] = ACTIONS(2772),
    [anon_sym___inline] = ACTIONS(2772),
    [anon_sym___inline__] = ACTIONS(2772),
    [anon_sym___forceinline] = ACTIONS(2772),
    [anon_sym_thread_local] = ACTIONS(2772),
    [anon_sym___thread] = ACTIONS(2772),
    [anon_sym_const] = ACTIONS(2772),
    [anon_sym_constexpr] = ACTIONS(2772),
    [anon_sym_volatile] = ACTIONS(2772),
    [anon_sym_restrict] = ACTIONS(2772),
    [anon_sym___restrict__] = ACTIONS(2772),
    [anon_sym__Atomic] = ACTIONS(2772),
    [anon_sym__Noreturn] = ACTIONS(2772),
    [anon_sym_noreturn] = ACTIONS(2772),
    [anon_sym__Nonnull] = ACTIONS(2772),
    [anon_sym_mutable] = ACTIONS(2772),
    [anon_sym_constinit] = ACTIONS(2772),
    [anon_sym_consteval] = ACTIONS(2772),
    [anon_sym_alignas] = ACTIONS(2772),
    [anon_sym__Alignas] = ACTIONS(2772),
    [sym_primitive_type] = ACTIONS(2772),
    [anon_sym_enum] = ACTIONS(2772),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_struct] = ACTIONS(2772),
    [anon_sym_union] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2772),
    [anon_sym_else] = ACTIONS(2772),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_case] = ACTIONS(2772),
    [anon_sym_default] = ACTIONS(2772),
    [anon_sym_while] = ACTIONS(2772),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_return] = ACTIONS(2772),
    [anon_sym_break] = ACTIONS(2772),
    [anon_sym_continue] = ACTIONS(2772),
    [anon_sym_goto] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2772),
    [anon_sym___leave] = ACTIONS(2772),
    [anon_sym_not] = ACTIONS(2772),
    [anon_sym_compl] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_sizeof] = ACTIONS(2772),
    [anon_sym___alignof__] = ACTIONS(2772),
    [anon_sym___alignof] = ACTIONS(2772),
    [anon_sym__alignof] = ACTIONS(2772),
    [anon_sym_alignof] = ACTIONS(2772),
    [anon_sym__Alignof] = ACTIONS(2772),
    [anon_sym_offsetof] = ACTIONS(2772),
    [anon_sym__Generic] = ACTIONS(2772),
    [anon_sym_asm] = ACTIONS(2772),
    [anon_sym___asm__] = ACTIONS(2772),
    [anon_sym___asm] = ACTIONS(2772),
    [sym_number_literal] = ACTIONS(2774),
    [anon_sym_L_SQUOTE] = ACTIONS(2774),
    [anon_sym_u_SQUOTE] = ACTIONS(2774),
    [anon_sym_U_SQUOTE] = ACTIONS(2774),
    [anon_sym_u8_SQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [anon_sym_L_DQUOTE] = ACTIONS(2774),
    [anon_sym_u_DQUOTE] = ACTIONS(2774),
    [anon_sym_U_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8_DQUOTE] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [anon_sym_NULL] = ACTIONS(2772),
    [anon_sym_nullptr] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2772),
    [anon_sym_decltype] = ACTIONS(2772),
    [anon_sym_explicit] = ACTIONS(2772),
    [anon_sym_typename] = ACTIONS(2772),
    [anon_sym_template] = ACTIONS(2772),
    [anon_sym_operator] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2772),
    [anon_sym_delete] = ACTIONS(2772),
    [anon_sym_throw] = ACTIONS(2772),
    [anon_sym_namespace] = ACTIONS(2772),
    [anon_sym_using] = ACTIONS(2772),
    [anon_sym_static_assert] = ACTIONS(2772),
    [anon_sym_concept] = ACTIONS(2772),
    [anon_sym_co_return] = ACTIONS(2772),
    [anon_sym_co_yield] = ACTIONS(2772),
    [anon_sym_R_DQUOTE] = ACTIONS(2774),
    [anon_sym_LR_DQUOTE] = ACTIONS(2774),
    [anon_sym_uR_DQUOTE] = ACTIONS(2774),
    [anon_sym_UR_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2774),
    [anon_sym_co_await] = ACTIONS(2772),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_requires] = ACTIONS(2772),
    [sym_this] = ACTIONS(2772),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token2] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_virtual] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym__Nonnull] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [anon_sym___asm] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token2] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2768),
    [aux_sym_preproc_include_token1] = ACTIONS(2768),
    [aux_sym_preproc_def_token1] = ACTIONS(2768),
    [aux_sym_preproc_if_token1] = ACTIONS(2768),
    [aux_sym_preproc_if_token2] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2768),
    [sym_preproc_directive] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2770),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym___extension__] = ACTIONS(2768),
    [anon_sym_typedef] = ACTIONS(2768),
    [anon_sym_virtual] = ACTIONS(2768),
    [anon_sym_extern] = ACTIONS(2768),
    [anon_sym___attribute__] = ACTIONS(2768),
    [anon_sym_COLON_COLON] = ACTIONS(2770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2770),
    [anon_sym___declspec] = ACTIONS(2768),
    [anon_sym___based] = ACTIONS(2768),
    [anon_sym___cdecl] = ACTIONS(2768),
    [anon_sym___clrcall] = ACTIONS(2768),
    [anon_sym___stdcall] = ACTIONS(2768),
    [anon_sym___fastcall] = ACTIONS(2768),
    [anon_sym___thiscall] = ACTIONS(2768),
    [anon_sym___vectorcall] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2768),
    [anon_sym_unsigned] = ACTIONS(2768),
    [anon_sym_long] = ACTIONS(2768),
    [anon_sym_short] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_register] = ACTIONS(2768),
    [anon_sym_inline] = ACTIONS(2768),
    [anon_sym___inline] = ACTIONS(2768),
    [anon_sym___inline__] = ACTIONS(2768),
    [anon_sym___forceinline] = ACTIONS(2768),
    [anon_sym_thread_local] = ACTIONS(2768),
    [anon_sym___thread] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_constexpr] = ACTIONS(2768),
    [anon_sym_volatile] = ACTIONS(2768),
    [anon_sym_restrict] = ACTIONS(2768),
    [anon_sym___restrict__] = ACTIONS(2768),
    [anon_sym__Atomic] = ACTIONS(2768),
    [anon_sym__Noreturn] = ACTIONS(2768),
    [anon_sym_noreturn] = ACTIONS(2768),
    [anon_sym__Nonnull] = ACTIONS(2768),
    [anon_sym_mutable] = ACTIONS(2768),
    [anon_sym_constinit] = ACTIONS(2768),
    [anon_sym_consteval] = ACTIONS(2768),
    [anon_sym_alignas] = ACTIONS(2768),
    [anon_sym__Alignas] = ACTIONS(2768),
    [sym_primitive_type] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_struct] = ACTIONS(2768),
    [anon_sym_union] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_case] = ACTIONS(2768),
    [anon_sym_default] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_goto] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2768),
    [anon_sym___leave] = ACTIONS(2768),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_compl] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_sizeof] = ACTIONS(2768),
    [anon_sym___alignof__] = ACTIONS(2768),
    [anon_sym___alignof] = ACTIONS(2768),
    [anon_sym__alignof] = ACTIONS(2768),
    [anon_sym_alignof] = ACTIONS(2768),
    [anon_sym__Alignof] = ACTIONS(2768),
    [anon_sym_offsetof] = ACTIONS(2768),
    [anon_sym__Generic] = ACTIONS(2768),
    [anon_sym_asm] = ACTIONS(2768),
    [anon_sym___asm__] = ACTIONS(2768),
    [anon_sym___asm] = ACTIONS(2768),
    [sym_number_literal] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2770),
    [anon_sym_u_SQUOTE] = ACTIONS(2770),
    [anon_sym_U_SQUOTE] = ACTIONS(2770),
    [anon_sym_u8_SQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [anon_sym_L_DQUOTE] = ACTIONS(2770),
    [anon_sym_u_DQUOTE] = ACTIONS(2770),
    [anon_sym_U_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8_DQUOTE] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [anon_sym_NULL] = ACTIONS(2768),
    [anon_sym_nullptr] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2768),
    [anon_sym_decltype] = ACTIONS(2768),
    [anon_sym_explicit] = ACTIONS(2768),
    [anon_sym_typename] = ACTIONS(2768),
    [anon_sym_template] = ACTIONS(2768),
    [anon_sym_operator] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_namespace] = ACTIONS(2768),
    [anon_sym_using] = ACTIONS(2768),
    [anon_sym_static_assert] = ACTIONS(2768),
    [anon_sym_concept] = ACTIONS(2768),
    [anon_sym_co_return] = ACTIONS(2768),
    [anon_sym_co_yield] = ACTIONS(2768),
    [anon_sym_R_DQUOTE] = ACTIONS(2770),
    [anon_sym_LR_DQUOTE] = ACTIONS(2770),
    [anon_sym_uR_DQUOTE] = ACTIONS(2770),
    [anon_sym_UR_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2770),
    [anon_sym_co_await] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_requires] = ACTIONS(2768),
    [sym_this] = ACTIONS(2768),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(2656),
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_virtual] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(2664),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(2670),
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_virtual] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym__Nonnull] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [anon_sym___asm] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_virtual] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym__Nonnull] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [anon_sym___asm] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token2] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_virtual] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___based] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_mutable] = ACTIONS(2682),
    [anon_sym_constinit] = ACTIONS(2682),
    [anon_sym_consteval] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym___leave] = ACTIONS(2682),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2682),
    [anon_sym_decltype] = ACTIONS(2682),
    [anon_sym_explicit] = ACTIONS(2682),
    [anon_sym_typename] = ACTIONS(2682),
    [anon_sym_template] = ACTIONS(2682),
    [anon_sym_operator] = ACTIONS(2682),
    [anon_sym_try] = ACTIONS(2682),
    [anon_sym_delete] = ACTIONS(2682),
    [anon_sym_throw] = ACTIONS(2682),
    [anon_sym_namespace] = ACTIONS(2682),
    [anon_sym_using] = ACTIONS(2682),
    [anon_sym_static_assert] = ACTIONS(2682),
    [anon_sym_concept] = ACTIONS(2682),
    [anon_sym_co_return] = ACTIONS(2682),
    [anon_sym_co_yield] = ACTIONS(2682),
    [anon_sym_R_DQUOTE] = ACTIONS(2684),
    [anon_sym_LR_DQUOTE] = ACTIONS(2684),
    [anon_sym_uR_DQUOTE] = ACTIONS(2684),
    [anon_sym_UR_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2684),
    [anon_sym_co_await] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2682),
    [anon_sym_requires] = ACTIONS(2682),
    [sym_this] = ACTIONS(2682),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_virtual] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2756),
    [aux_sym_preproc_include_token1] = ACTIONS(2756),
    [aux_sym_preproc_def_token1] = ACTIONS(2756),
    [aux_sym_preproc_if_token1] = ACTIONS(2756),
    [aux_sym_preproc_if_token2] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2756),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2756),
    [anon_sym_typedef] = ACTIONS(2756),
    [anon_sym_virtual] = ACTIONS(2756),
    [anon_sym_extern] = ACTIONS(2756),
    [anon_sym___attribute__] = ACTIONS(2756),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2756),
    [anon_sym___based] = ACTIONS(2756),
    [anon_sym___cdecl] = ACTIONS(2756),
    [anon_sym___clrcall] = ACTIONS(2756),
    [anon_sym___stdcall] = ACTIONS(2756),
    [anon_sym___fastcall] = ACTIONS(2756),
    [anon_sym___thiscall] = ACTIONS(2756),
    [anon_sym___vectorcall] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2756),
    [anon_sym_unsigned] = ACTIONS(2756),
    [anon_sym_long] = ACTIONS(2756),
    [anon_sym_short] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_register] = ACTIONS(2756),
    [anon_sym_inline] = ACTIONS(2756),
    [anon_sym___inline] = ACTIONS(2756),
    [anon_sym___inline__] = ACTIONS(2756),
    [anon_sym___forceinline] = ACTIONS(2756),
    [anon_sym_thread_local] = ACTIONS(2756),
    [anon_sym___thread] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_constexpr] = ACTIONS(2756),
    [anon_sym_volatile] = ACTIONS(2756),
    [anon_sym_restrict] = ACTIONS(2756),
    [anon_sym___restrict__] = ACTIONS(2756),
    [anon_sym__Atomic] = ACTIONS(2756),
    [anon_sym__Noreturn] = ACTIONS(2756),
    [anon_sym_noreturn] = ACTIONS(2756),
    [anon_sym__Nonnull] = ACTIONS(2756),
    [anon_sym_mutable] = ACTIONS(2756),
    [anon_sym_constinit] = ACTIONS(2756),
    [anon_sym_consteval] = ACTIONS(2756),
    [anon_sym_alignas] = ACTIONS(2756),
    [anon_sym__Alignas] = ACTIONS(2756),
    [sym_primitive_type] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_struct] = ACTIONS(2756),
    [anon_sym_union] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_case] = ACTIONS(2756),
    [anon_sym_default] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_goto] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2756),
    [anon_sym___leave] = ACTIONS(2756),
    [anon_sym_not] = ACTIONS(2756),
    [anon_sym_compl] = ACTIONS(2756),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2756),
    [anon_sym___alignof__] = ACTIONS(2756),
    [anon_sym___alignof] = ACTIONS(2756),
    [anon_sym__alignof] = ACTIONS(2756),
    [anon_sym_alignof] = ACTIONS(2756),
    [anon_sym__Alignof] = ACTIONS(2756),
    [anon_sym_offsetof] = ACTIONS(2756),
    [anon_sym__Generic] = ACTIONS(2756),
    [anon_sym_asm] = ACTIONS(2756),
    [anon_sym___asm__] = ACTIONS(2756),
    [anon_sym___asm] = ACTIONS(2756),
    [sym_number_literal] = ACTIONS(2758),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [anon_sym_NULL] = ACTIONS(2756),
    [anon_sym_nullptr] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2756),
    [anon_sym_decltype] = ACTIONS(2756),
    [anon_sym_explicit] = ACTIONS(2756),
    [anon_sym_typename] = ACTIONS(2756),
    [anon_sym_template] = ACTIONS(2756),
    [anon_sym_operator] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_namespace] = ACTIONS(2756),
    [anon_sym_using] = ACTIONS(2756),
    [anon_sym_static_assert] = ACTIONS(2756),
    [anon_sym_concept] = ACTIONS(2756),
    [anon_sym_co_return] = ACTIONS(2756),
    [anon_sym_co_yield] = ACTIONS(2756),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_requires] = ACTIONS(2756),
    [sym_this] = ACTIONS(2756),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(2684),
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_virtual] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___based] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_mutable] = ACTIONS(2682),
    [anon_sym_constinit] = ACTIONS(2682),
    [anon_sym_consteval] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym___leave] = ACTIONS(2682),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2682),
    [anon_sym_decltype] = ACTIONS(2682),
    [anon_sym_explicit] = ACTIONS(2682),
    [anon_sym_typename] = ACTIONS(2682),
    [anon_sym_template] = ACTIONS(2682),
    [anon_sym_operator] = ACTIONS(2682),
    [anon_sym_try] = ACTIONS(2682),
    [anon_sym_delete] = ACTIONS(2682),
    [anon_sym_throw] = ACTIONS(2682),
    [anon_sym_namespace] = ACTIONS(2682),
    [anon_sym_using] = ACTIONS(2682),
    [anon_sym_static_assert] = ACTIONS(2682),
    [anon_sym_concept] = ACTIONS(2682),
    [anon_sym_co_return] = ACTIONS(2682),
    [anon_sym_co_yield] = ACTIONS(2682),
    [anon_sym_R_DQUOTE] = ACTIONS(2684),
    [anon_sym_LR_DQUOTE] = ACTIONS(2684),
    [anon_sym_uR_DQUOTE] = ACTIONS(2684),
    [anon_sym_UR_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2684),
    [anon_sym_co_await] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2682),
    [anon_sym_requires] = ACTIONS(2682),
    [sym_this] = ACTIONS(2682),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(2740),
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_virtual] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [anon_sym___asm] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2746),
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token2] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_virtual] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___based] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_mutable] = ACTIONS(2674),
    [anon_sym_constinit] = ACTIONS(2674),
    [anon_sym_consteval] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym___leave] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_compl] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2674),
    [anon_sym_decltype] = ACTIONS(2674),
    [anon_sym_explicit] = ACTIONS(2674),
    [anon_sym_typename] = ACTIONS(2674),
    [anon_sym_template] = ACTIONS(2674),
    [anon_sym_operator] = ACTIONS(2674),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2674),
    [anon_sym_throw] = ACTIONS(2674),
    [anon_sym_namespace] = ACTIONS(2674),
    [anon_sym_using] = ACTIONS(2674),
    [anon_sym_static_assert] = ACTIONS(2674),
    [anon_sym_concept] = ACTIONS(2674),
    [anon_sym_co_return] = ACTIONS(2674),
    [anon_sym_co_yield] = ACTIONS(2674),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2674),
    [anon_sym_new] = ACTIONS(2674),
    [anon_sym_requires] = ACTIONS(2674),
    [sym_this] = ACTIONS(2674),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [474] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(2774),
    [sym_identifier] = ACTIONS(2772),
    [aux_sym_preproc_include_token1] = ACTIONS(2772),
    [aux_sym_preproc_def_token1] = ACTIONS(2772),
    [aux_sym_preproc_if_token1] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2772),
    [sym_preproc_directive] = ACTIONS(2772),
    [anon_sym_LPAREN2] = ACTIONS(2774),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2772),
    [anon_sym_typedef] = ACTIONS(2772),
    [anon_sym_virtual] = ACTIONS(2772),
    [anon_sym_extern] = ACTIONS(2772),
    [anon_sym___attribute__] = ACTIONS(2772),
    [anon_sym_COLON_COLON] = ACTIONS(2774),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2774),
    [anon_sym___declspec] = ACTIONS(2772),
    [anon_sym___based] = ACTIONS(2772),
    [anon_sym___cdecl] = ACTIONS(2772),
    [anon_sym___clrcall] = ACTIONS(2772),
    [anon_sym___stdcall] = ACTIONS(2772),
    [anon_sym___fastcall] = ACTIONS(2772),
    [anon_sym___thiscall] = ACTIONS(2772),
    [anon_sym___vectorcall] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2772),
    [anon_sym_unsigned] = ACTIONS(2772),
    [anon_sym_long] = ACTIONS(2772),
    [anon_sym_short] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_register] = ACTIONS(2772),
    [anon_sym_inline] = ACTIONS(2772),
    [anon_sym___inline] = ACTIONS(2772),
    [anon_sym___inline__] = ACTIONS(2772),
    [anon_sym___forceinline] = ACTIONS(2772),
    [anon_sym_thread_local] = ACTIONS(2772),
    [anon_sym___thread] = ACTIONS(2772),
    [anon_sym_const] = ACTIONS(2772),
    [anon_sym_constexpr] = ACTIONS(2772),
    [anon_sym_volatile] = ACTIONS(2772),
    [anon_sym_restrict] = ACTIONS(2772),
    [anon_sym___restrict__] = ACTIONS(2772),
    [anon_sym__Atomic] = ACTIONS(2772),
    [anon_sym__Noreturn] = ACTIONS(2772),
    [anon_sym_noreturn] = ACTIONS(2772),
    [anon_sym__Nonnull] = ACTIONS(2772),
    [anon_sym_mutable] = ACTIONS(2772),
    [anon_sym_constinit] = ACTIONS(2772),
    [anon_sym_consteval] = ACTIONS(2772),
    [anon_sym_alignas] = ACTIONS(2772),
    [anon_sym__Alignas] = ACTIONS(2772),
    [sym_primitive_type] = ACTIONS(2772),
    [anon_sym_enum] = ACTIONS(2772),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_struct] = ACTIONS(2772),
    [anon_sym_union] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2772),
    [anon_sym_else] = ACTIONS(2772),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_case] = ACTIONS(2772),
    [anon_sym_default] = ACTIONS(2772),
    [anon_sym_while] = ACTIONS(2772),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_return] = ACTIONS(2772),
    [anon_sym_break] = ACTIONS(2772),
    [anon_sym_continue] = ACTIONS(2772),
    [anon_sym_goto] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2772),
    [anon_sym___leave] = ACTIONS(2772),
    [anon_sym_not] = ACTIONS(2772),
    [anon_sym_compl] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_sizeof] = ACTIONS(2772),
    [anon_sym___alignof__] = ACTIONS(2772),
    [anon_sym___alignof] = ACTIONS(2772),
    [anon_sym__alignof] = ACTIONS(2772),
    [anon_sym_alignof] = ACTIONS(2772),
    [anon_sym__Alignof] = ACTIONS(2772),
    [anon_sym_offsetof] = ACTIONS(2772),
    [anon_sym__Generic] = ACTIONS(2772),
    [anon_sym_asm] = ACTIONS(2772),
    [anon_sym___asm__] = ACTIONS(2772),
    [anon_sym___asm] = ACTIONS(2772),
    [sym_number_literal] = ACTIONS(2774),
    [anon_sym_L_SQUOTE] = ACTIONS(2774),
    [anon_sym_u_SQUOTE] = ACTIONS(2774),
    [anon_sym_U_SQUOTE] = ACTIONS(2774),
    [anon_sym_u8_SQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [anon_sym_L_DQUOTE] = ACTIONS(2774),
    [anon_sym_u_DQUOTE] = ACTIONS(2774),
    [anon_sym_U_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8_DQUOTE] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [anon_sym_NULL] = ACTIONS(2772),
    [anon_sym_nullptr] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2772),
    [anon_sym_decltype] = ACTIONS(2772),
    [anon_sym_explicit] = ACTIONS(2772),
    [anon_sym_typename] = ACTIONS(2772),
    [anon_sym_template] = ACTIONS(2772),
    [anon_sym_operator] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2772),
    [anon_sym_delete] = ACTIONS(2772),
    [anon_sym_throw] = ACTIONS(2772),
    [anon_sym_namespace] = ACTIONS(2772),
    [anon_sym_using] = ACTIONS(2772),
    [anon_sym_static_assert] = ACTIONS(2772),
    [anon_sym_concept] = ACTIONS(2772),
    [anon_sym_co_return] = ACTIONS(2772),
    [anon_sym_co_yield] = ACTIONS(2772),
    [anon_sym_R_DQUOTE] = ACTIONS(2774),
    [anon_sym_LR_DQUOTE] = ACTIONS(2774),
    [anon_sym_uR_DQUOTE] = ACTIONS(2774),
    [anon_sym_UR_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2774),
    [anon_sym_co_await] = ACTIONS(2772),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_requires] = ACTIONS(2772),
    [sym_this] = ACTIONS(2772),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_virtual] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym__Nonnull] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_else] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [anon_sym___asm] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(2754),
    [sym_identifier] = ACTIONS(2752),
    [aux_sym_preproc_include_token1] = ACTIONS(2752),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2752),
    [sym_preproc_directive] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym___based] = ACTIONS(2752),
    [anon_sym___cdecl] = ACTIONS(2752),
    [anon_sym___clrcall] = ACTIONS(2752),
    [anon_sym___stdcall] = ACTIONS(2752),
    [anon_sym___fastcall] = ACTIONS(2752),
    [anon_sym___thiscall] = ACTIONS(2752),
    [anon_sym___vectorcall] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_goto] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2752),
    [anon_sym___leave] = ACTIONS(2752),
    [anon_sym_not] = ACTIONS(2752),
    [anon_sym_compl] = ACTIONS(2752),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_sizeof] = ACTIONS(2752),
    [anon_sym___alignof__] = ACTIONS(2752),
    [anon_sym___alignof] = ACTIONS(2752),
    [anon_sym__alignof] = ACTIONS(2752),
    [anon_sym_alignof] = ACTIONS(2752),
    [anon_sym__Alignof] = ACTIONS(2752),
    [anon_sym_offsetof] = ACTIONS(2752),
    [anon_sym__Generic] = ACTIONS(2752),
    [anon_sym_asm] = ACTIONS(2752),
    [anon_sym___asm__] = ACTIONS(2752),
    [anon_sym___asm] = ACTIONS(2752),
    [sym_number_literal] = ACTIONS(2754),
    [anon_sym_L_SQUOTE] = ACTIONS(2754),
    [anon_sym_u_SQUOTE] = ACTIONS(2754),
    [anon_sym_U_SQUOTE] = ACTIONS(2754),
    [anon_sym_u8_SQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [anon_sym_L_DQUOTE] = ACTIONS(2754),
    [anon_sym_u_DQUOTE] = ACTIONS(2754),
    [anon_sym_U_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8_DQUOTE] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [anon_sym_NULL] = ACTIONS(2752),
    [anon_sym_nullptr] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_explicit] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_operator] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_static_assert] = ACTIONS(2752),
    [anon_sym_concept] = ACTIONS(2752),
    [anon_sym_co_return] = ACTIONS(2752),
    [anon_sym_co_yield] = ACTIONS(2752),
    [anon_sym_R_DQUOTE] = ACTIONS(2754),
    [anon_sym_LR_DQUOTE] = ACTIONS(2754),
    [anon_sym_uR_DQUOTE] = ACTIONS(2754),
    [anon_sym_UR_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2754),
    [anon_sym_co_await] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_requires] = ACTIONS(2752),
    [sym_this] = ACTIONS(2752),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2756),
    [aux_sym_preproc_include_token1] = ACTIONS(2756),
    [aux_sym_preproc_def_token1] = ACTIONS(2756),
    [aux_sym_preproc_if_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2756),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2756),
    [anon_sym_typedef] = ACTIONS(2756),
    [anon_sym_virtual] = ACTIONS(2756),
    [anon_sym_extern] = ACTIONS(2756),
    [anon_sym___attribute__] = ACTIONS(2756),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2756),
    [anon_sym___based] = ACTIONS(2756),
    [anon_sym___cdecl] = ACTIONS(2756),
    [anon_sym___clrcall] = ACTIONS(2756),
    [anon_sym___stdcall] = ACTIONS(2756),
    [anon_sym___fastcall] = ACTIONS(2756),
    [anon_sym___thiscall] = ACTIONS(2756),
    [anon_sym___vectorcall] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2756),
    [anon_sym_unsigned] = ACTIONS(2756),
    [anon_sym_long] = ACTIONS(2756),
    [anon_sym_short] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_register] = ACTIONS(2756),
    [anon_sym_inline] = ACTIONS(2756),
    [anon_sym___inline] = ACTIONS(2756),
    [anon_sym___inline__] = ACTIONS(2756),
    [anon_sym___forceinline] = ACTIONS(2756),
    [anon_sym_thread_local] = ACTIONS(2756),
    [anon_sym___thread] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_constexpr] = ACTIONS(2756),
    [anon_sym_volatile] = ACTIONS(2756),
    [anon_sym_restrict] = ACTIONS(2756),
    [anon_sym___restrict__] = ACTIONS(2756),
    [anon_sym__Atomic] = ACTIONS(2756),
    [anon_sym__Noreturn] = ACTIONS(2756),
    [anon_sym_noreturn] = ACTIONS(2756),
    [anon_sym__Nonnull] = ACTIONS(2756),
    [anon_sym_mutable] = ACTIONS(2756),
    [anon_sym_constinit] = ACTIONS(2756),
    [anon_sym_consteval] = ACTIONS(2756),
    [anon_sym_alignas] = ACTIONS(2756),
    [anon_sym__Alignas] = ACTIONS(2756),
    [sym_primitive_type] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_struct] = ACTIONS(2756),
    [anon_sym_union] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_case] = ACTIONS(2756),
    [anon_sym_default] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_goto] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2756),
    [anon_sym___leave] = ACTIONS(2756),
    [anon_sym_not] = ACTIONS(2756),
    [anon_sym_compl] = ACTIONS(2756),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2756),
    [anon_sym___alignof__] = ACTIONS(2756),
    [anon_sym___alignof] = ACTIONS(2756),
    [anon_sym__alignof] = ACTIONS(2756),
    [anon_sym_alignof] = ACTIONS(2756),
    [anon_sym__Alignof] = ACTIONS(2756),
    [anon_sym_offsetof] = ACTIONS(2756),
    [anon_sym__Generic] = ACTIONS(2756),
    [anon_sym_asm] = ACTIONS(2756),
    [anon_sym___asm__] = ACTIONS(2756),
    [anon_sym___asm] = ACTIONS(2756),
    [sym_number_literal] = ACTIONS(2758),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [anon_sym_NULL] = ACTIONS(2756),
    [anon_sym_nullptr] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2756),
    [anon_sym_decltype] = ACTIONS(2756),
    [anon_sym_explicit] = ACTIONS(2756),
    [anon_sym_typename] = ACTIONS(2756),
    [anon_sym_template] = ACTIONS(2756),
    [anon_sym_operator] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_namespace] = ACTIONS(2756),
    [anon_sym_using] = ACTIONS(2756),
    [anon_sym_static_assert] = ACTIONS(2756),
    [anon_sym_concept] = ACTIONS(2756),
    [anon_sym_co_return] = ACTIONS(2756),
    [anon_sym_co_yield] = ACTIONS(2756),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_requires] = ACTIONS(2756),
    [sym_this] = ACTIONS(2756),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(2676),
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_virtual] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___based] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_mutable] = ACTIONS(2674),
    [anon_sym_constinit] = ACTIONS(2674),
    [anon_sym_consteval] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym___leave] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_compl] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2674),
    [anon_sym_decltype] = ACTIONS(2674),
    [anon_sym_explicit] = ACTIONS(2674),
    [anon_sym_typename] = ACTIONS(2674),
    [anon_sym_template] = ACTIONS(2674),
    [anon_sym_operator] = ACTIONS(2674),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2674),
    [anon_sym_throw] = ACTIONS(2674),
    [anon_sym_namespace] = ACTIONS(2674),
    [anon_sym_using] = ACTIONS(2674),
    [anon_sym_static_assert] = ACTIONS(2674),
    [anon_sym_concept] = ACTIONS(2674),
    [anon_sym_co_return] = ACTIONS(2674),
    [anon_sym_co_yield] = ACTIONS(2674),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2674),
    [anon_sym_new] = ACTIONS(2674),
    [anon_sym_requires] = ACTIONS(2674),
    [sym_this] = ACTIONS(2674),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym__Nonnull] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [anon_sym___asm] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_virtual] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_RBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_else] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [anon_sym___asm] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_virtual] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym__Nonnull] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_else] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [anon_sym___asm] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(2730),
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_virtual] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym__Nonnull] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [anon_sym___asm] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2734),
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_RBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2764),
    [aux_sym_preproc_include_token1] = ACTIONS(2764),
    [aux_sym_preproc_def_token1] = ACTIONS(2764),
    [aux_sym_preproc_if_token1] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2764),
    [sym_preproc_directive] = ACTIONS(2764),
    [anon_sym_LPAREN2] = ACTIONS(2766),
    [anon_sym_BANG] = ACTIONS(2766),
    [anon_sym_TILDE] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym___extension__] = ACTIONS(2764),
    [anon_sym_typedef] = ACTIONS(2764),
    [anon_sym_virtual] = ACTIONS(2764),
    [anon_sym_extern] = ACTIONS(2764),
    [anon_sym___attribute__] = ACTIONS(2764),
    [anon_sym_COLON_COLON] = ACTIONS(2766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2766),
    [anon_sym___declspec] = ACTIONS(2764),
    [anon_sym___based] = ACTIONS(2764),
    [anon_sym___cdecl] = ACTIONS(2764),
    [anon_sym___clrcall] = ACTIONS(2764),
    [anon_sym___stdcall] = ACTIONS(2764),
    [anon_sym___fastcall] = ACTIONS(2764),
    [anon_sym___thiscall] = ACTIONS(2764),
    [anon_sym___vectorcall] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_RBRACE] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2764),
    [anon_sym_unsigned] = ACTIONS(2764),
    [anon_sym_long] = ACTIONS(2764),
    [anon_sym_short] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_register] = ACTIONS(2764),
    [anon_sym_inline] = ACTIONS(2764),
    [anon_sym___inline] = ACTIONS(2764),
    [anon_sym___inline__] = ACTIONS(2764),
    [anon_sym___forceinline] = ACTIONS(2764),
    [anon_sym_thread_local] = ACTIONS(2764),
    [anon_sym___thread] = ACTIONS(2764),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_constexpr] = ACTIONS(2764),
    [anon_sym_volatile] = ACTIONS(2764),
    [anon_sym_restrict] = ACTIONS(2764),
    [anon_sym___restrict__] = ACTIONS(2764),
    [anon_sym__Atomic] = ACTIONS(2764),
    [anon_sym__Noreturn] = ACTIONS(2764),
    [anon_sym_noreturn] = ACTIONS(2764),
    [anon_sym__Nonnull] = ACTIONS(2764),
    [anon_sym_mutable] = ACTIONS(2764),
    [anon_sym_constinit] = ACTIONS(2764),
    [anon_sym_consteval] = ACTIONS(2764),
    [anon_sym_alignas] = ACTIONS(2764),
    [anon_sym__Alignas] = ACTIONS(2764),
    [sym_primitive_type] = ACTIONS(2764),
    [anon_sym_enum] = ACTIONS(2764),
    [anon_sym_class] = ACTIONS(2764),
    [anon_sym_struct] = ACTIONS(2764),
    [anon_sym_union] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_else] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2764),
    [anon_sym_case] = ACTIONS(2764),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2764),
    [anon_sym_return] = ACTIONS(2764),
    [anon_sym_break] = ACTIONS(2764),
    [anon_sym_continue] = ACTIONS(2764),
    [anon_sym_goto] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2764),
    [anon_sym___leave] = ACTIONS(2764),
    [anon_sym_not] = ACTIONS(2764),
    [anon_sym_compl] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2766),
    [anon_sym_PLUS_PLUS] = ACTIONS(2766),
    [anon_sym_sizeof] = ACTIONS(2764),
    [anon_sym___alignof__] = ACTIONS(2764),
    [anon_sym___alignof] = ACTIONS(2764),
    [anon_sym__alignof] = ACTIONS(2764),
    [anon_sym_alignof] = ACTIONS(2764),
    [anon_sym__Alignof] = ACTIONS(2764),
    [anon_sym_offsetof] = ACTIONS(2764),
    [anon_sym__Generic] = ACTIONS(2764),
    [anon_sym_asm] = ACTIONS(2764),
    [anon_sym___asm__] = ACTIONS(2764),
    [anon_sym___asm] = ACTIONS(2764),
    [sym_number_literal] = ACTIONS(2766),
    [anon_sym_L_SQUOTE] = ACTIONS(2766),
    [anon_sym_u_SQUOTE] = ACTIONS(2766),
    [anon_sym_U_SQUOTE] = ACTIONS(2766),
    [anon_sym_u8_SQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [anon_sym_L_DQUOTE] = ACTIONS(2766),
    [anon_sym_u_DQUOTE] = ACTIONS(2766),
    [anon_sym_U_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8_DQUOTE] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [anon_sym_NULL] = ACTIONS(2764),
    [anon_sym_nullptr] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2764),
    [anon_sym_decltype] = ACTIONS(2764),
    [anon_sym_explicit] = ACTIONS(2764),
    [anon_sym_typename] = ACTIONS(2764),
    [anon_sym_template] = ACTIONS(2764),
    [anon_sym_operator] = ACTIONS(2764),
    [anon_sym_try] = ACTIONS(2764),
    [anon_sym_delete] = ACTIONS(2764),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_namespace] = ACTIONS(2764),
    [anon_sym_using] = ACTIONS(2764),
    [anon_sym_static_assert] = ACTIONS(2764),
    [anon_sym_concept] = ACTIONS(2764),
    [anon_sym_co_return] = ACTIONS(2764),
    [anon_sym_co_yield] = ACTIONS(2764),
    [anon_sym_R_DQUOTE] = ACTIONS(2766),
    [anon_sym_LR_DQUOTE] = ACTIONS(2766),
    [anon_sym_uR_DQUOTE] = ACTIONS(2766),
    [anon_sym_UR_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2766),
    [anon_sym_co_await] = ACTIONS(2764),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_requires] = ACTIONS(2764),
    [sym_this] = ACTIONS(2764),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2776),
    [aux_sym_preproc_include_token1] = ACTIONS(2776),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2776),
    [sym_preproc_directive] = ACTIONS(2776),
    [anon_sym_LPAREN2] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2778),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym___extension__] = ACTIONS(2776),
    [anon_sym_typedef] = ACTIONS(2776),
    [anon_sym_virtual] = ACTIONS(2776),
    [anon_sym_extern] = ACTIONS(2776),
    [anon_sym___attribute__] = ACTIONS(2776),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2776),
    [anon_sym___based] = ACTIONS(2776),
    [anon_sym___cdecl] = ACTIONS(2776),
    [anon_sym___clrcall] = ACTIONS(2776),
    [anon_sym___stdcall] = ACTIONS(2776),
    [anon_sym___fastcall] = ACTIONS(2776),
    [anon_sym___thiscall] = ACTIONS(2776),
    [anon_sym___vectorcall] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [anon_sym_signed] = ACTIONS(2776),
    [anon_sym_unsigned] = ACTIONS(2776),
    [anon_sym_long] = ACTIONS(2776),
    [anon_sym_short] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_register] = ACTIONS(2776),
    [anon_sym_inline] = ACTIONS(2776),
    [anon_sym___inline] = ACTIONS(2776),
    [anon_sym___inline__] = ACTIONS(2776),
    [anon_sym___forceinline] = ACTIONS(2776),
    [anon_sym_thread_local] = ACTIONS(2776),
    [anon_sym___thread] = ACTIONS(2776),
    [anon_sym_const] = ACTIONS(2776),
    [anon_sym_constexpr] = ACTIONS(2776),
    [anon_sym_volatile] = ACTIONS(2776),
    [anon_sym_restrict] = ACTIONS(2776),
    [anon_sym___restrict__] = ACTIONS(2776),
    [anon_sym__Atomic] = ACTIONS(2776),
    [anon_sym__Noreturn] = ACTIONS(2776),
    [anon_sym_noreturn] = ACTIONS(2776),
    [anon_sym__Nonnull] = ACTIONS(2776),
    [anon_sym_mutable] = ACTIONS(2776),
    [anon_sym_constinit] = ACTIONS(2776),
    [anon_sym_consteval] = ACTIONS(2776),
    [anon_sym_alignas] = ACTIONS(2776),
    [anon_sym__Alignas] = ACTIONS(2776),
    [sym_primitive_type] = ACTIONS(2776),
    [anon_sym_enum] = ACTIONS(2776),
    [anon_sym_class] = ACTIONS(2776),
    [anon_sym_struct] = ACTIONS(2776),
    [anon_sym_union] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2776),
    [anon_sym_else] = ACTIONS(2776),
    [anon_sym_switch] = ACTIONS(2776),
    [anon_sym_case] = ACTIONS(2776),
    [anon_sym_default] = ACTIONS(2776),
    [anon_sym_while] = ACTIONS(2776),
    [anon_sym_do] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2776),
    [anon_sym_goto] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2776),
    [anon_sym___leave] = ACTIONS(2776),
    [anon_sym_not] = ACTIONS(2776),
    [anon_sym_compl] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_sizeof] = ACTIONS(2776),
    [anon_sym___alignof__] = ACTIONS(2776),
    [anon_sym___alignof] = ACTIONS(2776),
    [anon_sym__alignof] = ACTIONS(2776),
    [anon_sym_alignof] = ACTIONS(2776),
    [anon_sym__Alignof] = ACTIONS(2776),
    [anon_sym_offsetof] = ACTIONS(2776),
    [anon_sym__Generic] = ACTIONS(2776),
    [anon_sym_asm] = ACTIONS(2776),
    [anon_sym___asm__] = ACTIONS(2776),
    [anon_sym___asm] = ACTIONS(2776),
    [sym_number_literal] = ACTIONS(2778),
    [anon_sym_L_SQUOTE] = ACTIONS(2778),
    [anon_sym_u_SQUOTE] = ACTIONS(2778),
    [anon_sym_U_SQUOTE] = ACTIONS(2778),
    [anon_sym_u8_SQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_L_DQUOTE] = ACTIONS(2778),
    [anon_sym_u_DQUOTE] = ACTIONS(2778),
    [anon_sym_U_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8_DQUOTE] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [anon_sym_NULL] = ACTIONS(2776),
    [anon_sym_nullptr] = ACTIONS(2776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2776),
    [anon_sym_decltype] = ACTIONS(2776),
    [anon_sym_explicit] = ACTIONS(2776),
    [anon_sym_typename] = ACTIONS(2776),
    [anon_sym_template] = ACTIONS(2776),
    [anon_sym_operator] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2776),
    [anon_sym_delete] = ACTIONS(2776),
    [anon_sym_throw] = ACTIONS(2776),
    [anon_sym_namespace] = ACTIONS(2776),
    [anon_sym_using] = ACTIONS(2776),
    [anon_sym_static_assert] = ACTIONS(2776),
    [anon_sym_concept] = ACTIONS(2776),
    [anon_sym_co_return] = ACTIONS(2776),
    [anon_sym_co_yield] = ACTIONS(2776),
    [anon_sym_R_DQUOTE] = ACTIONS(2778),
    [anon_sym_LR_DQUOTE] = ACTIONS(2778),
    [anon_sym_uR_DQUOTE] = ACTIONS(2778),
    [anon_sym_UR_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2778),
    [anon_sym_co_await] = ACTIONS(2776),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_requires] = ACTIONS(2776),
    [sym_this] = ACTIONS(2776),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2772),
    [aux_sym_preproc_include_token1] = ACTIONS(2772),
    [aux_sym_preproc_def_token1] = ACTIONS(2772),
    [aux_sym_preproc_if_token1] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2772),
    [sym_preproc_directive] = ACTIONS(2772),
    [anon_sym_LPAREN2] = ACTIONS(2774),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_AMP_AMP] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2772),
    [anon_sym_typedef] = ACTIONS(2772),
    [anon_sym_virtual] = ACTIONS(2772),
    [anon_sym_extern] = ACTIONS(2772),
    [anon_sym___attribute__] = ACTIONS(2772),
    [anon_sym_COLON_COLON] = ACTIONS(2774),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2774),
    [anon_sym___declspec] = ACTIONS(2772),
    [anon_sym___based] = ACTIONS(2772),
    [anon_sym___cdecl] = ACTIONS(2772),
    [anon_sym___clrcall] = ACTIONS(2772),
    [anon_sym___stdcall] = ACTIONS(2772),
    [anon_sym___fastcall] = ACTIONS(2772),
    [anon_sym___thiscall] = ACTIONS(2772),
    [anon_sym___vectorcall] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2772),
    [anon_sym_unsigned] = ACTIONS(2772),
    [anon_sym_long] = ACTIONS(2772),
    [anon_sym_short] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_register] = ACTIONS(2772),
    [anon_sym_inline] = ACTIONS(2772),
    [anon_sym___inline] = ACTIONS(2772),
    [anon_sym___inline__] = ACTIONS(2772),
    [anon_sym___forceinline] = ACTIONS(2772),
    [anon_sym_thread_local] = ACTIONS(2772),
    [anon_sym___thread] = ACTIONS(2772),
    [anon_sym_const] = ACTIONS(2772),
    [anon_sym_constexpr] = ACTIONS(2772),
    [anon_sym_volatile] = ACTIONS(2772),
    [anon_sym_restrict] = ACTIONS(2772),
    [anon_sym___restrict__] = ACTIONS(2772),
    [anon_sym__Atomic] = ACTIONS(2772),
    [anon_sym__Noreturn] = ACTIONS(2772),
    [anon_sym_noreturn] = ACTIONS(2772),
    [anon_sym__Nonnull] = ACTIONS(2772),
    [anon_sym_mutable] = ACTIONS(2772),
    [anon_sym_constinit] = ACTIONS(2772),
    [anon_sym_consteval] = ACTIONS(2772),
    [anon_sym_alignas] = ACTIONS(2772),
    [anon_sym__Alignas] = ACTIONS(2772),
    [sym_primitive_type] = ACTIONS(2772),
    [anon_sym_enum] = ACTIONS(2772),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_struct] = ACTIONS(2772),
    [anon_sym_union] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2772),
    [anon_sym_else] = ACTIONS(2772),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_case] = ACTIONS(2772),
    [anon_sym_default] = ACTIONS(2772),
    [anon_sym_while] = ACTIONS(2772),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_return] = ACTIONS(2772),
    [anon_sym_break] = ACTIONS(2772),
    [anon_sym_continue] = ACTIONS(2772),
    [anon_sym_goto] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2772),
    [anon_sym___leave] = ACTIONS(2772),
    [anon_sym_not] = ACTIONS(2772),
    [anon_sym_compl] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_sizeof] = ACTIONS(2772),
    [anon_sym___alignof__] = ACTIONS(2772),
    [anon_sym___alignof] = ACTIONS(2772),
    [anon_sym__alignof] = ACTIONS(2772),
    [anon_sym_alignof] = ACTIONS(2772),
    [anon_sym__Alignof] = ACTIONS(2772),
    [anon_sym_offsetof] = ACTIONS(2772),
    [anon_sym__Generic] = ACTIONS(2772),
    [anon_sym_asm] = ACTIONS(2772),
    [anon_sym___asm__] = ACTIONS(2772),
    [anon_sym___asm] = ACTIONS(2772),
    [sym_number_literal] = ACTIONS(2774),
    [anon_sym_L_SQUOTE] = ACTIONS(2774),
    [anon_sym_u_SQUOTE] = ACTIONS(2774),
    [anon_sym_U_SQUOTE] = ACTIONS(2774),
    [anon_sym_u8_SQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [anon_sym_L_DQUOTE] = ACTIONS(2774),
    [anon_sym_u_DQUOTE] = ACTIONS(2774),
    [anon_sym_U_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8_DQUOTE] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [anon_sym_NULL] = ACTIONS(2772),
    [anon_sym_nullptr] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2772),
    [anon_sym_decltype] = ACTIONS(2772),
    [anon_sym_explicit] = ACTIONS(2772),
    [anon_sym_typename] = ACTIONS(2772),
    [anon_sym_template] = ACTIONS(2772),
    [anon_sym_operator] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2772),
    [anon_sym_delete] = ACTIONS(2772),
    [anon_sym_throw] = ACTIONS(2772),
    [anon_sym_namespace] = ACTIONS(2772),
    [anon_sym_using] = ACTIONS(2772),
    [anon_sym_static_assert] = ACTIONS(2772),
    [anon_sym_concept] = ACTIONS(2772),
    [anon_sym_co_return] = ACTIONS(2772),
    [anon_sym_co_yield] = ACTIONS(2772),
    [anon_sym_R_DQUOTE] = ACTIONS(2774),
    [anon_sym_LR_DQUOTE] = ACTIONS(2774),
    [anon_sym_uR_DQUOTE] = ACTIONS(2774),
    [anon_sym_UR_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2774),
    [anon_sym_co_await] = ACTIONS(2772),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_requires] = ACTIONS(2772),
    [sym_this] = ACTIONS(2772),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_virtual] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym__Nonnull] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [anon_sym___asm] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_RBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_include_token1] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym___cdecl] = ACTIONS(2760),
    [anon_sym___clrcall] = ACTIONS(2760),
    [anon_sym___stdcall] = ACTIONS(2760),
    [anon_sym___fastcall] = ACTIONS(2760),
    [anon_sym___thiscall] = ACTIONS(2760),
    [anon_sym___vectorcall] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
    [anon_sym_concept] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [504] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(2660),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2768),
    [aux_sym_preproc_include_token1] = ACTIONS(2768),
    [aux_sym_preproc_def_token1] = ACTIONS(2768),
    [aux_sym_preproc_if_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2768),
    [sym_preproc_directive] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2770),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_AMP_AMP] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym___extension__] = ACTIONS(2768),
    [anon_sym_typedef] = ACTIONS(2768),
    [anon_sym_virtual] = ACTIONS(2768),
    [anon_sym_extern] = ACTIONS(2768),
    [anon_sym___attribute__] = ACTIONS(2768),
    [anon_sym_COLON_COLON] = ACTIONS(2770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2770),
    [anon_sym___declspec] = ACTIONS(2768),
    [anon_sym___based] = ACTIONS(2768),
    [anon_sym___cdecl] = ACTIONS(2768),
    [anon_sym___clrcall] = ACTIONS(2768),
    [anon_sym___stdcall] = ACTIONS(2768),
    [anon_sym___fastcall] = ACTIONS(2768),
    [anon_sym___thiscall] = ACTIONS(2768),
    [anon_sym___vectorcall] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_RBRACE] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2768),
    [anon_sym_unsigned] = ACTIONS(2768),
    [anon_sym_long] = ACTIONS(2768),
    [anon_sym_short] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_register] = ACTIONS(2768),
    [anon_sym_inline] = ACTIONS(2768),
    [anon_sym___inline] = ACTIONS(2768),
    [anon_sym___inline__] = ACTIONS(2768),
    [anon_sym___forceinline] = ACTIONS(2768),
    [anon_sym_thread_local] = ACTIONS(2768),
    [anon_sym___thread] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_constexpr] = ACTIONS(2768),
    [anon_sym_volatile] = ACTIONS(2768),
    [anon_sym_restrict] = ACTIONS(2768),
    [anon_sym___restrict__] = ACTIONS(2768),
    [anon_sym__Atomic] = ACTIONS(2768),
    [anon_sym__Noreturn] = ACTIONS(2768),
    [anon_sym_noreturn] = ACTIONS(2768),
    [anon_sym__Nonnull] = ACTIONS(2768),
    [anon_sym_mutable] = ACTIONS(2768),
    [anon_sym_constinit] = ACTIONS(2768),
    [anon_sym_consteval] = ACTIONS(2768),
    [anon_sym_alignas] = ACTIONS(2768),
    [anon_sym__Alignas] = ACTIONS(2768),
    [sym_primitive_type] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_struct] = ACTIONS(2768),
    [anon_sym_union] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_case] = ACTIONS(2768),
    [anon_sym_default] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_goto] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2768),
    [anon_sym___leave] = ACTIONS(2768),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_compl] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_sizeof] = ACTIONS(2768),
    [anon_sym___alignof__] = ACTIONS(2768),
    [anon_sym___alignof] = ACTIONS(2768),
    [anon_sym__alignof] = ACTIONS(2768),
    [anon_sym_alignof] = ACTIONS(2768),
    [anon_sym__Alignof] = ACTIONS(2768),
    [anon_sym_offsetof] = ACTIONS(2768),
    [anon_sym__Generic] = ACTIONS(2768),
    [anon_sym_asm] = ACTIONS(2768),
    [anon_sym___asm__] = ACTIONS(2768),
    [anon_sym___asm] = ACTIONS(2768),
    [sym_number_literal] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2770),
    [anon_sym_u_SQUOTE] = ACTIONS(2770),
    [anon_sym_U_SQUOTE] = ACTIONS(2770),
    [anon_sym_u8_SQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [anon_sym_L_DQUOTE] = ACTIONS(2770),
    [anon_sym_u_DQUOTE] = ACTIONS(2770),
    [anon_sym_U_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8_DQUOTE] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [anon_sym_NULL] = ACTIONS(2768),
    [anon_sym_nullptr] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2768),
    [anon_sym_decltype] = ACTIONS(2768),
    [anon_sym_explicit] = ACTIONS(2768),
    [anon_sym_typename] = ACTIONS(2768),
    [anon_sym_template] = ACTIONS(2768),
    [anon_sym_operator] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_namespace] = ACTIONS(2768),
    [anon_sym_using] = ACTIONS(2768),
    [anon_sym_static_assert] = ACTIONS(2768),
    [anon_sym_concept] = ACTIONS(2768),
    [anon_sym_co_return] = ACTIONS(2768),
    [anon_sym_co_yield] = ACTIONS(2768),
    [anon_sym_R_DQUOTE] = ACTIONS(2770),
    [anon_sym_LR_DQUOTE] = ACTIONS(2770),
    [anon_sym_uR_DQUOTE] = ACTIONS(2770),
    [anon_sym_UR_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2770),
    [anon_sym_co_await] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_requires] = ACTIONS(2768),
    [sym_this] = ACTIONS(2768),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_virtual] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym__Nonnull] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [anon_sym___asm] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [anon_sym___asm] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2586),
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_virtual] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_virtual] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym__Nonnull] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [anon_sym___asm] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_virtual] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___based] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_RBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_mutable] = ACTIONS(2682),
    [anon_sym_constinit] = ACTIONS(2682),
    [anon_sym_consteval] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym___leave] = ACTIONS(2682),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2682),
    [anon_sym_decltype] = ACTIONS(2682),
    [anon_sym_explicit] = ACTIONS(2682),
    [anon_sym_typename] = ACTIONS(2682),
    [anon_sym_template] = ACTIONS(2682),
    [anon_sym_operator] = ACTIONS(2682),
    [anon_sym_try] = ACTIONS(2682),
    [anon_sym_delete] = ACTIONS(2682),
    [anon_sym_throw] = ACTIONS(2682),
    [anon_sym_namespace] = ACTIONS(2682),
    [anon_sym_using] = ACTIONS(2682),
    [anon_sym_static_assert] = ACTIONS(2682),
    [anon_sym_concept] = ACTIONS(2682),
    [anon_sym_co_return] = ACTIONS(2682),
    [anon_sym_co_yield] = ACTIONS(2682),
    [anon_sym_R_DQUOTE] = ACTIONS(2684),
    [anon_sym_LR_DQUOTE] = ACTIONS(2684),
    [anon_sym_uR_DQUOTE] = ACTIONS(2684),
    [anon_sym_UR_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2684),
    [anon_sym_co_await] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2682),
    [anon_sym_requires] = ACTIONS(2682),
    [sym_this] = ACTIONS(2682),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_virtual] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2752),
    [aux_sym_preproc_include_token1] = ACTIONS(2752),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2752),
    [sym_preproc_directive] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym___based] = ACTIONS(2752),
    [anon_sym___cdecl] = ACTIONS(2752),
    [anon_sym___clrcall] = ACTIONS(2752),
    [anon_sym___stdcall] = ACTIONS(2752),
    [anon_sym___fastcall] = ACTIONS(2752),
    [anon_sym___thiscall] = ACTIONS(2752),
    [anon_sym___vectorcall] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_goto] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2752),
    [anon_sym___leave] = ACTIONS(2752),
    [anon_sym_not] = ACTIONS(2752),
    [anon_sym_compl] = ACTIONS(2752),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_sizeof] = ACTIONS(2752),
    [anon_sym___alignof__] = ACTIONS(2752),
    [anon_sym___alignof] = ACTIONS(2752),
    [anon_sym__alignof] = ACTIONS(2752),
    [anon_sym_alignof] = ACTIONS(2752),
    [anon_sym__Alignof] = ACTIONS(2752),
    [anon_sym_offsetof] = ACTIONS(2752),
    [anon_sym__Generic] = ACTIONS(2752),
    [anon_sym_asm] = ACTIONS(2752),
    [anon_sym___asm__] = ACTIONS(2752),
    [anon_sym___asm] = ACTIONS(2752),
    [sym_number_literal] = ACTIONS(2754),
    [anon_sym_L_SQUOTE] = ACTIONS(2754),
    [anon_sym_u_SQUOTE] = ACTIONS(2754),
    [anon_sym_U_SQUOTE] = ACTIONS(2754),
    [anon_sym_u8_SQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [anon_sym_L_DQUOTE] = ACTIONS(2754),
    [anon_sym_u_DQUOTE] = ACTIONS(2754),
    [anon_sym_U_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8_DQUOTE] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [anon_sym_NULL] = ACTIONS(2752),
    [anon_sym_nullptr] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_explicit] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_operator] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_static_assert] = ACTIONS(2752),
    [anon_sym_concept] = ACTIONS(2752),
    [anon_sym_co_return] = ACTIONS(2752),
    [anon_sym_co_yield] = ACTIONS(2752),
    [anon_sym_R_DQUOTE] = ACTIONS(2754),
    [anon_sym_LR_DQUOTE] = ACTIONS(2754),
    [anon_sym_uR_DQUOTE] = ACTIONS(2754),
    [anon_sym_UR_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2754),
    [anon_sym_co_await] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_requires] = ACTIONS(2752),
    [sym_this] = ACTIONS(2752),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(2758),
    [sym_identifier] = ACTIONS(2756),
    [aux_sym_preproc_include_token1] = ACTIONS(2756),
    [aux_sym_preproc_def_token1] = ACTIONS(2756),
    [aux_sym_preproc_if_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2756),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2756),
    [anon_sym_typedef] = ACTIONS(2756),
    [anon_sym_virtual] = ACTIONS(2756),
    [anon_sym_extern] = ACTIONS(2756),
    [anon_sym___attribute__] = ACTIONS(2756),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2756),
    [anon_sym___based] = ACTIONS(2756),
    [anon_sym___cdecl] = ACTIONS(2756),
    [anon_sym___clrcall] = ACTIONS(2756),
    [anon_sym___stdcall] = ACTIONS(2756),
    [anon_sym___fastcall] = ACTIONS(2756),
    [anon_sym___thiscall] = ACTIONS(2756),
    [anon_sym___vectorcall] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2756),
    [anon_sym_unsigned] = ACTIONS(2756),
    [anon_sym_long] = ACTIONS(2756),
    [anon_sym_short] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_register] = ACTIONS(2756),
    [anon_sym_inline] = ACTIONS(2756),
    [anon_sym___inline] = ACTIONS(2756),
    [anon_sym___inline__] = ACTIONS(2756),
    [anon_sym___forceinline] = ACTIONS(2756),
    [anon_sym_thread_local] = ACTIONS(2756),
    [anon_sym___thread] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_constexpr] = ACTIONS(2756),
    [anon_sym_volatile] = ACTIONS(2756),
    [anon_sym_restrict] = ACTIONS(2756),
    [anon_sym___restrict__] = ACTIONS(2756),
    [anon_sym__Atomic] = ACTIONS(2756),
    [anon_sym__Noreturn] = ACTIONS(2756),
    [anon_sym_noreturn] = ACTIONS(2756),
    [anon_sym__Nonnull] = ACTIONS(2756),
    [anon_sym_mutable] = ACTIONS(2756),
    [anon_sym_constinit] = ACTIONS(2756),
    [anon_sym_consteval] = ACTIONS(2756),
    [anon_sym_alignas] = ACTIONS(2756),
    [anon_sym__Alignas] = ACTIONS(2756),
    [sym_primitive_type] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_struct] = ACTIONS(2756),
    [anon_sym_union] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_case] = ACTIONS(2756),
    [anon_sym_default] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_goto] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2756),
    [anon_sym___leave] = ACTIONS(2756),
    [anon_sym_not] = ACTIONS(2756),
    [anon_sym_compl] = ACTIONS(2756),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2756),
    [anon_sym___alignof__] = ACTIONS(2756),
    [anon_sym___alignof] = ACTIONS(2756),
    [anon_sym__alignof] = ACTIONS(2756),
    [anon_sym_alignof] = ACTIONS(2756),
    [anon_sym__Alignof] = ACTIONS(2756),
    [anon_sym_offsetof] = ACTIONS(2756),
    [anon_sym__Generic] = ACTIONS(2756),
    [anon_sym_asm] = ACTIONS(2756),
    [anon_sym___asm__] = ACTIONS(2756),
    [anon_sym___asm] = ACTIONS(2756),
    [sym_number_literal] = ACTIONS(2758),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [anon_sym_NULL] = ACTIONS(2756),
    [anon_sym_nullptr] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2756),
    [anon_sym_decltype] = ACTIONS(2756),
    [anon_sym_explicit] = ACTIONS(2756),
    [anon_sym_typename] = ACTIONS(2756),
    [anon_sym_template] = ACTIONS(2756),
    [anon_sym_operator] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_namespace] = ACTIONS(2756),
    [anon_sym_using] = ACTIONS(2756),
    [anon_sym_static_assert] = ACTIONS(2756),
    [anon_sym_concept] = ACTIONS(2756),
    [anon_sym_co_return] = ACTIONS(2756),
    [anon_sym_co_yield] = ACTIONS(2756),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_requires] = ACTIONS(2756),
    [sym_this] = ACTIONS(2756),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(2806),
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(2690),
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym__Nonnull] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [anon_sym___asm] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(2766),
    [sym_identifier] = ACTIONS(2764),
    [aux_sym_preproc_include_token1] = ACTIONS(2764),
    [aux_sym_preproc_def_token1] = ACTIONS(2764),
    [aux_sym_preproc_if_token1] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2764),
    [sym_preproc_directive] = ACTIONS(2764),
    [anon_sym_LPAREN2] = ACTIONS(2766),
    [anon_sym_BANG] = ACTIONS(2766),
    [anon_sym_TILDE] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_AMP_AMP] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym___extension__] = ACTIONS(2764),
    [anon_sym_typedef] = ACTIONS(2764),
    [anon_sym_virtual] = ACTIONS(2764),
    [anon_sym_extern] = ACTIONS(2764),
    [anon_sym___attribute__] = ACTIONS(2764),
    [anon_sym_COLON_COLON] = ACTIONS(2766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2766),
    [anon_sym___declspec] = ACTIONS(2764),
    [anon_sym___based] = ACTIONS(2764),
    [anon_sym___cdecl] = ACTIONS(2764),
    [anon_sym___clrcall] = ACTIONS(2764),
    [anon_sym___stdcall] = ACTIONS(2764),
    [anon_sym___fastcall] = ACTIONS(2764),
    [anon_sym___thiscall] = ACTIONS(2764),
    [anon_sym___vectorcall] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2764),
    [anon_sym_unsigned] = ACTIONS(2764),
    [anon_sym_long] = ACTIONS(2764),
    [anon_sym_short] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_register] = ACTIONS(2764),
    [anon_sym_inline] = ACTIONS(2764),
    [anon_sym___inline] = ACTIONS(2764),
    [anon_sym___inline__] = ACTIONS(2764),
    [anon_sym___forceinline] = ACTIONS(2764),
    [anon_sym_thread_local] = ACTIONS(2764),
    [anon_sym___thread] = ACTIONS(2764),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_constexpr] = ACTIONS(2764),
    [anon_sym_volatile] = ACTIONS(2764),
    [anon_sym_restrict] = ACTIONS(2764),
    [anon_sym___restrict__] = ACTIONS(2764),
    [anon_sym__Atomic] = ACTIONS(2764),
    [anon_sym__Noreturn] = ACTIONS(2764),
    [anon_sym_noreturn] = ACTIONS(2764),
    [anon_sym__Nonnull] = ACTIONS(2764),
    [anon_sym_mutable] = ACTIONS(2764),
    [anon_sym_constinit] = ACTIONS(2764),
    [anon_sym_consteval] = ACTIONS(2764),
    [anon_sym_alignas] = ACTIONS(2764),
    [anon_sym__Alignas] = ACTIONS(2764),
    [sym_primitive_type] = ACTIONS(2764),
    [anon_sym_enum] = ACTIONS(2764),
    [anon_sym_class] = ACTIONS(2764),
    [anon_sym_struct] = ACTIONS(2764),
    [anon_sym_union] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_else] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2764),
    [anon_sym_case] = ACTIONS(2764),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2764),
    [anon_sym_return] = ACTIONS(2764),
    [anon_sym_break] = ACTIONS(2764),
    [anon_sym_continue] = ACTIONS(2764),
    [anon_sym_goto] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2764),
    [anon_sym___leave] = ACTIONS(2764),
    [anon_sym_not] = ACTIONS(2764),
    [anon_sym_compl] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2766),
    [anon_sym_PLUS_PLUS] = ACTIONS(2766),
    [anon_sym_sizeof] = ACTIONS(2764),
    [anon_sym___alignof__] = ACTIONS(2764),
    [anon_sym___alignof] = ACTIONS(2764),
    [anon_sym__alignof] = ACTIONS(2764),
    [anon_sym_alignof] = ACTIONS(2764),
    [anon_sym__Alignof] = ACTIONS(2764),
    [anon_sym_offsetof] = ACTIONS(2764),
    [anon_sym__Generic] = ACTIONS(2764),
    [anon_sym_asm] = ACTIONS(2764),
    [anon_sym___asm__] = ACTIONS(2764),
    [anon_sym___asm] = ACTIONS(2764),
    [sym_number_literal] = ACTIONS(2766),
    [anon_sym_L_SQUOTE] = ACTIONS(2766),
    [anon_sym_u_SQUOTE] = ACTIONS(2766),
    [anon_sym_U_SQUOTE] = ACTIONS(2766),
    [anon_sym_u8_SQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [anon_sym_L_DQUOTE] = ACTIONS(2766),
    [anon_sym_u_DQUOTE] = ACTIONS(2766),
    [anon_sym_U_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8_DQUOTE] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [anon_sym_NULL] = ACTIONS(2764),
    [anon_sym_nullptr] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2764),
    [anon_sym_decltype] = ACTIONS(2764),
    [anon_sym_explicit] = ACTIONS(2764),
    [anon_sym_typename] = ACTIONS(2764),
    [anon_sym_template] = ACTIONS(2764),
    [anon_sym_operator] = ACTIONS(2764),
    [anon_sym_try] = ACTIONS(2764),
    [anon_sym_delete] = ACTIONS(2764),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_namespace] = ACTIONS(2764),
    [anon_sym_using] = ACTIONS(2764),
    [anon_sym_static_assert] = ACTIONS(2764),
    [anon_sym_concept] = ACTIONS(2764),
    [anon_sym_co_return] = ACTIONS(2764),
    [anon_sym_co_yield] = ACTIONS(2764),
    [anon_sym_R_DQUOTE] = ACTIONS(2766),
    [anon_sym_LR_DQUOTE] = ACTIONS(2766),
    [anon_sym_uR_DQUOTE] = ACTIONS(2766),
    [anon_sym_UR_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2766),
    [anon_sym_co_await] = ACTIONS(2764),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_requires] = ACTIONS(2764),
    [sym_this] = ACTIONS(2764),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(2694),
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_virtual] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_else] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [anon_sym___asm] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(2698),
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2582),
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(2778),
    [sym_identifier] = ACTIONS(2776),
    [aux_sym_preproc_include_token1] = ACTIONS(2776),
    [aux_sym_preproc_def_token1] = ACTIONS(2776),
    [aux_sym_preproc_if_token1] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2776),
    [sym_preproc_directive] = ACTIONS(2776),
    [anon_sym_LPAREN2] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2778),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym___extension__] = ACTIONS(2776),
    [anon_sym_typedef] = ACTIONS(2776),
    [anon_sym_virtual] = ACTIONS(2776),
    [anon_sym_extern] = ACTIONS(2776),
    [anon_sym___attribute__] = ACTIONS(2776),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2776),
    [anon_sym___based] = ACTIONS(2776),
    [anon_sym___cdecl] = ACTIONS(2776),
    [anon_sym___clrcall] = ACTIONS(2776),
    [anon_sym___stdcall] = ACTIONS(2776),
    [anon_sym___fastcall] = ACTIONS(2776),
    [anon_sym___thiscall] = ACTIONS(2776),
    [anon_sym___vectorcall] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_signed] = ACTIONS(2776),
    [anon_sym_unsigned] = ACTIONS(2776),
    [anon_sym_long] = ACTIONS(2776),
    [anon_sym_short] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_register] = ACTIONS(2776),
    [anon_sym_inline] = ACTIONS(2776),
    [anon_sym___inline] = ACTIONS(2776),
    [anon_sym___inline__] = ACTIONS(2776),
    [anon_sym___forceinline] = ACTIONS(2776),
    [anon_sym_thread_local] = ACTIONS(2776),
    [anon_sym___thread] = ACTIONS(2776),
    [anon_sym_const] = ACTIONS(2776),
    [anon_sym_constexpr] = ACTIONS(2776),
    [anon_sym_volatile] = ACTIONS(2776),
    [anon_sym_restrict] = ACTIONS(2776),
    [anon_sym___restrict__] = ACTIONS(2776),
    [anon_sym__Atomic] = ACTIONS(2776),
    [anon_sym__Noreturn] = ACTIONS(2776),
    [anon_sym_noreturn] = ACTIONS(2776),
    [anon_sym__Nonnull] = ACTIONS(2776),
    [anon_sym_mutable] = ACTIONS(2776),
    [anon_sym_constinit] = ACTIONS(2776),
    [anon_sym_consteval] = ACTIONS(2776),
    [anon_sym_alignas] = ACTIONS(2776),
    [anon_sym__Alignas] = ACTIONS(2776),
    [sym_primitive_type] = ACTIONS(2776),
    [anon_sym_enum] = ACTIONS(2776),
    [anon_sym_class] = ACTIONS(2776),
    [anon_sym_struct] = ACTIONS(2776),
    [anon_sym_union] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2776),
    [anon_sym_else] = ACTIONS(2776),
    [anon_sym_switch] = ACTIONS(2776),
    [anon_sym_case] = ACTIONS(2776),
    [anon_sym_default] = ACTIONS(2776),
    [anon_sym_while] = ACTIONS(2776),
    [anon_sym_do] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2776),
    [anon_sym_goto] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2776),
    [anon_sym___leave] = ACTIONS(2776),
    [anon_sym_not] = ACTIONS(2776),
    [anon_sym_compl] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_sizeof] = ACTIONS(2776),
    [anon_sym___alignof__] = ACTIONS(2776),
    [anon_sym___alignof] = ACTIONS(2776),
    [anon_sym__alignof] = ACTIONS(2776),
    [anon_sym_alignof] = ACTIONS(2776),
    [anon_sym__Alignof] = ACTIONS(2776),
    [anon_sym_offsetof] = ACTIONS(2776),
    [anon_sym__Generic] = ACTIONS(2776),
    [anon_sym_asm] = ACTIONS(2776),
    [anon_sym___asm__] = ACTIONS(2776),
    [anon_sym___asm] = ACTIONS(2776),
    [sym_number_literal] = ACTIONS(2778),
    [anon_sym_L_SQUOTE] = ACTIONS(2778),
    [anon_sym_u_SQUOTE] = ACTIONS(2778),
    [anon_sym_U_SQUOTE] = ACTIONS(2778),
    [anon_sym_u8_SQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_L_DQUOTE] = ACTIONS(2778),
    [anon_sym_u_DQUOTE] = ACTIONS(2778),
    [anon_sym_U_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8_DQUOTE] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [anon_sym_NULL] = ACTIONS(2776),
    [anon_sym_nullptr] = ACTIONS(2776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2776),
    [anon_sym_decltype] = ACTIONS(2776),
    [anon_sym_explicit] = ACTIONS(2776),
    [anon_sym_typename] = ACTIONS(2776),
    [anon_sym_template] = ACTIONS(2776),
    [anon_sym_operator] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2776),
    [anon_sym_delete] = ACTIONS(2776),
    [anon_sym_throw] = ACTIONS(2776),
    [anon_sym_namespace] = ACTIONS(2776),
    [anon_sym_using] = ACTIONS(2776),
    [anon_sym_static_assert] = ACTIONS(2776),
    [anon_sym_concept] = ACTIONS(2776),
    [anon_sym_co_return] = ACTIONS(2776),
    [anon_sym_co_yield] = ACTIONS(2776),
    [anon_sym_R_DQUOTE] = ACTIONS(2778),
    [anon_sym_LR_DQUOTE] = ACTIONS(2778),
    [anon_sym_uR_DQUOTE] = ACTIONS(2778),
    [anon_sym_UR_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2778),
    [anon_sym_co_await] = ACTIONS(2776),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_requires] = ACTIONS(2776),
    [sym_this] = ACTIONS(2776),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(2788),
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2752),
    [aux_sym_preproc_include_token1] = ACTIONS(2752),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token2] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2752),
    [sym_preproc_directive] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym___based] = ACTIONS(2752),
    [anon_sym___cdecl] = ACTIONS(2752),
    [anon_sym___clrcall] = ACTIONS(2752),
    [anon_sym___stdcall] = ACTIONS(2752),
    [anon_sym___fastcall] = ACTIONS(2752),
    [anon_sym___thiscall] = ACTIONS(2752),
    [anon_sym___vectorcall] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_goto] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2752),
    [anon_sym___leave] = ACTIONS(2752),
    [anon_sym_not] = ACTIONS(2752),
    [anon_sym_compl] = ACTIONS(2752),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_sizeof] = ACTIONS(2752),
    [anon_sym___alignof__] = ACTIONS(2752),
    [anon_sym___alignof] = ACTIONS(2752),
    [anon_sym__alignof] = ACTIONS(2752),
    [anon_sym_alignof] = ACTIONS(2752),
    [anon_sym__Alignof] = ACTIONS(2752),
    [anon_sym_offsetof] = ACTIONS(2752),
    [anon_sym__Generic] = ACTIONS(2752),
    [anon_sym_asm] = ACTIONS(2752),
    [anon_sym___asm__] = ACTIONS(2752),
    [anon_sym___asm] = ACTIONS(2752),
    [sym_number_literal] = ACTIONS(2754),
    [anon_sym_L_SQUOTE] = ACTIONS(2754),
    [anon_sym_u_SQUOTE] = ACTIONS(2754),
    [anon_sym_U_SQUOTE] = ACTIONS(2754),
    [anon_sym_u8_SQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [anon_sym_L_DQUOTE] = ACTIONS(2754),
    [anon_sym_u_DQUOTE] = ACTIONS(2754),
    [anon_sym_U_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8_DQUOTE] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [anon_sym_NULL] = ACTIONS(2752),
    [anon_sym_nullptr] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_explicit] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_operator] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_static_assert] = ACTIONS(2752),
    [anon_sym_concept] = ACTIONS(2752),
    [anon_sym_co_return] = ACTIONS(2752),
    [anon_sym_co_yield] = ACTIONS(2752),
    [anon_sym_R_DQUOTE] = ACTIONS(2754),
    [anon_sym_LR_DQUOTE] = ACTIONS(2754),
    [anon_sym_uR_DQUOTE] = ACTIONS(2754),
    [anon_sym_UR_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2754),
    [anon_sym_co_await] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_requires] = ACTIONS(2752),
    [sym_this] = ACTIONS(2752),
  },
  [532] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_RBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym__Nonnull] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym__Alignas] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [anon_sym___asm] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym__Nonnull] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [anon_sym___asm] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [sym_primitive_type] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [sym_number_literal] = ACTIONS(2890),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [540] = {
    [sym_identifier] = ACTIONS(3057),
    [aux_sym_preproc_include_token1] = ACTIONS(3057),
    [aux_sym_preproc_def_token1] = ACTIONS(3057),
    [aux_sym_preproc_if_token1] = ACTIONS(3057),
    [aux_sym_preproc_if_token2] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3057),
    [sym_preproc_directive] = ACTIONS(3057),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_BANG] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3059),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_SEMI] = ACTIONS(3059),
    [anon_sym___extension__] = ACTIONS(3057),
    [anon_sym_typedef] = ACTIONS(3057),
    [anon_sym_virtual] = ACTIONS(3057),
    [anon_sym_extern] = ACTIONS(3057),
    [anon_sym___attribute__] = ACTIONS(3057),
    [anon_sym_COLON_COLON] = ACTIONS(3059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3059),
    [anon_sym___declspec] = ACTIONS(3057),
    [anon_sym___based] = ACTIONS(3057),
    [anon_sym___cdecl] = ACTIONS(3057),
    [anon_sym___clrcall] = ACTIONS(3057),
    [anon_sym___stdcall] = ACTIONS(3057),
    [anon_sym___fastcall] = ACTIONS(3057),
    [anon_sym___thiscall] = ACTIONS(3057),
    [anon_sym___vectorcall] = ACTIONS(3057),
    [anon_sym_LBRACE] = ACTIONS(3059),
    [anon_sym_signed] = ACTIONS(3057),
    [anon_sym_unsigned] = ACTIONS(3057),
    [anon_sym_long] = ACTIONS(3057),
    [anon_sym_short] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_register] = ACTIONS(3057),
    [anon_sym_inline] = ACTIONS(3057),
    [anon_sym___inline] = ACTIONS(3057),
    [anon_sym___inline__] = ACTIONS(3057),
    [anon_sym___forceinline] = ACTIONS(3057),
    [anon_sym_thread_local] = ACTIONS(3057),
    [anon_sym___thread] = ACTIONS(3057),
    [anon_sym_const] = ACTIONS(3057),
    [anon_sym_constexpr] = ACTIONS(3057),
    [anon_sym_volatile] = ACTIONS(3057),
    [anon_sym_restrict] = ACTIONS(3057),
    [anon_sym___restrict__] = ACTIONS(3057),
    [anon_sym__Atomic] = ACTIONS(3057),
    [anon_sym__Noreturn] = ACTIONS(3057),
    [anon_sym_noreturn] = ACTIONS(3057),
    [anon_sym__Nonnull] = ACTIONS(3057),
    [anon_sym_mutable] = ACTIONS(3057),
    [anon_sym_constinit] = ACTIONS(3057),
    [anon_sym_consteval] = ACTIONS(3057),
    [anon_sym_alignas] = ACTIONS(3057),
    [anon_sym__Alignas] = ACTIONS(3057),
    [sym_primitive_type] = ACTIONS(3057),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3057),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3057),
    [anon_sym_if] = ACTIONS(3057),
    [anon_sym_switch] = ACTIONS(3057),
    [anon_sym_case] = ACTIONS(3057),
    [anon_sym_default] = ACTIONS(3057),
    [anon_sym_while] = ACTIONS(3057),
    [anon_sym_do] = ACTIONS(3057),
    [anon_sym_for] = ACTIONS(3057),
    [anon_sym_return] = ACTIONS(3057),
    [anon_sym_break] = ACTIONS(3057),
    [anon_sym_continue] = ACTIONS(3057),
    [anon_sym_goto] = ACTIONS(3057),
    [anon_sym___try] = ACTIONS(3057),
    [anon_sym___leave] = ACTIONS(3057),
    [anon_sym_not] = ACTIONS(3057),
    [anon_sym_compl] = ACTIONS(3057),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_sizeof] = ACTIONS(3057),
    [anon_sym___alignof__] = ACTIONS(3057),
    [anon_sym___alignof] = ACTIONS(3057),
    [anon_sym__alignof] = ACTIONS(3057),
    [anon_sym_alignof] = ACTIONS(3057),
    [anon_sym__Alignof] = ACTIONS(3057),
    [anon_sym_offsetof] = ACTIONS(3057),
    [anon_sym__Generic] = ACTIONS(3057),
    [anon_sym_asm] = ACTIONS(3057),
    [anon_sym___asm__] = ACTIONS(3057),
    [anon_sym___asm] = ACTIONS(3057),
    [sym_number_literal] = ACTIONS(3059),
    [anon_sym_L_SQUOTE] = ACTIONS(3059),
    [anon_sym_u_SQUOTE] = ACTIONS(3059),
    [anon_sym_U_SQUOTE] = ACTIONS(3059),
    [anon_sym_u8_SQUOTE] = ACTIONS(3059),
    [anon_sym_SQUOTE] = ACTIONS(3059),
    [anon_sym_L_DQUOTE] = ACTIONS(3059),
    [anon_sym_u_DQUOTE] = ACTIONS(3059),
    [anon_sym_U_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8_DQUOTE] = ACTIONS(3059),
    [anon_sym_DQUOTE] = ACTIONS(3059),
    [sym_true] = ACTIONS(3057),
    [sym_false] = ACTIONS(3057),
    [anon_sym_NULL] = ACTIONS(3057),
    [anon_sym_nullptr] = ACTIONS(3057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3057),
    [anon_sym_decltype] = ACTIONS(3057),
    [anon_sym_explicit] = ACTIONS(3057),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3057),
    [anon_sym_operator] = ACTIONS(3057),
    [anon_sym_try] = ACTIONS(3057),
    [anon_sym_delete] = ACTIONS(3057),
    [anon_sym_throw] = ACTIONS(3057),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3057),
    [anon_sym_static_assert] = ACTIONS(3057),
    [anon_sym_concept] = ACTIONS(3057),
    [anon_sym_co_return] = ACTIONS(3057),
    [anon_sym_co_yield] = ACTIONS(3057),
    [anon_sym_R_DQUOTE] = ACTIONS(3059),
    [anon_sym_LR_DQUOTE] = ACTIONS(3059),
    [anon_sym_uR_DQUOTE] = ACTIONS(3059),
    [anon_sym_UR_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3059),
    [anon_sym_co_await] = ACTIONS(3057),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_requires] = ACTIONS(3057),
    [sym_this] = ACTIONS(3057),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym__Nonnull] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym__Alignas] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [anon_sym___asm] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3087),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym__Nonnull] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym__Alignas] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym___try] = ACTIONS(3085),
    [anon_sym___leave] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [anon_sym___asm] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token2] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym___try] = ACTIONS(3131),
    [anon_sym___leave] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token2] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym___try] = ACTIONS(3135),
    [anon_sym___leave] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3163),
    [aux_sym_preproc_include_token1] = ACTIONS(3163),
    [aux_sym_preproc_def_token1] = ACTIONS(3163),
    [aux_sym_preproc_if_token1] = ACTIONS(3163),
    [aux_sym_preproc_if_token2] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3163),
    [sym_preproc_directive] = ACTIONS(3163),
    [anon_sym_LPAREN2] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_STAR] = ACTIONS(3165),
    [anon_sym_AMP_AMP] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3165),
    [anon_sym___extension__] = ACTIONS(3163),
    [anon_sym_typedef] = ACTIONS(3163),
    [anon_sym_virtual] = ACTIONS(3163),
    [anon_sym_extern] = ACTIONS(3163),
    [anon_sym___attribute__] = ACTIONS(3163),
    [anon_sym_COLON_COLON] = ACTIONS(3165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3165),
    [anon_sym___declspec] = ACTIONS(3163),
    [anon_sym___based] = ACTIONS(3163),
    [anon_sym___cdecl] = ACTIONS(3163),
    [anon_sym___clrcall] = ACTIONS(3163),
    [anon_sym___stdcall] = ACTIONS(3163),
    [anon_sym___fastcall] = ACTIONS(3163),
    [anon_sym___thiscall] = ACTIONS(3163),
    [anon_sym___vectorcall] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3165),
    [anon_sym_signed] = ACTIONS(3163),
    [anon_sym_unsigned] = ACTIONS(3163),
    [anon_sym_long] = ACTIONS(3163),
    [anon_sym_short] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_register] = ACTIONS(3163),
    [anon_sym_inline] = ACTIONS(3163),
    [anon_sym___inline] = ACTIONS(3163),
    [anon_sym___inline__] = ACTIONS(3163),
    [anon_sym___forceinline] = ACTIONS(3163),
    [anon_sym_thread_local] = ACTIONS(3163),
    [anon_sym___thread] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_constexpr] = ACTIONS(3163),
    [anon_sym_volatile] = ACTIONS(3163),
    [anon_sym_restrict] = ACTIONS(3163),
    [anon_sym___restrict__] = ACTIONS(3163),
    [anon_sym__Atomic] = ACTIONS(3163),
    [anon_sym__Noreturn] = ACTIONS(3163),
    [anon_sym_noreturn] = ACTIONS(3163),
    [anon_sym__Nonnull] = ACTIONS(3163),
    [anon_sym_mutable] = ACTIONS(3163),
    [anon_sym_constinit] = ACTIONS(3163),
    [anon_sym_consteval] = ACTIONS(3163),
    [anon_sym_alignas] = ACTIONS(3163),
    [anon_sym__Alignas] = ACTIONS(3163),
    [sym_primitive_type] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_struct] = ACTIONS(3163),
    [anon_sym_union] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_case] = ACTIONS(3163),
    [anon_sym_default] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_goto] = ACTIONS(3163),
    [anon_sym___try] = ACTIONS(3163),
    [anon_sym___leave] = ACTIONS(3163),
    [anon_sym_not] = ACTIONS(3163),
    [anon_sym_compl] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3165),
    [anon_sym_PLUS_PLUS] = ACTIONS(3165),
    [anon_sym_sizeof] = ACTIONS(3163),
    [anon_sym___alignof__] = ACTIONS(3163),
    [anon_sym___alignof] = ACTIONS(3163),
    [anon_sym__alignof] = ACTIONS(3163),
    [anon_sym_alignof] = ACTIONS(3163),
    [anon_sym__Alignof] = ACTIONS(3163),
    [anon_sym_offsetof] = ACTIONS(3163),
    [anon_sym__Generic] = ACTIONS(3163),
    [anon_sym_asm] = ACTIONS(3163),
    [anon_sym___asm__] = ACTIONS(3163),
    [anon_sym___asm] = ACTIONS(3163),
    [sym_number_literal] = ACTIONS(3165),
    [anon_sym_L_SQUOTE] = ACTIONS(3165),
    [anon_sym_u_SQUOTE] = ACTIONS(3165),
    [anon_sym_U_SQUOTE] = ACTIONS(3165),
    [anon_sym_u8_SQUOTE] = ACTIONS(3165),
    [anon_sym_SQUOTE] = ACTIONS(3165),
    [anon_sym_L_DQUOTE] = ACTIONS(3165),
    [anon_sym_u_DQUOTE] = ACTIONS(3165),
    [anon_sym_U_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8_DQUOTE] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(3165),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [anon_sym_NULL] = ACTIONS(3163),
    [anon_sym_nullptr] = ACTIONS(3163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3163),
    [anon_sym_decltype] = ACTIONS(3163),
    [anon_sym_explicit] = ACTIONS(3163),
    [anon_sym_typename] = ACTIONS(3163),
    [anon_sym_template] = ACTIONS(3163),
    [anon_sym_operator] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_static_assert] = ACTIONS(3163),
    [anon_sym_concept] = ACTIONS(3163),
    [anon_sym_co_return] = ACTIONS(3163),
    [anon_sym_co_yield] = ACTIONS(3163),
    [anon_sym_R_DQUOTE] = ACTIONS(3165),
    [anon_sym_LR_DQUOTE] = ACTIONS(3165),
    [anon_sym_uR_DQUOTE] = ACTIONS(3165),
    [anon_sym_UR_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3165),
    [anon_sym_co_await] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_requires] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token2] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [sym_primitive_type] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym___try] = ACTIONS(3167),
    [anon_sym___leave] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [sym_number_literal] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [sym_primitive_type] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym___try] = ACTIONS(3179),
    [anon_sym___leave] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [sym_number_literal] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [549] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token2] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [sym_number_literal] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [sym_primitive_type] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym___try] = ACTIONS(3033),
    [anon_sym___leave] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [sym_number_literal] = ACTIONS(3035),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3049),
    [aux_sym_preproc_include_token1] = ACTIONS(3049),
    [aux_sym_preproc_def_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token2] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3049),
    [sym_preproc_directive] = ACTIONS(3049),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_BANG] = ACTIONS(3051),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3049),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym___attribute__] = ACTIONS(3049),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3051),
    [anon_sym___declspec] = ACTIONS(3049),
    [anon_sym___based] = ACTIONS(3049),
    [anon_sym___cdecl] = ACTIONS(3049),
    [anon_sym___clrcall] = ACTIONS(3049),
    [anon_sym___stdcall] = ACTIONS(3049),
    [anon_sym___fastcall] = ACTIONS(3049),
    [anon_sym___thiscall] = ACTIONS(3049),
    [anon_sym___vectorcall] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3049),
    [anon_sym_unsigned] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_register] = ACTIONS(3049),
    [anon_sym_inline] = ACTIONS(3049),
    [anon_sym___inline] = ACTIONS(3049),
    [anon_sym___inline__] = ACTIONS(3049),
    [anon_sym___forceinline] = ACTIONS(3049),
    [anon_sym_thread_local] = ACTIONS(3049),
    [anon_sym___thread] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_constexpr] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_restrict] = ACTIONS(3049),
    [anon_sym___restrict__] = ACTIONS(3049),
    [anon_sym__Atomic] = ACTIONS(3049),
    [anon_sym__Noreturn] = ACTIONS(3049),
    [anon_sym_noreturn] = ACTIONS(3049),
    [anon_sym__Nonnull] = ACTIONS(3049),
    [anon_sym_mutable] = ACTIONS(3049),
    [anon_sym_constinit] = ACTIONS(3049),
    [anon_sym_consteval] = ACTIONS(3049),
    [anon_sym_alignas] = ACTIONS(3049),
    [anon_sym__Alignas] = ACTIONS(3049),
    [sym_primitive_type] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_union] = ACTIONS(3049),
    [anon_sym_if] = ACTIONS(3049),
    [anon_sym_switch] = ACTIONS(3049),
    [anon_sym_case] = ACTIONS(3049),
    [anon_sym_default] = ACTIONS(3049),
    [anon_sym_while] = ACTIONS(3049),
    [anon_sym_do] = ACTIONS(3049),
    [anon_sym_for] = ACTIONS(3049),
    [anon_sym_return] = ACTIONS(3049),
    [anon_sym_break] = ACTIONS(3049),
    [anon_sym_continue] = ACTIONS(3049),
    [anon_sym_goto] = ACTIONS(3049),
    [anon_sym___try] = ACTIONS(3049),
    [anon_sym___leave] = ACTIONS(3049),
    [anon_sym_not] = ACTIONS(3049),
    [anon_sym_compl] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_sizeof] = ACTIONS(3049),
    [anon_sym___alignof__] = ACTIONS(3049),
    [anon_sym___alignof] = ACTIONS(3049),
    [anon_sym__alignof] = ACTIONS(3049),
    [anon_sym_alignof] = ACTIONS(3049),
    [anon_sym__Alignof] = ACTIONS(3049),
    [anon_sym_offsetof] = ACTIONS(3049),
    [anon_sym__Generic] = ACTIONS(3049),
    [anon_sym_asm] = ACTIONS(3049),
    [anon_sym___asm__] = ACTIONS(3049),
    [anon_sym___asm] = ACTIONS(3049),
    [sym_number_literal] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3051),
    [anon_sym_u_SQUOTE] = ACTIONS(3051),
    [anon_sym_U_SQUOTE] = ACTIONS(3051),
    [anon_sym_u8_SQUOTE] = ACTIONS(3051),
    [anon_sym_SQUOTE] = ACTIONS(3051),
    [anon_sym_L_DQUOTE] = ACTIONS(3051),
    [anon_sym_u_DQUOTE] = ACTIONS(3051),
    [anon_sym_U_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8_DQUOTE] = ACTIONS(3051),
    [anon_sym_DQUOTE] = ACTIONS(3051),
    [sym_true] = ACTIONS(3049),
    [sym_false] = ACTIONS(3049),
    [anon_sym_NULL] = ACTIONS(3049),
    [anon_sym_nullptr] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3049),
    [anon_sym_decltype] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_typename] = ACTIONS(3049),
    [anon_sym_template] = ACTIONS(3049),
    [anon_sym_operator] = ACTIONS(3049),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_delete] = ACTIONS(3049),
    [anon_sym_throw] = ACTIONS(3049),
    [anon_sym_namespace] = ACTIONS(3049),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static_assert] = ACTIONS(3049),
    [anon_sym_concept] = ACTIONS(3049),
    [anon_sym_co_return] = ACTIONS(3049),
    [anon_sym_co_yield] = ACTIONS(3049),
    [anon_sym_R_DQUOTE] = ACTIONS(3051),
    [anon_sym_LR_DQUOTE] = ACTIONS(3051),
    [anon_sym_uR_DQUOTE] = ACTIONS(3051),
    [anon_sym_UR_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3051),
    [anon_sym_co_await] = ACTIONS(3049),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_requires] = ACTIONS(3049),
    [sym_this] = ACTIONS(3049),
  },
  [555] = {
    [sym_identifier] = ACTIONS(3053),
    [aux_sym_preproc_include_token1] = ACTIONS(3053),
    [aux_sym_preproc_def_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token2] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3053),
    [sym_preproc_directive] = ACTIONS(3053),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_BANG] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3055),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym___extension__] = ACTIONS(3053),
    [anon_sym_typedef] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym___attribute__] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3055),
    [anon_sym___declspec] = ACTIONS(3053),
    [anon_sym___based] = ACTIONS(3053),
    [anon_sym___cdecl] = ACTIONS(3053),
    [anon_sym___clrcall] = ACTIONS(3053),
    [anon_sym___stdcall] = ACTIONS(3053),
    [anon_sym___fastcall] = ACTIONS(3053),
    [anon_sym___thiscall] = ACTIONS(3053),
    [anon_sym___vectorcall] = ACTIONS(3053),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_signed] = ACTIONS(3053),
    [anon_sym_unsigned] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [anon_sym_register] = ACTIONS(3053),
    [anon_sym_inline] = ACTIONS(3053),
    [anon_sym___inline] = ACTIONS(3053),
    [anon_sym___inline__] = ACTIONS(3053),
    [anon_sym___forceinline] = ACTIONS(3053),
    [anon_sym_thread_local] = ACTIONS(3053),
    [anon_sym___thread] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_constexpr] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_restrict] = ACTIONS(3053),
    [anon_sym___restrict__] = ACTIONS(3053),
    [anon_sym__Atomic] = ACTIONS(3053),
    [anon_sym__Noreturn] = ACTIONS(3053),
    [anon_sym_noreturn] = ACTIONS(3053),
    [anon_sym__Nonnull] = ACTIONS(3053),
    [anon_sym_mutable] = ACTIONS(3053),
    [anon_sym_constinit] = ACTIONS(3053),
    [anon_sym_consteval] = ACTIONS(3053),
    [anon_sym_alignas] = ACTIONS(3053),
    [anon_sym__Alignas] = ACTIONS(3053),
    [sym_primitive_type] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3053),
    [anon_sym_if] = ACTIONS(3053),
    [anon_sym_switch] = ACTIONS(3053),
    [anon_sym_case] = ACTIONS(3053),
    [anon_sym_default] = ACTIONS(3053),
    [anon_sym_while] = ACTIONS(3053),
    [anon_sym_do] = ACTIONS(3053),
    [anon_sym_for] = ACTIONS(3053),
    [anon_sym_return] = ACTIONS(3053),
    [anon_sym_break] = ACTIONS(3053),
    [anon_sym_continue] = ACTIONS(3053),
    [anon_sym_goto] = ACTIONS(3053),
    [anon_sym___try] = ACTIONS(3053),
    [anon_sym___leave] = ACTIONS(3053),
    [anon_sym_not] = ACTIONS(3053),
    [anon_sym_compl] = ACTIONS(3053),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_sizeof] = ACTIONS(3053),
    [anon_sym___alignof__] = ACTIONS(3053),
    [anon_sym___alignof] = ACTIONS(3053),
    [anon_sym__alignof] = ACTIONS(3053),
    [anon_sym_alignof] = ACTIONS(3053),
    [anon_sym__Alignof] = ACTIONS(3053),
    [anon_sym_offsetof] = ACTIONS(3053),
    [anon_sym__Generic] = ACTIONS(3053),
    [anon_sym_asm] = ACTIONS(3053),
    [anon_sym___asm__] = ACTIONS(3053),
    [anon_sym___asm] = ACTIONS(3053),
    [sym_number_literal] = ACTIONS(3055),
    [anon_sym_L_SQUOTE] = ACTIONS(3055),
    [anon_sym_u_SQUOTE] = ACTIONS(3055),
    [anon_sym_U_SQUOTE] = ACTIONS(3055),
    [anon_sym_u8_SQUOTE] = ACTIONS(3055),
    [anon_sym_SQUOTE] = ACTIONS(3055),
    [anon_sym_L_DQUOTE] = ACTIONS(3055),
    [anon_sym_u_DQUOTE] = ACTIONS(3055),
    [anon_sym_U_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8_DQUOTE] = ACTIONS(3055),
    [anon_sym_DQUOTE] = ACTIONS(3055),
    [sym_true] = ACTIONS(3053),
    [sym_false] = ACTIONS(3053),
    [anon_sym_NULL] = ACTIONS(3053),
    [anon_sym_nullptr] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3053),
    [anon_sym_decltype] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_typename] = ACTIONS(3053),
    [anon_sym_template] = ACTIONS(3053),
    [anon_sym_operator] = ACTIONS(3053),
    [anon_sym_try] = ACTIONS(3053),
    [anon_sym_delete] = ACTIONS(3053),
    [anon_sym_throw] = ACTIONS(3053),
    [anon_sym_namespace] = ACTIONS(3053),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static_assert] = ACTIONS(3053),
    [anon_sym_concept] = ACTIONS(3053),
    [anon_sym_co_return] = ACTIONS(3053),
    [anon_sym_co_yield] = ACTIONS(3053),
    [anon_sym_R_DQUOTE] = ACTIONS(3055),
    [anon_sym_LR_DQUOTE] = ACTIONS(3055),
    [anon_sym_uR_DQUOTE] = ACTIONS(3055),
    [anon_sym_UR_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3055),
    [anon_sym_co_await] = ACTIONS(3053),
    [anon_sym_new] = ACTIONS(3053),
    [anon_sym_requires] = ACTIONS(3053),
    [sym_this] = ACTIONS(3053),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token2] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym___try] = ACTIONS(3065),
    [anon_sym___leave] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym__Nonnull] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym__Alignas] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [anon_sym___asm] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [559] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token2] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [sym_primitive_type] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_virtual] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym__Nonnull] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym___try] = ACTIONS(3017),
    [anon_sym___leave] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [anon_sym___asm] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [562] = {
    [sym_identifier] = ACTIONS(3093),
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3093),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_AMP_AMP] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3093),
    [anon_sym_typedef] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym___attribute__] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(3095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3095),
    [anon_sym___declspec] = ACTIONS(3093),
    [anon_sym___based] = ACTIONS(3093),
    [anon_sym___cdecl] = ACTIONS(3093),
    [anon_sym___clrcall] = ACTIONS(3093),
    [anon_sym___stdcall] = ACTIONS(3093),
    [anon_sym___fastcall] = ACTIONS(3093),
    [anon_sym___thiscall] = ACTIONS(3093),
    [anon_sym___vectorcall] = ACTIONS(3093),
    [anon_sym_LBRACE] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3093),
    [anon_sym_unsigned] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [anon_sym_register] = ACTIONS(3093),
    [anon_sym_inline] = ACTIONS(3093),
    [anon_sym___inline] = ACTIONS(3093),
    [anon_sym___inline__] = ACTIONS(3093),
    [anon_sym___forceinline] = ACTIONS(3093),
    [anon_sym_thread_local] = ACTIONS(3093),
    [anon_sym___thread] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_constexpr] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_restrict] = ACTIONS(3093),
    [anon_sym___restrict__] = ACTIONS(3093),
    [anon_sym__Atomic] = ACTIONS(3093),
    [anon_sym__Noreturn] = ACTIONS(3093),
    [anon_sym_noreturn] = ACTIONS(3093),
    [anon_sym__Nonnull] = ACTIONS(3093),
    [anon_sym_mutable] = ACTIONS(3093),
    [anon_sym_constinit] = ACTIONS(3093),
    [anon_sym_consteval] = ACTIONS(3093),
    [anon_sym_alignas] = ACTIONS(3093),
    [anon_sym__Alignas] = ACTIONS(3093),
    [sym_primitive_type] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_union] = ACTIONS(3093),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_switch] = ACTIONS(3093),
    [anon_sym_case] = ACTIONS(3093),
    [anon_sym_default] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(3093),
    [anon_sym_do] = ACTIONS(3093),
    [anon_sym_for] = ACTIONS(3093),
    [anon_sym_return] = ACTIONS(3093),
    [anon_sym_break] = ACTIONS(3093),
    [anon_sym_continue] = ACTIONS(3093),
    [anon_sym_goto] = ACTIONS(3093),
    [anon_sym___try] = ACTIONS(3093),
    [anon_sym___leave] = ACTIONS(3093),
    [anon_sym_not] = ACTIONS(3093),
    [anon_sym_compl] = ACTIONS(3093),
    [anon_sym_DASH_DASH] = ACTIONS(3095),
    [anon_sym_PLUS_PLUS] = ACTIONS(3095),
    [anon_sym_sizeof] = ACTIONS(3093),
    [anon_sym___alignof__] = ACTIONS(3093),
    [anon_sym___alignof] = ACTIONS(3093),
    [anon_sym__alignof] = ACTIONS(3093),
    [anon_sym_alignof] = ACTIONS(3093),
    [anon_sym__Alignof] = ACTIONS(3093),
    [anon_sym_offsetof] = ACTIONS(3093),
    [anon_sym__Generic] = ACTIONS(3093),
    [anon_sym_asm] = ACTIONS(3093),
    [anon_sym___asm__] = ACTIONS(3093),
    [anon_sym___asm] = ACTIONS(3093),
    [sym_number_literal] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3095),
    [anon_sym_u_SQUOTE] = ACTIONS(3095),
    [anon_sym_U_SQUOTE] = ACTIONS(3095),
    [anon_sym_u8_SQUOTE] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(3095),
    [anon_sym_L_DQUOTE] = ACTIONS(3095),
    [anon_sym_u_DQUOTE] = ACTIONS(3095),
    [anon_sym_U_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8_DQUOTE] = ACTIONS(3095),
    [anon_sym_DQUOTE] = ACTIONS(3095),
    [sym_true] = ACTIONS(3093),
    [sym_false] = ACTIONS(3093),
    [anon_sym_NULL] = ACTIONS(3093),
    [anon_sym_nullptr] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3093),
    [anon_sym_decltype] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_typename] = ACTIONS(3093),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_operator] = ACTIONS(3093),
    [anon_sym_try] = ACTIONS(3093),
    [anon_sym_delete] = ACTIONS(3093),
    [anon_sym_throw] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static_assert] = ACTIONS(3093),
    [anon_sym_concept] = ACTIONS(3093),
    [anon_sym_co_return] = ACTIONS(3093),
    [anon_sym_co_yield] = ACTIONS(3093),
    [anon_sym_R_DQUOTE] = ACTIONS(3095),
    [anon_sym_LR_DQUOTE] = ACTIONS(3095),
    [anon_sym_uR_DQUOTE] = ACTIONS(3095),
    [anon_sym_UR_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3095),
    [anon_sym_co_await] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_requires] = ACTIONS(3093),
    [sym_this] = ACTIONS(3093),
  },
  [563] = {
    [sym_identifier] = ACTIONS(3097),
    [aux_sym_preproc_include_token1] = ACTIONS(3097),
    [aux_sym_preproc_def_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3097),
    [anon_sym_LPAREN2] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3099),
    [anon_sym_DASH] = ACTIONS(3097),
    [anon_sym_PLUS] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3099),
    [anon_sym_AMP_AMP] = ACTIONS(3099),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3097),
    [anon_sym_typedef] = ACTIONS(3097),
    [anon_sym_virtual] = ACTIONS(3097),
    [anon_sym_extern] = ACTIONS(3097),
    [anon_sym___attribute__] = ACTIONS(3097),
    [anon_sym_COLON_COLON] = ACTIONS(3099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3099),
    [anon_sym___declspec] = ACTIONS(3097),
    [anon_sym___based] = ACTIONS(3097),
    [anon_sym___cdecl] = ACTIONS(3097),
    [anon_sym___clrcall] = ACTIONS(3097),
    [anon_sym___stdcall] = ACTIONS(3097),
    [anon_sym___fastcall] = ACTIONS(3097),
    [anon_sym___thiscall] = ACTIONS(3097),
    [anon_sym___vectorcall] = ACTIONS(3097),
    [anon_sym_LBRACE] = ACTIONS(3099),
    [anon_sym_signed] = ACTIONS(3097),
    [anon_sym_unsigned] = ACTIONS(3097),
    [anon_sym_long] = ACTIONS(3097),
    [anon_sym_short] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_static] = ACTIONS(3097),
    [anon_sym_register] = ACTIONS(3097),
    [anon_sym_inline] = ACTIONS(3097),
    [anon_sym___inline] = ACTIONS(3097),
    [anon_sym___inline__] = ACTIONS(3097),
    [anon_sym___forceinline] = ACTIONS(3097),
    [anon_sym_thread_local] = ACTIONS(3097),
    [anon_sym___thread] = ACTIONS(3097),
    [anon_sym_const] = ACTIONS(3097),
    [anon_sym_constexpr] = ACTIONS(3097),
    [anon_sym_volatile] = ACTIONS(3097),
    [anon_sym_restrict] = ACTIONS(3097),
    [anon_sym___restrict__] = ACTIONS(3097),
    [anon_sym__Atomic] = ACTIONS(3097),
    [anon_sym__Noreturn] = ACTIONS(3097),
    [anon_sym_noreturn] = ACTIONS(3097),
    [anon_sym__Nonnull] = ACTIONS(3097),
    [anon_sym_mutable] = ACTIONS(3097),
    [anon_sym_constinit] = ACTIONS(3097),
    [anon_sym_consteval] = ACTIONS(3097),
    [anon_sym_alignas] = ACTIONS(3097),
    [anon_sym__Alignas] = ACTIONS(3097),
    [sym_primitive_type] = ACTIONS(3097),
    [anon_sym_enum] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3097),
    [anon_sym_struct] = ACTIONS(3097),
    [anon_sym_union] = ACTIONS(3097),
    [anon_sym_if] = ACTIONS(3097),
    [anon_sym_switch] = ACTIONS(3097),
    [anon_sym_case] = ACTIONS(3097),
    [anon_sym_default] = ACTIONS(3097),
    [anon_sym_while] = ACTIONS(3097),
    [anon_sym_do] = ACTIONS(3097),
    [anon_sym_for] = ACTIONS(3097),
    [anon_sym_return] = ACTIONS(3097),
    [anon_sym_break] = ACTIONS(3097),
    [anon_sym_continue] = ACTIONS(3097),
    [anon_sym_goto] = ACTIONS(3097),
    [anon_sym___try] = ACTIONS(3097),
    [anon_sym___leave] = ACTIONS(3097),
    [anon_sym_not] = ACTIONS(3097),
    [anon_sym_compl] = ACTIONS(3097),
    [anon_sym_DASH_DASH] = ACTIONS(3099),
    [anon_sym_PLUS_PLUS] = ACTIONS(3099),
    [anon_sym_sizeof] = ACTIONS(3097),
    [anon_sym___alignof__] = ACTIONS(3097),
    [anon_sym___alignof] = ACTIONS(3097),
    [anon_sym__alignof] = ACTIONS(3097),
    [anon_sym_alignof] = ACTIONS(3097),
    [anon_sym__Alignof] = ACTIONS(3097),
    [anon_sym_offsetof] = ACTIONS(3097),
    [anon_sym__Generic] = ACTIONS(3097),
    [anon_sym_asm] = ACTIONS(3097),
    [anon_sym___asm__] = ACTIONS(3097),
    [anon_sym___asm] = ACTIONS(3097),
    [sym_number_literal] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3099),
    [anon_sym_u_SQUOTE] = ACTIONS(3099),
    [anon_sym_U_SQUOTE] = ACTIONS(3099),
    [anon_sym_u8_SQUOTE] = ACTIONS(3099),
    [anon_sym_SQUOTE] = ACTIONS(3099),
    [anon_sym_L_DQUOTE] = ACTIONS(3099),
    [anon_sym_u_DQUOTE] = ACTIONS(3099),
    [anon_sym_U_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8_DQUOTE] = ACTIONS(3099),
    [anon_sym_DQUOTE] = ACTIONS(3099),
    [sym_true] = ACTIONS(3097),
    [sym_false] = ACTIONS(3097),
    [anon_sym_NULL] = ACTIONS(3097),
    [anon_sym_nullptr] = ACTIONS(3097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3097),
    [anon_sym_explicit] = ACTIONS(3097),
    [anon_sym_typename] = ACTIONS(3097),
    [anon_sym_template] = ACTIONS(3097),
    [anon_sym_operator] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3097),
    [anon_sym_delete] = ACTIONS(3097),
    [anon_sym_throw] = ACTIONS(3097),
    [anon_sym_namespace] = ACTIONS(3097),
    [anon_sym_using] = ACTIONS(3097),
    [anon_sym_static_assert] = ACTIONS(3097),
    [anon_sym_concept] = ACTIONS(3097),
    [anon_sym_co_return] = ACTIONS(3097),
    [anon_sym_co_yield] = ACTIONS(3097),
    [anon_sym_R_DQUOTE] = ACTIONS(3099),
    [anon_sym_LR_DQUOTE] = ACTIONS(3099),
    [anon_sym_uR_DQUOTE] = ACTIONS(3099),
    [anon_sym_UR_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3099),
    [anon_sym_co_await] = ACTIONS(3097),
    [anon_sym_new] = ACTIONS(3097),
    [anon_sym_requires] = ACTIONS(3097),
    [sym_this] = ACTIONS(3097),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [566] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [570] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym__Nonnull] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [anon_sym___asm] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym__Nonnull] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [anon_sym___asm] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym__Nonnull] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [anon_sym___asm] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [573] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [sym_number_literal] = ACTIONS(3027),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [575] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token2] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [sym_primitive_type] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym___try] = ACTIONS(3175),
    [anon_sym___leave] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [sym_number_literal] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym__Nonnull] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [anon_sym___asm] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [586] = {
    [sym_catch_clause] = STATE(329),
    [aux_sym_constructor_try_statement_repeat1] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_catch] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [587] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [sym_number_literal] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [588] = {
    [sym_catch_clause] = STATE(329),
    [aux_sym_constructor_try_statement_repeat1] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [589] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [anon_sym___asm] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_virtual] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [sym_number_literal] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [594] = {
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3023),
    [anon_sym_BANG] = ACTIONS(3023),
    [anon_sym_TILDE] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_SEMI] = ACTIONS(3023),
    [anon_sym___extension__] = ACTIONS(3021),
    [anon_sym_typedef] = ACTIONS(3021),
    [anon_sym_virtual] = ACTIONS(3021),
    [anon_sym_extern] = ACTIONS(3021),
    [anon_sym___attribute__] = ACTIONS(3021),
    [anon_sym_COLON_COLON] = ACTIONS(3023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3023),
    [anon_sym___declspec] = ACTIONS(3021),
    [anon_sym___based] = ACTIONS(3021),
    [anon_sym___cdecl] = ACTIONS(3021),
    [anon_sym___clrcall] = ACTIONS(3021),
    [anon_sym___stdcall] = ACTIONS(3021),
    [anon_sym___fastcall] = ACTIONS(3021),
    [anon_sym___thiscall] = ACTIONS(3021),
    [anon_sym___vectorcall] = ACTIONS(3021),
    [anon_sym_LBRACE] = ACTIONS(3023),
    [anon_sym_RBRACE] = ACTIONS(3023),
    [anon_sym_signed] = ACTIONS(3021),
    [anon_sym_unsigned] = ACTIONS(3021),
    [anon_sym_long] = ACTIONS(3021),
    [anon_sym_short] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(3021),
    [anon_sym_static] = ACTIONS(3021),
    [anon_sym_register] = ACTIONS(3021),
    [anon_sym_inline] = ACTIONS(3021),
    [anon_sym___inline] = ACTIONS(3021),
    [anon_sym___inline__] = ACTIONS(3021),
    [anon_sym___forceinline] = ACTIONS(3021),
    [anon_sym_thread_local] = ACTIONS(3021),
    [anon_sym___thread] = ACTIONS(3021),
    [anon_sym_const] = ACTIONS(3021),
    [anon_sym_constexpr] = ACTIONS(3021),
    [anon_sym_volatile] = ACTIONS(3021),
    [anon_sym_restrict] = ACTIONS(3021),
    [anon_sym___restrict__] = ACTIONS(3021),
    [anon_sym__Atomic] = ACTIONS(3021),
    [anon_sym__Noreturn] = ACTIONS(3021),
    [anon_sym_noreturn] = ACTIONS(3021),
    [anon_sym__Nonnull] = ACTIONS(3021),
    [anon_sym_mutable] = ACTIONS(3021),
    [anon_sym_constinit] = ACTIONS(3021),
    [anon_sym_consteval] = ACTIONS(3021),
    [anon_sym_alignas] = ACTIONS(3021),
    [anon_sym__Alignas] = ACTIONS(3021),
    [sym_primitive_type] = ACTIONS(3021),
    [anon_sym_enum] = ACTIONS(3021),
    [anon_sym_class] = ACTIONS(3021),
    [anon_sym_struct] = ACTIONS(3021),
    [anon_sym_union] = ACTIONS(3021),
    [anon_sym_if] = ACTIONS(3021),
    [anon_sym_switch] = ACTIONS(3021),
    [anon_sym_case] = ACTIONS(3021),
    [anon_sym_default] = ACTIONS(3021),
    [anon_sym_while] = ACTIONS(3021),
    [anon_sym_do] = ACTIONS(3021),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_return] = ACTIONS(3021),
    [anon_sym_break] = ACTIONS(3021),
    [anon_sym_continue] = ACTIONS(3021),
    [anon_sym_goto] = ACTIONS(3021),
    [anon_sym___try] = ACTIONS(3021),
    [anon_sym___leave] = ACTIONS(3021),
    [anon_sym_not] = ACTIONS(3021),
    [anon_sym_compl] = ACTIONS(3021),
    [anon_sym_DASH_DASH] = ACTIONS(3023),
    [anon_sym_PLUS_PLUS] = ACTIONS(3023),
    [anon_sym_sizeof] = ACTIONS(3021),
    [anon_sym___alignof__] = ACTIONS(3021),
    [anon_sym___alignof] = ACTIONS(3021),
    [anon_sym__alignof] = ACTIONS(3021),
    [anon_sym_alignof] = ACTIONS(3021),
    [anon_sym__Alignof] = ACTIONS(3021),
    [anon_sym_offsetof] = ACTIONS(3021),
    [anon_sym__Generic] = ACTIONS(3021),
    [anon_sym_asm] = ACTIONS(3021),
    [anon_sym___asm__] = ACTIONS(3021),
    [anon_sym___asm] = ACTIONS(3021),
    [sym_number_literal] = ACTIONS(3023),
    [anon_sym_L_SQUOTE] = ACTIONS(3023),
    [anon_sym_u_SQUOTE] = ACTIONS(3023),
    [anon_sym_U_SQUOTE] = ACTIONS(3023),
    [anon_sym_u8_SQUOTE] = ACTIONS(3023),
    [anon_sym_SQUOTE] = ACTIONS(3023),
    [anon_sym_L_DQUOTE] = ACTIONS(3023),
    [anon_sym_u_DQUOTE] = ACTIONS(3023),
    [anon_sym_U_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8_DQUOTE] = ACTIONS(3023),
    [anon_sym_DQUOTE] = ACTIONS(3023),
    [sym_true] = ACTIONS(3021),
    [sym_false] = ACTIONS(3021),
    [anon_sym_NULL] = ACTIONS(3021),
    [anon_sym_nullptr] = ACTIONS(3021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3021),
    [anon_sym_decltype] = ACTIONS(3021),
    [anon_sym_explicit] = ACTIONS(3021),
    [anon_sym_typename] = ACTIONS(3021),
    [anon_sym_template] = ACTIONS(3021),
    [anon_sym_operator] = ACTIONS(3021),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_delete] = ACTIONS(3021),
    [anon_sym_throw] = ACTIONS(3021),
    [anon_sym_namespace] = ACTIONS(3021),
    [anon_sym_using] = ACTIONS(3021),
    [anon_sym_static_assert] = ACTIONS(3021),
    [anon_sym_concept] = ACTIONS(3021),
    [anon_sym_co_return] = ACTIONS(3021),
    [anon_sym_co_yield] = ACTIONS(3021),
    [anon_sym_R_DQUOTE] = ACTIONS(3023),
    [anon_sym_LR_DQUOTE] = ACTIONS(3023),
    [anon_sym_uR_DQUOTE] = ACTIONS(3023),
    [anon_sym_UR_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3023),
    [anon_sym_co_await] = ACTIONS(3021),
    [anon_sym_new] = ACTIONS(3021),
    [anon_sym_requires] = ACTIONS(3021),
    [sym_this] = ACTIONS(3021),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [sym_primitive_type] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym___try] = ACTIONS(3033),
    [anon_sym___leave] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [sym_number_literal] = ACTIONS(3035),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [597] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3049),
    [aux_sym_preproc_include_token1] = ACTIONS(3049),
    [aux_sym_preproc_def_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3049),
    [sym_preproc_directive] = ACTIONS(3049),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_BANG] = ACTIONS(3051),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3049),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym___attribute__] = ACTIONS(3049),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3051),
    [anon_sym___declspec] = ACTIONS(3049),
    [anon_sym___based] = ACTIONS(3049),
    [anon_sym___cdecl] = ACTIONS(3049),
    [anon_sym___clrcall] = ACTIONS(3049),
    [anon_sym___stdcall] = ACTIONS(3049),
    [anon_sym___fastcall] = ACTIONS(3049),
    [anon_sym___thiscall] = ACTIONS(3049),
    [anon_sym___vectorcall] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(3051),
    [anon_sym_RBRACE] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3049),
    [anon_sym_unsigned] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_register] = ACTIONS(3049),
    [anon_sym_inline] = ACTIONS(3049),
    [anon_sym___inline] = ACTIONS(3049),
    [anon_sym___inline__] = ACTIONS(3049),
    [anon_sym___forceinline] = ACTIONS(3049),
    [anon_sym_thread_local] = ACTIONS(3049),
    [anon_sym___thread] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_constexpr] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_restrict] = ACTIONS(3049),
    [anon_sym___restrict__] = ACTIONS(3049),
    [anon_sym__Atomic] = ACTIONS(3049),
    [anon_sym__Noreturn] = ACTIONS(3049),
    [anon_sym_noreturn] = ACTIONS(3049),
    [anon_sym__Nonnull] = ACTIONS(3049),
    [anon_sym_mutable] = ACTIONS(3049),
    [anon_sym_constinit] = ACTIONS(3049),
    [anon_sym_consteval] = ACTIONS(3049),
    [anon_sym_alignas] = ACTIONS(3049),
    [anon_sym__Alignas] = ACTIONS(3049),
    [sym_primitive_type] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_union] = ACTIONS(3049),
    [anon_sym_if] = ACTIONS(3049),
    [anon_sym_switch] = ACTIONS(3049),
    [anon_sym_case] = ACTIONS(3049),
    [anon_sym_default] = ACTIONS(3049),
    [anon_sym_while] = ACTIONS(3049),
    [anon_sym_do] = ACTIONS(3049),
    [anon_sym_for] = ACTIONS(3049),
    [anon_sym_return] = ACTIONS(3049),
    [anon_sym_break] = ACTIONS(3049),
    [anon_sym_continue] = ACTIONS(3049),
    [anon_sym_goto] = ACTIONS(3049),
    [anon_sym___try] = ACTIONS(3049),
    [anon_sym___leave] = ACTIONS(3049),
    [anon_sym_not] = ACTIONS(3049),
    [anon_sym_compl] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_sizeof] = ACTIONS(3049),
    [anon_sym___alignof__] = ACTIONS(3049),
    [anon_sym___alignof] = ACTIONS(3049),
    [anon_sym__alignof] = ACTIONS(3049),
    [anon_sym_alignof] = ACTIONS(3049),
    [anon_sym__Alignof] = ACTIONS(3049),
    [anon_sym_offsetof] = ACTIONS(3049),
    [anon_sym__Generic] = ACTIONS(3049),
    [anon_sym_asm] = ACTIONS(3049),
    [anon_sym___asm__] = ACTIONS(3049),
    [anon_sym___asm] = ACTIONS(3049),
    [sym_number_literal] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3051),
    [anon_sym_u_SQUOTE] = ACTIONS(3051),
    [anon_sym_U_SQUOTE] = ACTIONS(3051),
    [anon_sym_u8_SQUOTE] = ACTIONS(3051),
    [anon_sym_SQUOTE] = ACTIONS(3051),
    [anon_sym_L_DQUOTE] = ACTIONS(3051),
    [anon_sym_u_DQUOTE] = ACTIONS(3051),
    [anon_sym_U_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8_DQUOTE] = ACTIONS(3051),
    [anon_sym_DQUOTE] = ACTIONS(3051),
    [sym_true] = ACTIONS(3049),
    [sym_false] = ACTIONS(3049),
    [anon_sym_NULL] = ACTIONS(3049),
    [anon_sym_nullptr] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3049),
    [anon_sym_decltype] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_typename] = ACTIONS(3049),
    [anon_sym_template] = ACTIONS(3049),
    [anon_sym_operator] = ACTIONS(3049),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_delete] = ACTIONS(3049),
    [anon_sym_throw] = ACTIONS(3049),
    [anon_sym_namespace] = ACTIONS(3049),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static_assert] = ACTIONS(3049),
    [anon_sym_concept] = ACTIONS(3049),
    [anon_sym_co_return] = ACTIONS(3049),
    [anon_sym_co_yield] = ACTIONS(3049),
    [anon_sym_R_DQUOTE] = ACTIONS(3051),
    [anon_sym_LR_DQUOTE] = ACTIONS(3051),
    [anon_sym_uR_DQUOTE] = ACTIONS(3051),
    [anon_sym_UR_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3051),
    [anon_sym_co_await] = ACTIONS(3049),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_requires] = ACTIONS(3049),
    [sym_this] = ACTIONS(3049),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3053),
    [aux_sym_preproc_include_token1] = ACTIONS(3053),
    [aux_sym_preproc_def_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3053),
    [sym_preproc_directive] = ACTIONS(3053),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_BANG] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3055),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym___extension__] = ACTIONS(3053),
    [anon_sym_typedef] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym___attribute__] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3055),
    [anon_sym___declspec] = ACTIONS(3053),
    [anon_sym___based] = ACTIONS(3053),
    [anon_sym___cdecl] = ACTIONS(3053),
    [anon_sym___clrcall] = ACTIONS(3053),
    [anon_sym___stdcall] = ACTIONS(3053),
    [anon_sym___fastcall] = ACTIONS(3053),
    [anon_sym___thiscall] = ACTIONS(3053),
    [anon_sym___vectorcall] = ACTIONS(3053),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_signed] = ACTIONS(3053),
    [anon_sym_unsigned] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [anon_sym_register] = ACTIONS(3053),
    [anon_sym_inline] = ACTIONS(3053),
    [anon_sym___inline] = ACTIONS(3053),
    [anon_sym___inline__] = ACTIONS(3053),
    [anon_sym___forceinline] = ACTIONS(3053),
    [anon_sym_thread_local] = ACTIONS(3053),
    [anon_sym___thread] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_constexpr] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_restrict] = ACTIONS(3053),
    [anon_sym___restrict__] = ACTIONS(3053),
    [anon_sym__Atomic] = ACTIONS(3053),
    [anon_sym__Noreturn] = ACTIONS(3053),
    [anon_sym_noreturn] = ACTIONS(3053),
    [anon_sym__Nonnull] = ACTIONS(3053),
    [anon_sym_mutable] = ACTIONS(3053),
    [anon_sym_constinit] = ACTIONS(3053),
    [anon_sym_consteval] = ACTIONS(3053),
    [anon_sym_alignas] = ACTIONS(3053),
    [anon_sym__Alignas] = ACTIONS(3053),
    [sym_primitive_type] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3053),
    [anon_sym_if] = ACTIONS(3053),
    [anon_sym_switch] = ACTIONS(3053),
    [anon_sym_case] = ACTIONS(3053),
    [anon_sym_default] = ACTIONS(3053),
    [anon_sym_while] = ACTIONS(3053),
    [anon_sym_do] = ACTIONS(3053),
    [anon_sym_for] = ACTIONS(3053),
    [anon_sym_return] = ACTIONS(3053),
    [anon_sym_break] = ACTIONS(3053),
    [anon_sym_continue] = ACTIONS(3053),
    [anon_sym_goto] = ACTIONS(3053),
    [anon_sym___try] = ACTIONS(3053),
    [anon_sym___leave] = ACTIONS(3053),
    [anon_sym_not] = ACTIONS(3053),
    [anon_sym_compl] = ACTIONS(3053),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_sizeof] = ACTIONS(3053),
    [anon_sym___alignof__] = ACTIONS(3053),
    [anon_sym___alignof] = ACTIONS(3053),
    [anon_sym__alignof] = ACTIONS(3053),
    [anon_sym_alignof] = ACTIONS(3053),
    [anon_sym__Alignof] = ACTIONS(3053),
    [anon_sym_offsetof] = ACTIONS(3053),
    [anon_sym__Generic] = ACTIONS(3053),
    [anon_sym_asm] = ACTIONS(3053),
    [anon_sym___asm__] = ACTIONS(3053),
    [anon_sym___asm] = ACTIONS(3053),
    [sym_number_literal] = ACTIONS(3055),
    [anon_sym_L_SQUOTE] = ACTIONS(3055),
    [anon_sym_u_SQUOTE] = ACTIONS(3055),
    [anon_sym_U_SQUOTE] = ACTIONS(3055),
    [anon_sym_u8_SQUOTE] = ACTIONS(3055),
    [anon_sym_SQUOTE] = ACTIONS(3055),
    [anon_sym_L_DQUOTE] = ACTIONS(3055),
    [anon_sym_u_DQUOTE] = ACTIONS(3055),
    [anon_sym_U_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8_DQUOTE] = ACTIONS(3055),
    [anon_sym_DQUOTE] = ACTIONS(3055),
    [sym_true] = ACTIONS(3053),
    [sym_false] = ACTIONS(3053),
    [anon_sym_NULL] = ACTIONS(3053),
    [anon_sym_nullptr] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3053),
    [anon_sym_decltype] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_typename] = ACTIONS(3053),
    [anon_sym_template] = ACTIONS(3053),
    [anon_sym_operator] = ACTIONS(3053),
    [anon_sym_try] = ACTIONS(3053),
    [anon_sym_delete] = ACTIONS(3053),
    [anon_sym_throw] = ACTIONS(3053),
    [anon_sym_namespace] = ACTIONS(3053),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static_assert] = ACTIONS(3053),
    [anon_sym_concept] = ACTIONS(3053),
    [anon_sym_co_return] = ACTIONS(3053),
    [anon_sym_co_yield] = ACTIONS(3053),
    [anon_sym_R_DQUOTE] = ACTIONS(3055),
    [anon_sym_LR_DQUOTE] = ACTIONS(3055),
    [anon_sym_uR_DQUOTE] = ACTIONS(3055),
    [anon_sym_UR_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3055),
    [anon_sym_co_await] = ACTIONS(3053),
    [anon_sym_new] = ACTIONS(3053),
    [anon_sym_requires] = ACTIONS(3053),
    [sym_this] = ACTIONS(3053),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3061),
    [aux_sym_preproc_include_token1] = ACTIONS(3061),
    [aux_sym_preproc_def_token1] = ACTIONS(3061),
    [aux_sym_preproc_if_token1] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3061),
    [sym_preproc_directive] = ACTIONS(3061),
    [anon_sym_LPAREN2] = ACTIONS(3063),
    [anon_sym_BANG] = ACTIONS(3063),
    [anon_sym_TILDE] = ACTIONS(3063),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3063),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_SEMI] = ACTIONS(3063),
    [anon_sym___extension__] = ACTIONS(3061),
    [anon_sym_typedef] = ACTIONS(3061),
    [anon_sym_virtual] = ACTIONS(3061),
    [anon_sym_extern] = ACTIONS(3061),
    [anon_sym___attribute__] = ACTIONS(3061),
    [anon_sym_COLON_COLON] = ACTIONS(3063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3063),
    [anon_sym___declspec] = ACTIONS(3061),
    [anon_sym___based] = ACTIONS(3061),
    [anon_sym___cdecl] = ACTIONS(3061),
    [anon_sym___clrcall] = ACTIONS(3061),
    [anon_sym___stdcall] = ACTIONS(3061),
    [anon_sym___fastcall] = ACTIONS(3061),
    [anon_sym___thiscall] = ACTIONS(3061),
    [anon_sym___vectorcall] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(3063),
    [anon_sym_RBRACE] = ACTIONS(3063),
    [anon_sym_signed] = ACTIONS(3061),
    [anon_sym_unsigned] = ACTIONS(3061),
    [anon_sym_long] = ACTIONS(3061),
    [anon_sym_short] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_static] = ACTIONS(3061),
    [anon_sym_register] = ACTIONS(3061),
    [anon_sym_inline] = ACTIONS(3061),
    [anon_sym___inline] = ACTIONS(3061),
    [anon_sym___inline__] = ACTIONS(3061),
    [anon_sym___forceinline] = ACTIONS(3061),
    [anon_sym_thread_local] = ACTIONS(3061),
    [anon_sym___thread] = ACTIONS(3061),
    [anon_sym_const] = ACTIONS(3061),
    [anon_sym_constexpr] = ACTIONS(3061),
    [anon_sym_volatile] = ACTIONS(3061),
    [anon_sym_restrict] = ACTIONS(3061),
    [anon_sym___restrict__] = ACTIONS(3061),
    [anon_sym__Atomic] = ACTIONS(3061),
    [anon_sym__Noreturn] = ACTIONS(3061),
    [anon_sym_noreturn] = ACTIONS(3061),
    [anon_sym__Nonnull] = ACTIONS(3061),
    [anon_sym_mutable] = ACTIONS(3061),
    [anon_sym_constinit] = ACTIONS(3061),
    [anon_sym_consteval] = ACTIONS(3061),
    [anon_sym_alignas] = ACTIONS(3061),
    [anon_sym__Alignas] = ACTIONS(3061),
    [sym_primitive_type] = ACTIONS(3061),
    [anon_sym_enum] = ACTIONS(3061),
    [anon_sym_class] = ACTIONS(3061),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3061),
    [anon_sym_if] = ACTIONS(3061),
    [anon_sym_switch] = ACTIONS(3061),
    [anon_sym_case] = ACTIONS(3061),
    [anon_sym_default] = ACTIONS(3061),
    [anon_sym_while] = ACTIONS(3061),
    [anon_sym_do] = ACTIONS(3061),
    [anon_sym_for] = ACTIONS(3061),
    [anon_sym_return] = ACTIONS(3061),
    [anon_sym_break] = ACTIONS(3061),
    [anon_sym_continue] = ACTIONS(3061),
    [anon_sym_goto] = ACTIONS(3061),
    [anon_sym___try] = ACTIONS(3061),
    [anon_sym___leave] = ACTIONS(3061),
    [anon_sym_not] = ACTIONS(3061),
    [anon_sym_compl] = ACTIONS(3061),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_sizeof] = ACTIONS(3061),
    [anon_sym___alignof__] = ACTIONS(3061),
    [anon_sym___alignof] = ACTIONS(3061),
    [anon_sym__alignof] = ACTIONS(3061),
    [anon_sym_alignof] = ACTIONS(3061),
    [anon_sym__Alignof] = ACTIONS(3061),
    [anon_sym_offsetof] = ACTIONS(3061),
    [anon_sym__Generic] = ACTIONS(3061),
    [anon_sym_asm] = ACTIONS(3061),
    [anon_sym___asm__] = ACTIONS(3061),
    [anon_sym___asm] = ACTIONS(3061),
    [sym_number_literal] = ACTIONS(3063),
    [anon_sym_L_SQUOTE] = ACTIONS(3063),
    [anon_sym_u_SQUOTE] = ACTIONS(3063),
    [anon_sym_U_SQUOTE] = ACTIONS(3063),
    [anon_sym_u8_SQUOTE] = ACTIONS(3063),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_L_DQUOTE] = ACTIONS(3063),
    [anon_sym_u_DQUOTE] = ACTIONS(3063),
    [anon_sym_U_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8_DQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3063),
    [sym_true] = ACTIONS(3061),
    [sym_false] = ACTIONS(3061),
    [anon_sym_NULL] = ACTIONS(3061),
    [anon_sym_nullptr] = ACTIONS(3061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3061),
    [anon_sym_decltype] = ACTIONS(3061),
    [anon_sym_explicit] = ACTIONS(3061),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3061),
    [anon_sym_operator] = ACTIONS(3061),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_delete] = ACTIONS(3061),
    [anon_sym_throw] = ACTIONS(3061),
    [anon_sym_namespace] = ACTIONS(3061),
    [anon_sym_using] = ACTIONS(3061),
    [anon_sym_static_assert] = ACTIONS(3061),
    [anon_sym_concept] = ACTIONS(3061),
    [anon_sym_co_return] = ACTIONS(3061),
    [anon_sym_co_yield] = ACTIONS(3061),
    [anon_sym_R_DQUOTE] = ACTIONS(3063),
    [anon_sym_LR_DQUOTE] = ACTIONS(3063),
    [anon_sym_uR_DQUOTE] = ACTIONS(3063),
    [anon_sym_UR_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3063),
    [anon_sym_co_await] = ACTIONS(3061),
    [anon_sym_new] = ACTIONS(3061),
    [anon_sym_requires] = ACTIONS(3061),
    [sym_this] = ACTIONS(3061),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym___try] = ACTIONS(3065),
    [anon_sym___leave] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3069),
    [aux_sym_preproc_include_token1] = ACTIONS(3069),
    [aux_sym_preproc_def_token1] = ACTIONS(3069),
    [aux_sym_preproc_if_token1] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3069),
    [sym_preproc_directive] = ACTIONS(3069),
    [anon_sym_LPAREN2] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3071),
    [anon_sym_TILDE] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3071),
    [anon_sym_AMP_AMP] = ACTIONS(3071),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_SEMI] = ACTIONS(3071),
    [anon_sym___extension__] = ACTIONS(3069),
    [anon_sym_typedef] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym___attribute__] = ACTIONS(3069),
    [anon_sym_COLON_COLON] = ACTIONS(3071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3071),
    [anon_sym___declspec] = ACTIONS(3069),
    [anon_sym___based] = ACTIONS(3069),
    [anon_sym___cdecl] = ACTIONS(3069),
    [anon_sym___clrcall] = ACTIONS(3069),
    [anon_sym___stdcall] = ACTIONS(3069),
    [anon_sym___fastcall] = ACTIONS(3069),
    [anon_sym___thiscall] = ACTIONS(3069),
    [anon_sym___vectorcall] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(3071),
    [anon_sym_RBRACE] = ACTIONS(3071),
    [anon_sym_signed] = ACTIONS(3069),
    [anon_sym_unsigned] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_register] = ACTIONS(3069),
    [anon_sym_inline] = ACTIONS(3069),
    [anon_sym___inline] = ACTIONS(3069),
    [anon_sym___inline__] = ACTIONS(3069),
    [anon_sym___forceinline] = ACTIONS(3069),
    [anon_sym_thread_local] = ACTIONS(3069),
    [anon_sym___thread] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_constexpr] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_restrict] = ACTIONS(3069),
    [anon_sym___restrict__] = ACTIONS(3069),
    [anon_sym__Atomic] = ACTIONS(3069),
    [anon_sym__Noreturn] = ACTIONS(3069),
    [anon_sym_noreturn] = ACTIONS(3069),
    [anon_sym__Nonnull] = ACTIONS(3069),
    [anon_sym_mutable] = ACTIONS(3069),
    [anon_sym_constinit] = ACTIONS(3069),
    [anon_sym_consteval] = ACTIONS(3069),
    [anon_sym_alignas] = ACTIONS(3069),
    [anon_sym__Alignas] = ACTIONS(3069),
    [sym_primitive_type] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_union] = ACTIONS(3069),
    [anon_sym_if] = ACTIONS(3069),
    [anon_sym_switch] = ACTIONS(3069),
    [anon_sym_case] = ACTIONS(3069),
    [anon_sym_default] = ACTIONS(3069),
    [anon_sym_while] = ACTIONS(3069),
    [anon_sym_do] = ACTIONS(3069),
    [anon_sym_for] = ACTIONS(3069),
    [anon_sym_return] = ACTIONS(3069),
    [anon_sym_break] = ACTIONS(3069),
    [anon_sym_continue] = ACTIONS(3069),
    [anon_sym_goto] = ACTIONS(3069),
    [anon_sym___try] = ACTIONS(3069),
    [anon_sym___leave] = ACTIONS(3069),
    [anon_sym_not] = ACTIONS(3069),
    [anon_sym_compl] = ACTIONS(3069),
    [anon_sym_DASH_DASH] = ACTIONS(3071),
    [anon_sym_PLUS_PLUS] = ACTIONS(3071),
    [anon_sym_sizeof] = ACTIONS(3069),
    [anon_sym___alignof__] = ACTIONS(3069),
    [anon_sym___alignof] = ACTIONS(3069),
    [anon_sym__alignof] = ACTIONS(3069),
    [anon_sym_alignof] = ACTIONS(3069),
    [anon_sym__Alignof] = ACTIONS(3069),
    [anon_sym_offsetof] = ACTIONS(3069),
    [anon_sym__Generic] = ACTIONS(3069),
    [anon_sym_asm] = ACTIONS(3069),
    [anon_sym___asm__] = ACTIONS(3069),
    [anon_sym___asm] = ACTIONS(3069),
    [sym_number_literal] = ACTIONS(3071),
    [anon_sym_L_SQUOTE] = ACTIONS(3071),
    [anon_sym_u_SQUOTE] = ACTIONS(3071),
    [anon_sym_U_SQUOTE] = ACTIONS(3071),
    [anon_sym_u8_SQUOTE] = ACTIONS(3071),
    [anon_sym_SQUOTE] = ACTIONS(3071),
    [anon_sym_L_DQUOTE] = ACTIONS(3071),
    [anon_sym_u_DQUOTE] = ACTIONS(3071),
    [anon_sym_U_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8_DQUOTE] = ACTIONS(3071),
    [anon_sym_DQUOTE] = ACTIONS(3071),
    [sym_true] = ACTIONS(3069),
    [sym_false] = ACTIONS(3069),
    [anon_sym_NULL] = ACTIONS(3069),
    [anon_sym_nullptr] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3069),
    [anon_sym_decltype] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_typename] = ACTIONS(3069),
    [anon_sym_template] = ACTIONS(3069),
    [anon_sym_operator] = ACTIONS(3069),
    [anon_sym_try] = ACTIONS(3069),
    [anon_sym_delete] = ACTIONS(3069),
    [anon_sym_throw] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3069),
    [anon_sym_concept] = ACTIONS(3069),
    [anon_sym_co_return] = ACTIONS(3069),
    [anon_sym_co_yield] = ACTIONS(3069),
    [anon_sym_R_DQUOTE] = ACTIONS(3071),
    [anon_sym_LR_DQUOTE] = ACTIONS(3071),
    [anon_sym_uR_DQUOTE] = ACTIONS(3071),
    [anon_sym_UR_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3071),
    [anon_sym_co_await] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_requires] = ACTIONS(3069),
    [sym_this] = ACTIONS(3069),
  },
  [603] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym__Nonnull] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym__Alignas] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [anon_sym___asm] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [sym_primitive_type] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym___try] = ACTIONS(3029),
    [anon_sym___leave] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [sym_number_literal] = ACTIONS(3031),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3023),
    [anon_sym_BANG] = ACTIONS(3023),
    [anon_sym_TILDE] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym_SEMI] = ACTIONS(3023),
    [anon_sym___extension__] = ACTIONS(3021),
    [anon_sym_typedef] = ACTIONS(3021),
    [anon_sym_virtual] = ACTIONS(3021),
    [anon_sym_extern] = ACTIONS(3021),
    [anon_sym___attribute__] = ACTIONS(3021),
    [anon_sym_COLON_COLON] = ACTIONS(3023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3023),
    [anon_sym___declspec] = ACTIONS(3021),
    [anon_sym___based] = ACTIONS(3021),
    [anon_sym___cdecl] = ACTIONS(3021),
    [anon_sym___clrcall] = ACTIONS(3021),
    [anon_sym___stdcall] = ACTIONS(3021),
    [anon_sym___fastcall] = ACTIONS(3021),
    [anon_sym___thiscall] = ACTIONS(3021),
    [anon_sym___vectorcall] = ACTIONS(3021),
    [anon_sym_LBRACE] = ACTIONS(3023),
    [anon_sym_signed] = ACTIONS(3021),
    [anon_sym_unsigned] = ACTIONS(3021),
    [anon_sym_long] = ACTIONS(3021),
    [anon_sym_short] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(3021),
    [anon_sym_static] = ACTIONS(3021),
    [anon_sym_register] = ACTIONS(3021),
    [anon_sym_inline] = ACTIONS(3021),
    [anon_sym___inline] = ACTIONS(3021),
    [anon_sym___inline__] = ACTIONS(3021),
    [anon_sym___forceinline] = ACTIONS(3021),
    [anon_sym_thread_local] = ACTIONS(3021),
    [anon_sym___thread] = ACTIONS(3021),
    [anon_sym_const] = ACTIONS(3021),
    [anon_sym_constexpr] = ACTIONS(3021),
    [anon_sym_volatile] = ACTIONS(3021),
    [anon_sym_restrict] = ACTIONS(3021),
    [anon_sym___restrict__] = ACTIONS(3021),
    [anon_sym__Atomic] = ACTIONS(3021),
    [anon_sym__Noreturn] = ACTIONS(3021),
    [anon_sym_noreturn] = ACTIONS(3021),
    [anon_sym__Nonnull] = ACTIONS(3021),
    [anon_sym_mutable] = ACTIONS(3021),
    [anon_sym_constinit] = ACTIONS(3021),
    [anon_sym_consteval] = ACTIONS(3021),
    [anon_sym_alignas] = ACTIONS(3021),
    [anon_sym__Alignas] = ACTIONS(3021),
    [sym_primitive_type] = ACTIONS(3021),
    [anon_sym_enum] = ACTIONS(3021),
    [anon_sym_class] = ACTIONS(3021),
    [anon_sym_struct] = ACTIONS(3021),
    [anon_sym_union] = ACTIONS(3021),
    [anon_sym_if] = ACTIONS(3021),
    [anon_sym_switch] = ACTIONS(3021),
    [anon_sym_case] = ACTIONS(3021),
    [anon_sym_default] = ACTIONS(3021),
    [anon_sym_while] = ACTIONS(3021),
    [anon_sym_do] = ACTIONS(3021),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_return] = ACTIONS(3021),
    [anon_sym_break] = ACTIONS(3021),
    [anon_sym_continue] = ACTIONS(3021),
    [anon_sym_goto] = ACTIONS(3021),
    [anon_sym___try] = ACTIONS(3021),
    [anon_sym___leave] = ACTIONS(3021),
    [anon_sym_not] = ACTIONS(3021),
    [anon_sym_compl] = ACTIONS(3021),
    [anon_sym_DASH_DASH] = ACTIONS(3023),
    [anon_sym_PLUS_PLUS] = ACTIONS(3023),
    [anon_sym_sizeof] = ACTIONS(3021),
    [anon_sym___alignof__] = ACTIONS(3021),
    [anon_sym___alignof] = ACTIONS(3021),
    [anon_sym__alignof] = ACTIONS(3021),
    [anon_sym_alignof] = ACTIONS(3021),
    [anon_sym__Alignof] = ACTIONS(3021),
    [anon_sym_offsetof] = ACTIONS(3021),
    [anon_sym__Generic] = ACTIONS(3021),
    [anon_sym_asm] = ACTIONS(3021),
    [anon_sym___asm__] = ACTIONS(3021),
    [anon_sym___asm] = ACTIONS(3021),
    [sym_number_literal] = ACTIONS(3023),
    [anon_sym_L_SQUOTE] = ACTIONS(3023),
    [anon_sym_u_SQUOTE] = ACTIONS(3023),
    [anon_sym_U_SQUOTE] = ACTIONS(3023),
    [anon_sym_u8_SQUOTE] = ACTIONS(3023),
    [anon_sym_SQUOTE] = ACTIONS(3023),
    [anon_sym_L_DQUOTE] = ACTIONS(3023),
    [anon_sym_u_DQUOTE] = ACTIONS(3023),
    [anon_sym_U_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8_DQUOTE] = ACTIONS(3023),
    [anon_sym_DQUOTE] = ACTIONS(3023),
    [sym_true] = ACTIONS(3021),
    [sym_false] = ACTIONS(3021),
    [anon_sym_NULL] = ACTIONS(3021),
    [anon_sym_nullptr] = ACTIONS(3021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3021),
    [anon_sym_decltype] = ACTIONS(3021),
    [anon_sym_explicit] = ACTIONS(3021),
    [anon_sym_typename] = ACTIONS(3021),
    [anon_sym_template] = ACTIONS(3021),
    [anon_sym_operator] = ACTIONS(3021),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_delete] = ACTIONS(3021),
    [anon_sym_throw] = ACTIONS(3021),
    [anon_sym_namespace] = ACTIONS(3021),
    [anon_sym_using] = ACTIONS(3021),
    [anon_sym_static_assert] = ACTIONS(3021),
    [anon_sym_concept] = ACTIONS(3021),
    [anon_sym_co_return] = ACTIONS(3021),
    [anon_sym_co_yield] = ACTIONS(3021),
    [anon_sym_R_DQUOTE] = ACTIONS(3023),
    [anon_sym_LR_DQUOTE] = ACTIONS(3023),
    [anon_sym_uR_DQUOTE] = ACTIONS(3023),
    [anon_sym_UR_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3023),
    [anon_sym_co_await] = ACTIONS(3021),
    [anon_sym_new] = ACTIONS(3021),
    [anon_sym_requires] = ACTIONS(3021),
    [sym_this] = ACTIONS(3021),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_RBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [sym_primitive_type] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [sym_number_literal] = ACTIONS(2872),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [610] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [sym_primitive_type] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3061),
    [aux_sym_preproc_include_token1] = ACTIONS(3061),
    [aux_sym_preproc_def_token1] = ACTIONS(3061),
    [aux_sym_preproc_if_token1] = ACTIONS(3061),
    [aux_sym_preproc_if_token2] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3061),
    [sym_preproc_directive] = ACTIONS(3061),
    [anon_sym_LPAREN2] = ACTIONS(3063),
    [anon_sym_BANG] = ACTIONS(3063),
    [anon_sym_TILDE] = ACTIONS(3063),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3063),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym_SEMI] = ACTIONS(3063),
    [anon_sym___extension__] = ACTIONS(3061),
    [anon_sym_typedef] = ACTIONS(3061),
    [anon_sym_virtual] = ACTIONS(3061),
    [anon_sym_extern] = ACTIONS(3061),
    [anon_sym___attribute__] = ACTIONS(3061),
    [anon_sym_COLON_COLON] = ACTIONS(3063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3063),
    [anon_sym___declspec] = ACTIONS(3061),
    [anon_sym___based] = ACTIONS(3061),
    [anon_sym___cdecl] = ACTIONS(3061),
    [anon_sym___clrcall] = ACTIONS(3061),
    [anon_sym___stdcall] = ACTIONS(3061),
    [anon_sym___fastcall] = ACTIONS(3061),
    [anon_sym___thiscall] = ACTIONS(3061),
    [anon_sym___vectorcall] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(3063),
    [anon_sym_signed] = ACTIONS(3061),
    [anon_sym_unsigned] = ACTIONS(3061),
    [anon_sym_long] = ACTIONS(3061),
    [anon_sym_short] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_static] = ACTIONS(3061),
    [anon_sym_register] = ACTIONS(3061),
    [anon_sym_inline] = ACTIONS(3061),
    [anon_sym___inline] = ACTIONS(3061),
    [anon_sym___inline__] = ACTIONS(3061),
    [anon_sym___forceinline] = ACTIONS(3061),
    [anon_sym_thread_local] = ACTIONS(3061),
    [anon_sym___thread] = ACTIONS(3061),
    [anon_sym_const] = ACTIONS(3061),
    [anon_sym_constexpr] = ACTIONS(3061),
    [anon_sym_volatile] = ACTIONS(3061),
    [anon_sym_restrict] = ACTIONS(3061),
    [anon_sym___restrict__] = ACTIONS(3061),
    [anon_sym__Atomic] = ACTIONS(3061),
    [anon_sym__Noreturn] = ACTIONS(3061),
    [anon_sym_noreturn] = ACTIONS(3061),
    [anon_sym__Nonnull] = ACTIONS(3061),
    [anon_sym_mutable] = ACTIONS(3061),
    [anon_sym_constinit] = ACTIONS(3061),
    [anon_sym_consteval] = ACTIONS(3061),
    [anon_sym_alignas] = ACTIONS(3061),
    [anon_sym__Alignas] = ACTIONS(3061),
    [sym_primitive_type] = ACTIONS(3061),
    [anon_sym_enum] = ACTIONS(3061),
    [anon_sym_class] = ACTIONS(3061),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3061),
    [anon_sym_if] = ACTIONS(3061),
    [anon_sym_switch] = ACTIONS(3061),
    [anon_sym_case] = ACTIONS(3061),
    [anon_sym_default] = ACTIONS(3061),
    [anon_sym_while] = ACTIONS(3061),
    [anon_sym_do] = ACTIONS(3061),
    [anon_sym_for] = ACTIONS(3061),
    [anon_sym_return] = ACTIONS(3061),
    [anon_sym_break] = ACTIONS(3061),
    [anon_sym_continue] = ACTIONS(3061),
    [anon_sym_goto] = ACTIONS(3061),
    [anon_sym___try] = ACTIONS(3061),
    [anon_sym___leave] = ACTIONS(3061),
    [anon_sym_not] = ACTIONS(3061),
    [anon_sym_compl] = ACTIONS(3061),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_sizeof] = ACTIONS(3061),
    [anon_sym___alignof__] = ACTIONS(3061),
    [anon_sym___alignof] = ACTIONS(3061),
    [anon_sym__alignof] = ACTIONS(3061),
    [anon_sym_alignof] = ACTIONS(3061),
    [anon_sym__Alignof] = ACTIONS(3061),
    [anon_sym_offsetof] = ACTIONS(3061),
    [anon_sym__Generic] = ACTIONS(3061),
    [anon_sym_asm] = ACTIONS(3061),
    [anon_sym___asm__] = ACTIONS(3061),
    [anon_sym___asm] = ACTIONS(3061),
    [sym_number_literal] = ACTIONS(3063),
    [anon_sym_L_SQUOTE] = ACTIONS(3063),
    [anon_sym_u_SQUOTE] = ACTIONS(3063),
    [anon_sym_U_SQUOTE] = ACTIONS(3063),
    [anon_sym_u8_SQUOTE] = ACTIONS(3063),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_L_DQUOTE] = ACTIONS(3063),
    [anon_sym_u_DQUOTE] = ACTIONS(3063),
    [anon_sym_U_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8_DQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3063),
    [sym_true] = ACTIONS(3061),
    [sym_false] = ACTIONS(3061),
    [anon_sym_NULL] = ACTIONS(3061),
    [anon_sym_nullptr] = ACTIONS(3061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3061),
    [anon_sym_decltype] = ACTIONS(3061),
    [anon_sym_explicit] = ACTIONS(3061),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3061),
    [anon_sym_operator] = ACTIONS(3061),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_delete] = ACTIONS(3061),
    [anon_sym_throw] = ACTIONS(3061),
    [anon_sym_namespace] = ACTIONS(3061),
    [anon_sym_using] = ACTIONS(3061),
    [anon_sym_static_assert] = ACTIONS(3061),
    [anon_sym_concept] = ACTIONS(3061),
    [anon_sym_co_return] = ACTIONS(3061),
    [anon_sym_co_yield] = ACTIONS(3061),
    [anon_sym_R_DQUOTE] = ACTIONS(3063),
    [anon_sym_LR_DQUOTE] = ACTIONS(3063),
    [anon_sym_uR_DQUOTE] = ACTIONS(3063),
    [anon_sym_UR_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3063),
    [anon_sym_co_await] = ACTIONS(3061),
    [anon_sym_new] = ACTIONS(3061),
    [anon_sym_requires] = ACTIONS(3061),
    [sym_this] = ACTIONS(3061),
  },
  [614] = {
    [sym_identifier] = ACTIONS(3069),
    [aux_sym_preproc_include_token1] = ACTIONS(3069),
    [aux_sym_preproc_def_token1] = ACTIONS(3069),
    [aux_sym_preproc_if_token1] = ACTIONS(3069),
    [aux_sym_preproc_if_token2] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3069),
    [sym_preproc_directive] = ACTIONS(3069),
    [anon_sym_LPAREN2] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3071),
    [anon_sym_TILDE] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3071),
    [anon_sym_AMP_AMP] = ACTIONS(3071),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym_SEMI] = ACTIONS(3071),
    [anon_sym___extension__] = ACTIONS(3069),
    [anon_sym_typedef] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym___attribute__] = ACTIONS(3069),
    [anon_sym_COLON_COLON] = ACTIONS(3071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3071),
    [anon_sym___declspec] = ACTIONS(3069),
    [anon_sym___based] = ACTIONS(3069),
    [anon_sym___cdecl] = ACTIONS(3069),
    [anon_sym___clrcall] = ACTIONS(3069),
    [anon_sym___stdcall] = ACTIONS(3069),
    [anon_sym___fastcall] = ACTIONS(3069),
    [anon_sym___thiscall] = ACTIONS(3069),
    [anon_sym___vectorcall] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(3071),
    [anon_sym_signed] = ACTIONS(3069),
    [anon_sym_unsigned] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_register] = ACTIONS(3069),
    [anon_sym_inline] = ACTIONS(3069),
    [anon_sym___inline] = ACTIONS(3069),
    [anon_sym___inline__] = ACTIONS(3069),
    [anon_sym___forceinline] = ACTIONS(3069),
    [anon_sym_thread_local] = ACTIONS(3069),
    [anon_sym___thread] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_constexpr] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_restrict] = ACTIONS(3069),
    [anon_sym___restrict__] = ACTIONS(3069),
    [anon_sym__Atomic] = ACTIONS(3069),
    [anon_sym__Noreturn] = ACTIONS(3069),
    [anon_sym_noreturn] = ACTIONS(3069),
    [anon_sym__Nonnull] = ACTIONS(3069),
    [anon_sym_mutable] = ACTIONS(3069),
    [anon_sym_constinit] = ACTIONS(3069),
    [anon_sym_consteval] = ACTIONS(3069),
    [anon_sym_alignas] = ACTIONS(3069),
    [anon_sym__Alignas] = ACTIONS(3069),
    [sym_primitive_type] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_union] = ACTIONS(3069),
    [anon_sym_if] = ACTIONS(3069),
    [anon_sym_switch] = ACTIONS(3069),
    [anon_sym_case] = ACTIONS(3069),
    [anon_sym_default] = ACTIONS(3069),
    [anon_sym_while] = ACTIONS(3069),
    [anon_sym_do] = ACTIONS(3069),
    [anon_sym_for] = ACTIONS(3069),
    [anon_sym_return] = ACTIONS(3069),
    [anon_sym_break] = ACTIONS(3069),
    [anon_sym_continue] = ACTIONS(3069),
    [anon_sym_goto] = ACTIONS(3069),
    [anon_sym___try] = ACTIONS(3069),
    [anon_sym___leave] = ACTIONS(3069),
    [anon_sym_not] = ACTIONS(3069),
    [anon_sym_compl] = ACTIONS(3069),
    [anon_sym_DASH_DASH] = ACTIONS(3071),
    [anon_sym_PLUS_PLUS] = ACTIONS(3071),
    [anon_sym_sizeof] = ACTIONS(3069),
    [anon_sym___alignof__] = ACTIONS(3069),
    [anon_sym___alignof] = ACTIONS(3069),
    [anon_sym__alignof] = ACTIONS(3069),
    [anon_sym_alignof] = ACTIONS(3069),
    [anon_sym__Alignof] = ACTIONS(3069),
    [anon_sym_offsetof] = ACTIONS(3069),
    [anon_sym__Generic] = ACTIONS(3069),
    [anon_sym_asm] = ACTIONS(3069),
    [anon_sym___asm__] = ACTIONS(3069),
    [anon_sym___asm] = ACTIONS(3069),
    [sym_number_literal] = ACTIONS(3071),
    [anon_sym_L_SQUOTE] = ACTIONS(3071),
    [anon_sym_u_SQUOTE] = ACTIONS(3071),
    [anon_sym_U_SQUOTE] = ACTIONS(3071),
    [anon_sym_u8_SQUOTE] = ACTIONS(3071),
    [anon_sym_SQUOTE] = ACTIONS(3071),
    [anon_sym_L_DQUOTE] = ACTIONS(3071),
    [anon_sym_u_DQUOTE] = ACTIONS(3071),
    [anon_sym_U_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8_DQUOTE] = ACTIONS(3071),
    [anon_sym_DQUOTE] = ACTIONS(3071),
    [sym_true] = ACTIONS(3069),
    [sym_false] = ACTIONS(3069),
    [anon_sym_NULL] = ACTIONS(3069),
    [anon_sym_nullptr] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3069),
    [anon_sym_decltype] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_typename] = ACTIONS(3069),
    [anon_sym_template] = ACTIONS(3069),
    [anon_sym_operator] = ACTIONS(3069),
    [anon_sym_try] = ACTIONS(3069),
    [anon_sym_delete] = ACTIONS(3069),
    [anon_sym_throw] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3069),
    [anon_sym_concept] = ACTIONS(3069),
    [anon_sym_co_return] = ACTIONS(3069),
    [anon_sym_co_yield] = ACTIONS(3069),
    [anon_sym_R_DQUOTE] = ACTIONS(3071),
    [anon_sym_LR_DQUOTE] = ACTIONS(3071),
    [anon_sym_uR_DQUOTE] = ACTIONS(3071),
    [anon_sym_UR_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3071),
    [anon_sym_co_await] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_requires] = ACTIONS(3069),
    [sym_this] = ACTIONS(3069),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [617] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [618] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_virtual] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym__Nonnull] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym___try] = ACTIONS(3017),
    [anon_sym___leave] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [anon_sym___asm] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [619] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [620] = {
    [sym_identifier] = ACTIONS(3093),
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3093),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_AMP_AMP] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3093),
    [anon_sym_typedef] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym___attribute__] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(3095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3095),
    [anon_sym___declspec] = ACTIONS(3093),
    [anon_sym___based] = ACTIONS(3093),
    [anon_sym___cdecl] = ACTIONS(3093),
    [anon_sym___clrcall] = ACTIONS(3093),
    [anon_sym___stdcall] = ACTIONS(3093),
    [anon_sym___fastcall] = ACTIONS(3093),
    [anon_sym___thiscall] = ACTIONS(3093),
    [anon_sym___vectorcall] = ACTIONS(3093),
    [anon_sym_LBRACE] = ACTIONS(3095),
    [anon_sym_RBRACE] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3093),
    [anon_sym_unsigned] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [anon_sym_register] = ACTIONS(3093),
    [anon_sym_inline] = ACTIONS(3093),
    [anon_sym___inline] = ACTIONS(3093),
    [anon_sym___inline__] = ACTIONS(3093),
    [anon_sym___forceinline] = ACTIONS(3093),
    [anon_sym_thread_local] = ACTIONS(3093),
    [anon_sym___thread] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_constexpr] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_restrict] = ACTIONS(3093),
    [anon_sym___restrict__] = ACTIONS(3093),
    [anon_sym__Atomic] = ACTIONS(3093),
    [anon_sym__Noreturn] = ACTIONS(3093),
    [anon_sym_noreturn] = ACTIONS(3093),
    [anon_sym__Nonnull] = ACTIONS(3093),
    [anon_sym_mutable] = ACTIONS(3093),
    [anon_sym_constinit] = ACTIONS(3093),
    [anon_sym_consteval] = ACTIONS(3093),
    [anon_sym_alignas] = ACTIONS(3093),
    [anon_sym__Alignas] = ACTIONS(3093),
    [sym_primitive_type] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_union] = ACTIONS(3093),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_switch] = ACTIONS(3093),
    [anon_sym_case] = ACTIONS(3093),
    [anon_sym_default] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(3093),
    [anon_sym_do] = ACTIONS(3093),
    [anon_sym_for] = ACTIONS(3093),
    [anon_sym_return] = ACTIONS(3093),
    [anon_sym_break] = ACTIONS(3093),
    [anon_sym_continue] = ACTIONS(3093),
    [anon_sym_goto] = ACTIONS(3093),
    [anon_sym___try] = ACTIONS(3093),
    [anon_sym___leave] = ACTIONS(3093),
    [anon_sym_not] = ACTIONS(3093),
    [anon_sym_compl] = ACTIONS(3093),
    [anon_sym_DASH_DASH] = ACTIONS(3095),
    [anon_sym_PLUS_PLUS] = ACTIONS(3095),
    [anon_sym_sizeof] = ACTIONS(3093),
    [anon_sym___alignof__] = ACTIONS(3093),
    [anon_sym___alignof] = ACTIONS(3093),
    [anon_sym__alignof] = ACTIONS(3093),
    [anon_sym_alignof] = ACTIONS(3093),
    [anon_sym__Alignof] = ACTIONS(3093),
    [anon_sym_offsetof] = ACTIONS(3093),
    [anon_sym__Generic] = ACTIONS(3093),
    [anon_sym_asm] = ACTIONS(3093),
    [anon_sym___asm__] = ACTIONS(3093),
    [anon_sym___asm] = ACTIONS(3093),
    [sym_number_literal] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3095),
    [anon_sym_u_SQUOTE] = ACTIONS(3095),
    [anon_sym_U_SQUOTE] = ACTIONS(3095),
    [anon_sym_u8_SQUOTE] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(3095),
    [anon_sym_L_DQUOTE] = ACTIONS(3095),
    [anon_sym_u_DQUOTE] = ACTIONS(3095),
    [anon_sym_U_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8_DQUOTE] = ACTIONS(3095),
    [anon_sym_DQUOTE] = ACTIONS(3095),
    [sym_true] = ACTIONS(3093),
    [sym_false] = ACTIONS(3093),
    [anon_sym_NULL] = ACTIONS(3093),
    [anon_sym_nullptr] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3093),
    [anon_sym_decltype] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_typename] = ACTIONS(3093),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_operator] = ACTIONS(3093),
    [anon_sym_try] = ACTIONS(3093),
    [anon_sym_delete] = ACTIONS(3093),
    [anon_sym_throw] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static_assert] = ACTIONS(3093),
    [anon_sym_concept] = ACTIONS(3093),
    [anon_sym_co_return] = ACTIONS(3093),
    [anon_sym_co_yield] = ACTIONS(3093),
    [anon_sym_R_DQUOTE] = ACTIONS(3095),
    [anon_sym_LR_DQUOTE] = ACTIONS(3095),
    [anon_sym_uR_DQUOTE] = ACTIONS(3095),
    [anon_sym_UR_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3095),
    [anon_sym_co_await] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_requires] = ACTIONS(3093),
    [sym_this] = ACTIONS(3093),
  },
  [621] = {
    [sym_identifier] = ACTIONS(3097),
    [aux_sym_preproc_include_token1] = ACTIONS(3097),
    [aux_sym_preproc_def_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3097),
    [anon_sym_LPAREN2] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3099),
    [anon_sym_DASH] = ACTIONS(3097),
    [anon_sym_PLUS] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3099),
    [anon_sym_AMP_AMP] = ACTIONS(3099),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3097),
    [anon_sym_typedef] = ACTIONS(3097),
    [anon_sym_virtual] = ACTIONS(3097),
    [anon_sym_extern] = ACTIONS(3097),
    [anon_sym___attribute__] = ACTIONS(3097),
    [anon_sym_COLON_COLON] = ACTIONS(3099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3099),
    [anon_sym___declspec] = ACTIONS(3097),
    [anon_sym___based] = ACTIONS(3097),
    [anon_sym___cdecl] = ACTIONS(3097),
    [anon_sym___clrcall] = ACTIONS(3097),
    [anon_sym___stdcall] = ACTIONS(3097),
    [anon_sym___fastcall] = ACTIONS(3097),
    [anon_sym___thiscall] = ACTIONS(3097),
    [anon_sym___vectorcall] = ACTIONS(3097),
    [anon_sym_LBRACE] = ACTIONS(3099),
    [anon_sym_RBRACE] = ACTIONS(3099),
    [anon_sym_signed] = ACTIONS(3097),
    [anon_sym_unsigned] = ACTIONS(3097),
    [anon_sym_long] = ACTIONS(3097),
    [anon_sym_short] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_static] = ACTIONS(3097),
    [anon_sym_register] = ACTIONS(3097),
    [anon_sym_inline] = ACTIONS(3097),
    [anon_sym___inline] = ACTIONS(3097),
    [anon_sym___inline__] = ACTIONS(3097),
    [anon_sym___forceinline] = ACTIONS(3097),
    [anon_sym_thread_local] = ACTIONS(3097),
    [anon_sym___thread] = ACTIONS(3097),
    [anon_sym_const] = ACTIONS(3097),
    [anon_sym_constexpr] = ACTIONS(3097),
    [anon_sym_volatile] = ACTIONS(3097),
    [anon_sym_restrict] = ACTIONS(3097),
    [anon_sym___restrict__] = ACTIONS(3097),
    [anon_sym__Atomic] = ACTIONS(3097),
    [anon_sym__Noreturn] = ACTIONS(3097),
    [anon_sym_noreturn] = ACTIONS(3097),
    [anon_sym__Nonnull] = ACTIONS(3097),
    [anon_sym_mutable] = ACTIONS(3097),
    [anon_sym_constinit] = ACTIONS(3097),
    [anon_sym_consteval] = ACTIONS(3097),
    [anon_sym_alignas] = ACTIONS(3097),
    [anon_sym__Alignas] = ACTIONS(3097),
    [sym_primitive_type] = ACTIONS(3097),
    [anon_sym_enum] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3097),
    [anon_sym_struct] = ACTIONS(3097),
    [anon_sym_union] = ACTIONS(3097),
    [anon_sym_if] = ACTIONS(3097),
    [anon_sym_switch] = ACTIONS(3097),
    [anon_sym_case] = ACTIONS(3097),
    [anon_sym_default] = ACTIONS(3097),
    [anon_sym_while] = ACTIONS(3097),
    [anon_sym_do] = ACTIONS(3097),
    [anon_sym_for] = ACTIONS(3097),
    [anon_sym_return] = ACTIONS(3097),
    [anon_sym_break] = ACTIONS(3097),
    [anon_sym_continue] = ACTIONS(3097),
    [anon_sym_goto] = ACTIONS(3097),
    [anon_sym___try] = ACTIONS(3097),
    [anon_sym___leave] = ACTIONS(3097),
    [anon_sym_not] = ACTIONS(3097),
    [anon_sym_compl] = ACTIONS(3097),
    [anon_sym_DASH_DASH] = ACTIONS(3099),
    [anon_sym_PLUS_PLUS] = ACTIONS(3099),
    [anon_sym_sizeof] = ACTIONS(3097),
    [anon_sym___alignof__] = ACTIONS(3097),
    [anon_sym___alignof] = ACTIONS(3097),
    [anon_sym__alignof] = ACTIONS(3097),
    [anon_sym_alignof] = ACTIONS(3097),
    [anon_sym__Alignof] = ACTIONS(3097),
    [anon_sym_offsetof] = ACTIONS(3097),
    [anon_sym__Generic] = ACTIONS(3097),
    [anon_sym_asm] = ACTIONS(3097),
    [anon_sym___asm__] = ACTIONS(3097),
    [anon_sym___asm] = ACTIONS(3097),
    [sym_number_literal] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3099),
    [anon_sym_u_SQUOTE] = ACTIONS(3099),
    [anon_sym_U_SQUOTE] = ACTIONS(3099),
    [anon_sym_u8_SQUOTE] = ACTIONS(3099),
    [anon_sym_SQUOTE] = ACTIONS(3099),
    [anon_sym_L_DQUOTE] = ACTIONS(3099),
    [anon_sym_u_DQUOTE] = ACTIONS(3099),
    [anon_sym_U_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8_DQUOTE] = ACTIONS(3099),
    [anon_sym_DQUOTE] = ACTIONS(3099),
    [sym_true] = ACTIONS(3097),
    [sym_false] = ACTIONS(3097),
    [anon_sym_NULL] = ACTIONS(3097),
    [anon_sym_nullptr] = ACTIONS(3097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3097),
    [anon_sym_explicit] = ACTIONS(3097),
    [anon_sym_typename] = ACTIONS(3097),
    [anon_sym_template] = ACTIONS(3097),
    [anon_sym_operator] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3097),
    [anon_sym_delete] = ACTIONS(3097),
    [anon_sym_throw] = ACTIONS(3097),
    [anon_sym_namespace] = ACTIONS(3097),
    [anon_sym_using] = ACTIONS(3097),
    [anon_sym_static_assert] = ACTIONS(3097),
    [anon_sym_concept] = ACTIONS(3097),
    [anon_sym_co_return] = ACTIONS(3097),
    [anon_sym_co_yield] = ACTIONS(3097),
    [anon_sym_R_DQUOTE] = ACTIONS(3099),
    [anon_sym_LR_DQUOTE] = ACTIONS(3099),
    [anon_sym_uR_DQUOTE] = ACTIONS(3099),
    [anon_sym_UR_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3099),
    [anon_sym_co_await] = ACTIONS(3097),
    [anon_sym_new] = ACTIONS(3097),
    [anon_sym_requires] = ACTIONS(3097),
    [sym_this] = ACTIONS(3097),
  },
  [622] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [623] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_RBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [624] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_RBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [625] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [626] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [627] = {
    [sym_identifier] = ACTIONS(3159),
    [aux_sym_preproc_include_token1] = ACTIONS(3159),
    [aux_sym_preproc_def_token1] = ACTIONS(3159),
    [aux_sym_preproc_if_token1] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3159),
    [sym_preproc_directive] = ACTIONS(3159),
    [anon_sym_LPAREN2] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3161),
    [anon_sym_TILDE] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3159),
    [anon_sym_PLUS] = ACTIONS(3159),
    [anon_sym_STAR] = ACTIONS(3161),
    [anon_sym_AMP_AMP] = ACTIONS(3161),
    [anon_sym_AMP] = ACTIONS(3159),
    [anon_sym_SEMI] = ACTIONS(3161),
    [anon_sym___extension__] = ACTIONS(3159),
    [anon_sym_typedef] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym___attribute__] = ACTIONS(3159),
    [anon_sym_COLON_COLON] = ACTIONS(3161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3161),
    [anon_sym___declspec] = ACTIONS(3159),
    [anon_sym___based] = ACTIONS(3159),
    [anon_sym___cdecl] = ACTIONS(3159),
    [anon_sym___clrcall] = ACTIONS(3159),
    [anon_sym___stdcall] = ACTIONS(3159),
    [anon_sym___fastcall] = ACTIONS(3159),
    [anon_sym___thiscall] = ACTIONS(3159),
    [anon_sym___vectorcall] = ACTIONS(3159),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_RBRACE] = ACTIONS(3161),
    [anon_sym_signed] = ACTIONS(3159),
    [anon_sym_unsigned] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [anon_sym_register] = ACTIONS(3159),
    [anon_sym_inline] = ACTIONS(3159),
    [anon_sym___inline] = ACTIONS(3159),
    [anon_sym___inline__] = ACTIONS(3159),
    [anon_sym___forceinline] = ACTIONS(3159),
    [anon_sym_thread_local] = ACTIONS(3159),
    [anon_sym___thread] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_constexpr] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_restrict] = ACTIONS(3159),
    [anon_sym___restrict__] = ACTIONS(3159),
    [anon_sym__Atomic] = ACTIONS(3159),
    [anon_sym__Noreturn] = ACTIONS(3159),
    [anon_sym_noreturn] = ACTIONS(3159),
    [anon_sym__Nonnull] = ACTIONS(3159),
    [anon_sym_mutable] = ACTIONS(3159),
    [anon_sym_constinit] = ACTIONS(3159),
    [anon_sym_consteval] = ACTIONS(3159),
    [anon_sym_alignas] = ACTIONS(3159),
    [anon_sym__Alignas] = ACTIONS(3159),
    [sym_primitive_type] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_union] = ACTIONS(3159),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_switch] = ACTIONS(3159),
    [anon_sym_case] = ACTIONS(3159),
    [anon_sym_default] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(3159),
    [anon_sym_do] = ACTIONS(3159),
    [anon_sym_for] = ACTIONS(3159),
    [anon_sym_return] = ACTIONS(3159),
    [anon_sym_break] = ACTIONS(3159),
    [anon_sym_continue] = ACTIONS(3159),
    [anon_sym_goto] = ACTIONS(3159),
    [anon_sym___try] = ACTIONS(3159),
    [anon_sym___leave] = ACTIONS(3159),
    [anon_sym_not] = ACTIONS(3159),
    [anon_sym_compl] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3161),
    [anon_sym_PLUS_PLUS] = ACTIONS(3161),
    [anon_sym_sizeof] = ACTIONS(3159),
    [anon_sym___alignof__] = ACTIONS(3159),
    [anon_sym___alignof] = ACTIONS(3159),
    [anon_sym__alignof] = ACTIONS(3159),
    [anon_sym_alignof] = ACTIONS(3159),
    [anon_sym__Alignof] = ACTIONS(3159),
    [anon_sym_offsetof] = ACTIONS(3159),
    [anon_sym__Generic] = ACTIONS(3159),
    [anon_sym_asm] = ACTIONS(3159),
    [anon_sym___asm__] = ACTIONS(3159),
    [anon_sym___asm] = ACTIONS(3159),
    [sym_number_literal] = ACTIONS(3161),
    [anon_sym_L_SQUOTE] = ACTIONS(3161),
    [anon_sym_u_SQUOTE] = ACTIONS(3161),
    [anon_sym_U_SQUOTE] = ACTIONS(3161),
    [anon_sym_u8_SQUOTE] = ACTIONS(3161),
    [anon_sym_SQUOTE] = ACTIONS(3161),
    [anon_sym_L_DQUOTE] = ACTIONS(3161),
    [anon_sym_u_DQUOTE] = ACTIONS(3161),
    [anon_sym_U_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8_DQUOTE] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(3161),
    [sym_true] = ACTIONS(3159),
    [sym_false] = ACTIONS(3159),
    [anon_sym_NULL] = ACTIONS(3159),
    [anon_sym_nullptr] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3159),
    [anon_sym_decltype] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_typename] = ACTIONS(3159),
    [anon_sym_template] = ACTIONS(3159),
    [anon_sym_operator] = ACTIONS(3159),
    [anon_sym_try] = ACTIONS(3159),
    [anon_sym_delete] = ACTIONS(3159),
    [anon_sym_throw] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static_assert] = ACTIONS(3159),
    [anon_sym_concept] = ACTIONS(3159),
    [anon_sym_co_return] = ACTIONS(3159),
    [anon_sym_co_yield] = ACTIONS(3159),
    [anon_sym_R_DQUOTE] = ACTIONS(3161),
    [anon_sym_LR_DQUOTE] = ACTIONS(3161),
    [anon_sym_uR_DQUOTE] = ACTIONS(3161),
    [anon_sym_UR_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3161),
    [anon_sym_co_await] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_requires] = ACTIONS(3159),
    [sym_this] = ACTIONS(3159),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(1950),
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [anon_sym_RPAREN] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [629] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token2] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [sym_primitive_type] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym___try] = ACTIONS(3029),
    [anon_sym___leave] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [sym_number_literal] = ACTIONS(3031),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym__Nonnull] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym__Alignas] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [anon_sym___asm] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym__Nonnull] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym__Alignas] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [anon_sym___asm] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym__Nonnull] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [anon_sym___asm] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [633] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5383),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6315),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(8051),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3328),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [aux_sym_preproc_else_token1] = ACTIONS(3334),
    [aux_sym_preproc_elif_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3334),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3348),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym___extension__] = ACTIONS(3360),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3366),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3372),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3378),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3384),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3396),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym__Nonnull] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3399),
    [anon_sym__Alignas] = ACTIONS(3399),
    [sym_primitive_type] = ACTIONS(3402),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_union] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3423),
    [anon_sym_typename] = ACTIONS(3426),
    [anon_sym_template] = ACTIONS(3429),
    [anon_sym_operator] = ACTIONS(3432),
    [anon_sym_friend] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3438),
    [anon_sym_private] = ACTIONS(3438),
    [anon_sym_protected] = ACTIONS(3438),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_static_assert] = ACTIONS(3444),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [sym_primitive_type] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [sym_number_literal] = ACTIONS(2890),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [642] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym__Nonnull] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [anon_sym___asm] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [643] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym__Nonnull] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [anon_sym___asm] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [644] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym__Nonnull] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [anon_sym___asm] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [645] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [sym_number_literal] = ACTIONS(3027),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [646] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [647] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [648] = {
    [sym_identifier] = ACTIONS(3057),
    [aux_sym_preproc_include_token1] = ACTIONS(3057),
    [aux_sym_preproc_def_token1] = ACTIONS(3057),
    [aux_sym_preproc_if_token1] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3057),
    [sym_preproc_directive] = ACTIONS(3057),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_BANG] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3059),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym_SEMI] = ACTIONS(3059),
    [anon_sym___extension__] = ACTIONS(3057),
    [anon_sym_typedef] = ACTIONS(3057),
    [anon_sym_virtual] = ACTIONS(3057),
    [anon_sym_extern] = ACTIONS(3057),
    [anon_sym___attribute__] = ACTIONS(3057),
    [anon_sym_COLON_COLON] = ACTIONS(3059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3059),
    [anon_sym___declspec] = ACTIONS(3057),
    [anon_sym___based] = ACTIONS(3057),
    [anon_sym___cdecl] = ACTIONS(3057),
    [anon_sym___clrcall] = ACTIONS(3057),
    [anon_sym___stdcall] = ACTIONS(3057),
    [anon_sym___fastcall] = ACTIONS(3057),
    [anon_sym___thiscall] = ACTIONS(3057),
    [anon_sym___vectorcall] = ACTIONS(3057),
    [anon_sym_LBRACE] = ACTIONS(3059),
    [anon_sym_RBRACE] = ACTIONS(3059),
    [anon_sym_signed] = ACTIONS(3057),
    [anon_sym_unsigned] = ACTIONS(3057),
    [anon_sym_long] = ACTIONS(3057),
    [anon_sym_short] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_register] = ACTIONS(3057),
    [anon_sym_inline] = ACTIONS(3057),
    [anon_sym___inline] = ACTIONS(3057),
    [anon_sym___inline__] = ACTIONS(3057),
    [anon_sym___forceinline] = ACTIONS(3057),
    [anon_sym_thread_local] = ACTIONS(3057),
    [anon_sym___thread] = ACTIONS(3057),
    [anon_sym_const] = ACTIONS(3057),
    [anon_sym_constexpr] = ACTIONS(3057),
    [anon_sym_volatile] = ACTIONS(3057),
    [anon_sym_restrict] = ACTIONS(3057),
    [anon_sym___restrict__] = ACTIONS(3057),
    [anon_sym__Atomic] = ACTIONS(3057),
    [anon_sym__Noreturn] = ACTIONS(3057),
    [anon_sym_noreturn] = ACTIONS(3057),
    [anon_sym__Nonnull] = ACTIONS(3057),
    [anon_sym_mutable] = ACTIONS(3057),
    [anon_sym_constinit] = ACTIONS(3057),
    [anon_sym_consteval] = ACTIONS(3057),
    [anon_sym_alignas] = ACTIONS(3057),
    [anon_sym__Alignas] = ACTIONS(3057),
    [sym_primitive_type] = ACTIONS(3057),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3057),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3057),
    [anon_sym_if] = ACTIONS(3057),
    [anon_sym_switch] = ACTIONS(3057),
    [anon_sym_case] = ACTIONS(3057),
    [anon_sym_default] = ACTIONS(3057),
    [anon_sym_while] = ACTIONS(3057),
    [anon_sym_do] = ACTIONS(3057),
    [anon_sym_for] = ACTIONS(3057),
    [anon_sym_return] = ACTIONS(3057),
    [anon_sym_break] = ACTIONS(3057),
    [anon_sym_continue] = ACTIONS(3057),
    [anon_sym_goto] = ACTIONS(3057),
    [anon_sym___try] = ACTIONS(3057),
    [anon_sym___leave] = ACTIONS(3057),
    [anon_sym_not] = ACTIONS(3057),
    [anon_sym_compl] = ACTIONS(3057),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_sizeof] = ACTIONS(3057),
    [anon_sym___alignof__] = ACTIONS(3057),
    [anon_sym___alignof] = ACTIONS(3057),
    [anon_sym__alignof] = ACTIONS(3057),
    [anon_sym_alignof] = ACTIONS(3057),
    [anon_sym__Alignof] = ACTIONS(3057),
    [anon_sym_offsetof] = ACTIONS(3057),
    [anon_sym__Generic] = ACTIONS(3057),
    [anon_sym_asm] = ACTIONS(3057),
    [anon_sym___asm__] = ACTIONS(3057),
    [anon_sym___asm] = ACTIONS(3057),
    [sym_number_literal] = ACTIONS(3059),
    [anon_sym_L_SQUOTE] = ACTIONS(3059),
    [anon_sym_u_SQUOTE] = ACTIONS(3059),
    [anon_sym_U_SQUOTE] = ACTIONS(3059),
    [anon_sym_u8_SQUOTE] = ACTIONS(3059),
    [anon_sym_SQUOTE] = ACTIONS(3059),
    [anon_sym_L_DQUOTE] = ACTIONS(3059),
    [anon_sym_u_DQUOTE] = ACTIONS(3059),
    [anon_sym_U_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8_DQUOTE] = ACTIONS(3059),
    [anon_sym_DQUOTE] = ACTIONS(3059),
    [sym_true] = ACTIONS(3057),
    [sym_false] = ACTIONS(3057),
    [anon_sym_NULL] = ACTIONS(3057),
    [anon_sym_nullptr] = ACTIONS(3057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3057),
    [anon_sym_decltype] = ACTIONS(3057),
    [anon_sym_explicit] = ACTIONS(3057),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3057),
    [anon_sym_operator] = ACTIONS(3057),
    [anon_sym_try] = ACTIONS(3057),
    [anon_sym_delete] = ACTIONS(3057),
    [anon_sym_throw] = ACTIONS(3057),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3057),
    [anon_sym_static_assert] = ACTIONS(3057),
    [anon_sym_concept] = ACTIONS(3057),
    [anon_sym_co_return] = ACTIONS(3057),
    [anon_sym_co_yield] = ACTIONS(3057),
    [anon_sym_R_DQUOTE] = ACTIONS(3059),
    [anon_sym_LR_DQUOTE] = ACTIONS(3059),
    [anon_sym_uR_DQUOTE] = ACTIONS(3059),
    [anon_sym_UR_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3059),
    [anon_sym_co_await] = ACTIONS(3057),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_requires] = ACTIONS(3057),
    [sym_this] = ACTIONS(3057),
  },
  [649] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3087),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_RBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym__Nonnull] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym__Alignas] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym___try] = ACTIONS(3085),
    [anon_sym___leave] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [anon_sym___asm] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_RBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token2] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [sym_primitive_type] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [sym_number_literal] = ACTIONS(2872),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [653] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym___try] = ACTIONS(3131),
    [anon_sym___leave] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [654] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_RBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym___try] = ACTIONS(3135),
    [anon_sym___leave] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token2] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3163),
    [aux_sym_preproc_include_token1] = ACTIONS(3163),
    [aux_sym_preproc_def_token1] = ACTIONS(3163),
    [aux_sym_preproc_if_token1] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3163),
    [sym_preproc_directive] = ACTIONS(3163),
    [anon_sym_LPAREN2] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_STAR] = ACTIONS(3165),
    [anon_sym_AMP_AMP] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3165),
    [anon_sym___extension__] = ACTIONS(3163),
    [anon_sym_typedef] = ACTIONS(3163),
    [anon_sym_virtual] = ACTIONS(3163),
    [anon_sym_extern] = ACTIONS(3163),
    [anon_sym___attribute__] = ACTIONS(3163),
    [anon_sym_COLON_COLON] = ACTIONS(3165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3165),
    [anon_sym___declspec] = ACTIONS(3163),
    [anon_sym___based] = ACTIONS(3163),
    [anon_sym___cdecl] = ACTIONS(3163),
    [anon_sym___clrcall] = ACTIONS(3163),
    [anon_sym___stdcall] = ACTIONS(3163),
    [anon_sym___fastcall] = ACTIONS(3163),
    [anon_sym___thiscall] = ACTIONS(3163),
    [anon_sym___vectorcall] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3165),
    [anon_sym_RBRACE] = ACTIONS(3165),
    [anon_sym_signed] = ACTIONS(3163),
    [anon_sym_unsigned] = ACTIONS(3163),
    [anon_sym_long] = ACTIONS(3163),
    [anon_sym_short] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_register] = ACTIONS(3163),
    [anon_sym_inline] = ACTIONS(3163),
    [anon_sym___inline] = ACTIONS(3163),
    [anon_sym___inline__] = ACTIONS(3163),
    [anon_sym___forceinline] = ACTIONS(3163),
    [anon_sym_thread_local] = ACTIONS(3163),
    [anon_sym___thread] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_constexpr] = ACTIONS(3163),
    [anon_sym_volatile] = ACTIONS(3163),
    [anon_sym_restrict] = ACTIONS(3163),
    [anon_sym___restrict__] = ACTIONS(3163),
    [anon_sym__Atomic] = ACTIONS(3163),
    [anon_sym__Noreturn] = ACTIONS(3163),
    [anon_sym_noreturn] = ACTIONS(3163),
    [anon_sym__Nonnull] = ACTIONS(3163),
    [anon_sym_mutable] = ACTIONS(3163),
    [anon_sym_constinit] = ACTIONS(3163),
    [anon_sym_consteval] = ACTIONS(3163),
    [anon_sym_alignas] = ACTIONS(3163),
    [anon_sym__Alignas] = ACTIONS(3163),
    [sym_primitive_type] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_struct] = ACTIONS(3163),
    [anon_sym_union] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_case] = ACTIONS(3163),
    [anon_sym_default] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_goto] = ACTIONS(3163),
    [anon_sym___try] = ACTIONS(3163),
    [anon_sym___leave] = ACTIONS(3163),
    [anon_sym_not] = ACTIONS(3163),
    [anon_sym_compl] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3165),
    [anon_sym_PLUS_PLUS] = ACTIONS(3165),
    [anon_sym_sizeof] = ACTIONS(3163),
    [anon_sym___alignof__] = ACTIONS(3163),
    [anon_sym___alignof] = ACTIONS(3163),
    [anon_sym__alignof] = ACTIONS(3163),
    [anon_sym_alignof] = ACTIONS(3163),
    [anon_sym__Alignof] = ACTIONS(3163),
    [anon_sym_offsetof] = ACTIONS(3163),
    [anon_sym__Generic] = ACTIONS(3163),
    [anon_sym_asm] = ACTIONS(3163),
    [anon_sym___asm__] = ACTIONS(3163),
    [anon_sym___asm] = ACTIONS(3163),
    [sym_number_literal] = ACTIONS(3165),
    [anon_sym_L_SQUOTE] = ACTIONS(3165),
    [anon_sym_u_SQUOTE] = ACTIONS(3165),
    [anon_sym_U_SQUOTE] = ACTIONS(3165),
    [anon_sym_u8_SQUOTE] = ACTIONS(3165),
    [anon_sym_SQUOTE] = ACTIONS(3165),
    [anon_sym_L_DQUOTE] = ACTIONS(3165),
    [anon_sym_u_DQUOTE] = ACTIONS(3165),
    [anon_sym_U_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8_DQUOTE] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(3165),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [anon_sym_NULL] = ACTIONS(3163),
    [anon_sym_nullptr] = ACTIONS(3163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3163),
    [anon_sym_decltype] = ACTIONS(3163),
    [anon_sym_explicit] = ACTIONS(3163),
    [anon_sym_typename] = ACTIONS(3163),
    [anon_sym_template] = ACTIONS(3163),
    [anon_sym_operator] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_static_assert] = ACTIONS(3163),
    [anon_sym_concept] = ACTIONS(3163),
    [anon_sym_co_return] = ACTIONS(3163),
    [anon_sym_co_yield] = ACTIONS(3163),
    [anon_sym_R_DQUOTE] = ACTIONS(3165),
    [anon_sym_LR_DQUOTE] = ACTIONS(3165),
    [anon_sym_uR_DQUOTE] = ACTIONS(3165),
    [anon_sym_UR_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3165),
    [anon_sym_co_await] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_requires] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
  },
  [659] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [sym_primitive_type] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym___try] = ACTIONS(3167),
    [anon_sym___leave] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [sym_number_literal] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [sym_number_literal] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [661] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [sym_primitive_type] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym___try] = ACTIONS(3175),
    [anon_sym___leave] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [sym_number_literal] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [662] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [sym_primitive_type] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym___try] = ACTIONS(3179),
    [anon_sym___leave] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [sym_number_literal] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [anon_sym___asm] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [670] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym__Nonnull] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [anon_sym___asm] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_virtual] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [672] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [673] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token2] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [674] = {
    [sym_identifier] = ACTIONS(3159),
    [aux_sym_preproc_include_token1] = ACTIONS(3159),
    [aux_sym_preproc_def_token1] = ACTIONS(3159),
    [aux_sym_preproc_if_token1] = ACTIONS(3159),
    [aux_sym_preproc_if_token2] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3159),
    [sym_preproc_directive] = ACTIONS(3159),
    [anon_sym_LPAREN2] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3161),
    [anon_sym_TILDE] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3159),
    [anon_sym_PLUS] = ACTIONS(3159),
    [anon_sym_STAR] = ACTIONS(3161),
    [anon_sym_AMP_AMP] = ACTIONS(3161),
    [anon_sym_AMP] = ACTIONS(3159),
    [anon_sym_SEMI] = ACTIONS(3161),
    [anon_sym___extension__] = ACTIONS(3159),
    [anon_sym_typedef] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym___attribute__] = ACTIONS(3159),
    [anon_sym_COLON_COLON] = ACTIONS(3161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3161),
    [anon_sym___declspec] = ACTIONS(3159),
    [anon_sym___based] = ACTIONS(3159),
    [anon_sym___cdecl] = ACTIONS(3159),
    [anon_sym___clrcall] = ACTIONS(3159),
    [anon_sym___stdcall] = ACTIONS(3159),
    [anon_sym___fastcall] = ACTIONS(3159),
    [anon_sym___thiscall] = ACTIONS(3159),
    [anon_sym___vectorcall] = ACTIONS(3159),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_signed] = ACTIONS(3159),
    [anon_sym_unsigned] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [anon_sym_register] = ACTIONS(3159),
    [anon_sym_inline] = ACTIONS(3159),
    [anon_sym___inline] = ACTIONS(3159),
    [anon_sym___inline__] = ACTIONS(3159),
    [anon_sym___forceinline] = ACTIONS(3159),
    [anon_sym_thread_local] = ACTIONS(3159),
    [anon_sym___thread] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_constexpr] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_restrict] = ACTIONS(3159),
    [anon_sym___restrict__] = ACTIONS(3159),
    [anon_sym__Atomic] = ACTIONS(3159),
    [anon_sym__Noreturn] = ACTIONS(3159),
    [anon_sym_noreturn] = ACTIONS(3159),
    [anon_sym__Nonnull] = ACTIONS(3159),
    [anon_sym_mutable] = ACTIONS(3159),
    [anon_sym_constinit] = ACTIONS(3159),
    [anon_sym_consteval] = ACTIONS(3159),
    [anon_sym_alignas] = ACTIONS(3159),
    [anon_sym__Alignas] = ACTIONS(3159),
    [sym_primitive_type] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_union] = ACTIONS(3159),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_switch] = ACTIONS(3159),
    [anon_sym_case] = ACTIONS(3159),
    [anon_sym_default] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(3159),
    [anon_sym_do] = ACTIONS(3159),
    [anon_sym_for] = ACTIONS(3159),
    [anon_sym_return] = ACTIONS(3159),
    [anon_sym_break] = ACTIONS(3159),
    [anon_sym_continue] = ACTIONS(3159),
    [anon_sym_goto] = ACTIONS(3159),
    [anon_sym___try] = ACTIONS(3159),
    [anon_sym___leave] = ACTIONS(3159),
    [anon_sym_not] = ACTIONS(3159),
    [anon_sym_compl] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3161),
    [anon_sym_PLUS_PLUS] = ACTIONS(3161),
    [anon_sym_sizeof] = ACTIONS(3159),
    [anon_sym___alignof__] = ACTIONS(3159),
    [anon_sym___alignof] = ACTIONS(3159),
    [anon_sym__alignof] = ACTIONS(3159),
    [anon_sym_alignof] = ACTIONS(3159),
    [anon_sym__Alignof] = ACTIONS(3159),
    [anon_sym_offsetof] = ACTIONS(3159),
    [anon_sym__Generic] = ACTIONS(3159),
    [anon_sym_asm] = ACTIONS(3159),
    [anon_sym___asm__] = ACTIONS(3159),
    [anon_sym___asm] = ACTIONS(3159),
    [sym_number_literal] = ACTIONS(3161),
    [anon_sym_L_SQUOTE] = ACTIONS(3161),
    [anon_sym_u_SQUOTE] = ACTIONS(3161),
    [anon_sym_U_SQUOTE] = ACTIONS(3161),
    [anon_sym_u8_SQUOTE] = ACTIONS(3161),
    [anon_sym_SQUOTE] = ACTIONS(3161),
    [anon_sym_L_DQUOTE] = ACTIONS(3161),
    [anon_sym_u_DQUOTE] = ACTIONS(3161),
    [anon_sym_U_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8_DQUOTE] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(3161),
    [sym_true] = ACTIONS(3159),
    [sym_false] = ACTIONS(3159),
    [anon_sym_NULL] = ACTIONS(3159),
    [anon_sym_nullptr] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3159),
    [anon_sym_decltype] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_typename] = ACTIONS(3159),
    [anon_sym_template] = ACTIONS(3159),
    [anon_sym_operator] = ACTIONS(3159),
    [anon_sym_try] = ACTIONS(3159),
    [anon_sym_delete] = ACTIONS(3159),
    [anon_sym_throw] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static_assert] = ACTIONS(3159),
    [anon_sym_concept] = ACTIONS(3159),
    [anon_sym_co_return] = ACTIONS(3159),
    [anon_sym_co_yield] = ACTIONS(3159),
    [anon_sym_R_DQUOTE] = ACTIONS(3161),
    [anon_sym_LR_DQUOTE] = ACTIONS(3161),
    [anon_sym_uR_DQUOTE] = ACTIONS(3161),
    [anon_sym_UR_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3161),
    [anon_sym_co_await] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_requires] = ACTIONS(3159),
    [sym_this] = ACTIONS(3159),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym__Nonnull] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym__Alignas] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [anon_sym___asm] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym__Nonnull] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym__Alignas] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [anon_sym___asm] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [677] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2994),
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [sym_number_literal] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [679] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(1902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [aux_sym_preproc_if_token2] = ACTIONS(1904),
    [aux_sym_preproc_else_token1] = ACTIONS(1904),
    [aux_sym_preproc_elif_token1] = ACTIONS(1902),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3447),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(3079),
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [anon_sym_COMMA] = ACTIONS(3079),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym__Nonnull] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym__Alignas] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [anon_sym___asm] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(3075),
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym__Nonnull] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym__Alignas] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [anon_sym___asm] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2864),
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(2828),
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2836),
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(3007),
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym__Nonnull] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [anon_sym___asm] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(3169),
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [sym_primitive_type] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [sym_number_literal] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(3011),
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym__Nonnull] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [anon_sym___asm] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3015),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym__Nonnull] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [anon_sym___asm] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2951),
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(3019),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_virtual] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym__Nonnull] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [anon_sym___asm] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2978),
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2840),
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(3027),
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [sym_number_literal] = ACTIONS(3027),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(3189),
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(3047),
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(3059),
    [sym_identifier] = ACTIONS(3057),
    [aux_sym_preproc_include_token1] = ACTIONS(3057),
    [aux_sym_preproc_def_token1] = ACTIONS(3057),
    [aux_sym_preproc_if_token1] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3057),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3057),
    [sym_preproc_directive] = ACTIONS(3057),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_BANG] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3059),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(3059),
    [anon_sym_AMP_AMP] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(3057),
    [anon_sym___extension__] = ACTIONS(3057),
    [anon_sym_typedef] = ACTIONS(3057),
    [anon_sym_virtual] = ACTIONS(3057),
    [anon_sym_extern] = ACTIONS(3057),
    [anon_sym___attribute__] = ACTIONS(3057),
    [anon_sym_COLON_COLON] = ACTIONS(3059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3059),
    [anon_sym___declspec] = ACTIONS(3057),
    [anon_sym___based] = ACTIONS(3057),
    [anon_sym___cdecl] = ACTIONS(3057),
    [anon_sym___clrcall] = ACTIONS(3057),
    [anon_sym___stdcall] = ACTIONS(3057),
    [anon_sym___fastcall] = ACTIONS(3057),
    [anon_sym___thiscall] = ACTIONS(3057),
    [anon_sym___vectorcall] = ACTIONS(3057),
    [anon_sym_LBRACE] = ACTIONS(3059),
    [anon_sym_signed] = ACTIONS(3057),
    [anon_sym_unsigned] = ACTIONS(3057),
    [anon_sym_long] = ACTIONS(3057),
    [anon_sym_short] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_register] = ACTIONS(3057),
    [anon_sym_inline] = ACTIONS(3057),
    [anon_sym___inline] = ACTIONS(3057),
    [anon_sym___inline__] = ACTIONS(3057),
    [anon_sym___forceinline] = ACTIONS(3057),
    [anon_sym_thread_local] = ACTIONS(3057),
    [anon_sym___thread] = ACTIONS(3057),
    [anon_sym_const] = ACTIONS(3057),
    [anon_sym_constexpr] = ACTIONS(3057),
    [anon_sym_volatile] = ACTIONS(3057),
    [anon_sym_restrict] = ACTIONS(3057),
    [anon_sym___restrict__] = ACTIONS(3057),
    [anon_sym__Atomic] = ACTIONS(3057),
    [anon_sym__Noreturn] = ACTIONS(3057),
    [anon_sym_noreturn] = ACTIONS(3057),
    [anon_sym__Nonnull] = ACTIONS(3057),
    [anon_sym_mutable] = ACTIONS(3057),
    [anon_sym_constinit] = ACTIONS(3057),
    [anon_sym_consteval] = ACTIONS(3057),
    [anon_sym_alignas] = ACTIONS(3057),
    [anon_sym__Alignas] = ACTIONS(3057),
    [sym_primitive_type] = ACTIONS(3057),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3057),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3057),
    [anon_sym_if] = ACTIONS(3057),
    [anon_sym_switch] = ACTIONS(3057),
    [anon_sym_case] = ACTIONS(3057),
    [anon_sym_default] = ACTIONS(3057),
    [anon_sym_while] = ACTIONS(3057),
    [anon_sym_do] = ACTIONS(3057),
    [anon_sym_for] = ACTIONS(3057),
    [anon_sym_return] = ACTIONS(3057),
    [anon_sym_break] = ACTIONS(3057),
    [anon_sym_continue] = ACTIONS(3057),
    [anon_sym_goto] = ACTIONS(3057),
    [anon_sym_not] = ACTIONS(3057),
    [anon_sym_compl] = ACTIONS(3057),
    [anon_sym_DASH_DASH] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(3059),
    [anon_sym_sizeof] = ACTIONS(3057),
    [anon_sym___alignof__] = ACTIONS(3057),
    [anon_sym___alignof] = ACTIONS(3057),
    [anon_sym__alignof] = ACTIONS(3057),
    [anon_sym_alignof] = ACTIONS(3057),
    [anon_sym__Alignof] = ACTIONS(3057),
    [anon_sym_offsetof] = ACTIONS(3057),
    [anon_sym__Generic] = ACTIONS(3057),
    [anon_sym_asm] = ACTIONS(3057),
    [anon_sym___asm__] = ACTIONS(3057),
    [anon_sym___asm] = ACTIONS(3057),
    [sym_number_literal] = ACTIONS(3059),
    [anon_sym_L_SQUOTE] = ACTIONS(3059),
    [anon_sym_u_SQUOTE] = ACTIONS(3059),
    [anon_sym_U_SQUOTE] = ACTIONS(3059),
    [anon_sym_u8_SQUOTE] = ACTIONS(3059),
    [anon_sym_SQUOTE] = ACTIONS(3059),
    [anon_sym_L_DQUOTE] = ACTIONS(3059),
    [anon_sym_u_DQUOTE] = ACTIONS(3059),
    [anon_sym_U_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8_DQUOTE] = ACTIONS(3059),
    [anon_sym_DQUOTE] = ACTIONS(3059),
    [sym_true] = ACTIONS(3057),
    [sym_false] = ACTIONS(3057),
    [anon_sym_NULL] = ACTIONS(3057),
    [anon_sym_nullptr] = ACTIONS(3057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3057),
    [anon_sym_decltype] = ACTIONS(3057),
    [anon_sym_explicit] = ACTIONS(3057),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3057),
    [anon_sym_operator] = ACTIONS(3057),
    [anon_sym_try] = ACTIONS(3057),
    [anon_sym_delete] = ACTIONS(3057),
    [anon_sym_throw] = ACTIONS(3057),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3057),
    [anon_sym_static_assert] = ACTIONS(3057),
    [anon_sym_concept] = ACTIONS(3057),
    [anon_sym_co_return] = ACTIONS(3057),
    [anon_sym_co_yield] = ACTIONS(3057),
    [anon_sym_R_DQUOTE] = ACTIONS(3059),
    [anon_sym_LR_DQUOTE] = ACTIONS(3059),
    [anon_sym_uR_DQUOTE] = ACTIONS(3059),
    [anon_sym_UR_DQUOTE] = ACTIONS(3059),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3059),
    [anon_sym_co_await] = ACTIONS(3057),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_requires] = ACTIONS(3057),
    [sym_this] = ACTIONS(3057),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(3063),
    [sym_identifier] = ACTIONS(3061),
    [aux_sym_preproc_include_token1] = ACTIONS(3061),
    [aux_sym_preproc_def_token1] = ACTIONS(3061),
    [aux_sym_preproc_if_token1] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3061),
    [sym_preproc_directive] = ACTIONS(3061),
    [anon_sym_LPAREN2] = ACTIONS(3063),
    [anon_sym_BANG] = ACTIONS(3063),
    [anon_sym_TILDE] = ACTIONS(3063),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_STAR] = ACTIONS(3063),
    [anon_sym_AMP_AMP] = ACTIONS(3063),
    [anon_sym_AMP] = ACTIONS(3061),
    [anon_sym___extension__] = ACTIONS(3061),
    [anon_sym_typedef] = ACTIONS(3061),
    [anon_sym_virtual] = ACTIONS(3061),
    [anon_sym_extern] = ACTIONS(3061),
    [anon_sym___attribute__] = ACTIONS(3061),
    [anon_sym_COLON_COLON] = ACTIONS(3063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3063),
    [anon_sym___declspec] = ACTIONS(3061),
    [anon_sym___based] = ACTIONS(3061),
    [anon_sym___cdecl] = ACTIONS(3061),
    [anon_sym___clrcall] = ACTIONS(3061),
    [anon_sym___stdcall] = ACTIONS(3061),
    [anon_sym___fastcall] = ACTIONS(3061),
    [anon_sym___thiscall] = ACTIONS(3061),
    [anon_sym___vectorcall] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(3063),
    [anon_sym_signed] = ACTIONS(3061),
    [anon_sym_unsigned] = ACTIONS(3061),
    [anon_sym_long] = ACTIONS(3061),
    [anon_sym_short] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_static] = ACTIONS(3061),
    [anon_sym_register] = ACTIONS(3061),
    [anon_sym_inline] = ACTIONS(3061),
    [anon_sym___inline] = ACTIONS(3061),
    [anon_sym___inline__] = ACTIONS(3061),
    [anon_sym___forceinline] = ACTIONS(3061),
    [anon_sym_thread_local] = ACTIONS(3061),
    [anon_sym___thread] = ACTIONS(3061),
    [anon_sym_const] = ACTIONS(3061),
    [anon_sym_constexpr] = ACTIONS(3061),
    [anon_sym_volatile] = ACTIONS(3061),
    [anon_sym_restrict] = ACTIONS(3061),
    [anon_sym___restrict__] = ACTIONS(3061),
    [anon_sym__Atomic] = ACTIONS(3061),
    [anon_sym__Noreturn] = ACTIONS(3061),
    [anon_sym_noreturn] = ACTIONS(3061),
    [anon_sym__Nonnull] = ACTIONS(3061),
    [anon_sym_mutable] = ACTIONS(3061),
    [anon_sym_constinit] = ACTIONS(3061),
    [anon_sym_consteval] = ACTIONS(3061),
    [anon_sym_alignas] = ACTIONS(3061),
    [anon_sym__Alignas] = ACTIONS(3061),
    [sym_primitive_type] = ACTIONS(3061),
    [anon_sym_enum] = ACTIONS(3061),
    [anon_sym_class] = ACTIONS(3061),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3061),
    [anon_sym_if] = ACTIONS(3061),
    [anon_sym_switch] = ACTIONS(3061),
    [anon_sym_case] = ACTIONS(3061),
    [anon_sym_default] = ACTIONS(3061),
    [anon_sym_while] = ACTIONS(3061),
    [anon_sym_do] = ACTIONS(3061),
    [anon_sym_for] = ACTIONS(3061),
    [anon_sym_return] = ACTIONS(3061),
    [anon_sym_break] = ACTIONS(3061),
    [anon_sym_continue] = ACTIONS(3061),
    [anon_sym_goto] = ACTIONS(3061),
    [anon_sym_not] = ACTIONS(3061),
    [anon_sym_compl] = ACTIONS(3061),
    [anon_sym_DASH_DASH] = ACTIONS(3063),
    [anon_sym_PLUS_PLUS] = ACTIONS(3063),
    [anon_sym_sizeof] = ACTIONS(3061),
    [anon_sym___alignof__] = ACTIONS(3061),
    [anon_sym___alignof] = ACTIONS(3061),
    [anon_sym__alignof] = ACTIONS(3061),
    [anon_sym_alignof] = ACTIONS(3061),
    [anon_sym__Alignof] = ACTIONS(3061),
    [anon_sym_offsetof] = ACTIONS(3061),
    [anon_sym__Generic] = ACTIONS(3061),
    [anon_sym_asm] = ACTIONS(3061),
    [anon_sym___asm__] = ACTIONS(3061),
    [anon_sym___asm] = ACTIONS(3061),
    [sym_number_literal] = ACTIONS(3063),
    [anon_sym_L_SQUOTE] = ACTIONS(3063),
    [anon_sym_u_SQUOTE] = ACTIONS(3063),
    [anon_sym_U_SQUOTE] = ACTIONS(3063),
    [anon_sym_u8_SQUOTE] = ACTIONS(3063),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_L_DQUOTE] = ACTIONS(3063),
    [anon_sym_u_DQUOTE] = ACTIONS(3063),
    [anon_sym_U_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8_DQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3063),
    [sym_true] = ACTIONS(3061),
    [sym_false] = ACTIONS(3061),
    [anon_sym_NULL] = ACTIONS(3061),
    [anon_sym_nullptr] = ACTIONS(3061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3061),
    [anon_sym_decltype] = ACTIONS(3061),
    [anon_sym_explicit] = ACTIONS(3061),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3061),
    [anon_sym_operator] = ACTIONS(3061),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_delete] = ACTIONS(3061),
    [anon_sym_throw] = ACTIONS(3061),
    [anon_sym_namespace] = ACTIONS(3061),
    [anon_sym_using] = ACTIONS(3061),
    [anon_sym_static_assert] = ACTIONS(3061),
    [anon_sym_concept] = ACTIONS(3061),
    [anon_sym_co_return] = ACTIONS(3061),
    [anon_sym_co_yield] = ACTIONS(3061),
    [anon_sym_R_DQUOTE] = ACTIONS(3063),
    [anon_sym_LR_DQUOTE] = ACTIONS(3063),
    [anon_sym_uR_DQUOTE] = ACTIONS(3063),
    [anon_sym_UR_DQUOTE] = ACTIONS(3063),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3063),
    [anon_sym_co_await] = ACTIONS(3061),
    [anon_sym_new] = ACTIONS(3061),
    [anon_sym_requires] = ACTIONS(3061),
    [sym_this] = ACTIONS(3061),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2882),
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2886),
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(2852),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [anon_sym___asm] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(3133),
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(3083),
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(3067),
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2868),
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [sym_primitive_type] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym__Nonnull] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [anon_sym___asm] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(3071),
    [sym_identifier] = ACTIONS(3069),
    [aux_sym_preproc_include_token1] = ACTIONS(3069),
    [aux_sym_preproc_def_token1] = ACTIONS(3069),
    [aux_sym_preproc_if_token1] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3069),
    [sym_preproc_directive] = ACTIONS(3069),
    [anon_sym_LPAREN2] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3071),
    [anon_sym_TILDE] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(3071),
    [anon_sym_AMP_AMP] = ACTIONS(3071),
    [anon_sym_AMP] = ACTIONS(3069),
    [anon_sym___extension__] = ACTIONS(3069),
    [anon_sym_typedef] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym___attribute__] = ACTIONS(3069),
    [anon_sym_COLON_COLON] = ACTIONS(3071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3071),
    [anon_sym___declspec] = ACTIONS(3069),
    [anon_sym___based] = ACTIONS(3069),
    [anon_sym___cdecl] = ACTIONS(3069),
    [anon_sym___clrcall] = ACTIONS(3069),
    [anon_sym___stdcall] = ACTIONS(3069),
    [anon_sym___fastcall] = ACTIONS(3069),
    [anon_sym___thiscall] = ACTIONS(3069),
    [anon_sym___vectorcall] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(3071),
    [anon_sym_signed] = ACTIONS(3069),
    [anon_sym_unsigned] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_register] = ACTIONS(3069),
    [anon_sym_inline] = ACTIONS(3069),
    [anon_sym___inline] = ACTIONS(3069),
    [anon_sym___inline__] = ACTIONS(3069),
    [anon_sym___forceinline] = ACTIONS(3069),
    [anon_sym_thread_local] = ACTIONS(3069),
    [anon_sym___thread] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_constexpr] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_restrict] = ACTIONS(3069),
    [anon_sym___restrict__] = ACTIONS(3069),
    [anon_sym__Atomic] = ACTIONS(3069),
    [anon_sym__Noreturn] = ACTIONS(3069),
    [anon_sym_noreturn] = ACTIONS(3069),
    [anon_sym__Nonnull] = ACTIONS(3069),
    [anon_sym_mutable] = ACTIONS(3069),
    [anon_sym_constinit] = ACTIONS(3069),
    [anon_sym_consteval] = ACTIONS(3069),
    [anon_sym_alignas] = ACTIONS(3069),
    [anon_sym__Alignas] = ACTIONS(3069),
    [sym_primitive_type] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_union] = ACTIONS(3069),
    [anon_sym_if] = ACTIONS(3069),
    [anon_sym_switch] = ACTIONS(3069),
    [anon_sym_case] = ACTIONS(3069),
    [anon_sym_default] = ACTIONS(3069),
    [anon_sym_while] = ACTIONS(3069),
    [anon_sym_do] = ACTIONS(3069),
    [anon_sym_for] = ACTIONS(3069),
    [anon_sym_return] = ACTIONS(3069),
    [anon_sym_break] = ACTIONS(3069),
    [anon_sym_continue] = ACTIONS(3069),
    [anon_sym_goto] = ACTIONS(3069),
    [anon_sym_not] = ACTIONS(3069),
    [anon_sym_compl] = ACTIONS(3069),
    [anon_sym_DASH_DASH] = ACTIONS(3071),
    [anon_sym_PLUS_PLUS] = ACTIONS(3071),
    [anon_sym_sizeof] = ACTIONS(3069),
    [anon_sym___alignof__] = ACTIONS(3069),
    [anon_sym___alignof] = ACTIONS(3069),
    [anon_sym__alignof] = ACTIONS(3069),
    [anon_sym_alignof] = ACTIONS(3069),
    [anon_sym__Alignof] = ACTIONS(3069),
    [anon_sym_offsetof] = ACTIONS(3069),
    [anon_sym__Generic] = ACTIONS(3069),
    [anon_sym_asm] = ACTIONS(3069),
    [anon_sym___asm__] = ACTIONS(3069),
    [anon_sym___asm] = ACTIONS(3069),
    [sym_number_literal] = ACTIONS(3071),
    [anon_sym_L_SQUOTE] = ACTIONS(3071),
    [anon_sym_u_SQUOTE] = ACTIONS(3071),
    [anon_sym_U_SQUOTE] = ACTIONS(3071),
    [anon_sym_u8_SQUOTE] = ACTIONS(3071),
    [anon_sym_SQUOTE] = ACTIONS(3071),
    [anon_sym_L_DQUOTE] = ACTIONS(3071),
    [anon_sym_u_DQUOTE] = ACTIONS(3071),
    [anon_sym_U_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8_DQUOTE] = ACTIONS(3071),
    [anon_sym_DQUOTE] = ACTIONS(3071),
    [sym_true] = ACTIONS(3069),
    [sym_false] = ACTIONS(3069),
    [anon_sym_NULL] = ACTIONS(3069),
    [anon_sym_nullptr] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3069),
    [anon_sym_decltype] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_typename] = ACTIONS(3069),
    [anon_sym_template] = ACTIONS(3069),
    [anon_sym_operator] = ACTIONS(3069),
    [anon_sym_try] = ACTIONS(3069),
    [anon_sym_delete] = ACTIONS(3069),
    [anon_sym_throw] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3069),
    [anon_sym_concept] = ACTIONS(3069),
    [anon_sym_co_return] = ACTIONS(3069),
    [anon_sym_co_yield] = ACTIONS(3069),
    [anon_sym_R_DQUOTE] = ACTIONS(3071),
    [anon_sym_LR_DQUOTE] = ACTIONS(3071),
    [anon_sym_uR_DQUOTE] = ACTIONS(3071),
    [anon_sym_UR_DQUOTE] = ACTIONS(3071),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3071),
    [anon_sym_co_await] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_requires] = ACTIONS(3069),
    [sym_this] = ACTIONS(3069),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3137),
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2978),
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [sym_number_literal] = ACTIONS(2978),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(3087),
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym__Nonnull] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym__Alignas] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [anon_sym___asm] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [sym_number_literal] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym__Nonnull] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym__Alignas] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [anon_sym___asm] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3478),
    [aux_sym_preproc_include_token1] = ACTIONS(3478),
    [aux_sym_preproc_def_token1] = ACTIONS(3478),
    [aux_sym_preproc_if_token1] = ACTIONS(3478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3478),
    [sym_preproc_directive] = ACTIONS(3478),
    [anon_sym_LPAREN2] = ACTIONS(3475),
    [anon_sym_BANG] = ACTIONS(3475),
    [anon_sym_TILDE] = ACTIONS(3475),
    [anon_sym_DASH] = ACTIONS(3478),
    [anon_sym_PLUS] = ACTIONS(3478),
    [anon_sym_STAR] = ACTIONS(3475),
    [anon_sym_AMP_AMP] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3478),
    [anon_sym___extension__] = ACTIONS(3478),
    [anon_sym_typedef] = ACTIONS(3478),
    [anon_sym_virtual] = ACTIONS(3478),
    [anon_sym_extern] = ACTIONS(3478),
    [anon_sym___attribute__] = ACTIONS(3478),
    [anon_sym_COLON_COLON] = ACTIONS(3475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3475),
    [anon_sym___declspec] = ACTIONS(3478),
    [anon_sym___based] = ACTIONS(3478),
    [anon_sym___cdecl] = ACTIONS(3478),
    [anon_sym___clrcall] = ACTIONS(3478),
    [anon_sym___stdcall] = ACTIONS(3478),
    [anon_sym___fastcall] = ACTIONS(3478),
    [anon_sym___thiscall] = ACTIONS(3478),
    [anon_sym___vectorcall] = ACTIONS(3478),
    [anon_sym_LBRACE] = ACTIONS(3475),
    [anon_sym_signed] = ACTIONS(3478),
    [anon_sym_unsigned] = ACTIONS(3478),
    [anon_sym_long] = ACTIONS(3478),
    [anon_sym_short] = ACTIONS(3478),
    [anon_sym_LBRACK] = ACTIONS(3478),
    [anon_sym_static] = ACTIONS(3478),
    [anon_sym_register] = ACTIONS(3478),
    [anon_sym_inline] = ACTIONS(3478),
    [anon_sym___inline] = ACTIONS(3478),
    [anon_sym___inline__] = ACTIONS(3478),
    [anon_sym___forceinline] = ACTIONS(3478),
    [anon_sym_thread_local] = ACTIONS(3478),
    [anon_sym___thread] = ACTIONS(3478),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_constexpr] = ACTIONS(3478),
    [anon_sym_volatile] = ACTIONS(3478),
    [anon_sym_restrict] = ACTIONS(3478),
    [anon_sym___restrict__] = ACTIONS(3478),
    [anon_sym__Atomic] = ACTIONS(3478),
    [anon_sym__Noreturn] = ACTIONS(3478),
    [anon_sym_noreturn] = ACTIONS(3478),
    [anon_sym__Nonnull] = ACTIONS(3478),
    [anon_sym_mutable] = ACTIONS(3478),
    [anon_sym_constinit] = ACTIONS(3478),
    [anon_sym_consteval] = ACTIONS(3478),
    [anon_sym_alignas] = ACTIONS(3478),
    [anon_sym__Alignas] = ACTIONS(3478),
    [sym_primitive_type] = ACTIONS(3478),
    [anon_sym_enum] = ACTIONS(3478),
    [anon_sym_class] = ACTIONS(3478),
    [anon_sym_struct] = ACTIONS(3478),
    [anon_sym_union] = ACTIONS(3478),
    [anon_sym_if] = ACTIONS(3478),
    [anon_sym_switch] = ACTIONS(3478),
    [anon_sym_case] = ACTIONS(3478),
    [anon_sym_default] = ACTIONS(3478),
    [anon_sym_while] = ACTIONS(3478),
    [anon_sym_do] = ACTIONS(3478),
    [anon_sym_for] = ACTIONS(3478),
    [anon_sym_return] = ACTIONS(3478),
    [anon_sym_break] = ACTIONS(3478),
    [anon_sym_continue] = ACTIONS(3478),
    [anon_sym_goto] = ACTIONS(3478),
    [anon_sym_not] = ACTIONS(3478),
    [anon_sym_compl] = ACTIONS(3478),
    [anon_sym_DASH_DASH] = ACTIONS(3475),
    [anon_sym_PLUS_PLUS] = ACTIONS(3475),
    [anon_sym_sizeof] = ACTIONS(3478),
    [anon_sym___alignof__] = ACTIONS(3478),
    [anon_sym___alignof] = ACTIONS(3478),
    [anon_sym__alignof] = ACTIONS(3478),
    [anon_sym_alignof] = ACTIONS(3478),
    [anon_sym__Alignof] = ACTIONS(3478),
    [anon_sym_offsetof] = ACTIONS(3478),
    [anon_sym__Generic] = ACTIONS(3478),
    [anon_sym_asm] = ACTIONS(3478),
    [anon_sym___asm__] = ACTIONS(3478),
    [anon_sym___asm] = ACTIONS(3478),
    [sym_number_literal] = ACTIONS(3475),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3475),
    [anon_sym_u_DQUOTE] = ACTIONS(3475),
    [anon_sym_U_DQUOTE] = ACTIONS(3475),
    [anon_sym_u8_DQUOTE] = ACTIONS(3475),
    [anon_sym_DQUOTE] = ACTIONS(3475),
    [sym_true] = ACTIONS(3478),
    [sym_false] = ACTIONS(3478),
    [anon_sym_NULL] = ACTIONS(3478),
    [anon_sym_nullptr] = ACTIONS(3478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3478),
    [anon_sym_decltype] = ACTIONS(3478),
    [anon_sym_explicit] = ACTIONS(3478),
    [anon_sym_typename] = ACTIONS(3478),
    [anon_sym_template] = ACTIONS(3478),
    [anon_sym_operator] = ACTIONS(3478),
    [anon_sym_try] = ACTIONS(3478),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_throw] = ACTIONS(3478),
    [anon_sym_namespace] = ACTIONS(3478),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_static_assert] = ACTIONS(3478),
    [anon_sym_concept] = ACTIONS(3478),
    [anon_sym_co_return] = ACTIONS(3478),
    [anon_sym_co_yield] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3475),
    [anon_sym_LR_DQUOTE] = ACTIONS(3475),
    [anon_sym_uR_DQUOTE] = ACTIONS(3475),
    [anon_sym_UR_DQUOTE] = ACTIONS(3475),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3475),
    [anon_sym_co_await] = ACTIONS(3478),
    [anon_sym_new] = ACTIONS(3478),
    [anon_sym_requires] = ACTIONS(3478),
    [sym_this] = ACTIONS(3478),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(3099),
    [sym_identifier] = ACTIONS(3097),
    [aux_sym_preproc_include_token1] = ACTIONS(3097),
    [aux_sym_preproc_def_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3097),
    [anon_sym_LPAREN2] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3099),
    [anon_sym_DASH] = ACTIONS(3097),
    [anon_sym_PLUS] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3099),
    [anon_sym_AMP_AMP] = ACTIONS(3099),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3097),
    [anon_sym_typedef] = ACTIONS(3097),
    [anon_sym_virtual] = ACTIONS(3097),
    [anon_sym_extern] = ACTIONS(3097),
    [anon_sym___attribute__] = ACTIONS(3097),
    [anon_sym_COLON_COLON] = ACTIONS(3099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3099),
    [anon_sym___declspec] = ACTIONS(3097),
    [anon_sym___based] = ACTIONS(3097),
    [anon_sym___cdecl] = ACTIONS(3097),
    [anon_sym___clrcall] = ACTIONS(3097),
    [anon_sym___stdcall] = ACTIONS(3097),
    [anon_sym___fastcall] = ACTIONS(3097),
    [anon_sym___thiscall] = ACTIONS(3097),
    [anon_sym___vectorcall] = ACTIONS(3097),
    [anon_sym_LBRACE] = ACTIONS(3099),
    [anon_sym_signed] = ACTIONS(3097),
    [anon_sym_unsigned] = ACTIONS(3097),
    [anon_sym_long] = ACTIONS(3097),
    [anon_sym_short] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_static] = ACTIONS(3097),
    [anon_sym_register] = ACTIONS(3097),
    [anon_sym_inline] = ACTIONS(3097),
    [anon_sym___inline] = ACTIONS(3097),
    [anon_sym___inline__] = ACTIONS(3097),
    [anon_sym___forceinline] = ACTIONS(3097),
    [anon_sym_thread_local] = ACTIONS(3097),
    [anon_sym___thread] = ACTIONS(3097),
    [anon_sym_const] = ACTIONS(3097),
    [anon_sym_constexpr] = ACTIONS(3097),
    [anon_sym_volatile] = ACTIONS(3097),
    [anon_sym_restrict] = ACTIONS(3097),
    [anon_sym___restrict__] = ACTIONS(3097),
    [anon_sym__Atomic] = ACTIONS(3097),
    [anon_sym__Noreturn] = ACTIONS(3097),
    [anon_sym_noreturn] = ACTIONS(3097),
    [anon_sym__Nonnull] = ACTIONS(3097),
    [anon_sym_mutable] = ACTIONS(3097),
    [anon_sym_constinit] = ACTIONS(3097),
    [anon_sym_consteval] = ACTIONS(3097),
    [anon_sym_alignas] = ACTIONS(3097),
    [anon_sym__Alignas] = ACTIONS(3097),
    [sym_primitive_type] = ACTIONS(3097),
    [anon_sym_enum] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3097),
    [anon_sym_struct] = ACTIONS(3097),
    [anon_sym_union] = ACTIONS(3097),
    [anon_sym_if] = ACTIONS(3097),
    [anon_sym_switch] = ACTIONS(3097),
    [anon_sym_case] = ACTIONS(3097),
    [anon_sym_default] = ACTIONS(3097),
    [anon_sym_while] = ACTIONS(3097),
    [anon_sym_do] = ACTIONS(3097),
    [anon_sym_for] = ACTIONS(3097),
    [anon_sym_return] = ACTIONS(3097),
    [anon_sym_break] = ACTIONS(3097),
    [anon_sym_continue] = ACTIONS(3097),
    [anon_sym_goto] = ACTIONS(3097),
    [anon_sym_not] = ACTIONS(3097),
    [anon_sym_compl] = ACTIONS(3097),
    [anon_sym_DASH_DASH] = ACTIONS(3099),
    [anon_sym_PLUS_PLUS] = ACTIONS(3099),
    [anon_sym_sizeof] = ACTIONS(3097),
    [anon_sym___alignof__] = ACTIONS(3097),
    [anon_sym___alignof] = ACTIONS(3097),
    [anon_sym__alignof] = ACTIONS(3097),
    [anon_sym_alignof] = ACTIONS(3097),
    [anon_sym__Alignof] = ACTIONS(3097),
    [anon_sym_offsetof] = ACTIONS(3097),
    [anon_sym__Generic] = ACTIONS(3097),
    [anon_sym_asm] = ACTIONS(3097),
    [anon_sym___asm__] = ACTIONS(3097),
    [anon_sym___asm] = ACTIONS(3097),
    [sym_number_literal] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3099),
    [anon_sym_u_SQUOTE] = ACTIONS(3099),
    [anon_sym_U_SQUOTE] = ACTIONS(3099),
    [anon_sym_u8_SQUOTE] = ACTIONS(3099),
    [anon_sym_SQUOTE] = ACTIONS(3099),
    [anon_sym_L_DQUOTE] = ACTIONS(3099),
    [anon_sym_u_DQUOTE] = ACTIONS(3099),
    [anon_sym_U_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8_DQUOTE] = ACTIONS(3099),
    [anon_sym_DQUOTE] = ACTIONS(3099),
    [sym_true] = ACTIONS(3097),
    [sym_false] = ACTIONS(3097),
    [anon_sym_NULL] = ACTIONS(3097),
    [anon_sym_nullptr] = ACTIONS(3097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3097),
    [anon_sym_explicit] = ACTIONS(3097),
    [anon_sym_typename] = ACTIONS(3097),
    [anon_sym_template] = ACTIONS(3097),
    [anon_sym_operator] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3097),
    [anon_sym_delete] = ACTIONS(3097),
    [anon_sym_throw] = ACTIONS(3097),
    [anon_sym_namespace] = ACTIONS(3097),
    [anon_sym_using] = ACTIONS(3097),
    [anon_sym_static_assert] = ACTIONS(3097),
    [anon_sym_concept] = ACTIONS(3097),
    [anon_sym_co_return] = ACTIONS(3097),
    [anon_sym_co_yield] = ACTIONS(3097),
    [anon_sym_R_DQUOTE] = ACTIONS(3099),
    [anon_sym_LR_DQUOTE] = ACTIONS(3099),
    [anon_sym_uR_DQUOTE] = ACTIONS(3099),
    [anon_sym_UR_DQUOTE] = ACTIONS(3099),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3099),
    [anon_sym_co_await] = ACTIONS(3097),
    [anon_sym_new] = ACTIONS(3097),
    [anon_sym_requires] = ACTIONS(3097),
    [sym_this] = ACTIONS(3097),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2832),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(3141),
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2878),
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(3177),
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [sym_primitive_type] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [sym_number_literal] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2947),
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(2951),
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2897),
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(3035),
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [sym_primitive_type] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [sym_number_literal] = ACTIONS(3035),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(3181),
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [sym_primitive_type] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [sym_number_literal] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(3051),
    [sym_identifier] = ACTIONS(3049),
    [aux_sym_preproc_include_token1] = ACTIONS(3049),
    [aux_sym_preproc_def_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3049),
    [sym_preproc_directive] = ACTIONS(3049),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_BANG] = ACTIONS(3051),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3049),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym___attribute__] = ACTIONS(3049),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3051),
    [anon_sym___declspec] = ACTIONS(3049),
    [anon_sym___based] = ACTIONS(3049),
    [anon_sym___cdecl] = ACTIONS(3049),
    [anon_sym___clrcall] = ACTIONS(3049),
    [anon_sym___stdcall] = ACTIONS(3049),
    [anon_sym___fastcall] = ACTIONS(3049),
    [anon_sym___thiscall] = ACTIONS(3049),
    [anon_sym___vectorcall] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3049),
    [anon_sym_unsigned] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_register] = ACTIONS(3049),
    [anon_sym_inline] = ACTIONS(3049),
    [anon_sym___inline] = ACTIONS(3049),
    [anon_sym___inline__] = ACTIONS(3049),
    [anon_sym___forceinline] = ACTIONS(3049),
    [anon_sym_thread_local] = ACTIONS(3049),
    [anon_sym___thread] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_constexpr] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_restrict] = ACTIONS(3049),
    [anon_sym___restrict__] = ACTIONS(3049),
    [anon_sym__Atomic] = ACTIONS(3049),
    [anon_sym__Noreturn] = ACTIONS(3049),
    [anon_sym_noreturn] = ACTIONS(3049),
    [anon_sym__Nonnull] = ACTIONS(3049),
    [anon_sym_mutable] = ACTIONS(3049),
    [anon_sym_constinit] = ACTIONS(3049),
    [anon_sym_consteval] = ACTIONS(3049),
    [anon_sym_alignas] = ACTIONS(3049),
    [anon_sym__Alignas] = ACTIONS(3049),
    [sym_primitive_type] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_union] = ACTIONS(3049),
    [anon_sym_if] = ACTIONS(3049),
    [anon_sym_switch] = ACTIONS(3049),
    [anon_sym_case] = ACTIONS(3049),
    [anon_sym_default] = ACTIONS(3049),
    [anon_sym_while] = ACTIONS(3049),
    [anon_sym_do] = ACTIONS(3049),
    [anon_sym_for] = ACTIONS(3049),
    [anon_sym_return] = ACTIONS(3049),
    [anon_sym_break] = ACTIONS(3049),
    [anon_sym_continue] = ACTIONS(3049),
    [anon_sym_goto] = ACTIONS(3049),
    [anon_sym_not] = ACTIONS(3049),
    [anon_sym_compl] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3051),
    [anon_sym_PLUS_PLUS] = ACTIONS(3051),
    [anon_sym_sizeof] = ACTIONS(3049),
    [anon_sym___alignof__] = ACTIONS(3049),
    [anon_sym___alignof] = ACTIONS(3049),
    [anon_sym__alignof] = ACTIONS(3049),
    [anon_sym_alignof] = ACTIONS(3049),
    [anon_sym__Alignof] = ACTIONS(3049),
    [anon_sym_offsetof] = ACTIONS(3049),
    [anon_sym__Generic] = ACTIONS(3049),
    [anon_sym_asm] = ACTIONS(3049),
    [anon_sym___asm__] = ACTIONS(3049),
    [anon_sym___asm] = ACTIONS(3049),
    [sym_number_literal] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3051),
    [anon_sym_u_SQUOTE] = ACTIONS(3051),
    [anon_sym_U_SQUOTE] = ACTIONS(3051),
    [anon_sym_u8_SQUOTE] = ACTIONS(3051),
    [anon_sym_SQUOTE] = ACTIONS(3051),
    [anon_sym_L_DQUOTE] = ACTIONS(3051),
    [anon_sym_u_DQUOTE] = ACTIONS(3051),
    [anon_sym_U_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8_DQUOTE] = ACTIONS(3051),
    [anon_sym_DQUOTE] = ACTIONS(3051),
    [sym_true] = ACTIONS(3049),
    [sym_false] = ACTIONS(3049),
    [anon_sym_NULL] = ACTIONS(3049),
    [anon_sym_nullptr] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3049),
    [anon_sym_decltype] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_typename] = ACTIONS(3049),
    [anon_sym_template] = ACTIONS(3049),
    [anon_sym_operator] = ACTIONS(3049),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_delete] = ACTIONS(3049),
    [anon_sym_throw] = ACTIONS(3049),
    [anon_sym_namespace] = ACTIONS(3049),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static_assert] = ACTIONS(3049),
    [anon_sym_concept] = ACTIONS(3049),
    [anon_sym_co_return] = ACTIONS(3049),
    [anon_sym_co_yield] = ACTIONS(3049),
    [anon_sym_R_DQUOTE] = ACTIONS(3051),
    [anon_sym_LR_DQUOTE] = ACTIONS(3051),
    [anon_sym_uR_DQUOTE] = ACTIONS(3051),
    [anon_sym_UR_DQUOTE] = ACTIONS(3051),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3051),
    [anon_sym_co_await] = ACTIONS(3049),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_requires] = ACTIONS(3049),
    [sym_this] = ACTIONS(3049),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(2848),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym__Nonnull] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym__Alignas] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [anon_sym___asm] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(3043),
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [730] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(3091),
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(3095),
    [sym_identifier] = ACTIONS(3093),
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3093),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_AMP_AMP] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym___extension__] = ACTIONS(3093),
    [anon_sym_typedef] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym___attribute__] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(3095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3095),
    [anon_sym___declspec] = ACTIONS(3093),
    [anon_sym___based] = ACTIONS(3093),
    [anon_sym___cdecl] = ACTIONS(3093),
    [anon_sym___clrcall] = ACTIONS(3093),
    [anon_sym___stdcall] = ACTIONS(3093),
    [anon_sym___fastcall] = ACTIONS(3093),
    [anon_sym___thiscall] = ACTIONS(3093),
    [anon_sym___vectorcall] = ACTIONS(3093),
    [anon_sym_LBRACE] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3093),
    [anon_sym_unsigned] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [anon_sym_register] = ACTIONS(3093),
    [anon_sym_inline] = ACTIONS(3093),
    [anon_sym___inline] = ACTIONS(3093),
    [anon_sym___inline__] = ACTIONS(3093),
    [anon_sym___forceinline] = ACTIONS(3093),
    [anon_sym_thread_local] = ACTIONS(3093),
    [anon_sym___thread] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_constexpr] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_restrict] = ACTIONS(3093),
    [anon_sym___restrict__] = ACTIONS(3093),
    [anon_sym__Atomic] = ACTIONS(3093),
    [anon_sym__Noreturn] = ACTIONS(3093),
    [anon_sym_noreturn] = ACTIONS(3093),
    [anon_sym__Nonnull] = ACTIONS(3093),
    [anon_sym_mutable] = ACTIONS(3093),
    [anon_sym_constinit] = ACTIONS(3093),
    [anon_sym_consteval] = ACTIONS(3093),
    [anon_sym_alignas] = ACTIONS(3093),
    [anon_sym__Alignas] = ACTIONS(3093),
    [sym_primitive_type] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_union] = ACTIONS(3093),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_switch] = ACTIONS(3093),
    [anon_sym_case] = ACTIONS(3093),
    [anon_sym_default] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(3093),
    [anon_sym_do] = ACTIONS(3093),
    [anon_sym_for] = ACTIONS(3093),
    [anon_sym_return] = ACTIONS(3093),
    [anon_sym_break] = ACTIONS(3093),
    [anon_sym_continue] = ACTIONS(3093),
    [anon_sym_goto] = ACTIONS(3093),
    [anon_sym_not] = ACTIONS(3093),
    [anon_sym_compl] = ACTIONS(3093),
    [anon_sym_DASH_DASH] = ACTIONS(3095),
    [anon_sym_PLUS_PLUS] = ACTIONS(3095),
    [anon_sym_sizeof] = ACTIONS(3093),
    [anon_sym___alignof__] = ACTIONS(3093),
    [anon_sym___alignof] = ACTIONS(3093),
    [anon_sym__alignof] = ACTIONS(3093),
    [anon_sym_alignof] = ACTIONS(3093),
    [anon_sym__Alignof] = ACTIONS(3093),
    [anon_sym_offsetof] = ACTIONS(3093),
    [anon_sym__Generic] = ACTIONS(3093),
    [anon_sym_asm] = ACTIONS(3093),
    [anon_sym___asm__] = ACTIONS(3093),
    [anon_sym___asm] = ACTIONS(3093),
    [sym_number_literal] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3095),
    [anon_sym_u_SQUOTE] = ACTIONS(3095),
    [anon_sym_U_SQUOTE] = ACTIONS(3095),
    [anon_sym_u8_SQUOTE] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(3095),
    [anon_sym_L_DQUOTE] = ACTIONS(3095),
    [anon_sym_u_DQUOTE] = ACTIONS(3095),
    [anon_sym_U_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8_DQUOTE] = ACTIONS(3095),
    [anon_sym_DQUOTE] = ACTIONS(3095),
    [sym_true] = ACTIONS(3093),
    [sym_false] = ACTIONS(3093),
    [anon_sym_NULL] = ACTIONS(3093),
    [anon_sym_nullptr] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3093),
    [anon_sym_decltype] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_typename] = ACTIONS(3093),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_operator] = ACTIONS(3093),
    [anon_sym_try] = ACTIONS(3093),
    [anon_sym_delete] = ACTIONS(3093),
    [anon_sym_throw] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static_assert] = ACTIONS(3093),
    [anon_sym_concept] = ACTIONS(3093),
    [anon_sym_co_return] = ACTIONS(3093),
    [anon_sym_co_yield] = ACTIONS(3093),
    [anon_sym_R_DQUOTE] = ACTIONS(3095),
    [anon_sym_LR_DQUOTE] = ACTIONS(3095),
    [anon_sym_uR_DQUOTE] = ACTIONS(3095),
    [anon_sym_UR_DQUOTE] = ACTIONS(3095),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3095),
    [anon_sym_co_await] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_requires] = ACTIONS(3093),
    [sym_this] = ACTIONS(3093),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2860),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym__Nonnull] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [anon_sym___asm] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(3000),
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(3145),
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(3149),
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(3000),
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [sym_number_literal] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(3153),
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(3031),
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [sym_primitive_type] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [sym_number_literal] = ACTIONS(3031),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(3157),
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(3023),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3023),
    [anon_sym_BANG] = ACTIONS(3023),
    [anon_sym_TILDE] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3021),
    [anon_sym_typedef] = ACTIONS(3021),
    [anon_sym_virtual] = ACTIONS(3021),
    [anon_sym_extern] = ACTIONS(3021),
    [anon_sym___attribute__] = ACTIONS(3021),
    [anon_sym_COLON_COLON] = ACTIONS(3023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3023),
    [anon_sym___declspec] = ACTIONS(3021),
    [anon_sym___based] = ACTIONS(3021),
    [anon_sym___cdecl] = ACTIONS(3021),
    [anon_sym___clrcall] = ACTIONS(3021),
    [anon_sym___stdcall] = ACTIONS(3021),
    [anon_sym___fastcall] = ACTIONS(3021),
    [anon_sym___thiscall] = ACTIONS(3021),
    [anon_sym___vectorcall] = ACTIONS(3021),
    [anon_sym_LBRACE] = ACTIONS(3023),
    [anon_sym_signed] = ACTIONS(3021),
    [anon_sym_unsigned] = ACTIONS(3021),
    [anon_sym_long] = ACTIONS(3021),
    [anon_sym_short] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(3021),
    [anon_sym_static] = ACTIONS(3021),
    [anon_sym_register] = ACTIONS(3021),
    [anon_sym_inline] = ACTIONS(3021),
    [anon_sym___inline] = ACTIONS(3021),
    [anon_sym___inline__] = ACTIONS(3021),
    [anon_sym___forceinline] = ACTIONS(3021),
    [anon_sym_thread_local] = ACTIONS(3021),
    [anon_sym___thread] = ACTIONS(3021),
    [anon_sym_const] = ACTIONS(3021),
    [anon_sym_constexpr] = ACTIONS(3021),
    [anon_sym_volatile] = ACTIONS(3021),
    [anon_sym_restrict] = ACTIONS(3021),
    [anon_sym___restrict__] = ACTIONS(3021),
    [anon_sym__Atomic] = ACTIONS(3021),
    [anon_sym__Noreturn] = ACTIONS(3021),
    [anon_sym_noreturn] = ACTIONS(3021),
    [anon_sym__Nonnull] = ACTIONS(3021),
    [anon_sym_mutable] = ACTIONS(3021),
    [anon_sym_constinit] = ACTIONS(3021),
    [anon_sym_consteval] = ACTIONS(3021),
    [anon_sym_alignas] = ACTIONS(3021),
    [anon_sym__Alignas] = ACTIONS(3021),
    [sym_primitive_type] = ACTIONS(3021),
    [anon_sym_enum] = ACTIONS(3021),
    [anon_sym_class] = ACTIONS(3021),
    [anon_sym_struct] = ACTIONS(3021),
    [anon_sym_union] = ACTIONS(3021),
    [anon_sym_if] = ACTIONS(3021),
    [anon_sym_switch] = ACTIONS(3021),
    [anon_sym_case] = ACTIONS(3021),
    [anon_sym_default] = ACTIONS(3021),
    [anon_sym_while] = ACTIONS(3021),
    [anon_sym_do] = ACTIONS(3021),
    [anon_sym_for] = ACTIONS(3021),
    [anon_sym_return] = ACTIONS(3021),
    [anon_sym_break] = ACTIONS(3021),
    [anon_sym_continue] = ACTIONS(3021),
    [anon_sym_goto] = ACTIONS(3021),
    [anon_sym_not] = ACTIONS(3021),
    [anon_sym_compl] = ACTIONS(3021),
    [anon_sym_DASH_DASH] = ACTIONS(3023),
    [anon_sym_PLUS_PLUS] = ACTIONS(3023),
    [anon_sym_sizeof] = ACTIONS(3021),
    [anon_sym___alignof__] = ACTIONS(3021),
    [anon_sym___alignof] = ACTIONS(3021),
    [anon_sym__alignof] = ACTIONS(3021),
    [anon_sym_alignof] = ACTIONS(3021),
    [anon_sym__Alignof] = ACTIONS(3021),
    [anon_sym_offsetof] = ACTIONS(3021),
    [anon_sym__Generic] = ACTIONS(3021),
    [anon_sym_asm] = ACTIONS(3021),
    [anon_sym___asm__] = ACTIONS(3021),
    [anon_sym___asm] = ACTIONS(3021),
    [sym_number_literal] = ACTIONS(3023),
    [anon_sym_L_SQUOTE] = ACTIONS(3023),
    [anon_sym_u_SQUOTE] = ACTIONS(3023),
    [anon_sym_U_SQUOTE] = ACTIONS(3023),
    [anon_sym_u8_SQUOTE] = ACTIONS(3023),
    [anon_sym_SQUOTE] = ACTIONS(3023),
    [anon_sym_L_DQUOTE] = ACTIONS(3023),
    [anon_sym_u_DQUOTE] = ACTIONS(3023),
    [anon_sym_U_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8_DQUOTE] = ACTIONS(3023),
    [anon_sym_DQUOTE] = ACTIONS(3023),
    [sym_true] = ACTIONS(3021),
    [sym_false] = ACTIONS(3021),
    [anon_sym_NULL] = ACTIONS(3021),
    [anon_sym_nullptr] = ACTIONS(3021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3021),
    [anon_sym_decltype] = ACTIONS(3021),
    [anon_sym_explicit] = ACTIONS(3021),
    [anon_sym_typename] = ACTIONS(3021),
    [anon_sym_template] = ACTIONS(3021),
    [anon_sym_operator] = ACTIONS(3021),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_delete] = ACTIONS(3021),
    [anon_sym_throw] = ACTIONS(3021),
    [anon_sym_namespace] = ACTIONS(3021),
    [anon_sym_using] = ACTIONS(3021),
    [anon_sym_static_assert] = ACTIONS(3021),
    [anon_sym_concept] = ACTIONS(3021),
    [anon_sym_co_return] = ACTIONS(3021),
    [anon_sym_co_yield] = ACTIONS(3021),
    [anon_sym_R_DQUOTE] = ACTIONS(3023),
    [anon_sym_LR_DQUOTE] = ACTIONS(3023),
    [anon_sym_uR_DQUOTE] = ACTIONS(3023),
    [anon_sym_UR_DQUOTE] = ACTIONS(3023),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3023),
    [anon_sym_co_await] = ACTIONS(3021),
    [anon_sym_new] = ACTIONS(3021),
    [anon_sym_requires] = ACTIONS(3021),
    [sym_this] = ACTIONS(3021),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(3039),
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(3161),
    [sym_identifier] = ACTIONS(3159),
    [aux_sym_preproc_include_token1] = ACTIONS(3159),
    [aux_sym_preproc_def_token1] = ACTIONS(3159),
    [aux_sym_preproc_if_token1] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3159),
    [sym_preproc_directive] = ACTIONS(3159),
    [anon_sym_LPAREN2] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3161),
    [anon_sym_TILDE] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3159),
    [anon_sym_PLUS] = ACTIONS(3159),
    [anon_sym_STAR] = ACTIONS(3161),
    [anon_sym_AMP_AMP] = ACTIONS(3161),
    [anon_sym_AMP] = ACTIONS(3159),
    [anon_sym___extension__] = ACTIONS(3159),
    [anon_sym_typedef] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym___attribute__] = ACTIONS(3159),
    [anon_sym_COLON_COLON] = ACTIONS(3161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3161),
    [anon_sym___declspec] = ACTIONS(3159),
    [anon_sym___based] = ACTIONS(3159),
    [anon_sym___cdecl] = ACTIONS(3159),
    [anon_sym___clrcall] = ACTIONS(3159),
    [anon_sym___stdcall] = ACTIONS(3159),
    [anon_sym___fastcall] = ACTIONS(3159),
    [anon_sym___thiscall] = ACTIONS(3159),
    [anon_sym___vectorcall] = ACTIONS(3159),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_signed] = ACTIONS(3159),
    [anon_sym_unsigned] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [anon_sym_register] = ACTIONS(3159),
    [anon_sym_inline] = ACTIONS(3159),
    [anon_sym___inline] = ACTIONS(3159),
    [anon_sym___inline__] = ACTIONS(3159),
    [anon_sym___forceinline] = ACTIONS(3159),
    [anon_sym_thread_local] = ACTIONS(3159),
    [anon_sym___thread] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_constexpr] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_restrict] = ACTIONS(3159),
    [anon_sym___restrict__] = ACTIONS(3159),
    [anon_sym__Atomic] = ACTIONS(3159),
    [anon_sym__Noreturn] = ACTIONS(3159),
    [anon_sym_noreturn] = ACTIONS(3159),
    [anon_sym__Nonnull] = ACTIONS(3159),
    [anon_sym_mutable] = ACTIONS(3159),
    [anon_sym_constinit] = ACTIONS(3159),
    [anon_sym_consteval] = ACTIONS(3159),
    [anon_sym_alignas] = ACTIONS(3159),
    [anon_sym__Alignas] = ACTIONS(3159),
    [sym_primitive_type] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_union] = ACTIONS(3159),
    [anon_sym_if] = ACTIONS(3159),
    [anon_sym_switch] = ACTIONS(3159),
    [anon_sym_case] = ACTIONS(3159),
    [anon_sym_default] = ACTIONS(3159),
    [anon_sym_while] = ACTIONS(3159),
    [anon_sym_do] = ACTIONS(3159),
    [anon_sym_for] = ACTIONS(3159),
    [anon_sym_return] = ACTIONS(3159),
    [anon_sym_break] = ACTIONS(3159),
    [anon_sym_continue] = ACTIONS(3159),
    [anon_sym_goto] = ACTIONS(3159),
    [anon_sym_not] = ACTIONS(3159),
    [anon_sym_compl] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3161),
    [anon_sym_PLUS_PLUS] = ACTIONS(3161),
    [anon_sym_sizeof] = ACTIONS(3159),
    [anon_sym___alignof__] = ACTIONS(3159),
    [anon_sym___alignof] = ACTIONS(3159),
    [anon_sym__alignof] = ACTIONS(3159),
    [anon_sym_alignof] = ACTIONS(3159),
    [anon_sym__Alignof] = ACTIONS(3159),
    [anon_sym_offsetof] = ACTIONS(3159),
    [anon_sym__Generic] = ACTIONS(3159),
    [anon_sym_asm] = ACTIONS(3159),
    [anon_sym___asm__] = ACTIONS(3159),
    [anon_sym___asm] = ACTIONS(3159),
    [sym_number_literal] = ACTIONS(3161),
    [anon_sym_L_SQUOTE] = ACTIONS(3161),
    [anon_sym_u_SQUOTE] = ACTIONS(3161),
    [anon_sym_U_SQUOTE] = ACTIONS(3161),
    [anon_sym_u8_SQUOTE] = ACTIONS(3161),
    [anon_sym_SQUOTE] = ACTIONS(3161),
    [anon_sym_L_DQUOTE] = ACTIONS(3161),
    [anon_sym_u_DQUOTE] = ACTIONS(3161),
    [anon_sym_U_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8_DQUOTE] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(3161),
    [sym_true] = ACTIONS(3159),
    [sym_false] = ACTIONS(3159),
    [anon_sym_NULL] = ACTIONS(3159),
    [anon_sym_nullptr] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3159),
    [anon_sym_decltype] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_typename] = ACTIONS(3159),
    [anon_sym_template] = ACTIONS(3159),
    [anon_sym_operator] = ACTIONS(3159),
    [anon_sym_try] = ACTIONS(3159),
    [anon_sym_delete] = ACTIONS(3159),
    [anon_sym_throw] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static_assert] = ACTIONS(3159),
    [anon_sym_concept] = ACTIONS(3159),
    [anon_sym_co_return] = ACTIONS(3159),
    [anon_sym_co_yield] = ACTIONS(3159),
    [anon_sym_R_DQUOTE] = ACTIONS(3161),
    [anon_sym_LR_DQUOTE] = ACTIONS(3161),
    [anon_sym_uR_DQUOTE] = ACTIONS(3161),
    [anon_sym_UR_DQUOTE] = ACTIONS(3161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3161),
    [anon_sym_co_await] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_requires] = ACTIONS(3159),
    [sym_this] = ACTIONS(3159),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2890),
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [sym_primitive_type] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [sym_number_literal] = ACTIONS(2890),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(3055),
    [sym_identifier] = ACTIONS(3053),
    [aux_sym_preproc_include_token1] = ACTIONS(3053),
    [aux_sym_preproc_def_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3053),
    [sym_preproc_directive] = ACTIONS(3053),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_BANG] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3055),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3053),
    [anon_sym_typedef] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym___attribute__] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3055),
    [anon_sym___declspec] = ACTIONS(3053),
    [anon_sym___based] = ACTIONS(3053),
    [anon_sym___cdecl] = ACTIONS(3053),
    [anon_sym___clrcall] = ACTIONS(3053),
    [anon_sym___stdcall] = ACTIONS(3053),
    [anon_sym___fastcall] = ACTIONS(3053),
    [anon_sym___thiscall] = ACTIONS(3053),
    [anon_sym___vectorcall] = ACTIONS(3053),
    [anon_sym_LBRACE] = ACTIONS(3055),
    [anon_sym_signed] = ACTIONS(3053),
    [anon_sym_unsigned] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [anon_sym_register] = ACTIONS(3053),
    [anon_sym_inline] = ACTIONS(3053),
    [anon_sym___inline] = ACTIONS(3053),
    [anon_sym___inline__] = ACTIONS(3053),
    [anon_sym___forceinline] = ACTIONS(3053),
    [anon_sym_thread_local] = ACTIONS(3053),
    [anon_sym___thread] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_constexpr] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_restrict] = ACTIONS(3053),
    [anon_sym___restrict__] = ACTIONS(3053),
    [anon_sym__Atomic] = ACTIONS(3053),
    [anon_sym__Noreturn] = ACTIONS(3053),
    [anon_sym_noreturn] = ACTIONS(3053),
    [anon_sym__Nonnull] = ACTIONS(3053),
    [anon_sym_mutable] = ACTIONS(3053),
    [anon_sym_constinit] = ACTIONS(3053),
    [anon_sym_consteval] = ACTIONS(3053),
    [anon_sym_alignas] = ACTIONS(3053),
    [anon_sym__Alignas] = ACTIONS(3053),
    [sym_primitive_type] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3053),
    [anon_sym_if] = ACTIONS(3053),
    [anon_sym_switch] = ACTIONS(3053),
    [anon_sym_case] = ACTIONS(3053),
    [anon_sym_default] = ACTIONS(3053),
    [anon_sym_while] = ACTIONS(3053),
    [anon_sym_do] = ACTIONS(3053),
    [anon_sym_for] = ACTIONS(3053),
    [anon_sym_return] = ACTIONS(3053),
    [anon_sym_break] = ACTIONS(3053),
    [anon_sym_continue] = ACTIONS(3053),
    [anon_sym_goto] = ACTIONS(3053),
    [anon_sym_not] = ACTIONS(3053),
    [anon_sym_compl] = ACTIONS(3053),
    [anon_sym_DASH_DASH] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3055),
    [anon_sym_sizeof] = ACTIONS(3053),
    [anon_sym___alignof__] = ACTIONS(3053),
    [anon_sym___alignof] = ACTIONS(3053),
    [anon_sym__alignof] = ACTIONS(3053),
    [anon_sym_alignof] = ACTIONS(3053),
    [anon_sym__Alignof] = ACTIONS(3053),
    [anon_sym_offsetof] = ACTIONS(3053),
    [anon_sym__Generic] = ACTIONS(3053),
    [anon_sym_asm] = ACTIONS(3053),
    [anon_sym___asm__] = ACTIONS(3053),
    [anon_sym___asm] = ACTIONS(3053),
    [sym_number_literal] = ACTIONS(3055),
    [anon_sym_L_SQUOTE] = ACTIONS(3055),
    [anon_sym_u_SQUOTE] = ACTIONS(3055),
    [anon_sym_U_SQUOTE] = ACTIONS(3055),
    [anon_sym_u8_SQUOTE] = ACTIONS(3055),
    [anon_sym_SQUOTE] = ACTIONS(3055),
    [anon_sym_L_DQUOTE] = ACTIONS(3055),
    [anon_sym_u_DQUOTE] = ACTIONS(3055),
    [anon_sym_U_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8_DQUOTE] = ACTIONS(3055),
    [anon_sym_DQUOTE] = ACTIONS(3055),
    [sym_true] = ACTIONS(3053),
    [sym_false] = ACTIONS(3053),
    [anon_sym_NULL] = ACTIONS(3053),
    [anon_sym_nullptr] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3053),
    [anon_sym_decltype] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_typename] = ACTIONS(3053),
    [anon_sym_template] = ACTIONS(3053),
    [anon_sym_operator] = ACTIONS(3053),
    [anon_sym_try] = ACTIONS(3053),
    [anon_sym_delete] = ACTIONS(3053),
    [anon_sym_throw] = ACTIONS(3053),
    [anon_sym_namespace] = ACTIONS(3053),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static_assert] = ACTIONS(3053),
    [anon_sym_concept] = ACTIONS(3053),
    [anon_sym_co_return] = ACTIONS(3053),
    [anon_sym_co_yield] = ACTIONS(3053),
    [anon_sym_R_DQUOTE] = ACTIONS(3055),
    [anon_sym_LR_DQUOTE] = ACTIONS(3055),
    [anon_sym_uR_DQUOTE] = ACTIONS(3055),
    [anon_sym_UR_DQUOTE] = ACTIONS(3055),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3055),
    [anon_sym_co_await] = ACTIONS(3053),
    [anon_sym_new] = ACTIONS(3053),
    [anon_sym_requires] = ACTIONS(3053),
    [sym_this] = ACTIONS(3053),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3485),
    [aux_sym_preproc_include_token1] = ACTIONS(3485),
    [aux_sym_preproc_def_token1] = ACTIONS(3485),
    [aux_sym_preproc_if_token1] = ACTIONS(3485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3485),
    [sym_preproc_directive] = ACTIONS(3485),
    [anon_sym_LPAREN2] = ACTIONS(3483),
    [anon_sym_BANG] = ACTIONS(3483),
    [anon_sym_TILDE] = ACTIONS(3483),
    [anon_sym_DASH] = ACTIONS(3485),
    [anon_sym_PLUS] = ACTIONS(3485),
    [anon_sym_STAR] = ACTIONS(3483),
    [anon_sym_AMP_AMP] = ACTIONS(3483),
    [anon_sym_AMP] = ACTIONS(3485),
    [anon_sym___extension__] = ACTIONS(3485),
    [anon_sym_typedef] = ACTIONS(3485),
    [anon_sym_virtual] = ACTIONS(3485),
    [anon_sym_extern] = ACTIONS(3485),
    [anon_sym___attribute__] = ACTIONS(3485),
    [anon_sym_COLON_COLON] = ACTIONS(3483),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3483),
    [anon_sym___declspec] = ACTIONS(3485),
    [anon_sym___based] = ACTIONS(3485),
    [anon_sym___cdecl] = ACTIONS(3485),
    [anon_sym___clrcall] = ACTIONS(3485),
    [anon_sym___stdcall] = ACTIONS(3485),
    [anon_sym___fastcall] = ACTIONS(3485),
    [anon_sym___thiscall] = ACTIONS(3485),
    [anon_sym___vectorcall] = ACTIONS(3485),
    [anon_sym_LBRACE] = ACTIONS(3483),
    [anon_sym_signed] = ACTIONS(3485),
    [anon_sym_unsigned] = ACTIONS(3485),
    [anon_sym_long] = ACTIONS(3485),
    [anon_sym_short] = ACTIONS(3485),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_static] = ACTIONS(3485),
    [anon_sym_register] = ACTIONS(3485),
    [anon_sym_inline] = ACTIONS(3485),
    [anon_sym___inline] = ACTIONS(3485),
    [anon_sym___inline__] = ACTIONS(3485),
    [anon_sym___forceinline] = ACTIONS(3485),
    [anon_sym_thread_local] = ACTIONS(3485),
    [anon_sym___thread] = ACTIONS(3485),
    [anon_sym_const] = ACTIONS(3485),
    [anon_sym_constexpr] = ACTIONS(3485),
    [anon_sym_volatile] = ACTIONS(3485),
    [anon_sym_restrict] = ACTIONS(3485),
    [anon_sym___restrict__] = ACTIONS(3485),
    [anon_sym__Atomic] = ACTIONS(3485),
    [anon_sym__Noreturn] = ACTIONS(3485),
    [anon_sym_noreturn] = ACTIONS(3485),
    [anon_sym__Nonnull] = ACTIONS(3485),
    [anon_sym_mutable] = ACTIONS(3485),
    [anon_sym_constinit] = ACTIONS(3485),
    [anon_sym_consteval] = ACTIONS(3485),
    [anon_sym_alignas] = ACTIONS(3485),
    [anon_sym__Alignas] = ACTIONS(3485),
    [sym_primitive_type] = ACTIONS(3485),
    [anon_sym_enum] = ACTIONS(3485),
    [anon_sym_class] = ACTIONS(3485),
    [anon_sym_struct] = ACTIONS(3485),
    [anon_sym_union] = ACTIONS(3485),
    [anon_sym_if] = ACTIONS(3485),
    [anon_sym_switch] = ACTIONS(3485),
    [anon_sym_case] = ACTIONS(3485),
    [anon_sym_default] = ACTIONS(3485),
    [anon_sym_while] = ACTIONS(3485),
    [anon_sym_do] = ACTIONS(3485),
    [anon_sym_for] = ACTIONS(3485),
    [anon_sym_return] = ACTIONS(3485),
    [anon_sym_break] = ACTIONS(3485),
    [anon_sym_continue] = ACTIONS(3485),
    [anon_sym_goto] = ACTIONS(3485),
    [anon_sym_not] = ACTIONS(3485),
    [anon_sym_compl] = ACTIONS(3485),
    [anon_sym_DASH_DASH] = ACTIONS(3483),
    [anon_sym_PLUS_PLUS] = ACTIONS(3483),
    [anon_sym_sizeof] = ACTIONS(3485),
    [anon_sym___alignof__] = ACTIONS(3485),
    [anon_sym___alignof] = ACTIONS(3485),
    [anon_sym__alignof] = ACTIONS(3485),
    [anon_sym_alignof] = ACTIONS(3485),
    [anon_sym__Alignof] = ACTIONS(3485),
    [anon_sym_offsetof] = ACTIONS(3485),
    [anon_sym__Generic] = ACTIONS(3485),
    [anon_sym_asm] = ACTIONS(3485),
    [anon_sym___asm__] = ACTIONS(3485),
    [anon_sym___asm] = ACTIONS(3485),
    [sym_number_literal] = ACTIONS(3483),
    [anon_sym_L_SQUOTE] = ACTIONS(3483),
    [anon_sym_u_SQUOTE] = ACTIONS(3483),
    [anon_sym_U_SQUOTE] = ACTIONS(3483),
    [anon_sym_u8_SQUOTE] = ACTIONS(3483),
    [anon_sym_SQUOTE] = ACTIONS(3483),
    [anon_sym_L_DQUOTE] = ACTIONS(3483),
    [anon_sym_u_DQUOTE] = ACTIONS(3483),
    [anon_sym_U_DQUOTE] = ACTIONS(3483),
    [anon_sym_u8_DQUOTE] = ACTIONS(3483),
    [anon_sym_DQUOTE] = ACTIONS(3483),
    [sym_true] = ACTIONS(3485),
    [sym_false] = ACTIONS(3485),
    [anon_sym_NULL] = ACTIONS(3485),
    [anon_sym_nullptr] = ACTIONS(3485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3485),
    [anon_sym_decltype] = ACTIONS(3485),
    [anon_sym_explicit] = ACTIONS(3485),
    [anon_sym_typename] = ACTIONS(3485),
    [anon_sym_template] = ACTIONS(3485),
    [anon_sym_operator] = ACTIONS(3485),
    [anon_sym_try] = ACTIONS(3485),
    [anon_sym_delete] = ACTIONS(3485),
    [anon_sym_throw] = ACTIONS(3485),
    [anon_sym_namespace] = ACTIONS(3485),
    [anon_sym_using] = ACTIONS(3485),
    [anon_sym_static_assert] = ACTIONS(3485),
    [anon_sym_concept] = ACTIONS(3485),
    [anon_sym_co_return] = ACTIONS(3485),
    [anon_sym_co_yield] = ACTIONS(3485),
    [anon_sym_R_DQUOTE] = ACTIONS(3483),
    [anon_sym_LR_DQUOTE] = ACTIONS(3483),
    [anon_sym_uR_DQUOTE] = ACTIONS(3483),
    [anon_sym_UR_DQUOTE] = ACTIONS(3483),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3483),
    [anon_sym_co_await] = ACTIONS(3485),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3485),
    [sym_this] = ACTIONS(3485),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2828),
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2872),
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [sym_primitive_type] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [sym_number_literal] = ACTIONS(2872),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3165),
    [sym_identifier] = ACTIONS(3163),
    [aux_sym_preproc_include_token1] = ACTIONS(3163),
    [aux_sym_preproc_def_token1] = ACTIONS(3163),
    [aux_sym_preproc_if_token1] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3163),
    [sym_preproc_directive] = ACTIONS(3163),
    [anon_sym_LPAREN2] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_STAR] = ACTIONS(3165),
    [anon_sym_AMP_AMP] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3163),
    [anon_sym___extension__] = ACTIONS(3163),
    [anon_sym_typedef] = ACTIONS(3163),
    [anon_sym_virtual] = ACTIONS(3163),
    [anon_sym_extern] = ACTIONS(3163),
    [anon_sym___attribute__] = ACTIONS(3163),
    [anon_sym_COLON_COLON] = ACTIONS(3165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3165),
    [anon_sym___declspec] = ACTIONS(3163),
    [anon_sym___based] = ACTIONS(3163),
    [anon_sym___cdecl] = ACTIONS(3163),
    [anon_sym___clrcall] = ACTIONS(3163),
    [anon_sym___stdcall] = ACTIONS(3163),
    [anon_sym___fastcall] = ACTIONS(3163),
    [anon_sym___thiscall] = ACTIONS(3163),
    [anon_sym___vectorcall] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3165),
    [anon_sym_signed] = ACTIONS(3163),
    [anon_sym_unsigned] = ACTIONS(3163),
    [anon_sym_long] = ACTIONS(3163),
    [anon_sym_short] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_register] = ACTIONS(3163),
    [anon_sym_inline] = ACTIONS(3163),
    [anon_sym___inline] = ACTIONS(3163),
    [anon_sym___inline__] = ACTIONS(3163),
    [anon_sym___forceinline] = ACTIONS(3163),
    [anon_sym_thread_local] = ACTIONS(3163),
    [anon_sym___thread] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_constexpr] = ACTIONS(3163),
    [anon_sym_volatile] = ACTIONS(3163),
    [anon_sym_restrict] = ACTIONS(3163),
    [anon_sym___restrict__] = ACTIONS(3163),
    [anon_sym__Atomic] = ACTIONS(3163),
    [anon_sym__Noreturn] = ACTIONS(3163),
    [anon_sym_noreturn] = ACTIONS(3163),
    [anon_sym__Nonnull] = ACTIONS(3163),
    [anon_sym_mutable] = ACTIONS(3163),
    [anon_sym_constinit] = ACTIONS(3163),
    [anon_sym_consteval] = ACTIONS(3163),
    [anon_sym_alignas] = ACTIONS(3163),
    [anon_sym__Alignas] = ACTIONS(3163),
    [sym_primitive_type] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_struct] = ACTIONS(3163),
    [anon_sym_union] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_case] = ACTIONS(3163),
    [anon_sym_default] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_goto] = ACTIONS(3163),
    [anon_sym_not] = ACTIONS(3163),
    [anon_sym_compl] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3165),
    [anon_sym_PLUS_PLUS] = ACTIONS(3165),
    [anon_sym_sizeof] = ACTIONS(3163),
    [anon_sym___alignof__] = ACTIONS(3163),
    [anon_sym___alignof] = ACTIONS(3163),
    [anon_sym__alignof] = ACTIONS(3163),
    [anon_sym_alignof] = ACTIONS(3163),
    [anon_sym__Alignof] = ACTIONS(3163),
    [anon_sym_offsetof] = ACTIONS(3163),
    [anon_sym__Generic] = ACTIONS(3163),
    [anon_sym_asm] = ACTIONS(3163),
    [anon_sym___asm__] = ACTIONS(3163),
    [anon_sym___asm] = ACTIONS(3163),
    [sym_number_literal] = ACTIONS(3165),
    [anon_sym_L_SQUOTE] = ACTIONS(3165),
    [anon_sym_u_SQUOTE] = ACTIONS(3165),
    [anon_sym_U_SQUOTE] = ACTIONS(3165),
    [anon_sym_u8_SQUOTE] = ACTIONS(3165),
    [anon_sym_SQUOTE] = ACTIONS(3165),
    [anon_sym_L_DQUOTE] = ACTIONS(3165),
    [anon_sym_u_DQUOTE] = ACTIONS(3165),
    [anon_sym_U_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8_DQUOTE] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(3165),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [anon_sym_NULL] = ACTIONS(3163),
    [anon_sym_nullptr] = ACTIONS(3163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3163),
    [anon_sym_decltype] = ACTIONS(3163),
    [anon_sym_explicit] = ACTIONS(3163),
    [anon_sym_typename] = ACTIONS(3163),
    [anon_sym_template] = ACTIONS(3163),
    [anon_sym_operator] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_static_assert] = ACTIONS(3163),
    [anon_sym_concept] = ACTIONS(3163),
    [anon_sym_co_return] = ACTIONS(3163),
    [anon_sym_co_yield] = ACTIONS(3163),
    [anon_sym_R_DQUOTE] = ACTIONS(3165),
    [anon_sym_LR_DQUOTE] = ACTIONS(3165),
    [anon_sym_uR_DQUOTE] = ACTIONS(3165),
    [anon_sym_UR_DQUOTE] = ACTIONS(3165),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3165),
    [anon_sym_co_await] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_requires] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
  },
  [752] = {
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_field_declaration_list] = STATE(774),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(774),
    [sym_type_definition] = STATE(774),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(774),
    [sym_field_declaration] = STATE(774),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(774),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(774),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(774),
    [sym_operator_cast_declaration] = STATE(774),
    [sym_constructor_or_destructor_definition] = STATE(774),
    [sym_constructor_or_destructor_declaration] = STATE(774),
    [sym_friend_declaration] = STATE(774),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(774),
    [sym_alias_declaration] = STATE(774),
    [sym_static_assert_declaration] = STATE(774),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [753] = {
    [sym_preproc_def] = STATE(757),
    [sym_preproc_function_def] = STATE(757),
    [sym_preproc_call] = STATE(757),
    [sym_preproc_if_in_field_declaration_list] = STATE(757),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(757),
    [sym_type_definition] = STATE(757),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(757),
    [sym_field_declaration] = STATE(757),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(757),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(757),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(757),
    [sym_operator_cast_declaration] = STATE(757),
    [sym_constructor_or_destructor_definition] = STATE(757),
    [sym_constructor_or_destructor_declaration] = STATE(757),
    [sym_friend_declaration] = STATE(757),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(757),
    [sym_alias_declaration] = STATE(757),
    [sym_static_assert_declaration] = STATE(757),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(757),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3513),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3515),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [754] = {
    [sym_preproc_def] = STATE(754),
    [sym_preproc_function_def] = STATE(754),
    [sym_preproc_call] = STATE(754),
    [sym_preproc_if_in_field_declaration_list] = STATE(754),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(754),
    [sym_type_definition] = STATE(754),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5338),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5802),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(754),
    [sym_field_declaration] = STATE(754),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1728),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(754),
    [sym_operator_cast] = STATE(6321),
    [sym_inline_method_definition] = STATE(754),
    [sym__constructor_specifiers] = STATE(1728),
    [sym_operator_cast_definition] = STATE(754),
    [sym_operator_cast_declaration] = STATE(754),
    [sym_constructor_or_destructor_definition] = STATE(754),
    [sym_constructor_or_destructor_declaration] = STATE(754),
    [sym_friend_declaration] = STATE(754),
    [sym_access_specifier] = STATE(8098),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(754),
    [sym_alias_declaration] = STATE(754),
    [sym_static_assert_declaration] = STATE(754),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6321),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(754),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1728),
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3517),
    [aux_sym_preproc_if_token1] = ACTIONS(3520),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3523),
    [sym_preproc_directive] = ACTIONS(3526),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3348),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym___extension__] = ACTIONS(3532),
    [anon_sym_typedef] = ACTIONS(3535),
    [anon_sym_virtual] = ACTIONS(3366),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3372),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3378),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3384),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3538),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym__Nonnull] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3399),
    [anon_sym__Alignas] = ACTIONS(3399),
    [sym_primitive_type] = ACTIONS(3402),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_union] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3423),
    [anon_sym_typename] = ACTIONS(3426),
    [anon_sym_template] = ACTIONS(3541),
    [anon_sym_operator] = ACTIONS(3432),
    [anon_sym_friend] = ACTIONS(3544),
    [anon_sym_public] = ACTIONS(3438),
    [anon_sym_private] = ACTIONS(3438),
    [anon_sym_protected] = ACTIONS(3438),
    [anon_sym_using] = ACTIONS(3547),
    [anon_sym_static_assert] = ACTIONS(3550),
  },
  [755] = {
    [sym_preproc_def] = STATE(754),
    [sym_preproc_function_def] = STATE(754),
    [sym_preproc_call] = STATE(754),
    [sym_preproc_if_in_field_declaration_list] = STATE(754),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(754),
    [sym_type_definition] = STATE(754),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5338),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5802),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(754),
    [sym_field_declaration] = STATE(754),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1728),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(754),
    [sym_operator_cast] = STATE(6321),
    [sym_inline_method_definition] = STATE(754),
    [sym__constructor_specifiers] = STATE(1728),
    [sym_operator_cast_definition] = STATE(754),
    [sym_operator_cast_declaration] = STATE(754),
    [sym_constructor_or_destructor_definition] = STATE(754),
    [sym_constructor_or_destructor_declaration] = STATE(754),
    [sym_friend_declaration] = STATE(754),
    [sym_access_specifier] = STATE(8098),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(754),
    [sym_alias_declaration] = STATE(754),
    [sym_static_assert_declaration] = STATE(754),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6321),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(754),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1728),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3555),
    [aux_sym_preproc_if_token2] = ACTIONS(3557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3559),
    [sym_preproc_directive] = ACTIONS(3561),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3563),
    [anon_sym___extension__] = ACTIONS(3565),
    [anon_sym_typedef] = ACTIONS(3567),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3569),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3571),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3573),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3575),
    [anon_sym_static_assert] = ACTIONS(3577),
  },
  [756] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3581),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [757] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3583),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [758] = {
    [sym_preproc_def] = STATE(772),
    [sym_preproc_function_def] = STATE(772),
    [sym_preproc_call] = STATE(772),
    [sym_preproc_if_in_field_declaration_list] = STATE(772),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(772),
    [sym_type_definition] = STATE(772),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(772),
    [sym_field_declaration] = STATE(772),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(772),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(772),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(772),
    [sym_operator_cast_declaration] = STATE(772),
    [sym_constructor_or_destructor_definition] = STATE(772),
    [sym_constructor_or_destructor_declaration] = STATE(772),
    [sym_friend_declaration] = STATE(772),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(772),
    [sym_alias_declaration] = STATE(772),
    [sym_static_assert_declaration] = STATE(772),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(772),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3585),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3587),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [759] = {
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_field_declaration_list] = STATE(767),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(767),
    [sym_type_definition] = STATE(767),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(767),
    [sym_field_declaration] = STATE(767),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(767),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(767),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(767),
    [sym_operator_cast_declaration] = STATE(767),
    [sym_constructor_or_destructor_definition] = STATE(767),
    [sym_constructor_or_destructor_declaration] = STATE(767),
    [sym_friend_declaration] = STATE(767),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(767),
    [sym_alias_declaration] = STATE(767),
    [sym_static_assert_declaration] = STATE(767),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(767),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3589),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3591),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [760] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3593),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [761] = {
    [sym_preproc_def] = STATE(763),
    [sym_preproc_function_def] = STATE(763),
    [sym_preproc_call] = STATE(763),
    [sym_preproc_if_in_field_declaration_list] = STATE(763),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(763),
    [sym_type_definition] = STATE(763),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(763),
    [sym_field_declaration] = STATE(763),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(763),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(763),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(763),
    [sym_operator_cast_declaration] = STATE(763),
    [sym_constructor_or_destructor_definition] = STATE(763),
    [sym_constructor_or_destructor_declaration] = STATE(763),
    [sym_friend_declaration] = STATE(763),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(763),
    [sym_alias_declaration] = STATE(763),
    [sym_static_assert_declaration] = STATE(763),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(763),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3595),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3597),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [762] = {
    [sym_preproc_def] = STATE(760),
    [sym_preproc_function_def] = STATE(760),
    [sym_preproc_call] = STATE(760),
    [sym_preproc_if_in_field_declaration_list] = STATE(760),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(760),
    [sym_type_definition] = STATE(760),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(760),
    [sym_field_declaration] = STATE(760),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(760),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(760),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(760),
    [sym_operator_cast_declaration] = STATE(760),
    [sym_constructor_or_destructor_definition] = STATE(760),
    [sym_constructor_or_destructor_declaration] = STATE(760),
    [sym_friend_declaration] = STATE(760),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(760),
    [sym_alias_declaration] = STATE(760),
    [sym_static_assert_declaration] = STATE(760),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(760),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3599),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3601),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [763] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3603),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [764] = {
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_field_declaration_list] = STATE(775),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(775),
    [sym_type_definition] = STATE(775),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(775),
    [sym_field_declaration] = STATE(775),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(775),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(775),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(775),
    [sym_operator_cast_declaration] = STATE(775),
    [sym_constructor_or_destructor_definition] = STATE(775),
    [sym_constructor_or_destructor_declaration] = STATE(775),
    [sym_friend_declaration] = STATE(775),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(775),
    [sym_alias_declaration] = STATE(775),
    [sym_static_assert_declaration] = STATE(775),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(775),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3605),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3607),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [765] = {
    [sym_preproc_def] = STATE(769),
    [sym_preproc_function_def] = STATE(769),
    [sym_preproc_call] = STATE(769),
    [sym_preproc_if_in_field_declaration_list] = STATE(769),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(769),
    [sym_type_definition] = STATE(769),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(769),
    [sym_field_declaration] = STATE(769),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(769),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(769),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(769),
    [sym_operator_cast_declaration] = STATE(769),
    [sym_constructor_or_destructor_definition] = STATE(769),
    [sym_constructor_or_destructor_declaration] = STATE(769),
    [sym_friend_declaration] = STATE(769),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(769),
    [sym_alias_declaration] = STATE(769),
    [sym_static_assert_declaration] = STATE(769),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(769),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3609),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3611),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [766] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3613),
    [aux_sym_preproc_if_token1] = ACTIONS(3616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3619),
    [sym_preproc_directive] = ACTIONS(3622),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3348),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3625),
    [anon_sym___extension__] = ACTIONS(3628),
    [anon_sym_typedef] = ACTIONS(3631),
    [anon_sym_virtual] = ACTIONS(3366),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3372),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3378),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3384),
    [anon_sym_RBRACE] = ACTIONS(3634),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym__Nonnull] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3399),
    [anon_sym__Alignas] = ACTIONS(3399),
    [sym_primitive_type] = ACTIONS(3402),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_union] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3423),
    [anon_sym_typename] = ACTIONS(3426),
    [anon_sym_template] = ACTIONS(3639),
    [anon_sym_operator] = ACTIONS(3432),
    [anon_sym_friend] = ACTIONS(3642),
    [anon_sym_public] = ACTIONS(3438),
    [anon_sym_private] = ACTIONS(3438),
    [anon_sym_protected] = ACTIONS(3438),
    [anon_sym_using] = ACTIONS(3645),
    [anon_sym_static_assert] = ACTIONS(3648),
  },
  [767] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3651),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [768] = {
    [sym_preproc_def] = STATE(773),
    [sym_preproc_function_def] = STATE(773),
    [sym_preproc_call] = STATE(773),
    [sym_preproc_if_in_field_declaration_list] = STATE(773),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(773),
    [sym_type_definition] = STATE(773),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(773),
    [sym_field_declaration] = STATE(773),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(773),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(773),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(773),
    [sym_operator_cast_declaration] = STATE(773),
    [sym_constructor_or_destructor_definition] = STATE(773),
    [sym_constructor_or_destructor_declaration] = STATE(773),
    [sym_friend_declaration] = STATE(773),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(773),
    [sym_alias_declaration] = STATE(773),
    [sym_static_assert_declaration] = STATE(773),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(773),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3653),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3655),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [769] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3657),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [770] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3661),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym___attribute__] = ACTIONS(1902),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [771] = {
    [sym_preproc_def] = STATE(756),
    [sym_preproc_function_def] = STATE(756),
    [sym_preproc_call] = STATE(756),
    [sym_preproc_if_in_field_declaration_list] = STATE(756),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(756),
    [sym_type_definition] = STATE(756),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(756),
    [sym_field_declaration] = STATE(756),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(756),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(756),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(756),
    [sym_operator_cast_declaration] = STATE(756),
    [sym_constructor_or_destructor_definition] = STATE(756),
    [sym_constructor_or_destructor_declaration] = STATE(756),
    [sym_friend_declaration] = STATE(756),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(756),
    [sym_alias_declaration] = STATE(756),
    [sym_static_assert_declaration] = STATE(756),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3683),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3685),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [772] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3687),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [773] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3689),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [774] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3691),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [775] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6332),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7716),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3579),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3693),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [776] = {
    [sym_preproc_def] = STATE(755),
    [sym_preproc_function_def] = STATE(755),
    [sym_preproc_call] = STATE(755),
    [sym_preproc_if_in_field_declaration_list] = STATE(755),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(755),
    [sym_type_definition] = STATE(755),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(5338),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5802),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__field_declaration_list_item] = STATE(755),
    [sym_field_declaration] = STATE(755),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1728),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(755),
    [sym_operator_cast] = STATE(6321),
    [sym_inline_method_definition] = STATE(755),
    [sym__constructor_specifiers] = STATE(1728),
    [sym_operator_cast_definition] = STATE(755),
    [sym_operator_cast_declaration] = STATE(755),
    [sym_constructor_or_destructor_definition] = STATE(755),
    [sym_constructor_or_destructor_declaration] = STATE(755),
    [sym_friend_declaration] = STATE(755),
    [sym_access_specifier] = STATE(8098),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_using_declaration] = STATE(755),
    [sym_alias_declaration] = STATE(755),
    [sym_static_assert_declaration] = STATE(755),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5158),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6321),
    [sym_operator_name] = STATE(5888),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2011),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1728),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3555),
    [aux_sym_preproc_if_token2] = ACTIONS(3695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3559),
    [sym_preproc_directive] = ACTIONS(3561),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3697),
    [anon_sym___extension__] = ACTIONS(3565),
    [anon_sym_typedef] = ACTIONS(3567),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3569),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3571),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3573),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3575),
    [anon_sym_static_assert] = ACTIONS(3577),
  },
  [777] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3701),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_RBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [778] = {
    [sym_expression] = STATE(4304),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3719),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(1902),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [779] = {
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_initializer_list] = STATE(4567),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [780] = {
    [sym_expression] = STATE(4466),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3741),
    [anon_sym_COMMA] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3701),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(3745),
    [anon_sym_PERCENT] = ACTIONS(3741),
    [anon_sym_PIPE_PIPE] = ACTIONS(3741),
    [anon_sym_AMP_AMP] = ACTIONS(3741),
    [anon_sym_PIPE] = ACTIONS(3745),
    [anon_sym_CARET] = ACTIONS(3741),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(3741),
    [anon_sym_BANG_EQ] = ACTIONS(3741),
    [anon_sym_GT] = ACTIONS(3745),
    [anon_sym_GT_EQ] = ACTIONS(3741),
    [anon_sym_LT_EQ] = ACTIONS(3745),
    [anon_sym_LT] = ACTIONS(3745),
    [anon_sym_LT_LT] = ACTIONS(3741),
    [anon_sym_GT_GT] = ACTIONS(3741),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(3741),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(3741),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_LT_EQ_GT] = ACTIONS(3741),
    [anon_sym_or] = ACTIONS(3745),
    [anon_sym_and] = ACTIONS(3745),
    [anon_sym_bitor] = ACTIONS(3745),
    [anon_sym_xor] = ACTIONS(3745),
    [anon_sym_bitand] = ACTIONS(3745),
    [anon_sym_not_eq] = ACTIONS(3745),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3745),
    [anon_sym_DOT_STAR] = ACTIONS(3741),
    [anon_sym_DASH_GT] = ACTIONS(3741),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [781] = {
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(5917),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(3933),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_type_identifier] = STATE(2726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2808),
    [sym_identifier] = ACTIONS(3749),
    [anon_sym_COMMA] = ACTIONS(3751),
    [anon_sym_BANG] = ACTIONS(3753),
    [anon_sym_TILDE] = ACTIONS(3751),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(3753),
    [anon_sym_SLASH] = ACTIONS(3753),
    [anon_sym_PERCENT] = ACTIONS(3753),
    [anon_sym_PIPE_PIPE] = ACTIONS(3751),
    [anon_sym_AMP_AMP] = ACTIONS(3751),
    [anon_sym_PIPE] = ACTIONS(3753),
    [anon_sym_CARET] = ACTIONS(3753),
    [anon_sym_AMP] = ACTIONS(3753),
    [anon_sym_EQ_EQ] = ACTIONS(3751),
    [anon_sym_BANG_EQ] = ACTIONS(3751),
    [anon_sym_GT] = ACTIONS(3753),
    [anon_sym_GT_EQ] = ACTIONS(3751),
    [anon_sym_LT_EQ] = ACTIONS(3753),
    [anon_sym_LT] = ACTIONS(3753),
    [anon_sym_LT_LT] = ACTIONS(3753),
    [anon_sym_GT_GT] = ACTIONS(3753),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(3755),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3759),
    [anon_sym_unsigned] = ACTIONS(3759),
    [anon_sym_long] = ACTIONS(3759),
    [anon_sym_short] = ACTIONS(3759),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3753),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_enum] = ACTIONS(3763),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3767),
    [anon_sym_union] = ACTIONS(3769),
    [anon_sym_STAR_EQ] = ACTIONS(3751),
    [anon_sym_SLASH_EQ] = ACTIONS(3751),
    [anon_sym_PERCENT_EQ] = ACTIONS(3751),
    [anon_sym_PLUS_EQ] = ACTIONS(3751),
    [anon_sym_DASH_EQ] = ACTIONS(3751),
    [anon_sym_LT_LT_EQ] = ACTIONS(3751),
    [anon_sym_GT_GT_EQ] = ACTIONS(3751),
    [anon_sym_AMP_EQ] = ACTIONS(3751),
    [anon_sym_CARET_EQ] = ACTIONS(3751),
    [anon_sym_PIPE_EQ] = ACTIONS(3751),
    [anon_sym_and_eq] = ACTIONS(3753),
    [anon_sym_or_eq] = ACTIONS(3753),
    [anon_sym_xor_eq] = ACTIONS(3753),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_LT_EQ_GT] = ACTIONS(3751),
    [anon_sym_or] = ACTIONS(3753),
    [anon_sym_and] = ACTIONS(3753),
    [anon_sym_bitor] = ACTIONS(3753),
    [anon_sym_xor] = ACTIONS(3753),
    [anon_sym_bitand] = ACTIONS(3753),
    [anon_sym_not_eq] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(3751),
    [anon_sym_PLUS_PLUS] = ACTIONS(3751),
    [anon_sym_DASH_GT] = ACTIONS(3753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3771),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3773),
    [anon_sym_co_await] = ACTIONS(3753),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3751),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3751),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3775),
  },
  [782] = {
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(5917),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(3933),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_type_identifier] = STATE(2726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2808),
    [sym_identifier] = ACTIONS(3749),
    [anon_sym_COMMA] = ACTIONS(3777),
    [anon_sym_BANG] = ACTIONS(3779),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_STAR] = ACTIONS(3779),
    [anon_sym_SLASH] = ACTIONS(3779),
    [anon_sym_PERCENT] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3777),
    [anon_sym_AMP_AMP] = ACTIONS(3777),
    [anon_sym_PIPE] = ACTIONS(3779),
    [anon_sym_CARET] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_EQ_EQ] = ACTIONS(3777),
    [anon_sym_BANG_EQ] = ACTIONS(3777),
    [anon_sym_GT] = ACTIONS(3779),
    [anon_sym_GT_EQ] = ACTIONS(3777),
    [anon_sym_LT_EQ] = ACTIONS(3779),
    [anon_sym_LT] = ACTIONS(3779),
    [anon_sym_LT_LT] = ACTIONS(3779),
    [anon_sym_GT_GT] = ACTIONS(3779),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(3755),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3759),
    [anon_sym_unsigned] = ACTIONS(3759),
    [anon_sym_long] = ACTIONS(3759),
    [anon_sym_short] = ACTIONS(3759),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3779),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_enum] = ACTIONS(3763),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3767),
    [anon_sym_union] = ACTIONS(3769),
    [anon_sym_STAR_EQ] = ACTIONS(3777),
    [anon_sym_SLASH_EQ] = ACTIONS(3777),
    [anon_sym_PERCENT_EQ] = ACTIONS(3777),
    [anon_sym_PLUS_EQ] = ACTIONS(3777),
    [anon_sym_DASH_EQ] = ACTIONS(3777),
    [anon_sym_LT_LT_EQ] = ACTIONS(3777),
    [anon_sym_GT_GT_EQ] = ACTIONS(3777),
    [anon_sym_AMP_EQ] = ACTIONS(3777),
    [anon_sym_CARET_EQ] = ACTIONS(3777),
    [anon_sym_PIPE_EQ] = ACTIONS(3777),
    [anon_sym_and_eq] = ACTIONS(3779),
    [anon_sym_or_eq] = ACTIONS(3779),
    [anon_sym_xor_eq] = ACTIONS(3779),
    [anon_sym_not] = ACTIONS(3779),
    [anon_sym_compl] = ACTIONS(3779),
    [anon_sym_LT_EQ_GT] = ACTIONS(3777),
    [anon_sym_or] = ACTIONS(3779),
    [anon_sym_and] = ACTIONS(3779),
    [anon_sym_bitor] = ACTIONS(3779),
    [anon_sym_xor] = ACTIONS(3779),
    [anon_sym_bitand] = ACTIONS(3779),
    [anon_sym_not_eq] = ACTIONS(3779),
    [anon_sym_DASH_DASH] = ACTIONS(3777),
    [anon_sym_PLUS_PLUS] = ACTIONS(3777),
    [anon_sym_DASH_GT] = ACTIONS(3779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3771),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3781),
    [anon_sym_co_await] = ACTIONS(3779),
    [anon_sym_new] = ACTIONS(3781),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3777),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3777),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3777),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3783),
  },
  [783] = {
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3785),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3788),
    [anon_sym_COLON_COLON] = ACTIONS(3791),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(3794),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [784] = {
    [sym_expression] = STATE(2990),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(3800),
    [anon_sym_COLON_COLON] = ACTIONS(3803),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(3806),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [785] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [786] = {
    [sym_identifier] = ACTIONS(3809),
    [anon_sym_COMMA] = ACTIONS(3811),
    [anon_sym_RPAREN] = ACTIONS(3811),
    [anon_sym_LPAREN2] = ACTIONS(3811),
    [anon_sym_BANG] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_AMP_AMP] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3809),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym___attribute__] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3811),
    [anon_sym___declspec] = ACTIONS(3809),
    [anon_sym___based] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_signed] = ACTIONS(3809),
    [anon_sym_unsigned] = ACTIONS(3809),
    [anon_sym_long] = ACTIONS(3809),
    [anon_sym_short] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_EQ] = ACTIONS(3811),
    [anon_sym_register] = ACTIONS(3809),
    [anon_sym_inline] = ACTIONS(3809),
    [anon_sym___inline] = ACTIONS(3809),
    [anon_sym___inline__] = ACTIONS(3809),
    [anon_sym___forceinline] = ACTIONS(3809),
    [anon_sym_thread_local] = ACTIONS(3809),
    [anon_sym___thread] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_constexpr] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_restrict] = ACTIONS(3809),
    [anon_sym___restrict__] = ACTIONS(3809),
    [anon_sym__Atomic] = ACTIONS(3809),
    [anon_sym__Noreturn] = ACTIONS(3809),
    [anon_sym_noreturn] = ACTIONS(3809),
    [anon_sym__Nonnull] = ACTIONS(3809),
    [anon_sym_mutable] = ACTIONS(3809),
    [anon_sym_constinit] = ACTIONS(3809),
    [anon_sym_consteval] = ACTIONS(3809),
    [anon_sym_alignas] = ACTIONS(3809),
    [anon_sym__Alignas] = ACTIONS(3809),
    [sym_primitive_type] = ACTIONS(3809),
    [anon_sym_enum] = ACTIONS(3809),
    [anon_sym_class] = ACTIONS(3809),
    [anon_sym_struct] = ACTIONS(3809),
    [anon_sym_union] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(3809),
    [anon_sym_switch] = ACTIONS(3809),
    [anon_sym_case] = ACTIONS(3809),
    [anon_sym_default] = ACTIONS(3809),
    [anon_sym_while] = ACTIONS(3809),
    [anon_sym_do] = ACTIONS(3809),
    [anon_sym_for] = ACTIONS(3809),
    [anon_sym_return] = ACTIONS(3809),
    [anon_sym_break] = ACTIONS(3809),
    [anon_sym_continue] = ACTIONS(3809),
    [anon_sym_goto] = ACTIONS(3809),
    [anon_sym___try] = ACTIONS(3809),
    [anon_sym___leave] = ACTIONS(3809),
    [anon_sym_not] = ACTIONS(3809),
    [anon_sym_compl] = ACTIONS(3809),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_sizeof] = ACTIONS(3809),
    [anon_sym___alignof__] = ACTIONS(3809),
    [anon_sym___alignof] = ACTIONS(3809),
    [anon_sym__alignof] = ACTIONS(3809),
    [anon_sym_alignof] = ACTIONS(3809),
    [anon_sym__Alignof] = ACTIONS(3809),
    [anon_sym_offsetof] = ACTIONS(3809),
    [anon_sym__Generic] = ACTIONS(3809),
    [anon_sym_asm] = ACTIONS(3809),
    [anon_sym___asm__] = ACTIONS(3809),
    [anon_sym___asm] = ACTIONS(3809),
    [sym_number_literal] = ACTIONS(3811),
    [anon_sym_L_SQUOTE] = ACTIONS(3811),
    [anon_sym_u_SQUOTE] = ACTIONS(3811),
    [anon_sym_U_SQUOTE] = ACTIONS(3811),
    [anon_sym_u8_SQUOTE] = ACTIONS(3811),
    [anon_sym_SQUOTE] = ACTIONS(3811),
    [anon_sym_L_DQUOTE] = ACTIONS(3811),
    [anon_sym_u_DQUOTE] = ACTIONS(3811),
    [anon_sym_U_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8_DQUOTE] = ACTIONS(3811),
    [anon_sym_DQUOTE] = ACTIONS(3811),
    [sym_true] = ACTIONS(3809),
    [sym_false] = ACTIONS(3809),
    [anon_sym_NULL] = ACTIONS(3809),
    [anon_sym_nullptr] = ACTIONS(3809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3809),
    [anon_sym_decltype] = ACTIONS(3809),
    [anon_sym_explicit] = ACTIONS(3809),
    [anon_sym_typename] = ACTIONS(3809),
    [anon_sym_template] = ACTIONS(3809),
    [anon_sym_GT2] = ACTIONS(3811),
    [anon_sym_operator] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_throw] = ACTIONS(3809),
    [anon_sym_co_return] = ACTIONS(3809),
    [anon_sym_co_yield] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_requires] = ACTIONS(3809),
    [sym_this] = ACTIONS(3809),
  },
  [787] = {
    [sym_identifier] = ACTIONS(3813),
    [anon_sym_COMMA] = ACTIONS(3815),
    [anon_sym_RPAREN] = ACTIONS(3815),
    [anon_sym_LPAREN2] = ACTIONS(3815),
    [anon_sym_BANG] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_AMP_AMP] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3813),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym___extension__] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym___attribute__] = ACTIONS(3813),
    [anon_sym_COLON_COLON] = ACTIONS(3815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3815),
    [anon_sym___declspec] = ACTIONS(3813),
    [anon_sym___based] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_signed] = ACTIONS(3813),
    [anon_sym_unsigned] = ACTIONS(3813),
    [anon_sym_long] = ACTIONS(3813),
    [anon_sym_short] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_EQ] = ACTIONS(3815),
    [anon_sym_register] = ACTIONS(3813),
    [anon_sym_inline] = ACTIONS(3813),
    [anon_sym___inline] = ACTIONS(3813),
    [anon_sym___inline__] = ACTIONS(3813),
    [anon_sym___forceinline] = ACTIONS(3813),
    [anon_sym_thread_local] = ACTIONS(3813),
    [anon_sym___thread] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_restrict] = ACTIONS(3813),
    [anon_sym___restrict__] = ACTIONS(3813),
    [anon_sym__Atomic] = ACTIONS(3813),
    [anon_sym__Noreturn] = ACTIONS(3813),
    [anon_sym_noreturn] = ACTIONS(3813),
    [anon_sym__Nonnull] = ACTIONS(3813),
    [anon_sym_mutable] = ACTIONS(3813),
    [anon_sym_constinit] = ACTIONS(3813),
    [anon_sym_consteval] = ACTIONS(3813),
    [anon_sym_alignas] = ACTIONS(3813),
    [anon_sym__Alignas] = ACTIONS(3813),
    [sym_primitive_type] = ACTIONS(3813),
    [anon_sym_enum] = ACTIONS(3813),
    [anon_sym_class] = ACTIONS(3813),
    [anon_sym_struct] = ACTIONS(3813),
    [anon_sym_union] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(3813),
    [anon_sym_switch] = ACTIONS(3813),
    [anon_sym_case] = ACTIONS(3813),
    [anon_sym_default] = ACTIONS(3813),
    [anon_sym_while] = ACTIONS(3813),
    [anon_sym_do] = ACTIONS(3813),
    [anon_sym_for] = ACTIONS(3813),
    [anon_sym_return] = ACTIONS(3813),
    [anon_sym_break] = ACTIONS(3813),
    [anon_sym_continue] = ACTIONS(3813),
    [anon_sym_goto] = ACTIONS(3813),
    [anon_sym___try] = ACTIONS(3813),
    [anon_sym___leave] = ACTIONS(3813),
    [anon_sym_not] = ACTIONS(3813),
    [anon_sym_compl] = ACTIONS(3813),
    [anon_sym_DASH_DASH] = ACTIONS(3815),
    [anon_sym_PLUS_PLUS] = ACTIONS(3815),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(3813),
    [anon_sym___alignof] = ACTIONS(3813),
    [anon_sym__alignof] = ACTIONS(3813),
    [anon_sym_alignof] = ACTIONS(3813),
    [anon_sym__Alignof] = ACTIONS(3813),
    [anon_sym_offsetof] = ACTIONS(3813),
    [anon_sym__Generic] = ACTIONS(3813),
    [anon_sym_asm] = ACTIONS(3813),
    [anon_sym___asm__] = ACTIONS(3813),
    [anon_sym___asm] = ACTIONS(3813),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3815),
    [anon_sym_u_SQUOTE] = ACTIONS(3815),
    [anon_sym_U_SQUOTE] = ACTIONS(3815),
    [anon_sym_u8_SQUOTE] = ACTIONS(3815),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [anon_sym_L_DQUOTE] = ACTIONS(3815),
    [anon_sym_u_DQUOTE] = ACTIONS(3815),
    [anon_sym_U_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8_DQUOTE] = ACTIONS(3815),
    [anon_sym_DQUOTE] = ACTIONS(3815),
    [sym_true] = ACTIONS(3813),
    [sym_false] = ACTIONS(3813),
    [anon_sym_NULL] = ACTIONS(3813),
    [anon_sym_nullptr] = ACTIONS(3813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3813),
    [anon_sym_decltype] = ACTIONS(3813),
    [anon_sym_explicit] = ACTIONS(3813),
    [anon_sym_typename] = ACTIONS(3813),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_GT2] = ACTIONS(3815),
    [anon_sym_operator] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_delete] = ACTIONS(3813),
    [anon_sym_throw] = ACTIONS(3813),
    [anon_sym_co_return] = ACTIONS(3813),
    [anon_sym_co_yield] = ACTIONS(3813),
    [anon_sym_R_DQUOTE] = ACTIONS(3815),
    [anon_sym_LR_DQUOTE] = ACTIONS(3815),
    [anon_sym_uR_DQUOTE] = ACTIONS(3815),
    [anon_sym_UR_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3815),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3813),
    [anon_sym_requires] = ACTIONS(3813),
    [sym_this] = ACTIONS(3813),
  },
  [788] = {
    [sym_function_definition] = STATE(718),
    [sym_declaration] = STATE(718),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5833),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2679),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(718),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1747),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(718),
    [sym_operator_cast] = STATE(6337),
    [sym__constructor_specifiers] = STATE(1747),
    [sym_operator_cast_definition] = STATE(718),
    [sym_operator_cast_declaration] = STATE(718),
    [sym_constructor_or_destructor_definition] = STATE(718),
    [sym_constructor_or_destructor_declaration] = STATE(718),
    [sym_friend_declaration] = STATE(718),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(718),
    [sym_concept_definition] = STATE(718),
    [sym_requires_clause] = STATE(821),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6337),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1747),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3827),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [789] = {
    [sym_function_definition] = STATE(1713),
    [sym_declaration] = STATE(1713),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1874),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2661),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(1713),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(1713),
    [sym_operator_cast] = STATE(6315),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(1713),
    [sym_operator_cast_declaration] = STATE(1713),
    [sym_constructor_or_destructor_definition] = STATE(1713),
    [sym_constructor_or_destructor_declaration] = STATE(1713),
    [sym_friend_declaration] = STATE(1713),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(1713),
    [sym_concept_definition] = STATE(1713),
    [sym_requires_clause] = STATE(816),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3831),
    [anon_sym_concept] = ACTIONS(3833),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [790] = {
    [sym_function_definition] = STATE(558),
    [sym_declaration] = STATE(558),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1883),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5836),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(558),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1723),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(558),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(1723),
    [sym_operator_cast_definition] = STATE(558),
    [sym_operator_cast_declaration] = STATE(558),
    [sym_constructor_or_destructor_definition] = STATE(558),
    [sym_constructor_or_destructor_declaration] = STATE(558),
    [sym_friend_declaration] = STATE(558),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(558),
    [sym_concept_definition] = STATE(558),
    [sym_requires_clause] = STATE(818),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1723),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3837),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3839),
    [anon_sym_using] = ACTIONS(3841),
    [anon_sym_concept] = ACTIONS(800),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [791] = {
    [sym_function_definition] = STATE(2093),
    [sym_declaration] = STATE(2093),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4521),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1851),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2656),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(2093),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(2093),
    [sym_operator_cast] = STATE(6332),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(2093),
    [sym_operator_cast_declaration] = STATE(2093),
    [sym_constructor_or_destructor_definition] = STATE(2093),
    [sym_constructor_or_destructor_declaration] = STATE(2093),
    [sym_friend_declaration] = STATE(2093),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(2093),
    [sym_concept_definition] = STATE(2093),
    [sym_requires_clause] = STATE(822),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3843),
    [anon_sym_concept] = ACTIONS(3845),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [792] = {
    [sym_function_definition] = STATE(608),
    [sym_declaration] = STATE(608),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5793),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(608),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1686),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(608),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1686),
    [sym_operator_cast_definition] = STATE(608),
    [sym_operator_cast_declaration] = STATE(608),
    [sym_constructor_or_destructor_definition] = STATE(608),
    [sym_constructor_or_destructor_declaration] = STATE(608),
    [sym_friend_declaration] = STATE(608),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(608),
    [sym_concept_definition] = STATE(608),
    [sym_requires_clause] = STATE(819),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1686),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3847),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3849),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3851),
    [anon_sym_using] = ACTIONS(3853),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [793] = {
    [sym_function_definition] = STATE(1942),
    [sym_declaration] = STATE(1942),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4525),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1880),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5802),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(1942),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1728),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(1942),
    [sym_operator_cast] = STATE(6321),
    [sym__constructor_specifiers] = STATE(1728),
    [sym_operator_cast_definition] = STATE(1942),
    [sym_operator_cast_declaration] = STATE(1942),
    [sym_constructor_or_destructor_definition] = STATE(1942),
    [sym_constructor_or_destructor_declaration] = STATE(1942),
    [sym_friend_declaration] = STATE(1942),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(1942),
    [sym_concept_definition] = STATE(1942),
    [sym_requires_clause] = STATE(820),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6321),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1728),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3569),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3571),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3573),
    [anon_sym_using] = ACTIONS(3855),
    [anon_sym_concept] = ACTIONS(3857),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [794] = {
    [sym_function_definition] = STATE(303),
    [sym_declaration] = STATE(303),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5897),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(303),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1711),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(303),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1711),
    [sym_operator_cast_definition] = STATE(303),
    [sym_operator_cast_declaration] = STATE(303),
    [sym_constructor_or_destructor_definition] = STATE(303),
    [sym_constructor_or_destructor_declaration] = STATE(303),
    [sym_friend_declaration] = STATE(303),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(303),
    [sym_concept_definition] = STATE(303),
    [sym_requires_clause] = STATE(817),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3859),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3861),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3863),
    [anon_sym_using] = ACTIONS(3865),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [795] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4499),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3867),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3873),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [796] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [797] = {
    [sym_type_qualifier] = STATE(795),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3883),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3885),
    [anon_sym_RBRACK] = ACTIONS(3887),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [798] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3889),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3891),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [799] = {
    [sym_type_qualifier] = STATE(801),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4437),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(801),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3895),
    [anon_sym_RBRACK] = ACTIONS(3897),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [800] = {
    [sym_type_qualifier] = STATE(798),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4509),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(798),
    [sym_identifier] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3901),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3903),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [801] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [802] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4463),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3911),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3913),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [803] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3915),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3917),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [804] = {
    [sym_type_qualifier] = STATE(802),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(802),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3921),
    [anon_sym_RBRACK] = ACTIONS(3923),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [805] = {
    [sym_type_qualifier] = STATE(807),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4459),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3927),
    [anon_sym_RBRACK] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [806] = {
    [sym_type_qualifier] = STATE(803),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(803),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3933),
    [anon_sym_RBRACK] = ACTIONS(3935),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [807] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3939),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [808] = {
    [sym_type_qualifier] = STATE(810),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3941),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3943),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [809] = {
    [sym_type_qualifier] = STATE(812),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(812),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3947),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3949),
    [anon_sym_RBRACK] = ACTIONS(3951),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [810] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4400),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3953),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [811] = {
    [sym_type_qualifier] = STATE(798),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4509),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(798),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3901),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3903),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [812] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3957),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3959),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [813] = {
    [sym_type_qualifier] = STATE(815),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4407),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(815),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3961),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3963),
    [anon_sym_RBRACK] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [814] = {
    [sym_type_qualifier] = STATE(796),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4410),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(796),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3967),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_RBRACK] = ACTIONS(3971),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [815] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3973),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3975),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [816] = {
    [sym_function_definition] = STATE(1767),
    [sym_declaration] = STATE(1767),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1874),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2661),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(1767),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1718),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(1767),
    [sym_operator_cast] = STATE(6315),
    [sym__constructor_specifiers] = STATE(1718),
    [sym_operator_cast_definition] = STATE(1767),
    [sym_operator_cast_declaration] = STATE(1767),
    [sym_constructor_or_destructor_definition] = STATE(1767),
    [sym_constructor_or_destructor_declaration] = STATE(1767),
    [sym_friend_declaration] = STATE(1767),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(1767),
    [sym_concept_definition] = STATE(1767),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1718),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3247),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3831),
    [anon_sym_concept] = ACTIONS(3833),
  },
  [817] = {
    [sym_function_definition] = STATE(313),
    [sym_declaration] = STATE(313),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1871),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5897),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2640),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(313),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1711),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(313),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1711),
    [sym_operator_cast_definition] = STATE(313),
    [sym_operator_cast_declaration] = STATE(313),
    [sym_constructor_or_destructor_definition] = STATE(313),
    [sym_constructor_or_destructor_declaration] = STATE(313),
    [sym_friend_declaration] = STATE(313),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(313),
    [sym_concept_definition] = STATE(313),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1711),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3859),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3861),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3863),
    [anon_sym_using] = ACTIONS(3865),
    [anon_sym_concept] = ACTIONS(329),
  },
  [818] = {
    [sym_function_definition] = STATE(567),
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1883),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5836),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(567),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1723),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(567),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(1723),
    [sym_operator_cast_definition] = STATE(567),
    [sym_operator_cast_declaration] = STATE(567),
    [sym_constructor_or_destructor_definition] = STATE(567),
    [sym_constructor_or_destructor_declaration] = STATE(567),
    [sym_friend_declaration] = STATE(567),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(567),
    [sym_concept_definition] = STATE(567),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1723),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3837),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3839),
    [anon_sym_using] = ACTIONS(3841),
    [anon_sym_concept] = ACTIONS(800),
  },
  [819] = {
    [sym_function_definition] = STATE(635),
    [sym_declaration] = STATE(635),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1878),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5793),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2677),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(635),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1686),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(635),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(1686),
    [sym_operator_cast_definition] = STATE(635),
    [sym_operator_cast_declaration] = STATE(635),
    [sym_constructor_or_destructor_definition] = STATE(635),
    [sym_constructor_or_destructor_declaration] = STATE(635),
    [sym_friend_declaration] = STATE(635),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(635),
    [sym_concept_definition] = STATE(635),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1686),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3847),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3849),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3851),
    [anon_sym_using] = ACTIONS(3853),
    [anon_sym_concept] = ACTIONS(233),
  },
  [820] = {
    [sym_function_definition] = STATE(1954),
    [sym_declaration] = STATE(1954),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4525),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1880),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5802),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(1954),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1728),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(1954),
    [sym_operator_cast] = STATE(6321),
    [sym__constructor_specifiers] = STATE(1728),
    [sym_operator_cast_definition] = STATE(1954),
    [sym_operator_cast_declaration] = STATE(1954),
    [sym_constructor_or_destructor_definition] = STATE(1954),
    [sym_constructor_or_destructor_declaration] = STATE(1954),
    [sym_friend_declaration] = STATE(1954),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(1954),
    [sym_concept_definition] = STATE(1954),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6321),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1728),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3569),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3571),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3573),
    [anon_sym_using] = ACTIONS(3855),
    [anon_sym_concept] = ACTIONS(3857),
  },
  [821] = {
    [sym_function_definition] = STATE(722),
    [sym_declaration] = STATE(722),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5833),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2679),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(722),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1747),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(722),
    [sym_operator_cast] = STATE(6337),
    [sym__constructor_specifiers] = STATE(1747),
    [sym_operator_cast_definition] = STATE(722),
    [sym_operator_cast_declaration] = STATE(722),
    [sym_constructor_or_destructor_definition] = STATE(722),
    [sym_constructor_or_destructor_declaration] = STATE(722),
    [sym_friend_declaration] = STATE(722),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(722),
    [sym_concept_definition] = STATE(722),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6337),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1747),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3827),
    [anon_sym_concept] = ACTIONS(145),
  },
  [822] = {
    [sym_function_definition] = STATE(1891),
    [sym_declaration] = STATE(1891),
    [sym__declaration_modifiers] = STATE(3113),
    [sym__declaration_specifiers] = STATE(4521),
    [sym_attribute_specifier] = STATE(3113),
    [sym_attribute_declaration] = STATE(3113),
    [sym_ms_declspec_modifier] = STATE(3113),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(1851),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5899),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3113),
    [sym_type_qualifier] = STATE(3113),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2656),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym__empty_declaration] = STATE(1891),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_explicit_function_specifier] = STATE(1726),
    [sym_dependent_type] = STATE(2452),
    [sym_template_declaration] = STATE(1891),
    [sym_operator_cast] = STATE(6332),
    [sym__constructor_specifiers] = STATE(1726),
    [sym_operator_cast_definition] = STATE(1891),
    [sym_operator_cast_declaration] = STATE(1891),
    [sym_constructor_or_destructor_definition] = STATE(1891),
    [sym_constructor_or_destructor_declaration] = STATE(1891),
    [sym_friend_declaration] = STATE(1891),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_alias_declaration] = STATE(1891),
    [sym_concept_definition] = STATE(1891),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5145),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_qualified_operator_cast_identifier] = STATE(6332),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3843),
    [anon_sym_concept] = ACTIONS(3845),
  },
  [823] = {
    [sym_expression] = STATE(2758),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(3977),
    [anon_sym_LPAREN2] = ACTIONS(3980),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(3986),
    [anon_sym_COLON_COLON] = ACTIONS(3989),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(3992),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [824] = {
    [sym_expression] = STATE(2990),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(3998),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(4001),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(4004),
    [anon_sym___extension__] = ACTIONS(3800),
    [anon_sym_COLON_COLON] = ACTIONS(3803),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(3992),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [825] = {
    [sym_identifier] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4010),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4010),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4010),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_AMP] = ACTIONS(4007),
    [anon_sym_SEMI] = ACTIONS(4013),
    [anon_sym___extension__] = ACTIONS(4007),
    [anon_sym_virtual] = ACTIONS(4019),
    [anon_sym_extern] = ACTIONS(4019),
    [anon_sym___attribute__] = ACTIONS(4019),
    [anon_sym_COLON_COLON] = ACTIONS(4010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4010),
    [anon_sym___declspec] = ACTIONS(4019),
    [anon_sym___based] = ACTIONS(4019),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_signed] = ACTIONS(4019),
    [anon_sym_unsigned] = ACTIONS(4019),
    [anon_sym_long] = ACTIONS(4019),
    [anon_sym_short] = ACTIONS(4019),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_register] = ACTIONS(4019),
    [anon_sym_inline] = ACTIONS(4019),
    [anon_sym___inline] = ACTIONS(4019),
    [anon_sym___inline__] = ACTIONS(4019),
    [anon_sym___forceinline] = ACTIONS(4019),
    [anon_sym_thread_local] = ACTIONS(4019),
    [anon_sym___thread] = ACTIONS(4019),
    [anon_sym_const] = ACTIONS(4019),
    [anon_sym_constexpr] = ACTIONS(4019),
    [anon_sym_volatile] = ACTIONS(4019),
    [anon_sym_restrict] = ACTIONS(4019),
    [anon_sym___restrict__] = ACTIONS(4019),
    [anon_sym__Atomic] = ACTIONS(4019),
    [anon_sym__Noreturn] = ACTIONS(4019),
    [anon_sym_noreturn] = ACTIONS(4019),
    [anon_sym__Nonnull] = ACTIONS(4019),
    [anon_sym_mutable] = ACTIONS(4019),
    [anon_sym_constinit] = ACTIONS(4019),
    [anon_sym_consteval] = ACTIONS(4019),
    [anon_sym_alignas] = ACTIONS(4019),
    [anon_sym__Alignas] = ACTIONS(4019),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_enum] = ACTIONS(4019),
    [anon_sym_class] = ACTIONS(4019),
    [anon_sym_struct] = ACTIONS(4019),
    [anon_sym_union] = ACTIONS(4019),
    [anon_sym_if] = ACTIONS(4015),
    [anon_sym_switch] = ACTIONS(4015),
    [anon_sym_case] = ACTIONS(4015),
    [anon_sym_default] = ACTIONS(4015),
    [anon_sym_while] = ACTIONS(4015),
    [anon_sym_do] = ACTIONS(4015),
    [anon_sym_for] = ACTIONS(4015),
    [anon_sym_return] = ACTIONS(4015),
    [anon_sym_break] = ACTIONS(4015),
    [anon_sym_continue] = ACTIONS(4015),
    [anon_sym_goto] = ACTIONS(4015),
    [anon_sym___try] = ACTIONS(4015),
    [anon_sym___leave] = ACTIONS(4015),
    [anon_sym_not] = ACTIONS(4015),
    [anon_sym_compl] = ACTIONS(4015),
    [anon_sym_DASH_DASH] = ACTIONS(4013),
    [anon_sym_PLUS_PLUS] = ACTIONS(4013),
    [anon_sym_sizeof] = ACTIONS(4015),
    [anon_sym___alignof__] = ACTIONS(4015),
    [anon_sym___alignof] = ACTIONS(4015),
    [anon_sym__alignof] = ACTIONS(4015),
    [anon_sym_alignof] = ACTIONS(4015),
    [anon_sym__Alignof] = ACTIONS(4015),
    [anon_sym_offsetof] = ACTIONS(4015),
    [anon_sym__Generic] = ACTIONS(4015),
    [anon_sym_asm] = ACTIONS(4015),
    [anon_sym___asm__] = ACTIONS(4015),
    [anon_sym___asm] = ACTIONS(4015),
    [sym_number_literal] = ACTIONS(4013),
    [anon_sym_L_SQUOTE] = ACTIONS(4013),
    [anon_sym_u_SQUOTE] = ACTIONS(4013),
    [anon_sym_U_SQUOTE] = ACTIONS(4013),
    [anon_sym_u8_SQUOTE] = ACTIONS(4013),
    [anon_sym_SQUOTE] = ACTIONS(4013),
    [anon_sym_L_DQUOTE] = ACTIONS(4013),
    [anon_sym_u_DQUOTE] = ACTIONS(4013),
    [anon_sym_U_DQUOTE] = ACTIONS(4013),
    [anon_sym_u8_DQUOTE] = ACTIONS(4013),
    [anon_sym_DQUOTE] = ACTIONS(4013),
    [sym_true] = ACTIONS(4015),
    [sym_false] = ACTIONS(4015),
    [anon_sym_NULL] = ACTIONS(4015),
    [anon_sym_nullptr] = ACTIONS(4015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4019),
    [anon_sym_decltype] = ACTIONS(4007),
    [anon_sym_explicit] = ACTIONS(4019),
    [anon_sym_typename] = ACTIONS(4019),
    [anon_sym_template] = ACTIONS(4007),
    [anon_sym_operator] = ACTIONS(4019),
    [anon_sym_try] = ACTIONS(4015),
    [anon_sym_delete] = ACTIONS(4015),
    [anon_sym_throw] = ACTIONS(4015),
    [anon_sym_co_return] = ACTIONS(4015),
    [anon_sym_co_yield] = ACTIONS(4015),
    [anon_sym_R_DQUOTE] = ACTIONS(4013),
    [anon_sym_LR_DQUOTE] = ACTIONS(4013),
    [anon_sym_uR_DQUOTE] = ACTIONS(4013),
    [anon_sym_UR_DQUOTE] = ACTIONS(4013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4013),
    [anon_sym_co_await] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4015),
    [anon_sym_requires] = ACTIONS(4015),
    [sym_this] = ACTIONS(4015),
  },
  [826] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym___cdecl] = ACTIONS(4021),
    [anon_sym___clrcall] = ACTIONS(4021),
    [anon_sym___stdcall] = ACTIONS(4021),
    [anon_sym___fastcall] = ACTIONS(4021),
    [anon_sym___thiscall] = ACTIONS(4021),
    [anon_sym___vectorcall] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4051),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4057),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [827] = {
    [sym_catch_clause] = STATE(829),
    [aux_sym_constructor_try_statement_repeat1] = STATE(829),
    [sym_identifier] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [828] = {
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(4069),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(4075),
    [anon_sym_COLON_COLON] = ACTIONS(4078),
    [anon_sym_LBRACK] = ACTIONS(3992),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(4081),
    [anon_sym_PLUS_PLUS] = ACTIONS(4081),
    [anon_sym_sizeof] = ACTIONS(4084),
    [anon_sym___alignof__] = ACTIONS(4087),
    [anon_sym___alignof] = ACTIONS(4087),
    [anon_sym__alignof] = ACTIONS(4087),
    [anon_sym_alignof] = ACTIONS(4087),
    [anon_sym__Alignof] = ACTIONS(4087),
    [anon_sym_offsetof] = ACTIONS(4090),
    [anon_sym__Generic] = ACTIONS(4093),
    [anon_sym_asm] = ACTIONS(4096),
    [anon_sym___asm__] = ACTIONS(4096),
    [anon_sym___asm] = ACTIONS(4096),
    [sym_number_literal] = ACTIONS(4099),
    [anon_sym_L_SQUOTE] = ACTIONS(4102),
    [anon_sym_u_SQUOTE] = ACTIONS(4102),
    [anon_sym_U_SQUOTE] = ACTIONS(4102),
    [anon_sym_u8_SQUOTE] = ACTIONS(4102),
    [anon_sym_SQUOTE] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4105),
    [anon_sym_u_DQUOTE] = ACTIONS(4105),
    [anon_sym_U_DQUOTE] = ACTIONS(4105),
    [anon_sym_u8_DQUOTE] = ACTIONS(4105),
    [anon_sym_DQUOTE] = ACTIONS(4105),
    [sym_true] = ACTIONS(4108),
    [sym_false] = ACTIONS(4108),
    [anon_sym_NULL] = ACTIONS(4111),
    [anon_sym_nullptr] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(4114),
    [anon_sym_R_DQUOTE] = ACTIONS(4117),
    [anon_sym_LR_DQUOTE] = ACTIONS(4117),
    [anon_sym_uR_DQUOTE] = ACTIONS(4117),
    [anon_sym_UR_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4117),
    [anon_sym_co_await] = ACTIONS(4120),
    [anon_sym_new] = ACTIONS(4123),
    [anon_sym_requires] = ACTIONS(4126),
    [sym_this] = ACTIONS(4108),
  },
  [829] = {
    [sym_catch_clause] = STATE(829),
    [aux_sym_constructor_try_statement_repeat1] = STATE(829),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(4129),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [830] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym___cdecl] = ACTIONS(4021),
    [anon_sym___clrcall] = ACTIONS(4021),
    [anon_sym___stdcall] = ACTIONS(4021),
    [anon_sym___fastcall] = ACTIONS(4021),
    [anon_sym___thiscall] = ACTIONS(4021),
    [anon_sym___vectorcall] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4051),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [831] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym___cdecl] = ACTIONS(4021),
    [anon_sym___clrcall] = ACTIONS(4021),
    [anon_sym___stdcall] = ACTIONS(4021),
    [anon_sym___fastcall] = ACTIONS(4021),
    [anon_sym___thiscall] = ACTIONS(4021),
    [anon_sym___vectorcall] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4051),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [832] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym___cdecl] = ACTIONS(4021),
    [anon_sym___clrcall] = ACTIONS(4021),
    [anon_sym___stdcall] = ACTIONS(4021),
    [anon_sym___fastcall] = ACTIONS(4021),
    [anon_sym___thiscall] = ACTIONS(4021),
    [anon_sym___vectorcall] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4051),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [833] = {
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1954),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [834] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6073),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3135),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5305),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_LPAREN2] = ACTIONS(3123),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [835] = {
    [sym_else_clause] = STATE(877),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(4138),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [836] = {
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [837] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6073),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_expression] = STATE(2988),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3142),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5286),
    [sym_qualified_identifier] = STATE(3149),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_operator_name] = STATE(5888),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [838] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym___cdecl] = ACTIONS(4021),
    [anon_sym___clrcall] = ACTIONS(4021),
    [anon_sym___stdcall] = ACTIONS(4021),
    [anon_sym___fastcall] = ACTIONS(4021),
    [anon_sym___thiscall] = ACTIONS(4021),
    [anon_sym___vectorcall] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4051),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4142),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [840] = {
    [sym_else_clause] = STATE(861),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(4138),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2730),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_virtual] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym__Nonnull] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [anon_sym___asm] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_virtual] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_mutable] = ACTIONS(2674),
    [anon_sym_constinit] = ACTIONS(2674),
    [anon_sym_consteval] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym___leave] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_compl] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2674),
    [anon_sym_decltype] = ACTIONS(2674),
    [anon_sym_typename] = ACTIONS(2674),
    [anon_sym_template] = ACTIONS(2674),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2674),
    [anon_sym_throw] = ACTIONS(2674),
    [anon_sym_co_return] = ACTIONS(2674),
    [anon_sym_co_yield] = ACTIONS(2674),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2674),
    [anon_sym_new] = ACTIONS(2674),
    [anon_sym_requires] = ACTIONS(2674),
    [sym_this] = ACTIONS(2674),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2776),
    [anon_sym_LPAREN2] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2778),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym___extension__] = ACTIONS(2776),
    [anon_sym_typedef] = ACTIONS(2776),
    [anon_sym_virtual] = ACTIONS(2776),
    [anon_sym_extern] = ACTIONS(2776),
    [anon_sym___attribute__] = ACTIONS(2776),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_signed] = ACTIONS(2776),
    [anon_sym_unsigned] = ACTIONS(2776),
    [anon_sym_long] = ACTIONS(2776),
    [anon_sym_short] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_register] = ACTIONS(2776),
    [anon_sym_inline] = ACTIONS(2776),
    [anon_sym___inline] = ACTIONS(2776),
    [anon_sym___inline__] = ACTIONS(2776),
    [anon_sym___forceinline] = ACTIONS(2776),
    [anon_sym_thread_local] = ACTIONS(2776),
    [anon_sym___thread] = ACTIONS(2776),
    [anon_sym_const] = ACTIONS(2776),
    [anon_sym_constexpr] = ACTIONS(2776),
    [anon_sym_volatile] = ACTIONS(2776),
    [anon_sym_restrict] = ACTIONS(2776),
    [anon_sym___restrict__] = ACTIONS(2776),
    [anon_sym__Atomic] = ACTIONS(2776),
    [anon_sym__Noreturn] = ACTIONS(2776),
    [anon_sym_noreturn] = ACTIONS(2776),
    [anon_sym__Nonnull] = ACTIONS(2776),
    [anon_sym_mutable] = ACTIONS(2776),
    [anon_sym_constinit] = ACTIONS(2776),
    [anon_sym_consteval] = ACTIONS(2776),
    [anon_sym_alignas] = ACTIONS(2776),
    [anon_sym__Alignas] = ACTIONS(2776),
    [sym_primitive_type] = ACTIONS(2776),
    [anon_sym_enum] = ACTIONS(2776),
    [anon_sym_class] = ACTIONS(2776),
    [anon_sym_struct] = ACTIONS(2776),
    [anon_sym_union] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2776),
    [anon_sym_else] = ACTIONS(2776),
    [anon_sym_switch] = ACTIONS(2776),
    [anon_sym_while] = ACTIONS(2776),
    [anon_sym_do] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2776),
    [anon_sym_goto] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2776),
    [anon_sym___leave] = ACTIONS(2776),
    [anon_sym_not] = ACTIONS(2776),
    [anon_sym_compl] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_sizeof] = ACTIONS(2776),
    [anon_sym___alignof__] = ACTIONS(2776),
    [anon_sym___alignof] = ACTIONS(2776),
    [anon_sym__alignof] = ACTIONS(2776),
    [anon_sym_alignof] = ACTIONS(2776),
    [anon_sym__Alignof] = ACTIONS(2776),
    [anon_sym_offsetof] = ACTIONS(2776),
    [anon_sym__Generic] = ACTIONS(2776),
    [anon_sym_asm] = ACTIONS(2776),
    [anon_sym___asm__] = ACTIONS(2776),
    [anon_sym___asm] = ACTIONS(2776),
    [sym_number_literal] = ACTIONS(2778),
    [anon_sym_L_SQUOTE] = ACTIONS(2778),
    [anon_sym_u_SQUOTE] = ACTIONS(2778),
    [anon_sym_U_SQUOTE] = ACTIONS(2778),
    [anon_sym_u8_SQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_L_DQUOTE] = ACTIONS(2778),
    [anon_sym_u_DQUOTE] = ACTIONS(2778),
    [anon_sym_U_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8_DQUOTE] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [anon_sym_NULL] = ACTIONS(2776),
    [anon_sym_nullptr] = ACTIONS(2776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2776),
    [anon_sym_decltype] = ACTIONS(2776),
    [anon_sym_typename] = ACTIONS(2776),
    [anon_sym_template] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2776),
    [anon_sym_delete] = ACTIONS(2776),
    [anon_sym_throw] = ACTIONS(2776),
    [anon_sym_co_return] = ACTIONS(2776),
    [anon_sym_co_yield] = ACTIONS(2776),
    [anon_sym_R_DQUOTE] = ACTIONS(2778),
    [anon_sym_LR_DQUOTE] = ACTIONS(2778),
    [anon_sym_uR_DQUOTE] = ACTIONS(2778),
    [anon_sym_UR_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2778),
    [anon_sym_co_await] = ACTIONS(2776),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_requires] = ACTIONS(2776),
    [sym_this] = ACTIONS(2776),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym__Nonnull] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [anon_sym___asm] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_virtual] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_else] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [anon_sym___asm] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_virtual] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_mutable] = ACTIONS(2682),
    [anon_sym_constinit] = ACTIONS(2682),
    [anon_sym_consteval] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym___leave] = ACTIONS(2682),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2682),
    [anon_sym_decltype] = ACTIONS(2682),
    [anon_sym_typename] = ACTIONS(2682),
    [anon_sym_template] = ACTIONS(2682),
    [anon_sym_try] = ACTIONS(2682),
    [anon_sym_delete] = ACTIONS(2682),
    [anon_sym_throw] = ACTIONS(2682),
    [anon_sym_co_return] = ACTIONS(2682),
    [anon_sym_co_yield] = ACTIONS(2682),
    [anon_sym_R_DQUOTE] = ACTIONS(2684),
    [anon_sym_LR_DQUOTE] = ACTIONS(2684),
    [anon_sym_uR_DQUOTE] = ACTIONS(2684),
    [anon_sym_UR_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2684),
    [anon_sym_co_await] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2682),
    [anon_sym_requires] = ACTIONS(2682),
    [sym_this] = ACTIONS(2682),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2772),
    [anon_sym_LPAREN2] = ACTIONS(2774),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2772),
    [anon_sym_typedef] = ACTIONS(2772),
    [anon_sym_virtual] = ACTIONS(2772),
    [anon_sym_extern] = ACTIONS(2772),
    [anon_sym___attribute__] = ACTIONS(2772),
    [anon_sym_COLON_COLON] = ACTIONS(2774),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2774),
    [anon_sym___declspec] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2772),
    [anon_sym_unsigned] = ACTIONS(2772),
    [anon_sym_long] = ACTIONS(2772),
    [anon_sym_short] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_register] = ACTIONS(2772),
    [anon_sym_inline] = ACTIONS(2772),
    [anon_sym___inline] = ACTIONS(2772),
    [anon_sym___inline__] = ACTIONS(2772),
    [anon_sym___forceinline] = ACTIONS(2772),
    [anon_sym_thread_local] = ACTIONS(2772),
    [anon_sym___thread] = ACTIONS(2772),
    [anon_sym_const] = ACTIONS(2772),
    [anon_sym_constexpr] = ACTIONS(2772),
    [anon_sym_volatile] = ACTIONS(2772),
    [anon_sym_restrict] = ACTIONS(2772),
    [anon_sym___restrict__] = ACTIONS(2772),
    [anon_sym__Atomic] = ACTIONS(2772),
    [anon_sym__Noreturn] = ACTIONS(2772),
    [anon_sym_noreturn] = ACTIONS(2772),
    [anon_sym__Nonnull] = ACTIONS(2772),
    [anon_sym_mutable] = ACTIONS(2772),
    [anon_sym_constinit] = ACTIONS(2772),
    [anon_sym_consteval] = ACTIONS(2772),
    [anon_sym_alignas] = ACTIONS(2772),
    [anon_sym__Alignas] = ACTIONS(2772),
    [sym_primitive_type] = ACTIONS(2772),
    [anon_sym_enum] = ACTIONS(2772),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_struct] = ACTIONS(2772),
    [anon_sym_union] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2772),
    [anon_sym_else] = ACTIONS(2772),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_while] = ACTIONS(2772),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_return] = ACTIONS(2772),
    [anon_sym_break] = ACTIONS(2772),
    [anon_sym_continue] = ACTIONS(2772),
    [anon_sym_goto] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2772),
    [anon_sym___leave] = ACTIONS(2772),
    [anon_sym_not] = ACTIONS(2772),
    [anon_sym_compl] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_sizeof] = ACTIONS(2772),
    [anon_sym___alignof__] = ACTIONS(2772),
    [anon_sym___alignof] = ACTIONS(2772),
    [anon_sym__alignof] = ACTIONS(2772),
    [anon_sym_alignof] = ACTIONS(2772),
    [anon_sym__Alignof] = ACTIONS(2772),
    [anon_sym_offsetof] = ACTIONS(2772),
    [anon_sym__Generic] = ACTIONS(2772),
    [anon_sym_asm] = ACTIONS(2772),
    [anon_sym___asm__] = ACTIONS(2772),
    [anon_sym___asm] = ACTIONS(2772),
    [sym_number_literal] = ACTIONS(2774),
    [anon_sym_L_SQUOTE] = ACTIONS(2774),
    [anon_sym_u_SQUOTE] = ACTIONS(2774),
    [anon_sym_U_SQUOTE] = ACTIONS(2774),
    [anon_sym_u8_SQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [anon_sym_L_DQUOTE] = ACTIONS(2774),
    [anon_sym_u_DQUOTE] = ACTIONS(2774),
    [anon_sym_U_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8_DQUOTE] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [anon_sym_NULL] = ACTIONS(2772),
    [anon_sym_nullptr] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2772),
    [anon_sym_decltype] = ACTIONS(2772),
    [anon_sym_typename] = ACTIONS(2772),
    [anon_sym_template] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2772),
    [anon_sym_delete] = ACTIONS(2772),
    [anon_sym_throw] = ACTIONS(2772),
    [anon_sym_co_return] = ACTIONS(2772),
    [anon_sym_co_yield] = ACTIONS(2772),
    [anon_sym_R_DQUOTE] = ACTIONS(2774),
    [anon_sym_LR_DQUOTE] = ACTIONS(2774),
    [anon_sym_uR_DQUOTE] = ACTIONS(2774),
    [anon_sym_UR_DQUOTE] = ACTIONS(2774),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2774),
    [anon_sym_co_await] = ACTIONS(2772),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_requires] = ACTIONS(2772),
    [sym_this] = ACTIONS(2772),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [859] = {
    [sym_identifier] = ACTIONS(3813),
    [anon_sym_LPAREN2] = ACTIONS(3815),
    [anon_sym_BANG] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3815),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym___extension__] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym___attribute__] = ACTIONS(3813),
    [anon_sym_COLON_COLON] = ACTIONS(3815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3815),
    [anon_sym___declspec] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_signed] = ACTIONS(3813),
    [anon_sym_unsigned] = ACTIONS(3813),
    [anon_sym_long] = ACTIONS(3813),
    [anon_sym_short] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_register] = ACTIONS(3813),
    [anon_sym_inline] = ACTIONS(3813),
    [anon_sym___inline] = ACTIONS(3813),
    [anon_sym___inline__] = ACTIONS(3813),
    [anon_sym___forceinline] = ACTIONS(3813),
    [anon_sym_thread_local] = ACTIONS(3813),
    [anon_sym___thread] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_restrict] = ACTIONS(3813),
    [anon_sym___restrict__] = ACTIONS(3813),
    [anon_sym__Atomic] = ACTIONS(3813),
    [anon_sym__Noreturn] = ACTIONS(3813),
    [anon_sym_noreturn] = ACTIONS(3813),
    [anon_sym__Nonnull] = ACTIONS(3813),
    [anon_sym_mutable] = ACTIONS(3813),
    [anon_sym_constinit] = ACTIONS(3813),
    [anon_sym_consteval] = ACTIONS(3813),
    [anon_sym_alignas] = ACTIONS(3813),
    [anon_sym__Alignas] = ACTIONS(3813),
    [sym_primitive_type] = ACTIONS(3813),
    [anon_sym_enum] = ACTIONS(3813),
    [anon_sym_class] = ACTIONS(3813),
    [anon_sym_struct] = ACTIONS(3813),
    [anon_sym_union] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(3813),
    [anon_sym_switch] = ACTIONS(3813),
    [anon_sym_case] = ACTIONS(3813),
    [anon_sym_default] = ACTIONS(3813),
    [anon_sym_while] = ACTIONS(3813),
    [anon_sym_do] = ACTIONS(3813),
    [anon_sym_for] = ACTIONS(3813),
    [anon_sym_return] = ACTIONS(3813),
    [anon_sym_break] = ACTIONS(3813),
    [anon_sym_continue] = ACTIONS(3813),
    [anon_sym_goto] = ACTIONS(3813),
    [anon_sym___try] = ACTIONS(3813),
    [anon_sym___leave] = ACTIONS(3813),
    [anon_sym_not] = ACTIONS(3813),
    [anon_sym_compl] = ACTIONS(3813),
    [anon_sym_DASH_DASH] = ACTIONS(3815),
    [anon_sym_PLUS_PLUS] = ACTIONS(3815),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(3813),
    [anon_sym___alignof] = ACTIONS(3813),
    [anon_sym__alignof] = ACTIONS(3813),
    [anon_sym_alignof] = ACTIONS(3813),
    [anon_sym__Alignof] = ACTIONS(3813),
    [anon_sym_offsetof] = ACTIONS(3813),
    [anon_sym__Generic] = ACTIONS(3813),
    [anon_sym_asm] = ACTIONS(3813),
    [anon_sym___asm__] = ACTIONS(3813),
    [anon_sym___asm] = ACTIONS(3813),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3815),
    [anon_sym_u_SQUOTE] = ACTIONS(3815),
    [anon_sym_U_SQUOTE] = ACTIONS(3815),
    [anon_sym_u8_SQUOTE] = ACTIONS(3815),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [anon_sym_L_DQUOTE] = ACTIONS(3815),
    [anon_sym_u_DQUOTE] = ACTIONS(3815),
    [anon_sym_U_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8_DQUOTE] = ACTIONS(3815),
    [anon_sym_DQUOTE] = ACTIONS(3815),
    [sym_true] = ACTIONS(3813),
    [sym_false] = ACTIONS(3813),
    [anon_sym_NULL] = ACTIONS(3813),
    [anon_sym_nullptr] = ACTIONS(3813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3813),
    [anon_sym_decltype] = ACTIONS(3813),
    [anon_sym_typename] = ACTIONS(3813),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_delete] = ACTIONS(3813),
    [anon_sym_throw] = ACTIONS(3813),
    [anon_sym_co_return] = ACTIONS(3813),
    [anon_sym_co_yield] = ACTIONS(3813),
    [anon_sym_R_DQUOTE] = ACTIONS(3815),
    [anon_sym_LR_DQUOTE] = ACTIONS(3815),
    [anon_sym_uR_DQUOTE] = ACTIONS(3815),
    [anon_sym_UR_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3815),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3813),
    [anon_sym_requires] = ACTIONS(3813),
    [sym_this] = ACTIONS(3813),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2770),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym___extension__] = ACTIONS(2768),
    [anon_sym_typedef] = ACTIONS(2768),
    [anon_sym_virtual] = ACTIONS(2768),
    [anon_sym_extern] = ACTIONS(2768),
    [anon_sym___attribute__] = ACTIONS(2768),
    [anon_sym_COLON_COLON] = ACTIONS(2770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2770),
    [anon_sym___declspec] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2768),
    [anon_sym_unsigned] = ACTIONS(2768),
    [anon_sym_long] = ACTIONS(2768),
    [anon_sym_short] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_register] = ACTIONS(2768),
    [anon_sym_inline] = ACTIONS(2768),
    [anon_sym___inline] = ACTIONS(2768),
    [anon_sym___inline__] = ACTIONS(2768),
    [anon_sym___forceinline] = ACTIONS(2768),
    [anon_sym_thread_local] = ACTIONS(2768),
    [anon_sym___thread] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_constexpr] = ACTIONS(2768),
    [anon_sym_volatile] = ACTIONS(2768),
    [anon_sym_restrict] = ACTIONS(2768),
    [anon_sym___restrict__] = ACTIONS(2768),
    [anon_sym__Atomic] = ACTIONS(2768),
    [anon_sym__Noreturn] = ACTIONS(2768),
    [anon_sym_noreturn] = ACTIONS(2768),
    [anon_sym__Nonnull] = ACTIONS(2768),
    [anon_sym_mutable] = ACTIONS(2768),
    [anon_sym_constinit] = ACTIONS(2768),
    [anon_sym_consteval] = ACTIONS(2768),
    [anon_sym_alignas] = ACTIONS(2768),
    [anon_sym__Alignas] = ACTIONS(2768),
    [sym_primitive_type] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_struct] = ACTIONS(2768),
    [anon_sym_union] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_goto] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2768),
    [anon_sym___leave] = ACTIONS(2768),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_compl] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_sizeof] = ACTIONS(2768),
    [anon_sym___alignof__] = ACTIONS(2768),
    [anon_sym___alignof] = ACTIONS(2768),
    [anon_sym__alignof] = ACTIONS(2768),
    [anon_sym_alignof] = ACTIONS(2768),
    [anon_sym__Alignof] = ACTIONS(2768),
    [anon_sym_offsetof] = ACTIONS(2768),
    [anon_sym__Generic] = ACTIONS(2768),
    [anon_sym_asm] = ACTIONS(2768),
    [anon_sym___asm__] = ACTIONS(2768),
    [anon_sym___asm] = ACTIONS(2768),
    [sym_number_literal] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2770),
    [anon_sym_u_SQUOTE] = ACTIONS(2770),
    [anon_sym_U_SQUOTE] = ACTIONS(2770),
    [anon_sym_u8_SQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [anon_sym_L_DQUOTE] = ACTIONS(2770),
    [anon_sym_u_DQUOTE] = ACTIONS(2770),
    [anon_sym_U_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8_DQUOTE] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [anon_sym_NULL] = ACTIONS(2768),
    [anon_sym_nullptr] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2768),
    [anon_sym_decltype] = ACTIONS(2768),
    [anon_sym_typename] = ACTIONS(2768),
    [anon_sym_template] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_co_return] = ACTIONS(2768),
    [anon_sym_co_yield] = ACTIONS(2768),
    [anon_sym_R_DQUOTE] = ACTIONS(2770),
    [anon_sym_LR_DQUOTE] = ACTIONS(2770),
    [anon_sym_uR_DQUOTE] = ACTIONS(2770),
    [anon_sym_UR_DQUOTE] = ACTIONS(2770),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2770),
    [anon_sym_co_await] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_requires] = ACTIONS(2768),
    [sym_this] = ACTIONS(2768),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_virtual] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym__Nonnull] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_else] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [anon_sym___asm] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_goto] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2752),
    [anon_sym___leave] = ACTIONS(2752),
    [anon_sym_not] = ACTIONS(2752),
    [anon_sym_compl] = ACTIONS(2752),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_sizeof] = ACTIONS(2752),
    [anon_sym___alignof__] = ACTIONS(2752),
    [anon_sym___alignof] = ACTIONS(2752),
    [anon_sym__alignof] = ACTIONS(2752),
    [anon_sym_alignof] = ACTIONS(2752),
    [anon_sym__Alignof] = ACTIONS(2752),
    [anon_sym_offsetof] = ACTIONS(2752),
    [anon_sym__Generic] = ACTIONS(2752),
    [anon_sym_asm] = ACTIONS(2752),
    [anon_sym___asm__] = ACTIONS(2752),
    [anon_sym___asm] = ACTIONS(2752),
    [sym_number_literal] = ACTIONS(2754),
    [anon_sym_L_SQUOTE] = ACTIONS(2754),
    [anon_sym_u_SQUOTE] = ACTIONS(2754),
    [anon_sym_U_SQUOTE] = ACTIONS(2754),
    [anon_sym_u8_SQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [anon_sym_L_DQUOTE] = ACTIONS(2754),
    [anon_sym_u_DQUOTE] = ACTIONS(2754),
    [anon_sym_U_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8_DQUOTE] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [anon_sym_NULL] = ACTIONS(2752),
    [anon_sym_nullptr] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_co_return] = ACTIONS(2752),
    [anon_sym_co_yield] = ACTIONS(2752),
    [anon_sym_R_DQUOTE] = ACTIONS(2754),
    [anon_sym_LR_DQUOTE] = ACTIONS(2754),
    [anon_sym_uR_DQUOTE] = ACTIONS(2754),
    [anon_sym_UR_DQUOTE] = ACTIONS(2754),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2754),
    [anon_sym_co_await] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_requires] = ACTIONS(2752),
    [sym_this] = ACTIONS(2752),
  },
  [865] = {
    [sym_identifier] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4013),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_SEMI] = ACTIONS(4013),
    [anon_sym___extension__] = ACTIONS(4007),
    [anon_sym_virtual] = ACTIONS(4019),
    [anon_sym_extern] = ACTIONS(4019),
    [anon_sym___attribute__] = ACTIONS(4019),
    [anon_sym_COLON_COLON] = ACTIONS(4010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4010),
    [anon_sym___declspec] = ACTIONS(4019),
    [anon_sym_LBRACE] = ACTIONS(4013),
    [anon_sym_signed] = ACTIONS(4019),
    [anon_sym_unsigned] = ACTIONS(4019),
    [anon_sym_long] = ACTIONS(4019),
    [anon_sym_short] = ACTIONS(4019),
    [anon_sym_LBRACK] = ACTIONS(4015),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_register] = ACTIONS(4019),
    [anon_sym_inline] = ACTIONS(4019),
    [anon_sym___inline] = ACTIONS(4019),
    [anon_sym___inline__] = ACTIONS(4019),
    [anon_sym___forceinline] = ACTIONS(4019),
    [anon_sym_thread_local] = ACTIONS(4019),
    [anon_sym___thread] = ACTIONS(4019),
    [anon_sym_const] = ACTIONS(4019),
    [anon_sym_constexpr] = ACTIONS(4019),
    [anon_sym_volatile] = ACTIONS(4019),
    [anon_sym_restrict] = ACTIONS(4019),
    [anon_sym___restrict__] = ACTIONS(4019),
    [anon_sym__Atomic] = ACTIONS(4019),
    [anon_sym__Noreturn] = ACTIONS(4019),
    [anon_sym_noreturn] = ACTIONS(4019),
    [anon_sym__Nonnull] = ACTIONS(4019),
    [anon_sym_mutable] = ACTIONS(4019),
    [anon_sym_constinit] = ACTIONS(4019),
    [anon_sym_consteval] = ACTIONS(4019),
    [anon_sym_alignas] = ACTIONS(4019),
    [anon_sym__Alignas] = ACTIONS(4019),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_enum] = ACTIONS(4019),
    [anon_sym_class] = ACTIONS(4019),
    [anon_sym_struct] = ACTIONS(4019),
    [anon_sym_union] = ACTIONS(4019),
    [anon_sym_if] = ACTIONS(4015),
    [anon_sym_switch] = ACTIONS(4015),
    [anon_sym_case] = ACTIONS(4015),
    [anon_sym_default] = ACTIONS(4015),
    [anon_sym_while] = ACTIONS(4015),
    [anon_sym_do] = ACTIONS(4015),
    [anon_sym_for] = ACTIONS(4015),
    [anon_sym_return] = ACTIONS(4015),
    [anon_sym_break] = ACTIONS(4015),
    [anon_sym_continue] = ACTIONS(4015),
    [anon_sym_goto] = ACTIONS(4015),
    [anon_sym___try] = ACTIONS(4015),
    [anon_sym___leave] = ACTIONS(4015),
    [anon_sym_not] = ACTIONS(4015),
    [anon_sym_compl] = ACTIONS(4015),
    [anon_sym_DASH_DASH] = ACTIONS(4013),
    [anon_sym_PLUS_PLUS] = ACTIONS(4013),
    [anon_sym_sizeof] = ACTIONS(4015),
    [anon_sym___alignof__] = ACTIONS(4015),
    [anon_sym___alignof] = ACTIONS(4015),
    [anon_sym__alignof] = ACTIONS(4015),
    [anon_sym_alignof] = ACTIONS(4015),
    [anon_sym__Alignof] = ACTIONS(4015),
    [anon_sym_offsetof] = ACTIONS(4015),
    [anon_sym__Generic] = ACTIONS(4015),
    [anon_sym_asm] = ACTIONS(4015),
    [anon_sym___asm__] = ACTIONS(4015),
    [anon_sym___asm] = ACTIONS(4015),
    [sym_number_literal] = ACTIONS(4013),
    [anon_sym_L_SQUOTE] = ACTIONS(4013),
    [anon_sym_u_SQUOTE] = ACTIONS(4013),
    [anon_sym_U_SQUOTE] = ACTIONS(4013),
    [anon_sym_u8_SQUOTE] = ACTIONS(4013),
    [anon_sym_SQUOTE] = ACTIONS(4013),
    [anon_sym_L_DQUOTE] = ACTIONS(4013),
    [anon_sym_u_DQUOTE] = ACTIONS(4013),
    [anon_sym_U_DQUOTE] = ACTIONS(4013),
    [anon_sym_u8_DQUOTE] = ACTIONS(4013),
    [anon_sym_DQUOTE] = ACTIONS(4013),
    [sym_true] = ACTIONS(4015),
    [sym_false] = ACTIONS(4015),
    [anon_sym_NULL] = ACTIONS(4015),
    [anon_sym_nullptr] = ACTIONS(4015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4019),
    [anon_sym_decltype] = ACTIONS(4007),
    [anon_sym_typename] = ACTIONS(4019),
    [anon_sym_template] = ACTIONS(4007),
    [anon_sym_try] = ACTIONS(4015),
    [anon_sym_delete] = ACTIONS(4015),
    [anon_sym_throw] = ACTIONS(4015),
    [anon_sym_co_return] = ACTIONS(4015),
    [anon_sym_co_yield] = ACTIONS(4015),
    [anon_sym_R_DQUOTE] = ACTIONS(4013),
    [anon_sym_LR_DQUOTE] = ACTIONS(4013),
    [anon_sym_uR_DQUOTE] = ACTIONS(4013),
    [anon_sym_UR_DQUOTE] = ACTIONS(4013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4013),
    [anon_sym_co_await] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4015),
    [anon_sym_requires] = ACTIONS(4015),
    [sym_this] = ACTIONS(4015),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2756),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2756),
    [anon_sym_typedef] = ACTIONS(2756),
    [anon_sym_virtual] = ACTIONS(2756),
    [anon_sym_extern] = ACTIONS(2756),
    [anon_sym___attribute__] = ACTIONS(2756),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2756),
    [anon_sym_unsigned] = ACTIONS(2756),
    [anon_sym_long] = ACTIONS(2756),
    [anon_sym_short] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_register] = ACTIONS(2756),
    [anon_sym_inline] = ACTIONS(2756),
    [anon_sym___inline] = ACTIONS(2756),
    [anon_sym___inline__] = ACTIONS(2756),
    [anon_sym___forceinline] = ACTIONS(2756),
    [anon_sym_thread_local] = ACTIONS(2756),
    [anon_sym___thread] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_constexpr] = ACTIONS(2756),
    [anon_sym_volatile] = ACTIONS(2756),
    [anon_sym_restrict] = ACTIONS(2756),
    [anon_sym___restrict__] = ACTIONS(2756),
    [anon_sym__Atomic] = ACTIONS(2756),
    [anon_sym__Noreturn] = ACTIONS(2756),
    [anon_sym_noreturn] = ACTIONS(2756),
    [anon_sym__Nonnull] = ACTIONS(2756),
    [anon_sym_mutable] = ACTIONS(2756),
    [anon_sym_constinit] = ACTIONS(2756),
    [anon_sym_consteval] = ACTIONS(2756),
    [anon_sym_alignas] = ACTIONS(2756),
    [anon_sym__Alignas] = ACTIONS(2756),
    [sym_primitive_type] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_struct] = ACTIONS(2756),
    [anon_sym_union] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_goto] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2756),
    [anon_sym___leave] = ACTIONS(2756),
    [anon_sym_not] = ACTIONS(2756),
    [anon_sym_compl] = ACTIONS(2756),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2756),
    [anon_sym___alignof__] = ACTIONS(2756),
    [anon_sym___alignof] = ACTIONS(2756),
    [anon_sym__alignof] = ACTIONS(2756),
    [anon_sym_alignof] = ACTIONS(2756),
    [anon_sym__Alignof] = ACTIONS(2756),
    [anon_sym_offsetof] = ACTIONS(2756),
    [anon_sym__Generic] = ACTIONS(2756),
    [anon_sym_asm] = ACTIONS(2756),
    [anon_sym___asm__] = ACTIONS(2756),
    [anon_sym___asm] = ACTIONS(2756),
    [sym_number_literal] = ACTIONS(2758),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [anon_sym_NULL] = ACTIONS(2756),
    [anon_sym_nullptr] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2756),
    [anon_sym_decltype] = ACTIONS(2756),
    [anon_sym_typename] = ACTIONS(2756),
    [anon_sym_template] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_co_return] = ACTIONS(2756),
    [anon_sym_co_yield] = ACTIONS(2756),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_requires] = ACTIONS(2756),
    [sym_this] = ACTIONS(2756),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2670),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_virtual] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym__Nonnull] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [anon_sym___asm] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [869] = {
    [sym_identifier] = ACTIONS(3809),
    [anon_sym_LPAREN2] = ACTIONS(3811),
    [anon_sym_BANG] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym___attribute__] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3811),
    [anon_sym___declspec] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_signed] = ACTIONS(3809),
    [anon_sym_unsigned] = ACTIONS(3809),
    [anon_sym_long] = ACTIONS(3809),
    [anon_sym_short] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_register] = ACTIONS(3809),
    [anon_sym_inline] = ACTIONS(3809),
    [anon_sym___inline] = ACTIONS(3809),
    [anon_sym___inline__] = ACTIONS(3809),
    [anon_sym___forceinline] = ACTIONS(3809),
    [anon_sym_thread_local] = ACTIONS(3809),
    [anon_sym___thread] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_constexpr] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_restrict] = ACTIONS(3809),
    [anon_sym___restrict__] = ACTIONS(3809),
    [anon_sym__Atomic] = ACTIONS(3809),
    [anon_sym__Noreturn] = ACTIONS(3809),
    [anon_sym_noreturn] = ACTIONS(3809),
    [anon_sym__Nonnull] = ACTIONS(3809),
    [anon_sym_mutable] = ACTIONS(3809),
    [anon_sym_constinit] = ACTIONS(3809),
    [anon_sym_consteval] = ACTIONS(3809),
    [anon_sym_alignas] = ACTIONS(3809),
    [anon_sym__Alignas] = ACTIONS(3809),
    [sym_primitive_type] = ACTIONS(3809),
    [anon_sym_enum] = ACTIONS(3809),
    [anon_sym_class] = ACTIONS(3809),
    [anon_sym_struct] = ACTIONS(3809),
    [anon_sym_union] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(3809),
    [anon_sym_switch] = ACTIONS(3809),
    [anon_sym_case] = ACTIONS(3809),
    [anon_sym_default] = ACTIONS(3809),
    [anon_sym_while] = ACTIONS(3809),
    [anon_sym_do] = ACTIONS(3809),
    [anon_sym_for] = ACTIONS(3809),
    [anon_sym_return] = ACTIONS(3809),
    [anon_sym_break] = ACTIONS(3809),
    [anon_sym_continue] = ACTIONS(3809),
    [anon_sym_goto] = ACTIONS(3809),
    [anon_sym___try] = ACTIONS(3809),
    [anon_sym___leave] = ACTIONS(3809),
    [anon_sym_not] = ACTIONS(3809),
    [anon_sym_compl] = ACTIONS(3809),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_sizeof] = ACTIONS(3809),
    [anon_sym___alignof__] = ACTIONS(3809),
    [anon_sym___alignof] = ACTIONS(3809),
    [anon_sym__alignof] = ACTIONS(3809),
    [anon_sym_alignof] = ACTIONS(3809),
    [anon_sym__Alignof] = ACTIONS(3809),
    [anon_sym_offsetof] = ACTIONS(3809),
    [anon_sym__Generic] = ACTIONS(3809),
    [anon_sym_asm] = ACTIONS(3809),
    [anon_sym___asm__] = ACTIONS(3809),
    [anon_sym___asm] = ACTIONS(3809),
    [sym_number_literal] = ACTIONS(3811),
    [anon_sym_L_SQUOTE] = ACTIONS(3811),
    [anon_sym_u_SQUOTE] = ACTIONS(3811),
    [anon_sym_U_SQUOTE] = ACTIONS(3811),
    [anon_sym_u8_SQUOTE] = ACTIONS(3811),
    [anon_sym_SQUOTE] = ACTIONS(3811),
    [anon_sym_L_DQUOTE] = ACTIONS(3811),
    [anon_sym_u_DQUOTE] = ACTIONS(3811),
    [anon_sym_U_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8_DQUOTE] = ACTIONS(3811),
    [anon_sym_DQUOTE] = ACTIONS(3811),
    [sym_true] = ACTIONS(3809),
    [sym_false] = ACTIONS(3809),
    [anon_sym_NULL] = ACTIONS(3809),
    [anon_sym_nullptr] = ACTIONS(3809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3809),
    [anon_sym_decltype] = ACTIONS(3809),
    [anon_sym_typename] = ACTIONS(3809),
    [anon_sym_template] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_throw] = ACTIONS(3809),
    [anon_sym_co_return] = ACTIONS(3809),
    [anon_sym_co_yield] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_requires] = ACTIONS(3809),
    [sym_this] = ACTIONS(3809),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_virtual] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_goto] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2760),
    [anon_sym___leave] = ACTIONS(2760),
    [anon_sym_not] = ACTIONS(2760),
    [anon_sym_compl] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_sizeof] = ACTIONS(2760),
    [anon_sym___alignof__] = ACTIONS(2760),
    [anon_sym___alignof] = ACTIONS(2760),
    [anon_sym__alignof] = ACTIONS(2760),
    [anon_sym_alignof] = ACTIONS(2760),
    [anon_sym__Alignof] = ACTIONS(2760),
    [anon_sym_offsetof] = ACTIONS(2760),
    [anon_sym__Generic] = ACTIONS(2760),
    [anon_sym_asm] = ACTIONS(2760),
    [anon_sym___asm__] = ACTIONS(2760),
    [anon_sym___asm] = ACTIONS(2760),
    [sym_number_literal] = ACTIONS(2762),
    [anon_sym_L_SQUOTE] = ACTIONS(2762),
    [anon_sym_u_SQUOTE] = ACTIONS(2762),
    [anon_sym_U_SQUOTE] = ACTIONS(2762),
    [anon_sym_u8_SQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_L_DQUOTE] = ACTIONS(2762),
    [anon_sym_u_DQUOTE] = ACTIONS(2762),
    [anon_sym_U_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8_DQUOTE] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [anon_sym_NULL] = ACTIONS(2760),
    [anon_sym_nullptr] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_co_return] = ACTIONS(2760),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2762),
    [anon_sym_LR_DQUOTE] = ACTIONS(2762),
    [anon_sym_uR_DQUOTE] = ACTIONS(2762),
    [anon_sym_UR_DQUOTE] = ACTIONS(2762),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2762),
    [anon_sym_co_await] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_requires] = ACTIONS(2760),
    [sym_this] = ACTIONS(2760),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2764),
    [anon_sym_LPAREN2] = ACTIONS(2766),
    [anon_sym_BANG] = ACTIONS(2766),
    [anon_sym_TILDE] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym___extension__] = ACTIONS(2764),
    [anon_sym_typedef] = ACTIONS(2764),
    [anon_sym_virtual] = ACTIONS(2764),
    [anon_sym_extern] = ACTIONS(2764),
    [anon_sym___attribute__] = ACTIONS(2764),
    [anon_sym_COLON_COLON] = ACTIONS(2766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2766),
    [anon_sym___declspec] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2764),
    [anon_sym_unsigned] = ACTIONS(2764),
    [anon_sym_long] = ACTIONS(2764),
    [anon_sym_short] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_register] = ACTIONS(2764),
    [anon_sym_inline] = ACTIONS(2764),
    [anon_sym___inline] = ACTIONS(2764),
    [anon_sym___inline__] = ACTIONS(2764),
    [anon_sym___forceinline] = ACTIONS(2764),
    [anon_sym_thread_local] = ACTIONS(2764),
    [anon_sym___thread] = ACTIONS(2764),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_constexpr] = ACTIONS(2764),
    [anon_sym_volatile] = ACTIONS(2764),
    [anon_sym_restrict] = ACTIONS(2764),
    [anon_sym___restrict__] = ACTIONS(2764),
    [anon_sym__Atomic] = ACTIONS(2764),
    [anon_sym__Noreturn] = ACTIONS(2764),
    [anon_sym_noreturn] = ACTIONS(2764),
    [anon_sym__Nonnull] = ACTIONS(2764),
    [anon_sym_mutable] = ACTIONS(2764),
    [anon_sym_constinit] = ACTIONS(2764),
    [anon_sym_consteval] = ACTIONS(2764),
    [anon_sym_alignas] = ACTIONS(2764),
    [anon_sym__Alignas] = ACTIONS(2764),
    [sym_primitive_type] = ACTIONS(2764),
    [anon_sym_enum] = ACTIONS(2764),
    [anon_sym_class] = ACTIONS(2764),
    [anon_sym_struct] = ACTIONS(2764),
    [anon_sym_union] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_else] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2764),
    [anon_sym_return] = ACTIONS(2764),
    [anon_sym_break] = ACTIONS(2764),
    [anon_sym_continue] = ACTIONS(2764),
    [anon_sym_goto] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2764),
    [anon_sym___leave] = ACTIONS(2764),
    [anon_sym_not] = ACTIONS(2764),
    [anon_sym_compl] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2766),
    [anon_sym_PLUS_PLUS] = ACTIONS(2766),
    [anon_sym_sizeof] = ACTIONS(2764),
    [anon_sym___alignof__] = ACTIONS(2764),
    [anon_sym___alignof] = ACTIONS(2764),
    [anon_sym__alignof] = ACTIONS(2764),
    [anon_sym_alignof] = ACTIONS(2764),
    [anon_sym__Alignof] = ACTIONS(2764),
    [anon_sym_offsetof] = ACTIONS(2764),
    [anon_sym__Generic] = ACTIONS(2764),
    [anon_sym_asm] = ACTIONS(2764),
    [anon_sym___asm__] = ACTIONS(2764),
    [anon_sym___asm] = ACTIONS(2764),
    [sym_number_literal] = ACTIONS(2766),
    [anon_sym_L_SQUOTE] = ACTIONS(2766),
    [anon_sym_u_SQUOTE] = ACTIONS(2766),
    [anon_sym_U_SQUOTE] = ACTIONS(2766),
    [anon_sym_u8_SQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [anon_sym_L_DQUOTE] = ACTIONS(2766),
    [anon_sym_u_DQUOTE] = ACTIONS(2766),
    [anon_sym_U_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8_DQUOTE] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [anon_sym_NULL] = ACTIONS(2764),
    [anon_sym_nullptr] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2764),
    [anon_sym_decltype] = ACTIONS(2764),
    [anon_sym_typename] = ACTIONS(2764),
    [anon_sym_template] = ACTIONS(2764),
    [anon_sym_try] = ACTIONS(2764),
    [anon_sym_delete] = ACTIONS(2764),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_co_return] = ACTIONS(2764),
    [anon_sym_co_yield] = ACTIONS(2764),
    [anon_sym_R_DQUOTE] = ACTIONS(2766),
    [anon_sym_LR_DQUOTE] = ACTIONS(2766),
    [anon_sym_uR_DQUOTE] = ACTIONS(2766),
    [anon_sym_UR_DQUOTE] = ACTIONS(2766),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2766),
    [anon_sym_co_await] = ACTIONS(2764),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_requires] = ACTIONS(2764),
    [sym_this] = ACTIONS(2764),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [anon_sym___asm] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_virtual] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [877] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_virtual] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_virtual] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym__Nonnull] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [anon_sym___asm] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [881] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_call_modifier] = STATE(4442),
    [sym__declarator] = STATE(6236),
    [sym__abstract_declarator] = STATE(6368),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_list] = STATE(3011),
    [sym_parameter_declaration] = STATE(6993),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6993),
    [sym_variadic_parameter_declaration] = STATE(6993),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(2316),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5427),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(4150),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_AMP] = ACTIONS(4154),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1762),
    [anon_sym___clrcall] = ACTIONS(1762),
    [anon_sym___stdcall] = ACTIONS(1762),
    [anon_sym___fastcall] = ACTIONS(1762),
    [anon_sym___thiscall] = ACTIONS(1762),
    [anon_sym___vectorcall] = ACTIONS(1762),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4158),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [882] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4164),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [883] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(882),
    [sym_compound_requirement] = STATE(882),
    [sym__requirement] = STATE(882),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(882),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4168),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [884] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [885] = {
    [sym_expression] = STATE(4109),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7016),
    [sym_initializer_pair] = STATE(7016),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4176),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [886] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(887),
    [sym_compound_requirement] = STATE(887),
    [sym__requirement] = STATE(887),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(887),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [887] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [888] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(4184),
    [anon_sym_LPAREN2] = ACTIONS(4187),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_TILDE] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4193),
    [anon_sym_PLUS] = ACTIONS(4193),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_AMP] = ACTIONS(4196),
    [anon_sym_SEMI] = ACTIONS(4199),
    [anon_sym___extension__] = ACTIONS(4202),
    [anon_sym_COLON_COLON] = ACTIONS(4205),
    [anon_sym_LBRACE] = ACTIONS(4208),
    [anon_sym_RBRACE] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(4216),
    [anon_sym_not] = ACTIONS(4193),
    [anon_sym_compl] = ACTIONS(4193),
    [anon_sym_DASH_DASH] = ACTIONS(4219),
    [anon_sym_PLUS_PLUS] = ACTIONS(4219),
    [anon_sym_sizeof] = ACTIONS(4222),
    [anon_sym___alignof__] = ACTIONS(4225),
    [anon_sym___alignof] = ACTIONS(4225),
    [anon_sym__alignof] = ACTIONS(4225),
    [anon_sym_alignof] = ACTIONS(4225),
    [anon_sym__Alignof] = ACTIONS(4225),
    [anon_sym_offsetof] = ACTIONS(4228),
    [anon_sym__Generic] = ACTIONS(4231),
    [anon_sym_asm] = ACTIONS(4234),
    [anon_sym___asm__] = ACTIONS(4234),
    [anon_sym___asm] = ACTIONS(4234),
    [sym_number_literal] = ACTIONS(4237),
    [anon_sym_L_SQUOTE] = ACTIONS(4240),
    [anon_sym_u_SQUOTE] = ACTIONS(4240),
    [anon_sym_U_SQUOTE] = ACTIONS(4240),
    [anon_sym_u8_SQUOTE] = ACTIONS(4240),
    [anon_sym_SQUOTE] = ACTIONS(4240),
    [anon_sym_L_DQUOTE] = ACTIONS(4243),
    [anon_sym_u_DQUOTE] = ACTIONS(4243),
    [anon_sym_U_DQUOTE] = ACTIONS(4243),
    [anon_sym_u8_DQUOTE] = ACTIONS(4243),
    [anon_sym_DQUOTE] = ACTIONS(4243),
    [sym_true] = ACTIONS(4246),
    [sym_false] = ACTIONS(4246),
    [anon_sym_NULL] = ACTIONS(4249),
    [anon_sym_nullptr] = ACTIONS(4249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4252),
    [anon_sym_typename] = ACTIONS(4255),
    [anon_sym_template] = ACTIONS(4258),
    [anon_sym_delete] = ACTIONS(4261),
    [anon_sym_R_DQUOTE] = ACTIONS(4264),
    [anon_sym_LR_DQUOTE] = ACTIONS(4264),
    [anon_sym_uR_DQUOTE] = ACTIONS(4264),
    [anon_sym_UR_DQUOTE] = ACTIONS(4264),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4264),
    [anon_sym_co_await] = ACTIONS(4267),
    [anon_sym_new] = ACTIONS(4270),
    [anon_sym_requires] = ACTIONS(4273),
    [sym_this] = ACTIONS(4246),
  },
  [889] = {
    [sym_expression] = STATE(4163),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6972),
    [sym_initializer_pair] = STATE(6972),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4278),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [890] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4280),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [891] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [892] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(894),
    [sym_compound_requirement] = STATE(894),
    [sym__requirement] = STATE(894),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(894),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4284),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [893] = {
    [sym_expression] = STATE(4189),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6862),
    [sym_initializer_pair] = STATE(6862),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4286),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [894] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4288),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [895] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(897),
    [sym_compound_requirement] = STATE(897),
    [sym__requirement] = STATE(897),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(897),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [896] = {
    [sym_expression] = STATE(4196),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7010),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [897] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4294),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [898] = {
    [sym_expression] = STATE(4119),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6791),
    [sym_initializer_pair] = STATE(6791),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4296),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4298),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [899] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [900] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4302),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [901] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(907),
    [sym_compound_requirement] = STATE(907),
    [sym__requirement] = STATE(907),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(907),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4304),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [902] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(903),
    [sym_compound_requirement] = STATE(903),
    [sym__requirement] = STATE(903),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(903),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [903] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4308),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [904] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1611),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [905] = {
    [sym_expression] = STATE(4110),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6882),
    [sym_initializer_pair] = STATE(6882),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4310),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [906] = {
    [sym_expression] = STATE(4171),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6885),
    [sym_initializer_pair] = STATE(6885),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4314),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [907] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4318),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [908] = {
    [sym_expression_statement] = STATE(2563),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7502),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4160),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4320),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4166),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [909] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4322),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [910] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4324),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [911] = {
    [sym_string_literal] = STATE(2264),
    [sym_template_argument_list] = STATE(1558),
    [sym_raw_string_literal] = STATE(2264),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4326),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4033),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4329),
    [anon_sym_or_eq] = ACTIONS(4329),
    [anon_sym_xor_eq] = ACTIONS(4329),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4031),
    [anon_sym_L_DQUOTE] = ACTIONS(4331),
    [anon_sym_u_DQUOTE] = ACTIONS(4331),
    [anon_sym_U_DQUOTE] = ACTIONS(4331),
    [anon_sym_u8_DQUOTE] = ACTIONS(4331),
    [anon_sym_DQUOTE] = ACTIONS(4331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(4333),
    [anon_sym_LR_DQUOTE] = ACTIONS(4333),
    [anon_sym_uR_DQUOTE] = ACTIONS(4333),
    [anon_sym_UR_DQUOTE] = ACTIONS(4333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4333),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4023),
  },
  [912] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1611),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4335),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [913] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [914] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [915] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1611),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [916] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4341),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [917] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1611),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [918] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1611),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [919] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [920] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4347),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [921] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1611),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [922] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [923] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [924] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4351),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [925] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [926] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1611),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4142),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [927] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [928] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(1620),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4039),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym___extension__] = ACTIONS(4021),
    [anon_sym_virtual] = ACTIONS(4021),
    [anon_sym_extern] = ACTIONS(4021),
    [anon_sym___attribute__] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4021),
    [anon_sym___based] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4049),
    [anon_sym_unsigned] = ACTIONS(4049),
    [anon_sym_long] = ACTIONS(4049),
    [anon_sym_short] = ACTIONS(4049),
    [anon_sym_LBRACK] = ACTIONS(4033),
    [anon_sym_static] = ACTIONS(4021),
    [anon_sym_EQ] = ACTIONS(4021),
    [anon_sym_register] = ACTIONS(4021),
    [anon_sym_inline] = ACTIONS(4021),
    [anon_sym___inline] = ACTIONS(4021),
    [anon_sym___inline__] = ACTIONS(4021),
    [anon_sym___forceinline] = ACTIONS(4021),
    [anon_sym_thread_local] = ACTIONS(4021),
    [anon_sym___thread] = ACTIONS(4021),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4021),
    [anon_sym_volatile] = ACTIONS(4021),
    [anon_sym_restrict] = ACTIONS(4021),
    [anon_sym___restrict__] = ACTIONS(4021),
    [anon_sym__Atomic] = ACTIONS(4021),
    [anon_sym__Noreturn] = ACTIONS(4021),
    [anon_sym_noreturn] = ACTIONS(4021),
    [anon_sym__Nonnull] = ACTIONS(4021),
    [anon_sym_mutable] = ACTIONS(4021),
    [anon_sym_constinit] = ACTIONS(4021),
    [anon_sym_consteval] = ACTIONS(4021),
    [anon_sym_alignas] = ACTIONS(4021),
    [anon_sym__Alignas] = ACTIONS(4021),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4055),
    [anon_sym_or_eq] = ACTIONS(4055),
    [anon_sym_xor_eq] = ACTIONS(4055),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [929] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7227),
    [sym_initializer_pair] = STATE(7227),
    [sym_subscript_designator] = STATE(6291),
    [sym_subscript_range_designator] = STATE(6291),
    [sym_field_designator] = STATE(6291),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [aux_sym_initializer_pair_repeat1] = STATE(6291),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [930] = {
    [sym_compound_statement] = STATE(7013),
    [sym_expression] = STATE(4107),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7013),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4357),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [931] = {
    [sym_compound_statement] = STATE(8139),
    [sym_expression] = STATE(3080),
    [sym__string] = STATE(2840),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym__assignment_expression_lhs] = STATE(7659),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [932] = {
    [sym_compound_statement] = STATE(6873),
    [sym_expression] = STATE(4202),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6873),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [933] = {
    [sym_compound_statement] = STATE(6752),
    [sym_expression] = STATE(4118),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6752),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4363),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [934] = {
    [sym_expression] = STATE(3100),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7673),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7681),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [935] = {
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(8030),
    [sym__unary_right_fold] = STATE(8032),
    [sym__binary_fold] = STATE(8033),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [936] = {
    [sym_expression] = STATE(4055),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_initializer_list] = STATE(6412),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_default] = ACTIONS(4369),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(4373),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4375),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [937] = {
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7738),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7738),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4377),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [938] = {
    [sym_compound_statement] = STATE(6905),
    [sym_expression] = STATE(4162),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6905),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4379),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [939] = {
    [sym_expression] = STATE(4044),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_initializer_list] = STATE(6391),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_default] = ACTIONS(4381),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(4383),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4385),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [940] = {
    [sym_expression] = STATE(4230),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7568),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7568),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4387),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [941] = {
    [sym_expression] = STATE(3098),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7602),
    [sym__unary_right_fold] = STATE(7618),
    [sym__binary_fold] = STATE(7625),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [942] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_initializer_list] = STATE(6400),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_default] = ACTIONS(4389),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(4391),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4393),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [943] = {
    [sym_expression] = STATE(3143),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7563),
    [sym__unary_right_fold] = STATE(7610),
    [sym__binary_fold] = STATE(7662),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [944] = {
    [sym_compound_statement] = STATE(6883),
    [sym_expression] = STATE(4170),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6883),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4395),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [945] = {
    [sym_expression] = STATE(3125),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7427),
    [sym__unary_right_fold] = STATE(7430),
    [sym__binary_fold] = STATE(7436),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [946] = {
    [sym_expression] = STATE(3137),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7684),
    [sym__unary_right_fold] = STATE(7687),
    [sym__binary_fold] = STATE(7692),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [947] = {
    [sym_expression] = STATE(3116),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7841),
    [sym__unary_right_fold] = STATE(7843),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [948] = {
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8154),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(8154),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4397),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [949] = {
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7446),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7446),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4399),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [950] = {
    [sym_expression] = STATE(3130),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(7953),
    [sym__unary_right_fold] = STATE(7976),
    [sym__binary_fold] = STATE(8158),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [951] = {
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8092),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(8092),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4401),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [952] = {
    [sym_compound_statement] = STATE(6907),
    [sym_expression] = STATE(4101),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6907),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [953] = {
    [sym_expression] = STATE(3141),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym__unary_left_fold] = STATE(8253),
    [sym__unary_right_fold] = STATE(8256),
    [sym__binary_fold] = STATE(8268),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [954] = {
    [sym_compound_statement] = STATE(6823),
    [sym_expression] = STATE(4145),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(6823),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [955] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4409),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [956] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4413),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [957] = {
    [sym_expression] = STATE(3462),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [958] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4419),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [959] = {
    [sym_compound_statement] = STATE(7149),
    [sym_expression] = STATE(4322),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7149),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [960] = {
    [sym_expression] = STATE(3172),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [961] = {
    [sym_expression] = STATE(4188),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [962] = {
    [sym_expression] = STATE(4117),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [963] = {
    [sym_expression] = STATE(2944),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [964] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4427),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [965] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4430),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [966] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4433),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [967] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4436),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [968] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4438),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [969] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4440),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [970] = {
    [sym_expression] = STATE(4159),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_initializer_list] = STATE(7038),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4442),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [971] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4444),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [972] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4447),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [973] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4450),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [974] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [975] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4452),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [976] = {
    [sym_expression] = STATE(3951),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [977] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4459),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [978] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4462),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [979] = {
    [sym_expression] = STATE(2777),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [980] = {
    [sym_expression] = STATE(3022),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [981] = {
    [sym_expression] = STATE(3968),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [982] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4466),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [983] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4469),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [984] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4472),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [985] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4474),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [986] = {
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [987] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [988] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [989] = {
    [sym_expression] = STATE(4259),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [990] = {
    [sym_expression] = STATE(4264),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [991] = {
    [sym_expression] = STATE(3424),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [992] = {
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [993] = {
    [sym_expression] = STATE(4064),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [994] = {
    [sym_expression] = STATE(2767),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [995] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4481),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [996] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [997] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4485),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [998] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [999] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1000] = {
    [sym_expression] = STATE(3047),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1001] = {
    [sym_expression] = STATE(3045),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1002] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4492),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1003] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4494),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1004] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4496),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1005] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4498),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1006] = {
    [sym_expression] = STATE(4077),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1007] = {
    [sym_expression] = STATE(4188),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1008] = {
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1009] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4500),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1010] = {
    [sym_expression] = STATE(2632),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1011] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4504),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1012] = {
    [sym_expression] = STATE(4151),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_initializer_list] = STATE(6989),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4506),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1013] = {
    [sym_expression] = STATE(3193),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1014] = {
    [sym_expression] = STATE(3195),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1015] = {
    [sym_expression] = STATE(2634),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1016] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4510),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1017] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4512),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1018] = {
    [sym_expression] = STATE(4248),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1019] = {
    [sym_expression] = STATE(4250),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1020] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4516),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1021] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4518),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1022] = {
    [sym_expression] = STATE(3077),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(4415),
    [anon_sym_AMP_AMP] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(4417),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1023] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4520),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1024] = {
    [sym_expression] = STATE(4136),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_initializer_list] = STATE(6831),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4522),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1025] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_lambda_default_capture] = STATE(7233),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [anon_sym_EQ] = ACTIONS(4411),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1026] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1027] = {
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7419),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1028] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7996),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1029] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1030] = {
    [sym_expression] = STATE(4280),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7920),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4534),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1031] = {
    [sym_expression] = STATE(4308),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7960),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1032] = {
    [sym_expression] = STATE(4148),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7010),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4538),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1033] = {
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7621),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4541),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1034] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1035] = {
    [sym_expression] = STATE(4090),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(3800),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1036] = {
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_initializer_list] = STATE(4567),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1037] = {
    [sym_expression] = STATE(4228),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4545),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1038] = {
    [sym_expression] = STATE(4206),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_initializer_list] = STATE(3800),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1039] = {
    [sym_expression] = STATE(4208),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_initializer_list] = STATE(3800),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1040] = {
    [sym_expression] = STATE(4302),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7830),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4547),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1041] = {
    [sym_expression] = STATE(4303),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_initializer_list] = STATE(4634),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1042] = {
    [sym_expression] = STATE(4231),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7927),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4549),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1043] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1044] = {
    [sym_expression] = STATE(4304),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1045] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_COMMA] = ACTIONS(4551),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4551),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1046] = {
    [sym_expression] = STATE(3969),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_initializer_list] = STATE(3800),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1047] = {
    [sym_expression] = STATE(4197),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7092),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1048] = {
    [sym_expression] = STATE(4176),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_initializer_list] = STATE(6910),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1049] = {
    [sym_expression] = STATE(4495),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7425),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1050] = {
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7518),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4553),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1051] = {
    [sym_expression] = STATE(4289),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7452),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4555),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1052] = {
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7242),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1053] = {
    [sym_expression] = STATE(3192),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1054] = {
    [sym_expression] = STATE(4297),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_initializer_list] = STATE(7169),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1055] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1056] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_initializer_list] = STATE(2410),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1057] = {
    [sym_expression] = STATE(4275),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7735),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1058] = {
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7903),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4563),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1059] = {
    [sym_expression] = STATE(4319),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8145),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4565),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1060] = {
    [sym_expression] = STATE(3457),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_initializer_list] = STATE(3709),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1061] = {
    [sym_expression] = STATE(4236),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_initializer_list] = STATE(3800),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1062] = {
    [sym_expression] = STATE(4364),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7734),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4567),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1063] = {
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7504),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4569),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1064] = {
    [sym_expression] = STATE(4234),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8224),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1065] = {
    [sym_expression] = STATE(4347),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4573),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1066] = {
    [sym_expression] = STATE(3515),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_initializer_list] = STATE(3743),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1067] = {
    [sym_expression] = STATE(4266),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7092),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1068] = {
    [sym_expression] = STATE(4318),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8163),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4575),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1069] = {
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7204),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1070] = {
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_initializer_list] = STATE(3456),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1071] = {
    [sym_expression] = STATE(4262),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(8136),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4579),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1072] = {
    [sym_expression] = STATE(4295),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7448),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4581),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1073] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1074] = {
    [sym_expression] = STATE(3715),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_initializer_list] = STATE(3756),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1075] = {
    [sym_expression] = STATE(3059),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_initializer_list] = STATE(3272),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1076] = {
    [sym_expression] = STATE(2941),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1077] = {
    [sym_expression] = STATE(2962),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4586),
    [anon_sym_LPAREN2] = ACTIONS(4588),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1078] = {
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4590),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1079] = {
    [sym_expression] = STATE(4393),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1080] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4594),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1081] = {
    [sym_expression] = STATE(3533),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4596),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1082] = {
    [sym_expression] = STATE(3533),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4599),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1083] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4602),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1084] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1085] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4608),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1086] = {
    [sym_expression] = STATE(3460),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4611),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1087] = {
    [sym_expression] = STATE(3494),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1088] = {
    [sym_expression] = STATE(3407),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1089] = {
    [sym_expression] = STATE(3413),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1090] = {
    [sym_expression] = STATE(3425),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1091] = {
    [sym_expression] = STATE(3450),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1092] = {
    [sym_expression] = STATE(3450),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1093] = {
    [sym_expression] = STATE(3468),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1094] = {
    [sym_expression] = STATE(3468),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1095] = {
    [sym_expression] = STATE(3468),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1096] = {
    [sym_expression] = STATE(3468),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1097] = {
    [sym_expression] = STATE(3474),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1098] = {
    [sym_expression] = STATE(3474),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1099] = {
    [sym_expression] = STATE(3460),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4647),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1100] = {
    [sym_expression] = STATE(3494),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4650),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1101] = {
    [sym_expression] = STATE(3407),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4653),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1102] = {
    [sym_expression] = STATE(3413),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4656),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1103] = {
    [sym_expression] = STATE(3425),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1104] = {
    [sym_expression] = STATE(3450),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4662),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1105] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4665),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1106] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4667),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1107] = {
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1108] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4671),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1109] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4673),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1110] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4675),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1111] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4677),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1112] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4679),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1113] = {
    [sym_expression] = STATE(4127),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym_SEMI] = ACTIONS(4681),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(4683),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1114] = {
    [sym_expression] = STATE(3046),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4596),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1115] = {
    [sym_expression] = STATE(3046),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4599),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1116] = {
    [sym_expression] = STATE(3057),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4602),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1117] = {
    [sym_expression] = STATE(3057),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1118] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4685),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1119] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4687),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1120] = {
    [sym_expression] = STATE(3057),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4608),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1121] = {
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4611),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1122] = {
    [sym_expression] = STATE(2292),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4689),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1123] = {
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4693),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1124] = {
    [sym_expression] = STATE(4426),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4695),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1125] = {
    [sym_expression] = STATE(3049),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1126] = {
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1127] = {
    [sym_expression] = STATE(3054),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1128] = {
    [sym_expression] = STATE(3062),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1129] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4697),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1130] = {
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1131] = {
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1132] = {
    [sym_expression] = STATE(4288),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1133] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(4703),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1134] = {
    [sym_expression] = STATE(2941),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1135] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1136] = {
    [sym_expression] = STATE(2941),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1137] = {
    [sym_expression] = STATE(2950),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1138] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4707),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1139] = {
    [sym_expression] = STATE(2950),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1140] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4709),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1141] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4711),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1142] = {
    [sym_expression] = STATE(4127),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym_SEMI] = ACTIONS(4713),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(4683),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1143] = {
    [sym_expression] = STATE(4342),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4715),
    [anon_sym_LPAREN2] = ACTIONS(4717),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1144] = {
    [sym_expression] = STATE(4446),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1145] = {
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4721),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1146] = {
    [sym_expression] = STATE(4382),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1147] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4725),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1148] = {
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4647),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1149] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4727),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1150] = {
    [sym_expression] = STATE(3049),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4650),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1151] = {
    [sym_expression] = STATE(3472),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4729),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1152] = {
    [sym_expression] = STATE(4467),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4733),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1153] = {
    [sym_expression] = STATE(4468),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1154] = {
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4653),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1155] = {
    [sym_expression] = STATE(3054),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4656),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1156] = {
    [sym_expression] = STATE(3062),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1157] = {
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4662),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1158] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4737),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1159] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4739),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1160] = {
    [sym_expression] = STATE(3127),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4741),
    [anon_sym_LPAREN2] = ACTIONS(4743),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1161] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4745),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1162] = {
    [sym_expression] = STATE(4127),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym_SEMI] = ACTIONS(4747),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(4683),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1163] = {
    [sym_expression] = STATE(4148),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7010),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1164] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(4749),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1165] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(4751),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1166] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4753),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1167] = {
    [sym_expression] = STATE(2292),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4689),
    [anon_sym_LPAREN2] = ACTIONS(4755),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1168] = {
    [sym_expression] = STATE(2292),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4689),
    [anon_sym_LPAREN2] = ACTIONS(4757),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1169] = {
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4759),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1170] = {
    [sym_expression] = STATE(4401),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4761),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1171] = {
    [sym_expression] = STATE(4252),
    [sym__string] = STATE(4045),
    [sym_comma_expression] = STATE(7010),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1172] = {
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4763),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1173] = {
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4765),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1174] = {
    [sym_expression] = STATE(4474),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4767),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1175] = {
    [sym_expression] = STATE(4483),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4769),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1176] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4771),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1177] = {
    [sym_expression] = STATE(4490),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4773),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1178] = {
    [sym_expression] = STATE(4494),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4775),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1179] = {
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4777),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1180] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(4779),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1181] = {
    [sym_expression] = STATE(3177),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4689),
    [anon_sym_LPAREN2] = ACTIONS(4781),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1182] = {
    [sym_expression] = STATE(2941),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1183] = {
    [sym_expression] = STATE(4065),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1184] = {
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1185] = {
    [sym_expression] = STATE(3070),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1186] = {
    [sym_expression] = STATE(3070),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(4783),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1187] = {
    [sym_expression] = STATE(2956),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1188] = {
    [sym_expression] = STATE(4127),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(4683),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1189] = {
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1190] = {
    [sym_expression] = STATE(3097),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1191] = {
    [sym_expression] = STATE(4120),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1192] = {
    [sym_expression] = STATE(4181),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(4785),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1193] = {
    [sym_expression] = STATE(2941),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1194] = {
    [sym_expression] = STATE(2950),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1195] = {
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1196] = {
    [sym_expression] = STATE(2813),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1197] = {
    [sym_expression] = STATE(3146),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1198] = {
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1199] = {
    [sym_expression] = STATE(3725),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1200] = {
    [sym_expression] = STATE(4194),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1201] = {
    [sym_expression] = STATE(4205),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1202] = {
    [sym_expression] = STATE(4158),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1203] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1204] = {
    [sym_expression] = STATE(4129),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1205] = {
    [sym_expression] = STATE(4140),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1206] = {
    [sym_expression] = STATE(4142),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1207] = {
    [sym_expression] = STATE(4146),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1208] = {
    [sym_expression] = STATE(4121),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1209] = {
    [sym_expression] = STATE(4309),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1210] = {
    [sym_expression] = STATE(4429),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1211] = {
    [sym_expression] = STATE(4172),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1212] = {
    [sym_expression] = STATE(3995),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1213] = {
    [sym_expression] = STATE(4155),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1214] = {
    [sym_expression] = STATE(4423),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1215] = {
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1216] = {
    [sym_expression] = STATE(4526),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1217] = {
    [sym_expression] = STATE(2795),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1218] = {
    [sym_expression] = STATE(3675),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1219] = {
    [sym_expression] = STATE(4328),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1220] = {
    [sym_expression] = STATE(4329),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1221] = {
    [sym_expression] = STATE(4330),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1222] = {
    [sym_expression] = STATE(4331),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1223] = {
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1224] = {
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1225] = {
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1226] = {
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1227] = {
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1228] = {
    [sym_expression] = STATE(4338),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1229] = {
    [sym_expression] = STATE(4072),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1230] = {
    [sym_expression] = STATE(3082),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1231] = {
    [sym_expression] = STATE(2975),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1232] = {
    [sym_expression] = STATE(2323),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1233] = {
    [sym_expression] = STATE(2620),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(4789),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1234] = {
    [sym_expression] = STATE(2675),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1235] = {
    [sym_expression] = STATE(2633),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1236] = {
    [sym_expression] = STATE(2635),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1237] = {
    [sym_expression] = STATE(2297),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1238] = {
    [sym_expression] = STATE(2297),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1239] = {
    [sym_expression] = STATE(4389),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1240] = {
    [sym_expression] = STATE(2327),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1241] = {
    [sym_expression] = STATE(4097),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1242] = {
    [sym_expression] = STATE(3996),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(4795),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1243] = {
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1244] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1245] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1246] = {
    [sym_expression] = STATE(3986),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1247] = {
    [sym_expression] = STATE(3992),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(4797),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1248] = {
    [sym_expression] = STATE(4395),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1249] = {
    [sym_expression] = STATE(2796),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1250] = {
    [sym_expression] = STATE(2985),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1251] = {
    [sym_expression] = STATE(4000),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1252] = {
    [sym_expression] = STATE(3725),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1253] = {
    [sym_expression] = STATE(3975),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1254] = {
    [sym_expression] = STATE(3941),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1255] = {
    [sym_expression] = STATE(3946),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1256] = {
    [sym_expression] = STATE(3947),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1257] = {
    [sym_expression] = STATE(3948),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1258] = {
    [sym_expression] = STATE(3952),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1259] = {
    [sym_expression] = STATE(3957),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1260] = {
    [sym_expression] = STATE(3959),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1261] = {
    [sym_expression] = STATE(3965),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1262] = {
    [sym_expression] = STATE(2318),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1263] = {
    [sym_expression] = STATE(4063),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1264] = {
    [sym_expression] = STATE(2842),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1265] = {
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1266] = {
    [sym_expression] = STATE(4321),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(4799),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1267] = {
    [sym_expression] = STATE(4247),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1268] = {
    [sym_expression] = STATE(4139),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1269] = {
    [sym_expression] = STATE(3513),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1270] = {
    [sym_expression] = STATE(3953),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1271] = {
    [sym_expression] = STATE(4341),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(4801),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1272] = {
    [sym_expression] = STATE(4327),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1273] = {
    [sym_expression] = STATE(4417),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1274] = {
    [sym_expression] = STATE(3718),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(4803),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1275] = {
    [sym_expression] = STATE(4096),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4805),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1276] = {
    [sym_expression] = STATE(3983),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1277] = {
    [sym_expression] = STATE(2970),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(4807),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1278] = {
    [sym_expression] = STATE(2797),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1279] = {
    [sym_expression] = STATE(3122),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1280] = {
    [sym_expression] = STATE(3154),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1281] = {
    [sym_expression] = STATE(3155),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1282] = {
    [sym_expression] = STATE(3156),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1283] = {
    [sym_expression] = STATE(3157),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1284] = {
    [sym_expression] = STATE(3158),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1285] = {
    [sym_expression] = STATE(3159),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1286] = {
    [sym_expression] = STATE(3160),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1287] = {
    [sym_expression] = STATE(3161),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1288] = {
    [sym_expression] = STATE(3163),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1289] = {
    [sym_expression] = STATE(3164),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1290] = {
    [sym_expression] = STATE(2648),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(4809),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1291] = {
    [sym_expression] = STATE(2323),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1292] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1293] = {
    [sym_expression] = STATE(3533),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1294] = {
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1295] = {
    [sym_expression] = STATE(2981),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1296] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1297] = {
    [sym_expression] = STATE(3460),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1298] = {
    [sym_expression] = STATE(3494),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1299] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1300] = {
    [sym_expression] = STATE(3407),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1301] = {
    [sym_expression] = STATE(3413),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1302] = {
    [sym_expression] = STATE(3425),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1303] = {
    [sym_expression] = STATE(3450),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1304] = {
    [sym_expression] = STATE(3468),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1305] = {
    [sym_expression] = STATE(3474),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1306] = {
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1307] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1308] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1309] = {
    [sym_expression] = STATE(4296),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1310] = {
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1311] = {
    [sym_expression] = STATE(2798),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1312] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1313] = {
    [sym_expression] = STATE(2972),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1314] = {
    [sym_expression] = STATE(2978),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1315] = {
    [sym_expression] = STATE(2318),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1316] = {
    [sym_expression] = STATE(3071),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1317] = {
    [sym_expression] = STATE(3072),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1318] = {
    [sym_expression] = STATE(3007),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1319] = {
    [sym_expression] = STATE(2932),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1320] = {
    [sym_expression] = STATE(2935),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1321] = {
    [sym_expression] = STATE(2937),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1322] = {
    [sym_expression] = STATE(2939),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1323] = {
    [sym_expression] = STATE(2979),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1324] = {
    [sym_expression] = STATE(3499),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1325] = {
    [sym_expression] = STATE(3471),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1326] = {
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1327] = {
    [sym_expression] = STATE(4315),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1328] = {
    [sym_expression] = STATE(2801),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1329] = {
    [sym_expression] = STATE(4283),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1330] = {
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1331] = {
    [sym_expression] = STATE(3725),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1332] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1333] = {
    [sym_expression] = STATE(4093),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1334] = {
    [sym_expression] = STATE(2647),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1335] = {
    [sym_expression] = STATE(2673),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1336] = {
    [sym_expression] = STATE(2318),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1337] = {
    [sym_expression] = STATE(2623),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1338] = {
    [sym_expression] = STATE(2624),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1339] = {
    [sym_expression] = STATE(2625),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1340] = {
    [sym_expression] = STATE(2626),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1341] = {
    [sym_expression] = STATE(2627),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1342] = {
    [sym_expression] = STATE(2628),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1343] = {
    [sym_expression] = STATE(2629),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1344] = {
    [sym_expression] = STATE(2674),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1345] = {
    [sym_expression] = STATE(3121),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1346] = {
    [sym_expression] = STATE(3041),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1347] = {
    [sym_expression] = STATE(3126),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1348] = {
    [sym_expression] = STATE(3718),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1349] = {
    [sym_expression] = STATE(4066),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1350] = {
    [sym_expression] = STATE(3026),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1351] = {
    [sym_expression] = STATE(4069),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1352] = {
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1353] = {
    [sym_expression] = STATE(4071),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1354] = {
    [sym_expression] = STATE(2809),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1355] = {
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1356] = {
    [sym_expression] = STATE(4294),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1357] = {
    [sym_expression] = STATE(2810),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1358] = {
    [sym_expression] = STATE(4153),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1359] = {
    [sym_expression] = STATE(4073),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1360] = {
    [sym_expression] = STATE(3718),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1361] = {
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4524),
    [sym_conditional_expression] = STATE(4622),
    [sym_assignment_expression] = STATE(4622),
    [sym_pointer_expression] = STATE(3441),
    [sym_unary_expression] = STATE(4622),
    [sym_binary_expression] = STATE(4622),
    [sym_update_expression] = STATE(4622),
    [sym_cast_expression] = STATE(4622),
    [sym_sizeof_expression] = STATE(4622),
    [sym_alignof_expression] = STATE(4622),
    [sym_offsetof_expression] = STATE(4622),
    [sym_generic_expression] = STATE(4622),
    [sym_subscript_expression] = STATE(3441),
    [sym_call_expression] = STATE(3441),
    [sym_gnu_asm_expression] = STATE(4622),
    [sym_extension_expression] = STATE(4622),
    [sym_field_expression] = STATE(3441),
    [sym_compound_literal_expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3441),
    [sym_char_literal] = STATE(4524),
    [sym_concatenated_string] = STATE(4524),
    [sym_string_literal] = STATE(3563),
    [sym_null] = STATE(4622),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7102),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(4622),
    [sym_raw_string_literal] = STATE(3563),
    [sym_co_await_expression] = STATE(4622),
    [sym_new_expression] = STATE(4622),
    [sym_delete_expression] = STATE(4622),
    [sym_requires_clause] = STATE(4622),
    [sym_requires_expression] = STATE(4622),
    [sym_lambda_expression] = STATE(4622),
    [sym_lambda_capture_specifier] = STATE(5593),
    [sym_fold_expression] = STATE(4622),
    [sym_parameter_pack_expansion] = STATE(4622),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3441),
    [sym_qualified_type_identifier] = STATE(7102),
    [sym_user_defined_literal] = STATE(3441),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [anon_sym___asm] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2632),
  },
  [1362] = {
    [sym_expression] = STATE(3675),
    [sym__string] = STATE(4355),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3251),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3251),
    [sym_call_expression] = STATE(3251),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3251),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3251),
    [sym_char_literal] = STATE(4355),
    [sym_concatenated_string] = STATE(4355),
    [sym_string_literal] = STATE(3455),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(3455),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3251),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3251),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(3665),
    [anon_sym_COLON_COLON] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3661),
    [anon_sym_compl] = ACTIONS(3661),
    [anon_sym_DASH_DASH] = ACTIONS(4371),
    [anon_sym_PLUS_PLUS] = ACTIONS(4371),
    [anon_sym_sizeof] = ACTIONS(3669),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3671),
    [anon_sym_L_SQUOTE] = ACTIONS(3673),
    [anon_sym_u_SQUOTE] = ACTIONS(3673),
    [anon_sym_U_SQUOTE] = ACTIONS(3673),
    [anon_sym_u8_SQUOTE] = ACTIONS(3673),
    [anon_sym_SQUOTE] = ACTIONS(3673),
    [anon_sym_L_DQUOTE] = ACTIONS(3675),
    [anon_sym_u_DQUOTE] = ACTIONS(3675),
    [anon_sym_U_DQUOTE] = ACTIONS(3675),
    [anon_sym_u8_DQUOTE] = ACTIONS(3675),
    [anon_sym_DQUOTE] = ACTIONS(3675),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_R_DQUOTE] = ACTIONS(3679),
    [anon_sym_LR_DQUOTE] = ACTIONS(3679),
    [anon_sym_uR_DQUOTE] = ACTIONS(3679),
    [anon_sym_UR_DQUOTE] = ACTIONS(3679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3679),
    [anon_sym_co_await] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1363] = {
    [sym_expression] = STATE(2811),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1364] = {
    [sym_expression] = STATE(4074),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1365] = {
    [sym_expression] = STATE(3718),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1366] = {
    [sym_expression] = STATE(4537),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1367] = {
    [sym_expression] = STATE(2812),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1368] = {
    [sym_expression] = STATE(4520),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1369] = {
    [sym_expression] = STATE(4076),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1370] = {
    [sym_expression] = STATE(4312),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1371] = {
    [sym_expression] = STATE(4274),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1372] = {
    [sym_expression] = STATE(2297),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1373] = {
    [sym_expression] = STATE(2327),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1374] = {
    [sym_expression] = STATE(3492),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(4811),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1375] = {
    [sym_expression] = STATE(3502),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1376] = {
    [sym_expression] = STATE(4218),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1377] = {
    [sym_expression] = STATE(4219),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1378] = {
    [sym_expression] = STATE(3417),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(4813),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1379] = {
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1380] = {
    [sym_expression] = STATE(2297),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1381] = {
    [sym_expression] = STATE(2327),
    [sym__string] = STATE(2711),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2711),
    [sym_concatenated_string] = STATE(2711),
    [sym_string_literal] = STATE(1840),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1840),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4502),
    [anon_sym_PLUS_PLUS] = ACTIONS(4502),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1382] = {
    [sym_expression] = STATE(4180),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1383] = {
    [sym_expression] = STATE(2992),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(4815),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1384] = {
    [sym_expression] = STATE(3003),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1385] = {
    [sym_expression] = STATE(3506),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1386] = {
    [sym_expression] = STATE(2988),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1387] = {
    [sym_expression] = STATE(2758),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1388] = {
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1389] = {
    [sym_expression] = STATE(4394),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1390] = {
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1391] = {
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1392] = {
    [sym_expression] = STATE(2948),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1393] = {
    [sym_expression] = STATE(4217),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1394] = {
    [sym_expression] = STATE(3725),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1395] = {
    [sym_expression] = STATE(4221),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1396] = {
    [sym_expression] = STATE(4222),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1397] = {
    [sym_expression] = STATE(4223),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1398] = {
    [sym_expression] = STATE(4224),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1399] = {
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1400] = {
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1401] = {
    [sym_expression] = STATE(4207),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1402] = {
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1403] = {
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1404] = {
    [sym_expression] = STATE(4402),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1405] = {
    [sym_expression] = STATE(4404),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1406] = {
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1407] = {
    [sym_expression] = STATE(4261),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1408] = {
    [sym_expression] = STATE(4408),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1409] = {
    [sym_expression] = STATE(3398),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1410] = {
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1411] = {
    [sym_expression] = STATE(4178),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1412] = {
    [sym_expression] = STATE(4424),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1413] = {
    [sym_expression] = STATE(4427),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1414] = {
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1415] = {
    [sym_expression] = STATE(4434),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1416] = {
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1417] = {
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1418] = {
    [sym_expression] = STATE(2780),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1419] = {
    [sym_expression] = STATE(4131),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1420] = {
    [sym_expression] = STATE(2323),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1421] = {
    [sym_expression] = STATE(4443),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1422] = {
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1423] = {
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1424] = {
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1425] = {
    [sym_expression] = STATE(4457),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1426] = {
    [sym_expression] = STATE(4458),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1427] = {
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1428] = {
    [sym_expression] = STATE(4204),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1429] = {
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1430] = {
    [sym_expression] = STATE(4469),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1431] = {
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1432] = {
    [sym_expression] = STATE(4476),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1433] = {
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1434] = {
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1435] = {
    [sym_expression] = STATE(4128),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1436] = {
    [sym_expression] = STATE(4484),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1437] = {
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1438] = {
    [sym_expression] = STATE(4486),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1439] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1440] = {
    [sym_expression] = STATE(4174),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1441] = {
    [sym_expression] = STATE(3055),
    [sym__string] = STATE(3144),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(3144),
    [sym_concatenated_string] = STATE(3144),
    [sym_string_literal] = STATE(2194),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(2194),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(4367),
    [anon_sym_AMP] = ACTIONS(4367),
    [anon_sym___extension__] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1998),
    [anon_sym_compl] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(4464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4464),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2008),
    [anon_sym_L_SQUOTE] = ACTIONS(2010),
    [anon_sym_u_SQUOTE] = ACTIONS(2010),
    [anon_sym_U_SQUOTE] = ACTIONS(2010),
    [anon_sym_u8_SQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_L_DQUOTE] = ACTIONS(2012),
    [anon_sym_u_DQUOTE] = ACTIONS(2012),
    [anon_sym_U_DQUOTE] = ACTIONS(2012),
    [anon_sym_u8_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2014),
    [anon_sym_R_DQUOTE] = ACTIONS(2016),
    [anon_sym_LR_DQUOTE] = ACTIONS(2016),
    [anon_sym_uR_DQUOTE] = ACTIONS(2016),
    [anon_sym_UR_DQUOTE] = ACTIONS(2016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2016),
    [anon_sym_co_await] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1442] = {
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1443] = {
    [sym_expression] = STATE(4492),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1444] = {
    [sym_expression] = STATE(4493),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1445] = {
    [sym_expression] = STATE(2990),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1446] = {
    [sym_expression] = STATE(2984),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1447] = {
    [sym_expression] = STATE(3718),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1448] = {
    [sym_expression] = STATE(3675),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1449] = {
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1450] = {
    [sym_expression] = STATE(4277),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(4823),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1451] = {
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3443),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3443),
    [sym_call_expression] = STATE(3443),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3443),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3443),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3443),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3443),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1452] = {
    [sym_expression] = STATE(2755),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4825),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1453] = {
    [sym_expression] = STATE(4212),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1454] = {
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3565),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3374),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3374),
    [sym_call_expression] = STATE(3374),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_extension_expression] = STATE(3714),
    [sym_field_expression] = STATE(3374),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_char_literal] = STATE(3565),
    [sym_concatenated_string] = STATE(3565),
    [sym_string_literal] = STATE(2338),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7274),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2338),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5565),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3374),
    [sym_qualified_type_identifier] = STATE(7274),
    [sym_user_defined_literal] = STATE(3374),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1455] = {
    [sym_expression] = STATE(3174),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1456] = {
    [sym_expression] = STATE(3176),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1457] = {
    [sym_expression] = STATE(4301),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1458] = {
    [sym_expression] = STATE(4500),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1459] = {
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1460] = {
    [sym_expression] = STATE(4233),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1461] = {
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1462] = {
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1463] = {
    [sym_expression] = STATE(4324),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1464] = {
    [sym_expression] = STATE(3199),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1465] = {
    [sym_expression] = STATE(3175),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1466] = {
    [sym_expression] = STATE(3074),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1467] = {
    [sym_expression] = STATE(3182),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1468] = {
    [sym_expression] = STATE(3183),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1469] = {
    [sym_expression] = STATE(3184),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1470] = {
    [sym_expression] = STATE(3185),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1471] = {
    [sym_expression] = STATE(3186),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1472] = {
    [sym_expression] = STATE(3187),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1473] = {
    [sym_expression] = STATE(3188),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1474] = {
    [sym_expression] = STATE(3189),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1475] = {
    [sym_expression] = STATE(3190),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1476] = {
    [sym_expression] = STATE(3178),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(4827),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1477] = {
    [sym_expression] = STATE(3179),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1478] = {
    [sym_expression] = STATE(3180),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1479] = {
    [sym_expression] = STATE(3191),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1480] = {
    [sym_expression] = STATE(3194),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1481] = {
    [sym_expression] = STATE(3196),
    [sym__string] = STATE(2840),
    [sym_conditional_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2365),
    [sym_pointer_expression] = STATE(2367),
    [sym_unary_expression] = STATE(2365),
    [sym_binary_expression] = STATE(2365),
    [sym_update_expression] = STATE(2365),
    [sym_cast_expression] = STATE(2365),
    [sym_sizeof_expression] = STATE(2365),
    [sym_alignof_expression] = STATE(2365),
    [sym_offsetof_expression] = STATE(2365),
    [sym_generic_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2367),
    [sym_call_expression] = STATE(2367),
    [sym_gnu_asm_expression] = STATE(2365),
    [sym_extension_expression] = STATE(2365),
    [sym_field_expression] = STATE(2367),
    [sym_compound_literal_expression] = STATE(2365),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_char_literal] = STATE(2840),
    [sym_concatenated_string] = STATE(2840),
    [sym_string_literal] = STATE(1875),
    [sym_null] = STATE(2365),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7298),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(2365),
    [sym_raw_string_literal] = STATE(1875),
    [sym_co_await_expression] = STATE(2365),
    [sym_new_expression] = STATE(2365),
    [sym_delete_expression] = STATE(2365),
    [sym_requires_clause] = STATE(2365),
    [sym_requires_expression] = STATE(2365),
    [sym_lambda_expression] = STATE(2365),
    [sym_lambda_capture_specifier] = STATE(5570),
    [sym_fold_expression] = STATE(2365),
    [sym_parameter_pack_expansion] = STATE(2365),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2367),
    [sym_qualified_type_identifier] = STATE(7298),
    [sym_user_defined_literal] = STATE(2367),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4508),
    [anon_sym_PLUS_PLUS] = ACTIONS(4508),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1482] = {
    [sym_expression] = STATE(3046),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1483] = {
    [sym_expression] = STATE(3057),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1484] = {
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1485] = {
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1486] = {
    [sym_expression] = STATE(4235),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(4831),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1487] = {
    [sym_expression] = STATE(3049),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1488] = {
    [sym_expression] = STATE(4237),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1489] = {
    [sym_expression] = STATE(4238),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1490] = {
    [sym_expression] = STATE(4239),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1491] = {
    [sym_expression] = STATE(4240),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1492] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1493] = {
    [sym_expression] = STATE(4242),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1494] = {
    [sym_expression] = STATE(4243),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1495] = {
    [sym_expression] = STATE(4244),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1496] = {
    [sym_expression] = STATE(4245),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1497] = {
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1498] = {
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1499] = {
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1500] = {
    [sym_expression] = STATE(4251),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1501] = {
    [sym_expression] = STATE(4284),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1502] = {
    [sym_expression] = STATE(4286),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1503] = {
    [sym_expression] = STATE(4258),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(4833),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1504] = {
    [sym_expression] = STATE(4290),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3527),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3527),
    [sym_call_expression] = STATE(3527),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3527),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3527),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3527),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3527),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(4514),
    [anon_sym_PLUS_PLUS] = ACTIONS(4514),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1505] = {
    [sym_expression] = STATE(3054),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1506] = {
    [sym_expression] = STATE(3131),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(4835),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1507] = {
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1508] = {
    [sym_expression] = STATE(3062),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1509] = {
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3290),
    [sym_conditional_expression] = STATE(3430),
    [sym_assignment_expression] = STATE(3430),
    [sym_pointer_expression] = STATE(3464),
    [sym_unary_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_update_expression] = STATE(3430),
    [sym_cast_expression] = STATE(3430),
    [sym_sizeof_expression] = STATE(3430),
    [sym_alignof_expression] = STATE(3430),
    [sym_offsetof_expression] = STATE(3430),
    [sym_generic_expression] = STATE(3430),
    [sym_subscript_expression] = STATE(3464),
    [sym_call_expression] = STATE(3464),
    [sym_gnu_asm_expression] = STATE(3430),
    [sym_extension_expression] = STATE(3430),
    [sym_field_expression] = STATE(3464),
    [sym_compound_literal_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3464),
    [sym_char_literal] = STATE(3290),
    [sym_concatenated_string] = STATE(3290),
    [sym_string_literal] = STATE(2237),
    [sym_null] = STATE(3430),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7397),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3430),
    [sym_raw_string_literal] = STATE(2237),
    [sym_co_await_expression] = STATE(3430),
    [sym_new_expression] = STATE(3430),
    [sym_delete_expression] = STATE(3430),
    [sym_requires_clause] = STATE(3430),
    [sym_requires_expression] = STATE(3430),
    [sym_lambda_expression] = STATE(3430),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3430),
    [sym_parameter_pack_expansion] = STATE(3430),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5424),
    [sym_qualified_identifier] = STATE(3464),
    [sym_qualified_type_identifier] = STATE(7397),
    [sym_user_defined_literal] = STATE(3464),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(4837),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1510] = {
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3112),
    [sym_conditional_expression] = STATE(3314),
    [sym_assignment_expression] = STATE(3314),
    [sym_pointer_expression] = STATE(3317),
    [sym_unary_expression] = STATE(3314),
    [sym_binary_expression] = STATE(3314),
    [sym_update_expression] = STATE(3314),
    [sym_cast_expression] = STATE(3314),
    [sym_sizeof_expression] = STATE(3314),
    [sym_alignof_expression] = STATE(3314),
    [sym_offsetof_expression] = STATE(3314),
    [sym_generic_expression] = STATE(3314),
    [sym_subscript_expression] = STATE(3317),
    [sym_call_expression] = STATE(3317),
    [sym_gnu_asm_expression] = STATE(3314),
    [sym_extension_expression] = STATE(3314),
    [sym_field_expression] = STATE(3317),
    [sym_compound_literal_expression] = STATE(3314),
    [sym_parenthesized_expression] = STATE(3317),
    [sym_char_literal] = STATE(3112),
    [sym_concatenated_string] = STATE(3112),
    [sym_string_literal] = STATE(2187),
    [sym_null] = STATE(3314),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7170),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3314),
    [sym_raw_string_literal] = STATE(2187),
    [sym_co_await_expression] = STATE(3314),
    [sym_new_expression] = STATE(3314),
    [sym_delete_expression] = STATE(3314),
    [sym_requires_clause] = STATE(3314),
    [sym_requires_expression] = STATE(3314),
    [sym_lambda_expression] = STATE(3314),
    [sym_lambda_capture_specifier] = STATE(5558),
    [sym_fold_expression] = STATE(3314),
    [sym_parameter_pack_expansion] = STATE(3314),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5298),
    [sym_qualified_identifier] = STATE(3317),
    [sym_qualified_type_identifier] = STATE(7170),
    [sym_user_defined_literal] = STATE(3317),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2405),
    [anon_sym_not] = ACTIONS(1752),
    [anon_sym_compl] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1778),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_sizeof] = ACTIONS(1780),
    [anon_sym___alignof__] = ACTIONS(1782),
    [anon_sym___alignof] = ACTIONS(1782),
    [anon_sym__alignof] = ACTIONS(1782),
    [anon_sym_alignof] = ACTIONS(1782),
    [anon_sym__Alignof] = ACTIONS(1782),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1786),
    [anon_sym_asm] = ACTIONS(1788),
    [anon_sym___asm__] = ACTIONS(1788),
    [anon_sym___asm] = ACTIONS(1788),
    [sym_number_literal] = ACTIONS(1790),
    [anon_sym_L_SQUOTE] = ACTIONS(1792),
    [anon_sym_u_SQUOTE] = ACTIONS(1792),
    [anon_sym_U_SQUOTE] = ACTIONS(1792),
    [anon_sym_u8_SQUOTE] = ACTIONS(1792),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_L_DQUOTE] = ACTIONS(1794),
    [anon_sym_u_DQUOTE] = ACTIONS(1794),
    [anon_sym_U_DQUOTE] = ACTIONS(1794),
    [anon_sym_u8_DQUOTE] = ACTIONS(1794),
    [anon_sym_DQUOTE] = ACTIONS(1794),
    [sym_true] = ACTIONS(1796),
    [sym_false] = ACTIONS(1796),
    [anon_sym_NULL] = ACTIONS(1798),
    [anon_sym_nullptr] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_R_DQUOTE] = ACTIONS(1810),
    [anon_sym_LR_DQUOTE] = ACTIONS(1810),
    [anon_sym_uR_DQUOTE] = ACTIONS(1810),
    [anon_sym_UR_DQUOTE] = ACTIONS(1810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1810),
    [anon_sym_co_await] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_requires] = ACTIONS(1816),
    [sym_this] = ACTIONS(1796),
  },
  [1511] = {
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1512] = {
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1513] = {
    [sym_expression] = STATE(4535),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1514] = {
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(4045),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(3134),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(3134),
    [sym_call_expression] = STATE(3134),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(3134),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(3134),
    [sym_char_literal] = STATE(4045),
    [sym_concatenated_string] = STATE(4045),
    [sym_string_literal] = STATE(2938),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2938),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(3134),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(3134),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1515] = {
    [sym_expression] = STATE(3675),
    [sym__string] = STATE(4022),
    [sym_conditional_expression] = STATE(3802),
    [sym_assignment_expression] = STATE(3802),
    [sym_pointer_expression] = STATE(2789),
    [sym_unary_expression] = STATE(3802),
    [sym_binary_expression] = STATE(3802),
    [sym_update_expression] = STATE(3802),
    [sym_cast_expression] = STATE(3802),
    [sym_sizeof_expression] = STATE(3802),
    [sym_alignof_expression] = STATE(3802),
    [sym_offsetof_expression] = STATE(3802),
    [sym_generic_expression] = STATE(3802),
    [sym_subscript_expression] = STATE(2789),
    [sym_call_expression] = STATE(2789),
    [sym_gnu_asm_expression] = STATE(3802),
    [sym_extension_expression] = STATE(3802),
    [sym_field_expression] = STATE(2789),
    [sym_compound_literal_expression] = STATE(3802),
    [sym_parenthesized_expression] = STATE(2789),
    [sym_char_literal] = STATE(4022),
    [sym_concatenated_string] = STATE(4022),
    [sym_string_literal] = STATE(2862),
    [sym_null] = STATE(3802),
    [sym_decltype] = STATE(7655),
    [sym__class_name] = STATE(7095),
    [sym_template_type] = STATE(2129),
    [sym_template_function] = STATE(3802),
    [sym_raw_string_literal] = STATE(2862),
    [sym_co_await_expression] = STATE(3802),
    [sym_new_expression] = STATE(3802),
    [sym_delete_expression] = STATE(3802),
    [sym_requires_clause] = STATE(3802),
    [sym_requires_expression] = STATE(3802),
    [sym_lambda_expression] = STATE(3802),
    [sym_lambda_capture_specifier] = STATE(5597),
    [sym_fold_expression] = STATE(3802),
    [sym_parameter_pack_expansion] = STATE(3802),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5343),
    [sym_qualified_identifier] = STATE(2789),
    [sym_qualified_type_identifier] = STATE(7095),
    [sym_user_defined_literal] = STATE(2789),
    [sym_identifier] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(4543),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1516] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym___cdecl] = ACTIONS(4839),
    [anon_sym___clrcall] = ACTIONS(4839),
    [anon_sym___stdcall] = ACTIONS(4839),
    [anon_sym___fastcall] = ACTIONS(4839),
    [anon_sym___thiscall] = ACTIONS(4839),
    [anon_sym___vectorcall] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4839),
    [anon_sym_or_eq] = ACTIONS(4839),
    [anon_sym_xor_eq] = ACTIONS(4839),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
  },
  [1517] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
  },
  [1518] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
  },
  [1519] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
  },
  [1520] = {
    [sym_template_argument_list] = STATE(1524),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4869),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4859),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4859),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1521] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym___cdecl] = ACTIONS(4880),
    [anon_sym___clrcall] = ACTIONS(4880),
    [anon_sym___stdcall] = ACTIONS(4880),
    [anon_sym___fastcall] = ACTIONS(4880),
    [anon_sym___thiscall] = ACTIONS(4880),
    [anon_sym___vectorcall] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4880),
    [anon_sym_or_eq] = ACTIONS(4880),
    [anon_sym_xor_eq] = ACTIONS(4880),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4888),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1525] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_ms_call_modifier] = STATE(5937),
    [sym__abstract_declarator] = STATE(6368),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_list] = STATE(3011),
    [sym_parameter_declaration] = STATE(6993),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6993),
    [sym_variadic_parameter_declaration] = STATE(6993),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1762),
    [anon_sym___clrcall] = ACTIONS(1762),
    [anon_sym___stdcall] = ACTIONS(1762),
    [anon_sym___fastcall] = ACTIONS(1762),
    [anon_sym___thiscall] = ACTIONS(1762),
    [anon_sym___vectorcall] = ACTIONS(1762),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1526] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_ms_call_modifier] = STATE(5930),
    [sym__abstract_declarator] = STATE(6401),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_list] = STATE(3011),
    [sym_parameter_declaration] = STATE(6993),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6993),
    [sym_variadic_parameter_declaration] = STATE(6993),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1762),
    [anon_sym___clrcall] = ACTIONS(1762),
    [anon_sym___stdcall] = ACTIONS(1762),
    [anon_sym___fastcall] = ACTIONS(1762),
    [anon_sym___thiscall] = ACTIONS(1762),
    [anon_sym___vectorcall] = ACTIONS(1762),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [sym_number_literal] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [anon_sym___asm] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [1530] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4995),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6252),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_parameter_list] = STATE(790),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(4026),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5422),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [1531] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4986),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6234),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_parameter_list] = STATE(788),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(4026),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5422),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [1532] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(5016),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_parameter_list] = STATE(792),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(4026),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5422),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [1533] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(5006),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6228),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5888),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_parameter_list] = STATE(794),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(4026),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5422),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_type_identifier] = STATE(2995),
    [sym_operator_name] = STATE(5888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [1534] = {
    [sym_template_argument_list] = STATE(1537),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4869),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1535] = {
    [sym_string_literal] = STATE(2082),
    [sym_template_argument_list] = STATE(1644),
    [sym_raw_string_literal] = STATE(2082),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4918),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym___extension__] = ACTIONS(4029),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4921),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4923),
    [anon_sym_unsigned] = ACTIONS(4923),
    [anon_sym_long] = ACTIONS(4923),
    [anon_sym_short] = ACTIONS(4923),
    [anon_sym_LBRACK] = ACTIONS(4051),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4029),
    [anon_sym_volatile] = ACTIONS(4029),
    [anon_sym_restrict] = ACTIONS(4029),
    [anon_sym___restrict__] = ACTIONS(4029),
    [anon_sym__Atomic] = ACTIONS(4029),
    [anon_sym__Noreturn] = ACTIONS(4029),
    [anon_sym_noreturn] = ACTIONS(4029),
    [anon_sym__Nonnull] = ACTIONS(4029),
    [anon_sym_mutable] = ACTIONS(4029),
    [anon_sym_constinit] = ACTIONS(4029),
    [anon_sym_consteval] = ACTIONS(4029),
    [anon_sym_alignas] = ACTIONS(4029),
    [anon_sym__Alignas] = ACTIONS(4029),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4031),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4029),
    [anon_sym_decltype] = ACTIONS(4029),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4023),
  },
  [1536] = {
    [sym_template_argument_list] = STATE(1544),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4880),
    [anon_sym_or_eq] = ACTIONS(4880),
    [anon_sym_xor_eq] = ACTIONS(4880),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4882),
  },
  [1539] = {
    [sym_string_literal] = STATE(2082),
    [sym_template_argument_list] = STATE(1765),
    [sym_raw_string_literal] = STATE(2082),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4932),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym___extension__] = ACTIONS(4029),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4923),
    [anon_sym_unsigned] = ACTIONS(4923),
    [anon_sym_long] = ACTIONS(4923),
    [anon_sym_short] = ACTIONS(4923),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4029),
    [anon_sym_volatile] = ACTIONS(4029),
    [anon_sym_restrict] = ACTIONS(4029),
    [anon_sym___restrict__] = ACTIONS(4029),
    [anon_sym__Atomic] = ACTIONS(4029),
    [anon_sym__Noreturn] = ACTIONS(4029),
    [anon_sym_noreturn] = ACTIONS(4029),
    [anon_sym__Nonnull] = ACTIONS(4029),
    [anon_sym_mutable] = ACTIONS(4029),
    [anon_sym_constinit] = ACTIONS(4029),
    [anon_sym_consteval] = ACTIONS(4029),
    [anon_sym_alignas] = ACTIONS(4029),
    [anon_sym__Alignas] = ACTIONS(4029),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4031),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4029),
    [anon_sym_decltype] = ACTIONS(4029),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4023),
  },
  [1540] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1541] = {
    [sym_template_argument_list] = STATE(1549),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4869),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4839),
    [anon_sym_or_eq] = ACTIONS(4839),
    [anon_sym_xor_eq] = ACTIONS(4839),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4841),
  },
  [1544] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4895),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1546] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1547] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1548] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4853),
    [anon_sym_GT_GT] = ACTIONS(4853),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_try] = ACTIONS(4851),
    [anon_sym_requires] = ACTIONS(4851),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4895),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1550] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4878),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_try] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4874),
    [anon_sym_GT_GT] = ACTIONS(4874),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_try] = ACTIONS(4872),
    [anon_sym_requires] = ACTIONS(4872),
  },
  [1552] = {
    [sym_string_literal] = STATE(3254),
    [sym_template_argument_list] = STATE(2790),
    [sym_raw_string_literal] = STATE(3254),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4031),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4935),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym___extension__] = ACTIONS(4029),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4938),
    [anon_sym_unsigned] = ACTIONS(4938),
    [anon_sym_long] = ACTIONS(4938),
    [anon_sym_short] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4029),
    [anon_sym_volatile] = ACTIONS(4029),
    [anon_sym_restrict] = ACTIONS(4029),
    [anon_sym___restrict__] = ACTIONS(4029),
    [anon_sym__Atomic] = ACTIONS(4029),
    [anon_sym__Noreturn] = ACTIONS(4029),
    [anon_sym_noreturn] = ACTIONS(4029),
    [anon_sym__Nonnull] = ACTIONS(4029),
    [anon_sym_mutable] = ACTIONS(4029),
    [anon_sym_constinit] = ACTIONS(4029),
    [anon_sym_consteval] = ACTIONS(4029),
    [anon_sym_alignas] = ACTIONS(4029),
    [anon_sym__Alignas] = ACTIONS(4029),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4942),
    [anon_sym_SLASH_EQ] = ACTIONS(4942),
    [anon_sym_PERCENT_EQ] = ACTIONS(4942),
    [anon_sym_PLUS_EQ] = ACTIONS(4942),
    [anon_sym_DASH_EQ] = ACTIONS(4942),
    [anon_sym_LT_LT_EQ] = ACTIONS(4942),
    [anon_sym_GT_GT_EQ] = ACTIONS(4940),
    [anon_sym_AMP_EQ] = ACTIONS(4942),
    [anon_sym_CARET_EQ] = ACTIONS(4942),
    [anon_sym_PIPE_EQ] = ACTIONS(4942),
    [anon_sym_and_eq] = ACTIONS(4942),
    [anon_sym_or_eq] = ACTIONS(4942),
    [anon_sym_xor_eq] = ACTIONS(4942),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(4944),
    [anon_sym_u_DQUOTE] = ACTIONS(4944),
    [anon_sym_U_DQUOTE] = ACTIONS(4944),
    [anon_sym_u8_DQUOTE] = ACTIONS(4944),
    [anon_sym_DQUOTE] = ACTIONS(4944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4029),
    [anon_sym_decltype] = ACTIONS(4029),
    [anon_sym_GT2] = ACTIONS(4036),
    [anon_sym_R_DQUOTE] = ACTIONS(4946),
    [anon_sym_LR_DQUOTE] = ACTIONS(4946),
    [anon_sym_uR_DQUOTE] = ACTIONS(4946),
    [anon_sym_UR_DQUOTE] = ACTIONS(4946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4946),
  },
  [1553] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4882),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4882),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4882),
    [anon_sym_GT_GT] = ACTIONS(4882),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym___cdecl] = ACTIONS(4880),
    [anon_sym___clrcall] = ACTIONS(4880),
    [anon_sym___stdcall] = ACTIONS(4880),
    [anon_sym___fastcall] = ACTIONS(4880),
    [anon_sym___thiscall] = ACTIONS(4880),
    [anon_sym___vectorcall] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_final] = ACTIONS(4880),
    [anon_sym_override] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_try] = ACTIONS(4880),
    [anon_sym_requires] = ACTIONS(4880),
  },
  [1554] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4841),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4841),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4841),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4841),
    [anon_sym_GT_GT] = ACTIONS(4841),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym___cdecl] = ACTIONS(4839),
    [anon_sym___clrcall] = ACTIONS(4839),
    [anon_sym___stdcall] = ACTIONS(4839),
    [anon_sym___fastcall] = ACTIONS(4839),
    [anon_sym___thiscall] = ACTIONS(4839),
    [anon_sym___vectorcall] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_final] = ACTIONS(4839),
    [anon_sym_override] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_try] = ACTIONS(4839),
    [anon_sym_requires] = ACTIONS(4839),
  },
  [1555] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4849),
    [anon_sym_GT_GT] = ACTIONS(4849),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_try] = ACTIONS(4847),
    [anon_sym_requires] = ACTIONS(4847),
  },
  [1556] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4845),
    [anon_sym_GT_GT] = ACTIONS(4845),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_try] = ACTIONS(4843),
    [anon_sym_requires] = ACTIONS(4843),
  },
  [1557] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(2866),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(4036),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4033),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4033),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym___extension__] = ACTIONS(4029),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_signed] = ACTIONS(4923),
    [anon_sym_unsigned] = ACTIONS(4923),
    [anon_sym_long] = ACTIONS(4923),
    [anon_sym_short] = ACTIONS(4923),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_constexpr] = ACTIONS(4029),
    [anon_sym_volatile] = ACTIONS(4029),
    [anon_sym_restrict] = ACTIONS(4029),
    [anon_sym___restrict__] = ACTIONS(4029),
    [anon_sym__Atomic] = ACTIONS(4029),
    [anon_sym__Noreturn] = ACTIONS(4029),
    [anon_sym_noreturn] = ACTIONS(4029),
    [anon_sym__Nonnull] = ACTIONS(4029),
    [anon_sym_mutable] = ACTIONS(4029),
    [anon_sym_constinit] = ACTIONS(4029),
    [anon_sym_consteval] = ACTIONS(4029),
    [anon_sym_alignas] = ACTIONS(4029),
    [anon_sym__Alignas] = ACTIONS(4029),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4029),
    [anon_sym_decltype] = ACTIONS(4029),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1558] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4895),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1559] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1560] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1561] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4882),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4841),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [aux_sym_preproc_if_token2] = ACTIONS(4841),
    [aux_sym_preproc_else_token1] = ACTIONS(4841),
    [aux_sym_preproc_elif_token1] = ACTIONS(4839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_RBRACK] = ACTIONS(4841),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4839),
    [anon_sym_or_eq] = ACTIONS(4839),
    [anon_sym_xor_eq] = ACTIONS(4839),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_final] = ACTIONS(4839),
    [anon_sym_override] = ACTIONS(4839),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [aux_sym_preproc_if_token2] = ACTIONS(4853),
    [aux_sym_preproc_else_token1] = ACTIONS(4853),
    [aux_sym_preproc_elif_token1] = ACTIONS(4851),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [aux_sym_preproc_if_token2] = ACTIONS(4845),
    [aux_sym_preproc_else_token1] = ACTIONS(4845),
    [aux_sym_preproc_elif_token1] = ACTIONS(4843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [aux_sym_preproc_if_token2] = ACTIONS(4874),
    [aux_sym_preproc_else_token1] = ACTIONS(4874),
    [aux_sym_preproc_elif_token1] = ACTIONS(4872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_RBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
  },
  [1570] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [aux_sym_preproc_if_token2] = ACTIONS(4849),
    [aux_sym_preproc_else_token1] = ACTIONS(4849),
    [aux_sym_preproc_elif_token1] = ACTIONS(4847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
  },
  [1571] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [aux_sym_preproc_if_token2] = ACTIONS(4882),
    [aux_sym_preproc_else_token1] = ACTIONS(4882),
    [aux_sym_preproc_elif_token1] = ACTIONS(4880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_RBRACK] = ACTIONS(4882),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4880),
    [anon_sym_or_eq] = ACTIONS(4880),
    [anon_sym_xor_eq] = ACTIONS(4880),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_final] = ACTIONS(4880),
    [anon_sym_override] = ACTIONS(4880),
  },
  [1572] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [aux_sym_preproc_if_token2] = ACTIONS(4878),
    [aux_sym_preproc_else_token1] = ACTIONS(4878),
    [aux_sym_preproc_elif_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
  },
  [1573] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4888),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_STAR] = ACTIONS(4891),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4884),
    [anon_sym_unsigned] = ACTIONS(4884),
    [anon_sym_long] = ACTIONS(4884),
    [anon_sym_short] = ACTIONS(4884),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [sym_primitive_type] = ACTIONS(4884),
    [anon_sym_enum] = ACTIONS(4884),
    [anon_sym_class] = ACTIONS(4884),
    [anon_sym_struct] = ACTIONS(4884),
    [anon_sym_union] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_asm] = ACTIONS(4884),
    [anon_sym___asm__] = ACTIONS(4884),
    [anon_sym___asm] = ACTIONS(4884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
    [anon_sym_explicit] = ACTIONS(4884),
    [anon_sym_typename] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_GT2] = ACTIONS(4891),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_try] = ACTIONS(4884),
    [anon_sym_friend] = ACTIONS(4884),
    [anon_sym_using] = ACTIONS(4884),
    [anon_sym_concept] = ACTIONS(4884),
    [anon_sym_requires] = ACTIONS(4884),
  },
  [1575] = {
    [sym_function_definition] = STATE(617),
    [sym_declaration] = STATE(617),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1883),
    [sym_declaration_list] = STATE(617),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4955),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1576] = {
    [sym_function_definition] = STATE(349),
    [sym_declaration] = STATE(349),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1871),
    [sym_declaration_list] = STATE(349),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4957),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1577] = {
    [sym_function_definition] = STATE(604),
    [sym_declaration] = STATE(604),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1878),
    [sym_declaration_list] = STATE(604),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4959),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1578] = {
    [sym_function_definition] = STATE(702),
    [sym_declaration] = STATE(702),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1853),
    [sym_declaration_list] = STATE(702),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4961),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1579] = {
    [sym_identifier] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4965),
    [anon_sym_RPAREN] = ACTIONS(4965),
    [anon_sym_LPAREN2] = ACTIONS(4965),
    [anon_sym_TILDE] = ACTIONS(4965),
    [anon_sym_STAR] = ACTIONS(4965),
    [anon_sym_PIPE_PIPE] = ACTIONS(4965),
    [anon_sym_AMP_AMP] = ACTIONS(4965),
    [anon_sym_AMP] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(4965),
    [anon_sym___extension__] = ACTIONS(4963),
    [anon_sym_virtual] = ACTIONS(4963),
    [anon_sym_extern] = ACTIONS(4963),
    [anon_sym___attribute__] = ACTIONS(4963),
    [anon_sym_COLON_COLON] = ACTIONS(4965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4965),
    [anon_sym___declspec] = ACTIONS(4963),
    [anon_sym___based] = ACTIONS(4963),
    [anon_sym___cdecl] = ACTIONS(4963),
    [anon_sym___clrcall] = ACTIONS(4963),
    [anon_sym___stdcall] = ACTIONS(4963),
    [anon_sym___fastcall] = ACTIONS(4963),
    [anon_sym___thiscall] = ACTIONS(4963),
    [anon_sym___vectorcall] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(4965),
    [anon_sym_signed] = ACTIONS(4963),
    [anon_sym_unsigned] = ACTIONS(4963),
    [anon_sym_long] = ACTIONS(4963),
    [anon_sym_short] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_static] = ACTIONS(4963),
    [anon_sym_EQ] = ACTIONS(4965),
    [anon_sym_register] = ACTIONS(4963),
    [anon_sym_inline] = ACTIONS(4963),
    [anon_sym___inline] = ACTIONS(4963),
    [anon_sym___inline__] = ACTIONS(4963),
    [anon_sym___forceinline] = ACTIONS(4963),
    [anon_sym_thread_local] = ACTIONS(4963),
    [anon_sym___thread] = ACTIONS(4963),
    [anon_sym_const] = ACTIONS(4963),
    [anon_sym_constexpr] = ACTIONS(4963),
    [anon_sym_volatile] = ACTIONS(4963),
    [anon_sym_restrict] = ACTIONS(4963),
    [anon_sym___restrict__] = ACTIONS(4963),
    [anon_sym__Atomic] = ACTIONS(4963),
    [anon_sym__Noreturn] = ACTIONS(4963),
    [anon_sym_noreturn] = ACTIONS(4963),
    [anon_sym__Nonnull] = ACTIONS(4963),
    [anon_sym_mutable] = ACTIONS(4963),
    [anon_sym_constinit] = ACTIONS(4963),
    [anon_sym_consteval] = ACTIONS(4963),
    [anon_sym_alignas] = ACTIONS(4963),
    [anon_sym__Alignas] = ACTIONS(4963),
    [sym_primitive_type] = ACTIONS(4963),
    [anon_sym_enum] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_struct] = ACTIONS(4963),
    [anon_sym_union] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_asm] = ACTIONS(4963),
    [anon_sym___asm__] = ACTIONS(4963),
    [anon_sym___asm] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4963),
    [anon_sym_decltype] = ACTIONS(4963),
    [anon_sym_final] = ACTIONS(4963),
    [anon_sym_override] = ACTIONS(4963),
    [anon_sym_explicit] = ACTIONS(4963),
    [anon_sym_typename] = ACTIONS(4963),
    [anon_sym_template] = ACTIONS(4963),
    [anon_sym_GT2] = ACTIONS(4965),
    [anon_sym_operator] = ACTIONS(4963),
    [anon_sym_try] = ACTIONS(4963),
    [anon_sym_friend] = ACTIONS(4963),
    [anon_sym_using] = ACTIONS(4963),
    [anon_sym_concept] = ACTIONS(4963),
    [anon_sym_requires] = ACTIONS(4963),
  },
  [1580] = {
    [sym_function_definition] = STATE(1890),
    [sym_declaration] = STATE(1890),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4521),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1851),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(8133),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4969),
    [anon_sym_struct] = ACTIONS(4971),
    [anon_sym_union] = ACTIONS(4973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1581] = {
    [sym_function_definition] = STATE(569),
    [sym_declaration] = STATE(569),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1878),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7479),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_struct] = ACTIONS(4977),
    [anon_sym_union] = ACTIONS(4979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1582] = {
    [sym_identifier] = ACTIONS(4981),
    [anon_sym_COMMA] = ACTIONS(4983),
    [anon_sym_RPAREN] = ACTIONS(4983),
    [anon_sym_LPAREN2] = ACTIONS(4983),
    [anon_sym_TILDE] = ACTIONS(4983),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_PIPE_PIPE] = ACTIONS(4983),
    [anon_sym_AMP_AMP] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4981),
    [anon_sym_SEMI] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4981),
    [anon_sym_virtual] = ACTIONS(4981),
    [anon_sym_extern] = ACTIONS(4981),
    [anon_sym___attribute__] = ACTIONS(4981),
    [anon_sym_COLON_COLON] = ACTIONS(4983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4983),
    [anon_sym___declspec] = ACTIONS(4981),
    [anon_sym___based] = ACTIONS(4981),
    [anon_sym___cdecl] = ACTIONS(4981),
    [anon_sym___clrcall] = ACTIONS(4981),
    [anon_sym___stdcall] = ACTIONS(4981),
    [anon_sym___fastcall] = ACTIONS(4981),
    [anon_sym___thiscall] = ACTIONS(4981),
    [anon_sym___vectorcall] = ACTIONS(4981),
    [anon_sym_LBRACE] = ACTIONS(4983),
    [anon_sym_signed] = ACTIONS(4981),
    [anon_sym_unsigned] = ACTIONS(4981),
    [anon_sym_long] = ACTIONS(4981),
    [anon_sym_short] = ACTIONS(4981),
    [anon_sym_LBRACK] = ACTIONS(4981),
    [anon_sym_static] = ACTIONS(4981),
    [anon_sym_EQ] = ACTIONS(4983),
    [anon_sym_register] = ACTIONS(4981),
    [anon_sym_inline] = ACTIONS(4981),
    [anon_sym___inline] = ACTIONS(4981),
    [anon_sym___inline__] = ACTIONS(4981),
    [anon_sym___forceinline] = ACTIONS(4981),
    [anon_sym_thread_local] = ACTIONS(4981),
    [anon_sym___thread] = ACTIONS(4981),
    [anon_sym_const] = ACTIONS(4981),
    [anon_sym_constexpr] = ACTIONS(4981),
    [anon_sym_volatile] = ACTIONS(4981),
    [anon_sym_restrict] = ACTIONS(4981),
    [anon_sym___restrict__] = ACTIONS(4981),
    [anon_sym__Atomic] = ACTIONS(4981),
    [anon_sym__Noreturn] = ACTIONS(4981),
    [anon_sym_noreturn] = ACTIONS(4981),
    [anon_sym__Nonnull] = ACTIONS(4981),
    [anon_sym_mutable] = ACTIONS(4981),
    [anon_sym_constinit] = ACTIONS(4981),
    [anon_sym_consteval] = ACTIONS(4981),
    [anon_sym_alignas] = ACTIONS(4981),
    [anon_sym__Alignas] = ACTIONS(4981),
    [sym_primitive_type] = ACTIONS(4981),
    [anon_sym_enum] = ACTIONS(4981),
    [anon_sym_class] = ACTIONS(4981),
    [anon_sym_struct] = ACTIONS(4981),
    [anon_sym_union] = ACTIONS(4981),
    [anon_sym_or] = ACTIONS(4981),
    [anon_sym_and] = ACTIONS(4981),
    [anon_sym_asm] = ACTIONS(4981),
    [anon_sym___asm__] = ACTIONS(4981),
    [anon_sym___asm] = ACTIONS(4981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4981),
    [anon_sym_decltype] = ACTIONS(4981),
    [anon_sym_final] = ACTIONS(4981),
    [anon_sym_override] = ACTIONS(4981),
    [anon_sym_explicit] = ACTIONS(4981),
    [anon_sym_typename] = ACTIONS(4981),
    [anon_sym_template] = ACTIONS(4981),
    [anon_sym_GT2] = ACTIONS(4983),
    [anon_sym_operator] = ACTIONS(4981),
    [anon_sym_try] = ACTIONS(4981),
    [anon_sym_friend] = ACTIONS(4981),
    [anon_sym_using] = ACTIONS(4981),
    [anon_sym_concept] = ACTIONS(4981),
    [anon_sym_requires] = ACTIONS(4981),
  },
  [1583] = {
    [sym_identifier] = ACTIONS(4985),
    [anon_sym_COMMA] = ACTIONS(4987),
    [anon_sym_RPAREN] = ACTIONS(4987),
    [anon_sym_LPAREN2] = ACTIONS(4987),
    [anon_sym_TILDE] = ACTIONS(4987),
    [anon_sym_STAR] = ACTIONS(4987),
    [anon_sym_PIPE_PIPE] = ACTIONS(4987),
    [anon_sym_AMP_AMP] = ACTIONS(4987),
    [anon_sym_AMP] = ACTIONS(4985),
    [anon_sym_SEMI] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(4985),
    [anon_sym_virtual] = ACTIONS(4985),
    [anon_sym_extern] = ACTIONS(4985),
    [anon_sym___attribute__] = ACTIONS(4985),
    [anon_sym_COLON_COLON] = ACTIONS(4987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4987),
    [anon_sym___declspec] = ACTIONS(4985),
    [anon_sym___based] = ACTIONS(4985),
    [anon_sym___cdecl] = ACTIONS(4985),
    [anon_sym___clrcall] = ACTIONS(4985),
    [anon_sym___stdcall] = ACTIONS(4985),
    [anon_sym___fastcall] = ACTIONS(4985),
    [anon_sym___thiscall] = ACTIONS(4985),
    [anon_sym___vectorcall] = ACTIONS(4985),
    [anon_sym_LBRACE] = ACTIONS(4987),
    [anon_sym_signed] = ACTIONS(4985),
    [anon_sym_unsigned] = ACTIONS(4985),
    [anon_sym_long] = ACTIONS(4985),
    [anon_sym_short] = ACTIONS(4985),
    [anon_sym_LBRACK] = ACTIONS(4985),
    [anon_sym_static] = ACTIONS(4985),
    [anon_sym_EQ] = ACTIONS(4987),
    [anon_sym_register] = ACTIONS(4985),
    [anon_sym_inline] = ACTIONS(4985),
    [anon_sym___inline] = ACTIONS(4985),
    [anon_sym___inline__] = ACTIONS(4985),
    [anon_sym___forceinline] = ACTIONS(4985),
    [anon_sym_thread_local] = ACTIONS(4985),
    [anon_sym___thread] = ACTIONS(4985),
    [anon_sym_const] = ACTIONS(4985),
    [anon_sym_constexpr] = ACTIONS(4985),
    [anon_sym_volatile] = ACTIONS(4985),
    [anon_sym_restrict] = ACTIONS(4985),
    [anon_sym___restrict__] = ACTIONS(4985),
    [anon_sym__Atomic] = ACTIONS(4985),
    [anon_sym__Noreturn] = ACTIONS(4985),
    [anon_sym_noreturn] = ACTIONS(4985),
    [anon_sym__Nonnull] = ACTIONS(4985),
    [anon_sym_mutable] = ACTIONS(4985),
    [anon_sym_constinit] = ACTIONS(4985),
    [anon_sym_consteval] = ACTIONS(4985),
    [anon_sym_alignas] = ACTIONS(4985),
    [anon_sym__Alignas] = ACTIONS(4985),
    [sym_primitive_type] = ACTIONS(4985),
    [anon_sym_enum] = ACTIONS(4985),
    [anon_sym_class] = ACTIONS(4985),
    [anon_sym_struct] = ACTIONS(4985),
    [anon_sym_union] = ACTIONS(4985),
    [anon_sym_or] = ACTIONS(4985),
    [anon_sym_and] = ACTIONS(4985),
    [anon_sym_asm] = ACTIONS(4985),
    [anon_sym___asm__] = ACTIONS(4985),
    [anon_sym___asm] = ACTIONS(4985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4985),
    [anon_sym_decltype] = ACTIONS(4985),
    [anon_sym_final] = ACTIONS(4985),
    [anon_sym_override] = ACTIONS(4985),
    [anon_sym_explicit] = ACTIONS(4985),
    [anon_sym_typename] = ACTIONS(4985),
    [anon_sym_template] = ACTIONS(4985),
    [anon_sym_GT2] = ACTIONS(4987),
    [anon_sym_operator] = ACTIONS(4985),
    [anon_sym_try] = ACTIONS(4985),
    [anon_sym_friend] = ACTIONS(4985),
    [anon_sym_using] = ACTIONS(4985),
    [anon_sym_concept] = ACTIONS(4985),
    [anon_sym_requires] = ACTIONS(4985),
  },
  [1584] = {
    [sym_identifier] = ACTIONS(4989),
    [anon_sym_COMMA] = ACTIONS(4991),
    [anon_sym_RPAREN] = ACTIONS(4991),
    [anon_sym_LPAREN2] = ACTIONS(4991),
    [anon_sym_TILDE] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4991),
    [anon_sym_AMP_AMP] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4989),
    [anon_sym_SEMI] = ACTIONS(4991),
    [anon_sym___extension__] = ACTIONS(4989),
    [anon_sym_virtual] = ACTIONS(4989),
    [anon_sym_extern] = ACTIONS(4989),
    [anon_sym___attribute__] = ACTIONS(4989),
    [anon_sym_COLON_COLON] = ACTIONS(4991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4991),
    [anon_sym___declspec] = ACTIONS(4989),
    [anon_sym___based] = ACTIONS(4989),
    [anon_sym___cdecl] = ACTIONS(4989),
    [anon_sym___clrcall] = ACTIONS(4989),
    [anon_sym___stdcall] = ACTIONS(4989),
    [anon_sym___fastcall] = ACTIONS(4989),
    [anon_sym___thiscall] = ACTIONS(4989),
    [anon_sym___vectorcall] = ACTIONS(4989),
    [anon_sym_LBRACE] = ACTIONS(4991),
    [anon_sym_signed] = ACTIONS(4989),
    [anon_sym_unsigned] = ACTIONS(4989),
    [anon_sym_long] = ACTIONS(4989),
    [anon_sym_short] = ACTIONS(4989),
    [anon_sym_LBRACK] = ACTIONS(4989),
    [anon_sym_static] = ACTIONS(4989),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_register] = ACTIONS(4989),
    [anon_sym_inline] = ACTIONS(4989),
    [anon_sym___inline] = ACTIONS(4989),
    [anon_sym___inline__] = ACTIONS(4989),
    [anon_sym___forceinline] = ACTIONS(4989),
    [anon_sym_thread_local] = ACTIONS(4989),
    [anon_sym___thread] = ACTIONS(4989),
    [anon_sym_const] = ACTIONS(4989),
    [anon_sym_constexpr] = ACTIONS(4989),
    [anon_sym_volatile] = ACTIONS(4989),
    [anon_sym_restrict] = ACTIONS(4989),
    [anon_sym___restrict__] = ACTIONS(4989),
    [anon_sym__Atomic] = ACTIONS(4989),
    [anon_sym__Noreturn] = ACTIONS(4989),
    [anon_sym_noreturn] = ACTIONS(4989),
    [anon_sym__Nonnull] = ACTIONS(4989),
    [anon_sym_mutable] = ACTIONS(4989),
    [anon_sym_constinit] = ACTIONS(4989),
    [anon_sym_consteval] = ACTIONS(4989),
    [anon_sym_alignas] = ACTIONS(4989),
    [anon_sym__Alignas] = ACTIONS(4989),
    [sym_primitive_type] = ACTIONS(4989),
    [anon_sym_enum] = ACTIONS(4989),
    [anon_sym_class] = ACTIONS(4989),
    [anon_sym_struct] = ACTIONS(4989),
    [anon_sym_union] = ACTIONS(4989),
    [anon_sym_or] = ACTIONS(4989),
    [anon_sym_and] = ACTIONS(4989),
    [anon_sym_asm] = ACTIONS(4989),
    [anon_sym___asm__] = ACTIONS(4989),
    [anon_sym___asm] = ACTIONS(4989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4989),
    [anon_sym_decltype] = ACTIONS(4989),
    [anon_sym_final] = ACTIONS(4989),
    [anon_sym_override] = ACTIONS(4989),
    [anon_sym_explicit] = ACTIONS(4989),
    [anon_sym_typename] = ACTIONS(4989),
    [anon_sym_template] = ACTIONS(4989),
    [anon_sym_GT2] = ACTIONS(4991),
    [anon_sym_operator] = ACTIONS(4989),
    [anon_sym_try] = ACTIONS(4989),
    [anon_sym_friend] = ACTIONS(4989),
    [anon_sym_using] = ACTIONS(4989),
    [anon_sym_concept] = ACTIONS(4989),
    [anon_sym_requires] = ACTIONS(4989),
  },
  [1585] = {
    [sym_identifier] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4995),
    [anon_sym_RPAREN] = ACTIONS(4995),
    [anon_sym_LPAREN2] = ACTIONS(4995),
    [anon_sym_TILDE] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_PIPE_PIPE] = ACTIONS(4995),
    [anon_sym_AMP_AMP] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4993),
    [anon_sym_SEMI] = ACTIONS(4995),
    [anon_sym___extension__] = ACTIONS(4993),
    [anon_sym_virtual] = ACTIONS(4993),
    [anon_sym_extern] = ACTIONS(4993),
    [anon_sym___attribute__] = ACTIONS(4993),
    [anon_sym_COLON_COLON] = ACTIONS(4995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4995),
    [anon_sym___declspec] = ACTIONS(4993),
    [anon_sym___based] = ACTIONS(4993),
    [anon_sym___cdecl] = ACTIONS(4993),
    [anon_sym___clrcall] = ACTIONS(4993),
    [anon_sym___stdcall] = ACTIONS(4993),
    [anon_sym___fastcall] = ACTIONS(4993),
    [anon_sym___thiscall] = ACTIONS(4993),
    [anon_sym___vectorcall] = ACTIONS(4993),
    [anon_sym_LBRACE] = ACTIONS(4995),
    [anon_sym_signed] = ACTIONS(4993),
    [anon_sym_unsigned] = ACTIONS(4993),
    [anon_sym_long] = ACTIONS(4993),
    [anon_sym_short] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_static] = ACTIONS(4993),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_register] = ACTIONS(4993),
    [anon_sym_inline] = ACTIONS(4993),
    [anon_sym___inline] = ACTIONS(4993),
    [anon_sym___inline__] = ACTIONS(4993),
    [anon_sym___forceinline] = ACTIONS(4993),
    [anon_sym_thread_local] = ACTIONS(4993),
    [anon_sym___thread] = ACTIONS(4993),
    [anon_sym_const] = ACTIONS(4993),
    [anon_sym_constexpr] = ACTIONS(4993),
    [anon_sym_volatile] = ACTIONS(4993),
    [anon_sym_restrict] = ACTIONS(4993),
    [anon_sym___restrict__] = ACTIONS(4993),
    [anon_sym__Atomic] = ACTIONS(4993),
    [anon_sym__Noreturn] = ACTIONS(4993),
    [anon_sym_noreturn] = ACTIONS(4993),
    [anon_sym__Nonnull] = ACTIONS(4993),
    [anon_sym_mutable] = ACTIONS(4993),
    [anon_sym_constinit] = ACTIONS(4993),
    [anon_sym_consteval] = ACTIONS(4993),
    [anon_sym_alignas] = ACTIONS(4993),
    [anon_sym__Alignas] = ACTIONS(4993),
    [sym_primitive_type] = ACTIONS(4993),
    [anon_sym_enum] = ACTIONS(4993),
    [anon_sym_class] = ACTIONS(4993),
    [anon_sym_struct] = ACTIONS(4993),
    [anon_sym_union] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4993),
    [anon_sym_and] = ACTIONS(4993),
    [anon_sym_asm] = ACTIONS(4993),
    [anon_sym___asm__] = ACTIONS(4993),
    [anon_sym___asm] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4993),
    [anon_sym_decltype] = ACTIONS(4993),
    [anon_sym_final] = ACTIONS(4993),
    [anon_sym_override] = ACTIONS(4993),
    [anon_sym_explicit] = ACTIONS(4993),
    [anon_sym_typename] = ACTIONS(4993),
    [anon_sym_template] = ACTIONS(4993),
    [anon_sym_GT2] = ACTIONS(4995),
    [anon_sym_operator] = ACTIONS(4993),
    [anon_sym_try] = ACTIONS(4993),
    [anon_sym_friend] = ACTIONS(4993),
    [anon_sym_using] = ACTIONS(4993),
    [anon_sym_concept] = ACTIONS(4993),
    [anon_sym_requires] = ACTIONS(4993),
  },
  [1586] = {
    [sym_identifier] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_RPAREN] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4997),
    [anon_sym_SEMI] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym_virtual] = ACTIONS(4997),
    [anon_sym_extern] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4997),
    [anon_sym___cdecl] = ACTIONS(4997),
    [anon_sym___clrcall] = ACTIONS(4997),
    [anon_sym___stdcall] = ACTIONS(4997),
    [anon_sym___fastcall] = ACTIONS(4997),
    [anon_sym___thiscall] = ACTIONS(4997),
    [anon_sym___vectorcall] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_static] = ACTIONS(4997),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_register] = ACTIONS(4997),
    [anon_sym_inline] = ACTIONS(4997),
    [anon_sym___inline] = ACTIONS(4997),
    [anon_sym___inline__] = ACTIONS(4997),
    [anon_sym___forceinline] = ACTIONS(4997),
    [anon_sym_thread_local] = ACTIONS(4997),
    [anon_sym___thread] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4997),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym__Nonnull] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_alignas] = ACTIONS(4997),
    [anon_sym__Alignas] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(4997),
    [anon_sym_enum] = ACTIONS(4997),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4997),
    [anon_sym_union] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4997),
    [anon_sym_and] = ACTIONS(4997),
    [anon_sym_asm] = ACTIONS(4997),
    [anon_sym___asm__] = ACTIONS(4997),
    [anon_sym___asm] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [anon_sym_final] = ACTIONS(4997),
    [anon_sym_override] = ACTIONS(4997),
    [anon_sym_explicit] = ACTIONS(4997),
    [anon_sym_typename] = ACTIONS(4997),
    [anon_sym_template] = ACTIONS(4997),
    [anon_sym_GT2] = ACTIONS(4999),
    [anon_sym_operator] = ACTIONS(4997),
    [anon_sym_try] = ACTIONS(4997),
    [anon_sym_friend] = ACTIONS(4997),
    [anon_sym_using] = ACTIONS(4997),
    [anon_sym_concept] = ACTIONS(4997),
    [anon_sym_requires] = ACTIONS(4997),
  },
  [1587] = {
    [sym_identifier] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5003),
    [anon_sym_RPAREN] = ACTIONS(5003),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_PIPE_PIPE] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym_SEMI] = ACTIONS(5003),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_virtual] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym___cdecl] = ACTIONS(5001),
    [anon_sym___clrcall] = ACTIONS(5001),
    [anon_sym___stdcall] = ACTIONS(5001),
    [anon_sym___fastcall] = ACTIONS(5001),
    [anon_sym___thiscall] = ACTIONS(5001),
    [anon_sym___vectorcall] = ACTIONS(5001),
    [anon_sym_LBRACE] = ACTIONS(5003),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym__Nonnull] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(5001),
    [anon_sym_and] = ACTIONS(5001),
    [anon_sym_asm] = ACTIONS(5001),
    [anon_sym___asm__] = ACTIONS(5001),
    [anon_sym___asm] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [anon_sym_final] = ACTIONS(5001),
    [anon_sym_override] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_GT2] = ACTIONS(5003),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_try] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_concept] = ACTIONS(5001),
    [anon_sym_requires] = ACTIONS(5001),
  },
  [1588] = {
    [sym_function_definition] = STATE(698),
    [sym_declaration] = STATE(698),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(8010),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5005),
    [anon_sym_struct] = ACTIONS(5007),
    [anon_sym_union] = ACTIONS(5009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1589] = {
    [sym_identifier] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_TILDE] = ACTIONS(5013),
    [anon_sym_STAR] = ACTIONS(5013),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_SEMI] = ACTIONS(5013),
    [anon_sym___extension__] = ACTIONS(5011),
    [anon_sym_virtual] = ACTIONS(5011),
    [anon_sym_extern] = ACTIONS(5011),
    [anon_sym___attribute__] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5013),
    [anon_sym___declspec] = ACTIONS(5011),
    [anon_sym___based] = ACTIONS(5011),
    [anon_sym___cdecl] = ACTIONS(5011),
    [anon_sym___clrcall] = ACTIONS(5011),
    [anon_sym___stdcall] = ACTIONS(5011),
    [anon_sym___fastcall] = ACTIONS(5011),
    [anon_sym___thiscall] = ACTIONS(5011),
    [anon_sym___vectorcall] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_signed] = ACTIONS(5011),
    [anon_sym_unsigned] = ACTIONS(5011),
    [anon_sym_long] = ACTIONS(5011),
    [anon_sym_short] = ACTIONS(5011),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_static] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5013),
    [anon_sym_register] = ACTIONS(5011),
    [anon_sym_inline] = ACTIONS(5011),
    [anon_sym___inline] = ACTIONS(5011),
    [anon_sym___inline__] = ACTIONS(5011),
    [anon_sym___forceinline] = ACTIONS(5011),
    [anon_sym_thread_local] = ACTIONS(5011),
    [anon_sym___thread] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5011),
    [anon_sym_volatile] = ACTIONS(5011),
    [anon_sym_restrict] = ACTIONS(5011),
    [anon_sym___restrict__] = ACTIONS(5011),
    [anon_sym__Atomic] = ACTIONS(5011),
    [anon_sym__Noreturn] = ACTIONS(5011),
    [anon_sym_noreturn] = ACTIONS(5011),
    [anon_sym__Nonnull] = ACTIONS(5011),
    [anon_sym_mutable] = ACTIONS(5011),
    [anon_sym_constinit] = ACTIONS(5011),
    [anon_sym_consteval] = ACTIONS(5011),
    [anon_sym_alignas] = ACTIONS(5011),
    [anon_sym__Alignas] = ACTIONS(5011),
    [sym_primitive_type] = ACTIONS(5011),
    [anon_sym_enum] = ACTIONS(5011),
    [anon_sym_class] = ACTIONS(5011),
    [anon_sym_struct] = ACTIONS(5011),
    [anon_sym_union] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_asm] = ACTIONS(5011),
    [anon_sym___asm__] = ACTIONS(5011),
    [anon_sym___asm] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5011),
    [anon_sym_decltype] = ACTIONS(5011),
    [anon_sym_final] = ACTIONS(5011),
    [anon_sym_override] = ACTIONS(5011),
    [anon_sym_explicit] = ACTIONS(5011),
    [anon_sym_typename] = ACTIONS(5011),
    [anon_sym_template] = ACTIONS(5011),
    [anon_sym_GT2] = ACTIONS(5013),
    [anon_sym_operator] = ACTIONS(5011),
    [anon_sym_try] = ACTIONS(5011),
    [anon_sym_friend] = ACTIONS(5011),
    [anon_sym_using] = ACTIONS(5011),
    [anon_sym_concept] = ACTIONS(5011),
    [anon_sym_requires] = ACTIONS(5011),
  },
  [1590] = {
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_TILDE] = ACTIONS(5017),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_SEMI] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym_virtual] = ACTIONS(5015),
    [anon_sym_extern] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5017),
    [anon_sym___declspec] = ACTIONS(5015),
    [anon_sym___based] = ACTIONS(5015),
    [anon_sym___cdecl] = ACTIONS(5015),
    [anon_sym___clrcall] = ACTIONS(5015),
    [anon_sym___stdcall] = ACTIONS(5015),
    [anon_sym___fastcall] = ACTIONS(5015),
    [anon_sym___thiscall] = ACTIONS(5015),
    [anon_sym___vectorcall] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_signed] = ACTIONS(5015),
    [anon_sym_unsigned] = ACTIONS(5015),
    [anon_sym_long] = ACTIONS(5015),
    [anon_sym_short] = ACTIONS(5015),
    [anon_sym_LBRACK] = ACTIONS(5015),
    [anon_sym_static] = ACTIONS(5015),
    [anon_sym_EQ] = ACTIONS(5017),
    [anon_sym_register] = ACTIONS(5015),
    [anon_sym_inline] = ACTIONS(5015),
    [anon_sym___inline] = ACTIONS(5015),
    [anon_sym___inline__] = ACTIONS(5015),
    [anon_sym___forceinline] = ACTIONS(5015),
    [anon_sym_thread_local] = ACTIONS(5015),
    [anon_sym___thread] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym__Nonnull] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [anon_sym_alignas] = ACTIONS(5015),
    [anon_sym__Alignas] = ACTIONS(5015),
    [sym_primitive_type] = ACTIONS(5015),
    [anon_sym_enum] = ACTIONS(5015),
    [anon_sym_class] = ACTIONS(5015),
    [anon_sym_struct] = ACTIONS(5015),
    [anon_sym_union] = ACTIONS(5015),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_asm] = ACTIONS(5015),
    [anon_sym___asm__] = ACTIONS(5015),
    [anon_sym___asm] = ACTIONS(5015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_final] = ACTIONS(5015),
    [anon_sym_override] = ACTIONS(5015),
    [anon_sym_explicit] = ACTIONS(5015),
    [anon_sym_typename] = ACTIONS(5015),
    [anon_sym_template] = ACTIONS(5015),
    [anon_sym_GT2] = ACTIONS(5017),
    [anon_sym_operator] = ACTIONS(5015),
    [anon_sym_try] = ACTIONS(5015),
    [anon_sym_friend] = ACTIONS(5015),
    [anon_sym_using] = ACTIONS(5015),
    [anon_sym_concept] = ACTIONS(5015),
    [anon_sym_requires] = ACTIONS(5015),
  },
  [1591] = {
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_RPAREN] = ACTIONS(5021),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_TILDE] = ACTIONS(5021),
    [anon_sym_STAR] = ACTIONS(5021),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5021),
    [anon_sym_AMP] = ACTIONS(5019),
    [anon_sym_SEMI] = ACTIONS(5021),
    [anon_sym___extension__] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(5021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5021),
    [anon_sym___declspec] = ACTIONS(5019),
    [anon_sym___based] = ACTIONS(5019),
    [anon_sym___cdecl] = ACTIONS(5019),
    [anon_sym___clrcall] = ACTIONS(5019),
    [anon_sym___stdcall] = ACTIONS(5019),
    [anon_sym___fastcall] = ACTIONS(5019),
    [anon_sym___thiscall] = ACTIONS(5019),
    [anon_sym___vectorcall] = ACTIONS(5019),
    [anon_sym_LBRACE] = ACTIONS(5021),
    [anon_sym_signed] = ACTIONS(5019),
    [anon_sym_unsigned] = ACTIONS(5019),
    [anon_sym_long] = ACTIONS(5019),
    [anon_sym_short] = ACTIONS(5019),
    [anon_sym_LBRACK] = ACTIONS(5019),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_EQ] = ACTIONS(5021),
    [anon_sym_register] = ACTIONS(5019),
    [anon_sym_inline] = ACTIONS(5019),
    [anon_sym___inline] = ACTIONS(5019),
    [anon_sym___inline__] = ACTIONS(5019),
    [anon_sym___forceinline] = ACTIONS(5019),
    [anon_sym_thread_local] = ACTIONS(5019),
    [anon_sym___thread] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_restrict] = ACTIONS(5019),
    [anon_sym___restrict__] = ACTIONS(5019),
    [anon_sym__Atomic] = ACTIONS(5019),
    [anon_sym__Noreturn] = ACTIONS(5019),
    [anon_sym_noreturn] = ACTIONS(5019),
    [anon_sym__Nonnull] = ACTIONS(5019),
    [anon_sym_mutable] = ACTIONS(5019),
    [anon_sym_constinit] = ACTIONS(5019),
    [anon_sym_consteval] = ACTIONS(5019),
    [anon_sym_alignas] = ACTIONS(5019),
    [anon_sym__Alignas] = ACTIONS(5019),
    [sym_primitive_type] = ACTIONS(5019),
    [anon_sym_enum] = ACTIONS(5019),
    [anon_sym_class] = ACTIONS(5019),
    [anon_sym_struct] = ACTIONS(5019),
    [anon_sym_union] = ACTIONS(5019),
    [anon_sym_or] = ACTIONS(5019),
    [anon_sym_and] = ACTIONS(5019),
    [anon_sym_asm] = ACTIONS(5019),
    [anon_sym___asm__] = ACTIONS(5019),
    [anon_sym___asm] = ACTIONS(5019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_final] = ACTIONS(5019),
    [anon_sym_override] = ACTIONS(5019),
    [anon_sym_explicit] = ACTIONS(5019),
    [anon_sym_typename] = ACTIONS(5019),
    [anon_sym_template] = ACTIONS(5019),
    [anon_sym_GT2] = ACTIONS(5021),
    [anon_sym_operator] = ACTIONS(5019),
    [anon_sym_try] = ACTIONS(5019),
    [anon_sym_friend] = ACTIONS(5019),
    [anon_sym_using] = ACTIONS(5019),
    [anon_sym_concept] = ACTIONS(5019),
    [anon_sym_requires] = ACTIONS(5019),
  },
  [1592] = {
    [sym_function_definition] = STATE(1707),
    [sym_declaration] = STATE(1707),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1874),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7950),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5023),
    [anon_sym_struct] = ACTIONS(5025),
    [anon_sym_union] = ACTIONS(5027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1593] = {
    [sym_function_definition] = STATE(304),
    [sym_declaration] = STATE(304),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1871),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7443),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5029),
    [anon_sym_struct] = ACTIONS(5031),
    [anon_sym_union] = ACTIONS(5033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1594] = {
    [sym_function_definition] = STATE(580),
    [sym_declaration] = STATE(580),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1883),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(8211),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5035),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_union] = ACTIONS(5039),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1595] = {
    [sym_function_definition] = STATE(1748),
    [sym_declaration] = STATE(1748),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1874),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(8045),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5041),
    [anon_sym_struct] = ACTIONS(5043),
    [anon_sym_union] = ACTIONS(5045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1596] = {
    [sym_function_definition] = STATE(1975),
    [sym_declaration] = STATE(1975),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4521),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1851),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(8026),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5047),
    [anon_sym_struct] = ACTIONS(5049),
    [anon_sym_union] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1597] = {
    [sym_identifier] = ACTIONS(5053),
    [anon_sym_COMMA] = ACTIONS(5055),
    [anon_sym_RPAREN] = ACTIONS(5055),
    [anon_sym_LPAREN2] = ACTIONS(5055),
    [anon_sym_TILDE] = ACTIONS(5055),
    [anon_sym_STAR] = ACTIONS(5055),
    [anon_sym_PIPE_PIPE] = ACTIONS(5055),
    [anon_sym_AMP_AMP] = ACTIONS(5055),
    [anon_sym_AMP] = ACTIONS(5053),
    [anon_sym_SEMI] = ACTIONS(5055),
    [anon_sym___extension__] = ACTIONS(5053),
    [anon_sym_virtual] = ACTIONS(5053),
    [anon_sym_extern] = ACTIONS(5053),
    [anon_sym___attribute__] = ACTIONS(5053),
    [anon_sym_COLON_COLON] = ACTIONS(5055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5055),
    [anon_sym___declspec] = ACTIONS(5053),
    [anon_sym___based] = ACTIONS(5053),
    [anon_sym___cdecl] = ACTIONS(5053),
    [anon_sym___clrcall] = ACTIONS(5053),
    [anon_sym___stdcall] = ACTIONS(5053),
    [anon_sym___fastcall] = ACTIONS(5053),
    [anon_sym___thiscall] = ACTIONS(5053),
    [anon_sym___vectorcall] = ACTIONS(5053),
    [anon_sym_LBRACE] = ACTIONS(5055),
    [anon_sym_signed] = ACTIONS(5053),
    [anon_sym_unsigned] = ACTIONS(5053),
    [anon_sym_long] = ACTIONS(5053),
    [anon_sym_short] = ACTIONS(5053),
    [anon_sym_LBRACK] = ACTIONS(5053),
    [anon_sym_static] = ACTIONS(5053),
    [anon_sym_EQ] = ACTIONS(5055),
    [anon_sym_register] = ACTIONS(5053),
    [anon_sym_inline] = ACTIONS(5053),
    [anon_sym___inline] = ACTIONS(5053),
    [anon_sym___inline__] = ACTIONS(5053),
    [anon_sym___forceinline] = ACTIONS(5053),
    [anon_sym_thread_local] = ACTIONS(5053),
    [anon_sym___thread] = ACTIONS(5053),
    [anon_sym_const] = ACTIONS(5053),
    [anon_sym_constexpr] = ACTIONS(5053),
    [anon_sym_volatile] = ACTIONS(5053),
    [anon_sym_restrict] = ACTIONS(5053),
    [anon_sym___restrict__] = ACTIONS(5053),
    [anon_sym__Atomic] = ACTIONS(5053),
    [anon_sym__Noreturn] = ACTIONS(5053),
    [anon_sym_noreturn] = ACTIONS(5053),
    [anon_sym__Nonnull] = ACTIONS(5053),
    [anon_sym_mutable] = ACTIONS(5053),
    [anon_sym_constinit] = ACTIONS(5053),
    [anon_sym_consteval] = ACTIONS(5053),
    [anon_sym_alignas] = ACTIONS(5053),
    [anon_sym__Alignas] = ACTIONS(5053),
    [sym_primitive_type] = ACTIONS(5053),
    [anon_sym_enum] = ACTIONS(5053),
    [anon_sym_class] = ACTIONS(5053),
    [anon_sym_struct] = ACTIONS(5053),
    [anon_sym_union] = ACTIONS(5053),
    [anon_sym_or] = ACTIONS(5053),
    [anon_sym_and] = ACTIONS(5053),
    [anon_sym_asm] = ACTIONS(5053),
    [anon_sym___asm__] = ACTIONS(5053),
    [anon_sym___asm] = ACTIONS(5053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5053),
    [anon_sym_decltype] = ACTIONS(5053),
    [anon_sym_final] = ACTIONS(5053),
    [anon_sym_override] = ACTIONS(5053),
    [anon_sym_explicit] = ACTIONS(5053),
    [anon_sym_typename] = ACTIONS(5053),
    [anon_sym_template] = ACTIONS(5053),
    [anon_sym_GT2] = ACTIONS(5055),
    [anon_sym_operator] = ACTIONS(5053),
    [anon_sym_try] = ACTIONS(5053),
    [anon_sym_friend] = ACTIONS(5053),
    [anon_sym_using] = ACTIONS(5053),
    [anon_sym_concept] = ACTIONS(5053),
    [anon_sym_requires] = ACTIONS(5053),
  },
  [1598] = {
    [sym_function_definition] = STATE(582),
    [sym_declaration] = STATE(582),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1883),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7490),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5057),
    [anon_sym_struct] = ACTIONS(5059),
    [anon_sym_union] = ACTIONS(5061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1599] = {
    [sym_function_definition] = STATE(308),
    [sym_declaration] = STATE(308),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4513),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1871),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7509),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5063),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_union] = ACTIONS(5067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1600] = {
    [sym_identifier] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4965),
    [anon_sym_RPAREN] = ACTIONS(4965),
    [anon_sym_LPAREN2] = ACTIONS(4965),
    [anon_sym_TILDE] = ACTIONS(4965),
    [anon_sym_STAR] = ACTIONS(4965),
    [anon_sym_PIPE_PIPE] = ACTIONS(4965),
    [anon_sym_AMP_AMP] = ACTIONS(4965),
    [anon_sym_AMP] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(4965),
    [anon_sym___extension__] = ACTIONS(4963),
    [anon_sym_virtual] = ACTIONS(4963),
    [anon_sym_extern] = ACTIONS(4963),
    [anon_sym___attribute__] = ACTIONS(4963),
    [anon_sym_COLON_COLON] = ACTIONS(4965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4965),
    [anon_sym___declspec] = ACTIONS(4963),
    [anon_sym___based] = ACTIONS(4963),
    [anon_sym___cdecl] = ACTIONS(4963),
    [anon_sym___clrcall] = ACTIONS(4963),
    [anon_sym___stdcall] = ACTIONS(4963),
    [anon_sym___fastcall] = ACTIONS(4963),
    [anon_sym___thiscall] = ACTIONS(4963),
    [anon_sym___vectorcall] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(4965),
    [anon_sym_signed] = ACTIONS(4963),
    [anon_sym_unsigned] = ACTIONS(4963),
    [anon_sym_long] = ACTIONS(4963),
    [anon_sym_short] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_static] = ACTIONS(4963),
    [anon_sym_EQ] = ACTIONS(4965),
    [anon_sym_register] = ACTIONS(4963),
    [anon_sym_inline] = ACTIONS(4963),
    [anon_sym___inline] = ACTIONS(4963),
    [anon_sym___inline__] = ACTIONS(4963),
    [anon_sym___forceinline] = ACTIONS(4963),
    [anon_sym_thread_local] = ACTIONS(4963),
    [anon_sym___thread] = ACTIONS(4963),
    [anon_sym_const] = ACTIONS(4963),
    [anon_sym_constexpr] = ACTIONS(4963),
    [anon_sym_volatile] = ACTIONS(4963),
    [anon_sym_restrict] = ACTIONS(4963),
    [anon_sym___restrict__] = ACTIONS(4963),
    [anon_sym__Atomic] = ACTIONS(4963),
    [anon_sym__Noreturn] = ACTIONS(4963),
    [anon_sym_noreturn] = ACTIONS(4963),
    [anon_sym__Nonnull] = ACTIONS(4963),
    [anon_sym_mutable] = ACTIONS(4963),
    [anon_sym_constinit] = ACTIONS(4963),
    [anon_sym_consteval] = ACTIONS(4963),
    [anon_sym_alignas] = ACTIONS(4963),
    [anon_sym__Alignas] = ACTIONS(4963),
    [sym_primitive_type] = ACTIONS(4963),
    [anon_sym_enum] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_struct] = ACTIONS(4963),
    [anon_sym_union] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_asm] = ACTIONS(4963),
    [anon_sym___asm__] = ACTIONS(4963),
    [anon_sym___asm] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4963),
    [anon_sym_decltype] = ACTIONS(4963),
    [anon_sym_final] = ACTIONS(4963),
    [anon_sym_override] = ACTIONS(4963),
    [anon_sym_explicit] = ACTIONS(4963),
    [anon_sym_typename] = ACTIONS(4963),
    [anon_sym_template] = ACTIONS(4963),
    [anon_sym_GT2] = ACTIONS(4965),
    [anon_sym_operator] = ACTIONS(4963),
    [anon_sym_try] = ACTIONS(4963),
    [anon_sym_friend] = ACTIONS(4963),
    [anon_sym_using] = ACTIONS(4963),
    [anon_sym_concept] = ACTIONS(4963),
    [anon_sym_requires] = ACTIONS(4963),
  },
  [1601] = {
    [sym_identifier] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4965),
    [anon_sym_RPAREN] = ACTIONS(4965),
    [anon_sym_LPAREN2] = ACTIONS(4965),
    [anon_sym_TILDE] = ACTIONS(4965),
    [anon_sym_STAR] = ACTIONS(4965),
    [anon_sym_PIPE_PIPE] = ACTIONS(4965),
    [anon_sym_AMP_AMP] = ACTIONS(4965),
    [anon_sym_AMP] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(4965),
    [anon_sym___extension__] = ACTIONS(4963),
    [anon_sym_virtual] = ACTIONS(4963),
    [anon_sym_extern] = ACTIONS(4963),
    [anon_sym___attribute__] = ACTIONS(4963),
    [anon_sym_COLON_COLON] = ACTIONS(4965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4965),
    [anon_sym___declspec] = ACTIONS(4963),
    [anon_sym___based] = ACTIONS(4963),
    [anon_sym___cdecl] = ACTIONS(4963),
    [anon_sym___clrcall] = ACTIONS(4963),
    [anon_sym___stdcall] = ACTIONS(4963),
    [anon_sym___fastcall] = ACTIONS(4963),
    [anon_sym___thiscall] = ACTIONS(4963),
    [anon_sym___vectorcall] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(4965),
    [anon_sym_signed] = ACTIONS(4963),
    [anon_sym_unsigned] = ACTIONS(4963),
    [anon_sym_long] = ACTIONS(4963),
    [anon_sym_short] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_static] = ACTIONS(4963),
    [anon_sym_EQ] = ACTIONS(4965),
    [anon_sym_register] = ACTIONS(4963),
    [anon_sym_inline] = ACTIONS(4963),
    [anon_sym___inline] = ACTIONS(4963),
    [anon_sym___inline__] = ACTIONS(4963),
    [anon_sym___forceinline] = ACTIONS(4963),
    [anon_sym_thread_local] = ACTIONS(4963),
    [anon_sym___thread] = ACTIONS(4963),
    [anon_sym_const] = ACTIONS(4963),
    [anon_sym_constexpr] = ACTIONS(4963),
    [anon_sym_volatile] = ACTIONS(4963),
    [anon_sym_restrict] = ACTIONS(4963),
    [anon_sym___restrict__] = ACTIONS(4963),
    [anon_sym__Atomic] = ACTIONS(4963),
    [anon_sym__Noreturn] = ACTIONS(4963),
    [anon_sym_noreturn] = ACTIONS(4963),
    [anon_sym__Nonnull] = ACTIONS(4963),
    [anon_sym_mutable] = ACTIONS(4963),
    [anon_sym_constinit] = ACTIONS(4963),
    [anon_sym_consteval] = ACTIONS(4963),
    [anon_sym_alignas] = ACTIONS(4963),
    [anon_sym__Alignas] = ACTIONS(4963),
    [sym_primitive_type] = ACTIONS(4963),
    [anon_sym_enum] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_struct] = ACTIONS(4963),
    [anon_sym_union] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_asm] = ACTIONS(4963),
    [anon_sym___asm__] = ACTIONS(4963),
    [anon_sym___asm] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4963),
    [anon_sym_decltype] = ACTIONS(4963),
    [anon_sym_final] = ACTIONS(4963),
    [anon_sym_override] = ACTIONS(4963),
    [anon_sym_explicit] = ACTIONS(4963),
    [anon_sym_typename] = ACTIONS(4963),
    [anon_sym_template] = ACTIONS(4963),
    [anon_sym_GT2] = ACTIONS(4965),
    [anon_sym_operator] = ACTIONS(4963),
    [anon_sym_try] = ACTIONS(4963),
    [anon_sym_friend] = ACTIONS(4963),
    [anon_sym_using] = ACTIONS(4963),
    [anon_sym_concept] = ACTIONS(4963),
    [anon_sym_requires] = ACTIONS(4963),
  },
  [1602] = {
    [sym_function_definition] = STATE(723),
    [sym_declaration] = STATE(723),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4413),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7540),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5069),
    [anon_sym_struct] = ACTIONS(5071),
    [anon_sym_union] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1603] = {
    [sym_function_definition] = STATE(1952),
    [sym_declaration] = STATE(1952),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4525),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1880),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7721),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5075),
    [anon_sym_struct] = ACTIONS(5077),
    [anon_sym_union] = ACTIONS(5079),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1604] = {
    [sym_function_definition] = STATE(1966),
    [sym_declaration] = STATE(1966),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4525),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1880),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(7833),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5081),
    [anon_sym_struct] = ACTIONS(5083),
    [anon_sym_union] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1605] = {
    [sym_identifier] = ACTIONS(5087),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_TILDE] = ACTIONS(5089),
    [anon_sym_STAR] = ACTIONS(5089),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_SEMI] = ACTIONS(5089),
    [anon_sym___extension__] = ACTIONS(5087),
    [anon_sym_virtual] = ACTIONS(5087),
    [anon_sym_extern] = ACTIONS(5087),
    [anon_sym___attribute__] = ACTIONS(5087),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5089),
    [anon_sym___declspec] = ACTIONS(5087),
    [anon_sym___based] = ACTIONS(5087),
    [anon_sym___cdecl] = ACTIONS(5087),
    [anon_sym___clrcall] = ACTIONS(5087),
    [anon_sym___stdcall] = ACTIONS(5087),
    [anon_sym___fastcall] = ACTIONS(5087),
    [anon_sym___thiscall] = ACTIONS(5087),
    [anon_sym___vectorcall] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_signed] = ACTIONS(5087),
    [anon_sym_unsigned] = ACTIONS(5087),
    [anon_sym_long] = ACTIONS(5087),
    [anon_sym_short] = ACTIONS(5087),
    [anon_sym_LBRACK] = ACTIONS(5087),
    [anon_sym_static] = ACTIONS(5087),
    [anon_sym_EQ] = ACTIONS(5089),
    [anon_sym_register] = ACTIONS(5087),
    [anon_sym_inline] = ACTIONS(5087),
    [anon_sym___inline] = ACTIONS(5087),
    [anon_sym___inline__] = ACTIONS(5087),
    [anon_sym___forceinline] = ACTIONS(5087),
    [anon_sym_thread_local] = ACTIONS(5087),
    [anon_sym___thread] = ACTIONS(5087),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5087),
    [anon_sym_volatile] = ACTIONS(5087),
    [anon_sym_restrict] = ACTIONS(5087),
    [anon_sym___restrict__] = ACTIONS(5087),
    [anon_sym__Atomic] = ACTIONS(5087),
    [anon_sym__Noreturn] = ACTIONS(5087),
    [anon_sym_noreturn] = ACTIONS(5087),
    [anon_sym__Nonnull] = ACTIONS(5087),
    [anon_sym_mutable] = ACTIONS(5087),
    [anon_sym_constinit] = ACTIONS(5087),
    [anon_sym_consteval] = ACTIONS(5087),
    [anon_sym_alignas] = ACTIONS(5087),
    [anon_sym__Alignas] = ACTIONS(5087),
    [sym_primitive_type] = ACTIONS(5087),
    [anon_sym_enum] = ACTIONS(5087),
    [anon_sym_class] = ACTIONS(5087),
    [anon_sym_struct] = ACTIONS(5087),
    [anon_sym_union] = ACTIONS(5087),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_asm] = ACTIONS(5087),
    [anon_sym___asm__] = ACTIONS(5087),
    [anon_sym___asm] = ACTIONS(5087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5087),
    [anon_sym_decltype] = ACTIONS(5087),
    [anon_sym_final] = ACTIONS(5087),
    [anon_sym_override] = ACTIONS(5087),
    [anon_sym_explicit] = ACTIONS(5087),
    [anon_sym_typename] = ACTIONS(5087),
    [anon_sym_template] = ACTIONS(5087),
    [anon_sym_GT2] = ACTIONS(5089),
    [anon_sym_operator] = ACTIONS(5087),
    [anon_sym_try] = ACTIONS(5087),
    [anon_sym_friend] = ACTIONS(5087),
    [anon_sym_using] = ACTIONS(5087),
    [anon_sym_concept] = ACTIONS(5087),
    [anon_sym_requires] = ACTIONS(5087),
  },
  [1606] = {
    [sym_function_definition] = STATE(650),
    [sym_declaration] = STATE(650),
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4497),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_ms_call_modifier] = STATE(1878),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym__class_name] = STATE(8110),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(3749),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(3652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5091),
    [anon_sym_struct] = ACTIONS(5093),
    [anon_sym_union] = ACTIONS(5095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1607] = {
    [sym_identifier] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5099),
    [anon_sym_RPAREN] = ACTIONS(5099),
    [anon_sym_LPAREN2] = ACTIONS(5099),
    [anon_sym_TILDE] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5099),
    [anon_sym_AMP_AMP] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5097),
    [anon_sym_SEMI] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(5097),
    [anon_sym_virtual] = ACTIONS(5097),
    [anon_sym_extern] = ACTIONS(5097),
    [anon_sym___attribute__] = ACTIONS(5097),
    [anon_sym_COLON_COLON] = ACTIONS(5099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5099),
    [anon_sym___declspec] = ACTIONS(5097),
    [anon_sym___based] = ACTIONS(5097),
    [anon_sym___cdecl] = ACTIONS(5097),
    [anon_sym___clrcall] = ACTIONS(5097),
    [anon_sym___stdcall] = ACTIONS(5097),
    [anon_sym___fastcall] = ACTIONS(5097),
    [anon_sym___thiscall] = ACTIONS(5097),
    [anon_sym___vectorcall] = ACTIONS(5097),
    [anon_sym_LBRACE] = ACTIONS(5099),
    [anon_sym_signed] = ACTIONS(5097),
    [anon_sym_unsigned] = ACTIONS(5097),
    [anon_sym_long] = ACTIONS(5097),
    [anon_sym_short] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5097),
    [anon_sym_static] = ACTIONS(5097),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_register] = ACTIONS(5097),
    [anon_sym_inline] = ACTIONS(5097),
    [anon_sym___inline] = ACTIONS(5097),
    [anon_sym___inline__] = ACTIONS(5097),
    [anon_sym___forceinline] = ACTIONS(5097),
    [anon_sym_thread_local] = ACTIONS(5097),
    [anon_sym___thread] = ACTIONS(5097),
    [anon_sym_const] = ACTIONS(5097),
    [anon_sym_constexpr] = ACTIONS(5097),
    [anon_sym_volatile] = ACTIONS(5097),
    [anon_sym_restrict] = ACTIONS(5097),
    [anon_sym___restrict__] = ACTIONS(5097),
    [anon_sym__Atomic] = ACTIONS(5097),
    [anon_sym__Noreturn] = ACTIONS(5097),
    [anon_sym_noreturn] = ACTIONS(5097),
    [anon_sym__Nonnull] = ACTIONS(5097),
    [anon_sym_mutable] = ACTIONS(5097),
    [anon_sym_constinit] = ACTIONS(5097),
    [anon_sym_consteval] = ACTIONS(5097),
    [anon_sym_alignas] = ACTIONS(5097),
    [anon_sym__Alignas] = ACTIONS(5097),
    [sym_primitive_type] = ACTIONS(5097),
    [anon_sym_enum] = ACTIONS(5097),
    [anon_sym_class] = ACTIONS(5097),
    [anon_sym_struct] = ACTIONS(5097),
    [anon_sym_union] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5097),
    [anon_sym_and] = ACTIONS(5097),
    [anon_sym_asm] = ACTIONS(5097),
    [anon_sym___asm__] = ACTIONS(5097),
    [anon_sym___asm] = ACTIONS(5097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5097),
    [anon_sym_decltype] = ACTIONS(5097),
    [anon_sym_final] = ACTIONS(5097),
    [anon_sym_override] = ACTIONS(5097),
    [anon_sym_explicit] = ACTIONS(5097),
    [anon_sym_typename] = ACTIONS(5097),
    [anon_sym_template] = ACTIONS(5097),
    [anon_sym_GT2] = ACTIONS(5099),
    [anon_sym_operator] = ACTIONS(5097),
    [anon_sym_try] = ACTIONS(5097),
    [anon_sym_friend] = ACTIONS(5097),
    [anon_sym_using] = ACTIONS(5097),
    [anon_sym_concept] = ACTIONS(5097),
    [anon_sym_requires] = ACTIONS(5097),
  },
  [1608] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(4002),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6932),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_type_parameter_declaration] = STATE(6932),
    [sym_variadic_type_parameter_declaration] = STATE(6932),
    [sym_optional_type_parameter_declaration] = STATE(6932),
    [sym_template_template_parameter_declaration] = STATE(6932),
    [sym_optional_parameter_declaration] = STATE(6932),
    [sym_variadic_parameter_declaration] = STATE(6932),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(5101),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_GT2] = ACTIONS(5107),
  },
  [1609] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(4002),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6825),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_type_parameter_declaration] = STATE(6825),
    [sym_variadic_type_parameter_declaration] = STATE(6825),
    [sym_optional_type_parameter_declaration] = STATE(6825),
    [sym_template_template_parameter_declaration] = STATE(6825),
    [sym_optional_parameter_declaration] = STATE(6825),
    [sym_variadic_parameter_declaration] = STATE(6825),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(5101),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_GT2] = ACTIONS(5109),
  },
  [1610] = {
    [sym_string_literal] = STATE(1622),
    [sym_template_argument_list] = STATE(2252),
    [sym_raw_string_literal] = STATE(1622),
    [sym_identifier] = ACTIONS(4031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4023),
    [aux_sym_preproc_if_token2] = ACTIONS(4023),
    [aux_sym_preproc_else_token1] = ACTIONS(4023),
    [aux_sym_preproc_elif_token1] = ACTIONS(4031),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(5111),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_RBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_COLON] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4031),
    [anon_sym_or_eq] = ACTIONS(4031),
    [anon_sym_xor_eq] = ACTIONS(4031),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
  },
  [1611] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1612] = {
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_BANG] = ACTIONS(5116),
    [anon_sym_TILDE] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5116),
    [anon_sym___extension__] = ACTIONS(5114),
    [anon_sym_COLON_COLON] = ACTIONS(5116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5116),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_if] = ACTIONS(5114),
    [anon_sym_switch] = ACTIONS(5114),
    [anon_sym_case] = ACTIONS(5114),
    [anon_sym_default] = ACTIONS(5114),
    [anon_sym_while] = ACTIONS(5114),
    [anon_sym_do] = ACTIONS(5114),
    [anon_sym_for] = ACTIONS(5114),
    [anon_sym_return] = ACTIONS(5114),
    [anon_sym_break] = ACTIONS(5114),
    [anon_sym_continue] = ACTIONS(5114),
    [anon_sym_goto] = ACTIONS(5114),
    [anon_sym___try] = ACTIONS(5114),
    [anon_sym___leave] = ACTIONS(5114),
    [anon_sym_not] = ACTIONS(5114),
    [anon_sym_compl] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5116),
    [anon_sym_PLUS_PLUS] = ACTIONS(5116),
    [anon_sym_sizeof] = ACTIONS(5114),
    [anon_sym___alignof__] = ACTIONS(5114),
    [anon_sym___alignof] = ACTIONS(5114),
    [anon_sym__alignof] = ACTIONS(5114),
    [anon_sym_alignof] = ACTIONS(5114),
    [anon_sym__Alignof] = ACTIONS(5114),
    [anon_sym_offsetof] = ACTIONS(5114),
    [anon_sym__Generic] = ACTIONS(5114),
    [anon_sym_asm] = ACTIONS(5114),
    [anon_sym___asm__] = ACTIONS(5114),
    [anon_sym___asm] = ACTIONS(5114),
    [sym_number_literal] = ACTIONS(5116),
    [anon_sym_L_SQUOTE] = ACTIONS(5116),
    [anon_sym_u_SQUOTE] = ACTIONS(5116),
    [anon_sym_U_SQUOTE] = ACTIONS(5116),
    [anon_sym_u8_SQUOTE] = ACTIONS(5116),
    [anon_sym_SQUOTE] = ACTIONS(5116),
    [anon_sym_L_DQUOTE] = ACTIONS(5116),
    [anon_sym_u_DQUOTE] = ACTIONS(5116),
    [anon_sym_U_DQUOTE] = ACTIONS(5116),
    [anon_sym_u8_DQUOTE] = ACTIONS(5116),
    [anon_sym_DQUOTE] = ACTIONS(5116),
    [sym_true] = ACTIONS(5114),
    [sym_false] = ACTIONS(5114),
    [anon_sym_NULL] = ACTIONS(5114),
    [anon_sym_nullptr] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5114),
    [anon_sym_template] = ACTIONS(5114),
    [anon_sym_try] = ACTIONS(5114),
    [anon_sym_delete] = ACTIONS(5114),
    [anon_sym_throw] = ACTIONS(5114),
    [anon_sym_co_return] = ACTIONS(5114),
    [anon_sym_co_yield] = ACTIONS(5114),
    [anon_sym_R_DQUOTE] = ACTIONS(5116),
    [anon_sym_LR_DQUOTE] = ACTIONS(5116),
    [anon_sym_uR_DQUOTE] = ACTIONS(5116),
    [anon_sym_UR_DQUOTE] = ACTIONS(5116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5116),
    [anon_sym_co_await] = ACTIONS(5114),
    [anon_sym_new] = ACTIONS(5114),
    [anon_sym_requires] = ACTIONS(5114),
    [sym_this] = ACTIONS(5114),
  },
  [1613] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4849),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4849),
    [anon_sym_volatile] = ACTIONS(4849),
    [anon_sym_restrict] = ACTIONS(4849),
    [anon_sym___restrict__] = ACTIONS(4849),
    [anon_sym__Atomic] = ACTIONS(4849),
    [anon_sym__Noreturn] = ACTIONS(4849),
    [anon_sym_noreturn] = ACTIONS(4849),
    [anon_sym__Nonnull] = ACTIONS(4849),
    [anon_sym_mutable] = ACTIONS(4849),
    [anon_sym_constinit] = ACTIONS(4849),
    [anon_sym_consteval] = ACTIONS(4849),
    [anon_sym_alignas] = ACTIONS(4849),
    [anon_sym__Alignas] = ACTIONS(4849),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4849),
    [anon_sym_or_eq] = ACTIONS(4849),
    [anon_sym_xor_eq] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4849),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4849),
    [anon_sym_not_eq] = ACTIONS(4849),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [anon_sym_final] = ACTIONS(4849),
    [anon_sym_override] = ACTIONS(4849),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1614] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym___attribute__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4845),
    [anon_sym_or_eq] = ACTIONS(4845),
    [anon_sym_xor_eq] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4845),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4845),
    [anon_sym_not_eq] = ACTIONS(4845),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_final] = ACTIONS(4845),
    [anon_sym_override] = ACTIONS(4845),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1615] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym__Nonnull] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym__Alignas] = ACTIONS(4874),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4874),
    [anon_sym_or_eq] = ACTIONS(4874),
    [anon_sym_xor_eq] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4874),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4874),
    [anon_sym_not_eq] = ACTIONS(4874),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [anon_sym_final] = ACTIONS(4874),
    [anon_sym_override] = ACTIONS(4874),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1616] = {
    [sym_string_literal] = STATE(1616),
    [sym_raw_string_literal] = STATE(1616),
    [aux_sym_concatenated_string_repeat1] = STATE(1616),
    [sym_identifier] = ACTIONS(5118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5121),
    [anon_sym_COMMA] = ACTIONS(5121),
    [anon_sym_RPAREN] = ACTIONS(5121),
    [aux_sym_preproc_if_token2] = ACTIONS(5121),
    [aux_sym_preproc_else_token1] = ACTIONS(5121),
    [aux_sym_preproc_elif_token1] = ACTIONS(5123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5121),
    [anon_sym_LPAREN2] = ACTIONS(5121),
    [anon_sym_DASH] = ACTIONS(5123),
    [anon_sym_PLUS] = ACTIONS(5123),
    [anon_sym_STAR] = ACTIONS(5123),
    [anon_sym_SLASH] = ACTIONS(5123),
    [anon_sym_PERCENT] = ACTIONS(5123),
    [anon_sym_PIPE_PIPE] = ACTIONS(5121),
    [anon_sym_AMP_AMP] = ACTIONS(5121),
    [anon_sym_PIPE] = ACTIONS(5123),
    [anon_sym_CARET] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5123),
    [anon_sym_EQ_EQ] = ACTIONS(5121),
    [anon_sym_BANG_EQ] = ACTIONS(5121),
    [anon_sym_GT] = ACTIONS(5123),
    [anon_sym_GT_EQ] = ACTIONS(5121),
    [anon_sym_LT_EQ] = ACTIONS(5123),
    [anon_sym_LT] = ACTIONS(5123),
    [anon_sym_LT_LT] = ACTIONS(5123),
    [anon_sym_GT_GT] = ACTIONS(5123),
    [anon_sym_SEMI] = ACTIONS(5121),
    [anon_sym_RBRACE] = ACTIONS(5121),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_RBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5123),
    [anon_sym_COLON] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5121),
    [anon_sym_STAR_EQ] = ACTIONS(5121),
    [anon_sym_SLASH_EQ] = ACTIONS(5121),
    [anon_sym_PERCENT_EQ] = ACTIONS(5121),
    [anon_sym_PLUS_EQ] = ACTIONS(5121),
    [anon_sym_DASH_EQ] = ACTIONS(5121),
    [anon_sym_LT_LT_EQ] = ACTIONS(5121),
    [anon_sym_GT_GT_EQ] = ACTIONS(5121),
    [anon_sym_AMP_EQ] = ACTIONS(5121),
    [anon_sym_CARET_EQ] = ACTIONS(5121),
    [anon_sym_PIPE_EQ] = ACTIONS(5121),
    [anon_sym_and_eq] = ACTIONS(5123),
    [anon_sym_or_eq] = ACTIONS(5123),
    [anon_sym_xor_eq] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5121),
    [anon_sym_or] = ACTIONS(5123),
    [anon_sym_and] = ACTIONS(5123),
    [anon_sym_bitor] = ACTIONS(5123),
    [anon_sym_xor] = ACTIONS(5123),
    [anon_sym_bitand] = ACTIONS(5123),
    [anon_sym_not_eq] = ACTIONS(5123),
    [anon_sym_DASH_DASH] = ACTIONS(5121),
    [anon_sym_PLUS_PLUS] = ACTIONS(5121),
    [anon_sym_DOT] = ACTIONS(5123),
    [anon_sym_DOT_STAR] = ACTIONS(5121),
    [anon_sym_DASH_GT] = ACTIONS(5121),
    [anon_sym_L_DQUOTE] = ACTIONS(5125),
    [anon_sym_u_DQUOTE] = ACTIONS(5125),
    [anon_sym_U_DQUOTE] = ACTIONS(5125),
    [anon_sym_u8_DQUOTE] = ACTIONS(5125),
    [anon_sym_DQUOTE] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5128),
    [anon_sym_LR_DQUOTE] = ACTIONS(5128),
    [anon_sym_uR_DQUOTE] = ACTIONS(5128),
    [anon_sym_UR_DQUOTE] = ACTIONS(5128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5128),
    [sym_literal_suffix] = ACTIONS(5123),
  },
  [1617] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(4002),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(7081),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_type_parameter_declaration] = STATE(7081),
    [sym_variadic_type_parameter_declaration] = STATE(7081),
    [sym_optional_type_parameter_declaration] = STATE(7081),
    [sym_template_template_parameter_declaration] = STATE(7081),
    [sym_optional_parameter_declaration] = STATE(7081),
    [sym_variadic_parameter_declaration] = STATE(7081),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(5101),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5105),
  },
  [1618] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4882),
    [anon_sym___attribute__] = ACTIONS(4882),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4882),
    [anon_sym_volatile] = ACTIONS(4882),
    [anon_sym_restrict] = ACTIONS(4882),
    [anon_sym___restrict__] = ACTIONS(4882),
    [anon_sym__Atomic] = ACTIONS(4882),
    [anon_sym__Noreturn] = ACTIONS(4882),
    [anon_sym_noreturn] = ACTIONS(4882),
    [anon_sym__Nonnull] = ACTIONS(4882),
    [anon_sym_mutable] = ACTIONS(4882),
    [anon_sym_constinit] = ACTIONS(4882),
    [anon_sym_consteval] = ACTIONS(4882),
    [anon_sym_alignas] = ACTIONS(4882),
    [anon_sym__Alignas] = ACTIONS(4882),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4882),
    [anon_sym_or_eq] = ACTIONS(4882),
    [anon_sym_xor_eq] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4882),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4882),
    [anon_sym_not_eq] = ACTIONS(4882),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4882),
    [anon_sym_decltype] = ACTIONS(4882),
    [anon_sym_final] = ACTIONS(4882),
    [anon_sym_override] = ACTIONS(4882),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4882),
  },
  [1619] = {
    [sym_string_literal] = STATE(1616),
    [sym_raw_string_literal] = STATE(1616),
    [aux_sym_concatenated_string_repeat1] = STATE(1616),
    [sym_identifier] = ACTIONS(5131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [aux_sym_preproc_if_token2] = ACTIONS(5133),
    [aux_sym_preproc_else_token1] = ACTIONS(5133),
    [aux_sym_preproc_elif_token1] = ACTIONS(5135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5135),
    [anon_sym_PLUS] = ACTIONS(5135),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_SLASH] = ACTIONS(5135),
    [anon_sym_PERCENT] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5133),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5135),
    [anon_sym_CARET] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5135),
    [anon_sym_EQ_EQ] = ACTIONS(5133),
    [anon_sym_BANG_EQ] = ACTIONS(5133),
    [anon_sym_GT] = ACTIONS(5135),
    [anon_sym_GT_EQ] = ACTIONS(5133),
    [anon_sym_LT_EQ] = ACTIONS(5135),
    [anon_sym_LT] = ACTIONS(5135),
    [anon_sym_LT_LT] = ACTIONS(5135),
    [anon_sym_GT_GT] = ACTIONS(5135),
    [anon_sym_SEMI] = ACTIONS(5133),
    [anon_sym_RBRACE] = ACTIONS(5133),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_RBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5135),
    [anon_sym_COLON] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5133),
    [anon_sym_STAR_EQ] = ACTIONS(5133),
    [anon_sym_SLASH_EQ] = ACTIONS(5133),
    [anon_sym_PERCENT_EQ] = ACTIONS(5133),
    [anon_sym_PLUS_EQ] = ACTIONS(5133),
    [anon_sym_DASH_EQ] = ACTIONS(5133),
    [anon_sym_LT_LT_EQ] = ACTIONS(5133),
    [anon_sym_GT_GT_EQ] = ACTIONS(5133),
    [anon_sym_AMP_EQ] = ACTIONS(5133),
    [anon_sym_CARET_EQ] = ACTIONS(5133),
    [anon_sym_PIPE_EQ] = ACTIONS(5133),
    [anon_sym_and_eq] = ACTIONS(5135),
    [anon_sym_or_eq] = ACTIONS(5135),
    [anon_sym_xor_eq] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5133),
    [anon_sym_or] = ACTIONS(5135),
    [anon_sym_and] = ACTIONS(5135),
    [anon_sym_bitor] = ACTIONS(5135),
    [anon_sym_xor] = ACTIONS(5135),
    [anon_sym_bitand] = ACTIONS(5135),
    [anon_sym_not_eq] = ACTIONS(5135),
    [anon_sym_DASH_DASH] = ACTIONS(5133),
    [anon_sym_PLUS_PLUS] = ACTIONS(5133),
    [anon_sym_DOT] = ACTIONS(5135),
    [anon_sym_DOT_STAR] = ACTIONS(5133),
    [anon_sym_DASH_GT] = ACTIONS(5133),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5135),
  },
  [1620] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1621] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_BANG] = ACTIONS(5139),
    [anon_sym_TILDE] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5139),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5139),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [sym_primitive_type] = ACTIONS(5137),
    [anon_sym_if] = ACTIONS(5137),
    [anon_sym_switch] = ACTIONS(5137),
    [anon_sym_case] = ACTIONS(5137),
    [anon_sym_default] = ACTIONS(5137),
    [anon_sym_while] = ACTIONS(5137),
    [anon_sym_do] = ACTIONS(5137),
    [anon_sym_for] = ACTIONS(5137),
    [anon_sym_return] = ACTIONS(5137),
    [anon_sym_break] = ACTIONS(5137),
    [anon_sym_continue] = ACTIONS(5137),
    [anon_sym_goto] = ACTIONS(5137),
    [anon_sym___try] = ACTIONS(5137),
    [anon_sym___leave] = ACTIONS(5137),
    [anon_sym_not] = ACTIONS(5137),
    [anon_sym_compl] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_sizeof] = ACTIONS(5137),
    [anon_sym___alignof__] = ACTIONS(5137),
    [anon_sym___alignof] = ACTIONS(5137),
    [anon_sym__alignof] = ACTIONS(5137),
    [anon_sym_alignof] = ACTIONS(5137),
    [anon_sym__Alignof] = ACTIONS(5137),
    [anon_sym_offsetof] = ACTIONS(5137),
    [anon_sym__Generic] = ACTIONS(5137),
    [anon_sym_asm] = ACTIONS(5137),
    [anon_sym___asm__] = ACTIONS(5137),
    [anon_sym___asm] = ACTIONS(5137),
    [sym_number_literal] = ACTIONS(5139),
    [anon_sym_L_SQUOTE] = ACTIONS(5139),
    [anon_sym_u_SQUOTE] = ACTIONS(5139),
    [anon_sym_U_SQUOTE] = ACTIONS(5139),
    [anon_sym_u8_SQUOTE] = ACTIONS(5139),
    [anon_sym_SQUOTE] = ACTIONS(5139),
    [anon_sym_L_DQUOTE] = ACTIONS(5139),
    [anon_sym_u_DQUOTE] = ACTIONS(5139),
    [anon_sym_U_DQUOTE] = ACTIONS(5139),
    [anon_sym_u8_DQUOTE] = ACTIONS(5139),
    [anon_sym_DQUOTE] = ACTIONS(5139),
    [sym_true] = ACTIONS(5137),
    [sym_false] = ACTIONS(5137),
    [anon_sym_NULL] = ACTIONS(5137),
    [anon_sym_nullptr] = ACTIONS(5137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_template] = ACTIONS(5137),
    [anon_sym_try] = ACTIONS(5137),
    [anon_sym_delete] = ACTIONS(5137),
    [anon_sym_throw] = ACTIONS(5137),
    [anon_sym_co_return] = ACTIONS(5137),
    [anon_sym_co_yield] = ACTIONS(5137),
    [anon_sym_R_DQUOTE] = ACTIONS(5139),
    [anon_sym_LR_DQUOTE] = ACTIONS(5139),
    [anon_sym_uR_DQUOTE] = ACTIONS(5139),
    [anon_sym_UR_DQUOTE] = ACTIONS(5139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5139),
    [anon_sym_co_await] = ACTIONS(5137),
    [anon_sym_new] = ACTIONS(5137),
    [anon_sym_requires] = ACTIONS(5137),
    [sym_this] = ACTIONS(5137),
  },
  [1622] = {
    [sym_string_literal] = STATE(1619),
    [sym_raw_string_literal] = STATE(1619),
    [aux_sym_concatenated_string_repeat1] = STATE(1619),
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [aux_sym_preproc_if_token2] = ACTIONS(5143),
    [aux_sym_preproc_else_token1] = ACTIONS(5143),
    [aux_sym_preproc_elif_token1] = ACTIONS(5145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_RBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_COLON] = ACTIONS(5143),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5145),
  },
  [1623] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4841),
    [anon_sym___attribute__] = ACTIONS(4841),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4841),
    [anon_sym_volatile] = ACTIONS(4841),
    [anon_sym_restrict] = ACTIONS(4841),
    [anon_sym___restrict__] = ACTIONS(4841),
    [anon_sym__Atomic] = ACTIONS(4841),
    [anon_sym__Noreturn] = ACTIONS(4841),
    [anon_sym_noreturn] = ACTIONS(4841),
    [anon_sym__Nonnull] = ACTIONS(4841),
    [anon_sym_mutable] = ACTIONS(4841),
    [anon_sym_constinit] = ACTIONS(4841),
    [anon_sym_consteval] = ACTIONS(4841),
    [anon_sym_alignas] = ACTIONS(4841),
    [anon_sym__Alignas] = ACTIONS(4841),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4841),
    [anon_sym_or_eq] = ACTIONS(4841),
    [anon_sym_xor_eq] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4841),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4841),
    [anon_sym_not_eq] = ACTIONS(4841),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4841),
    [anon_sym_decltype] = ACTIONS(4841),
    [anon_sym_final] = ACTIONS(4841),
    [anon_sym_override] = ACTIONS(4841),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4841),
  },
  [1624] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4878),
    [anon_sym___attribute__] = ACTIONS(4878),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4878),
    [anon_sym_volatile] = ACTIONS(4878),
    [anon_sym_restrict] = ACTIONS(4878),
    [anon_sym___restrict__] = ACTIONS(4878),
    [anon_sym__Atomic] = ACTIONS(4878),
    [anon_sym__Noreturn] = ACTIONS(4878),
    [anon_sym_noreturn] = ACTIONS(4878),
    [anon_sym__Nonnull] = ACTIONS(4878),
    [anon_sym_mutable] = ACTIONS(4878),
    [anon_sym_constinit] = ACTIONS(4878),
    [anon_sym_consteval] = ACTIONS(4878),
    [anon_sym_alignas] = ACTIONS(4878),
    [anon_sym__Alignas] = ACTIONS(4878),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4878),
    [anon_sym_decltype] = ACTIONS(4878),
    [anon_sym_final] = ACTIONS(4878),
    [anon_sym_override] = ACTIONS(4878),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1625] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1625),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5149),
    [anon_sym_COMMA] = ACTIONS(5149),
    [anon_sym_RPAREN] = ACTIONS(5149),
    [aux_sym_preproc_if_token2] = ACTIONS(5149),
    [aux_sym_preproc_else_token1] = ACTIONS(5149),
    [aux_sym_preproc_elif_token1] = ACTIONS(5147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5149),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_DASH] = ACTIONS(5147),
    [anon_sym_PLUS] = ACTIONS(5147),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5147),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_PIPE] = ACTIONS(5147),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_EQ_EQ] = ACTIONS(5149),
    [anon_sym_BANG_EQ] = ACTIONS(5149),
    [anon_sym_GT] = ACTIONS(5147),
    [anon_sym_GT_EQ] = ACTIONS(5149),
    [anon_sym_LT_EQ] = ACTIONS(5147),
    [anon_sym_LT] = ACTIONS(5147),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym_SEMI] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_RBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5151),
    [anon_sym_unsigned] = ACTIONS(5151),
    [anon_sym_long] = ACTIONS(5151),
    [anon_sym_short] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_RBRACK] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5147),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym__Nonnull] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_alignas] = ACTIONS(5147),
    [anon_sym__Alignas] = ACTIONS(5147),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_COLON] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5149),
    [anon_sym_LT_EQ_GT] = ACTIONS(5149),
    [anon_sym_or] = ACTIONS(5147),
    [anon_sym_and] = ACTIONS(5147),
    [anon_sym_bitor] = ACTIONS(5147),
    [anon_sym_xor] = ACTIONS(5147),
    [anon_sym_bitand] = ACTIONS(5147),
    [anon_sym_not_eq] = ACTIONS(5147),
    [anon_sym_DASH_DASH] = ACTIONS(5149),
    [anon_sym_PLUS_PLUS] = ACTIONS(5149),
    [anon_sym_DOT] = ACTIONS(5147),
    [anon_sym_DOT_STAR] = ACTIONS(5149),
    [anon_sym_DASH_GT] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_requires] = ACTIONS(5147),
  },
  [1626] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4853),
    [anon_sym___attribute__] = ACTIONS(4853),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4853),
    [anon_sym_volatile] = ACTIONS(4853),
    [anon_sym_restrict] = ACTIONS(4853),
    [anon_sym___restrict__] = ACTIONS(4853),
    [anon_sym__Atomic] = ACTIONS(4853),
    [anon_sym__Noreturn] = ACTIONS(4853),
    [anon_sym_noreturn] = ACTIONS(4853),
    [anon_sym__Nonnull] = ACTIONS(4853),
    [anon_sym_mutable] = ACTIONS(4853),
    [anon_sym_constinit] = ACTIONS(4853),
    [anon_sym_consteval] = ACTIONS(4853),
    [anon_sym_alignas] = ACTIONS(4853),
    [anon_sym__Alignas] = ACTIONS(4853),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4853),
    [anon_sym_or_eq] = ACTIONS(4853),
    [anon_sym_xor_eq] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4853),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4853),
    [anon_sym_not_eq] = ACTIONS(4853),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4853),
    [anon_sym_decltype] = ACTIONS(4853),
    [anon_sym_final] = ACTIONS(4853),
    [anon_sym_override] = ACTIONS(4853),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1627] = {
    [sym_type_qualifier] = STATE(1627),
    [sym_alignas_qualifier] = STATE(1695),
    [aux_sym_array_declarator_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_BANG] = ACTIONS(5156),
    [anon_sym_TILDE] = ACTIONS(5156),
    [anon_sym_DASH] = ACTIONS(5154),
    [anon_sym_PLUS] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5156),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [anon_sym_static] = ACTIONS(5161),
    [anon_sym_RBRACK] = ACTIONS(5156),
    [anon_sym_const] = ACTIONS(5158),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym__Nonnull] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_alignas] = ACTIONS(5164),
    [anon_sym__Alignas] = ACTIONS(5164),
    [sym_primitive_type] = ACTIONS(5154),
    [anon_sym_not] = ACTIONS(5154),
    [anon_sym_compl] = ACTIONS(5154),
    [anon_sym_DASH_DASH] = ACTIONS(5156),
    [anon_sym_PLUS_PLUS] = ACTIONS(5156),
    [anon_sym_sizeof] = ACTIONS(5154),
    [anon_sym___alignof__] = ACTIONS(5154),
    [anon_sym___alignof] = ACTIONS(5154),
    [anon_sym__alignof] = ACTIONS(5154),
    [anon_sym_alignof] = ACTIONS(5154),
    [anon_sym__Alignof] = ACTIONS(5154),
    [anon_sym_offsetof] = ACTIONS(5154),
    [anon_sym__Generic] = ACTIONS(5154),
    [anon_sym_asm] = ACTIONS(5154),
    [anon_sym___asm__] = ACTIONS(5154),
    [anon_sym___asm] = ACTIONS(5154),
    [sym_number_literal] = ACTIONS(5156),
    [anon_sym_L_SQUOTE] = ACTIONS(5156),
    [anon_sym_u_SQUOTE] = ACTIONS(5156),
    [anon_sym_U_SQUOTE] = ACTIONS(5156),
    [anon_sym_u8_SQUOTE] = ACTIONS(5156),
    [anon_sym_SQUOTE] = ACTIONS(5156),
    [anon_sym_L_DQUOTE] = ACTIONS(5156),
    [anon_sym_u_DQUOTE] = ACTIONS(5156),
    [anon_sym_U_DQUOTE] = ACTIONS(5156),
    [anon_sym_u8_DQUOTE] = ACTIONS(5156),
    [anon_sym_DQUOTE] = ACTIONS(5156),
    [sym_true] = ACTIONS(5154),
    [sym_false] = ACTIONS(5154),
    [anon_sym_NULL] = ACTIONS(5154),
    [anon_sym_nullptr] = ACTIONS(5154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5154),
    [anon_sym_template] = ACTIONS(5154),
    [anon_sym_delete] = ACTIONS(5154),
    [anon_sym_R_DQUOTE] = ACTIONS(5156),
    [anon_sym_LR_DQUOTE] = ACTIONS(5156),
    [anon_sym_uR_DQUOTE] = ACTIONS(5156),
    [anon_sym_UR_DQUOTE] = ACTIONS(5156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5156),
    [anon_sym_co_await] = ACTIONS(5154),
    [anon_sym_new] = ACTIONS(5154),
    [anon_sym_requires] = ACTIONS(5154),
    [sym_this] = ACTIONS(5154),
  },
  [1628] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4876),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4878),
    [anon_sym___attribute__] = ACTIONS(4878),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4878),
    [anon_sym_volatile] = ACTIONS(4878),
    [anon_sym_restrict] = ACTIONS(4878),
    [anon_sym___restrict__] = ACTIONS(4878),
    [anon_sym__Atomic] = ACTIONS(4878),
    [anon_sym__Noreturn] = ACTIONS(4878),
    [anon_sym_noreturn] = ACTIONS(4878),
    [anon_sym__Nonnull] = ACTIONS(4878),
    [anon_sym_mutable] = ACTIONS(4878),
    [anon_sym_constinit] = ACTIONS(4878),
    [anon_sym_consteval] = ACTIONS(4878),
    [anon_sym_alignas] = ACTIONS(4878),
    [anon_sym__Alignas] = ACTIONS(4878),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4876),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4878),
    [anon_sym_decltype] = ACTIONS(4878),
    [anon_sym_final] = ACTIONS(4878),
    [anon_sym_override] = ACTIONS(4878),
    [anon_sym_GT2] = ACTIONS(4878),
  },
  [1629] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym__Nonnull] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym__Alignas] = ACTIONS(4874),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4872),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4874),
    [anon_sym_or_eq] = ACTIONS(4874),
    [anon_sym_xor_eq] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4874),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4874),
    [anon_sym_not_eq] = ACTIONS(4874),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [anon_sym_final] = ACTIONS(4874),
    [anon_sym_override] = ACTIONS(4874),
    [anon_sym_GT2] = ACTIONS(4874),
  },
  [1630] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4880),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4882),
    [anon_sym___attribute__] = ACTIONS(4882),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4882),
    [anon_sym_volatile] = ACTIONS(4882),
    [anon_sym_restrict] = ACTIONS(4882),
    [anon_sym___restrict__] = ACTIONS(4882),
    [anon_sym__Atomic] = ACTIONS(4882),
    [anon_sym__Noreturn] = ACTIONS(4882),
    [anon_sym_noreturn] = ACTIONS(4882),
    [anon_sym__Nonnull] = ACTIONS(4882),
    [anon_sym_mutable] = ACTIONS(4882),
    [anon_sym_constinit] = ACTIONS(4882),
    [anon_sym_consteval] = ACTIONS(4882),
    [anon_sym_alignas] = ACTIONS(4882),
    [anon_sym__Alignas] = ACTIONS(4882),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4880),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4882),
    [anon_sym_or_eq] = ACTIONS(4882),
    [anon_sym_xor_eq] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4882),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4882),
    [anon_sym_not_eq] = ACTIONS(4882),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4882),
    [anon_sym_decltype] = ACTIONS(4882),
    [anon_sym_final] = ACTIONS(4882),
    [anon_sym_override] = ACTIONS(4882),
    [anon_sym_GT2] = ACTIONS(4882),
  },
  [1631] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4839),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4841),
    [anon_sym___attribute__] = ACTIONS(4841),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4841),
    [anon_sym_volatile] = ACTIONS(4841),
    [anon_sym_restrict] = ACTIONS(4841),
    [anon_sym___restrict__] = ACTIONS(4841),
    [anon_sym__Atomic] = ACTIONS(4841),
    [anon_sym__Noreturn] = ACTIONS(4841),
    [anon_sym_noreturn] = ACTIONS(4841),
    [anon_sym__Nonnull] = ACTIONS(4841),
    [anon_sym_mutable] = ACTIONS(4841),
    [anon_sym_constinit] = ACTIONS(4841),
    [anon_sym_consteval] = ACTIONS(4841),
    [anon_sym_alignas] = ACTIONS(4841),
    [anon_sym__Alignas] = ACTIONS(4841),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4839),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4841),
    [anon_sym_or_eq] = ACTIONS(4841),
    [anon_sym_xor_eq] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4841),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4841),
    [anon_sym_not_eq] = ACTIONS(4841),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4841),
    [anon_sym_decltype] = ACTIONS(4841),
    [anon_sym_final] = ACTIONS(4841),
    [anon_sym_override] = ACTIONS(4841),
    [anon_sym_GT2] = ACTIONS(4841),
  },
  [1632] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4847),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4849),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4849),
    [anon_sym_volatile] = ACTIONS(4849),
    [anon_sym_restrict] = ACTIONS(4849),
    [anon_sym___restrict__] = ACTIONS(4849),
    [anon_sym__Atomic] = ACTIONS(4849),
    [anon_sym__Noreturn] = ACTIONS(4849),
    [anon_sym_noreturn] = ACTIONS(4849),
    [anon_sym__Nonnull] = ACTIONS(4849),
    [anon_sym_mutable] = ACTIONS(4849),
    [anon_sym_constinit] = ACTIONS(4849),
    [anon_sym_consteval] = ACTIONS(4849),
    [anon_sym_alignas] = ACTIONS(4849),
    [anon_sym__Alignas] = ACTIONS(4849),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4847),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4849),
    [anon_sym_or_eq] = ACTIONS(4849),
    [anon_sym_xor_eq] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4849),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4849),
    [anon_sym_not_eq] = ACTIONS(4849),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [anon_sym_final] = ACTIONS(4849),
    [anon_sym_override] = ACTIONS(4849),
    [anon_sym_GT2] = ACTIONS(4849),
  },
  [1633] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4843),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym___attribute__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4843),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4845),
    [anon_sym_or_eq] = ACTIONS(4845),
    [anon_sym_xor_eq] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4845),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4845),
    [anon_sym_not_eq] = ACTIONS(4845),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_final] = ACTIONS(4845),
    [anon_sym_override] = ACTIONS(4845),
    [anon_sym_GT2] = ACTIONS(4845),
  },
  [1634] = {
    [sym_catch_clause] = STATE(1634),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(5167),
  },
  [1635] = {
    [sym_catch_clause] = STATE(1634),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_friend] = ACTIONS(2548),
    [anon_sym_public] = ACTIONS(2548),
    [anon_sym_private] = ACTIONS(2548),
    [anon_sym_protected] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_catch] = ACTIONS(5170),
  },
  [1636] = {
    [sym_catch_clause] = STATE(1634),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [aux_sym_preproc_else_token1] = ACTIONS(2505),
    [aux_sym_preproc_elif_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_friend] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(5170),
  },
  [1637] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4851),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4853),
    [anon_sym___attribute__] = ACTIONS(4853),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4853),
    [anon_sym_volatile] = ACTIONS(4853),
    [anon_sym_restrict] = ACTIONS(4853),
    [anon_sym___restrict__] = ACTIONS(4853),
    [anon_sym__Atomic] = ACTIONS(4853),
    [anon_sym__Noreturn] = ACTIONS(4853),
    [anon_sym_noreturn] = ACTIONS(4853),
    [anon_sym__Nonnull] = ACTIONS(4853),
    [anon_sym_mutable] = ACTIONS(4853),
    [anon_sym_constinit] = ACTIONS(4853),
    [anon_sym_consteval] = ACTIONS(4853),
    [anon_sym_alignas] = ACTIONS(4853),
    [anon_sym__Alignas] = ACTIONS(4853),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4851),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4853),
    [anon_sym_or_eq] = ACTIONS(4853),
    [anon_sym_xor_eq] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4853),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4853),
    [anon_sym_not_eq] = ACTIONS(4853),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4853),
    [anon_sym_decltype] = ACTIONS(4853),
    [anon_sym_final] = ACTIONS(4853),
    [anon_sym_override] = ACTIONS(4853),
    [anon_sym_GT2] = ACTIONS(4853),
  },
  [1638] = {
    [sym_catch_clause] = STATE(1634),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [aux_sym_preproc_else_token1] = ACTIONS(2499),
    [aux_sym_preproc_elif_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(5170),
  },
  [1639] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6955),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6955),
    [sym_variadic_parameter_declaration] = STATE(6955),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5172),
    [anon_sym_RPAREN] = ACTIONS(5174),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1640] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6898),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6898),
    [sym_variadic_parameter_declaration] = STATE(6898),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5176),
    [anon_sym_RPAREN] = ACTIONS(5178),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1641] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6993),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6993),
    [sym_variadic_parameter_declaration] = STATE(6993),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1642] = {
    [sym_template_argument_list] = STATE(1644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1643] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6966),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6966),
    [sym_variadic_parameter_declaration] = STATE(6966),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5180),
    [anon_sym_RPAREN] = ACTIONS(5182),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1644] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4886),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1645] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(6842),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(6842),
    [sym_variadic_parameter_declaration] = STATE(6842),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1646] = {
    [sym_identifier] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_COMMA] = ACTIONS(5186),
    [anon_sym_RPAREN] = ACTIONS(5186),
    [aux_sym_preproc_if_token2] = ACTIONS(5186),
    [aux_sym_preproc_else_token1] = ACTIONS(5186),
    [aux_sym_preproc_elif_token1] = ACTIONS(5184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5186),
    [anon_sym_LPAREN2] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5184),
    [anon_sym_STAR] = ACTIONS(5184),
    [anon_sym_SLASH] = ACTIONS(5184),
    [anon_sym_PERCENT] = ACTIONS(5184),
    [anon_sym_PIPE_PIPE] = ACTIONS(5186),
    [anon_sym_AMP_AMP] = ACTIONS(5186),
    [anon_sym_PIPE] = ACTIONS(5184),
    [anon_sym_CARET] = ACTIONS(5184),
    [anon_sym_AMP] = ACTIONS(5184),
    [anon_sym_EQ_EQ] = ACTIONS(5186),
    [anon_sym_BANG_EQ] = ACTIONS(5186),
    [anon_sym_GT] = ACTIONS(5184),
    [anon_sym_GT_EQ] = ACTIONS(5186),
    [anon_sym_LT_EQ] = ACTIONS(5184),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_LT_LT] = ACTIONS(5184),
    [anon_sym_GT_GT] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [anon_sym_RBRACE] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [anon_sym_RBRACK] = ACTIONS(5186),
    [anon_sym_EQ] = ACTIONS(5184),
    [anon_sym_COLON] = ACTIONS(5186),
    [anon_sym_QMARK] = ACTIONS(5186),
    [anon_sym_STAR_EQ] = ACTIONS(5186),
    [anon_sym_SLASH_EQ] = ACTIONS(5186),
    [anon_sym_PERCENT_EQ] = ACTIONS(5186),
    [anon_sym_PLUS_EQ] = ACTIONS(5186),
    [anon_sym_DASH_EQ] = ACTIONS(5186),
    [anon_sym_LT_LT_EQ] = ACTIONS(5186),
    [anon_sym_GT_GT_EQ] = ACTIONS(5186),
    [anon_sym_AMP_EQ] = ACTIONS(5186),
    [anon_sym_CARET_EQ] = ACTIONS(5186),
    [anon_sym_PIPE_EQ] = ACTIONS(5186),
    [anon_sym_and_eq] = ACTIONS(5184),
    [anon_sym_or_eq] = ACTIONS(5184),
    [anon_sym_xor_eq] = ACTIONS(5184),
    [anon_sym_LT_EQ_GT] = ACTIONS(5186),
    [anon_sym_or] = ACTIONS(5184),
    [anon_sym_and] = ACTIONS(5184),
    [anon_sym_bitor] = ACTIONS(5184),
    [anon_sym_xor] = ACTIONS(5184),
    [anon_sym_bitand] = ACTIONS(5184),
    [anon_sym_not_eq] = ACTIONS(5184),
    [anon_sym_DASH_DASH] = ACTIONS(5186),
    [anon_sym_PLUS_PLUS] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_DOT_STAR] = ACTIONS(5186),
    [anon_sym_DASH_GT] = ACTIONS(5186),
    [anon_sym_L_DQUOTE] = ACTIONS(5186),
    [anon_sym_u_DQUOTE] = ACTIONS(5186),
    [anon_sym_U_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8_DQUOTE] = ACTIONS(5186),
    [anon_sym_DQUOTE] = ACTIONS(5186),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5186),
    [anon_sym_LR_DQUOTE] = ACTIONS(5186),
    [anon_sym_uR_DQUOTE] = ACTIONS(5186),
    [anon_sym_UR_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5186),
    [sym_literal_suffix] = ACTIONS(5184),
  },
  [1647] = {
    [sym_identifier] = ACTIONS(5188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5190),
    [anon_sym_COMMA] = ACTIONS(5190),
    [anon_sym_RPAREN] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5188),
    [anon_sym_STAR] = ACTIONS(5188),
    [anon_sym_SLASH] = ACTIONS(5188),
    [anon_sym_PERCENT] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_PIPE] = ACTIONS(5188),
    [anon_sym_CARET] = ACTIONS(5188),
    [anon_sym_AMP] = ACTIONS(5188),
    [anon_sym_EQ_EQ] = ACTIONS(5190),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_GT] = ACTIONS(5188),
    [anon_sym_GT_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5188),
    [anon_sym_LT] = ACTIONS(5188),
    [anon_sym_LT_LT] = ACTIONS(5188),
    [anon_sym_GT_GT] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5190),
    [anon_sym_RBRACE] = ACTIONS(5190),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [anon_sym_RBRACK] = ACTIONS(5190),
    [anon_sym_EQ] = ACTIONS(5188),
    [anon_sym_COLON] = ACTIONS(5190),
    [anon_sym_QMARK] = ACTIONS(5190),
    [anon_sym_STAR_EQ] = ACTIONS(5190),
    [anon_sym_SLASH_EQ] = ACTIONS(5190),
    [anon_sym_PERCENT_EQ] = ACTIONS(5190),
    [anon_sym_PLUS_EQ] = ACTIONS(5190),
    [anon_sym_DASH_EQ] = ACTIONS(5190),
    [anon_sym_LT_LT_EQ] = ACTIONS(5190),
    [anon_sym_GT_GT_EQ] = ACTIONS(5190),
    [anon_sym_AMP_EQ] = ACTIONS(5190),
    [anon_sym_CARET_EQ] = ACTIONS(5190),
    [anon_sym_PIPE_EQ] = ACTIONS(5190),
    [anon_sym_and_eq] = ACTIONS(5188),
    [anon_sym_or_eq] = ACTIONS(5188),
    [anon_sym_xor_eq] = ACTIONS(5188),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_bitor] = ACTIONS(5188),
    [anon_sym_xor] = ACTIONS(5188),
    [anon_sym_bitand] = ACTIONS(5188),
    [anon_sym_not_eq] = ACTIONS(5188),
    [anon_sym_DASH_DASH] = ACTIONS(5190),
    [anon_sym_PLUS_PLUS] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_DOT_STAR] = ACTIONS(5190),
    [anon_sym_DASH_GT] = ACTIONS(5190),
    [anon_sym_L_DQUOTE] = ACTIONS(5190),
    [anon_sym_u_DQUOTE] = ACTIONS(5190),
    [anon_sym_U_DQUOTE] = ACTIONS(5190),
    [anon_sym_u8_DQUOTE] = ACTIONS(5190),
    [anon_sym_DQUOTE] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5190),
    [anon_sym_LR_DQUOTE] = ACTIONS(5190),
    [anon_sym_uR_DQUOTE] = ACTIONS(5190),
    [anon_sym_UR_DQUOTE] = ACTIONS(5190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5190),
    [sym_literal_suffix] = ACTIONS(5188),
  },
  [1648] = {
    [sym_template_argument_list] = STATE(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5192),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1649] = {
    [sym_identifier] = ACTIONS(5195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5197),
    [anon_sym_COMMA] = ACTIONS(5197),
    [anon_sym_RPAREN] = ACTIONS(5197),
    [aux_sym_preproc_if_token2] = ACTIONS(5197),
    [aux_sym_preproc_else_token1] = ACTIONS(5197),
    [aux_sym_preproc_elif_token1] = ACTIONS(5195),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5197),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5197),
    [anon_sym_LPAREN2] = ACTIONS(5197),
    [anon_sym_DASH] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5195),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5197),
    [anon_sym_AMP_AMP] = ACTIONS(5197),
    [anon_sym_PIPE] = ACTIONS(5195),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5195),
    [anon_sym_EQ_EQ] = ACTIONS(5197),
    [anon_sym_BANG_EQ] = ACTIONS(5197),
    [anon_sym_GT] = ACTIONS(5195),
    [anon_sym_GT_EQ] = ACTIONS(5197),
    [anon_sym_LT_EQ] = ACTIONS(5195),
    [anon_sym_LT] = ACTIONS(5195),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_SEMI] = ACTIONS(5197),
    [anon_sym_RBRACE] = ACTIONS(5197),
    [anon_sym_LBRACK] = ACTIONS(5197),
    [anon_sym_RBRACK] = ACTIONS(5197),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_COLON] = ACTIONS(5197),
    [anon_sym_QMARK] = ACTIONS(5197),
    [anon_sym_STAR_EQ] = ACTIONS(5197),
    [anon_sym_SLASH_EQ] = ACTIONS(5197),
    [anon_sym_PERCENT_EQ] = ACTIONS(5197),
    [anon_sym_PLUS_EQ] = ACTIONS(5197),
    [anon_sym_DASH_EQ] = ACTIONS(5197),
    [anon_sym_LT_LT_EQ] = ACTIONS(5197),
    [anon_sym_GT_GT_EQ] = ACTIONS(5197),
    [anon_sym_AMP_EQ] = ACTIONS(5197),
    [anon_sym_CARET_EQ] = ACTIONS(5197),
    [anon_sym_PIPE_EQ] = ACTIONS(5197),
    [anon_sym_and_eq] = ACTIONS(5195),
    [anon_sym_or_eq] = ACTIONS(5195),
    [anon_sym_xor_eq] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5197),
    [anon_sym_or] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(5195),
    [anon_sym_bitor] = ACTIONS(5195),
    [anon_sym_xor] = ACTIONS(5195),
    [anon_sym_bitand] = ACTIONS(5195),
    [anon_sym_not_eq] = ACTIONS(5195),
    [anon_sym_DASH_DASH] = ACTIONS(5197),
    [anon_sym_PLUS_PLUS] = ACTIONS(5197),
    [anon_sym_DOT] = ACTIONS(5195),
    [anon_sym_DOT_STAR] = ACTIONS(5197),
    [anon_sym_DASH_GT] = ACTIONS(5197),
    [anon_sym_L_DQUOTE] = ACTIONS(5197),
    [anon_sym_u_DQUOTE] = ACTIONS(5197),
    [anon_sym_U_DQUOTE] = ACTIONS(5197),
    [anon_sym_u8_DQUOTE] = ACTIONS(5197),
    [anon_sym_DQUOTE] = ACTIONS(5197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5197),
    [anon_sym_LR_DQUOTE] = ACTIONS(5197),
    [anon_sym_uR_DQUOTE] = ACTIONS(5197),
    [anon_sym_UR_DQUOTE] = ACTIONS(5197),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5197),
    [sym_literal_suffix] = ACTIONS(5195),
  },
  [1650] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [aux_sym_preproc_else_token1] = ACTIONS(1956),
    [aux_sym_preproc_elif_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
  },
  [1651] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
  },
  [1652] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(5199),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
  },
  [1653] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
  },
  [1654] = {
    [sym_identifier] = ACTIONS(5201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5203),
    [anon_sym_COMMA] = ACTIONS(5203),
    [anon_sym_RPAREN] = ACTIONS(5203),
    [aux_sym_preproc_if_token2] = ACTIONS(5203),
    [aux_sym_preproc_else_token1] = ACTIONS(5203),
    [aux_sym_preproc_elif_token1] = ACTIONS(5201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5203),
    [anon_sym_LPAREN2] = ACTIONS(5203),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_STAR] = ACTIONS(5201),
    [anon_sym_SLASH] = ACTIONS(5201),
    [anon_sym_PERCENT] = ACTIONS(5201),
    [anon_sym_PIPE_PIPE] = ACTIONS(5203),
    [anon_sym_AMP_AMP] = ACTIONS(5203),
    [anon_sym_PIPE] = ACTIONS(5201),
    [anon_sym_CARET] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(5201),
    [anon_sym_EQ_EQ] = ACTIONS(5203),
    [anon_sym_BANG_EQ] = ACTIONS(5203),
    [anon_sym_GT] = ACTIONS(5201),
    [anon_sym_GT_EQ] = ACTIONS(5203),
    [anon_sym_LT_EQ] = ACTIONS(5201),
    [anon_sym_LT] = ACTIONS(5201),
    [anon_sym_LT_LT] = ACTIONS(5201),
    [anon_sym_GT_GT] = ACTIONS(5201),
    [anon_sym_SEMI] = ACTIONS(5203),
    [anon_sym_RBRACE] = ACTIONS(5203),
    [anon_sym_LBRACK] = ACTIONS(5203),
    [anon_sym_RBRACK] = ACTIONS(5203),
    [anon_sym_EQ] = ACTIONS(5201),
    [anon_sym_COLON] = ACTIONS(5203),
    [anon_sym_QMARK] = ACTIONS(5203),
    [anon_sym_STAR_EQ] = ACTIONS(5203),
    [anon_sym_SLASH_EQ] = ACTIONS(5203),
    [anon_sym_PERCENT_EQ] = ACTIONS(5203),
    [anon_sym_PLUS_EQ] = ACTIONS(5203),
    [anon_sym_DASH_EQ] = ACTIONS(5203),
    [anon_sym_LT_LT_EQ] = ACTIONS(5203),
    [anon_sym_GT_GT_EQ] = ACTIONS(5203),
    [anon_sym_AMP_EQ] = ACTIONS(5203),
    [anon_sym_CARET_EQ] = ACTIONS(5203),
    [anon_sym_PIPE_EQ] = ACTIONS(5203),
    [anon_sym_and_eq] = ACTIONS(5201),
    [anon_sym_or_eq] = ACTIONS(5201),
    [anon_sym_xor_eq] = ACTIONS(5201),
    [anon_sym_LT_EQ_GT] = ACTIONS(5203),
    [anon_sym_or] = ACTIONS(5201),
    [anon_sym_and] = ACTIONS(5201),
    [anon_sym_bitor] = ACTIONS(5201),
    [anon_sym_xor] = ACTIONS(5201),
    [anon_sym_bitand] = ACTIONS(5201),
    [anon_sym_not_eq] = ACTIONS(5201),
    [anon_sym_DASH_DASH] = ACTIONS(5203),
    [anon_sym_PLUS_PLUS] = ACTIONS(5203),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_DOT_STAR] = ACTIONS(5203),
    [anon_sym_DASH_GT] = ACTIONS(5203),
    [anon_sym_L_DQUOTE] = ACTIONS(5203),
    [anon_sym_u_DQUOTE] = ACTIONS(5203),
    [anon_sym_U_DQUOTE] = ACTIONS(5203),
    [anon_sym_u8_DQUOTE] = ACTIONS(5203),
    [anon_sym_DQUOTE] = ACTIONS(5203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5203),
    [anon_sym_LR_DQUOTE] = ACTIONS(5203),
    [anon_sym_uR_DQUOTE] = ACTIONS(5203),
    [anon_sym_UR_DQUOTE] = ACTIONS(5203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5203),
    [sym_literal_suffix] = ACTIONS(5201),
  },
  [1655] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(7115),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(7115),
    [sym_variadic_parameter_declaration] = STATE(7115),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5205),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1656] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_friend] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
  },
  [1657] = {
    [sym_identifier] = ACTIONS(2752),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token2] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2752),
    [aux_sym_preproc_else_token1] = ACTIONS(2752),
    [aux_sym_preproc_elif_token1] = ACTIONS(2752),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2752),
    [sym_preproc_directive] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym___based] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_explicit] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_operator] = ACTIONS(2752),
    [anon_sym_friend] = ACTIONS(2752),
    [anon_sym_public] = ACTIONS(2752),
    [anon_sym_private] = ACTIONS(2752),
    [anon_sym_protected] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_static_assert] = ACTIONS(2752),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(5207),
    [aux_sym_preproc_def_token1] = ACTIONS(5207),
    [aux_sym_preproc_if_token1] = ACTIONS(5207),
    [aux_sym_preproc_if_token2] = ACTIONS(5207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5207),
    [aux_sym_preproc_else_token1] = ACTIONS(5207),
    [aux_sym_preproc_elif_token1] = ACTIONS(5207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5207),
    [sym_preproc_directive] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(5209),
    [anon_sym_TILDE] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_AMP_AMP] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5207),
    [anon_sym_SEMI] = ACTIONS(5209),
    [anon_sym___extension__] = ACTIONS(5207),
    [anon_sym_typedef] = ACTIONS(5207),
    [anon_sym_virtual] = ACTIONS(5207),
    [anon_sym_extern] = ACTIONS(5207),
    [anon_sym___attribute__] = ACTIONS(5207),
    [anon_sym_COLON_COLON] = ACTIONS(5209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5209),
    [anon_sym___declspec] = ACTIONS(5207),
    [anon_sym___based] = ACTIONS(5207),
    [anon_sym_signed] = ACTIONS(5207),
    [anon_sym_unsigned] = ACTIONS(5207),
    [anon_sym_long] = ACTIONS(5207),
    [anon_sym_short] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_static] = ACTIONS(5207),
    [anon_sym_register] = ACTIONS(5207),
    [anon_sym_inline] = ACTIONS(5207),
    [anon_sym___inline] = ACTIONS(5207),
    [anon_sym___inline__] = ACTIONS(5207),
    [anon_sym___forceinline] = ACTIONS(5207),
    [anon_sym_thread_local] = ACTIONS(5207),
    [anon_sym___thread] = ACTIONS(5207),
    [anon_sym_const] = ACTIONS(5207),
    [anon_sym_constexpr] = ACTIONS(5207),
    [anon_sym_volatile] = ACTIONS(5207),
    [anon_sym_restrict] = ACTIONS(5207),
    [anon_sym___restrict__] = ACTIONS(5207),
    [anon_sym__Atomic] = ACTIONS(5207),
    [anon_sym__Noreturn] = ACTIONS(5207),
    [anon_sym_noreturn] = ACTIONS(5207),
    [anon_sym__Nonnull] = ACTIONS(5207),
    [anon_sym_mutable] = ACTIONS(5207),
    [anon_sym_constinit] = ACTIONS(5207),
    [anon_sym_consteval] = ACTIONS(5207),
    [anon_sym_alignas] = ACTIONS(5207),
    [anon_sym__Alignas] = ACTIONS(5207),
    [sym_primitive_type] = ACTIONS(5207),
    [anon_sym_enum] = ACTIONS(5207),
    [anon_sym_class] = ACTIONS(5207),
    [anon_sym_struct] = ACTIONS(5207),
    [anon_sym_union] = ACTIONS(5207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5207),
    [anon_sym_decltype] = ACTIONS(5207),
    [anon_sym_explicit] = ACTIONS(5207),
    [anon_sym_typename] = ACTIONS(5207),
    [anon_sym_template] = ACTIONS(5207),
    [anon_sym_operator] = ACTIONS(5207),
    [anon_sym_friend] = ACTIONS(5207),
    [anon_sym_public] = ACTIONS(5207),
    [anon_sym_private] = ACTIONS(5207),
    [anon_sym_protected] = ACTIONS(5207),
    [anon_sym_using] = ACTIONS(5207),
    [anon_sym_static_assert] = ACTIONS(5207),
  },
  [1659] = {
    [sym_identifier] = ACTIONS(5211),
    [aux_sym_preproc_def_token1] = ACTIONS(5211),
    [aux_sym_preproc_if_token1] = ACTIONS(5211),
    [aux_sym_preproc_if_token2] = ACTIONS(5211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5211),
    [aux_sym_preproc_else_token1] = ACTIONS(5211),
    [aux_sym_preproc_elif_token1] = ACTIONS(5211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5211),
    [sym_preproc_directive] = ACTIONS(5211),
    [anon_sym_LPAREN2] = ACTIONS(5213),
    [anon_sym_TILDE] = ACTIONS(5213),
    [anon_sym_STAR] = ACTIONS(5213),
    [anon_sym_AMP_AMP] = ACTIONS(5213),
    [anon_sym_AMP] = ACTIONS(5211),
    [anon_sym_SEMI] = ACTIONS(5213),
    [anon_sym___extension__] = ACTIONS(5211),
    [anon_sym_typedef] = ACTIONS(5211),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5211),
    [anon_sym___attribute__] = ACTIONS(5211),
    [anon_sym_COLON_COLON] = ACTIONS(5213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5213),
    [anon_sym___declspec] = ACTIONS(5211),
    [anon_sym___based] = ACTIONS(5211),
    [anon_sym_signed] = ACTIONS(5211),
    [anon_sym_unsigned] = ACTIONS(5211),
    [anon_sym_long] = ACTIONS(5211),
    [anon_sym_short] = ACTIONS(5211),
    [anon_sym_LBRACK] = ACTIONS(5211),
    [anon_sym_static] = ACTIONS(5211),
    [anon_sym_register] = ACTIONS(5211),
    [anon_sym_inline] = ACTIONS(5211),
    [anon_sym___inline] = ACTIONS(5211),
    [anon_sym___inline__] = ACTIONS(5211),
    [anon_sym___forceinline] = ACTIONS(5211),
    [anon_sym_thread_local] = ACTIONS(5211),
    [anon_sym___thread] = ACTIONS(5211),
    [anon_sym_const] = ACTIONS(5211),
    [anon_sym_constexpr] = ACTIONS(5211),
    [anon_sym_volatile] = ACTIONS(5211),
    [anon_sym_restrict] = ACTIONS(5211),
    [anon_sym___restrict__] = ACTIONS(5211),
    [anon_sym__Atomic] = ACTIONS(5211),
    [anon_sym__Noreturn] = ACTIONS(5211),
    [anon_sym_noreturn] = ACTIONS(5211),
    [anon_sym__Nonnull] = ACTIONS(5211),
    [anon_sym_mutable] = ACTIONS(5211),
    [anon_sym_constinit] = ACTIONS(5211),
    [anon_sym_consteval] = ACTIONS(5211),
    [anon_sym_alignas] = ACTIONS(5211),
    [anon_sym__Alignas] = ACTIONS(5211),
    [sym_primitive_type] = ACTIONS(5211),
    [anon_sym_enum] = ACTIONS(5211),
    [anon_sym_class] = ACTIONS(5211),
    [anon_sym_struct] = ACTIONS(5211),
    [anon_sym_union] = ACTIONS(5211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5211),
    [anon_sym_decltype] = ACTIONS(5211),
    [anon_sym_explicit] = ACTIONS(5211),
    [anon_sym_typename] = ACTIONS(5211),
    [anon_sym_template] = ACTIONS(5211),
    [anon_sym_operator] = ACTIONS(5211),
    [anon_sym_friend] = ACTIONS(5211),
    [anon_sym_public] = ACTIONS(5211),
    [anon_sym_private] = ACTIONS(5211),
    [anon_sym_protected] = ACTIONS(5211),
    [anon_sym_using] = ACTIONS(5211),
    [anon_sym_static_assert] = ACTIONS(5211),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(5215),
    [aux_sym_preproc_def_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token2] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5215),
    [aux_sym_preproc_else_token1] = ACTIONS(5215),
    [aux_sym_preproc_elif_token1] = ACTIONS(5215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5215),
    [sym_preproc_directive] = ACTIONS(5215),
    [anon_sym_LPAREN2] = ACTIONS(5217),
    [anon_sym_TILDE] = ACTIONS(5217),
    [anon_sym_STAR] = ACTIONS(5217),
    [anon_sym_AMP_AMP] = ACTIONS(5217),
    [anon_sym_AMP] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5217),
    [anon_sym___extension__] = ACTIONS(5215),
    [anon_sym_typedef] = ACTIONS(5215),
    [anon_sym_virtual] = ACTIONS(5215),
    [anon_sym_extern] = ACTIONS(5215),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5217),
    [anon_sym___declspec] = ACTIONS(5215),
    [anon_sym___based] = ACTIONS(5215),
    [anon_sym_signed] = ACTIONS(5215),
    [anon_sym_unsigned] = ACTIONS(5215),
    [anon_sym_long] = ACTIONS(5215),
    [anon_sym_short] = ACTIONS(5215),
    [anon_sym_LBRACK] = ACTIONS(5215),
    [anon_sym_static] = ACTIONS(5215),
    [anon_sym_register] = ACTIONS(5215),
    [anon_sym_inline] = ACTIONS(5215),
    [anon_sym___inline] = ACTIONS(5215),
    [anon_sym___inline__] = ACTIONS(5215),
    [anon_sym___forceinline] = ACTIONS(5215),
    [anon_sym_thread_local] = ACTIONS(5215),
    [anon_sym___thread] = ACTIONS(5215),
    [anon_sym_const] = ACTIONS(5215),
    [anon_sym_constexpr] = ACTIONS(5215),
    [anon_sym_volatile] = ACTIONS(5215),
    [anon_sym_restrict] = ACTIONS(5215),
    [anon_sym___restrict__] = ACTIONS(5215),
    [anon_sym__Atomic] = ACTIONS(5215),
    [anon_sym__Noreturn] = ACTIONS(5215),
    [anon_sym_noreturn] = ACTIONS(5215),
    [anon_sym__Nonnull] = ACTIONS(5215),
    [anon_sym_mutable] = ACTIONS(5215),
    [anon_sym_constinit] = ACTIONS(5215),
    [anon_sym_consteval] = ACTIONS(5215),
    [anon_sym_alignas] = ACTIONS(5215),
    [anon_sym__Alignas] = ACTIONS(5215),
    [sym_primitive_type] = ACTIONS(5215),
    [anon_sym_enum] = ACTIONS(5215),
    [anon_sym_class] = ACTIONS(5215),
    [anon_sym_struct] = ACTIONS(5215),
    [anon_sym_union] = ACTIONS(5215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5215),
    [anon_sym_decltype] = ACTIONS(5215),
    [anon_sym_explicit] = ACTIONS(5215),
    [anon_sym_typename] = ACTIONS(5215),
    [anon_sym_template] = ACTIONS(5215),
    [anon_sym_operator] = ACTIONS(5215),
    [anon_sym_friend] = ACTIONS(5215),
    [anon_sym_public] = ACTIONS(5215),
    [anon_sym_private] = ACTIONS(5215),
    [anon_sym_protected] = ACTIONS(5215),
    [anon_sym_using] = ACTIONS(5215),
    [anon_sym_static_assert] = ACTIONS(5215),
  },
  [1661] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5149),
    [anon_sym_COMMA] = ACTIONS(5149),
    [anon_sym_RPAREN] = ACTIONS(5149),
    [aux_sym_preproc_if_token2] = ACTIONS(5149),
    [aux_sym_preproc_else_token1] = ACTIONS(5149),
    [aux_sym_preproc_elif_token1] = ACTIONS(5147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5149),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_DASH] = ACTIONS(5147),
    [anon_sym_PLUS] = ACTIONS(5147),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_SLASH] = ACTIONS(5147),
    [anon_sym_PERCENT] = ACTIONS(5147),
    [anon_sym_PIPE_PIPE] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_PIPE] = ACTIONS(5147),
    [anon_sym_CARET] = ACTIONS(5147),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_EQ_EQ] = ACTIONS(5149),
    [anon_sym_BANG_EQ] = ACTIONS(5149),
    [anon_sym_GT] = ACTIONS(5147),
    [anon_sym_GT_EQ] = ACTIONS(5149),
    [anon_sym_LT_EQ] = ACTIONS(5147),
    [anon_sym_LT] = ACTIONS(5147),
    [anon_sym_LT_LT] = ACTIONS(5147),
    [anon_sym_GT_GT] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_RBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5219),
    [anon_sym_unsigned] = ACTIONS(5219),
    [anon_sym_long] = ACTIONS(5219),
    [anon_sym_short] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_RBRACK] = ACTIONS(5149),
    [anon_sym_EQ] = ACTIONS(5147),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_COLON] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5149),
    [anon_sym_STAR_EQ] = ACTIONS(5149),
    [anon_sym_SLASH_EQ] = ACTIONS(5149),
    [anon_sym_PERCENT_EQ] = ACTIONS(5149),
    [anon_sym_PLUS_EQ] = ACTIONS(5149),
    [anon_sym_DASH_EQ] = ACTIONS(5149),
    [anon_sym_LT_LT_EQ] = ACTIONS(5149),
    [anon_sym_GT_GT_EQ] = ACTIONS(5149),
    [anon_sym_AMP_EQ] = ACTIONS(5149),
    [anon_sym_CARET_EQ] = ACTIONS(5149),
    [anon_sym_PIPE_EQ] = ACTIONS(5149),
    [anon_sym_and_eq] = ACTIONS(5147),
    [anon_sym_or_eq] = ACTIONS(5147),
    [anon_sym_xor_eq] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5149),
    [anon_sym_or] = ACTIONS(5147),
    [anon_sym_and] = ACTIONS(5147),
    [anon_sym_bitor] = ACTIONS(5147),
    [anon_sym_xor] = ACTIONS(5147),
    [anon_sym_bitand] = ACTIONS(5147),
    [anon_sym_not_eq] = ACTIONS(5147),
    [anon_sym_DASH_DASH] = ACTIONS(5149),
    [anon_sym_PLUS_PLUS] = ACTIONS(5149),
    [anon_sym_DOT] = ACTIONS(5147),
    [anon_sym_DOT_STAR] = ACTIONS(5149),
    [anon_sym_DASH_GT] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token2] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [aux_sym_preproc_else_token1] = ACTIONS(5222),
    [aux_sym_preproc_elif_token1] = ACTIONS(5222),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_AMP_AMP] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5224),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_virtual] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym_COLON_COLON] = ACTIONS(5224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___based] = ACTIONS(5222),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_mutable] = ACTIONS(5222),
    [anon_sym_constinit] = ACTIONS(5222),
    [anon_sym_consteval] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_class] = ACTIONS(5222),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5222),
    [anon_sym_decltype] = ACTIONS(5222),
    [anon_sym_explicit] = ACTIONS(5222),
    [anon_sym_typename] = ACTIONS(5222),
    [anon_sym_template] = ACTIONS(5222),
    [anon_sym_operator] = ACTIONS(5222),
    [anon_sym_friend] = ACTIONS(5222),
    [anon_sym_public] = ACTIONS(5222),
    [anon_sym_private] = ACTIONS(5222),
    [anon_sym_protected] = ACTIONS(5222),
    [anon_sym_using] = ACTIONS(5222),
    [anon_sym_static_assert] = ACTIONS(5222),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token2] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [aux_sym_preproc_else_token1] = ACTIONS(5222),
    [aux_sym_preproc_elif_token1] = ACTIONS(5222),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_AMP_AMP] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5224),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_virtual] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym_COLON_COLON] = ACTIONS(5224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___based] = ACTIONS(5222),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_mutable] = ACTIONS(5222),
    [anon_sym_constinit] = ACTIONS(5222),
    [anon_sym_consteval] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_class] = ACTIONS(5222),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5222),
    [anon_sym_decltype] = ACTIONS(5222),
    [anon_sym_explicit] = ACTIONS(5222),
    [anon_sym_typename] = ACTIONS(5222),
    [anon_sym_template] = ACTIONS(5222),
    [anon_sym_operator] = ACTIONS(5222),
    [anon_sym_friend] = ACTIONS(5222),
    [anon_sym_public] = ACTIONS(5222),
    [anon_sym_private] = ACTIONS(5222),
    [anon_sym_protected] = ACTIONS(5222),
    [anon_sym_using] = ACTIONS(5222),
    [anon_sym_static_assert] = ACTIONS(5222),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(5226),
    [aux_sym_preproc_def_token1] = ACTIONS(5226),
    [aux_sym_preproc_if_token1] = ACTIONS(5226),
    [aux_sym_preproc_if_token2] = ACTIONS(5226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5226),
    [aux_sym_preproc_else_token1] = ACTIONS(5226),
    [aux_sym_preproc_elif_token1] = ACTIONS(5226),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5226),
    [sym_preproc_directive] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_TILDE] = ACTIONS(5228),
    [anon_sym_STAR] = ACTIONS(5228),
    [anon_sym_AMP_AMP] = ACTIONS(5228),
    [anon_sym_AMP] = ACTIONS(5226),
    [anon_sym_SEMI] = ACTIONS(5228),
    [anon_sym___extension__] = ACTIONS(5226),
    [anon_sym_typedef] = ACTIONS(5226),
    [anon_sym_virtual] = ACTIONS(5226),
    [anon_sym_extern] = ACTIONS(5226),
    [anon_sym___attribute__] = ACTIONS(5226),
    [anon_sym_COLON_COLON] = ACTIONS(5228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5228),
    [anon_sym___declspec] = ACTIONS(5226),
    [anon_sym___based] = ACTIONS(5226),
    [anon_sym_signed] = ACTIONS(5226),
    [anon_sym_unsigned] = ACTIONS(5226),
    [anon_sym_long] = ACTIONS(5226),
    [anon_sym_short] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_static] = ACTIONS(5226),
    [anon_sym_register] = ACTIONS(5226),
    [anon_sym_inline] = ACTIONS(5226),
    [anon_sym___inline] = ACTIONS(5226),
    [anon_sym___inline__] = ACTIONS(5226),
    [anon_sym___forceinline] = ACTIONS(5226),
    [anon_sym_thread_local] = ACTIONS(5226),
    [anon_sym___thread] = ACTIONS(5226),
    [anon_sym_const] = ACTIONS(5226),
    [anon_sym_constexpr] = ACTIONS(5226),
    [anon_sym_volatile] = ACTIONS(5226),
    [anon_sym_restrict] = ACTIONS(5226),
    [anon_sym___restrict__] = ACTIONS(5226),
    [anon_sym__Atomic] = ACTIONS(5226),
    [anon_sym__Noreturn] = ACTIONS(5226),
    [anon_sym_noreturn] = ACTIONS(5226),
    [anon_sym__Nonnull] = ACTIONS(5226),
    [anon_sym_mutable] = ACTIONS(5226),
    [anon_sym_constinit] = ACTIONS(5226),
    [anon_sym_consteval] = ACTIONS(5226),
    [anon_sym_alignas] = ACTIONS(5226),
    [anon_sym__Alignas] = ACTIONS(5226),
    [sym_primitive_type] = ACTIONS(5226),
    [anon_sym_enum] = ACTIONS(5226),
    [anon_sym_class] = ACTIONS(5226),
    [anon_sym_struct] = ACTIONS(5226),
    [anon_sym_union] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5226),
    [anon_sym_decltype] = ACTIONS(5226),
    [anon_sym_explicit] = ACTIONS(5226),
    [anon_sym_typename] = ACTIONS(5226),
    [anon_sym_template] = ACTIONS(5226),
    [anon_sym_operator] = ACTIONS(5226),
    [anon_sym_friend] = ACTIONS(5226),
    [anon_sym_public] = ACTIONS(5226),
    [anon_sym_private] = ACTIONS(5226),
    [anon_sym_protected] = ACTIONS(5226),
    [anon_sym_using] = ACTIONS(5226),
    [anon_sym_static_assert] = ACTIONS(5226),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(5230),
    [aux_sym_preproc_def_token1] = ACTIONS(5230),
    [aux_sym_preproc_if_token1] = ACTIONS(5230),
    [aux_sym_preproc_if_token2] = ACTIONS(5230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5230),
    [aux_sym_preproc_else_token1] = ACTIONS(5230),
    [aux_sym_preproc_elif_token1] = ACTIONS(5230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5230),
    [sym_preproc_directive] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_TILDE] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_AMP_AMP] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5232),
    [anon_sym___extension__] = ACTIONS(5230),
    [anon_sym_typedef] = ACTIONS(5230),
    [anon_sym_virtual] = ACTIONS(5230),
    [anon_sym_extern] = ACTIONS(5230),
    [anon_sym___attribute__] = ACTIONS(5230),
    [anon_sym_COLON_COLON] = ACTIONS(5232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5232),
    [anon_sym___declspec] = ACTIONS(5230),
    [anon_sym___based] = ACTIONS(5230),
    [anon_sym_signed] = ACTIONS(5230),
    [anon_sym_unsigned] = ACTIONS(5230),
    [anon_sym_long] = ACTIONS(5230),
    [anon_sym_short] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_static] = ACTIONS(5230),
    [anon_sym_register] = ACTIONS(5230),
    [anon_sym_inline] = ACTIONS(5230),
    [anon_sym___inline] = ACTIONS(5230),
    [anon_sym___inline__] = ACTIONS(5230),
    [anon_sym___forceinline] = ACTIONS(5230),
    [anon_sym_thread_local] = ACTIONS(5230),
    [anon_sym___thread] = ACTIONS(5230),
    [anon_sym_const] = ACTIONS(5230),
    [anon_sym_constexpr] = ACTIONS(5230),
    [anon_sym_volatile] = ACTIONS(5230),
    [anon_sym_restrict] = ACTIONS(5230),
    [anon_sym___restrict__] = ACTIONS(5230),
    [anon_sym__Atomic] = ACTIONS(5230),
    [anon_sym__Noreturn] = ACTIONS(5230),
    [anon_sym_noreturn] = ACTIONS(5230),
    [anon_sym__Nonnull] = ACTIONS(5230),
    [anon_sym_mutable] = ACTIONS(5230),
    [anon_sym_constinit] = ACTIONS(5230),
    [anon_sym_consteval] = ACTIONS(5230),
    [anon_sym_alignas] = ACTIONS(5230),
    [anon_sym__Alignas] = ACTIONS(5230),
    [sym_primitive_type] = ACTIONS(5230),
    [anon_sym_enum] = ACTIONS(5230),
    [anon_sym_class] = ACTIONS(5230),
    [anon_sym_struct] = ACTIONS(5230),
    [anon_sym_union] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5230),
    [anon_sym_decltype] = ACTIONS(5230),
    [anon_sym_explicit] = ACTIONS(5230),
    [anon_sym_typename] = ACTIONS(5230),
    [anon_sym_template] = ACTIONS(5230),
    [anon_sym_operator] = ACTIONS(5230),
    [anon_sym_friend] = ACTIONS(5230),
    [anon_sym_public] = ACTIONS(5230),
    [anon_sym_private] = ACTIONS(5230),
    [anon_sym_protected] = ACTIONS(5230),
    [anon_sym_using] = ACTIONS(5230),
    [anon_sym_static_assert] = ACTIONS(5230),
  },
  [1666] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [aux_sym_preproc_else_token1] = ACTIONS(2834),
    [aux_sym_preproc_elif_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_friend] = ACTIONS(2834),
    [anon_sym_public] = ACTIONS(2834),
    [anon_sym_private] = ACTIONS(2834),
    [anon_sym_protected] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(3049),
    [aux_sym_preproc_def_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token2] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3049),
    [aux_sym_preproc_else_token1] = ACTIONS(3049),
    [aux_sym_preproc_elif_token1] = ACTIONS(3049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3049),
    [sym_preproc_directive] = ACTIONS(3049),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3049),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym___attribute__] = ACTIONS(3049),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3051),
    [anon_sym___declspec] = ACTIONS(3049),
    [anon_sym___based] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3049),
    [anon_sym_unsigned] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_register] = ACTIONS(3049),
    [anon_sym_inline] = ACTIONS(3049),
    [anon_sym___inline] = ACTIONS(3049),
    [anon_sym___inline__] = ACTIONS(3049),
    [anon_sym___forceinline] = ACTIONS(3049),
    [anon_sym_thread_local] = ACTIONS(3049),
    [anon_sym___thread] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_constexpr] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_restrict] = ACTIONS(3049),
    [anon_sym___restrict__] = ACTIONS(3049),
    [anon_sym__Atomic] = ACTIONS(3049),
    [anon_sym__Noreturn] = ACTIONS(3049),
    [anon_sym_noreturn] = ACTIONS(3049),
    [anon_sym__Nonnull] = ACTIONS(3049),
    [anon_sym_mutable] = ACTIONS(3049),
    [anon_sym_constinit] = ACTIONS(3049),
    [anon_sym_consteval] = ACTIONS(3049),
    [anon_sym_alignas] = ACTIONS(3049),
    [anon_sym__Alignas] = ACTIONS(3049),
    [sym_primitive_type] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_union] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3049),
    [anon_sym_decltype] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_typename] = ACTIONS(3049),
    [anon_sym_template] = ACTIONS(3049),
    [anon_sym_operator] = ACTIONS(3049),
    [anon_sym_friend] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_protected] = ACTIONS(3049),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static_assert] = ACTIONS(3049),
  },
  [1668] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6314),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6314),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1669] = {
    [sym_identifier] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [aux_sym_preproc_else_token1] = ACTIONS(5252),
    [aux_sym_preproc_elif_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_TILDE] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5254),
    [anon_sym_AMP_AMP] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [anon_sym___extension__] = ACTIONS(5252),
    [anon_sym_typedef] = ACTIONS(5252),
    [anon_sym_virtual] = ACTIONS(5252),
    [anon_sym_extern] = ACTIONS(5252),
    [anon_sym___attribute__] = ACTIONS(5252),
    [anon_sym_COLON_COLON] = ACTIONS(5254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5254),
    [anon_sym___declspec] = ACTIONS(5252),
    [anon_sym___based] = ACTIONS(5252),
    [anon_sym_signed] = ACTIONS(5252),
    [anon_sym_unsigned] = ACTIONS(5252),
    [anon_sym_long] = ACTIONS(5252),
    [anon_sym_short] = ACTIONS(5252),
    [anon_sym_LBRACK] = ACTIONS(5252),
    [anon_sym_static] = ACTIONS(5252),
    [anon_sym_register] = ACTIONS(5252),
    [anon_sym_inline] = ACTIONS(5252),
    [anon_sym___inline] = ACTIONS(5252),
    [anon_sym___inline__] = ACTIONS(5252),
    [anon_sym___forceinline] = ACTIONS(5252),
    [anon_sym_thread_local] = ACTIONS(5252),
    [anon_sym___thread] = ACTIONS(5252),
    [anon_sym_const] = ACTIONS(5252),
    [anon_sym_constexpr] = ACTIONS(5252),
    [anon_sym_volatile] = ACTIONS(5252),
    [anon_sym_restrict] = ACTIONS(5252),
    [anon_sym___restrict__] = ACTIONS(5252),
    [anon_sym__Atomic] = ACTIONS(5252),
    [anon_sym__Noreturn] = ACTIONS(5252),
    [anon_sym_noreturn] = ACTIONS(5252),
    [anon_sym__Nonnull] = ACTIONS(5252),
    [anon_sym_mutable] = ACTIONS(5252),
    [anon_sym_constinit] = ACTIONS(5252),
    [anon_sym_consteval] = ACTIONS(5252),
    [anon_sym_alignas] = ACTIONS(5252),
    [anon_sym__Alignas] = ACTIONS(5252),
    [sym_primitive_type] = ACTIONS(5252),
    [anon_sym_enum] = ACTIONS(5252),
    [anon_sym_class] = ACTIONS(5252),
    [anon_sym_struct] = ACTIONS(5252),
    [anon_sym_union] = ACTIONS(5252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5252),
    [anon_sym_decltype] = ACTIONS(5252),
    [anon_sym_explicit] = ACTIONS(5252),
    [anon_sym_typename] = ACTIONS(5252),
    [anon_sym_template] = ACTIONS(5252),
    [anon_sym_operator] = ACTIONS(5252),
    [anon_sym_friend] = ACTIONS(5252),
    [anon_sym_public] = ACTIONS(5252),
    [anon_sym_private] = ACTIONS(5252),
    [anon_sym_protected] = ACTIONS(5252),
    [anon_sym_using] = ACTIONS(5252),
    [anon_sym_static_assert] = ACTIONS(5252),
  },
  [1670] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [sym_identifier] = ACTIONS(4031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [aux_sym_preproc_if_token2] = ACTIONS(4023),
    [aux_sym_preproc_else_token1] = ACTIONS(4023),
    [aux_sym_preproc_elif_token1] = ACTIONS(4031),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(5256),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(5259),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(5261),
    [anon_sym_SLASH_EQ] = ACTIONS(5261),
    [anon_sym_PERCENT_EQ] = ACTIONS(5261),
    [anon_sym_PLUS_EQ] = ACTIONS(5261),
    [anon_sym_DASH_EQ] = ACTIONS(5261),
    [anon_sym_LT_LT_EQ] = ACTIONS(5261),
    [anon_sym_GT_GT_EQ] = ACTIONS(5261),
    [anon_sym_AMP_EQ] = ACTIONS(5261),
    [anon_sym_CARET_EQ] = ACTIONS(5261),
    [anon_sym_PIPE_EQ] = ACTIONS(5261),
    [anon_sym_and_eq] = ACTIONS(5259),
    [anon_sym_or_eq] = ACTIONS(5259),
    [anon_sym_xor_eq] = ACTIONS(5259),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4031),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4031),
    [anon_sym_not_eq] = ACTIONS(4031),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(5263),
    [aux_sym_preproc_def_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token2] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5263),
    [aux_sym_preproc_else_token1] = ACTIONS(5263),
    [aux_sym_preproc_elif_token1] = ACTIONS(5263),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5263),
    [sym_preproc_directive] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_STAR] = ACTIONS(5265),
    [anon_sym_AMP_AMP] = ACTIONS(5265),
    [anon_sym_AMP] = ACTIONS(5263),
    [anon_sym_SEMI] = ACTIONS(5265),
    [anon_sym___extension__] = ACTIONS(5263),
    [anon_sym_typedef] = ACTIONS(5263),
    [anon_sym_virtual] = ACTIONS(5263),
    [anon_sym_extern] = ACTIONS(5263),
    [anon_sym___attribute__] = ACTIONS(5263),
    [anon_sym_COLON_COLON] = ACTIONS(5265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5265),
    [anon_sym___declspec] = ACTIONS(5263),
    [anon_sym___based] = ACTIONS(5263),
    [anon_sym_signed] = ACTIONS(5263),
    [anon_sym_unsigned] = ACTIONS(5263),
    [anon_sym_long] = ACTIONS(5263),
    [anon_sym_short] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_static] = ACTIONS(5263),
    [anon_sym_register] = ACTIONS(5263),
    [anon_sym_inline] = ACTIONS(5263),
    [anon_sym___inline] = ACTIONS(5263),
    [anon_sym___inline__] = ACTIONS(5263),
    [anon_sym___forceinline] = ACTIONS(5263),
    [anon_sym_thread_local] = ACTIONS(5263),
    [anon_sym___thread] = ACTIONS(5263),
    [anon_sym_const] = ACTIONS(5263),
    [anon_sym_constexpr] = ACTIONS(5263),
    [anon_sym_volatile] = ACTIONS(5263),
    [anon_sym_restrict] = ACTIONS(5263),
    [anon_sym___restrict__] = ACTIONS(5263),
    [anon_sym__Atomic] = ACTIONS(5263),
    [anon_sym__Noreturn] = ACTIONS(5263),
    [anon_sym_noreturn] = ACTIONS(5263),
    [anon_sym__Nonnull] = ACTIONS(5263),
    [anon_sym_mutable] = ACTIONS(5263),
    [anon_sym_constinit] = ACTIONS(5263),
    [anon_sym_consteval] = ACTIONS(5263),
    [anon_sym_alignas] = ACTIONS(5263),
    [anon_sym__Alignas] = ACTIONS(5263),
    [sym_primitive_type] = ACTIONS(5263),
    [anon_sym_enum] = ACTIONS(5263),
    [anon_sym_class] = ACTIONS(5263),
    [anon_sym_struct] = ACTIONS(5263),
    [anon_sym_union] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5263),
    [anon_sym_decltype] = ACTIONS(5263),
    [anon_sym_explicit] = ACTIONS(5263),
    [anon_sym_typename] = ACTIONS(5263),
    [anon_sym_template] = ACTIONS(5263),
    [anon_sym_operator] = ACTIONS(5263),
    [anon_sym_friend] = ACTIONS(5263),
    [anon_sym_public] = ACTIONS(5263),
    [anon_sym_private] = ACTIONS(5263),
    [anon_sym_protected] = ACTIONS(5263),
    [anon_sym_using] = ACTIONS(5263),
    [anon_sym_static_assert] = ACTIONS(5263),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(5267),
    [aux_sym_preproc_def_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token2] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5267),
    [aux_sym_preproc_else_token1] = ACTIONS(5267),
    [aux_sym_preproc_elif_token1] = ACTIONS(5267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5267),
    [sym_preproc_directive] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(5269),
    [anon_sym_TILDE] = ACTIONS(5269),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_AMP] = ACTIONS(5267),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym___extension__] = ACTIONS(5267),
    [anon_sym_typedef] = ACTIONS(5267),
    [anon_sym_virtual] = ACTIONS(5267),
    [anon_sym_extern] = ACTIONS(5267),
    [anon_sym___attribute__] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(5269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5269),
    [anon_sym___declspec] = ACTIONS(5267),
    [anon_sym___based] = ACTIONS(5267),
    [anon_sym_signed] = ACTIONS(5267),
    [anon_sym_unsigned] = ACTIONS(5267),
    [anon_sym_long] = ACTIONS(5267),
    [anon_sym_short] = ACTIONS(5267),
    [anon_sym_LBRACK] = ACTIONS(5267),
    [anon_sym_static] = ACTIONS(5267),
    [anon_sym_register] = ACTIONS(5267),
    [anon_sym_inline] = ACTIONS(5267),
    [anon_sym___inline] = ACTIONS(5267),
    [anon_sym___inline__] = ACTIONS(5267),
    [anon_sym___forceinline] = ACTIONS(5267),
    [anon_sym_thread_local] = ACTIONS(5267),
    [anon_sym___thread] = ACTIONS(5267),
    [anon_sym_const] = ACTIONS(5267),
    [anon_sym_constexpr] = ACTIONS(5267),
    [anon_sym_volatile] = ACTIONS(5267),
    [anon_sym_restrict] = ACTIONS(5267),
    [anon_sym___restrict__] = ACTIONS(5267),
    [anon_sym__Atomic] = ACTIONS(5267),
    [anon_sym__Noreturn] = ACTIONS(5267),
    [anon_sym_noreturn] = ACTIONS(5267),
    [anon_sym__Nonnull] = ACTIONS(5267),
    [anon_sym_mutable] = ACTIONS(5267),
    [anon_sym_constinit] = ACTIONS(5267),
    [anon_sym_consteval] = ACTIONS(5267),
    [anon_sym_alignas] = ACTIONS(5267),
    [anon_sym__Alignas] = ACTIONS(5267),
    [sym_primitive_type] = ACTIONS(5267),
    [anon_sym_enum] = ACTIONS(5267),
    [anon_sym_class] = ACTIONS(5267),
    [anon_sym_struct] = ACTIONS(5267),
    [anon_sym_union] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5267),
    [anon_sym_decltype] = ACTIONS(5267),
    [anon_sym_explicit] = ACTIONS(5267),
    [anon_sym_typename] = ACTIONS(5267),
    [anon_sym_template] = ACTIONS(5267),
    [anon_sym_operator] = ACTIONS(5267),
    [anon_sym_friend] = ACTIONS(5267),
    [anon_sym_public] = ACTIONS(5267),
    [anon_sym_private] = ACTIONS(5267),
    [anon_sym_protected] = ACTIONS(5267),
    [anon_sym_using] = ACTIONS(5267),
    [anon_sym_static_assert] = ACTIONS(5267),
  },
  [1673] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4841),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4841),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4841),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4841),
    [anon_sym_GT_GT] = ACTIONS(4841),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_signed] = ACTIONS(4839),
    [anon_sym_unsigned] = ACTIONS(4839),
    [anon_sym_long] = ACTIONS(4839),
    [anon_sym_short] = ACTIONS(4839),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_RBRACK] = ACTIONS(4841),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [sym_primitive_type] = ACTIONS(4839),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_final] = ACTIONS(4839),
    [anon_sym_override] = ACTIONS(4839),
    [anon_sym_requires] = ACTIONS(4839),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [aux_sym_preproc_else_token1] = ACTIONS(5271),
    [aux_sym_preproc_elif_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [sym_primitive_type] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(3053),
    [aux_sym_preproc_def_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token2] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3053),
    [aux_sym_preproc_else_token1] = ACTIONS(3053),
    [aux_sym_preproc_elif_token1] = ACTIONS(3053),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3053),
    [sym_preproc_directive] = ACTIONS(3053),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym___extension__] = ACTIONS(3053),
    [anon_sym_typedef] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym___attribute__] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3055),
    [anon_sym___declspec] = ACTIONS(3053),
    [anon_sym___based] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3053),
    [anon_sym_unsigned] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [anon_sym_register] = ACTIONS(3053),
    [anon_sym_inline] = ACTIONS(3053),
    [anon_sym___inline] = ACTIONS(3053),
    [anon_sym___inline__] = ACTIONS(3053),
    [anon_sym___forceinline] = ACTIONS(3053),
    [anon_sym_thread_local] = ACTIONS(3053),
    [anon_sym___thread] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_constexpr] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_restrict] = ACTIONS(3053),
    [anon_sym___restrict__] = ACTIONS(3053),
    [anon_sym__Atomic] = ACTIONS(3053),
    [anon_sym__Noreturn] = ACTIONS(3053),
    [anon_sym_noreturn] = ACTIONS(3053),
    [anon_sym__Nonnull] = ACTIONS(3053),
    [anon_sym_mutable] = ACTIONS(3053),
    [anon_sym_constinit] = ACTIONS(3053),
    [anon_sym_consteval] = ACTIONS(3053),
    [anon_sym_alignas] = ACTIONS(3053),
    [anon_sym__Alignas] = ACTIONS(3053),
    [sym_primitive_type] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3053),
    [anon_sym_decltype] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_typename] = ACTIONS(3053),
    [anon_sym_template] = ACTIONS(3053),
    [anon_sym_operator] = ACTIONS(3053),
    [anon_sym_friend] = ACTIONS(3053),
    [anon_sym_public] = ACTIONS(3053),
    [anon_sym_private] = ACTIONS(3053),
    [anon_sym_protected] = ACTIONS(3053),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static_assert] = ACTIONS(3053),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token2] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [aux_sym_preproc_else_token1] = ACTIONS(3065),
    [aux_sym_preproc_elif_token1] = ACTIONS(3065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3065),
    [anon_sym_private] = ACTIONS(3065),
    [anon_sym_protected] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4845),
    [anon_sym_GT_GT] = ACTIONS(4845),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_signed] = ACTIONS(4843),
    [anon_sym_unsigned] = ACTIONS(4843),
    [anon_sym_long] = ACTIONS(4843),
    [anon_sym_short] = ACTIONS(4843),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [sym_primitive_type] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
    [anon_sym_requires] = ACTIONS(4843),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym__Nonnull] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym__Nonnull] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [aux_sym_preproc_else_token1] = ACTIONS(5271),
    [aux_sym_preproc_elif_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [sym_primitive_type] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym__Nonnull] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_friend] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym__Nonnull] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(5275),
    [aux_sym_preproc_def_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token2] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5275),
    [aux_sym_preproc_else_token1] = ACTIONS(5275),
    [aux_sym_preproc_elif_token1] = ACTIONS(5275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5275),
    [sym_preproc_directive] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_STAR] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___extension__] = ACTIONS(5275),
    [anon_sym_typedef] = ACTIONS(5275),
    [anon_sym_virtual] = ACTIONS(5275),
    [anon_sym_extern] = ACTIONS(5275),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym_COLON_COLON] = ACTIONS(5277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5277),
    [anon_sym___declspec] = ACTIONS(5275),
    [anon_sym___based] = ACTIONS(5275),
    [anon_sym_signed] = ACTIONS(5275),
    [anon_sym_unsigned] = ACTIONS(5275),
    [anon_sym_long] = ACTIONS(5275),
    [anon_sym_short] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5275),
    [anon_sym_register] = ACTIONS(5275),
    [anon_sym_inline] = ACTIONS(5275),
    [anon_sym___inline] = ACTIONS(5275),
    [anon_sym___inline__] = ACTIONS(5275),
    [anon_sym___forceinline] = ACTIONS(5275),
    [anon_sym_thread_local] = ACTIONS(5275),
    [anon_sym___thread] = ACTIONS(5275),
    [anon_sym_const] = ACTIONS(5275),
    [anon_sym_constexpr] = ACTIONS(5275),
    [anon_sym_volatile] = ACTIONS(5275),
    [anon_sym_restrict] = ACTIONS(5275),
    [anon_sym___restrict__] = ACTIONS(5275),
    [anon_sym__Atomic] = ACTIONS(5275),
    [anon_sym__Noreturn] = ACTIONS(5275),
    [anon_sym_noreturn] = ACTIONS(5275),
    [anon_sym__Nonnull] = ACTIONS(5275),
    [anon_sym_mutable] = ACTIONS(5275),
    [anon_sym_constinit] = ACTIONS(5275),
    [anon_sym_consteval] = ACTIONS(5275),
    [anon_sym_alignas] = ACTIONS(5275),
    [anon_sym__Alignas] = ACTIONS(5275),
    [sym_primitive_type] = ACTIONS(5275),
    [anon_sym_enum] = ACTIONS(5275),
    [anon_sym_class] = ACTIONS(5275),
    [anon_sym_struct] = ACTIONS(5275),
    [anon_sym_union] = ACTIONS(5275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
    [anon_sym_explicit] = ACTIONS(5275),
    [anon_sym_typename] = ACTIONS(5275),
    [anon_sym_template] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5275),
    [anon_sym_friend] = ACTIONS(5275),
    [anon_sym_public] = ACTIONS(5275),
    [anon_sym_private] = ACTIONS(5275),
    [anon_sym_protected] = ACTIONS(5275),
    [anon_sym_using] = ACTIONS(5275),
    [anon_sym_static_assert] = ACTIONS(5275),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(5279),
    [aux_sym_preproc_def_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token2] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5279),
    [aux_sym_preproc_else_token1] = ACTIONS(5279),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5279),
    [sym_preproc_directive] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_TILDE] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___extension__] = ACTIONS(5279),
    [anon_sym_typedef] = ACTIONS(5279),
    [anon_sym_virtual] = ACTIONS(5279),
    [anon_sym_extern] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5281),
    [anon_sym___declspec] = ACTIONS(5279),
    [anon_sym___based] = ACTIONS(5279),
    [anon_sym_signed] = ACTIONS(5279),
    [anon_sym_unsigned] = ACTIONS(5279),
    [anon_sym_long] = ACTIONS(5279),
    [anon_sym_short] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_static] = ACTIONS(5279),
    [anon_sym_register] = ACTIONS(5279),
    [anon_sym_inline] = ACTIONS(5279),
    [anon_sym___inline] = ACTIONS(5279),
    [anon_sym___inline__] = ACTIONS(5279),
    [anon_sym___forceinline] = ACTIONS(5279),
    [anon_sym_thread_local] = ACTIONS(5279),
    [anon_sym___thread] = ACTIONS(5279),
    [anon_sym_const] = ACTIONS(5279),
    [anon_sym_constexpr] = ACTIONS(5279),
    [anon_sym_volatile] = ACTIONS(5279),
    [anon_sym_restrict] = ACTIONS(5279),
    [anon_sym___restrict__] = ACTIONS(5279),
    [anon_sym__Atomic] = ACTIONS(5279),
    [anon_sym__Noreturn] = ACTIONS(5279),
    [anon_sym_noreturn] = ACTIONS(5279),
    [anon_sym__Nonnull] = ACTIONS(5279),
    [anon_sym_mutable] = ACTIONS(5279),
    [anon_sym_constinit] = ACTIONS(5279),
    [anon_sym_consteval] = ACTIONS(5279),
    [anon_sym_alignas] = ACTIONS(5279),
    [anon_sym__Alignas] = ACTIONS(5279),
    [sym_primitive_type] = ACTIONS(5279),
    [anon_sym_enum] = ACTIONS(5279),
    [anon_sym_class] = ACTIONS(5279),
    [anon_sym_struct] = ACTIONS(5279),
    [anon_sym_union] = ACTIONS(5279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5279),
    [anon_sym_decltype] = ACTIONS(5279),
    [anon_sym_explicit] = ACTIONS(5279),
    [anon_sym_typename] = ACTIONS(5279),
    [anon_sym_template] = ACTIONS(5279),
    [anon_sym_operator] = ACTIONS(5279),
    [anon_sym_friend] = ACTIONS(5279),
    [anon_sym_public] = ACTIONS(5279),
    [anon_sym_private] = ACTIONS(5279),
    [anon_sym_protected] = ACTIONS(5279),
    [anon_sym_using] = ACTIONS(5279),
    [anon_sym_static_assert] = ACTIONS(5279),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [aux_sym_preproc_else_token1] = ACTIONS(2760),
    [aux_sym_preproc_elif_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_friend] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
  },
  [1686] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5822),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6314),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6314),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1687] = {
    [sym_identifier] = ACTIONS(5283),
    [aux_sym_preproc_def_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token2] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5283),
    [aux_sym_preproc_else_token1] = ACTIONS(5283),
    [aux_sym_preproc_elif_token1] = ACTIONS(5283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5283),
    [sym_preproc_directive] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_typedef] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [sym_primitive_type] = ACTIONS(5283),
    [anon_sym_enum] = ACTIONS(5283),
    [anon_sym_class] = ACTIONS(5283),
    [anon_sym_struct] = ACTIONS(5283),
    [anon_sym_union] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_explicit] = ACTIONS(5283),
    [anon_sym_typename] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_friend] = ACTIONS(5283),
    [anon_sym_public] = ACTIONS(5283),
    [anon_sym_private] = ACTIONS(5283),
    [anon_sym_protected] = ACTIONS(5283),
    [anon_sym_using] = ACTIONS(5283),
    [anon_sym_static_assert] = ACTIONS(5283),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4849),
    [anon_sym_GT_GT] = ACTIONS(4849),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_signed] = ACTIONS(4847),
    [anon_sym_unsigned] = ACTIONS(4847),
    [anon_sym_long] = ACTIONS(4847),
    [anon_sym_short] = ACTIONS(4847),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [sym_primitive_type] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
    [anon_sym_requires] = ACTIONS(4847),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym__Nonnull] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym__Alignas] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_friend] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5289),
    [anon_sym_COMMA] = ACTIONS(5289),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_DASH] = ACTIONS(5287),
    [anon_sym_PLUS] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_SLASH] = ACTIONS(5287),
    [anon_sym_PERCENT] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_PIPE] = ACTIONS(5287),
    [anon_sym_CARET] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym_EQ_EQ] = ACTIONS(5289),
    [anon_sym_BANG_EQ] = ACTIONS(5289),
    [anon_sym_GT] = ACTIONS(5287),
    [anon_sym_GT_EQ] = ACTIONS(5289),
    [anon_sym_LT_EQ] = ACTIONS(5287),
    [anon_sym_LT] = ACTIONS(5287),
    [anon_sym_LT_LT] = ACTIONS(5289),
    [anon_sym_GT_GT] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5289),
    [anon_sym___extension__] = ACTIONS(5287),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5289),
    [anon_sym_RBRACE] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5287),
    [anon_sym_unsigned] = ACTIONS(5287),
    [anon_sym_long] = ACTIONS(5287),
    [anon_sym_short] = ACTIONS(5287),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_RBRACK] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5287),
    [anon_sym_constexpr] = ACTIONS(5287),
    [anon_sym_volatile] = ACTIONS(5287),
    [anon_sym_restrict] = ACTIONS(5287),
    [anon_sym___restrict__] = ACTIONS(5287),
    [anon_sym__Atomic] = ACTIONS(5287),
    [anon_sym__Noreturn] = ACTIONS(5287),
    [anon_sym_noreturn] = ACTIONS(5287),
    [anon_sym__Nonnull] = ACTIONS(5287),
    [anon_sym_mutable] = ACTIONS(5287),
    [anon_sym_constinit] = ACTIONS(5287),
    [anon_sym_consteval] = ACTIONS(5287),
    [anon_sym_alignas] = ACTIONS(5287),
    [anon_sym__Alignas] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(5287),
    [anon_sym_COLON] = ACTIONS(5287),
    [anon_sym_QMARK] = ACTIONS(5289),
    [anon_sym_LT_EQ_GT] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [anon_sym_bitor] = ACTIONS(5287),
    [anon_sym_xor] = ACTIONS(5287),
    [anon_sym_bitand] = ACTIONS(5287),
    [anon_sym_not_eq] = ACTIONS(5287),
    [anon_sym_DASH_DASH] = ACTIONS(5289),
    [anon_sym_PLUS_PLUS] = ACTIONS(5289),
    [anon_sym_DOT] = ACTIONS(5287),
    [anon_sym_DOT_STAR] = ACTIONS(5289),
    [anon_sym_DASH_GT] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_final] = ACTIONS(5287),
    [anon_sym_override] = ACTIONS(5287),
    [anon_sym_requires] = ACTIONS(5287),
  },
  [1691] = {
    [sym_identifier] = ACTIONS(5291),
    [aux_sym_preproc_def_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5291),
    [aux_sym_preproc_else_token1] = ACTIONS(5291),
    [aux_sym_preproc_elif_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5291),
    [sym_preproc_directive] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5293),
    [anon_sym_TILDE] = ACTIONS(5293),
    [anon_sym_STAR] = ACTIONS(5293),
    [anon_sym_AMP_AMP] = ACTIONS(5293),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5293),
    [anon_sym___extension__] = ACTIONS(5291),
    [anon_sym_typedef] = ACTIONS(5291),
    [anon_sym_virtual] = ACTIONS(5291),
    [anon_sym_extern] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5293),
    [anon_sym___declspec] = ACTIONS(5291),
    [anon_sym___based] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5291),
    [anon_sym_unsigned] = ACTIONS(5291),
    [anon_sym_long] = ACTIONS(5291),
    [anon_sym_short] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_static] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5291),
    [anon_sym_inline] = ACTIONS(5291),
    [anon_sym___inline] = ACTIONS(5291),
    [anon_sym___inline__] = ACTIONS(5291),
    [anon_sym___forceinline] = ACTIONS(5291),
    [anon_sym_thread_local] = ACTIONS(5291),
    [anon_sym___thread] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5291),
    [anon_sym_constexpr] = ACTIONS(5291),
    [anon_sym_volatile] = ACTIONS(5291),
    [anon_sym_restrict] = ACTIONS(5291),
    [anon_sym___restrict__] = ACTIONS(5291),
    [anon_sym__Atomic] = ACTIONS(5291),
    [anon_sym__Noreturn] = ACTIONS(5291),
    [anon_sym_noreturn] = ACTIONS(5291),
    [anon_sym__Nonnull] = ACTIONS(5291),
    [anon_sym_mutable] = ACTIONS(5291),
    [anon_sym_constinit] = ACTIONS(5291),
    [anon_sym_consteval] = ACTIONS(5291),
    [anon_sym_alignas] = ACTIONS(5291),
    [anon_sym__Alignas] = ACTIONS(5291),
    [sym_primitive_type] = ACTIONS(5291),
    [anon_sym_enum] = ACTIONS(5291),
    [anon_sym_class] = ACTIONS(5291),
    [anon_sym_struct] = ACTIONS(5291),
    [anon_sym_union] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5291),
    [anon_sym_decltype] = ACTIONS(5291),
    [anon_sym_explicit] = ACTIONS(5291),
    [anon_sym_typename] = ACTIONS(5291),
    [anon_sym_template] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5291),
    [anon_sym_friend] = ACTIONS(5291),
    [anon_sym_public] = ACTIONS(5291),
    [anon_sym_private] = ACTIONS(5291),
    [anon_sym_protected] = ACTIONS(5291),
    [anon_sym_using] = ACTIONS(5291),
    [anon_sym_static_assert] = ACTIONS(5291),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [aux_sym_preproc_else_token1] = ACTIONS(5295),
    [aux_sym_preproc_elif_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [sym_primitive_type] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1693] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5914),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6326),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6326),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [aux_sym_preproc_else_token1] = ACTIONS(2744),
    [aux_sym_preproc_elif_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(2531),
    [anon_sym_LPAREN2] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym___extension__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2521),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(2531),
    [anon_sym_compl] = ACTIONS(2531),
    [anon_sym_DASH_DASH] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2521),
    [anon_sym_sizeof] = ACTIONS(2531),
    [anon_sym___alignof__] = ACTIONS(2531),
    [anon_sym___alignof] = ACTIONS(2531),
    [anon_sym__alignof] = ACTIONS(2531),
    [anon_sym_alignof] = ACTIONS(2531),
    [anon_sym__Alignof] = ACTIONS(2531),
    [anon_sym_offsetof] = ACTIONS(2531),
    [anon_sym__Generic] = ACTIONS(2531),
    [anon_sym_asm] = ACTIONS(2531),
    [anon_sym___asm__] = ACTIONS(2531),
    [anon_sym___asm] = ACTIONS(2531),
    [sym_number_literal] = ACTIONS(2521),
    [anon_sym_L_SQUOTE] = ACTIONS(2521),
    [anon_sym_u_SQUOTE] = ACTIONS(2521),
    [anon_sym_U_SQUOTE] = ACTIONS(2521),
    [anon_sym_u8_SQUOTE] = ACTIONS(2521),
    [anon_sym_SQUOTE] = ACTIONS(2521),
    [anon_sym_L_DQUOTE] = ACTIONS(2521),
    [anon_sym_u_DQUOTE] = ACTIONS(2521),
    [anon_sym_U_DQUOTE] = ACTIONS(2521),
    [anon_sym_u8_DQUOTE] = ACTIONS(2521),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [sym_true] = ACTIONS(2531),
    [sym_false] = ACTIONS(2531),
    [anon_sym_NULL] = ACTIONS(2531),
    [anon_sym_nullptr] = ACTIONS(2531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(2531),
    [anon_sym_R_DQUOTE] = ACTIONS(2521),
    [anon_sym_LR_DQUOTE] = ACTIONS(2521),
    [anon_sym_uR_DQUOTE] = ACTIONS(2521),
    [anon_sym_UR_DQUOTE] = ACTIONS(2521),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2521),
    [anon_sym_co_await] = ACTIONS(2531),
    [anon_sym_new] = ACTIONS(2531),
    [anon_sym_requires] = ACTIONS(2531),
    [sym_this] = ACTIONS(2531),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [sym_primitive_type] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [aux_sym_preproc_else_token1] = ACTIONS(5303),
    [aux_sym_preproc_elif_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [sym_primitive_type] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token2] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [aux_sym_preproc_else_token1] = ACTIONS(5307),
    [aux_sym_preproc_elif_token1] = ACTIONS(5307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [sym_primitive_type] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [aux_sym_preproc_else_token1] = ACTIONS(5303),
    [aux_sym_preproc_elif_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [sym_primitive_type] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token2] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [aux_sym_preproc_else_token1] = ACTIONS(5307),
    [aux_sym_preproc_elif_token1] = ACTIONS(5307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [sym_primitive_type] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [1701] = {
    [sym_attribute_specifier] = STATE(2226),
    [sym_field_declaration_list] = STATE(2138),
    [sym_virtual_specifier] = STATE(6535),
    [sym_base_class_clause] = STATE(7160),
    [sym_identifier] = ACTIONS(5311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5313),
    [anon_sym_RPAREN] = ACTIONS(5313),
    [aux_sym_preproc_if_token2] = ACTIONS(5313),
    [aux_sym_preproc_else_token1] = ACTIONS(5313),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5313),
    [anon_sym_BANG_EQ] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5313),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5317),
    [anon_sym_RBRACE] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_RBRACK] = ACTIONS(5313),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_STAR_EQ] = ACTIONS(5313),
    [anon_sym_SLASH_EQ] = ACTIONS(5313),
    [anon_sym_PERCENT_EQ] = ACTIONS(5313),
    [anon_sym_PLUS_EQ] = ACTIONS(5313),
    [anon_sym_DASH_EQ] = ACTIONS(5313),
    [anon_sym_LT_LT_EQ] = ACTIONS(5313),
    [anon_sym_GT_GT_EQ] = ACTIONS(5313),
    [anon_sym_AMP_EQ] = ACTIONS(5313),
    [anon_sym_CARET_EQ] = ACTIONS(5313),
    [anon_sym_PIPE_EQ] = ACTIONS(5313),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5313),
    [anon_sym_PLUS_PLUS] = ACTIONS(5313),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5313),
    [anon_sym_DASH_GT] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5311),
    [anon_sym_decltype] = ACTIONS(5311),
    [anon_sym_final] = ACTIONS(5321),
    [anon_sym_override] = ACTIONS(5321),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [aux_sym_preproc_else_token1] = ACTIONS(2794),
    [aux_sym_preproc_elif_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_friend] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_protected] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
  },
  [1703] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5924),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6318),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6318),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(5323),
    [aux_sym_preproc_def_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token2] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5323),
    [sym_preproc_directive] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_typedef] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [sym_primitive_type] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_public] = ACTIONS(5323),
    [anon_sym_private] = ACTIONS(5323),
    [anon_sym_protected] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_static_assert] = ACTIONS(5323),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(5327),
    [aux_sym_preproc_def_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token2] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5327),
    [aux_sym_preproc_else_token1] = ACTIONS(5327),
    [aux_sym_preproc_elif_token1] = ACTIONS(5327),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5327),
    [sym_preproc_directive] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5329),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_AMP_AMP] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5327),
    [anon_sym_SEMI] = ACTIONS(5329),
    [anon_sym___extension__] = ACTIONS(5327),
    [anon_sym_typedef] = ACTIONS(5327),
    [anon_sym_virtual] = ACTIONS(5327),
    [anon_sym_extern] = ACTIONS(5327),
    [anon_sym___attribute__] = ACTIONS(5327),
    [anon_sym_COLON_COLON] = ACTIONS(5329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5329),
    [anon_sym___declspec] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5327),
    [anon_sym_signed] = ACTIONS(5327),
    [anon_sym_unsigned] = ACTIONS(5327),
    [anon_sym_long] = ACTIONS(5327),
    [anon_sym_short] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_static] = ACTIONS(5327),
    [anon_sym_register] = ACTIONS(5327),
    [anon_sym_inline] = ACTIONS(5327),
    [anon_sym___inline] = ACTIONS(5327),
    [anon_sym___inline__] = ACTIONS(5327),
    [anon_sym___forceinline] = ACTIONS(5327),
    [anon_sym_thread_local] = ACTIONS(5327),
    [anon_sym___thread] = ACTIONS(5327),
    [anon_sym_const] = ACTIONS(5327),
    [anon_sym_constexpr] = ACTIONS(5327),
    [anon_sym_volatile] = ACTIONS(5327),
    [anon_sym_restrict] = ACTIONS(5327),
    [anon_sym___restrict__] = ACTIONS(5327),
    [anon_sym__Atomic] = ACTIONS(5327),
    [anon_sym__Noreturn] = ACTIONS(5327),
    [anon_sym_noreturn] = ACTIONS(5327),
    [anon_sym__Nonnull] = ACTIONS(5327),
    [anon_sym_mutable] = ACTIONS(5327),
    [anon_sym_constinit] = ACTIONS(5327),
    [anon_sym_consteval] = ACTIONS(5327),
    [anon_sym_alignas] = ACTIONS(5327),
    [anon_sym__Alignas] = ACTIONS(5327),
    [sym_primitive_type] = ACTIONS(5327),
    [anon_sym_enum] = ACTIONS(5327),
    [anon_sym_class] = ACTIONS(5327),
    [anon_sym_struct] = ACTIONS(5327),
    [anon_sym_union] = ACTIONS(5327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5327),
    [anon_sym_decltype] = ACTIONS(5327),
    [anon_sym_explicit] = ACTIONS(5327),
    [anon_sym_typename] = ACTIONS(5327),
    [anon_sym_template] = ACTIONS(5327),
    [anon_sym_operator] = ACTIONS(5327),
    [anon_sym_friend] = ACTIONS(5327),
    [anon_sym_public] = ACTIONS(5327),
    [anon_sym_private] = ACTIONS(5327),
    [anon_sym_protected] = ACTIONS(5327),
    [anon_sym_using] = ACTIONS(5327),
    [anon_sym_static_assert] = ACTIONS(5327),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [aux_sym_preproc_else_token1] = ACTIONS(2748),
    [aux_sym_preproc_elif_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_friend] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [aux_sym_preproc_else_token1] = ACTIONS(2880),
    [aux_sym_preproc_elif_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_friend] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
  },
  [1708] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [aux_sym_preproc_else_token1] = ACTIONS(2884),
    [aux_sym_preproc_elif_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_friend] = ACTIONS(2884),
    [anon_sym_public] = ACTIONS(2884),
    [anon_sym_private] = ACTIONS(2884),
    [anon_sym_protected] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token2] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [aux_sym_preproc_else_token1] = ACTIONS(3175),
    [aux_sym_preproc_elif_token1] = ACTIONS(3175),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [sym_primitive_type] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_friend] = ACTIONS(3175),
    [anon_sym_public] = ACTIONS(3175),
    [anon_sym_private] = ACTIONS(3175),
    [anon_sym_protected] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token2] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [aux_sym_preproc_else_token1] = ACTIONS(5331),
    [aux_sym_preproc_elif_token1] = ACTIONS(5331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [1711] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6318),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6318),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token2] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [aux_sym_preproc_else_token1] = ACTIONS(5331),
    [aux_sym_preproc_elif_token1] = ACTIONS(5331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [aux_sym_preproc_else_token1] = ACTIONS(2876),
    [aux_sym_preproc_elif_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_friend] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [aux_sym_preproc_else_token1] = ACTIONS(3179),
    [aux_sym_preproc_elif_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [sym_primitive_type] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_friend] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token2] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [aux_sym_preproc_else_token1] = ACTIONS(2866),
    [aux_sym_preproc_elif_token1] = ACTIONS(2866),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [sym_primitive_type] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_friend] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_protected] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
  },
  [1716] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5912),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1718] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6317),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6317),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_friend] = ACTIONS(2949),
    [anon_sym_public] = ACTIONS(2949),
    [anon_sym_private] = ACTIONS(2949),
    [anon_sym_protected] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1723] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5776),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(5335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_DASH] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_SLASH] = ACTIONS(5335),
    [anon_sym_PERCENT] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_PIPE] = ACTIONS(5335),
    [anon_sym_CARET] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_EQ_EQ] = ACTIONS(5337),
    [anon_sym_BANG_EQ] = ACTIONS(5337),
    [anon_sym_GT] = ACTIONS(5335),
    [anon_sym_GT_EQ] = ACTIONS(5337),
    [anon_sym_LT_EQ] = ACTIONS(5335),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(5337),
    [anon_sym_GT_GT] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_RBRACK] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [sym_primitive_type] = ACTIONS(5335),
    [anon_sym_COLON] = ACTIONS(5335),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_LT_EQ_GT] = ACTIONS(5337),
    [anon_sym_or] = ACTIONS(5335),
    [anon_sym_and] = ACTIONS(5335),
    [anon_sym_bitor] = ACTIONS(5335),
    [anon_sym_xor] = ACTIONS(5335),
    [anon_sym_bitand] = ACTIONS(5335),
    [anon_sym_not_eq] = ACTIONS(5335),
    [anon_sym_DASH_DASH] = ACTIONS(5337),
    [anon_sym_PLUS_PLUS] = ACTIONS(5337),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_DOT_STAR] = ACTIONS(5337),
    [anon_sym_DASH_GT] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_final] = ACTIONS(5335),
    [anon_sym_override] = ACTIONS(5335),
    [anon_sym_requires] = ACTIONS(5335),
  },
  [1726] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5806),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6335),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6335),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [1728] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5804),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6322),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6322),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1730] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [aux_sym_preproc_else_token1] = ACTIONS(3171),
    [aux_sym_preproc_elif_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [aux_sym_preproc_else_token1] = ACTIONS(2850),
    [aux_sym_preproc_elif_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_friend] = ACTIONS(2850),
    [anon_sym_public] = ACTIONS(2850),
    [anon_sym_private] = ACTIONS(2850),
    [anon_sym_protected] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
  },
  [1733] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5341),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
    [anon_sym_requires] = ACTIONS(5341),
  },
  [1734] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5341),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
    [anon_sym_requires] = ACTIONS(5341),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_friend] = ACTIONS(2949),
    [anon_sym_public] = ACTIONS(2949),
    [anon_sym_private] = ACTIONS(2949),
    [anon_sym_protected] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
  },
  [1736] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [aux_sym_preproc_else_token1] = ACTIONS(2760),
    [aux_sym_preproc_elif_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_friend] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
  },
  [1737] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [aux_sym_preproc_else_token1] = ACTIONS(2998),
    [aux_sym_preproc_elif_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [aux_sym_preproc_else_token1] = ACTIONS(3093),
    [aux_sym_preproc_elif_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_AMP_AMP] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3093),
    [anon_sym_typedef] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym___attribute__] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(3095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3095),
    [anon_sym___declspec] = ACTIONS(3093),
    [anon_sym___based] = ACTIONS(3093),
    [anon_sym_signed] = ACTIONS(3093),
    [anon_sym_unsigned] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [anon_sym_register] = ACTIONS(3093),
    [anon_sym_inline] = ACTIONS(3093),
    [anon_sym___inline] = ACTIONS(3093),
    [anon_sym___inline__] = ACTIONS(3093),
    [anon_sym___forceinline] = ACTIONS(3093),
    [anon_sym_thread_local] = ACTIONS(3093),
    [anon_sym___thread] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_constexpr] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_restrict] = ACTIONS(3093),
    [anon_sym___restrict__] = ACTIONS(3093),
    [anon_sym__Atomic] = ACTIONS(3093),
    [anon_sym__Noreturn] = ACTIONS(3093),
    [anon_sym_noreturn] = ACTIONS(3093),
    [anon_sym__Nonnull] = ACTIONS(3093),
    [anon_sym_mutable] = ACTIONS(3093),
    [anon_sym_constinit] = ACTIONS(3093),
    [anon_sym_consteval] = ACTIONS(3093),
    [anon_sym_alignas] = ACTIONS(3093),
    [anon_sym__Alignas] = ACTIONS(3093),
    [sym_primitive_type] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_union] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3093),
    [anon_sym_decltype] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_typename] = ACTIONS(3093),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_operator] = ACTIONS(3093),
    [anon_sym_friend] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(3093),
    [anon_sym_private] = ACTIONS(3093),
    [anon_sym_protected] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static_assert] = ACTIONS(3093),
  },
  [1739] = {
    [sym__declaration_modifiers] = STATE(2064),
    [sym__declaration_specifiers] = STATE(3970),
    [sym_attribute_specifier] = STATE(2064),
    [sym_attribute_declaration] = STATE(2064),
    [sym_ms_declspec_modifier] = STATE(2064),
    [sym_storage_class_specifier] = STATE(2064),
    [sym_type_qualifier] = STATE(2064),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_parameter_declaration] = STATE(7100),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_optional_parameter_declaration] = STATE(7100),
    [sym_variadic_parameter_declaration] = STATE(7100),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2064),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(3097),
    [aux_sym_preproc_def_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3097),
    [aux_sym_preproc_else_token1] = ACTIONS(3097),
    [aux_sym_preproc_elif_token1] = ACTIONS(3097),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3097),
    [anon_sym_LPAREN2] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3099),
    [anon_sym_AMP_AMP] = ACTIONS(3099),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3097),
    [anon_sym_typedef] = ACTIONS(3097),
    [anon_sym_virtual] = ACTIONS(3097),
    [anon_sym_extern] = ACTIONS(3097),
    [anon_sym___attribute__] = ACTIONS(3097),
    [anon_sym_COLON_COLON] = ACTIONS(3099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3099),
    [anon_sym___declspec] = ACTIONS(3097),
    [anon_sym___based] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3097),
    [anon_sym_unsigned] = ACTIONS(3097),
    [anon_sym_long] = ACTIONS(3097),
    [anon_sym_short] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_static] = ACTIONS(3097),
    [anon_sym_register] = ACTIONS(3097),
    [anon_sym_inline] = ACTIONS(3097),
    [anon_sym___inline] = ACTIONS(3097),
    [anon_sym___inline__] = ACTIONS(3097),
    [anon_sym___forceinline] = ACTIONS(3097),
    [anon_sym_thread_local] = ACTIONS(3097),
    [anon_sym___thread] = ACTIONS(3097),
    [anon_sym_const] = ACTIONS(3097),
    [anon_sym_constexpr] = ACTIONS(3097),
    [anon_sym_volatile] = ACTIONS(3097),
    [anon_sym_restrict] = ACTIONS(3097),
    [anon_sym___restrict__] = ACTIONS(3097),
    [anon_sym__Atomic] = ACTIONS(3097),
    [anon_sym__Noreturn] = ACTIONS(3097),
    [anon_sym_noreturn] = ACTIONS(3097),
    [anon_sym__Nonnull] = ACTIONS(3097),
    [anon_sym_mutable] = ACTIONS(3097),
    [anon_sym_constinit] = ACTIONS(3097),
    [anon_sym_consteval] = ACTIONS(3097),
    [anon_sym_alignas] = ACTIONS(3097),
    [anon_sym__Alignas] = ACTIONS(3097),
    [sym_primitive_type] = ACTIONS(3097),
    [anon_sym_enum] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3097),
    [anon_sym_struct] = ACTIONS(3097),
    [anon_sym_union] = ACTIONS(3097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3097),
    [anon_sym_explicit] = ACTIONS(3097),
    [anon_sym_typename] = ACTIONS(3097),
    [anon_sym_template] = ACTIONS(3097),
    [anon_sym_operator] = ACTIONS(3097),
    [anon_sym_friend] = ACTIONS(3097),
    [anon_sym_public] = ACTIONS(3097),
    [anon_sym_private] = ACTIONS(3097),
    [anon_sym_protected] = ACTIONS(3097),
    [anon_sym_using] = ACTIONS(3097),
    [anon_sym_static_assert] = ACTIONS(3097),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [aux_sym_preproc_else_token1] = ACTIONS(3139),
    [aux_sym_preproc_elif_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1742] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [aux_sym_preproc_else_token1] = ACTIONS(3143),
    [aux_sym_preproc_elif_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_friend] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [1744] = {
    [sym_decltype_auto] = STATE(1819),
    [sym_identifier] = ACTIONS(5345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5347),
    [anon_sym_COMMA] = ACTIONS(5347),
    [anon_sym_RPAREN] = ACTIONS(5347),
    [anon_sym_LPAREN2] = ACTIONS(5347),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5347),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5347),
    [anon_sym_PIPE_PIPE] = ACTIONS(5347),
    [anon_sym_AMP_AMP] = ACTIONS(5347),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5347),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5347),
    [anon_sym_BANG_EQ] = ACTIONS(5347),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5347),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5347),
    [anon_sym_GT_GT] = ACTIONS(5347),
    [anon_sym_SEMI] = ACTIONS(5347),
    [anon_sym___extension__] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym___based] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5347),
    [anon_sym_RBRACE] = ACTIONS(5347),
    [anon_sym_signed] = ACTIONS(5345),
    [anon_sym_unsigned] = ACTIONS(5345),
    [anon_sym_long] = ACTIONS(5345),
    [anon_sym_short] = ACTIONS(5345),
    [anon_sym_LBRACK] = ACTIONS(5347),
    [anon_sym_RBRACK] = ACTIONS(5347),
    [anon_sym_const] = ACTIONS(5345),
    [anon_sym_constexpr] = ACTIONS(5345),
    [anon_sym_volatile] = ACTIONS(5345),
    [anon_sym_restrict] = ACTIONS(5345),
    [anon_sym___restrict__] = ACTIONS(5345),
    [anon_sym__Atomic] = ACTIONS(5345),
    [anon_sym__Noreturn] = ACTIONS(5345),
    [anon_sym_noreturn] = ACTIONS(5345),
    [anon_sym__Nonnull] = ACTIONS(5345),
    [anon_sym_mutable] = ACTIONS(5345),
    [anon_sym_constinit] = ACTIONS(5345),
    [anon_sym_consteval] = ACTIONS(5345),
    [anon_sym_alignas] = ACTIONS(5345),
    [anon_sym__Alignas] = ACTIONS(5345),
    [sym_primitive_type] = ACTIONS(5345),
    [anon_sym_COLON] = ACTIONS(5347),
    [anon_sym_QMARK] = ACTIONS(5347),
    [anon_sym_LT_EQ_GT] = ACTIONS(5347),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5347),
    [anon_sym_PLUS_PLUS] = ACTIONS(5347),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5347),
    [anon_sym_DASH_GT] = ACTIONS(5347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5349),
    [anon_sym_decltype] = ACTIONS(5351),
    [anon_sym_final] = ACTIONS(5345),
    [anon_sym_override] = ACTIONS(5345),
    [anon_sym_requires] = ACTIONS(5345),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_BANG] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_DASH] = ACTIONS(5353),
    [anon_sym_PLUS] = ACTIONS(5353),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5355),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_RBRACK] = ACTIONS(5355),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_not] = ACTIONS(5353),
    [anon_sym_compl] = ACTIONS(5353),
    [anon_sym_DASH_DASH] = ACTIONS(5355),
    [anon_sym_PLUS_PLUS] = ACTIONS(5355),
    [anon_sym_sizeof] = ACTIONS(5353),
    [anon_sym___alignof__] = ACTIONS(5353),
    [anon_sym___alignof] = ACTIONS(5353),
    [anon_sym__alignof] = ACTIONS(5353),
    [anon_sym_alignof] = ACTIONS(5353),
    [anon_sym__Alignof] = ACTIONS(5353),
    [anon_sym_offsetof] = ACTIONS(5353),
    [anon_sym__Generic] = ACTIONS(5353),
    [anon_sym_asm] = ACTIONS(5353),
    [anon_sym___asm__] = ACTIONS(5353),
    [anon_sym___asm] = ACTIONS(5353),
    [sym_number_literal] = ACTIONS(5355),
    [anon_sym_L_SQUOTE] = ACTIONS(5355),
    [anon_sym_u_SQUOTE] = ACTIONS(5355),
    [anon_sym_U_SQUOTE] = ACTIONS(5355),
    [anon_sym_u8_SQUOTE] = ACTIONS(5355),
    [anon_sym_SQUOTE] = ACTIONS(5355),
    [anon_sym_L_DQUOTE] = ACTIONS(5355),
    [anon_sym_u_DQUOTE] = ACTIONS(5355),
    [anon_sym_U_DQUOTE] = ACTIONS(5355),
    [anon_sym_u8_DQUOTE] = ACTIONS(5355),
    [anon_sym_DQUOTE] = ACTIONS(5355),
    [sym_true] = ACTIONS(5353),
    [sym_false] = ACTIONS(5353),
    [anon_sym_NULL] = ACTIONS(5353),
    [anon_sym_nullptr] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_delete] = ACTIONS(5353),
    [anon_sym_R_DQUOTE] = ACTIONS(5355),
    [anon_sym_LR_DQUOTE] = ACTIONS(5355),
    [anon_sym_uR_DQUOTE] = ACTIONS(5355),
    [anon_sym_UR_DQUOTE] = ACTIONS(5355),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5355),
    [anon_sym_co_await] = ACTIONS(5353),
    [anon_sym_new] = ACTIONS(5353),
    [anon_sym_requires] = ACTIONS(5353),
    [sym_this] = ACTIONS(5353),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1747] = {
    [sym__declaration_modifiers] = STATE(3252),
    [sym_attribute_specifier] = STATE(3252),
    [sym_attribute_declaration] = STATE(3252),
    [sym_ms_declspec_modifier] = STATE(3252),
    [sym_ms_based_modifier] = STATE(7727),
    [sym__declarator] = STATE(6278),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5888),
    [sym_storage_class_specifier] = STATE(3252),
    [sym_type_qualifier] = STATE(3252),
    [sym_alignas_qualifier] = STATE(3031),
    [sym_decltype] = STATE(7655),
    [sym_explicit_function_specifier] = STATE(3252),
    [sym_operator_cast] = STATE(6326),
    [sym__constructor_specifiers] = STATE(3252),
    [sym_reference_declarator] = STATE(5888),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5240),
    [sym_qualified_identifier] = STATE(5888),
    [sym_qualified_operator_cast_identifier] = STATE(6326),
    [sym_operator_name] = STATE(5888),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3252),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(5236),
    [anon_sym_virtual] = ACTIONS(5238),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5236),
    [anon_sym_constexpr] = ACTIONS(5236),
    [anon_sym_volatile] = ACTIONS(5236),
    [anon_sym_restrict] = ACTIONS(5236),
    [anon_sym___restrict__] = ACTIONS(5236),
    [anon_sym__Atomic] = ACTIONS(5236),
    [anon_sym__Noreturn] = ACTIONS(5236),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym__Nonnull] = ACTIONS(5236),
    [anon_sym_mutable] = ACTIONS(5236),
    [anon_sym_constinit] = ACTIONS(5236),
    [anon_sym_consteval] = ACTIONS(5236),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym__Alignas] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1748] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [aux_sym_preproc_else_token1] = ACTIONS(2895),
    [aux_sym_preproc_elif_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_friend] = ACTIONS(2895),
    [anon_sym_public] = ACTIONS(2895),
    [anon_sym_private] = ACTIONS(2895),
    [anon_sym_protected] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_friend] = ACTIONS(2901),
    [anon_sym_public] = ACTIONS(2901),
    [anon_sym_private] = ACTIONS(2901),
    [anon_sym_protected] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(5357),
    [aux_sym_preproc_def_token1] = ACTIONS(5357),
    [aux_sym_preproc_if_token1] = ACTIONS(5357),
    [aux_sym_preproc_if_token2] = ACTIONS(5357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5357),
    [aux_sym_preproc_else_token1] = ACTIONS(5357),
    [aux_sym_preproc_elif_token1] = ACTIONS(5357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5357),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5357),
    [sym_preproc_directive] = ACTIONS(5357),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5359),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___extension__] = ACTIONS(5357),
    [anon_sym_typedef] = ACTIONS(5357),
    [anon_sym_virtual] = ACTIONS(5357),
    [anon_sym_extern] = ACTIONS(5357),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5359),
    [anon_sym___declspec] = ACTIONS(5357),
    [anon_sym___based] = ACTIONS(5357),
    [anon_sym_signed] = ACTIONS(5357),
    [anon_sym_unsigned] = ACTIONS(5357),
    [anon_sym_long] = ACTIONS(5357),
    [anon_sym_short] = ACTIONS(5357),
    [anon_sym_LBRACK] = ACTIONS(5357),
    [anon_sym_static] = ACTIONS(5357),
    [anon_sym_register] = ACTIONS(5357),
    [anon_sym_inline] = ACTIONS(5357),
    [anon_sym___inline] = ACTIONS(5357),
    [anon_sym___inline__] = ACTIONS(5357),
    [anon_sym___forceinline] = ACTIONS(5357),
    [anon_sym_thread_local] = ACTIONS(5357),
    [anon_sym___thread] = ACTIONS(5357),
    [anon_sym_const] = ACTIONS(5357),
    [anon_sym_constexpr] = ACTIONS(5357),
    [anon_sym_volatile] = ACTIONS(5357),
    [anon_sym_restrict] = ACTIONS(5357),
    [anon_sym___restrict__] = ACTIONS(5357),
    [anon_sym__Atomic] = ACTIONS(5357),
    [anon_sym__Noreturn] = ACTIONS(5357),
    [anon_sym_noreturn] = ACTIONS(5357),
    [anon_sym__Nonnull] = ACTIONS(5357),
    [anon_sym_mutable] = ACTIONS(5357),
    [anon_sym_constinit] = ACTIONS(5357),
    [anon_sym_consteval] = ACTIONS(5357),
    [anon_sym_alignas] = ACTIONS(5357),
    [anon_sym__Alignas] = ACTIONS(5357),
    [sym_primitive_type] = ACTIONS(5357),
    [anon_sym_enum] = ACTIONS(5357),
    [anon_sym_class] = ACTIONS(5357),
    [anon_sym_struct] = ACTIONS(5357),
    [anon_sym_union] = ACTIONS(5357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5357),
    [anon_sym_decltype] = ACTIONS(5357),
    [anon_sym_explicit] = ACTIONS(5357),
    [anon_sym_typename] = ACTIONS(5357),
    [anon_sym_template] = ACTIONS(5357),
    [anon_sym_operator] = ACTIONS(5357),
    [anon_sym_friend] = ACTIONS(5357),
    [anon_sym_public] = ACTIONS(5357),
    [anon_sym_private] = ACTIONS(5357),
    [anon_sym_protected] = ACTIONS(5357),
    [anon_sym_using] = ACTIONS(5357),
    [anon_sym_static_assert] = ACTIONS(5357),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(5361),
    [aux_sym_preproc_def_token1] = ACTIONS(5361),
    [aux_sym_preproc_if_token1] = ACTIONS(5361),
    [aux_sym_preproc_if_token2] = ACTIONS(5361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5361),
    [aux_sym_preproc_else_token1] = ACTIONS(5361),
    [aux_sym_preproc_elif_token1] = ACTIONS(5361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5361),
    [sym_preproc_directive] = ACTIONS(5361),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_TILDE] = ACTIONS(5363),
    [anon_sym_STAR] = ACTIONS(5363),
    [anon_sym_AMP_AMP] = ACTIONS(5363),
    [anon_sym_AMP] = ACTIONS(5361),
    [anon_sym_SEMI] = ACTIONS(5363),
    [anon_sym___extension__] = ACTIONS(5361),
    [anon_sym_typedef] = ACTIONS(5361),
    [anon_sym_virtual] = ACTIONS(5361),
    [anon_sym_extern] = ACTIONS(5361),
    [anon_sym___attribute__] = ACTIONS(5361),
    [anon_sym_COLON_COLON] = ACTIONS(5363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5363),
    [anon_sym___declspec] = ACTIONS(5361),
    [anon_sym___based] = ACTIONS(5361),
    [anon_sym_signed] = ACTIONS(5361),
    [anon_sym_unsigned] = ACTIONS(5361),
    [anon_sym_long] = ACTIONS(5361),
    [anon_sym_short] = ACTIONS(5361),
    [anon_sym_LBRACK] = ACTIONS(5361),
    [anon_sym_static] = ACTIONS(5361),
    [anon_sym_register] = ACTIONS(5361),
    [anon_sym_inline] = ACTIONS(5361),
    [anon_sym___inline] = ACTIONS(5361),
    [anon_sym___inline__] = ACTIONS(5361),
    [anon_sym___forceinline] = ACTIONS(5361),
    [anon_sym_thread_local] = ACTIONS(5361),
    [anon_sym___thread] = ACTIONS(5361),
    [anon_sym_const] = ACTIONS(5361),
    [anon_sym_constexpr] = ACTIONS(5361),
    [anon_sym_volatile] = ACTIONS(5361),
    [anon_sym_restrict] = ACTIONS(5361),
    [anon_sym___restrict__] = ACTIONS(5361),
    [anon_sym__Atomic] = ACTIONS(5361),
    [anon_sym__Noreturn] = ACTIONS(5361),
    [anon_sym_noreturn] = ACTIONS(5361),
    [anon_sym__Nonnull] = ACTIONS(5361),
    [anon_sym_mutable] = ACTIONS(5361),
    [anon_sym_constinit] = ACTIONS(5361),
    [anon_sym_consteval] = ACTIONS(5361),
    [anon_sym_alignas] = ACTIONS(5361),
    [anon_sym__Alignas] = ACTIONS(5361),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_enum] = ACTIONS(5361),
    [anon_sym_class] = ACTIONS(5361),
    [anon_sym_struct] = ACTIONS(5361),
    [anon_sym_union] = ACTIONS(5361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5361),
    [anon_sym_explicit] = ACTIONS(5361),
    [anon_sym_typename] = ACTIONS(5361),
    [anon_sym_template] = ACTIONS(5361),
    [anon_sym_operator] = ACTIONS(5361),
    [anon_sym_friend] = ACTIONS(5361),
    [anon_sym_public] = ACTIONS(5361),
    [anon_sym_private] = ACTIONS(5361),
    [anon_sym_protected] = ACTIONS(5361),
    [anon_sym_using] = ACTIONS(5361),
    [anon_sym_static_assert] = ACTIONS(5361),
  },
  [1752] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token2] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [aux_sym_preproc_else_token1] = ACTIONS(5365),
    [aux_sym_preproc_elif_token1] = ACTIONS(5365),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [sym_primitive_type] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [aux_sym_preproc_else_token1] = ACTIONS(5369),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1754] = {
    [sym_identifier] = ACTIONS(5373),
    [aux_sym_preproc_def_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token2] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5373),
    [aux_sym_preproc_else_token1] = ACTIONS(5373),
    [aux_sym_preproc_elif_token1] = ACTIONS(5373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5373),
    [sym_preproc_directive] = ACTIONS(5373),
    [anon_sym_LPAREN2] = ACTIONS(5375),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_STAR] = ACTIONS(5375),
    [anon_sym_AMP_AMP] = ACTIONS(5375),
    [anon_sym_AMP] = ACTIONS(5373),
    [anon_sym_SEMI] = ACTIONS(5375),
    [anon_sym___extension__] = ACTIONS(5373),
    [anon_sym_typedef] = ACTIONS(5373),
    [anon_sym_virtual] = ACTIONS(5373),
    [anon_sym_extern] = ACTIONS(5373),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_COLON_COLON] = ACTIONS(5375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5375),
    [anon_sym___declspec] = ACTIONS(5373),
    [anon_sym___based] = ACTIONS(5373),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5373),
    [anon_sym_static] = ACTIONS(5373),
    [anon_sym_register] = ACTIONS(5373),
    [anon_sym_inline] = ACTIONS(5373),
    [anon_sym___inline] = ACTIONS(5373),
    [anon_sym___inline__] = ACTIONS(5373),
    [anon_sym___forceinline] = ACTIONS(5373),
    [anon_sym_thread_local] = ACTIONS(5373),
    [anon_sym___thread] = ACTIONS(5373),
    [anon_sym_const] = ACTIONS(5373),
    [anon_sym_constexpr] = ACTIONS(5373),
    [anon_sym_volatile] = ACTIONS(5373),
    [anon_sym_restrict] = ACTIONS(5373),
    [anon_sym___restrict__] = ACTIONS(5373),
    [anon_sym__Atomic] = ACTIONS(5373),
    [anon_sym__Noreturn] = ACTIONS(5373),
    [anon_sym_noreturn] = ACTIONS(5373),
    [anon_sym__Nonnull] = ACTIONS(5373),
    [anon_sym_mutable] = ACTIONS(5373),
    [anon_sym_constinit] = ACTIONS(5373),
    [anon_sym_consteval] = ACTIONS(5373),
    [anon_sym_alignas] = ACTIONS(5373),
    [anon_sym__Alignas] = ACTIONS(5373),
    [sym_primitive_type] = ACTIONS(5373),
    [anon_sym_enum] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_struct] = ACTIONS(5373),
    [anon_sym_union] = ACTIONS(5373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5373),
    [anon_sym_decltype] = ACTIONS(5373),
    [anon_sym_explicit] = ACTIONS(5373),
    [anon_sym_typename] = ACTIONS(5373),
    [anon_sym_template] = ACTIONS(5373),
    [anon_sym_operator] = ACTIONS(5373),
    [anon_sym_friend] = ACTIONS(5373),
    [anon_sym_public] = ACTIONS(5373),
    [anon_sym_private] = ACTIONS(5373),
    [anon_sym_protected] = ACTIONS(5373),
    [anon_sym_using] = ACTIONS(5373),
    [anon_sym_static_assert] = ACTIONS(5373),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4878),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_signed] = ACTIONS(4876),
    [anon_sym_unsigned] = ACTIONS(4876),
    [anon_sym_long] = ACTIONS(4876),
    [anon_sym_short] = ACTIONS(4876),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [sym_primitive_type] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1756] = {
    [sym_identifier] = ACTIONS(5377),
    [aux_sym_preproc_def_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token2] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5377),
    [aux_sym_preproc_else_token1] = ACTIONS(5377),
    [aux_sym_preproc_elif_token1] = ACTIONS(5377),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5377),
    [sym_preproc_directive] = ACTIONS(5377),
    [anon_sym_LPAREN2] = ACTIONS(5379),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_STAR] = ACTIONS(5379),
    [anon_sym_AMP_AMP] = ACTIONS(5379),
    [anon_sym_AMP] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym___extension__] = ACTIONS(5377),
    [anon_sym_typedef] = ACTIONS(5377),
    [anon_sym_virtual] = ACTIONS(5377),
    [anon_sym_extern] = ACTIONS(5377),
    [anon_sym___attribute__] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(5379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5379),
    [anon_sym___declspec] = ACTIONS(5377),
    [anon_sym___based] = ACTIONS(5377),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym_static] = ACTIONS(5377),
    [anon_sym_register] = ACTIONS(5377),
    [anon_sym_inline] = ACTIONS(5377),
    [anon_sym___inline] = ACTIONS(5377),
    [anon_sym___inline__] = ACTIONS(5377),
    [anon_sym___forceinline] = ACTIONS(5377),
    [anon_sym_thread_local] = ACTIONS(5377),
    [anon_sym___thread] = ACTIONS(5377),
    [anon_sym_const] = ACTIONS(5377),
    [anon_sym_constexpr] = ACTIONS(5377),
    [anon_sym_volatile] = ACTIONS(5377),
    [anon_sym_restrict] = ACTIONS(5377),
    [anon_sym___restrict__] = ACTIONS(5377),
    [anon_sym__Atomic] = ACTIONS(5377),
    [anon_sym__Noreturn] = ACTIONS(5377),
    [anon_sym_noreturn] = ACTIONS(5377),
    [anon_sym__Nonnull] = ACTIONS(5377),
    [anon_sym_mutable] = ACTIONS(5377),
    [anon_sym_constinit] = ACTIONS(5377),
    [anon_sym_consteval] = ACTIONS(5377),
    [anon_sym_alignas] = ACTIONS(5377),
    [anon_sym__Alignas] = ACTIONS(5377),
    [sym_primitive_type] = ACTIONS(5377),
    [anon_sym_enum] = ACTIONS(5377),
    [anon_sym_class] = ACTIONS(5377),
    [anon_sym_struct] = ACTIONS(5377),
    [anon_sym_union] = ACTIONS(5377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(5377),
    [anon_sym_explicit] = ACTIONS(5377),
    [anon_sym_typename] = ACTIONS(5377),
    [anon_sym_template] = ACTIONS(5377),
    [anon_sym_operator] = ACTIONS(5377),
    [anon_sym_friend] = ACTIONS(5377),
    [anon_sym_public] = ACTIONS(5377),
    [anon_sym_private] = ACTIONS(5377),
    [anon_sym_protected] = ACTIONS(5377),
    [anon_sym_using] = ACTIONS(5377),
    [anon_sym_static_assert] = ACTIONS(5377),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token2] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [aux_sym_preproc_else_token1] = ACTIONS(5381),
    [aux_sym_preproc_elif_token1] = ACTIONS(5381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [1758] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token2] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [aux_sym_preproc_else_token1] = ACTIONS(5381),
    [aux_sym_preproc_elif_token1] = ACTIONS(5381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token2] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [aux_sym_preproc_else_token1] = ACTIONS(5381),
    [aux_sym_preproc_elif_token1] = ACTIONS(5381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [1760] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [aux_sym_preproc_else_token1] = ACTIONS(2998),
    [aux_sym_preproc_elif_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [aux_sym_preproc_else_token1] = ACTIONS(5369),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_friend] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4874),
    [anon_sym_GT_GT] = ACTIONS(4874),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_signed] = ACTIONS(4872),
    [anon_sym_unsigned] = ACTIONS(4872),
    [anon_sym_long] = ACTIONS(4872),
    [anon_sym_short] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_RBRACK] = ACTIONS(4874),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [sym_primitive_type] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
    [anon_sym_requires] = ACTIONS(4872),
  },
  [1764] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4882),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4882),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4882),
    [anon_sym_GT_GT] = ACTIONS(4882),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_signed] = ACTIONS(4880),
    [anon_sym_unsigned] = ACTIONS(4880),
    [anon_sym_long] = ACTIONS(4880),
    [anon_sym_short] = ACTIONS(4880),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_RBRACK] = ACTIONS(4882),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [sym_primitive_type] = ACTIONS(4880),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_final] = ACTIONS(4880),
    [anon_sym_override] = ACTIONS(4880),
    [anon_sym_requires] = ACTIONS(4880),
  },
  [1765] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_friend] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
  },
  [1767] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_friend] = ACTIONS(2913),
    [anon_sym_public] = ACTIONS(2913),
    [anon_sym_private] = ACTIONS(2913),
    [anon_sym_protected] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
  },
  [1768] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4853),
    [anon_sym_GT_GT] = ACTIONS(4853),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_signed] = ACTIONS(4851),
    [anon_sym_unsigned] = ACTIONS(4851),
    [anon_sym_long] = ACTIONS(4851),
    [anon_sym_short] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [sym_primitive_type] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
    [anon_sym_requires] = ACTIONS(4851),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [1771] = {
    [sym_template_argument_list] = STATE(1816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4864),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5385),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4864),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_GT2] = ACTIONS(4859),
  },
  [1772] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_friend] = ACTIONS(2945),
    [anon_sym_public] = ACTIONS(2945),
    [anon_sym_private] = ACTIONS(2945),
    [anon_sym_protected] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [aux_sym_preproc_else_token1] = ACTIONS(2992),
    [aux_sym_preproc_elif_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_friend] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_friend] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
  },
  [1775] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [aux_sym_preproc_else_token1] = ACTIONS(3033),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [sym_primitive_type] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_protected] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
  },
  [1776] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [aux_sym_preproc_else_token1] = ACTIONS(3041),
    [aux_sym_preproc_elif_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5390),
    [anon_sym_COMMA] = ACTIONS(5390),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_SLASH] = ACTIONS(5388),
    [anon_sym_PERCENT] = ACTIONS(5390),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_PIPE] = ACTIONS(5388),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_EQ_EQ] = ACTIONS(5390),
    [anon_sym_BANG_EQ] = ACTIONS(5390),
    [anon_sym_GT] = ACTIONS(5388),
    [anon_sym_GT_EQ] = ACTIONS(5390),
    [anon_sym_LT_EQ] = ACTIONS(5388),
    [anon_sym_LT] = ACTIONS(5388),
    [anon_sym_LT_LT] = ACTIONS(5390),
    [anon_sym_GT_GT] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [anon_sym_RBRACK] = ACTIONS(5390),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_COLON] = ACTIONS(5388),
    [anon_sym_QMARK] = ACTIONS(5390),
    [anon_sym_LT_EQ_GT] = ACTIONS(5390),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [anon_sym_bitor] = ACTIONS(5388),
    [anon_sym_xor] = ACTIONS(5388),
    [anon_sym_bitand] = ACTIONS(5388),
    [anon_sym_not_eq] = ACTIONS(5388),
    [anon_sym_DASH_DASH] = ACTIONS(5390),
    [anon_sym_PLUS_PLUS] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_DOT_STAR] = ACTIONS(5390),
    [anon_sym_DASH_GT] = ACTIONS(5390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_final] = ACTIONS(5388),
    [anon_sym_override] = ACTIONS(5388),
    [anon_sym_requires] = ACTIONS(5388),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(5392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5394),
    [anon_sym_COMMA] = ACTIONS(5394),
    [anon_sym_RPAREN] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5394),
    [anon_sym_PIPE_PIPE] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_CARET] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_EQ_EQ] = ACTIONS(5394),
    [anon_sym_BANG_EQ] = ACTIONS(5394),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_GT_EQ] = ACTIONS(5394),
    [anon_sym_LT_EQ] = ACTIONS(5392),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5394),
    [anon_sym_GT_GT] = ACTIONS(5394),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_LBRACE] = ACTIONS(5394),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_RBRACK] = ACTIONS(5394),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_COLON] = ACTIONS(5392),
    [anon_sym_QMARK] = ACTIONS(5394),
    [anon_sym_LT_EQ_GT] = ACTIONS(5394),
    [anon_sym_or] = ACTIONS(5392),
    [anon_sym_and] = ACTIONS(5392),
    [anon_sym_bitor] = ACTIONS(5392),
    [anon_sym_xor] = ACTIONS(5392),
    [anon_sym_bitand] = ACTIONS(5392),
    [anon_sym_not_eq] = ACTIONS(5392),
    [anon_sym_DASH_DASH] = ACTIONS(5394),
    [anon_sym_PLUS_PLUS] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_DOT_STAR] = ACTIONS(5394),
    [anon_sym_DASH_GT] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_final] = ACTIONS(5392),
    [anon_sym_override] = ACTIONS(5392),
    [anon_sym_requires] = ACTIONS(5392),
  },
  [1780] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [aux_sym_preproc_else_token1] = ACTIONS(3017),
    [aux_sym_preproc_elif_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_virtual] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym__Nonnull] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_friend] = ACTIONS(3017),
    [anon_sym_public] = ACTIONS(3017),
    [anon_sym_private] = ACTIONS(3017),
    [anon_sym_protected] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
  },
  [1781] = {
    [sym_identifier] = ACTIONS(5396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5398),
    [anon_sym_COMMA] = ACTIONS(5398),
    [anon_sym_RPAREN] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_SLASH] = ACTIONS(5396),
    [anon_sym_PERCENT] = ACTIONS(5398),
    [anon_sym_PIPE_PIPE] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_PIPE] = ACTIONS(5396),
    [anon_sym_CARET] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_EQ_EQ] = ACTIONS(5398),
    [anon_sym_BANG_EQ] = ACTIONS(5398),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5398),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_LT_LT] = ACTIONS(5398),
    [anon_sym_GT_GT] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_LBRACE] = ACTIONS(5398),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5398),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5398),
    [anon_sym_QMARK] = ACTIONS(5398),
    [anon_sym_LT_EQ_GT] = ACTIONS(5398),
    [anon_sym_or] = ACTIONS(5396),
    [anon_sym_and] = ACTIONS(5396),
    [anon_sym_bitor] = ACTIONS(5396),
    [anon_sym_xor] = ACTIONS(5396),
    [anon_sym_bitand] = ACTIONS(5396),
    [anon_sym_not_eq] = ACTIONS(5396),
    [anon_sym_DASH_DASH] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_DOT_STAR] = ACTIONS(5398),
    [anon_sym_DASH_GT] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_final] = ACTIONS(5396),
    [anon_sym_override] = ACTIONS(5396),
    [anon_sym_requires] = ACTIONS(5396),
  },
  [1782] = {
    [sym_identifier] = ACTIONS(5400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5402),
    [anon_sym_COMMA] = ACTIONS(5402),
    [anon_sym_RPAREN] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_SLASH] = ACTIONS(5400),
    [anon_sym_PERCENT] = ACTIONS(5402),
    [anon_sym_PIPE_PIPE] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_PIPE] = ACTIONS(5400),
    [anon_sym_CARET] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_EQ_EQ] = ACTIONS(5402),
    [anon_sym_BANG_EQ] = ACTIONS(5402),
    [anon_sym_GT] = ACTIONS(5400),
    [anon_sym_GT_EQ] = ACTIONS(5402),
    [anon_sym_LT_EQ] = ACTIONS(5400),
    [anon_sym_LT] = ACTIONS(5400),
    [anon_sym_LT_LT] = ACTIONS(5402),
    [anon_sym_GT_GT] = ACTIONS(5402),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_LBRACE] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_RBRACK] = ACTIONS(5402),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_LT_EQ_GT] = ACTIONS(5402),
    [anon_sym_or] = ACTIONS(5400),
    [anon_sym_and] = ACTIONS(5400),
    [anon_sym_bitor] = ACTIONS(5400),
    [anon_sym_xor] = ACTIONS(5400),
    [anon_sym_bitand] = ACTIONS(5400),
    [anon_sym_not_eq] = ACTIONS(5400),
    [anon_sym_DASH_DASH] = ACTIONS(5402),
    [anon_sym_PLUS_PLUS] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_DOT_STAR] = ACTIONS(5402),
    [anon_sym_DASH_GT] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_final] = ACTIONS(5400),
    [anon_sym_override] = ACTIONS(5400),
    [anon_sym_requires] = ACTIONS(5400),
  },
  [1783] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_EQ] = ACTIONS(5406),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [anon_sym_asm] = ACTIONS(5404),
    [anon_sym___asm__] = ACTIONS(5404),
    [anon_sym___asm] = ACTIONS(5404),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_final] = ACTIONS(5404),
    [anon_sym_override] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_GT2] = ACTIONS(5406),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_try] = ACTIONS(5404),
    [anon_sym_noexcept] = ACTIONS(5404),
    [anon_sym_throw] = ACTIONS(5404),
    [anon_sym_requires] = ACTIONS(5404),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(5408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_RPAREN] = ACTIONS(5410),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_SLASH] = ACTIONS(5408),
    [anon_sym_PERCENT] = ACTIONS(5410),
    [anon_sym_PIPE_PIPE] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_PIPE] = ACTIONS(5408),
    [anon_sym_CARET] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_GT] = ACTIONS(5408),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5408),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym_LT_LT] = ACTIONS(5410),
    [anon_sym_GT_GT] = ACTIONS(5410),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_LBRACE] = ACTIONS(5410),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_COLON] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_or] = ACTIONS(5408),
    [anon_sym_and] = ACTIONS(5408),
    [anon_sym_bitor] = ACTIONS(5408),
    [anon_sym_xor] = ACTIONS(5408),
    [anon_sym_bitand] = ACTIONS(5408),
    [anon_sym_not_eq] = ACTIONS(5408),
    [anon_sym_DASH_DASH] = ACTIONS(5410),
    [anon_sym_PLUS_PLUS] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_DOT_STAR] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_final] = ACTIONS(5408),
    [anon_sym_override] = ACTIONS(5408),
    [anon_sym_requires] = ACTIONS(5408),
  },
  [1785] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5414),
    [anon_sym_GT_GT] = ACTIONS(5414),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_final] = ACTIONS(5412),
    [anon_sym_override] = ACTIONS(5412),
    [anon_sym_requires] = ACTIONS(5412),
  },
  [1786] = {
    [sym_identifier] = ACTIONS(5416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5418),
    [anon_sym_COMMA] = ACTIONS(5418),
    [anon_sym_RPAREN] = ACTIONS(5418),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5416),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_SLASH] = ACTIONS(5416),
    [anon_sym_PERCENT] = ACTIONS(5418),
    [anon_sym_PIPE_PIPE] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_PIPE] = ACTIONS(5416),
    [anon_sym_CARET] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_EQ_EQ] = ACTIONS(5418),
    [anon_sym_BANG_EQ] = ACTIONS(5418),
    [anon_sym_GT] = ACTIONS(5416),
    [anon_sym_GT_EQ] = ACTIONS(5418),
    [anon_sym_LT_EQ] = ACTIONS(5416),
    [anon_sym_LT] = ACTIONS(5416),
    [anon_sym_LT_LT] = ACTIONS(5418),
    [anon_sym_GT_GT] = ACTIONS(5418),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_LBRACE] = ACTIONS(5418),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5418),
    [anon_sym_RBRACK] = ACTIONS(5418),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_COLON] = ACTIONS(5418),
    [anon_sym_QMARK] = ACTIONS(5418),
    [anon_sym_LT_EQ_GT] = ACTIONS(5418),
    [anon_sym_or] = ACTIONS(5416),
    [anon_sym_and] = ACTIONS(5416),
    [anon_sym_bitor] = ACTIONS(5416),
    [anon_sym_xor] = ACTIONS(5416),
    [anon_sym_bitand] = ACTIONS(5416),
    [anon_sym_not_eq] = ACTIONS(5416),
    [anon_sym_DASH_DASH] = ACTIONS(5418),
    [anon_sym_PLUS_PLUS] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_DOT_STAR] = ACTIONS(5418),
    [anon_sym_DASH_GT] = ACTIONS(5418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_final] = ACTIONS(5416),
    [anon_sym_override] = ACTIONS(5416),
    [anon_sym_requires] = ACTIONS(5416),
  },
  [1787] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1625),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5420),
    [anon_sym_COMMA] = ACTIONS(5420),
    [anon_sym_RPAREN] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5420),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5420),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5420),
    [anon_sym_PIPE_PIPE] = ACTIONS(5420),
    [anon_sym_AMP_AMP] = ACTIONS(5420),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_CARET] = ACTIONS(5420),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_EQ_EQ] = ACTIONS(5420),
    [anon_sym_BANG_EQ] = ACTIONS(5420),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_GT_EQ] = ACTIONS(5420),
    [anon_sym_LT_EQ] = ACTIONS(5423),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5420),
    [anon_sym_GT_GT] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5420),
    [anon_sym___extension__] = ACTIONS(5423),
    [anon_sym___attribute__] = ACTIONS(5423),
    [anon_sym_LBRACE] = ACTIONS(5420),
    [anon_sym_RBRACE] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5151),
    [anon_sym_unsigned] = ACTIONS(5151),
    [anon_sym_long] = ACTIONS(5151),
    [anon_sym_short] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_RBRACK] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5423),
    [anon_sym_constexpr] = ACTIONS(5423),
    [anon_sym_volatile] = ACTIONS(5423),
    [anon_sym_restrict] = ACTIONS(5423),
    [anon_sym___restrict__] = ACTIONS(5423),
    [anon_sym__Atomic] = ACTIONS(5423),
    [anon_sym__Noreturn] = ACTIONS(5423),
    [anon_sym_noreturn] = ACTIONS(5423),
    [anon_sym__Nonnull] = ACTIONS(5423),
    [anon_sym_mutable] = ACTIONS(5423),
    [anon_sym_constinit] = ACTIONS(5423),
    [anon_sym_consteval] = ACTIONS(5423),
    [anon_sym_alignas] = ACTIONS(5423),
    [anon_sym__Alignas] = ACTIONS(5423),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_COLON] = ACTIONS(5420),
    [anon_sym_QMARK] = ACTIONS(5420),
    [anon_sym_LT_EQ_GT] = ACTIONS(5420),
    [anon_sym_or] = ACTIONS(5423),
    [anon_sym_and] = ACTIONS(5423),
    [anon_sym_bitor] = ACTIONS(5423),
    [anon_sym_xor] = ACTIONS(5423),
    [anon_sym_bitand] = ACTIONS(5423),
    [anon_sym_not_eq] = ACTIONS(5423),
    [anon_sym_DASH_DASH] = ACTIONS(5420),
    [anon_sym_PLUS_PLUS] = ACTIONS(5420),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_DOT_STAR] = ACTIONS(5420),
    [anon_sym_DASH_GT] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5423),
    [anon_sym_decltype] = ACTIONS(5423),
    [anon_sym_final] = ACTIONS(5423),
    [anon_sym_override] = ACTIONS(5423),
    [anon_sym_requires] = ACTIONS(5423),
  },
  [1788] = {
    [sym_catch_clause] = STATE(1834),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_friend] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(5426),
  },
  [1789] = {
    [sym_catch_clause] = STATE(1815),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(5428),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(5430),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5432),
    [anon_sym_COMMA] = ACTIONS(5432),
    [anon_sym_RPAREN] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5432),
    [anon_sym_DASH] = ACTIONS(5430),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5432),
    [anon_sym_SLASH] = ACTIONS(5430),
    [anon_sym_PERCENT] = ACTIONS(5432),
    [anon_sym_PIPE_PIPE] = ACTIONS(5432),
    [anon_sym_AMP_AMP] = ACTIONS(5432),
    [anon_sym_PIPE] = ACTIONS(5430),
    [anon_sym_CARET] = ACTIONS(5432),
    [anon_sym_AMP] = ACTIONS(5430),
    [anon_sym_EQ_EQ] = ACTIONS(5432),
    [anon_sym_BANG_EQ] = ACTIONS(5432),
    [anon_sym_GT] = ACTIONS(5430),
    [anon_sym_GT_EQ] = ACTIONS(5432),
    [anon_sym_LT_EQ] = ACTIONS(5430),
    [anon_sym_LT] = ACTIONS(5430),
    [anon_sym_LT_LT] = ACTIONS(5432),
    [anon_sym_GT_GT] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5432),
    [anon_sym___extension__] = ACTIONS(5430),
    [anon_sym___attribute__] = ACTIONS(5430),
    [anon_sym___based] = ACTIONS(5430),
    [anon_sym_LBRACE] = ACTIONS(5432),
    [anon_sym_RBRACE] = ACTIONS(5432),
    [anon_sym_signed] = ACTIONS(5430),
    [anon_sym_unsigned] = ACTIONS(5430),
    [anon_sym_long] = ACTIONS(5430),
    [anon_sym_short] = ACTIONS(5430),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_RBRACK] = ACTIONS(5432),
    [anon_sym_const] = ACTIONS(5430),
    [anon_sym_constexpr] = ACTIONS(5430),
    [anon_sym_volatile] = ACTIONS(5430),
    [anon_sym_restrict] = ACTIONS(5430),
    [anon_sym___restrict__] = ACTIONS(5430),
    [anon_sym__Atomic] = ACTIONS(5430),
    [anon_sym__Noreturn] = ACTIONS(5430),
    [anon_sym_noreturn] = ACTIONS(5430),
    [anon_sym__Nonnull] = ACTIONS(5430),
    [anon_sym_mutable] = ACTIONS(5430),
    [anon_sym_constinit] = ACTIONS(5430),
    [anon_sym_consteval] = ACTIONS(5430),
    [anon_sym_alignas] = ACTIONS(5430),
    [anon_sym__Alignas] = ACTIONS(5430),
    [sym_primitive_type] = ACTIONS(5430),
    [anon_sym_COLON] = ACTIONS(5432),
    [anon_sym_QMARK] = ACTIONS(5432),
    [anon_sym_LT_EQ_GT] = ACTIONS(5432),
    [anon_sym_or] = ACTIONS(5430),
    [anon_sym_and] = ACTIONS(5430),
    [anon_sym_bitor] = ACTIONS(5430),
    [anon_sym_xor] = ACTIONS(5430),
    [anon_sym_bitand] = ACTIONS(5430),
    [anon_sym_not_eq] = ACTIONS(5430),
    [anon_sym_DASH_DASH] = ACTIONS(5432),
    [anon_sym_PLUS_PLUS] = ACTIONS(5432),
    [anon_sym_DOT] = ACTIONS(5430),
    [anon_sym_DOT_STAR] = ACTIONS(5432),
    [anon_sym_DASH_GT] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5430),
    [anon_sym_decltype] = ACTIONS(5430),
    [anon_sym_final] = ACTIONS(5430),
    [anon_sym_override] = ACTIONS(5430),
    [anon_sym_requires] = ACTIONS(5430),
  },
  [1791] = {
    [sym_catch_clause] = STATE(1815),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_friend] = ACTIONS(2548),
    [anon_sym_public] = ACTIONS(2548),
    [anon_sym_private] = ACTIONS(2548),
    [anon_sym_protected] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_catch] = ACTIONS(5428),
  },
  [1792] = {
    [sym_identifier] = ACTIONS(2531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_LPAREN2] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2521),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2531),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym___extension__] = ACTIONS(2531),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2531),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_asm] = ACTIONS(2531),
    [anon_sym___asm__] = ACTIONS(2531),
    [anon_sym___asm] = ACTIONS(2531),
    [anon_sym_DASH_GT] = ACTIONS(2521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2531),
    [anon_sym_final] = ACTIONS(2531),
    [anon_sym_override] = ACTIONS(2531),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2531),
    [anon_sym_GT2] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_noexcept] = ACTIONS(2531),
    [anon_sym_throw] = ACTIONS(2531),
    [anon_sym_requires] = ACTIONS(2531),
  },
  [1793] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
    [anon_sym_requires] = ACTIONS(5341),
  },
  [1794] = {
    [sym_identifier] = ACTIONS(5434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5436),
    [anon_sym_COMMA] = ACTIONS(5436),
    [anon_sym_RPAREN] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_DASH] = ACTIONS(5434),
    [anon_sym_PLUS] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5436),
    [anon_sym_SLASH] = ACTIONS(5434),
    [anon_sym_PERCENT] = ACTIONS(5436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5436),
    [anon_sym_AMP_AMP] = ACTIONS(5436),
    [anon_sym_PIPE] = ACTIONS(5434),
    [anon_sym_CARET] = ACTIONS(5436),
    [anon_sym_AMP] = ACTIONS(5434),
    [anon_sym_EQ_EQ] = ACTIONS(5436),
    [anon_sym_BANG_EQ] = ACTIONS(5436),
    [anon_sym_GT] = ACTIONS(5434),
    [anon_sym_GT_EQ] = ACTIONS(5436),
    [anon_sym_LT_EQ] = ACTIONS(5434),
    [anon_sym_LT] = ACTIONS(5434),
    [anon_sym_LT_LT] = ACTIONS(5436),
    [anon_sym_GT_GT] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5436),
    [anon_sym___extension__] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(5434),
    [anon_sym___based] = ACTIONS(5434),
    [anon_sym_LBRACE] = ACTIONS(5436),
    [anon_sym_RBRACE] = ACTIONS(5436),
    [anon_sym_signed] = ACTIONS(5434),
    [anon_sym_unsigned] = ACTIONS(5434),
    [anon_sym_long] = ACTIONS(5434),
    [anon_sym_short] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_RBRACK] = ACTIONS(5436),
    [anon_sym_const] = ACTIONS(5434),
    [anon_sym_constexpr] = ACTIONS(5434),
    [anon_sym_volatile] = ACTIONS(5434),
    [anon_sym_restrict] = ACTIONS(5434),
    [anon_sym___restrict__] = ACTIONS(5434),
    [anon_sym__Atomic] = ACTIONS(5434),
    [anon_sym__Noreturn] = ACTIONS(5434),
    [anon_sym_noreturn] = ACTIONS(5434),
    [anon_sym__Nonnull] = ACTIONS(5434),
    [anon_sym_mutable] = ACTIONS(5434),
    [anon_sym_constinit] = ACTIONS(5434),
    [anon_sym_consteval] = ACTIONS(5434),
    [anon_sym_alignas] = ACTIONS(5434),
    [anon_sym__Alignas] = ACTIONS(5434),
    [sym_primitive_type] = ACTIONS(5434),
    [anon_sym_COLON] = ACTIONS(5436),
    [anon_sym_QMARK] = ACTIONS(5436),
    [anon_sym_LT_EQ_GT] = ACTIONS(5436),
    [anon_sym_or] = ACTIONS(5434),
    [anon_sym_and] = ACTIONS(5434),
    [anon_sym_bitor] = ACTIONS(5434),
    [anon_sym_xor] = ACTIONS(5434),
    [anon_sym_bitand] = ACTIONS(5434),
    [anon_sym_not_eq] = ACTIONS(5434),
    [anon_sym_DASH_DASH] = ACTIONS(5436),
    [anon_sym_PLUS_PLUS] = ACTIONS(5436),
    [anon_sym_DOT] = ACTIONS(5434),
    [anon_sym_DOT_STAR] = ACTIONS(5436),
    [anon_sym_DASH_GT] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5434),
    [anon_sym_decltype] = ACTIONS(5434),
    [anon_sym_final] = ACTIONS(5434),
    [anon_sym_override] = ACTIONS(5434),
    [anon_sym_requires] = ACTIONS(5434),
  },
  [1795] = {
    [sym_identifier] = ACTIONS(5438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [anon_sym_RPAREN] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5440),
    [anon_sym___extension__] = ACTIONS(5438),
    [anon_sym___attribute__] = ACTIONS(5438),
    [anon_sym___based] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5440),
    [anon_sym_RBRACE] = ACTIONS(5440),
    [anon_sym_signed] = ACTIONS(5438),
    [anon_sym_unsigned] = ACTIONS(5438),
    [anon_sym_long] = ACTIONS(5438),
    [anon_sym_short] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_RBRACK] = ACTIONS(5440),
    [anon_sym_const] = ACTIONS(5438),
    [anon_sym_constexpr] = ACTIONS(5438),
    [anon_sym_volatile] = ACTIONS(5438),
    [anon_sym_restrict] = ACTIONS(5438),
    [anon_sym___restrict__] = ACTIONS(5438),
    [anon_sym__Atomic] = ACTIONS(5438),
    [anon_sym__Noreturn] = ACTIONS(5438),
    [anon_sym_noreturn] = ACTIONS(5438),
    [anon_sym__Nonnull] = ACTIONS(5438),
    [anon_sym_mutable] = ACTIONS(5438),
    [anon_sym_constinit] = ACTIONS(5438),
    [anon_sym_consteval] = ACTIONS(5438),
    [anon_sym_alignas] = ACTIONS(5438),
    [anon_sym__Alignas] = ACTIONS(5438),
    [sym_primitive_type] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5440),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5438),
    [anon_sym_decltype] = ACTIONS(5438),
    [anon_sym_final] = ACTIONS(5438),
    [anon_sym_override] = ACTIONS(5438),
    [anon_sym_requires] = ACTIONS(5438),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(5442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5444),
    [anon_sym_COMMA] = ACTIONS(5444),
    [anon_sym_RPAREN] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5444),
    [anon_sym_DASH] = ACTIONS(5442),
    [anon_sym_PLUS] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5444),
    [anon_sym_SLASH] = ACTIONS(5442),
    [anon_sym_PERCENT] = ACTIONS(5444),
    [anon_sym_PIPE_PIPE] = ACTIONS(5444),
    [anon_sym_AMP_AMP] = ACTIONS(5444),
    [anon_sym_PIPE] = ACTIONS(5442),
    [anon_sym_CARET] = ACTIONS(5444),
    [anon_sym_AMP] = ACTIONS(5442),
    [anon_sym_EQ_EQ] = ACTIONS(5444),
    [anon_sym_BANG_EQ] = ACTIONS(5444),
    [anon_sym_GT] = ACTIONS(5442),
    [anon_sym_GT_EQ] = ACTIONS(5444),
    [anon_sym_LT_EQ] = ACTIONS(5442),
    [anon_sym_LT] = ACTIONS(5442),
    [anon_sym_LT_LT] = ACTIONS(5444),
    [anon_sym_GT_GT] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5444),
    [anon_sym___extension__] = ACTIONS(5442),
    [anon_sym___attribute__] = ACTIONS(5442),
    [anon_sym___based] = ACTIONS(5442),
    [anon_sym_LBRACE] = ACTIONS(5444),
    [anon_sym_RBRACE] = ACTIONS(5444),
    [anon_sym_signed] = ACTIONS(5442),
    [anon_sym_unsigned] = ACTIONS(5442),
    [anon_sym_long] = ACTIONS(5442),
    [anon_sym_short] = ACTIONS(5442),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_RBRACK] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5442),
    [anon_sym_constexpr] = ACTIONS(5442),
    [anon_sym_volatile] = ACTIONS(5442),
    [anon_sym_restrict] = ACTIONS(5442),
    [anon_sym___restrict__] = ACTIONS(5442),
    [anon_sym__Atomic] = ACTIONS(5442),
    [anon_sym__Noreturn] = ACTIONS(5442),
    [anon_sym_noreturn] = ACTIONS(5442),
    [anon_sym__Nonnull] = ACTIONS(5442),
    [anon_sym_mutable] = ACTIONS(5442),
    [anon_sym_constinit] = ACTIONS(5442),
    [anon_sym_consteval] = ACTIONS(5442),
    [anon_sym_alignas] = ACTIONS(5442),
    [anon_sym__Alignas] = ACTIONS(5442),
    [sym_primitive_type] = ACTIONS(5442),
    [anon_sym_COLON] = ACTIONS(5444),
    [anon_sym_QMARK] = ACTIONS(5444),
    [anon_sym_LT_EQ_GT] = ACTIONS(5444),
    [anon_sym_or] = ACTIONS(5442),
    [anon_sym_and] = ACTIONS(5442),
    [anon_sym_bitor] = ACTIONS(5442),
    [anon_sym_xor] = ACTIONS(5442),
    [anon_sym_bitand] = ACTIONS(5442),
    [anon_sym_not_eq] = ACTIONS(5442),
    [anon_sym_DASH_DASH] = ACTIONS(5444),
    [anon_sym_PLUS_PLUS] = ACTIONS(5444),
    [anon_sym_DOT] = ACTIONS(5442),
    [anon_sym_DOT_STAR] = ACTIONS(5444),
    [anon_sym_DASH_GT] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5442),
    [anon_sym_decltype] = ACTIONS(5442),
    [anon_sym_final] = ACTIONS(5442),
    [anon_sym_override] = ACTIONS(5442),
    [anon_sym_requires] = ACTIONS(5442),
  },
  [1797] = {
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5355),
    [anon_sym_COMMA] = ACTIONS(5355),
    [anon_sym_RPAREN] = ACTIONS(5355),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_virtual] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___based] = ACTIONS(5353),
    [anon_sym_LBRACE] = ACTIONS(5355),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_EQ] = ACTIONS(5355),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_class] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [anon_sym_asm] = ACTIONS(5353),
    [anon_sym___asm__] = ACTIONS(5353),
    [anon_sym___asm] = ACTIONS(5353),
    [anon_sym_DASH_GT] = ACTIONS(5355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_final] = ACTIONS(5353),
    [anon_sym_override] = ACTIONS(5353),
    [anon_sym_explicit] = ACTIONS(5353),
    [anon_sym_typename] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_GT2] = ACTIONS(5355),
    [anon_sym_operator] = ACTIONS(5353),
    [anon_sym_try] = ACTIONS(5353),
    [anon_sym_noexcept] = ACTIONS(5353),
    [anon_sym_throw] = ACTIONS(5353),
    [anon_sym_requires] = ACTIONS(5353),
  },
  [1798] = {
    [sym_identifier] = ACTIONS(5446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_RPAREN] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5448),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5448),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5448),
    [anon_sym_PIPE_PIPE] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_CARET] = ACTIONS(5448),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5446),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5448),
    [anon_sym_GT_GT] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym___extension__] = ACTIONS(5446),
    [anon_sym___attribute__] = ACTIONS(5446),
    [anon_sym___based] = ACTIONS(5446),
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5446),
    [anon_sym_unsigned] = ACTIONS(5446),
    [anon_sym_long] = ACTIONS(5446),
    [anon_sym_short] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_RBRACK] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5446),
    [anon_sym_constexpr] = ACTIONS(5446),
    [anon_sym_volatile] = ACTIONS(5446),
    [anon_sym_restrict] = ACTIONS(5446),
    [anon_sym___restrict__] = ACTIONS(5446),
    [anon_sym__Atomic] = ACTIONS(5446),
    [anon_sym__Noreturn] = ACTIONS(5446),
    [anon_sym_noreturn] = ACTIONS(5446),
    [anon_sym__Nonnull] = ACTIONS(5446),
    [anon_sym_mutable] = ACTIONS(5446),
    [anon_sym_constinit] = ACTIONS(5446),
    [anon_sym_consteval] = ACTIONS(5446),
    [anon_sym_alignas] = ACTIONS(5446),
    [anon_sym__Alignas] = ACTIONS(5446),
    [sym_primitive_type] = ACTIONS(5446),
    [anon_sym_COLON] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_LT_EQ_GT] = ACTIONS(5448),
    [anon_sym_or] = ACTIONS(5446),
    [anon_sym_and] = ACTIONS(5446),
    [anon_sym_bitor] = ACTIONS(5446),
    [anon_sym_xor] = ACTIONS(5446),
    [anon_sym_bitand] = ACTIONS(5446),
    [anon_sym_not_eq] = ACTIONS(5446),
    [anon_sym_DASH_DASH] = ACTIONS(5448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_DOT_STAR] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5446),
    [anon_sym_decltype] = ACTIONS(5446),
    [anon_sym_final] = ACTIONS(5446),
    [anon_sym_override] = ACTIONS(5446),
    [anon_sym_requires] = ACTIONS(5446),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(5450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5452),
    [anon_sym_COMMA] = ACTIONS(5452),
    [anon_sym_RPAREN] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5452),
    [anon_sym_DASH] = ACTIONS(5450),
    [anon_sym_PLUS] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5452),
    [anon_sym_SLASH] = ACTIONS(5450),
    [anon_sym_PERCENT] = ACTIONS(5452),
    [anon_sym_PIPE_PIPE] = ACTIONS(5452),
    [anon_sym_AMP_AMP] = ACTIONS(5452),
    [anon_sym_PIPE] = ACTIONS(5450),
    [anon_sym_CARET] = ACTIONS(5452),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_EQ_EQ] = ACTIONS(5452),
    [anon_sym_BANG_EQ] = ACTIONS(5452),
    [anon_sym_GT] = ACTIONS(5450),
    [anon_sym_GT_EQ] = ACTIONS(5452),
    [anon_sym_LT_EQ] = ACTIONS(5450),
    [anon_sym_LT] = ACTIONS(5450),
    [anon_sym_LT_LT] = ACTIONS(5452),
    [anon_sym_GT_GT] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5452),
    [anon_sym___extension__] = ACTIONS(5450),
    [anon_sym___attribute__] = ACTIONS(5450),
    [anon_sym___based] = ACTIONS(5450),
    [anon_sym_LBRACE] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5450),
    [anon_sym_unsigned] = ACTIONS(5450),
    [anon_sym_long] = ACTIONS(5450),
    [anon_sym_short] = ACTIONS(5450),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_RBRACK] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5450),
    [anon_sym_constexpr] = ACTIONS(5450),
    [anon_sym_volatile] = ACTIONS(5450),
    [anon_sym_restrict] = ACTIONS(5450),
    [anon_sym___restrict__] = ACTIONS(5450),
    [anon_sym__Atomic] = ACTIONS(5450),
    [anon_sym__Noreturn] = ACTIONS(5450),
    [anon_sym_noreturn] = ACTIONS(5450),
    [anon_sym__Nonnull] = ACTIONS(5450),
    [anon_sym_mutable] = ACTIONS(5450),
    [anon_sym_constinit] = ACTIONS(5450),
    [anon_sym_consteval] = ACTIONS(5450),
    [anon_sym_alignas] = ACTIONS(5450),
    [anon_sym__Alignas] = ACTIONS(5450),
    [sym_primitive_type] = ACTIONS(5450),
    [anon_sym_COLON] = ACTIONS(5452),
    [anon_sym_QMARK] = ACTIONS(5452),
    [anon_sym_LT_EQ_GT] = ACTIONS(5452),
    [anon_sym_or] = ACTIONS(5450),
    [anon_sym_and] = ACTIONS(5450),
    [anon_sym_bitor] = ACTIONS(5450),
    [anon_sym_xor] = ACTIONS(5450),
    [anon_sym_bitand] = ACTIONS(5450),
    [anon_sym_not_eq] = ACTIONS(5450),
    [anon_sym_DASH_DASH] = ACTIONS(5452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5452),
    [anon_sym_DOT] = ACTIONS(5450),
    [anon_sym_DOT_STAR] = ACTIONS(5452),
    [anon_sym_DASH_GT] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5450),
    [anon_sym_decltype] = ACTIONS(5450),
    [anon_sym_final] = ACTIONS(5450),
    [anon_sym_override] = ACTIONS(5450),
    [anon_sym_requires] = ACTIONS(5450),
  },
  [1800] = {
    [sym_identifier] = ACTIONS(5454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [anon_sym_RPAREN] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5456),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5456),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5456),
    [anon_sym_PIPE_PIPE] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5456),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_CARET] = ACTIONS(5456),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5454),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5456),
    [anon_sym_GT_GT] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym___extension__] = ACTIONS(5454),
    [anon_sym___attribute__] = ACTIONS(5454),
    [anon_sym___based] = ACTIONS(5454),
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5454),
    [anon_sym_unsigned] = ACTIONS(5454),
    [anon_sym_long] = ACTIONS(5454),
    [anon_sym_short] = ACTIONS(5454),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_RBRACK] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5454),
    [anon_sym_constexpr] = ACTIONS(5454),
    [anon_sym_volatile] = ACTIONS(5454),
    [anon_sym_restrict] = ACTIONS(5454),
    [anon_sym___restrict__] = ACTIONS(5454),
    [anon_sym__Atomic] = ACTIONS(5454),
    [anon_sym__Noreturn] = ACTIONS(5454),
    [anon_sym_noreturn] = ACTIONS(5454),
    [anon_sym__Nonnull] = ACTIONS(5454),
    [anon_sym_mutable] = ACTIONS(5454),
    [anon_sym_constinit] = ACTIONS(5454),
    [anon_sym_consteval] = ACTIONS(5454),
    [anon_sym_alignas] = ACTIONS(5454),
    [anon_sym__Alignas] = ACTIONS(5454),
    [sym_primitive_type] = ACTIONS(5454),
    [anon_sym_COLON] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_LT_EQ_GT] = ACTIONS(5456),
    [anon_sym_or] = ACTIONS(5454),
    [anon_sym_and] = ACTIONS(5454),
    [anon_sym_bitor] = ACTIONS(5454),
    [anon_sym_xor] = ACTIONS(5454),
    [anon_sym_bitand] = ACTIONS(5454),
    [anon_sym_not_eq] = ACTIONS(5454),
    [anon_sym_DASH_DASH] = ACTIONS(5456),
    [anon_sym_PLUS_PLUS] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_DOT_STAR] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5454),
    [anon_sym_decltype] = ACTIONS(5454),
    [anon_sym_final] = ACTIONS(5454),
    [anon_sym_override] = ACTIONS(5454),
    [anon_sym_requires] = ACTIONS(5454),
  },
  [1801] = {
    [sym_identifier] = ACTIONS(5458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5460),
    [anon_sym_COMMA] = ACTIONS(5460),
    [anon_sym_RPAREN] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5460),
    [anon_sym_DASH] = ACTIONS(5458),
    [anon_sym_PLUS] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5460),
    [anon_sym_SLASH] = ACTIONS(5458),
    [anon_sym_PERCENT] = ACTIONS(5460),
    [anon_sym_PIPE_PIPE] = ACTIONS(5460),
    [anon_sym_AMP_AMP] = ACTIONS(5460),
    [anon_sym_PIPE] = ACTIONS(5458),
    [anon_sym_CARET] = ACTIONS(5460),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_EQ_EQ] = ACTIONS(5460),
    [anon_sym_BANG_EQ] = ACTIONS(5460),
    [anon_sym_GT] = ACTIONS(5458),
    [anon_sym_GT_EQ] = ACTIONS(5460),
    [anon_sym_LT_EQ] = ACTIONS(5458),
    [anon_sym_LT] = ACTIONS(5458),
    [anon_sym_LT_LT] = ACTIONS(5460),
    [anon_sym_GT_GT] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5460),
    [anon_sym___extension__] = ACTIONS(5458),
    [anon_sym___attribute__] = ACTIONS(5458),
    [anon_sym___based] = ACTIONS(5458),
    [anon_sym_LBRACE] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5458),
    [anon_sym_unsigned] = ACTIONS(5458),
    [anon_sym_long] = ACTIONS(5458),
    [anon_sym_short] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_RBRACK] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5458),
    [anon_sym_constexpr] = ACTIONS(5458),
    [anon_sym_volatile] = ACTIONS(5458),
    [anon_sym_restrict] = ACTIONS(5458),
    [anon_sym___restrict__] = ACTIONS(5458),
    [anon_sym__Atomic] = ACTIONS(5458),
    [anon_sym__Noreturn] = ACTIONS(5458),
    [anon_sym_noreturn] = ACTIONS(5458),
    [anon_sym__Nonnull] = ACTIONS(5458),
    [anon_sym_mutable] = ACTIONS(5458),
    [anon_sym_constinit] = ACTIONS(5458),
    [anon_sym_consteval] = ACTIONS(5458),
    [anon_sym_alignas] = ACTIONS(5458),
    [anon_sym__Alignas] = ACTIONS(5458),
    [sym_primitive_type] = ACTIONS(5458),
    [anon_sym_COLON] = ACTIONS(5460),
    [anon_sym_QMARK] = ACTIONS(5460),
    [anon_sym_LT_EQ_GT] = ACTIONS(5460),
    [anon_sym_or] = ACTIONS(5458),
    [anon_sym_and] = ACTIONS(5458),
    [anon_sym_bitor] = ACTIONS(5458),
    [anon_sym_xor] = ACTIONS(5458),
    [anon_sym_bitand] = ACTIONS(5458),
    [anon_sym_not_eq] = ACTIONS(5458),
    [anon_sym_DASH_DASH] = ACTIONS(5460),
    [anon_sym_PLUS_PLUS] = ACTIONS(5460),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_DOT_STAR] = ACTIONS(5460),
    [anon_sym_DASH_GT] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5458),
    [anon_sym_decltype] = ACTIONS(5458),
    [anon_sym_final] = ACTIONS(5458),
    [anon_sym_override] = ACTIONS(5458),
    [anon_sym_requires] = ACTIONS(5458),
  },
  [1802] = {
    [sym_identifier] = ACTIONS(5462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_RPAREN] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5464),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5464),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5464),
    [anon_sym_PIPE_PIPE] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5464),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_CARET] = ACTIONS(5464),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5462),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5464),
    [anon_sym_GT_GT] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym___extension__] = ACTIONS(5462),
    [anon_sym___attribute__] = ACTIONS(5462),
    [anon_sym___based] = ACTIONS(5462),
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5462),
    [anon_sym_unsigned] = ACTIONS(5462),
    [anon_sym_long] = ACTIONS(5462),
    [anon_sym_short] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5462),
    [anon_sym_constexpr] = ACTIONS(5462),
    [anon_sym_volatile] = ACTIONS(5462),
    [anon_sym_restrict] = ACTIONS(5462),
    [anon_sym___restrict__] = ACTIONS(5462),
    [anon_sym__Atomic] = ACTIONS(5462),
    [anon_sym__Noreturn] = ACTIONS(5462),
    [anon_sym_noreturn] = ACTIONS(5462),
    [anon_sym__Nonnull] = ACTIONS(5462),
    [anon_sym_mutable] = ACTIONS(5462),
    [anon_sym_constinit] = ACTIONS(5462),
    [anon_sym_consteval] = ACTIONS(5462),
    [anon_sym_alignas] = ACTIONS(5462),
    [anon_sym__Alignas] = ACTIONS(5462),
    [sym_primitive_type] = ACTIONS(5462),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_LT_EQ_GT] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5462),
    [anon_sym_and] = ACTIONS(5462),
    [anon_sym_bitor] = ACTIONS(5462),
    [anon_sym_xor] = ACTIONS(5462),
    [anon_sym_bitand] = ACTIONS(5462),
    [anon_sym_not_eq] = ACTIONS(5462),
    [anon_sym_DASH_DASH] = ACTIONS(5464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_DOT_STAR] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5462),
    [anon_sym_decltype] = ACTIONS(5462),
    [anon_sym_final] = ACTIONS(5462),
    [anon_sym_override] = ACTIONS(5462),
    [anon_sym_requires] = ACTIONS(5462),
  },
  [1803] = {
    [sym_identifier] = ACTIONS(5466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_RPAREN] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5466),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym___extension__] = ACTIONS(5466),
    [anon_sym___attribute__] = ACTIONS(5466),
    [anon_sym___based] = ACTIONS(5466),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_signed] = ACTIONS(5466),
    [anon_sym_unsigned] = ACTIONS(5466),
    [anon_sym_long] = ACTIONS(5466),
    [anon_sym_short] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_RBRACK] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5466),
    [anon_sym_constexpr] = ACTIONS(5466),
    [anon_sym_volatile] = ACTIONS(5466),
    [anon_sym_restrict] = ACTIONS(5466),
    [anon_sym___restrict__] = ACTIONS(5466),
    [anon_sym__Atomic] = ACTIONS(5466),
    [anon_sym__Noreturn] = ACTIONS(5466),
    [anon_sym_noreturn] = ACTIONS(5466),
    [anon_sym__Nonnull] = ACTIONS(5466),
    [anon_sym_mutable] = ACTIONS(5466),
    [anon_sym_constinit] = ACTIONS(5466),
    [anon_sym_consteval] = ACTIONS(5466),
    [anon_sym_alignas] = ACTIONS(5466),
    [anon_sym__Alignas] = ACTIONS(5466),
    [sym_primitive_type] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5468),
    [anon_sym_or] = ACTIONS(5466),
    [anon_sym_and] = ACTIONS(5466),
    [anon_sym_bitor] = ACTIONS(5466),
    [anon_sym_xor] = ACTIONS(5466),
    [anon_sym_bitand] = ACTIONS(5466),
    [anon_sym_not_eq] = ACTIONS(5466),
    [anon_sym_DASH_DASH] = ACTIONS(5468),
    [anon_sym_PLUS_PLUS] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_DOT_STAR] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5466),
    [anon_sym_decltype] = ACTIONS(5466),
    [anon_sym_final] = ACTIONS(5466),
    [anon_sym_override] = ACTIONS(5466),
    [anon_sym_requires] = ACTIONS(5466),
  },
  [1804] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(5470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [anon_sym_RPAREN] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5472),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5472),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5472),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_RBRACE] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_RBRACK] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym__Nonnull] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [anon_sym_alignas] = ACTIONS(5474),
    [anon_sym__Alignas] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5472),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5472),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5472),
    [anon_sym_PLUS_PLUS] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
    [anon_sym_requires] = ACTIONS(5474),
  },
  [1805] = {
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym__Nonnull] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym__Alignas] = ACTIONS(5480),
    [sym_primitive_type] = ACTIONS(5480),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_and] = ACTIONS(5480),
    [anon_sym_bitor] = ACTIONS(5480),
    [anon_sym_xor] = ACTIONS(5480),
    [anon_sym_bitand] = ACTIONS(5480),
    [anon_sym_not_eq] = ACTIONS(5480),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_final] = ACTIONS(5480),
    [anon_sym_override] = ACTIONS(5480),
    [anon_sym_requires] = ACTIONS(5480),
  },
  [1806] = {
    [sym_identifier] = ACTIONS(5335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_DASH] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_SLASH] = ACTIONS(5335),
    [anon_sym_PERCENT] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_PIPE] = ACTIONS(5335),
    [anon_sym_CARET] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_EQ_EQ] = ACTIONS(5337),
    [anon_sym_BANG_EQ] = ACTIONS(5337),
    [anon_sym_GT] = ACTIONS(5335),
    [anon_sym_GT_EQ] = ACTIONS(5337),
    [anon_sym_LT_EQ] = ACTIONS(5335),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(5337),
    [anon_sym_GT_GT] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_RBRACK] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [sym_primitive_type] = ACTIONS(5335),
    [anon_sym_COLON] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_LT_EQ_GT] = ACTIONS(5337),
    [anon_sym_or] = ACTIONS(5335),
    [anon_sym_and] = ACTIONS(5335),
    [anon_sym_bitor] = ACTIONS(5335),
    [anon_sym_xor] = ACTIONS(5335),
    [anon_sym_bitand] = ACTIONS(5335),
    [anon_sym_not_eq] = ACTIONS(5335),
    [anon_sym_DASH_DASH] = ACTIONS(5337),
    [anon_sym_PLUS_PLUS] = ACTIONS(5337),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_DOT_STAR] = ACTIONS(5337),
    [anon_sym_DASH_GT] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_final] = ACTIONS(5335),
    [anon_sym_override] = ACTIONS(5335),
    [anon_sym_requires] = ACTIONS(5335),
  },
  [1807] = {
    [sym_identifier] = ACTIONS(5484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5484),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5486),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym__Nonnull] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym__Alignas] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_LT_EQ_GT] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5484),
    [anon_sym_and] = ACTIONS(5484),
    [anon_sym_bitor] = ACTIONS(5484),
    [anon_sym_xor] = ACTIONS(5484),
    [anon_sym_bitand] = ACTIONS(5484),
    [anon_sym_not_eq] = ACTIONS(5484),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_DOT_STAR] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_final] = ACTIONS(5484),
    [anon_sym_override] = ACTIONS(5484),
    [anon_sym_requires] = ACTIONS(5484),
  },
  [1808] = {
    [sym_identifier] = ACTIONS(5488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_LT_EQ_GT] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_and] = ACTIONS(5488),
    [anon_sym_bitor] = ACTIONS(5488),
    [anon_sym_xor] = ACTIONS(5488),
    [anon_sym_bitand] = ACTIONS(5488),
    [anon_sym_not_eq] = ACTIONS(5488),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_DOT_STAR] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_final] = ACTIONS(5488),
    [anon_sym_override] = ACTIONS(5488),
    [anon_sym_requires] = ACTIONS(5488),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym__Nonnull] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym__Alignas] = ACTIONS(5492),
    [sym_primitive_type] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_final] = ACTIONS(5492),
    [anon_sym_override] = ACTIONS(5492),
    [anon_sym_requires] = ACTIONS(5492),
  },
  [1810] = {
    [sym_catch_clause] = STATE(1834),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(5426),
  },
  [1811] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___extension__] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym___based] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_signed] = ACTIONS(5496),
    [anon_sym_unsigned] = ACTIONS(5496),
    [anon_sym_long] = ACTIONS(5496),
    [anon_sym_short] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_const] = ACTIONS(5496),
    [anon_sym_constexpr] = ACTIONS(5496),
    [anon_sym_volatile] = ACTIONS(5496),
    [anon_sym_restrict] = ACTIONS(5496),
    [anon_sym___restrict__] = ACTIONS(5496),
    [anon_sym__Atomic] = ACTIONS(5496),
    [anon_sym__Noreturn] = ACTIONS(5496),
    [anon_sym_noreturn] = ACTIONS(5496),
    [anon_sym__Nonnull] = ACTIONS(5496),
    [anon_sym_mutable] = ACTIONS(5496),
    [anon_sym_constinit] = ACTIONS(5496),
    [anon_sym_consteval] = ACTIONS(5496),
    [anon_sym_alignas] = ACTIONS(5496),
    [anon_sym__Alignas] = ACTIONS(5496),
    [sym_primitive_type] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
    [anon_sym_final] = ACTIONS(5496),
    [anon_sym_override] = ACTIONS(5496),
    [anon_sym_requires] = ACTIONS(5496),
  },
  [1812] = {
    [sym_identifier] = ACTIONS(5500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5502),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_CARET] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5500),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_RBRACK] = ACTIONS(5502),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym__Nonnull] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym__Alignas] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_LT_EQ_GT] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_and] = ACTIONS(5500),
    [anon_sym_bitor] = ACTIONS(5500),
    [anon_sym_xor] = ACTIONS(5500),
    [anon_sym_bitand] = ACTIONS(5500),
    [anon_sym_not_eq] = ACTIONS(5500),
    [anon_sym_DASH_DASH] = ACTIONS(5502),
    [anon_sym_PLUS_PLUS] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_DOT_STAR] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_final] = ACTIONS(5500),
    [anon_sym_override] = ACTIONS(5500),
    [anon_sym_requires] = ACTIONS(5500),
  },
  [1813] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym__Nonnull] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [anon_sym_alignas] = ACTIONS(5504),
    [anon_sym__Alignas] = ACTIONS(5504),
    [sym_primitive_type] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_final] = ACTIONS(5504),
    [anon_sym_override] = ACTIONS(5504),
    [anon_sym_requires] = ACTIONS(5504),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___extension__] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym___based] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_signed] = ACTIONS(5496),
    [anon_sym_unsigned] = ACTIONS(5496),
    [anon_sym_long] = ACTIONS(5496),
    [anon_sym_short] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_const] = ACTIONS(5496),
    [anon_sym_constexpr] = ACTIONS(5496),
    [anon_sym_volatile] = ACTIONS(5496),
    [anon_sym_restrict] = ACTIONS(5496),
    [anon_sym___restrict__] = ACTIONS(5496),
    [anon_sym__Atomic] = ACTIONS(5496),
    [anon_sym__Noreturn] = ACTIONS(5496),
    [anon_sym_noreturn] = ACTIONS(5496),
    [anon_sym__Nonnull] = ACTIONS(5496),
    [anon_sym_mutable] = ACTIONS(5496),
    [anon_sym_constinit] = ACTIONS(5496),
    [anon_sym_consteval] = ACTIONS(5496),
    [anon_sym_alignas] = ACTIONS(5496),
    [anon_sym__Alignas] = ACTIONS(5496),
    [sym_primitive_type] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
    [anon_sym_final] = ACTIONS(5496),
    [anon_sym_override] = ACTIONS(5496),
    [anon_sym_requires] = ACTIONS(5496),
  },
  [1815] = {
    [sym_catch_clause] = STATE(1815),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(5508),
  },
  [1816] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4893),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4893),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
    [anon_sym_GT2] = ACTIONS(4888),
  },
  [1817] = {
    [sym_catch_clause] = STATE(1815),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_friend] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(5428),
  },
  [1818] = {
    [sym_identifier] = ACTIONS(5446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_RPAREN] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5448),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5448),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5448),
    [anon_sym_PIPE_PIPE] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_CARET] = ACTIONS(5448),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5446),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5448),
    [anon_sym_GT_GT] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym___extension__] = ACTIONS(5446),
    [anon_sym___attribute__] = ACTIONS(5446),
    [anon_sym___based] = ACTIONS(5446),
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5446),
    [anon_sym_unsigned] = ACTIONS(5446),
    [anon_sym_long] = ACTIONS(5446),
    [anon_sym_short] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_RBRACK] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5446),
    [anon_sym_constexpr] = ACTIONS(5446),
    [anon_sym_volatile] = ACTIONS(5446),
    [anon_sym_restrict] = ACTIONS(5446),
    [anon_sym___restrict__] = ACTIONS(5446),
    [anon_sym__Atomic] = ACTIONS(5446),
    [anon_sym__Noreturn] = ACTIONS(5446),
    [anon_sym_noreturn] = ACTIONS(5446),
    [anon_sym__Nonnull] = ACTIONS(5446),
    [anon_sym_mutable] = ACTIONS(5446),
    [anon_sym_constinit] = ACTIONS(5446),
    [anon_sym_consteval] = ACTIONS(5446),
    [anon_sym_alignas] = ACTIONS(5446),
    [anon_sym__Alignas] = ACTIONS(5446),
    [sym_primitive_type] = ACTIONS(5446),
    [anon_sym_COLON] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_LT_EQ_GT] = ACTIONS(5448),
    [anon_sym_or] = ACTIONS(5446),
    [anon_sym_and] = ACTIONS(5446),
    [anon_sym_bitor] = ACTIONS(5446),
    [anon_sym_xor] = ACTIONS(5446),
    [anon_sym_bitand] = ACTIONS(5446),
    [anon_sym_not_eq] = ACTIONS(5446),
    [anon_sym_DASH_DASH] = ACTIONS(5448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_DOT_STAR] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5446),
    [anon_sym_decltype] = ACTIONS(5446),
    [anon_sym_final] = ACTIONS(5446),
    [anon_sym_override] = ACTIONS(5446),
    [anon_sym_requires] = ACTIONS(5446),
  },
  [1819] = {
    [sym_identifier] = ACTIONS(5511),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5513),
    [anon_sym_COMMA] = ACTIONS(5513),
    [anon_sym_RPAREN] = ACTIONS(5513),
    [anon_sym_LPAREN2] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5511),
    [anon_sym_STAR] = ACTIONS(5513),
    [anon_sym_SLASH] = ACTIONS(5511),
    [anon_sym_PERCENT] = ACTIONS(5513),
    [anon_sym_PIPE_PIPE] = ACTIONS(5513),
    [anon_sym_AMP_AMP] = ACTIONS(5513),
    [anon_sym_PIPE] = ACTIONS(5511),
    [anon_sym_CARET] = ACTIONS(5513),
    [anon_sym_AMP] = ACTIONS(5511),
    [anon_sym_EQ_EQ] = ACTIONS(5513),
    [anon_sym_BANG_EQ] = ACTIONS(5513),
    [anon_sym_GT] = ACTIONS(5511),
    [anon_sym_GT_EQ] = ACTIONS(5513),
    [anon_sym_LT_EQ] = ACTIONS(5511),
    [anon_sym_LT] = ACTIONS(5511),
    [anon_sym_LT_LT] = ACTIONS(5513),
    [anon_sym_GT_GT] = ACTIONS(5513),
    [anon_sym_SEMI] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5511),
    [anon_sym___attribute__] = ACTIONS(5511),
    [anon_sym___based] = ACTIONS(5511),
    [anon_sym_LBRACE] = ACTIONS(5513),
    [anon_sym_RBRACE] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5511),
    [anon_sym_unsigned] = ACTIONS(5511),
    [anon_sym_long] = ACTIONS(5511),
    [anon_sym_short] = ACTIONS(5511),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_RBRACK] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5511),
    [anon_sym_constexpr] = ACTIONS(5511),
    [anon_sym_volatile] = ACTIONS(5511),
    [anon_sym_restrict] = ACTIONS(5511),
    [anon_sym___restrict__] = ACTIONS(5511),
    [anon_sym__Atomic] = ACTIONS(5511),
    [anon_sym__Noreturn] = ACTIONS(5511),
    [anon_sym_noreturn] = ACTIONS(5511),
    [anon_sym__Nonnull] = ACTIONS(5511),
    [anon_sym_mutable] = ACTIONS(5511),
    [anon_sym_constinit] = ACTIONS(5511),
    [anon_sym_consteval] = ACTIONS(5511),
    [anon_sym_alignas] = ACTIONS(5511),
    [anon_sym__Alignas] = ACTIONS(5511),
    [sym_primitive_type] = ACTIONS(5511),
    [anon_sym_COLON] = ACTIONS(5513),
    [anon_sym_QMARK] = ACTIONS(5513),
    [anon_sym_LT_EQ_GT] = ACTIONS(5513),
    [anon_sym_or] = ACTIONS(5511),
    [anon_sym_and] = ACTIONS(5511),
    [anon_sym_bitor] = ACTIONS(5511),
    [anon_sym_xor] = ACTIONS(5511),
    [anon_sym_bitand] = ACTIONS(5511),
    [anon_sym_not_eq] = ACTIONS(5511),
    [anon_sym_DASH_DASH] = ACTIONS(5513),
    [anon_sym_PLUS_PLUS] = ACTIONS(5513),
    [anon_sym_DOT] = ACTIONS(5511),
    [anon_sym_DOT_STAR] = ACTIONS(5513),
    [anon_sym_DASH_GT] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5511),
    [anon_sym_decltype] = ACTIONS(5511),
    [anon_sym_final] = ACTIONS(5511),
    [anon_sym_override] = ACTIONS(5511),
    [anon_sym_requires] = ACTIONS(5511),
  },
  [1820] = {
    [sym_identifier] = ACTIONS(5515),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5517),
    [anon_sym_COMMA] = ACTIONS(5517),
    [anon_sym_RPAREN] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5517),
    [anon_sym_DASH] = ACTIONS(5515),
    [anon_sym_PLUS] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5517),
    [anon_sym_SLASH] = ACTIONS(5515),
    [anon_sym_PERCENT] = ACTIONS(5517),
    [anon_sym_PIPE_PIPE] = ACTIONS(5517),
    [anon_sym_AMP_AMP] = ACTIONS(5517),
    [anon_sym_PIPE] = ACTIONS(5515),
    [anon_sym_CARET] = ACTIONS(5517),
    [anon_sym_AMP] = ACTIONS(5515),
    [anon_sym_EQ_EQ] = ACTIONS(5517),
    [anon_sym_BANG_EQ] = ACTIONS(5517),
    [anon_sym_GT] = ACTIONS(5515),
    [anon_sym_GT_EQ] = ACTIONS(5517),
    [anon_sym_LT_EQ] = ACTIONS(5515),
    [anon_sym_LT] = ACTIONS(5515),
    [anon_sym_LT_LT] = ACTIONS(5517),
    [anon_sym_GT_GT] = ACTIONS(5517),
    [anon_sym_SEMI] = ACTIONS(5517),
    [anon_sym___extension__] = ACTIONS(5515),
    [anon_sym___attribute__] = ACTIONS(5515),
    [anon_sym___based] = ACTIONS(5515),
    [anon_sym_LBRACE] = ACTIONS(5517),
    [anon_sym_RBRACE] = ACTIONS(5517),
    [anon_sym_signed] = ACTIONS(5515),
    [anon_sym_unsigned] = ACTIONS(5515),
    [anon_sym_long] = ACTIONS(5515),
    [anon_sym_short] = ACTIONS(5515),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [anon_sym_RBRACK] = ACTIONS(5517),
    [anon_sym_const] = ACTIONS(5515),
    [anon_sym_constexpr] = ACTIONS(5515),
    [anon_sym_volatile] = ACTIONS(5515),
    [anon_sym_restrict] = ACTIONS(5515),
    [anon_sym___restrict__] = ACTIONS(5515),
    [anon_sym__Atomic] = ACTIONS(5515),
    [anon_sym__Noreturn] = ACTIONS(5515),
    [anon_sym_noreturn] = ACTIONS(5515),
    [anon_sym__Nonnull] = ACTIONS(5515),
    [anon_sym_mutable] = ACTIONS(5515),
    [anon_sym_constinit] = ACTIONS(5515),
    [anon_sym_consteval] = ACTIONS(5515),
    [anon_sym_alignas] = ACTIONS(5515),
    [anon_sym__Alignas] = ACTIONS(5515),
    [sym_primitive_type] = ACTIONS(5515),
    [anon_sym_COLON] = ACTIONS(5517),
    [anon_sym_QMARK] = ACTIONS(5517),
    [anon_sym_LT_EQ_GT] = ACTIONS(5517),
    [anon_sym_or] = ACTIONS(5515),
    [anon_sym_and] = ACTIONS(5515),
    [anon_sym_bitor] = ACTIONS(5515),
    [anon_sym_xor] = ACTIONS(5515),
    [anon_sym_bitand] = ACTIONS(5515),
    [anon_sym_not_eq] = ACTIONS(5515),
    [anon_sym_DASH_DASH] = ACTIONS(5517),
    [anon_sym_PLUS_PLUS] = ACTIONS(5517),
    [anon_sym_DOT] = ACTIONS(5515),
    [anon_sym_DOT_STAR] = ACTIONS(5517),
    [anon_sym_DASH_GT] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5515),
    [anon_sym_decltype] = ACTIONS(5515),
    [anon_sym_final] = ACTIONS(5515),
    [anon_sym_override] = ACTIONS(5515),
    [anon_sym_requires] = ACTIONS(5515),
  },
  [1821] = {
    [sym_identifier] = ACTIONS(5519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5521),
    [anon_sym_COMMA] = ACTIONS(5521),
    [anon_sym_RPAREN] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5521),
    [anon_sym_DASH] = ACTIONS(5519),
    [anon_sym_PLUS] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5521),
    [anon_sym_SLASH] = ACTIONS(5519),
    [anon_sym_PERCENT] = ACTIONS(5521),
    [anon_sym_PIPE_PIPE] = ACTIONS(5521),
    [anon_sym_AMP_AMP] = ACTIONS(5521),
    [anon_sym_PIPE] = ACTIONS(5519),
    [anon_sym_CARET] = ACTIONS(5521),
    [anon_sym_AMP] = ACTIONS(5519),
    [anon_sym_EQ_EQ] = ACTIONS(5521),
    [anon_sym_BANG_EQ] = ACTIONS(5521),
    [anon_sym_GT] = ACTIONS(5519),
    [anon_sym_GT_EQ] = ACTIONS(5521),
    [anon_sym_LT_EQ] = ACTIONS(5519),
    [anon_sym_LT] = ACTIONS(5519),
    [anon_sym_LT_LT] = ACTIONS(5521),
    [anon_sym_GT_GT] = ACTIONS(5521),
    [anon_sym_SEMI] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5519),
    [anon_sym___attribute__] = ACTIONS(5519),
    [anon_sym___based] = ACTIONS(5519),
    [anon_sym_LBRACE] = ACTIONS(5521),
    [anon_sym_RBRACE] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5519),
    [anon_sym_unsigned] = ACTIONS(5519),
    [anon_sym_long] = ACTIONS(5519),
    [anon_sym_short] = ACTIONS(5519),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_RBRACK] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5519),
    [anon_sym_constexpr] = ACTIONS(5519),
    [anon_sym_volatile] = ACTIONS(5519),
    [anon_sym_restrict] = ACTIONS(5519),
    [anon_sym___restrict__] = ACTIONS(5519),
    [anon_sym__Atomic] = ACTIONS(5519),
    [anon_sym__Noreturn] = ACTIONS(5519),
    [anon_sym_noreturn] = ACTIONS(5519),
    [anon_sym__Nonnull] = ACTIONS(5519),
    [anon_sym_mutable] = ACTIONS(5519),
    [anon_sym_constinit] = ACTIONS(5519),
    [anon_sym_consteval] = ACTIONS(5519),
    [anon_sym_alignas] = ACTIONS(5519),
    [anon_sym__Alignas] = ACTIONS(5519),
    [sym_primitive_type] = ACTIONS(5519),
    [anon_sym_COLON] = ACTIONS(5521),
    [anon_sym_QMARK] = ACTIONS(5521),
    [anon_sym_LT_EQ_GT] = ACTIONS(5521),
    [anon_sym_or] = ACTIONS(5519),
    [anon_sym_and] = ACTIONS(5519),
    [anon_sym_bitor] = ACTIONS(5519),
    [anon_sym_xor] = ACTIONS(5519),
    [anon_sym_bitand] = ACTIONS(5519),
    [anon_sym_not_eq] = ACTIONS(5519),
    [anon_sym_DASH_DASH] = ACTIONS(5521),
    [anon_sym_PLUS_PLUS] = ACTIONS(5521),
    [anon_sym_DOT] = ACTIONS(5519),
    [anon_sym_DOT_STAR] = ACTIONS(5521),
    [anon_sym_DASH_GT] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5519),
    [anon_sym_decltype] = ACTIONS(5519),
    [anon_sym_final] = ACTIONS(5519),
    [anon_sym_override] = ACTIONS(5519),
    [anon_sym_requires] = ACTIONS(5519),
  },
  [1822] = {
    [sym_identifier] = ACTIONS(5523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5525),
    [anon_sym_COMMA] = ACTIONS(5525),
    [anon_sym_RPAREN] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5525),
    [anon_sym_DASH] = ACTIONS(5523),
    [anon_sym_PLUS] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5525),
    [anon_sym_SLASH] = ACTIONS(5523),
    [anon_sym_PERCENT] = ACTIONS(5525),
    [anon_sym_PIPE_PIPE] = ACTIONS(5525),
    [anon_sym_AMP_AMP] = ACTIONS(5525),
    [anon_sym_PIPE] = ACTIONS(5523),
    [anon_sym_CARET] = ACTIONS(5525),
    [anon_sym_AMP] = ACTIONS(5523),
    [anon_sym_EQ_EQ] = ACTIONS(5525),
    [anon_sym_BANG_EQ] = ACTIONS(5525),
    [anon_sym_GT] = ACTIONS(5523),
    [anon_sym_GT_EQ] = ACTIONS(5525),
    [anon_sym_LT_EQ] = ACTIONS(5523),
    [anon_sym_LT] = ACTIONS(5523),
    [anon_sym_LT_LT] = ACTIONS(5525),
    [anon_sym_GT_GT] = ACTIONS(5525),
    [anon_sym_SEMI] = ACTIONS(5525),
    [anon_sym___extension__] = ACTIONS(5523),
    [anon_sym___attribute__] = ACTIONS(5523),
    [anon_sym___based] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(5525),
    [anon_sym_RBRACE] = ACTIONS(5525),
    [anon_sym_signed] = ACTIONS(5523),
    [anon_sym_unsigned] = ACTIONS(5523),
    [anon_sym_long] = ACTIONS(5523),
    [anon_sym_short] = ACTIONS(5523),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5523),
    [anon_sym_constexpr] = ACTIONS(5523),
    [anon_sym_volatile] = ACTIONS(5523),
    [anon_sym_restrict] = ACTIONS(5523),
    [anon_sym___restrict__] = ACTIONS(5523),
    [anon_sym__Atomic] = ACTIONS(5523),
    [anon_sym__Noreturn] = ACTIONS(5523),
    [anon_sym_noreturn] = ACTIONS(5523),
    [anon_sym__Nonnull] = ACTIONS(5523),
    [anon_sym_mutable] = ACTIONS(5523),
    [anon_sym_constinit] = ACTIONS(5523),
    [anon_sym_consteval] = ACTIONS(5523),
    [anon_sym_alignas] = ACTIONS(5523),
    [anon_sym__Alignas] = ACTIONS(5523),
    [sym_primitive_type] = ACTIONS(5523),
    [anon_sym_COLON] = ACTIONS(5525),
    [anon_sym_QMARK] = ACTIONS(5525),
    [anon_sym_LT_EQ_GT] = ACTIONS(5525),
    [anon_sym_or] = ACTIONS(5523),
    [anon_sym_and] = ACTIONS(5523),
    [anon_sym_bitor] = ACTIONS(5523),
    [anon_sym_xor] = ACTIONS(5523),
    [anon_sym_bitand] = ACTIONS(5523),
    [anon_sym_not_eq] = ACTIONS(5523),
    [anon_sym_DASH_DASH] = ACTIONS(5525),
    [anon_sym_PLUS_PLUS] = ACTIONS(5525),
    [anon_sym_DOT] = ACTIONS(5523),
    [anon_sym_DOT_STAR] = ACTIONS(5525),
    [anon_sym_DASH_GT] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5523),
    [anon_sym_decltype] = ACTIONS(5523),
    [anon_sym_final] = ACTIONS(5523),
    [anon_sym_override] = ACTIONS(5523),
    [anon_sym_requires] = ACTIONS(5523),
  },
  [1823] = {
    [sym_identifier] = ACTIONS(5527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5529),
    [anon_sym_COMMA] = ACTIONS(5529),
    [anon_sym_RPAREN] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5529),
    [anon_sym_DASH] = ACTIONS(5527),
    [anon_sym_PLUS] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5529),
    [anon_sym_SLASH] = ACTIONS(5527),
    [anon_sym_PERCENT] = ACTIONS(5529),
    [anon_sym_PIPE_PIPE] = ACTIONS(5529),
    [anon_sym_AMP_AMP] = ACTIONS(5529),
    [anon_sym_PIPE] = ACTIONS(5527),
    [anon_sym_CARET] = ACTIONS(5529),
    [anon_sym_AMP] = ACTIONS(5527),
    [anon_sym_EQ_EQ] = ACTIONS(5529),
    [anon_sym_BANG_EQ] = ACTIONS(5529),
    [anon_sym_GT] = ACTIONS(5527),
    [anon_sym_GT_EQ] = ACTIONS(5529),
    [anon_sym_LT_EQ] = ACTIONS(5527),
    [anon_sym_LT] = ACTIONS(5527),
    [anon_sym_LT_LT] = ACTIONS(5529),
    [anon_sym_GT_GT] = ACTIONS(5529),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5527),
    [anon_sym___attribute__] = ACTIONS(5527),
    [anon_sym___based] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(5529),
    [anon_sym_RBRACE] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5527),
    [anon_sym_unsigned] = ACTIONS(5527),
    [anon_sym_long] = ACTIONS(5527),
    [anon_sym_short] = ACTIONS(5527),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_RBRACK] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5527),
    [anon_sym_constexpr] = ACTIONS(5527),
    [anon_sym_volatile] = ACTIONS(5527),
    [anon_sym_restrict] = ACTIONS(5527),
    [anon_sym___restrict__] = ACTIONS(5527),
    [anon_sym__Atomic] = ACTIONS(5527),
    [anon_sym__Noreturn] = ACTIONS(5527),
    [anon_sym_noreturn] = ACTIONS(5527),
    [anon_sym__Nonnull] = ACTIONS(5527),
    [anon_sym_mutable] = ACTIONS(5527),
    [anon_sym_constinit] = ACTIONS(5527),
    [anon_sym_consteval] = ACTIONS(5527),
    [anon_sym_alignas] = ACTIONS(5527),
    [anon_sym__Alignas] = ACTIONS(5527),
    [sym_primitive_type] = ACTIONS(5527),
    [anon_sym_COLON] = ACTIONS(5529),
    [anon_sym_QMARK] = ACTIONS(5529),
    [anon_sym_LT_EQ_GT] = ACTIONS(5529),
    [anon_sym_or] = ACTIONS(5527),
    [anon_sym_and] = ACTIONS(5527),
    [anon_sym_bitor] = ACTIONS(5527),
    [anon_sym_xor] = ACTIONS(5527),
    [anon_sym_bitand] = ACTIONS(5527),
    [anon_sym_not_eq] = ACTIONS(5527),
    [anon_sym_DASH_DASH] = ACTIONS(5529),
    [anon_sym_PLUS_PLUS] = ACTIONS(5529),
    [anon_sym_DOT] = ACTIONS(5527),
    [anon_sym_DOT_STAR] = ACTIONS(5529),
    [anon_sym_DASH_GT] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5527),
    [anon_sym_decltype] = ACTIONS(5527),
    [anon_sym_final] = ACTIONS(5527),
    [anon_sym_override] = ACTIONS(5527),
    [anon_sym_requires] = ACTIONS(5527),
  },
  [1824] = {
    [sym_identifier] = ACTIONS(5531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5533),
    [anon_sym_COMMA] = ACTIONS(5533),
    [anon_sym_RPAREN] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5533),
    [anon_sym_DASH] = ACTIONS(5531),
    [anon_sym_PLUS] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5533),
    [anon_sym_SLASH] = ACTIONS(5531),
    [anon_sym_PERCENT] = ACTIONS(5533),
    [anon_sym_PIPE_PIPE] = ACTIONS(5533),
    [anon_sym_AMP_AMP] = ACTIONS(5533),
    [anon_sym_PIPE] = ACTIONS(5531),
    [anon_sym_CARET] = ACTIONS(5533),
    [anon_sym_AMP] = ACTIONS(5531),
    [anon_sym_EQ_EQ] = ACTIONS(5533),
    [anon_sym_BANG_EQ] = ACTIONS(5533),
    [anon_sym_GT] = ACTIONS(5531),
    [anon_sym_GT_EQ] = ACTIONS(5533),
    [anon_sym_LT_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5531),
    [anon_sym_LT_LT] = ACTIONS(5533),
    [anon_sym_GT_GT] = ACTIONS(5533),
    [anon_sym_SEMI] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5531),
    [anon_sym___attribute__] = ACTIONS(5531),
    [anon_sym___based] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(5533),
    [anon_sym_RBRACE] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5531),
    [anon_sym_unsigned] = ACTIONS(5531),
    [anon_sym_long] = ACTIONS(5531),
    [anon_sym_short] = ACTIONS(5531),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_RBRACK] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5531),
    [anon_sym_constexpr] = ACTIONS(5531),
    [anon_sym_volatile] = ACTIONS(5531),
    [anon_sym_restrict] = ACTIONS(5531),
    [anon_sym___restrict__] = ACTIONS(5531),
    [anon_sym__Atomic] = ACTIONS(5531),
    [anon_sym__Noreturn] = ACTIONS(5531),
    [anon_sym_noreturn] = ACTIONS(5531),
    [anon_sym__Nonnull] = ACTIONS(5531),
    [anon_sym_mutable] = ACTIONS(5531),
    [anon_sym_constinit] = ACTIONS(5531),
    [anon_sym_consteval] = ACTIONS(5531),
    [anon_sym_alignas] = ACTIONS(5531),
    [anon_sym__Alignas] = ACTIONS(5531),
    [sym_primitive_type] = ACTIONS(5531),
    [anon_sym_COLON] = ACTIONS(5533),
    [anon_sym_QMARK] = ACTIONS(5533),
    [anon_sym_LT_EQ_GT] = ACTIONS(5533),
    [anon_sym_or] = ACTIONS(5531),
    [anon_sym_and] = ACTIONS(5531),
    [anon_sym_bitor] = ACTIONS(5531),
    [anon_sym_xor] = ACTIONS(5531),
    [anon_sym_bitand] = ACTIONS(5531),
    [anon_sym_not_eq] = ACTIONS(5531),
    [anon_sym_DASH_DASH] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5533),
    [anon_sym_DOT] = ACTIONS(5531),
    [anon_sym_DOT_STAR] = ACTIONS(5533),
    [anon_sym_DASH_GT] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5531),
    [anon_sym_decltype] = ACTIONS(5531),
    [anon_sym_final] = ACTIONS(5531),
    [anon_sym_override] = ACTIONS(5531),
    [anon_sym_requires] = ACTIONS(5531),
  },
  [1825] = {
    [sym_identifier] = ACTIONS(5535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5537),
    [anon_sym_COMMA] = ACTIONS(5537),
    [anon_sym_RPAREN] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5537),
    [anon_sym_DASH] = ACTIONS(5535),
    [anon_sym_PLUS] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5537),
    [anon_sym_SLASH] = ACTIONS(5535),
    [anon_sym_PERCENT] = ACTIONS(5537),
    [anon_sym_PIPE_PIPE] = ACTIONS(5537),
    [anon_sym_AMP_AMP] = ACTIONS(5537),
    [anon_sym_PIPE] = ACTIONS(5535),
    [anon_sym_CARET] = ACTIONS(5537),
    [anon_sym_AMP] = ACTIONS(5535),
    [anon_sym_EQ_EQ] = ACTIONS(5537),
    [anon_sym_BANG_EQ] = ACTIONS(5537),
    [anon_sym_GT] = ACTIONS(5535),
    [anon_sym_GT_EQ] = ACTIONS(5537),
    [anon_sym_LT_EQ] = ACTIONS(5535),
    [anon_sym_LT] = ACTIONS(5535),
    [anon_sym_LT_LT] = ACTIONS(5537),
    [anon_sym_GT_GT] = ACTIONS(5537),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5535),
    [anon_sym___attribute__] = ACTIONS(5535),
    [anon_sym___based] = ACTIONS(5535),
    [anon_sym_LBRACE] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5535),
    [anon_sym_unsigned] = ACTIONS(5535),
    [anon_sym_long] = ACTIONS(5535),
    [anon_sym_short] = ACTIONS(5535),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5535),
    [anon_sym_constexpr] = ACTIONS(5535),
    [anon_sym_volatile] = ACTIONS(5535),
    [anon_sym_restrict] = ACTIONS(5535),
    [anon_sym___restrict__] = ACTIONS(5535),
    [anon_sym__Atomic] = ACTIONS(5535),
    [anon_sym__Noreturn] = ACTIONS(5535),
    [anon_sym_noreturn] = ACTIONS(5535),
    [anon_sym__Nonnull] = ACTIONS(5535),
    [anon_sym_mutable] = ACTIONS(5535),
    [anon_sym_constinit] = ACTIONS(5535),
    [anon_sym_consteval] = ACTIONS(5535),
    [anon_sym_alignas] = ACTIONS(5535),
    [anon_sym__Alignas] = ACTIONS(5535),
    [sym_primitive_type] = ACTIONS(5535),
    [anon_sym_COLON] = ACTIONS(5537),
    [anon_sym_QMARK] = ACTIONS(5537),
    [anon_sym_LT_EQ_GT] = ACTIONS(5537),
    [anon_sym_or] = ACTIONS(5535),
    [anon_sym_and] = ACTIONS(5535),
    [anon_sym_bitor] = ACTIONS(5535),
    [anon_sym_xor] = ACTIONS(5535),
    [anon_sym_bitand] = ACTIONS(5535),
    [anon_sym_not_eq] = ACTIONS(5535),
    [anon_sym_DASH_DASH] = ACTIONS(5537),
    [anon_sym_PLUS_PLUS] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(5535),
    [anon_sym_DOT_STAR] = ACTIONS(5537),
    [anon_sym_DASH_GT] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5535),
    [anon_sym_decltype] = ACTIONS(5535),
    [anon_sym_final] = ACTIONS(5535),
    [anon_sym_override] = ACTIONS(5535),
    [anon_sym_requires] = ACTIONS(5535),
  },
  [1826] = {
    [sym_identifier] = ACTIONS(5446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_RPAREN] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5448),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5448),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5448),
    [anon_sym_PIPE_PIPE] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_CARET] = ACTIONS(5448),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5446),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5448),
    [anon_sym_GT_GT] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym___extension__] = ACTIONS(5446),
    [anon_sym___attribute__] = ACTIONS(5446),
    [anon_sym___based] = ACTIONS(5446),
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5446),
    [anon_sym_unsigned] = ACTIONS(5446),
    [anon_sym_long] = ACTIONS(5446),
    [anon_sym_short] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_RBRACK] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5446),
    [anon_sym_constexpr] = ACTIONS(5446),
    [anon_sym_volatile] = ACTIONS(5446),
    [anon_sym_restrict] = ACTIONS(5446),
    [anon_sym___restrict__] = ACTIONS(5446),
    [anon_sym__Atomic] = ACTIONS(5446),
    [anon_sym__Noreturn] = ACTIONS(5446),
    [anon_sym_noreturn] = ACTIONS(5446),
    [anon_sym__Nonnull] = ACTIONS(5446),
    [anon_sym_mutable] = ACTIONS(5446),
    [anon_sym_constinit] = ACTIONS(5446),
    [anon_sym_consteval] = ACTIONS(5446),
    [anon_sym_alignas] = ACTIONS(5446),
    [anon_sym__Alignas] = ACTIONS(5446),
    [sym_primitive_type] = ACTIONS(5446),
    [anon_sym_COLON] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_LT_EQ_GT] = ACTIONS(5448),
    [anon_sym_or] = ACTIONS(5446),
    [anon_sym_and] = ACTIONS(5446),
    [anon_sym_bitor] = ACTIONS(5446),
    [anon_sym_xor] = ACTIONS(5446),
    [anon_sym_bitand] = ACTIONS(5446),
    [anon_sym_not_eq] = ACTIONS(5446),
    [anon_sym_DASH_DASH] = ACTIONS(5448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_DOT_STAR] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5446),
    [anon_sym_decltype] = ACTIONS(5446),
    [anon_sym_final] = ACTIONS(5446),
    [anon_sym_override] = ACTIONS(5446),
    [anon_sym_requires] = ACTIONS(5446),
  },
  [1827] = {
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5541),
    [anon_sym_COMMA] = ACTIONS(5541),
    [anon_sym_RPAREN] = ACTIONS(5541),
    [anon_sym_LPAREN2] = ACTIONS(5541),
    [anon_sym_DASH] = ACTIONS(5539),
    [anon_sym_PLUS] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5541),
    [anon_sym_SLASH] = ACTIONS(5539),
    [anon_sym_PERCENT] = ACTIONS(5541),
    [anon_sym_PIPE_PIPE] = ACTIONS(5541),
    [anon_sym_AMP_AMP] = ACTIONS(5541),
    [anon_sym_PIPE] = ACTIONS(5539),
    [anon_sym_CARET] = ACTIONS(5541),
    [anon_sym_AMP] = ACTIONS(5539),
    [anon_sym_EQ_EQ] = ACTIONS(5541),
    [anon_sym_BANG_EQ] = ACTIONS(5541),
    [anon_sym_GT] = ACTIONS(5539),
    [anon_sym_GT_EQ] = ACTIONS(5541),
    [anon_sym_LT_EQ] = ACTIONS(5539),
    [anon_sym_LT] = ACTIONS(5539),
    [anon_sym_LT_LT] = ACTIONS(5541),
    [anon_sym_GT_GT] = ACTIONS(5541),
    [anon_sym_SEMI] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5539),
    [anon_sym___attribute__] = ACTIONS(5539),
    [anon_sym___based] = ACTIONS(5539),
    [anon_sym_LBRACE] = ACTIONS(5541),
    [anon_sym_RBRACE] = ACTIONS(5541),
    [anon_sym_signed] = ACTIONS(5539),
    [anon_sym_unsigned] = ACTIONS(5539),
    [anon_sym_long] = ACTIONS(5539),
    [anon_sym_short] = ACTIONS(5539),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym_RBRACK] = ACTIONS(5541),
    [anon_sym_const] = ACTIONS(5539),
    [anon_sym_constexpr] = ACTIONS(5539),
    [anon_sym_volatile] = ACTIONS(5539),
    [anon_sym_restrict] = ACTIONS(5539),
    [anon_sym___restrict__] = ACTIONS(5539),
    [anon_sym__Atomic] = ACTIONS(5539),
    [anon_sym__Noreturn] = ACTIONS(5539),
    [anon_sym_noreturn] = ACTIONS(5539),
    [anon_sym__Nonnull] = ACTIONS(5539),
    [anon_sym_mutable] = ACTIONS(5539),
    [anon_sym_constinit] = ACTIONS(5539),
    [anon_sym_consteval] = ACTIONS(5539),
    [anon_sym_alignas] = ACTIONS(5539),
    [anon_sym__Alignas] = ACTIONS(5539),
    [sym_primitive_type] = ACTIONS(5539),
    [anon_sym_COLON] = ACTIONS(5541),
    [anon_sym_QMARK] = ACTIONS(5541),
    [anon_sym_LT_EQ_GT] = ACTIONS(5541),
    [anon_sym_or] = ACTIONS(5539),
    [anon_sym_and] = ACTIONS(5539),
    [anon_sym_bitor] = ACTIONS(5539),
    [anon_sym_xor] = ACTIONS(5539),
    [anon_sym_bitand] = ACTIONS(5539),
    [anon_sym_not_eq] = ACTIONS(5539),
    [anon_sym_DASH_DASH] = ACTIONS(5541),
    [anon_sym_PLUS_PLUS] = ACTIONS(5541),
    [anon_sym_DOT] = ACTIONS(5539),
    [anon_sym_DOT_STAR] = ACTIONS(5541),
    [anon_sym_DASH_GT] = ACTIONS(5541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5539),
    [anon_sym_decltype] = ACTIONS(5539),
    [anon_sym_final] = ACTIONS(5539),
    [anon_sym_override] = ACTIONS(5539),
    [anon_sym_requires] = ACTIONS(5539),
  },
  [1828] = {
    [sym_template_argument_list] = STATE(1842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
  },
  [1829] = {
    [sym_catch_clause] = STATE(1834),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_friend] = ACTIONS(2548),
    [anon_sym_public] = ACTIONS(2548),
    [anon_sym_private] = ACTIONS(2548),
    [anon_sym_protected] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_catch] = ACTIONS(5426),
  },
  [1830] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [aux_sym_preproc_if_token2] = ACTIONS(4891),
    [aux_sym_preproc_else_token1] = ACTIONS(4891),
    [aux_sym_preproc_elif_token1] = ACTIONS(4884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4891),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4891),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4891),
    [anon_sym_GT_GT] = ACTIONS(4891),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_RBRACK] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
    [anon_sym_requires] = ACTIONS(4884),
  },
  [1831] = {
    [sym_identifier] = ACTIONS(5546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym___extension__] = ACTIONS(5546),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym___based] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_signed] = ACTIONS(5546),
    [anon_sym_unsigned] = ACTIONS(5546),
    [anon_sym_long] = ACTIONS(5546),
    [anon_sym_short] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_const] = ACTIONS(5546),
    [anon_sym_constexpr] = ACTIONS(5546),
    [anon_sym_volatile] = ACTIONS(5546),
    [anon_sym_restrict] = ACTIONS(5546),
    [anon_sym___restrict__] = ACTIONS(5546),
    [anon_sym__Atomic] = ACTIONS(5546),
    [anon_sym__Noreturn] = ACTIONS(5546),
    [anon_sym_noreturn] = ACTIONS(5546),
    [anon_sym__Nonnull] = ACTIONS(5546),
    [anon_sym_mutable] = ACTIONS(5546),
    [anon_sym_constinit] = ACTIONS(5546),
    [anon_sym_consteval] = ACTIONS(5546),
    [anon_sym_alignas] = ACTIONS(5546),
    [anon_sym__Alignas] = ACTIONS(5546),
    [sym_primitive_type] = ACTIONS(5546),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5548),
    [anon_sym_LT_EQ_GT] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5546),
    [anon_sym_and] = ACTIONS(5546),
    [anon_sym_bitor] = ACTIONS(5546),
    [anon_sym_xor] = ACTIONS(5546),
    [anon_sym_bitand] = ACTIONS(5546),
    [anon_sym_not_eq] = ACTIONS(5546),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_DOT_STAR] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
    [anon_sym_final] = ACTIONS(5546),
    [anon_sym_override] = ACTIONS(5546),
    [anon_sym_requires] = ACTIONS(5546),
  },
  [1832] = {
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5552),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5552),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym___based] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5550),
    [anon_sym_unsigned] = ACTIONS(5550),
    [anon_sym_long] = ACTIONS(5550),
    [anon_sym_short] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5550),
    [anon_sym_constexpr] = ACTIONS(5550),
    [anon_sym_volatile] = ACTIONS(5550),
    [anon_sym_restrict] = ACTIONS(5550),
    [anon_sym___restrict__] = ACTIONS(5550),
    [anon_sym__Atomic] = ACTIONS(5550),
    [anon_sym__Noreturn] = ACTIONS(5550),
    [anon_sym_noreturn] = ACTIONS(5550),
    [anon_sym__Nonnull] = ACTIONS(5550),
    [anon_sym_mutable] = ACTIONS(5550),
    [anon_sym_constinit] = ACTIONS(5550),
    [anon_sym_consteval] = ACTIONS(5550),
    [anon_sym_alignas] = ACTIONS(5550),
    [anon_sym__Alignas] = ACTIONS(5550),
    [sym_primitive_type] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5550),
    [anon_sym_decltype] = ACTIONS(5550),
    [anon_sym_final] = ACTIONS(5550),
    [anon_sym_override] = ACTIONS(5550),
    [anon_sym_requires] = ACTIONS(5550),
  },
  [1833] = {
    [sym_identifier] = ACTIONS(5554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5556),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym___extension__] = ACTIONS(5554),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym___based] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_signed] = ACTIONS(5554),
    [anon_sym_unsigned] = ACTIONS(5554),
    [anon_sym_long] = ACTIONS(5554),
    [anon_sym_short] = ACTIONS(5554),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_const] = ACTIONS(5554),
    [anon_sym_constexpr] = ACTIONS(5554),
    [anon_sym_volatile] = ACTIONS(5554),
    [anon_sym_restrict] = ACTIONS(5554),
    [anon_sym___restrict__] = ACTIONS(5554),
    [anon_sym__Atomic] = ACTIONS(5554),
    [anon_sym__Noreturn] = ACTIONS(5554),
    [anon_sym_noreturn] = ACTIONS(5554),
    [anon_sym__Nonnull] = ACTIONS(5554),
    [anon_sym_mutable] = ACTIONS(5554),
    [anon_sym_constinit] = ACTIONS(5554),
    [anon_sym_consteval] = ACTIONS(5554),
    [anon_sym_alignas] = ACTIONS(5554),
    [anon_sym__Alignas] = ACTIONS(5554),
    [sym_primitive_type] = ACTIONS(5554),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_LT_EQ_GT] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
    [anon_sym_final] = ACTIONS(5554),
    [anon_sym_override] = ACTIONS(5554),
    [anon_sym_requires] = ACTIONS(5554),
  },
  [1834] = {
    [sym_catch_clause] = STATE(1834),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(5558),
  },
  [1835] = {
    [sym_argument_list] = STATE(2417),
    [sym_initializer_list] = STATE(2417),
    [sym_decltype_auto] = STATE(2218),
    [sym_new_declarator] = STATE(2186),
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5563),
    [anon_sym_COMMA] = ACTIONS(5563),
    [anon_sym_RPAREN] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5561),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5561),
    [anon_sym_PLUS] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5561),
    [anon_sym_SLASH] = ACTIONS(5561),
    [anon_sym_PERCENT] = ACTIONS(5561),
    [anon_sym_PIPE_PIPE] = ACTIONS(5563),
    [anon_sym_AMP_AMP] = ACTIONS(5563),
    [anon_sym_PIPE] = ACTIONS(5561),
    [anon_sym_CARET] = ACTIONS(5561),
    [anon_sym_AMP] = ACTIONS(5561),
    [anon_sym_EQ_EQ] = ACTIONS(5563),
    [anon_sym_BANG_EQ] = ACTIONS(5563),
    [anon_sym_GT] = ACTIONS(5561),
    [anon_sym_GT_EQ] = ACTIONS(5563),
    [anon_sym_LT_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(5561),
    [anon_sym_LT_LT] = ACTIONS(5561),
    [anon_sym_GT_GT] = ACTIONS(5561),
    [anon_sym_SEMI] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5561),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_COLON] = ACTIONS(5563),
    [anon_sym_QMARK] = ACTIONS(5563),
    [anon_sym_STAR_EQ] = ACTIONS(5563),
    [anon_sym_SLASH_EQ] = ACTIONS(5563),
    [anon_sym_PERCENT_EQ] = ACTIONS(5563),
    [anon_sym_PLUS_EQ] = ACTIONS(5563),
    [anon_sym_DASH_EQ] = ACTIONS(5563),
    [anon_sym_LT_LT_EQ] = ACTIONS(5563),
    [anon_sym_GT_GT_EQ] = ACTIONS(5563),
    [anon_sym_AMP_EQ] = ACTIONS(5563),
    [anon_sym_CARET_EQ] = ACTIONS(5563),
    [anon_sym_PIPE_EQ] = ACTIONS(5563),
    [anon_sym_and_eq] = ACTIONS(5561),
    [anon_sym_or_eq] = ACTIONS(5561),
    [anon_sym_xor_eq] = ACTIONS(5561),
    [anon_sym_LT_EQ_GT] = ACTIONS(5563),
    [anon_sym_or] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5561),
    [anon_sym_bitor] = ACTIONS(5561),
    [anon_sym_xor] = ACTIONS(5561),
    [anon_sym_bitand] = ACTIONS(5561),
    [anon_sym_not_eq] = ACTIONS(5561),
    [anon_sym_DASH_DASH] = ACTIONS(5563),
    [anon_sym_PLUS_PLUS] = ACTIONS(5563),
    [anon_sym_DOT] = ACTIONS(5561),
    [anon_sym_DOT_STAR] = ACTIONS(5563),
    [anon_sym_DASH_GT] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1836] = {
    [sym_identifier] = ACTIONS(5335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_else_token1] = ACTIONS(5337),
    [aux_sym_preproc_elif_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_DASH] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_SLASH] = ACTIONS(5335),
    [anon_sym_PERCENT] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_PIPE] = ACTIONS(5335),
    [anon_sym_CARET] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_EQ_EQ] = ACTIONS(5337),
    [anon_sym_BANG_EQ] = ACTIONS(5337),
    [anon_sym_GT] = ACTIONS(5335),
    [anon_sym_GT_EQ] = ACTIONS(5337),
    [anon_sym_LT_EQ] = ACTIONS(5335),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(5337),
    [anon_sym_GT_GT] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_RBRACK] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [anon_sym_COLON] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_LT_EQ_GT] = ACTIONS(5337),
    [anon_sym_or] = ACTIONS(5335),
    [anon_sym_and] = ACTIONS(5335),
    [anon_sym_bitor] = ACTIONS(5335),
    [anon_sym_xor] = ACTIONS(5335),
    [anon_sym_bitand] = ACTIONS(5335),
    [anon_sym_not_eq] = ACTIONS(5335),
    [anon_sym_DASH_DASH] = ACTIONS(5337),
    [anon_sym_PLUS_PLUS] = ACTIONS(5337),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_DOT_STAR] = ACTIONS(5337),
    [anon_sym_DASH_GT] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_final] = ACTIONS(5335),
    [anon_sym_override] = ACTIONS(5335),
    [anon_sym_requires] = ACTIONS(5335),
  },
  [1837] = {
    [sym_template_argument_list] = STATE(1876),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4047),
    [anon_sym_COMMA] = ACTIONS(4047),
    [anon_sym_RPAREN] = ACTIONS(4047),
    [aux_sym_preproc_if_token2] = ACTIONS(4047),
    [aux_sym_preproc_else_token1] = ACTIONS(4047),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4047),
    [anon_sym_LPAREN2] = ACTIONS(4047),
    [anon_sym_DASH] = ACTIONS(5573),
    [anon_sym_PLUS] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_SLASH] = ACTIONS(5573),
    [anon_sym_PERCENT] = ACTIONS(5573),
    [anon_sym_PIPE_PIPE] = ACTIONS(4047),
    [anon_sym_AMP_AMP] = ACTIONS(4047),
    [anon_sym_PIPE] = ACTIONS(5573),
    [anon_sym_CARET] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym_EQ_EQ] = ACTIONS(4047),
    [anon_sym_BANG_EQ] = ACTIONS(4047),
    [anon_sym_GT] = ACTIONS(5573),
    [anon_sym_GT_EQ] = ACTIONS(4047),
    [anon_sym_LT_EQ] = ACTIONS(5573),
    [anon_sym_LT] = ACTIONS(5575),
    [anon_sym_LT_LT] = ACTIONS(5573),
    [anon_sym_GT_GT] = ACTIONS(5573),
    [anon_sym_SEMI] = ACTIONS(4047),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4047),
    [anon_sym_RBRACK] = ACTIONS(4047),
    [anon_sym_EQ] = ACTIONS(5573),
    [anon_sym_COLON] = ACTIONS(5573),
    [anon_sym_QMARK] = ACTIONS(4047),
    [anon_sym_STAR_EQ] = ACTIONS(4047),
    [anon_sym_SLASH_EQ] = ACTIONS(4047),
    [anon_sym_PERCENT_EQ] = ACTIONS(4047),
    [anon_sym_PLUS_EQ] = ACTIONS(4047),
    [anon_sym_DASH_EQ] = ACTIONS(4047),
    [anon_sym_LT_LT_EQ] = ACTIONS(4047),
    [anon_sym_GT_GT_EQ] = ACTIONS(4047),
    [anon_sym_AMP_EQ] = ACTIONS(4047),
    [anon_sym_CARET_EQ] = ACTIONS(4047),
    [anon_sym_PIPE_EQ] = ACTIONS(4047),
    [anon_sym_and_eq] = ACTIONS(5573),
    [anon_sym_or_eq] = ACTIONS(5573),
    [anon_sym_xor_eq] = ACTIONS(5573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4047),
    [anon_sym_or] = ACTIONS(5573),
    [anon_sym_and] = ACTIONS(5573),
    [anon_sym_bitor] = ACTIONS(5573),
    [anon_sym_xor] = ACTIONS(5573),
    [anon_sym_bitand] = ACTIONS(5573),
    [anon_sym_not_eq] = ACTIONS(5573),
    [anon_sym_DASH_DASH] = ACTIONS(4047),
    [anon_sym_PLUS_PLUS] = ACTIONS(4047),
    [anon_sym_DOT] = ACTIONS(5573),
    [anon_sym_DOT_STAR] = ACTIONS(4047),
    [anon_sym_DASH_GT] = ACTIONS(4047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_final] = ACTIONS(5573),
    [anon_sym_override] = ACTIONS(5573),
  },
  [1838] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [aux_sym_preproc_if_token2] = ACTIONS(5406),
    [aux_sym_preproc_else_token1] = ACTIONS(5406),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5406),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5406),
    [anon_sym_GT_GT] = ACTIONS(5406),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_final] = ACTIONS(5404),
    [anon_sym_override] = ACTIONS(5404),
    [anon_sym_requires] = ACTIONS(5404),
  },
  [1839] = {
    [sym_template_argument_list] = STATE(1876),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [aux_sym_preproc_if_token2] = ACTIONS(4862),
    [aux_sym_preproc_else_token1] = ACTIONS(4862),
    [aux_sym_preproc_elif_token1] = ACTIONS(4855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(5577),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4855),
    [anon_sym_or_eq] = ACTIONS(4855),
    [anon_sym_xor_eq] = ACTIONS(4855),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
  },
  [1840] = {
    [sym_string_literal] = STATE(1622),
    [sym_raw_string_literal] = STATE(1622),
    [sym_identifier] = ACTIONS(5580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5582),
    [anon_sym_COMMA] = ACTIONS(5582),
    [aux_sym_preproc_if_token2] = ACTIONS(5582),
    [aux_sym_preproc_else_token1] = ACTIONS(5582),
    [aux_sym_preproc_elif_token1] = ACTIONS(5580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5582),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5582),
    [anon_sym_LPAREN2] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5580),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5582),
    [anon_sym_BANG_EQ] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5582),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5582),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5580),
    [anon_sym_or_eq] = ACTIONS(5580),
    [anon_sym_xor_eq] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5582),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_bitor] = ACTIONS(5580),
    [anon_sym_xor] = ACTIONS(5580),
    [anon_sym_bitand] = ACTIONS(5580),
    [anon_sym_not_eq] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5580),
    [anon_sym_DOT_STAR] = ACTIONS(5582),
    [anon_sym_DASH_GT] = ACTIONS(5582),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5580),
  },
  [1841] = {
    [sym_argument_list] = STATE(2402),
    [sym_initializer_list] = STATE(2402),
    [sym_decltype_auto] = STATE(2218),
    [sym_new_declarator] = STATE(2175),
    [sym_identifier] = ACTIONS(5584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5586),
    [anon_sym_COMMA] = ACTIONS(5586),
    [anon_sym_RPAREN] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_else_token1] = ACTIONS(5586),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5584),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5586),
    [anon_sym_BANG_EQ] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5586),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5584),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5586),
    [anon_sym_EQ] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5586),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_STAR_EQ] = ACTIONS(5586),
    [anon_sym_SLASH_EQ] = ACTIONS(5586),
    [anon_sym_PERCENT_EQ] = ACTIONS(5586),
    [anon_sym_PLUS_EQ] = ACTIONS(5586),
    [anon_sym_DASH_EQ] = ACTIONS(5586),
    [anon_sym_LT_LT_EQ] = ACTIONS(5586),
    [anon_sym_GT_GT_EQ] = ACTIONS(5586),
    [anon_sym_AMP_EQ] = ACTIONS(5586),
    [anon_sym_CARET_EQ] = ACTIONS(5586),
    [anon_sym_PIPE_EQ] = ACTIONS(5586),
    [anon_sym_and_eq] = ACTIONS(5584),
    [anon_sym_or_eq] = ACTIONS(5584),
    [anon_sym_xor_eq] = ACTIONS(5584),
    [anon_sym_LT_EQ_GT] = ACTIONS(5586),
    [anon_sym_or] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_bitor] = ACTIONS(5584),
    [anon_sym_xor] = ACTIONS(5584),
    [anon_sym_bitand] = ACTIONS(5584),
    [anon_sym_not_eq] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5586),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_DOT_STAR] = ACTIONS(5586),
    [anon_sym_DASH_GT] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1842] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
  },
  [1843] = {
    [sym_argument_list] = STATE(2428),
    [sym_initializer_list] = STATE(2428),
    [sym_decltype_auto] = STATE(2218),
    [sym_new_declarator] = STATE(2189),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1844] = {
    [sym_argument_list] = STATE(2411),
    [sym_initializer_list] = STATE(2411),
    [sym_decltype_auto] = STATE(2218),
    [sym_new_declarator] = STATE(2181),
    [sym_identifier] = ACTIONS(5592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5594),
    [anon_sym_COMMA] = ACTIONS(5594),
    [anon_sym_RPAREN] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5592),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5594),
    [anon_sym_AMP_AMP] = ACTIONS(5594),
    [anon_sym_PIPE] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(5592),
    [anon_sym_EQ_EQ] = ACTIONS(5594),
    [anon_sym_BANG_EQ] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5592),
    [anon_sym_GT_EQ] = ACTIONS(5594),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5592),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5592),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5594),
    [anon_sym_EQ] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5594),
    [anon_sym_QMARK] = ACTIONS(5594),
    [anon_sym_STAR_EQ] = ACTIONS(5594),
    [anon_sym_SLASH_EQ] = ACTIONS(5594),
    [anon_sym_PERCENT_EQ] = ACTIONS(5594),
    [anon_sym_PLUS_EQ] = ACTIONS(5594),
    [anon_sym_DASH_EQ] = ACTIONS(5594),
    [anon_sym_LT_LT_EQ] = ACTIONS(5594),
    [anon_sym_GT_GT_EQ] = ACTIONS(5594),
    [anon_sym_AMP_EQ] = ACTIONS(5594),
    [anon_sym_CARET_EQ] = ACTIONS(5594),
    [anon_sym_PIPE_EQ] = ACTIONS(5594),
    [anon_sym_and_eq] = ACTIONS(5592),
    [anon_sym_or_eq] = ACTIONS(5592),
    [anon_sym_xor_eq] = ACTIONS(5592),
    [anon_sym_LT_EQ_GT] = ACTIONS(5594),
    [anon_sym_or] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [anon_sym_bitor] = ACTIONS(5592),
    [anon_sym_xor] = ACTIONS(5592),
    [anon_sym_bitand] = ACTIONS(5592),
    [anon_sym_not_eq] = ACTIONS(5592),
    [anon_sym_DASH_DASH] = ACTIONS(5594),
    [anon_sym_PLUS_PLUS] = ACTIONS(5594),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_DOT_STAR] = ACTIONS(5594),
    [anon_sym_DASH_GT] = ACTIONS(5594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1845] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_CARET] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5598),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5596),
    [anon_sym_GT_GT] = ACTIONS(5596),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___extension__] = ACTIONS(5596),
    [anon_sym___attribute__] = ACTIONS(5596),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_signed] = ACTIONS(5600),
    [anon_sym_unsigned] = ACTIONS(5600),
    [anon_sym_long] = ACTIONS(5600),
    [anon_sym_short] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5596),
    [anon_sym_volatile] = ACTIONS(5596),
    [anon_sym_restrict] = ACTIONS(5596),
    [anon_sym___restrict__] = ACTIONS(5596),
    [anon_sym__Atomic] = ACTIONS(5596),
    [anon_sym__Noreturn] = ACTIONS(5596),
    [anon_sym_noreturn] = ACTIONS(5596),
    [anon_sym__Nonnull] = ACTIONS(5596),
    [anon_sym_mutable] = ACTIONS(5596),
    [anon_sym_constinit] = ACTIONS(5596),
    [anon_sym_consteval] = ACTIONS(5596),
    [anon_sym_alignas] = ACTIONS(5596),
    [anon_sym__Alignas] = ACTIONS(5596),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5596),
    [anon_sym_and] = ACTIONS(5596),
    [anon_sym_bitor] = ACTIONS(5596),
    [anon_sym_xor] = ACTIONS(5596),
    [anon_sym_bitand] = ACTIONS(5596),
    [anon_sym_not_eq] = ACTIONS(5596),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5596),
    [anon_sym_decltype] = ACTIONS(5596),
    [anon_sym_final] = ACTIONS(5596),
    [anon_sym_override] = ACTIONS(5596),
    [anon_sym_requires] = ACTIONS(5596),
  },
  [1846] = {
    [sym_string_literal] = STATE(1622),
    [sym_template_argument_list] = STATE(2252),
    [sym_raw_string_literal] = STATE(1622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(5111),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
  },
  [1847] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
  },
  [1848] = {
    [sym_string_literal] = STATE(2082),
    [sym_template_argument_list] = STATE(2890),
    [sym_raw_string_literal] = STATE(2082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4918),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4921),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(5609),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4031),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4023),
  },
  [1849] = {
    [sym_string_literal] = STATE(1622),
    [sym_template_argument_list] = STATE(2736),
    [sym_raw_string_literal] = STATE(1622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(5612),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4921),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(5609),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
  },
  [1850] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
  },
  [1851] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4620),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1852] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_friend] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
  },
  [1853] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4615),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1854] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5617),
    [anon_sym_PLUS] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5615),
    [anon_sym_SLASH] = ACTIONS(5617),
    [anon_sym_PERCENT] = ACTIONS(5615),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5617),
    [anon_sym_CARET] = ACTIONS(5615),
    [anon_sym_AMP] = ACTIONS(5617),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5617),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5617),
    [anon_sym_LT_LT] = ACTIONS(5615),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5617),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym__Nonnull] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym__Alignas] = ACTIONS(5615),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5615),
    [anon_sym_and] = ACTIONS(5615),
    [anon_sym_bitor] = ACTIONS(5615),
    [anon_sym_xor] = ACTIONS(5615),
    [anon_sym_bitand] = ACTIONS(5615),
    [anon_sym_not_eq] = ACTIONS(5615),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5617),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_final] = ACTIONS(5615),
    [anon_sym_override] = ACTIONS(5615),
    [anon_sym_requires] = ACTIONS(5615),
  },
  [1855] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1856] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5621),
    [anon_sym_COMMA] = ACTIONS(5621),
    [anon_sym_RPAREN] = ACTIONS(5621),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_DASH] = ACTIONS(5623),
    [anon_sym_PLUS] = ACTIONS(5623),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_SLASH] = ACTIONS(5623),
    [anon_sym_PERCENT] = ACTIONS(5621),
    [anon_sym_PIPE_PIPE] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_CARET] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym_EQ_EQ] = ACTIONS(5621),
    [anon_sym_BANG_EQ] = ACTIONS(5621),
    [anon_sym_GT] = ACTIONS(5623),
    [anon_sym_GT_EQ] = ACTIONS(5621),
    [anon_sym_LT_EQ] = ACTIONS(5623),
    [anon_sym_LT] = ACTIONS(5623),
    [anon_sym_LT_LT] = ACTIONS(5621),
    [anon_sym_GT_GT] = ACTIONS(5621),
    [anon_sym_SEMI] = ACTIONS(5621),
    [anon_sym___extension__] = ACTIONS(5621),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym_LBRACE] = ACTIONS(5621),
    [anon_sym_RBRACE] = ACTIONS(5621),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5621),
    [anon_sym_RBRACK] = ACTIONS(5621),
    [anon_sym_const] = ACTIONS(5623),
    [anon_sym_constexpr] = ACTIONS(5621),
    [anon_sym_volatile] = ACTIONS(5621),
    [anon_sym_restrict] = ACTIONS(5621),
    [anon_sym___restrict__] = ACTIONS(5621),
    [anon_sym__Atomic] = ACTIONS(5621),
    [anon_sym__Noreturn] = ACTIONS(5621),
    [anon_sym_noreturn] = ACTIONS(5621),
    [anon_sym__Nonnull] = ACTIONS(5621),
    [anon_sym_mutable] = ACTIONS(5621),
    [anon_sym_constinit] = ACTIONS(5621),
    [anon_sym_consteval] = ACTIONS(5621),
    [anon_sym_alignas] = ACTIONS(5621),
    [anon_sym__Alignas] = ACTIONS(5621),
    [anon_sym_COLON] = ACTIONS(5621),
    [anon_sym_QMARK] = ACTIONS(5621),
    [anon_sym_LT_EQ_GT] = ACTIONS(5621),
    [anon_sym_or] = ACTIONS(5621),
    [anon_sym_and] = ACTIONS(5621),
    [anon_sym_bitor] = ACTIONS(5621),
    [anon_sym_xor] = ACTIONS(5621),
    [anon_sym_bitand] = ACTIONS(5621),
    [anon_sym_not_eq] = ACTIONS(5621),
    [anon_sym_DASH_DASH] = ACTIONS(5621),
    [anon_sym_PLUS_PLUS] = ACTIONS(5621),
    [anon_sym_DOT] = ACTIONS(5623),
    [anon_sym_DOT_STAR] = ACTIONS(5621),
    [anon_sym_DASH_GT] = ACTIONS(5621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
    [anon_sym_final] = ACTIONS(5621),
    [anon_sym_override] = ACTIONS(5621),
    [anon_sym_requires] = ACTIONS(5621),
  },
  [1857] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
  },
  [1858] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5625),
    [anon_sym_COMMA] = ACTIONS(5625),
    [anon_sym_RPAREN] = ACTIONS(5625),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_DASH] = ACTIONS(5627),
    [anon_sym_PLUS] = ACTIONS(5627),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_SLASH] = ACTIONS(5627),
    [anon_sym_PERCENT] = ACTIONS(5625),
    [anon_sym_PIPE_PIPE] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_PIPE] = ACTIONS(5627),
    [anon_sym_CARET] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym_EQ_EQ] = ACTIONS(5625),
    [anon_sym_BANG_EQ] = ACTIONS(5625),
    [anon_sym_GT] = ACTIONS(5627),
    [anon_sym_GT_EQ] = ACTIONS(5625),
    [anon_sym_LT_EQ] = ACTIONS(5627),
    [anon_sym_LT] = ACTIONS(5627),
    [anon_sym_LT_LT] = ACTIONS(5625),
    [anon_sym_GT_GT] = ACTIONS(5625),
    [anon_sym_SEMI] = ACTIONS(5625),
    [anon_sym___extension__] = ACTIONS(5625),
    [anon_sym___attribute__] = ACTIONS(5625),
    [anon_sym_LBRACE] = ACTIONS(5625),
    [anon_sym_RBRACE] = ACTIONS(5625),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5625),
    [anon_sym_RBRACK] = ACTIONS(5625),
    [anon_sym_const] = ACTIONS(5627),
    [anon_sym_constexpr] = ACTIONS(5625),
    [anon_sym_volatile] = ACTIONS(5625),
    [anon_sym_restrict] = ACTIONS(5625),
    [anon_sym___restrict__] = ACTIONS(5625),
    [anon_sym__Atomic] = ACTIONS(5625),
    [anon_sym__Noreturn] = ACTIONS(5625),
    [anon_sym_noreturn] = ACTIONS(5625),
    [anon_sym__Nonnull] = ACTIONS(5625),
    [anon_sym_mutable] = ACTIONS(5625),
    [anon_sym_constinit] = ACTIONS(5625),
    [anon_sym_consteval] = ACTIONS(5625),
    [anon_sym_alignas] = ACTIONS(5625),
    [anon_sym__Alignas] = ACTIONS(5625),
    [anon_sym_COLON] = ACTIONS(5625),
    [anon_sym_QMARK] = ACTIONS(5625),
    [anon_sym_LT_EQ_GT] = ACTIONS(5625),
    [anon_sym_or] = ACTIONS(5625),
    [anon_sym_and] = ACTIONS(5625),
    [anon_sym_bitor] = ACTIONS(5625),
    [anon_sym_xor] = ACTIONS(5625),
    [anon_sym_bitand] = ACTIONS(5625),
    [anon_sym_not_eq] = ACTIONS(5625),
    [anon_sym_DASH_DASH] = ACTIONS(5625),
    [anon_sym_PLUS_PLUS] = ACTIONS(5625),
    [anon_sym_DOT] = ACTIONS(5627),
    [anon_sym_DOT_STAR] = ACTIONS(5625),
    [anon_sym_DASH_GT] = ACTIONS(5625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5625),
    [anon_sym_decltype] = ACTIONS(5625),
    [anon_sym_final] = ACTIONS(5625),
    [anon_sym_override] = ACTIONS(5625),
    [anon_sym_requires] = ACTIONS(5625),
  },
  [1859] = {
    [sym_ms_based_modifier] = STATE(7591),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(3830),
    [sym__declarator] = STATE(6006),
    [sym__abstract_declarator] = STATE(6085),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2547),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(2690),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5473),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2547),
    [aux_sym_pointer_declarator_repeat1] = STATE(3830),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_EQ] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5631),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [1860] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5341),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5341),
    [anon_sym_GT_GT] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5341),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5341),
    [anon_sym_or_eq] = ACTIONS(5341),
    [anon_sym_xor_eq] = ACTIONS(5341),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_friend] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_catch] = ACTIONS(2576),
  },
  [1862] = {
    [sym_string_literal] = STATE(2082),
    [sym_template_argument_list] = STATE(2974),
    [sym_raw_string_literal] = STATE(2082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4932),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4031),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4023),
  },
  [1863] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5149),
    [anon_sym_COMMA] = ACTIONS(5149),
    [anon_sym_RPAREN] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_TILDE] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym_virtual] = ACTIONS(5147),
    [anon_sym_extern] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym_COLON_COLON] = ACTIONS(5149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5149),
    [anon_sym___declspec] = ACTIONS(5147),
    [anon_sym___based] = ACTIONS(5147),
    [anon_sym___cdecl] = ACTIONS(5147),
    [anon_sym___clrcall] = ACTIONS(5147),
    [anon_sym___stdcall] = ACTIONS(5147),
    [anon_sym___fastcall] = ACTIONS(5147),
    [anon_sym___thiscall] = ACTIONS(5147),
    [anon_sym___vectorcall] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5643),
    [anon_sym_unsigned] = ACTIONS(5643),
    [anon_sym_long] = ACTIONS(5643),
    [anon_sym_short] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_static] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5147),
    [anon_sym_inline] = ACTIONS(5147),
    [anon_sym___inline] = ACTIONS(5147),
    [anon_sym___inline__] = ACTIONS(5147),
    [anon_sym___forceinline] = ACTIONS(5147),
    [anon_sym_thread_local] = ACTIONS(5147),
    [anon_sym___thread] = ACTIONS(5147),
    [anon_sym_const] = ACTIONS(5147),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym__Nonnull] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_alignas] = ACTIONS(5147),
    [anon_sym__Alignas] = ACTIONS(5147),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_asm] = ACTIONS(5147),
    [anon_sym___asm__] = ACTIONS(5147),
    [anon_sym___asm] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_template] = ACTIONS(5147),
    [anon_sym_GT2] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5147),
    [anon_sym_try] = ACTIONS(5147),
    [anon_sym_requires] = ACTIONS(5147),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5341),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5341),
    [anon_sym_GT_GT] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5341),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5341),
    [anon_sym_or_eq] = ACTIONS(5341),
    [anon_sym_xor_eq] = ACTIONS(5341),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
  },
  [1865] = {
    [sym_ms_based_modifier] = STATE(7591),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(1859),
    [sym__declarator] = STATE(5994),
    [sym__abstract_declarator] = STATE(6119),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2546),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(2690),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5473),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2546),
    [aux_sym_pointer_declarator_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_COMMA] = ACTIONS(5646),
    [anon_sym_RPAREN] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_EQ] = ACTIONS(5646),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5646),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [1866] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(5000),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1867] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1868] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5390),
    [anon_sym_COMMA] = ACTIONS(5390),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [aux_sym_preproc_if_token2] = ACTIONS(5390),
    [aux_sym_preproc_else_token1] = ACTIONS(5390),
    [aux_sym_preproc_elif_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5390),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_STAR] = ACTIONS(5388),
    [anon_sym_SLASH] = ACTIONS(5388),
    [anon_sym_PERCENT] = ACTIONS(5388),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_PIPE] = ACTIONS(5388),
    [anon_sym_CARET] = ACTIONS(5388),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_EQ_EQ] = ACTIONS(5390),
    [anon_sym_BANG_EQ] = ACTIONS(5390),
    [anon_sym_GT] = ACTIONS(5388),
    [anon_sym_GT_EQ] = ACTIONS(5390),
    [anon_sym_LT_EQ] = ACTIONS(5388),
    [anon_sym_LT] = ACTIONS(5388),
    [anon_sym_LT_LT] = ACTIONS(5388),
    [anon_sym_GT_GT] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [anon_sym_RBRACK] = ACTIONS(5390),
    [anon_sym_EQ] = ACTIONS(5388),
    [anon_sym_COLON] = ACTIONS(5388),
    [anon_sym_QMARK] = ACTIONS(5390),
    [anon_sym_STAR_EQ] = ACTIONS(5390),
    [anon_sym_SLASH_EQ] = ACTIONS(5390),
    [anon_sym_PERCENT_EQ] = ACTIONS(5390),
    [anon_sym_PLUS_EQ] = ACTIONS(5390),
    [anon_sym_DASH_EQ] = ACTIONS(5390),
    [anon_sym_LT_LT_EQ] = ACTIONS(5390),
    [anon_sym_GT_GT_EQ] = ACTIONS(5390),
    [anon_sym_AMP_EQ] = ACTIONS(5390),
    [anon_sym_CARET_EQ] = ACTIONS(5390),
    [anon_sym_PIPE_EQ] = ACTIONS(5390),
    [anon_sym_and_eq] = ACTIONS(5388),
    [anon_sym_or_eq] = ACTIONS(5388),
    [anon_sym_xor_eq] = ACTIONS(5388),
    [anon_sym_LT_EQ_GT] = ACTIONS(5390),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [anon_sym_bitor] = ACTIONS(5388),
    [anon_sym_xor] = ACTIONS(5388),
    [anon_sym_bitand] = ACTIONS(5388),
    [anon_sym_not_eq] = ACTIONS(5388),
    [anon_sym_DASH_DASH] = ACTIONS(5390),
    [anon_sym_PLUS_PLUS] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_DOT_STAR] = ACTIONS(5390),
    [anon_sym_DASH_GT] = ACTIONS(5390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_final] = ACTIONS(5388),
    [anon_sym_override] = ACTIONS(5388),
  },
  [1869] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
  },
  [1870] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5289),
    [anon_sym_COMMA] = ACTIONS(5289),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [aux_sym_preproc_if_token2] = ACTIONS(5289),
    [aux_sym_preproc_else_token1] = ACTIONS(5289),
    [aux_sym_preproc_elif_token1] = ACTIONS(5287),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_DASH] = ACTIONS(5287),
    [anon_sym_PLUS] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_SLASH] = ACTIONS(5287),
    [anon_sym_PERCENT] = ACTIONS(5287),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_PIPE] = ACTIONS(5287),
    [anon_sym_CARET] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym_EQ_EQ] = ACTIONS(5289),
    [anon_sym_BANG_EQ] = ACTIONS(5289),
    [anon_sym_GT] = ACTIONS(5287),
    [anon_sym_GT_EQ] = ACTIONS(5289),
    [anon_sym_LT_EQ] = ACTIONS(5287),
    [anon_sym_LT] = ACTIONS(5287),
    [anon_sym_LT_LT] = ACTIONS(5287),
    [anon_sym_GT_GT] = ACTIONS(5287),
    [anon_sym_SEMI] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5289),
    [anon_sym_RBRACE] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_RBRACK] = ACTIONS(5289),
    [anon_sym_EQ] = ACTIONS(5287),
    [anon_sym_COLON] = ACTIONS(5287),
    [anon_sym_QMARK] = ACTIONS(5289),
    [anon_sym_STAR_EQ] = ACTIONS(5289),
    [anon_sym_SLASH_EQ] = ACTIONS(5289),
    [anon_sym_PERCENT_EQ] = ACTIONS(5289),
    [anon_sym_PLUS_EQ] = ACTIONS(5289),
    [anon_sym_DASH_EQ] = ACTIONS(5289),
    [anon_sym_LT_LT_EQ] = ACTIONS(5289),
    [anon_sym_GT_GT_EQ] = ACTIONS(5289),
    [anon_sym_AMP_EQ] = ACTIONS(5289),
    [anon_sym_CARET_EQ] = ACTIONS(5289),
    [anon_sym_PIPE_EQ] = ACTIONS(5289),
    [anon_sym_and_eq] = ACTIONS(5287),
    [anon_sym_or_eq] = ACTIONS(5287),
    [anon_sym_xor_eq] = ACTIONS(5287),
    [anon_sym_LT_EQ_GT] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [anon_sym_bitor] = ACTIONS(5287),
    [anon_sym_xor] = ACTIONS(5287),
    [anon_sym_bitand] = ACTIONS(5287),
    [anon_sym_not_eq] = ACTIONS(5287),
    [anon_sym_DASH_DASH] = ACTIONS(5289),
    [anon_sym_PLUS_PLUS] = ACTIONS(5289),
    [anon_sym_DOT] = ACTIONS(5287),
    [anon_sym_DOT_STAR] = ACTIONS(5289),
    [anon_sym_DASH_GT] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_final] = ACTIONS(5287),
    [anon_sym_override] = ACTIONS(5287),
  },
  [1871] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4616),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1872] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1873] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_DASH] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_SLASH] = ACTIONS(5335),
    [anon_sym_PERCENT] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_PIPE] = ACTIONS(5335),
    [anon_sym_CARET] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_EQ_EQ] = ACTIONS(5337),
    [anon_sym_BANG_EQ] = ACTIONS(5337),
    [anon_sym_GT] = ACTIONS(5335),
    [anon_sym_GT_EQ] = ACTIONS(5337),
    [anon_sym_LT_EQ] = ACTIONS(5335),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(5337),
    [anon_sym_GT_GT] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5650),
    [anon_sym_unsigned] = ACTIONS(5650),
    [anon_sym_long] = ACTIONS(5650),
    [anon_sym_short] = ACTIONS(5650),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_RBRACK] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [anon_sym_COLON] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_LT_EQ_GT] = ACTIONS(5337),
    [anon_sym_or] = ACTIONS(5337),
    [anon_sym_and] = ACTIONS(5337),
    [anon_sym_bitor] = ACTIONS(5337),
    [anon_sym_xor] = ACTIONS(5337),
    [anon_sym_bitand] = ACTIONS(5337),
    [anon_sym_not_eq] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5337),
    [anon_sym_PLUS_PLUS] = ACTIONS(5337),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_DOT_STAR] = ACTIONS(5337),
    [anon_sym_DASH_GT] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_final] = ACTIONS(5337),
    [anon_sym_override] = ACTIONS(5337),
    [anon_sym_requires] = ACTIONS(5337),
  },
  [1874] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4623),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1875] = {
    [sym_string_literal] = STATE(1622),
    [sym_raw_string_literal] = STATE(1622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5582),
    [anon_sym_COMMA] = ACTIONS(5582),
    [anon_sym_RPAREN] = ACTIONS(5582),
    [anon_sym_LPAREN2] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5580),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5582),
    [anon_sym_BANG_EQ] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5582),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5582),
    [anon_sym_RBRACE] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [anon_sym_RBRACK] = ACTIONS(5582),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5582),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5580),
    [anon_sym_or_eq] = ACTIONS(5580),
    [anon_sym_xor_eq] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5582),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_bitor] = ACTIONS(5580),
    [anon_sym_xor] = ACTIONS(5580),
    [anon_sym_bitand] = ACTIONS(5580),
    [anon_sym_not_eq] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5580),
    [anon_sym_DOT_STAR] = ACTIONS(5582),
    [anon_sym_DASH_GT] = ACTIONS(5582),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5580),
  },
  [1876] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [aux_sym_preproc_if_token2] = ACTIONS(4891),
    [aux_sym_preproc_else_token1] = ACTIONS(4891),
    [aux_sym_preproc_elif_token1] = ACTIONS(4884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_RBRACK] = ACTIONS(4891),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_STAR_EQ] = ACTIONS(4891),
    [anon_sym_SLASH_EQ] = ACTIONS(4891),
    [anon_sym_PERCENT_EQ] = ACTIONS(4891),
    [anon_sym_PLUS_EQ] = ACTIONS(4891),
    [anon_sym_DASH_EQ] = ACTIONS(4891),
    [anon_sym_LT_LT_EQ] = ACTIONS(4891),
    [anon_sym_GT_GT_EQ] = ACTIONS(4891),
    [anon_sym_AMP_EQ] = ACTIONS(4891),
    [anon_sym_CARET_EQ] = ACTIONS(4891),
    [anon_sym_PIPE_EQ] = ACTIONS(4891),
    [anon_sym_and_eq] = ACTIONS(4884),
    [anon_sym_or_eq] = ACTIONS(4884),
    [anon_sym_xor_eq] = ACTIONS(4884),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
  },
  [1877] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [anon_sym_RPAREN] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5456),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5456),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5456),
    [anon_sym_PIPE_PIPE] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5456),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_CARET] = ACTIONS(5456),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5454),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5456),
    [anon_sym_GT_GT] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5650),
    [anon_sym_unsigned] = ACTIONS(5650),
    [anon_sym_long] = ACTIONS(5650),
    [anon_sym_short] = ACTIONS(5650),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_RBRACK] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5454),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [anon_sym_COLON] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_LT_EQ_GT] = ACTIONS(5456),
    [anon_sym_or] = ACTIONS(5456),
    [anon_sym_and] = ACTIONS(5456),
    [anon_sym_bitor] = ACTIONS(5456),
    [anon_sym_xor] = ACTIONS(5456),
    [anon_sym_bitand] = ACTIONS(5456),
    [anon_sym_not_eq] = ACTIONS(5456),
    [anon_sym_DASH_DASH] = ACTIONS(5456),
    [anon_sym_PLUS_PLUS] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_DOT_STAR] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_final] = ACTIONS(5456),
    [anon_sym_override] = ACTIONS(5456),
    [anon_sym_requires] = ACTIONS(5456),
  },
  [1878] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4610),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
  },
  [1880] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4624),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(5199),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(5199),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
  },
  [1883] = {
    [sym__declaration_modifiers] = STATE(1923),
    [sym__declaration_specifiers] = STATE(4619),
    [sym_attribute_specifier] = STATE(1923),
    [sym_attribute_declaration] = STATE(1923),
    [sym_ms_declspec_modifier] = STATE(1923),
    [sym_storage_class_specifier] = STATE(1923),
    [sym_type_qualifier] = STATE(1923),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2320),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1923),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1884] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5654),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5654),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_mutable] = ACTIONS(5652),
    [anon_sym_constinit] = ACTIONS(5652),
    [anon_sym_consteval] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
    [anon_sym_final] = ACTIONS(5652),
    [anon_sym_override] = ACTIONS(5652),
    [anon_sym_requires] = ACTIONS(5652),
  },
  [1885] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1854),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [anon_sym_LPAREN2] = ACTIONS(5656),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5656),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5656),
    [anon_sym_GT_GT] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym___extension__] = ACTIONS(5656),
    [anon_sym___attribute__] = ACTIONS(5656),
    [anon_sym_LBRACE] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_signed] = ACTIONS(5660),
    [anon_sym_unsigned] = ACTIONS(5660),
    [anon_sym_long] = ACTIONS(5660),
    [anon_sym_short] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_RBRACK] = ACTIONS(5656),
    [anon_sym_const] = ACTIONS(5658),
    [anon_sym_constexpr] = ACTIONS(5656),
    [anon_sym_volatile] = ACTIONS(5656),
    [anon_sym_restrict] = ACTIONS(5656),
    [anon_sym___restrict__] = ACTIONS(5656),
    [anon_sym__Atomic] = ACTIONS(5656),
    [anon_sym__Noreturn] = ACTIONS(5656),
    [anon_sym_noreturn] = ACTIONS(5656),
    [anon_sym__Nonnull] = ACTIONS(5656),
    [anon_sym_mutable] = ACTIONS(5656),
    [anon_sym_constinit] = ACTIONS(5656),
    [anon_sym_consteval] = ACTIONS(5656),
    [anon_sym_alignas] = ACTIONS(5656),
    [anon_sym__Alignas] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_QMARK] = ACTIONS(5656),
    [anon_sym_LT_EQ_GT] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5656),
    [anon_sym_and] = ACTIONS(5656),
    [anon_sym_bitor] = ACTIONS(5656),
    [anon_sym_xor] = ACTIONS(5656),
    [anon_sym_bitand] = ACTIONS(5656),
    [anon_sym_not_eq] = ACTIONS(5656),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5656),
    [anon_sym_decltype] = ACTIONS(5656),
    [anon_sym_final] = ACTIONS(5656),
    [anon_sym_override] = ACTIONS(5656),
    [anon_sym_requires] = ACTIONS(5656),
  },
  [1886] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(3097),
    [aux_sym_preproc_def_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3097),
    [anon_sym_LPAREN2] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3099),
    [anon_sym_AMP_AMP] = ACTIONS(3099),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3097),
    [anon_sym_typedef] = ACTIONS(3097),
    [anon_sym_virtual] = ACTIONS(3097),
    [anon_sym_extern] = ACTIONS(3097),
    [anon_sym___attribute__] = ACTIONS(3097),
    [anon_sym_COLON_COLON] = ACTIONS(3099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3099),
    [anon_sym___declspec] = ACTIONS(3097),
    [anon_sym___based] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3097),
    [anon_sym_unsigned] = ACTIONS(3097),
    [anon_sym_long] = ACTIONS(3097),
    [anon_sym_short] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_static] = ACTIONS(3097),
    [anon_sym_register] = ACTIONS(3097),
    [anon_sym_inline] = ACTIONS(3097),
    [anon_sym___inline] = ACTIONS(3097),
    [anon_sym___inline__] = ACTIONS(3097),
    [anon_sym___forceinline] = ACTIONS(3097),
    [anon_sym_thread_local] = ACTIONS(3097),
    [anon_sym___thread] = ACTIONS(3097),
    [anon_sym_const] = ACTIONS(3097),
    [anon_sym_constexpr] = ACTIONS(3097),
    [anon_sym_volatile] = ACTIONS(3097),
    [anon_sym_restrict] = ACTIONS(3097),
    [anon_sym___restrict__] = ACTIONS(3097),
    [anon_sym__Atomic] = ACTIONS(3097),
    [anon_sym__Noreturn] = ACTIONS(3097),
    [anon_sym_noreturn] = ACTIONS(3097),
    [anon_sym__Nonnull] = ACTIONS(3097),
    [anon_sym_mutable] = ACTIONS(3097),
    [anon_sym_constinit] = ACTIONS(3097),
    [anon_sym_consteval] = ACTIONS(3097),
    [anon_sym_alignas] = ACTIONS(3097),
    [anon_sym__Alignas] = ACTIONS(3097),
    [sym_primitive_type] = ACTIONS(3097),
    [anon_sym_enum] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3097),
    [anon_sym_struct] = ACTIONS(3097),
    [anon_sym_union] = ACTIONS(3097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3097),
    [anon_sym_explicit] = ACTIONS(3097),
    [anon_sym_typename] = ACTIONS(3097),
    [anon_sym_template] = ACTIONS(3097),
    [anon_sym_operator] = ACTIONS(3097),
    [anon_sym_friend] = ACTIONS(3097),
    [anon_sym_public] = ACTIONS(3097),
    [anon_sym_private] = ACTIONS(3097),
    [anon_sym_protected] = ACTIONS(3097),
    [anon_sym_using] = ACTIONS(3097),
    [anon_sym_static_assert] = ACTIONS(3097),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1889] = {
    [sym_attribute_specifier] = STATE(2165),
    [sym_enumerator_list] = STATE(2113),
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [aux_sym_preproc_if_token2] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_STAR_EQ] = ACTIONS(5664),
    [anon_sym_SLASH_EQ] = ACTIONS(5664),
    [anon_sym_PERCENT_EQ] = ACTIONS(5664),
    [anon_sym_PLUS_EQ] = ACTIONS(5664),
    [anon_sym_DASH_EQ] = ACTIONS(5664),
    [anon_sym_LT_LT_EQ] = ACTIONS(5664),
    [anon_sym_GT_GT_EQ] = ACTIONS(5664),
    [anon_sym_AMP_EQ] = ACTIONS(5664),
    [anon_sym_CARET_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_and_eq] = ACTIONS(5662),
    [anon_sym_or_eq] = ACTIONS(5662),
    [anon_sym_xor_eq] = ACTIONS(5662),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5662),
    [anon_sym_decltype] = ACTIONS(5662),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_friend] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_friend] = ACTIONS(2913),
    [anon_sym_public] = ACTIONS(2913),
    [anon_sym_private] = ACTIONS(2913),
    [anon_sym_protected] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(5373),
    [aux_sym_preproc_def_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5373),
    [sym_preproc_directive] = ACTIONS(5373),
    [anon_sym_LPAREN2] = ACTIONS(5375),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_STAR] = ACTIONS(5375),
    [anon_sym_AMP_AMP] = ACTIONS(5375),
    [anon_sym_AMP] = ACTIONS(5373),
    [anon_sym_SEMI] = ACTIONS(5375),
    [anon_sym___extension__] = ACTIONS(5373),
    [anon_sym_typedef] = ACTIONS(5373),
    [anon_sym_virtual] = ACTIONS(5373),
    [anon_sym_extern] = ACTIONS(5373),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_COLON_COLON] = ACTIONS(5375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5375),
    [anon_sym___declspec] = ACTIONS(5373),
    [anon_sym___based] = ACTIONS(5373),
    [anon_sym_RBRACE] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5373),
    [anon_sym_static] = ACTIONS(5373),
    [anon_sym_register] = ACTIONS(5373),
    [anon_sym_inline] = ACTIONS(5373),
    [anon_sym___inline] = ACTIONS(5373),
    [anon_sym___inline__] = ACTIONS(5373),
    [anon_sym___forceinline] = ACTIONS(5373),
    [anon_sym_thread_local] = ACTIONS(5373),
    [anon_sym___thread] = ACTIONS(5373),
    [anon_sym_const] = ACTIONS(5373),
    [anon_sym_constexpr] = ACTIONS(5373),
    [anon_sym_volatile] = ACTIONS(5373),
    [anon_sym_restrict] = ACTIONS(5373),
    [anon_sym___restrict__] = ACTIONS(5373),
    [anon_sym__Atomic] = ACTIONS(5373),
    [anon_sym__Noreturn] = ACTIONS(5373),
    [anon_sym_noreturn] = ACTIONS(5373),
    [anon_sym__Nonnull] = ACTIONS(5373),
    [anon_sym_mutable] = ACTIONS(5373),
    [anon_sym_constinit] = ACTIONS(5373),
    [anon_sym_consteval] = ACTIONS(5373),
    [anon_sym_alignas] = ACTIONS(5373),
    [anon_sym__Alignas] = ACTIONS(5373),
    [sym_primitive_type] = ACTIONS(5373),
    [anon_sym_enum] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_struct] = ACTIONS(5373),
    [anon_sym_union] = ACTIONS(5373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5373),
    [anon_sym_decltype] = ACTIONS(5373),
    [anon_sym_explicit] = ACTIONS(5373),
    [anon_sym_typename] = ACTIONS(5373),
    [anon_sym_template] = ACTIONS(5373),
    [anon_sym_operator] = ACTIONS(5373),
    [anon_sym_friend] = ACTIONS(5373),
    [anon_sym_public] = ACTIONS(5373),
    [anon_sym_private] = ACTIONS(5373),
    [anon_sym_protected] = ACTIONS(5373),
    [anon_sym_using] = ACTIONS(5373),
    [anon_sym_static_assert] = ACTIONS(5373),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym_RBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_friend] = ACTIONS(2884),
    [anon_sym_public] = ACTIONS(2884),
    [anon_sym_private] = ACTIONS(2884),
    [anon_sym_protected] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_friend] = ACTIONS(2945),
    [anon_sym_public] = ACTIONS(2945),
    [anon_sym_private] = ACTIONS(2945),
    [anon_sym_protected] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(5377),
    [aux_sym_preproc_def_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5377),
    [sym_preproc_directive] = ACTIONS(5377),
    [anon_sym_LPAREN2] = ACTIONS(5379),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_STAR] = ACTIONS(5379),
    [anon_sym_AMP_AMP] = ACTIONS(5379),
    [anon_sym_AMP] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym___extension__] = ACTIONS(5377),
    [anon_sym_typedef] = ACTIONS(5377),
    [anon_sym_virtual] = ACTIONS(5377),
    [anon_sym_extern] = ACTIONS(5377),
    [anon_sym___attribute__] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(5379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5379),
    [anon_sym___declspec] = ACTIONS(5377),
    [anon_sym___based] = ACTIONS(5377),
    [anon_sym_RBRACE] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym_static] = ACTIONS(5377),
    [anon_sym_register] = ACTIONS(5377),
    [anon_sym_inline] = ACTIONS(5377),
    [anon_sym___inline] = ACTIONS(5377),
    [anon_sym___inline__] = ACTIONS(5377),
    [anon_sym___forceinline] = ACTIONS(5377),
    [anon_sym_thread_local] = ACTIONS(5377),
    [anon_sym___thread] = ACTIONS(5377),
    [anon_sym_const] = ACTIONS(5377),
    [anon_sym_constexpr] = ACTIONS(5377),
    [anon_sym_volatile] = ACTIONS(5377),
    [anon_sym_restrict] = ACTIONS(5377),
    [anon_sym___restrict__] = ACTIONS(5377),
    [anon_sym__Atomic] = ACTIONS(5377),
    [anon_sym__Noreturn] = ACTIONS(5377),
    [anon_sym_noreturn] = ACTIONS(5377),
    [anon_sym__Nonnull] = ACTIONS(5377),
    [anon_sym_mutable] = ACTIONS(5377),
    [anon_sym_constinit] = ACTIONS(5377),
    [anon_sym_consteval] = ACTIONS(5377),
    [anon_sym_alignas] = ACTIONS(5377),
    [anon_sym__Alignas] = ACTIONS(5377),
    [sym_primitive_type] = ACTIONS(5377),
    [anon_sym_enum] = ACTIONS(5377),
    [anon_sym_class] = ACTIONS(5377),
    [anon_sym_struct] = ACTIONS(5377),
    [anon_sym_union] = ACTIONS(5377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(5377),
    [anon_sym_explicit] = ACTIONS(5377),
    [anon_sym_typename] = ACTIONS(5377),
    [anon_sym_template] = ACTIONS(5377),
    [anon_sym_operator] = ACTIONS(5377),
    [anon_sym_friend] = ACTIONS(5377),
    [anon_sym_public] = ACTIONS(5377),
    [anon_sym_private] = ACTIONS(5377),
    [anon_sym_protected] = ACTIONS(5377),
    [anon_sym_using] = ACTIONS(5377),
    [anon_sym_static_assert] = ACTIONS(5377),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym__Nonnull] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym__Nonnull] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [1898] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym__Nonnull] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_friend] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_friend] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(3813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3815),
    [anon_sym_COMMA] = ACTIONS(3815),
    [anon_sym_RPAREN] = ACTIONS(3815),
    [anon_sym_LPAREN2] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_AMP_AMP] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3813),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym___extension__] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym___attribute__] = ACTIONS(3813),
    [anon_sym_COLON_COLON] = ACTIONS(3815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3815),
    [anon_sym___declspec] = ACTIONS(3813),
    [anon_sym___based] = ACTIONS(3813),
    [anon_sym___cdecl] = ACTIONS(3813),
    [anon_sym___clrcall] = ACTIONS(3813),
    [anon_sym___stdcall] = ACTIONS(3813),
    [anon_sym___fastcall] = ACTIONS(3813),
    [anon_sym___thiscall] = ACTIONS(3813),
    [anon_sym___vectorcall] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_LBRACK] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_EQ] = ACTIONS(3815),
    [anon_sym_register] = ACTIONS(3813),
    [anon_sym_inline] = ACTIONS(3813),
    [anon_sym___inline] = ACTIONS(3813),
    [anon_sym___inline__] = ACTIONS(3813),
    [anon_sym___forceinline] = ACTIONS(3813),
    [anon_sym_thread_local] = ACTIONS(3813),
    [anon_sym___thread] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_restrict] = ACTIONS(3813),
    [anon_sym___restrict__] = ACTIONS(3813),
    [anon_sym__Atomic] = ACTIONS(3813),
    [anon_sym__Noreturn] = ACTIONS(3813),
    [anon_sym_noreturn] = ACTIONS(3813),
    [anon_sym__Nonnull] = ACTIONS(3813),
    [anon_sym_mutable] = ACTIONS(3813),
    [anon_sym_constinit] = ACTIONS(3813),
    [anon_sym_consteval] = ACTIONS(3813),
    [anon_sym_alignas] = ACTIONS(3813),
    [anon_sym__Alignas] = ACTIONS(3813),
    [anon_sym_COLON] = ACTIONS(3813),
    [anon_sym_asm] = ACTIONS(3813),
    [anon_sym___asm__] = ACTIONS(3813),
    [anon_sym___asm] = ACTIONS(3813),
    [anon_sym_DASH_GT] = ACTIONS(3815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3813),
    [anon_sym_final] = ACTIONS(3813),
    [anon_sym_override] = ACTIONS(3813),
    [anon_sym_explicit] = ACTIONS(3813),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_GT2] = ACTIONS(3815),
    [anon_sym_operator] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_public] = ACTIONS(3813),
    [anon_sym_private] = ACTIONS(3813),
    [anon_sym_protected] = ACTIONS(3813),
    [anon_sym_requires] = ACTIONS(3813),
  },
  [1905] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [sym_primitive_type] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_friend] = ACTIONS(3175),
    [anon_sym_public] = ACTIONS(3175),
    [anon_sym_private] = ACTIONS(3175),
    [anon_sym_protected] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
  },
  [1907] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_friend] = ACTIONS(2834),
    [anon_sym_public] = ACTIONS(2834),
    [anon_sym_private] = ACTIONS(2834),
    [anon_sym_protected] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(2752),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2752),
    [sym_preproc_directive] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym___based] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_explicit] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_operator] = ACTIONS(2752),
    [anon_sym_friend] = ACTIONS(2752),
    [anon_sym_public] = ACTIONS(2752),
    [anon_sym_private] = ACTIONS(2752),
    [anon_sym_protected] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_static_assert] = ACTIONS(2752),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_friend] = ACTIONS(2850),
    [anon_sym_public] = ACTIONS(2850),
    [anon_sym_private] = ACTIONS(2850),
    [anon_sym_protected] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym__Nonnull] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1912] = {
    [sym_string_literal] = STATE(1927),
    [sym_raw_string_literal] = STATE(1927),
    [aux_sym_concatenated_string_repeat1] = STATE(1927),
    [sym_identifier] = ACTIONS(5668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5135),
    [anon_sym_PLUS] = ACTIONS(5135),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_SLASH] = ACTIONS(5135),
    [anon_sym_PERCENT] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5133),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5135),
    [anon_sym_CARET] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5135),
    [anon_sym_EQ_EQ] = ACTIONS(5133),
    [anon_sym_BANG_EQ] = ACTIONS(5133),
    [anon_sym_GT] = ACTIONS(5135),
    [anon_sym_GT_EQ] = ACTIONS(5133),
    [anon_sym_LT_EQ] = ACTIONS(5135),
    [anon_sym_LT] = ACTIONS(5135),
    [anon_sym_LT_LT] = ACTIONS(5135),
    [anon_sym_GT_GT] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5135),
    [anon_sym_QMARK] = ACTIONS(5133),
    [anon_sym_STAR_EQ] = ACTIONS(5133),
    [anon_sym_SLASH_EQ] = ACTIONS(5133),
    [anon_sym_PERCENT_EQ] = ACTIONS(5133),
    [anon_sym_PLUS_EQ] = ACTIONS(5133),
    [anon_sym_DASH_EQ] = ACTIONS(5133),
    [anon_sym_LT_LT_EQ] = ACTIONS(5133),
    [anon_sym_GT_GT_EQ] = ACTIONS(5133),
    [anon_sym_AMP_EQ] = ACTIONS(5133),
    [anon_sym_CARET_EQ] = ACTIONS(5133),
    [anon_sym_PIPE_EQ] = ACTIONS(5133),
    [anon_sym_and_eq] = ACTIONS(5135),
    [anon_sym_or_eq] = ACTIONS(5135),
    [anon_sym_xor_eq] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5133),
    [anon_sym_or] = ACTIONS(5135),
    [anon_sym_and] = ACTIONS(5135),
    [anon_sym_bitor] = ACTIONS(5135),
    [anon_sym_xor] = ACTIONS(5135),
    [anon_sym_bitand] = ACTIONS(5135),
    [anon_sym_not_eq] = ACTIONS(5135),
    [anon_sym_DASH_DASH] = ACTIONS(5133),
    [anon_sym_PLUS_PLUS] = ACTIONS(5133),
    [anon_sym_DOT] = ACTIONS(5135),
    [anon_sym_DOT_STAR] = ACTIONS(5133),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5133),
    [sym_literal_suffix] = ACTIONS(5135),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_friend] = ACTIONS(2949),
    [anon_sym_public] = ACTIONS(2949),
    [anon_sym_private] = ACTIONS(2949),
    [anon_sym_protected] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_friend] = ACTIONS(2949),
    [anon_sym_public] = ACTIONS(2949),
    [anon_sym_private] = ACTIONS(2949),
    [anon_sym_protected] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [sym_primitive_type] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_friend] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_friend] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_friend] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(3809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3811),
    [anon_sym_COMMA] = ACTIONS(3811),
    [anon_sym_RPAREN] = ACTIONS(3811),
    [anon_sym_LPAREN2] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_AMP_AMP] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3809),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym___attribute__] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3811),
    [anon_sym___declspec] = ACTIONS(3809),
    [anon_sym___based] = ACTIONS(3809),
    [anon_sym___cdecl] = ACTIONS(3809),
    [anon_sym___clrcall] = ACTIONS(3809),
    [anon_sym___stdcall] = ACTIONS(3809),
    [anon_sym___fastcall] = ACTIONS(3809),
    [anon_sym___thiscall] = ACTIONS(3809),
    [anon_sym___vectorcall] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_EQ] = ACTIONS(3811),
    [anon_sym_register] = ACTIONS(3809),
    [anon_sym_inline] = ACTIONS(3809),
    [anon_sym___inline] = ACTIONS(3809),
    [anon_sym___inline__] = ACTIONS(3809),
    [anon_sym___forceinline] = ACTIONS(3809),
    [anon_sym_thread_local] = ACTIONS(3809),
    [anon_sym___thread] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_constexpr] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_restrict] = ACTIONS(3809),
    [anon_sym___restrict__] = ACTIONS(3809),
    [anon_sym__Atomic] = ACTIONS(3809),
    [anon_sym__Noreturn] = ACTIONS(3809),
    [anon_sym_noreturn] = ACTIONS(3809),
    [anon_sym__Nonnull] = ACTIONS(3809),
    [anon_sym_mutable] = ACTIONS(3809),
    [anon_sym_constinit] = ACTIONS(3809),
    [anon_sym_consteval] = ACTIONS(3809),
    [anon_sym_alignas] = ACTIONS(3809),
    [anon_sym__Alignas] = ACTIONS(3809),
    [anon_sym_COLON] = ACTIONS(3809),
    [anon_sym_asm] = ACTIONS(3809),
    [anon_sym___asm__] = ACTIONS(3809),
    [anon_sym___asm] = ACTIONS(3809),
    [anon_sym_DASH_GT] = ACTIONS(3811),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3809),
    [anon_sym_final] = ACTIONS(3809),
    [anon_sym_override] = ACTIONS(3809),
    [anon_sym_explicit] = ACTIONS(3809),
    [anon_sym_template] = ACTIONS(3809),
    [anon_sym_GT2] = ACTIONS(3811),
    [anon_sym_operator] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3809),
    [anon_sym_private] = ACTIONS(3809),
    [anon_sym_protected] = ACTIONS(3809),
    [anon_sym_requires] = ACTIONS(3809),
  },
  [1923] = {
    [sym__declaration_modifiers] = STATE(3215),
    [sym_attribute_specifier] = STATE(3215),
    [sym_attribute_declaration] = STATE(3215),
    [sym_ms_declspec_modifier] = STATE(3215),
    [sym_storage_class_specifier] = STATE(3215),
    [sym_type_qualifier] = STATE(3215),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2315),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5670),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1924] = {
    [sym_string_literal] = STATE(2264),
    [sym_template_argument_list] = STATE(3497),
    [sym_raw_string_literal] = STATE(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(5675),
    [anon_sym_or_eq] = ACTIONS(5675),
    [anon_sym_xor_eq] = ACTIONS(5675),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4031),
    [anon_sym_L_DQUOTE] = ACTIONS(4331),
    [anon_sym_u_DQUOTE] = ACTIONS(4331),
    [anon_sym_U_DQUOTE] = ACTIONS(4331),
    [anon_sym_u8_DQUOTE] = ACTIONS(4331),
    [anon_sym_DQUOTE] = ACTIONS(4331),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4333),
    [anon_sym_LR_DQUOTE] = ACTIONS(4333),
    [anon_sym_uR_DQUOTE] = ACTIONS(4333),
    [anon_sym_UR_DQUOTE] = ACTIONS(4333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4333),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4023),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_friend] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_friend] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
  },
  [1927] = {
    [sym_string_literal] = STATE(1927),
    [sym_raw_string_literal] = STATE(1927),
    [aux_sym_concatenated_string_repeat1] = STATE(1927),
    [sym_identifier] = ACTIONS(5677),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5121),
    [anon_sym_COMMA] = ACTIONS(5121),
    [anon_sym_RPAREN] = ACTIONS(5121),
    [anon_sym_LPAREN2] = ACTIONS(5121),
    [anon_sym_DASH] = ACTIONS(5123),
    [anon_sym_PLUS] = ACTIONS(5123),
    [anon_sym_STAR] = ACTIONS(5123),
    [anon_sym_SLASH] = ACTIONS(5123),
    [anon_sym_PERCENT] = ACTIONS(5123),
    [anon_sym_PIPE_PIPE] = ACTIONS(5121),
    [anon_sym_AMP_AMP] = ACTIONS(5121),
    [anon_sym_PIPE] = ACTIONS(5123),
    [anon_sym_CARET] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5123),
    [anon_sym_EQ_EQ] = ACTIONS(5121),
    [anon_sym_BANG_EQ] = ACTIONS(5121),
    [anon_sym_GT] = ACTIONS(5123),
    [anon_sym_GT_EQ] = ACTIONS(5121),
    [anon_sym_LT_EQ] = ACTIONS(5123),
    [anon_sym_LT] = ACTIONS(5123),
    [anon_sym_LT_LT] = ACTIONS(5123),
    [anon_sym_GT_GT] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5123),
    [anon_sym_QMARK] = ACTIONS(5121),
    [anon_sym_STAR_EQ] = ACTIONS(5121),
    [anon_sym_SLASH_EQ] = ACTIONS(5121),
    [anon_sym_PERCENT_EQ] = ACTIONS(5121),
    [anon_sym_PLUS_EQ] = ACTIONS(5121),
    [anon_sym_DASH_EQ] = ACTIONS(5121),
    [anon_sym_LT_LT_EQ] = ACTIONS(5121),
    [anon_sym_GT_GT_EQ] = ACTIONS(5121),
    [anon_sym_AMP_EQ] = ACTIONS(5121),
    [anon_sym_CARET_EQ] = ACTIONS(5121),
    [anon_sym_PIPE_EQ] = ACTIONS(5121),
    [anon_sym_and_eq] = ACTIONS(5123),
    [anon_sym_or_eq] = ACTIONS(5123),
    [anon_sym_xor_eq] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5121),
    [anon_sym_or] = ACTIONS(5123),
    [anon_sym_and] = ACTIONS(5123),
    [anon_sym_bitor] = ACTIONS(5123),
    [anon_sym_xor] = ACTIONS(5123),
    [anon_sym_bitand] = ACTIONS(5123),
    [anon_sym_not_eq] = ACTIONS(5123),
    [anon_sym_DASH_DASH] = ACTIONS(5121),
    [anon_sym_PLUS_PLUS] = ACTIONS(5121),
    [anon_sym_DOT] = ACTIONS(5123),
    [anon_sym_DOT_STAR] = ACTIONS(5121),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [anon_sym_L_DQUOTE] = ACTIONS(5680),
    [anon_sym_u_DQUOTE] = ACTIONS(5680),
    [anon_sym_U_DQUOTE] = ACTIONS(5680),
    [anon_sym_u8_DQUOTE] = ACTIONS(5680),
    [anon_sym_DQUOTE] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5683),
    [anon_sym_LR_DQUOTE] = ACTIONS(5683),
    [anon_sym_uR_DQUOTE] = ACTIONS(5683),
    [anon_sym_UR_DQUOTE] = ACTIONS(5683),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5683),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5121),
    [sym_literal_suffix] = ACTIONS(5123),
  },
  [1928] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(5686),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_RBRACK] = ACTIONS(5689),
    [anon_sym_EQ] = ACTIONS(5692),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(5694),
    [anon_sym_SLASH_EQ] = ACTIONS(5694),
    [anon_sym_PERCENT_EQ] = ACTIONS(5694),
    [anon_sym_PLUS_EQ] = ACTIONS(5694),
    [anon_sym_DASH_EQ] = ACTIONS(5694),
    [anon_sym_LT_LT_EQ] = ACTIONS(5694),
    [anon_sym_GT_GT_EQ] = ACTIONS(5694),
    [anon_sym_AMP_EQ] = ACTIONS(5694),
    [anon_sym_CARET_EQ] = ACTIONS(5694),
    [anon_sym_PIPE_EQ] = ACTIONS(5694),
    [anon_sym_and_eq] = ACTIONS(5694),
    [anon_sym_or_eq] = ACTIONS(5694),
    [anon_sym_xor_eq] = ACTIONS(5694),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_friend] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_friend] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
  },
  [1934] = {
    [sym_template_argument_list] = STATE(1574),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(4047),
    [anon_sym_TILDE] = ACTIONS(4047),
    [anon_sym_STAR] = ACTIONS(4047),
    [anon_sym_PIPE_PIPE] = ACTIONS(4047),
    [anon_sym_AMP_AMP] = ACTIONS(4047),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4047),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym___cdecl] = ACTIONS(5573),
    [anon_sym___clrcall] = ACTIONS(5573),
    [anon_sym___stdcall] = ACTIONS(5573),
    [anon_sym___fastcall] = ACTIONS(5573),
    [anon_sym___thiscall] = ACTIONS(5573),
    [anon_sym___vectorcall] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym__Nonnull] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym__Alignas] = ACTIONS(5573),
    [sym_primitive_type] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [anon_sym_or] = ACTIONS(5573),
    [anon_sym_and] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_concept] = ACTIONS(5573),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [sym_primitive_type] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_protected] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(3049),
    [aux_sym_preproc_def_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token2] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3049),
    [sym_preproc_directive] = ACTIONS(3049),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3049),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym___attribute__] = ACTIONS(3049),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3051),
    [anon_sym___declspec] = ACTIONS(3049),
    [anon_sym___based] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3049),
    [anon_sym_unsigned] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_register] = ACTIONS(3049),
    [anon_sym_inline] = ACTIONS(3049),
    [anon_sym___inline] = ACTIONS(3049),
    [anon_sym___inline__] = ACTIONS(3049),
    [anon_sym___forceinline] = ACTIONS(3049),
    [anon_sym_thread_local] = ACTIONS(3049),
    [anon_sym___thread] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_constexpr] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_restrict] = ACTIONS(3049),
    [anon_sym___restrict__] = ACTIONS(3049),
    [anon_sym__Atomic] = ACTIONS(3049),
    [anon_sym__Noreturn] = ACTIONS(3049),
    [anon_sym_noreturn] = ACTIONS(3049),
    [anon_sym__Nonnull] = ACTIONS(3049),
    [anon_sym_mutable] = ACTIONS(3049),
    [anon_sym_constinit] = ACTIONS(3049),
    [anon_sym_consteval] = ACTIONS(3049),
    [anon_sym_alignas] = ACTIONS(3049),
    [anon_sym__Alignas] = ACTIONS(3049),
    [sym_primitive_type] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_union] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3049),
    [anon_sym_decltype] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_typename] = ACTIONS(3049),
    [anon_sym_template] = ACTIONS(3049),
    [anon_sym_operator] = ACTIONS(3049),
    [anon_sym_friend] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_protected] = ACTIONS(3049),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static_assert] = ACTIONS(3049),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(3053),
    [aux_sym_preproc_def_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token2] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3053),
    [sym_preproc_directive] = ACTIONS(3053),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym___extension__] = ACTIONS(3053),
    [anon_sym_typedef] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym___attribute__] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3055),
    [anon_sym___declspec] = ACTIONS(3053),
    [anon_sym___based] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3053),
    [anon_sym_unsigned] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [anon_sym_register] = ACTIONS(3053),
    [anon_sym_inline] = ACTIONS(3053),
    [anon_sym___inline] = ACTIONS(3053),
    [anon_sym___inline__] = ACTIONS(3053),
    [anon_sym___forceinline] = ACTIONS(3053),
    [anon_sym_thread_local] = ACTIONS(3053),
    [anon_sym___thread] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_constexpr] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_restrict] = ACTIONS(3053),
    [anon_sym___restrict__] = ACTIONS(3053),
    [anon_sym__Atomic] = ACTIONS(3053),
    [anon_sym__Noreturn] = ACTIONS(3053),
    [anon_sym_noreturn] = ACTIONS(3053),
    [anon_sym__Nonnull] = ACTIONS(3053),
    [anon_sym_mutable] = ACTIONS(3053),
    [anon_sym_constinit] = ACTIONS(3053),
    [anon_sym_consteval] = ACTIONS(3053),
    [anon_sym_alignas] = ACTIONS(3053),
    [anon_sym__Alignas] = ACTIONS(3053),
    [sym_primitive_type] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3053),
    [anon_sym_decltype] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_typename] = ACTIONS(3053),
    [anon_sym_template] = ACTIONS(3053),
    [anon_sym_operator] = ACTIONS(3053),
    [anon_sym_friend] = ACTIONS(3053),
    [anon_sym_public] = ACTIONS(3053),
    [anon_sym_private] = ACTIONS(3053),
    [anon_sym_protected] = ACTIONS(3053),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static_assert] = ACTIONS(3053),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token2] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3065),
    [anon_sym_private] = ACTIONS(3065),
    [anon_sym_protected] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym__Nonnull] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym__Alignas] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_friend] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_friend] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token2] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [sym_primitive_type] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_friend] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_protected] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [sym_primitive_type] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_virtual] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym__Nonnull] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_friend] = ACTIONS(3017),
    [anon_sym_public] = ACTIONS(3017),
    [anon_sym_private] = ACTIONS(3017),
    [anon_sym_protected] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_AMP_AMP] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3093),
    [anon_sym_typedef] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym___attribute__] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(3095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3095),
    [anon_sym___declspec] = ACTIONS(3093),
    [anon_sym___based] = ACTIONS(3093),
    [anon_sym_signed] = ACTIONS(3093),
    [anon_sym_unsigned] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [anon_sym_register] = ACTIONS(3093),
    [anon_sym_inline] = ACTIONS(3093),
    [anon_sym___inline] = ACTIONS(3093),
    [anon_sym___inline__] = ACTIONS(3093),
    [anon_sym___forceinline] = ACTIONS(3093),
    [anon_sym_thread_local] = ACTIONS(3093),
    [anon_sym___thread] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_constexpr] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_restrict] = ACTIONS(3093),
    [anon_sym___restrict__] = ACTIONS(3093),
    [anon_sym__Atomic] = ACTIONS(3093),
    [anon_sym__Noreturn] = ACTIONS(3093),
    [anon_sym_noreturn] = ACTIONS(3093),
    [anon_sym__Nonnull] = ACTIONS(3093),
    [anon_sym_mutable] = ACTIONS(3093),
    [anon_sym_constinit] = ACTIONS(3093),
    [anon_sym_consteval] = ACTIONS(3093),
    [anon_sym_alignas] = ACTIONS(3093),
    [anon_sym__Alignas] = ACTIONS(3093),
    [sym_primitive_type] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_union] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3093),
    [anon_sym_decltype] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_typename] = ACTIONS(3093),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_operator] = ACTIONS(3093),
    [anon_sym_friend] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(3093),
    [anon_sym_private] = ACTIONS(3093),
    [anon_sym_protected] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static_assert] = ACTIONS(3093),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_friend] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_friend] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_friend] = ACTIONS(2884),
    [anon_sym_public] = ACTIONS(2884),
    [anon_sym_private] = ACTIONS(2884),
    [anon_sym_protected] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_friend] = ACTIONS(2913),
    [anon_sym_public] = ACTIONS(2913),
    [anon_sym_private] = ACTIONS(2913),
    [anon_sym_protected] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_friend] = ACTIONS(2945),
    [anon_sym_public] = ACTIONS(2945),
    [anon_sym_private] = ACTIONS(2945),
    [anon_sym_protected] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_friend] = ACTIONS(2949),
    [anon_sym_public] = ACTIONS(2949),
    [anon_sym_private] = ACTIONS(2949),
    [anon_sym_protected] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_friend] = ACTIONS(2949),
    [anon_sym_public] = ACTIONS(2949),
    [anon_sym_private] = ACTIONS(2949),
    [anon_sym_protected] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [sym_primitive_type] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym__Nonnull] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym__Nonnull] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym__Nonnull] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_friend] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_friend] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [1966] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_friend] = ACTIONS(2895),
    [anon_sym_public] = ACTIONS(2895),
    [anon_sym_private] = ACTIONS(2895),
    [anon_sym_protected] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_friend] = ACTIONS(2901),
    [anon_sym_public] = ACTIONS(2901),
    [anon_sym_private] = ACTIONS(2901),
    [anon_sym_protected] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token2] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [sym_primitive_type] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_friend] = ACTIONS(3175),
    [anon_sym_public] = ACTIONS(3175),
    [anon_sym_private] = ACTIONS(3175),
    [anon_sym_protected] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [sym_primitive_type] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_friend] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5357),
    [aux_sym_preproc_def_token1] = ACTIONS(5357),
    [aux_sym_preproc_if_token1] = ACTIONS(5357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5357),
    [sym_preproc_directive] = ACTIONS(5357),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5359),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___extension__] = ACTIONS(5357),
    [anon_sym_typedef] = ACTIONS(5357),
    [anon_sym_virtual] = ACTIONS(5357),
    [anon_sym_extern] = ACTIONS(5357),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5359),
    [anon_sym___declspec] = ACTIONS(5357),
    [anon_sym___based] = ACTIONS(5357),
    [anon_sym_RBRACE] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5357),
    [anon_sym_unsigned] = ACTIONS(5357),
    [anon_sym_long] = ACTIONS(5357),
    [anon_sym_short] = ACTIONS(5357),
    [anon_sym_LBRACK] = ACTIONS(5357),
    [anon_sym_static] = ACTIONS(5357),
    [anon_sym_register] = ACTIONS(5357),
    [anon_sym_inline] = ACTIONS(5357),
    [anon_sym___inline] = ACTIONS(5357),
    [anon_sym___inline__] = ACTIONS(5357),
    [anon_sym___forceinline] = ACTIONS(5357),
    [anon_sym_thread_local] = ACTIONS(5357),
    [anon_sym___thread] = ACTIONS(5357),
    [anon_sym_const] = ACTIONS(5357),
    [anon_sym_constexpr] = ACTIONS(5357),
    [anon_sym_volatile] = ACTIONS(5357),
    [anon_sym_restrict] = ACTIONS(5357),
    [anon_sym___restrict__] = ACTIONS(5357),
    [anon_sym__Atomic] = ACTIONS(5357),
    [anon_sym__Noreturn] = ACTIONS(5357),
    [anon_sym_noreturn] = ACTIONS(5357),
    [anon_sym__Nonnull] = ACTIONS(5357),
    [anon_sym_mutable] = ACTIONS(5357),
    [anon_sym_constinit] = ACTIONS(5357),
    [anon_sym_consteval] = ACTIONS(5357),
    [anon_sym_alignas] = ACTIONS(5357),
    [anon_sym__Alignas] = ACTIONS(5357),
    [sym_primitive_type] = ACTIONS(5357),
    [anon_sym_enum] = ACTIONS(5357),
    [anon_sym_class] = ACTIONS(5357),
    [anon_sym_struct] = ACTIONS(5357),
    [anon_sym_union] = ACTIONS(5357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5357),
    [anon_sym_decltype] = ACTIONS(5357),
    [anon_sym_explicit] = ACTIONS(5357),
    [anon_sym_typename] = ACTIONS(5357),
    [anon_sym_template] = ACTIONS(5357),
    [anon_sym_operator] = ACTIONS(5357),
    [anon_sym_friend] = ACTIONS(5357),
    [anon_sym_public] = ACTIONS(5357),
    [anon_sym_private] = ACTIONS(5357),
    [anon_sym_protected] = ACTIONS(5357),
    [anon_sym_using] = ACTIONS(5357),
    [anon_sym_static_assert] = ACTIONS(5357),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_friend] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_friend] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_friend] = ACTIONS(2834),
    [anon_sym_public] = ACTIONS(2834),
    [anon_sym_private] = ACTIONS(2834),
    [anon_sym_protected] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_friend] = ACTIONS(2895),
    [anon_sym_public] = ACTIONS(2895),
    [anon_sym_private] = ACTIONS(2895),
    [anon_sym_protected] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym__Nonnull] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(5361),
    [aux_sym_preproc_def_token1] = ACTIONS(5361),
    [aux_sym_preproc_if_token1] = ACTIONS(5361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5361),
    [sym_preproc_directive] = ACTIONS(5361),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_TILDE] = ACTIONS(5363),
    [anon_sym_STAR] = ACTIONS(5363),
    [anon_sym_AMP_AMP] = ACTIONS(5363),
    [anon_sym_AMP] = ACTIONS(5361),
    [anon_sym_SEMI] = ACTIONS(5363),
    [anon_sym___extension__] = ACTIONS(5361),
    [anon_sym_typedef] = ACTIONS(5361),
    [anon_sym_virtual] = ACTIONS(5361),
    [anon_sym_extern] = ACTIONS(5361),
    [anon_sym___attribute__] = ACTIONS(5361),
    [anon_sym_COLON_COLON] = ACTIONS(5363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5363),
    [anon_sym___declspec] = ACTIONS(5361),
    [anon_sym___based] = ACTIONS(5361),
    [anon_sym_RBRACE] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5361),
    [anon_sym_unsigned] = ACTIONS(5361),
    [anon_sym_long] = ACTIONS(5361),
    [anon_sym_short] = ACTIONS(5361),
    [anon_sym_LBRACK] = ACTIONS(5361),
    [anon_sym_static] = ACTIONS(5361),
    [anon_sym_register] = ACTIONS(5361),
    [anon_sym_inline] = ACTIONS(5361),
    [anon_sym___inline] = ACTIONS(5361),
    [anon_sym___inline__] = ACTIONS(5361),
    [anon_sym___forceinline] = ACTIONS(5361),
    [anon_sym_thread_local] = ACTIONS(5361),
    [anon_sym___thread] = ACTIONS(5361),
    [anon_sym_const] = ACTIONS(5361),
    [anon_sym_constexpr] = ACTIONS(5361),
    [anon_sym_volatile] = ACTIONS(5361),
    [anon_sym_restrict] = ACTIONS(5361),
    [anon_sym___restrict__] = ACTIONS(5361),
    [anon_sym__Atomic] = ACTIONS(5361),
    [anon_sym__Noreturn] = ACTIONS(5361),
    [anon_sym_noreturn] = ACTIONS(5361),
    [anon_sym__Nonnull] = ACTIONS(5361),
    [anon_sym_mutable] = ACTIONS(5361),
    [anon_sym_constinit] = ACTIONS(5361),
    [anon_sym_consteval] = ACTIONS(5361),
    [anon_sym_alignas] = ACTIONS(5361),
    [anon_sym__Alignas] = ACTIONS(5361),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_enum] = ACTIONS(5361),
    [anon_sym_class] = ACTIONS(5361),
    [anon_sym_struct] = ACTIONS(5361),
    [anon_sym_union] = ACTIONS(5361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5361),
    [anon_sym_explicit] = ACTIONS(5361),
    [anon_sym_typename] = ACTIONS(5361),
    [anon_sym_template] = ACTIONS(5361),
    [anon_sym_operator] = ACTIONS(5361),
    [anon_sym_friend] = ACTIONS(5361),
    [anon_sym_public] = ACTIONS(5361),
    [anon_sym_private] = ACTIONS(5361),
    [anon_sym_protected] = ACTIONS(5361),
    [anon_sym_using] = ACTIONS(5361),
    [anon_sym_static_assert] = ACTIONS(5361),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_friend] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(2760),
    [aux_sym_preproc_def_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token1] = ACTIONS(2760),
    [aux_sym_preproc_if_token2] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2760),
    [sym_preproc_directive] = ACTIONS(2760),
    [anon_sym_LPAREN2] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2760),
    [anon_sym_typedef] = ACTIONS(2760),
    [anon_sym_virtual] = ACTIONS(2760),
    [anon_sym_extern] = ACTIONS(2760),
    [anon_sym___attribute__] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2762),
    [anon_sym___declspec] = ACTIONS(2760),
    [anon_sym___based] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2760),
    [anon_sym_unsigned] = ACTIONS(2760),
    [anon_sym_long] = ACTIONS(2760),
    [anon_sym_short] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_register] = ACTIONS(2760),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym___inline] = ACTIONS(2760),
    [anon_sym___inline__] = ACTIONS(2760),
    [anon_sym___forceinline] = ACTIONS(2760),
    [anon_sym_thread_local] = ACTIONS(2760),
    [anon_sym___thread] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_constexpr] = ACTIONS(2760),
    [anon_sym_volatile] = ACTIONS(2760),
    [anon_sym_restrict] = ACTIONS(2760),
    [anon_sym___restrict__] = ACTIONS(2760),
    [anon_sym__Atomic] = ACTIONS(2760),
    [anon_sym__Noreturn] = ACTIONS(2760),
    [anon_sym_noreturn] = ACTIONS(2760),
    [anon_sym__Nonnull] = ACTIONS(2760),
    [anon_sym_mutable] = ACTIONS(2760),
    [anon_sym_constinit] = ACTIONS(2760),
    [anon_sym_consteval] = ACTIONS(2760),
    [anon_sym_alignas] = ACTIONS(2760),
    [anon_sym__Alignas] = ACTIONS(2760),
    [sym_primitive_type] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_struct] = ACTIONS(2760),
    [anon_sym_union] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2760),
    [anon_sym_decltype] = ACTIONS(2760),
    [anon_sym_explicit] = ACTIONS(2760),
    [anon_sym_typename] = ACTIONS(2760),
    [anon_sym_template] = ACTIONS(2760),
    [anon_sym_operator] = ACTIONS(2760),
    [anon_sym_friend] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_static_assert] = ACTIONS(2760),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_RBRACE] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [sym_primitive_type] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_virtual] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym__Nonnull] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_friend] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_RBRACE] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_RBRACE] = ACTIONS(5383),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_RBRACE] = ACTIONS(5383),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_RBRACE] = ACTIONS(5383),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_RBRACE] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_friend] = ACTIONS(2901),
    [anon_sym_public] = ACTIONS(2901),
    [anon_sym_private] = ACTIONS(2901),
    [anon_sym_protected] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
  },
  [1992] = {
    [sym_string_literal] = STATE(1993),
    [sym_raw_string_literal] = STATE(1993),
    [aux_sym_concatenated_string_repeat1] = STATE(1993),
    [sym_identifier] = ACTIONS(5698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [anon_sym_L_DQUOTE] = ACTIONS(5700),
    [anon_sym_u_DQUOTE] = ACTIONS(5700),
    [anon_sym_U_DQUOTE] = ACTIONS(5700),
    [anon_sym_u8_DQUOTE] = ACTIONS(5700),
    [anon_sym_DQUOTE] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5702),
    [anon_sym_LR_DQUOTE] = ACTIONS(5702),
    [anon_sym_uR_DQUOTE] = ACTIONS(5702),
    [anon_sym_UR_DQUOTE] = ACTIONS(5702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5702),
    [sym_literal_suffix] = ACTIONS(5145),
  },
  [1993] = {
    [sym_string_literal] = STATE(1995),
    [sym_raw_string_literal] = STATE(1995),
    [aux_sym_concatenated_string_repeat1] = STATE(1995),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5135),
    [anon_sym_PLUS] = ACTIONS(5135),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_SLASH] = ACTIONS(5135),
    [anon_sym_PERCENT] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5133),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5135),
    [anon_sym_CARET] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5135),
    [anon_sym_EQ_EQ] = ACTIONS(5133),
    [anon_sym_BANG_EQ] = ACTIONS(5133),
    [anon_sym_GT] = ACTIONS(5135),
    [anon_sym_GT_EQ] = ACTIONS(5133),
    [anon_sym_LT_EQ] = ACTIONS(5135),
    [anon_sym_LT] = ACTIONS(5135),
    [anon_sym_LT_LT] = ACTIONS(5135),
    [anon_sym_GT_GT] = ACTIONS(5135),
    [anon_sym_SEMI] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5135),
    [anon_sym_QMARK] = ACTIONS(5133),
    [anon_sym_STAR_EQ] = ACTIONS(5133),
    [anon_sym_SLASH_EQ] = ACTIONS(5133),
    [anon_sym_PERCENT_EQ] = ACTIONS(5133),
    [anon_sym_PLUS_EQ] = ACTIONS(5133),
    [anon_sym_DASH_EQ] = ACTIONS(5133),
    [anon_sym_LT_LT_EQ] = ACTIONS(5133),
    [anon_sym_GT_GT_EQ] = ACTIONS(5133),
    [anon_sym_AMP_EQ] = ACTIONS(5133),
    [anon_sym_CARET_EQ] = ACTIONS(5133),
    [anon_sym_PIPE_EQ] = ACTIONS(5133),
    [anon_sym_and_eq] = ACTIONS(5135),
    [anon_sym_or_eq] = ACTIONS(5135),
    [anon_sym_xor_eq] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5133),
    [anon_sym_or] = ACTIONS(5135),
    [anon_sym_and] = ACTIONS(5135),
    [anon_sym_bitor] = ACTIONS(5135),
    [anon_sym_xor] = ACTIONS(5135),
    [anon_sym_bitand] = ACTIONS(5135),
    [anon_sym_not_eq] = ACTIONS(5135),
    [anon_sym_DASH_DASH] = ACTIONS(5133),
    [anon_sym_PLUS_PLUS] = ACTIONS(5133),
    [anon_sym_DOT] = ACTIONS(5135),
    [anon_sym_DOT_STAR] = ACTIONS(5133),
    [anon_sym_DASH_GT] = ACTIONS(5133),
    [anon_sym_L_DQUOTE] = ACTIONS(5700),
    [anon_sym_u_DQUOTE] = ACTIONS(5700),
    [anon_sym_U_DQUOTE] = ACTIONS(5700),
    [anon_sym_u8_DQUOTE] = ACTIONS(5700),
    [anon_sym_DQUOTE] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5702),
    [anon_sym_LR_DQUOTE] = ACTIONS(5702),
    [anon_sym_uR_DQUOTE] = ACTIONS(5702),
    [anon_sym_UR_DQUOTE] = ACTIONS(5702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5702),
    [sym_literal_suffix] = ACTIONS(5135),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_friend] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_protected] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
  },
  [1995] = {
    [sym_string_literal] = STATE(1995),
    [sym_raw_string_literal] = STATE(1995),
    [aux_sym_concatenated_string_repeat1] = STATE(1995),
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5121),
    [anon_sym_COMMA] = ACTIONS(5121),
    [anon_sym_LPAREN2] = ACTIONS(5121),
    [anon_sym_DASH] = ACTIONS(5123),
    [anon_sym_PLUS] = ACTIONS(5123),
    [anon_sym_STAR] = ACTIONS(5123),
    [anon_sym_SLASH] = ACTIONS(5123),
    [anon_sym_PERCENT] = ACTIONS(5123),
    [anon_sym_PIPE_PIPE] = ACTIONS(5121),
    [anon_sym_AMP_AMP] = ACTIONS(5121),
    [anon_sym_PIPE] = ACTIONS(5123),
    [anon_sym_CARET] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5123),
    [anon_sym_EQ_EQ] = ACTIONS(5121),
    [anon_sym_BANG_EQ] = ACTIONS(5121),
    [anon_sym_GT] = ACTIONS(5123),
    [anon_sym_GT_EQ] = ACTIONS(5121),
    [anon_sym_LT_EQ] = ACTIONS(5123),
    [anon_sym_LT] = ACTIONS(5123),
    [anon_sym_LT_LT] = ACTIONS(5123),
    [anon_sym_GT_GT] = ACTIONS(5123),
    [anon_sym_SEMI] = ACTIONS(5121),
    [anon_sym___attribute__] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5123),
    [anon_sym_QMARK] = ACTIONS(5121),
    [anon_sym_STAR_EQ] = ACTIONS(5121),
    [anon_sym_SLASH_EQ] = ACTIONS(5121),
    [anon_sym_PERCENT_EQ] = ACTIONS(5121),
    [anon_sym_PLUS_EQ] = ACTIONS(5121),
    [anon_sym_DASH_EQ] = ACTIONS(5121),
    [anon_sym_LT_LT_EQ] = ACTIONS(5121),
    [anon_sym_GT_GT_EQ] = ACTIONS(5121),
    [anon_sym_AMP_EQ] = ACTIONS(5121),
    [anon_sym_CARET_EQ] = ACTIONS(5121),
    [anon_sym_PIPE_EQ] = ACTIONS(5121),
    [anon_sym_and_eq] = ACTIONS(5123),
    [anon_sym_or_eq] = ACTIONS(5123),
    [anon_sym_xor_eq] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5121),
    [anon_sym_or] = ACTIONS(5123),
    [anon_sym_and] = ACTIONS(5123),
    [anon_sym_bitor] = ACTIONS(5123),
    [anon_sym_xor] = ACTIONS(5123),
    [anon_sym_bitand] = ACTIONS(5123),
    [anon_sym_not_eq] = ACTIONS(5123),
    [anon_sym_DASH_DASH] = ACTIONS(5121),
    [anon_sym_PLUS_PLUS] = ACTIONS(5121),
    [anon_sym_DOT] = ACTIONS(5123),
    [anon_sym_DOT_STAR] = ACTIONS(5121),
    [anon_sym_DASH_GT] = ACTIONS(5121),
    [anon_sym_L_DQUOTE] = ACTIONS(5709),
    [anon_sym_u_DQUOTE] = ACTIONS(5709),
    [anon_sym_U_DQUOTE] = ACTIONS(5709),
    [anon_sym_u8_DQUOTE] = ACTIONS(5709),
    [anon_sym_DQUOTE] = ACTIONS(5709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5712),
    [anon_sym_LR_DQUOTE] = ACTIONS(5712),
    [anon_sym_uR_DQUOTE] = ACTIONS(5712),
    [anon_sym_UR_DQUOTE] = ACTIONS(5712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5712),
    [sym_literal_suffix] = ACTIONS(5123),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_friend] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [sym_primitive_type] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(2752),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token2] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2752),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2752),
    [sym_preproc_directive] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2752),
    [anon_sym_typedef] = ACTIONS(2752),
    [anon_sym_virtual] = ACTIONS(2752),
    [anon_sym_extern] = ACTIONS(2752),
    [anon_sym___attribute__] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2754),
    [anon_sym___declspec] = ACTIONS(2752),
    [anon_sym___based] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2752),
    [anon_sym_unsigned] = ACTIONS(2752),
    [anon_sym_long] = ACTIONS(2752),
    [anon_sym_short] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_register] = ACTIONS(2752),
    [anon_sym_inline] = ACTIONS(2752),
    [anon_sym___inline] = ACTIONS(2752),
    [anon_sym___inline__] = ACTIONS(2752),
    [anon_sym___forceinline] = ACTIONS(2752),
    [anon_sym_thread_local] = ACTIONS(2752),
    [anon_sym___thread] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_constexpr] = ACTIONS(2752),
    [anon_sym_volatile] = ACTIONS(2752),
    [anon_sym_restrict] = ACTIONS(2752),
    [anon_sym___restrict__] = ACTIONS(2752),
    [anon_sym__Atomic] = ACTIONS(2752),
    [anon_sym__Noreturn] = ACTIONS(2752),
    [anon_sym_noreturn] = ACTIONS(2752),
    [anon_sym__Nonnull] = ACTIONS(2752),
    [anon_sym_mutable] = ACTIONS(2752),
    [anon_sym_constinit] = ACTIONS(2752),
    [anon_sym_consteval] = ACTIONS(2752),
    [anon_sym_alignas] = ACTIONS(2752),
    [anon_sym__Alignas] = ACTIONS(2752),
    [sym_primitive_type] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_struct] = ACTIONS(2752),
    [anon_sym_union] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2752),
    [anon_sym_decltype] = ACTIONS(2752),
    [anon_sym_explicit] = ACTIONS(2752),
    [anon_sym_typename] = ACTIONS(2752),
    [anon_sym_template] = ACTIONS(2752),
    [anon_sym_operator] = ACTIONS(2752),
    [anon_sym_friend] = ACTIONS(2752),
    [anon_sym_public] = ACTIONS(2752),
    [anon_sym_private] = ACTIONS(2752),
    [anon_sym_protected] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_static_assert] = ACTIONS(2752),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym__Nonnull] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_friend] = ACTIONS(2850),
    [anon_sym_public] = ACTIONS(2850),
    [anon_sym_private] = ACTIONS(2850),
    [anon_sym_protected] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
  },
  [2001] = {
    [sym_template_argument_list] = STATE(1574),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2205),
    [sym_identifier] = ACTIONS(5715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [aux_sym_preproc_if_token2] = ACTIONS(5717),
    [aux_sym_preproc_else_token1] = ACTIONS(5717),
    [aux_sym_preproc_elif_token1] = ACTIONS(5715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5715),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5715),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5715),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5715),
    [anon_sym_GT_GT] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_signed] = ACTIONS(5719),
    [anon_sym_unsigned] = ACTIONS(5719),
    [anon_sym_long] = ACTIONS(5719),
    [anon_sym_short] = ACTIONS(5719),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_EQ] = ACTIONS(5715),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_STAR_EQ] = ACTIONS(5717),
    [anon_sym_SLASH_EQ] = ACTIONS(5717),
    [anon_sym_PERCENT_EQ] = ACTIONS(5717),
    [anon_sym_PLUS_EQ] = ACTIONS(5717),
    [anon_sym_DASH_EQ] = ACTIONS(5717),
    [anon_sym_LT_LT_EQ] = ACTIONS(5717),
    [anon_sym_GT_GT_EQ] = ACTIONS(5717),
    [anon_sym_AMP_EQ] = ACTIONS(5717),
    [anon_sym_CARET_EQ] = ACTIONS(5717),
    [anon_sym_PIPE_EQ] = ACTIONS(5717),
    [anon_sym_and_eq] = ACTIONS(5715),
    [anon_sym_or_eq] = ACTIONS(5715),
    [anon_sym_xor_eq] = ACTIONS(5715),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5715),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5715),
    [anon_sym_not_eq] = ACTIONS(5715),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
  },
  [2002] = {
    [sym__declaration_modifiers] = STATE(3215),
    [sym_attribute_specifier] = STATE(3215),
    [sym_attribute_declaration] = STATE(3215),
    [sym_ms_declspec_modifier] = STATE(3215),
    [sym_storage_class_specifier] = STATE(3215),
    [sym_type_qualifier] = STATE(3215),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(3920),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_type_identifier] = STATE(2726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2808),
    [sym_identifier] = ACTIONS(3749),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5670),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3759),
    [anon_sym_unsigned] = ACTIONS(3759),
    [anon_sym_long] = ACTIONS(3759),
    [anon_sym_short] = ACTIONS(3759),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_enum] = ACTIONS(3763),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3767),
    [anon_sym_union] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3771),
    [anon_sym_template] = ACTIONS(1230),
  },
  [2003] = {
    [sym_string_literal] = STATE(3124),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(3124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___attribute__] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(5723),
    [anon_sym_SLASH_EQ] = ACTIONS(5723),
    [anon_sym_PERCENT_EQ] = ACTIONS(5723),
    [anon_sym_PLUS_EQ] = ACTIONS(5723),
    [anon_sym_DASH_EQ] = ACTIONS(5723),
    [anon_sym_LT_LT_EQ] = ACTIONS(5723),
    [anon_sym_GT_GT_EQ] = ACTIONS(5723),
    [anon_sym_AMP_EQ] = ACTIONS(5723),
    [anon_sym_CARET_EQ] = ACTIONS(5723),
    [anon_sym_PIPE_EQ] = ACTIONS(5723),
    [anon_sym_and_eq] = ACTIONS(5723),
    [anon_sym_or_eq] = ACTIONS(5723),
    [anon_sym_xor_eq] = ACTIONS(5723),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(5725),
    [anon_sym_u_DQUOTE] = ACTIONS(5725),
    [anon_sym_U_DQUOTE] = ACTIONS(5725),
    [anon_sym_u8_DQUOTE] = ACTIONS(5725),
    [anon_sym_DQUOTE] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5727),
    [anon_sym_LR_DQUOTE] = ACTIONS(5727),
    [anon_sym_uR_DQUOTE] = ACTIONS(5727),
    [anon_sym_UR_DQUOTE] = ACTIONS(5727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5727),
  },
  [2004] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_COLON] = ACTIONS(4142),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(5207),
    [aux_sym_preproc_def_token1] = ACTIONS(5207),
    [aux_sym_preproc_if_token1] = ACTIONS(5207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5207),
    [sym_preproc_directive] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(5209),
    [anon_sym_TILDE] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_AMP_AMP] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5207),
    [anon_sym_SEMI] = ACTIONS(5209),
    [anon_sym___extension__] = ACTIONS(5207),
    [anon_sym_typedef] = ACTIONS(5207),
    [anon_sym_virtual] = ACTIONS(5207),
    [anon_sym_extern] = ACTIONS(5207),
    [anon_sym___attribute__] = ACTIONS(5207),
    [anon_sym_COLON_COLON] = ACTIONS(5209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5209),
    [anon_sym___declspec] = ACTIONS(5207),
    [anon_sym___based] = ACTIONS(5207),
    [anon_sym_RBRACE] = ACTIONS(5209),
    [anon_sym_signed] = ACTIONS(5207),
    [anon_sym_unsigned] = ACTIONS(5207),
    [anon_sym_long] = ACTIONS(5207),
    [anon_sym_short] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_static] = ACTIONS(5207),
    [anon_sym_register] = ACTIONS(5207),
    [anon_sym_inline] = ACTIONS(5207),
    [anon_sym___inline] = ACTIONS(5207),
    [anon_sym___inline__] = ACTIONS(5207),
    [anon_sym___forceinline] = ACTIONS(5207),
    [anon_sym_thread_local] = ACTIONS(5207),
    [anon_sym___thread] = ACTIONS(5207),
    [anon_sym_const] = ACTIONS(5207),
    [anon_sym_constexpr] = ACTIONS(5207),
    [anon_sym_volatile] = ACTIONS(5207),
    [anon_sym_restrict] = ACTIONS(5207),
    [anon_sym___restrict__] = ACTIONS(5207),
    [anon_sym__Atomic] = ACTIONS(5207),
    [anon_sym__Noreturn] = ACTIONS(5207),
    [anon_sym_noreturn] = ACTIONS(5207),
    [anon_sym__Nonnull] = ACTIONS(5207),
    [anon_sym_mutable] = ACTIONS(5207),
    [anon_sym_constinit] = ACTIONS(5207),
    [anon_sym_consteval] = ACTIONS(5207),
    [anon_sym_alignas] = ACTIONS(5207),
    [anon_sym__Alignas] = ACTIONS(5207),
    [sym_primitive_type] = ACTIONS(5207),
    [anon_sym_enum] = ACTIONS(5207),
    [anon_sym_class] = ACTIONS(5207),
    [anon_sym_struct] = ACTIONS(5207),
    [anon_sym_union] = ACTIONS(5207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5207),
    [anon_sym_decltype] = ACTIONS(5207),
    [anon_sym_explicit] = ACTIONS(5207),
    [anon_sym_typename] = ACTIONS(5207),
    [anon_sym_template] = ACTIONS(5207),
    [anon_sym_operator] = ACTIONS(5207),
    [anon_sym_friend] = ACTIONS(5207),
    [anon_sym_public] = ACTIONS(5207),
    [anon_sym_private] = ACTIONS(5207),
    [anon_sym_protected] = ACTIONS(5207),
    [anon_sym_using] = ACTIONS(5207),
    [anon_sym_static_assert] = ACTIONS(5207),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(5211),
    [aux_sym_preproc_def_token1] = ACTIONS(5211),
    [aux_sym_preproc_if_token1] = ACTIONS(5211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5211),
    [sym_preproc_directive] = ACTIONS(5211),
    [anon_sym_LPAREN2] = ACTIONS(5213),
    [anon_sym_TILDE] = ACTIONS(5213),
    [anon_sym_STAR] = ACTIONS(5213),
    [anon_sym_AMP_AMP] = ACTIONS(5213),
    [anon_sym_AMP] = ACTIONS(5211),
    [anon_sym_SEMI] = ACTIONS(5213),
    [anon_sym___extension__] = ACTIONS(5211),
    [anon_sym_typedef] = ACTIONS(5211),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5211),
    [anon_sym___attribute__] = ACTIONS(5211),
    [anon_sym_COLON_COLON] = ACTIONS(5213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5213),
    [anon_sym___declspec] = ACTIONS(5211),
    [anon_sym___based] = ACTIONS(5211),
    [anon_sym_RBRACE] = ACTIONS(5213),
    [anon_sym_signed] = ACTIONS(5211),
    [anon_sym_unsigned] = ACTIONS(5211),
    [anon_sym_long] = ACTIONS(5211),
    [anon_sym_short] = ACTIONS(5211),
    [anon_sym_LBRACK] = ACTIONS(5211),
    [anon_sym_static] = ACTIONS(5211),
    [anon_sym_register] = ACTIONS(5211),
    [anon_sym_inline] = ACTIONS(5211),
    [anon_sym___inline] = ACTIONS(5211),
    [anon_sym___inline__] = ACTIONS(5211),
    [anon_sym___forceinline] = ACTIONS(5211),
    [anon_sym_thread_local] = ACTIONS(5211),
    [anon_sym___thread] = ACTIONS(5211),
    [anon_sym_const] = ACTIONS(5211),
    [anon_sym_constexpr] = ACTIONS(5211),
    [anon_sym_volatile] = ACTIONS(5211),
    [anon_sym_restrict] = ACTIONS(5211),
    [anon_sym___restrict__] = ACTIONS(5211),
    [anon_sym__Atomic] = ACTIONS(5211),
    [anon_sym__Noreturn] = ACTIONS(5211),
    [anon_sym_noreturn] = ACTIONS(5211),
    [anon_sym__Nonnull] = ACTIONS(5211),
    [anon_sym_mutable] = ACTIONS(5211),
    [anon_sym_constinit] = ACTIONS(5211),
    [anon_sym_consteval] = ACTIONS(5211),
    [anon_sym_alignas] = ACTIONS(5211),
    [anon_sym__Alignas] = ACTIONS(5211),
    [sym_primitive_type] = ACTIONS(5211),
    [anon_sym_enum] = ACTIONS(5211),
    [anon_sym_class] = ACTIONS(5211),
    [anon_sym_struct] = ACTIONS(5211),
    [anon_sym_union] = ACTIONS(5211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5211),
    [anon_sym_decltype] = ACTIONS(5211),
    [anon_sym_explicit] = ACTIONS(5211),
    [anon_sym_typename] = ACTIONS(5211),
    [anon_sym_template] = ACTIONS(5211),
    [anon_sym_operator] = ACTIONS(5211),
    [anon_sym_friend] = ACTIONS(5211),
    [anon_sym_public] = ACTIONS(5211),
    [anon_sym_private] = ACTIONS(5211),
    [anon_sym_protected] = ACTIONS(5211),
    [anon_sym_using] = ACTIONS(5211),
    [anon_sym_static_assert] = ACTIONS(5211),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5215),
    [aux_sym_preproc_def_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5215),
    [sym_preproc_directive] = ACTIONS(5215),
    [anon_sym_LPAREN2] = ACTIONS(5217),
    [anon_sym_TILDE] = ACTIONS(5217),
    [anon_sym_STAR] = ACTIONS(5217),
    [anon_sym_AMP_AMP] = ACTIONS(5217),
    [anon_sym_AMP] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5217),
    [anon_sym___extension__] = ACTIONS(5215),
    [anon_sym_typedef] = ACTIONS(5215),
    [anon_sym_virtual] = ACTIONS(5215),
    [anon_sym_extern] = ACTIONS(5215),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5217),
    [anon_sym___declspec] = ACTIONS(5215),
    [anon_sym___based] = ACTIONS(5215),
    [anon_sym_RBRACE] = ACTIONS(5217),
    [anon_sym_signed] = ACTIONS(5215),
    [anon_sym_unsigned] = ACTIONS(5215),
    [anon_sym_long] = ACTIONS(5215),
    [anon_sym_short] = ACTIONS(5215),
    [anon_sym_LBRACK] = ACTIONS(5215),
    [anon_sym_static] = ACTIONS(5215),
    [anon_sym_register] = ACTIONS(5215),
    [anon_sym_inline] = ACTIONS(5215),
    [anon_sym___inline] = ACTIONS(5215),
    [anon_sym___inline__] = ACTIONS(5215),
    [anon_sym___forceinline] = ACTIONS(5215),
    [anon_sym_thread_local] = ACTIONS(5215),
    [anon_sym___thread] = ACTIONS(5215),
    [anon_sym_const] = ACTIONS(5215),
    [anon_sym_constexpr] = ACTIONS(5215),
    [anon_sym_volatile] = ACTIONS(5215),
    [anon_sym_restrict] = ACTIONS(5215),
    [anon_sym___restrict__] = ACTIONS(5215),
    [anon_sym__Atomic] = ACTIONS(5215),
    [anon_sym__Noreturn] = ACTIONS(5215),
    [anon_sym_noreturn] = ACTIONS(5215),
    [anon_sym__Nonnull] = ACTIONS(5215),
    [anon_sym_mutable] = ACTIONS(5215),
    [anon_sym_constinit] = ACTIONS(5215),
    [anon_sym_consteval] = ACTIONS(5215),
    [anon_sym_alignas] = ACTIONS(5215),
    [anon_sym__Alignas] = ACTIONS(5215),
    [sym_primitive_type] = ACTIONS(5215),
    [anon_sym_enum] = ACTIONS(5215),
    [anon_sym_class] = ACTIONS(5215),
    [anon_sym_struct] = ACTIONS(5215),
    [anon_sym_union] = ACTIONS(5215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5215),
    [anon_sym_decltype] = ACTIONS(5215),
    [anon_sym_explicit] = ACTIONS(5215),
    [anon_sym_typename] = ACTIONS(5215),
    [anon_sym_template] = ACTIONS(5215),
    [anon_sym_operator] = ACTIONS(5215),
    [anon_sym_friend] = ACTIONS(5215),
    [anon_sym_public] = ACTIONS(5215),
    [anon_sym_private] = ACTIONS(5215),
    [anon_sym_protected] = ACTIONS(5215),
    [anon_sym_using] = ACTIONS(5215),
    [anon_sym_static_assert] = ACTIONS(5215),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [2009] = {
    [sym_string_literal] = STATE(1992),
    [sym_template_argument_list] = STATE(2252),
    [sym_raw_string_literal] = STATE(1992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(5111),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym___attribute__] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(5700),
    [anon_sym_u_DQUOTE] = ACTIONS(5700),
    [anon_sym_U_DQUOTE] = ACTIONS(5700),
    [anon_sym_u8_DQUOTE] = ACTIONS(5700),
    [anon_sym_DQUOTE] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5702),
    [anon_sym_LR_DQUOTE] = ACTIONS(5702),
    [anon_sym_uR_DQUOTE] = ACTIONS(5702),
    [anon_sym_UR_DQUOTE] = ACTIONS(5702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5702),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_AMP_AMP] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5224),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_virtual] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym_COLON_COLON] = ACTIONS(5224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___based] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5224),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_mutable] = ACTIONS(5222),
    [anon_sym_constinit] = ACTIONS(5222),
    [anon_sym_consteval] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_class] = ACTIONS(5222),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5222),
    [anon_sym_decltype] = ACTIONS(5222),
    [anon_sym_explicit] = ACTIONS(5222),
    [anon_sym_typename] = ACTIONS(5222),
    [anon_sym_template] = ACTIONS(5222),
    [anon_sym_operator] = ACTIONS(5222),
    [anon_sym_friend] = ACTIONS(5222),
    [anon_sym_public] = ACTIONS(5222),
    [anon_sym_private] = ACTIONS(5222),
    [anon_sym_protected] = ACTIONS(5222),
    [anon_sym_using] = ACTIONS(5222),
    [anon_sym_static_assert] = ACTIONS(5222),
  },
  [2011] = {
    [sym__declaration_modifiers] = STATE(3215),
    [sym_attribute_specifier] = STATE(3215),
    [sym_attribute_declaration] = STATE(3215),
    [sym_ms_declspec_modifier] = STATE(3215),
    [sym_storage_class_specifier] = STATE(3215),
    [sym_type_qualifier] = STATE(3215),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2315),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6213),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5670),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(1230),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_AMP_AMP] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5224),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_virtual] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym_COLON_COLON] = ACTIONS(5224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___based] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5224),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_mutable] = ACTIONS(5222),
    [anon_sym_constinit] = ACTIONS(5222),
    [anon_sym_consteval] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_class] = ACTIONS(5222),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5222),
    [anon_sym_decltype] = ACTIONS(5222),
    [anon_sym_explicit] = ACTIONS(5222),
    [anon_sym_typename] = ACTIONS(5222),
    [anon_sym_template] = ACTIONS(5222),
    [anon_sym_operator] = ACTIONS(5222),
    [anon_sym_friend] = ACTIONS(5222),
    [anon_sym_public] = ACTIONS(5222),
    [anon_sym_private] = ACTIONS(5222),
    [anon_sym_protected] = ACTIONS(5222),
    [anon_sym_using] = ACTIONS(5222),
    [anon_sym_static_assert] = ACTIONS(5222),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5226),
    [aux_sym_preproc_def_token1] = ACTIONS(5226),
    [aux_sym_preproc_if_token1] = ACTIONS(5226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5226),
    [sym_preproc_directive] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_TILDE] = ACTIONS(5228),
    [anon_sym_STAR] = ACTIONS(5228),
    [anon_sym_AMP_AMP] = ACTIONS(5228),
    [anon_sym_AMP] = ACTIONS(5226),
    [anon_sym_SEMI] = ACTIONS(5228),
    [anon_sym___extension__] = ACTIONS(5226),
    [anon_sym_typedef] = ACTIONS(5226),
    [anon_sym_virtual] = ACTIONS(5226),
    [anon_sym_extern] = ACTIONS(5226),
    [anon_sym___attribute__] = ACTIONS(5226),
    [anon_sym_COLON_COLON] = ACTIONS(5228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5228),
    [anon_sym___declspec] = ACTIONS(5226),
    [anon_sym___based] = ACTIONS(5226),
    [anon_sym_RBRACE] = ACTIONS(5228),
    [anon_sym_signed] = ACTIONS(5226),
    [anon_sym_unsigned] = ACTIONS(5226),
    [anon_sym_long] = ACTIONS(5226),
    [anon_sym_short] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_static] = ACTIONS(5226),
    [anon_sym_register] = ACTIONS(5226),
    [anon_sym_inline] = ACTIONS(5226),
    [anon_sym___inline] = ACTIONS(5226),
    [anon_sym___inline__] = ACTIONS(5226),
    [anon_sym___forceinline] = ACTIONS(5226),
    [anon_sym_thread_local] = ACTIONS(5226),
    [anon_sym___thread] = ACTIONS(5226),
    [anon_sym_const] = ACTIONS(5226),
    [anon_sym_constexpr] = ACTIONS(5226),
    [anon_sym_volatile] = ACTIONS(5226),
    [anon_sym_restrict] = ACTIONS(5226),
    [anon_sym___restrict__] = ACTIONS(5226),
    [anon_sym__Atomic] = ACTIONS(5226),
    [anon_sym__Noreturn] = ACTIONS(5226),
    [anon_sym_noreturn] = ACTIONS(5226),
    [anon_sym__Nonnull] = ACTIONS(5226),
    [anon_sym_mutable] = ACTIONS(5226),
    [anon_sym_constinit] = ACTIONS(5226),
    [anon_sym_consteval] = ACTIONS(5226),
    [anon_sym_alignas] = ACTIONS(5226),
    [anon_sym__Alignas] = ACTIONS(5226),
    [sym_primitive_type] = ACTIONS(5226),
    [anon_sym_enum] = ACTIONS(5226),
    [anon_sym_class] = ACTIONS(5226),
    [anon_sym_struct] = ACTIONS(5226),
    [anon_sym_union] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5226),
    [anon_sym_decltype] = ACTIONS(5226),
    [anon_sym_explicit] = ACTIONS(5226),
    [anon_sym_typename] = ACTIONS(5226),
    [anon_sym_template] = ACTIONS(5226),
    [anon_sym_operator] = ACTIONS(5226),
    [anon_sym_friend] = ACTIONS(5226),
    [anon_sym_public] = ACTIONS(5226),
    [anon_sym_private] = ACTIONS(5226),
    [anon_sym_protected] = ACTIONS(5226),
    [anon_sym_using] = ACTIONS(5226),
    [anon_sym_static_assert] = ACTIONS(5226),
  },
  [2014] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(5230),
    [aux_sym_preproc_def_token1] = ACTIONS(5230),
    [aux_sym_preproc_if_token1] = ACTIONS(5230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5230),
    [sym_preproc_directive] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_TILDE] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_AMP_AMP] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5232),
    [anon_sym___extension__] = ACTIONS(5230),
    [anon_sym_typedef] = ACTIONS(5230),
    [anon_sym_virtual] = ACTIONS(5230),
    [anon_sym_extern] = ACTIONS(5230),
    [anon_sym___attribute__] = ACTIONS(5230),
    [anon_sym_COLON_COLON] = ACTIONS(5232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5232),
    [anon_sym___declspec] = ACTIONS(5230),
    [anon_sym___based] = ACTIONS(5230),
    [anon_sym_RBRACE] = ACTIONS(5232),
    [anon_sym_signed] = ACTIONS(5230),
    [anon_sym_unsigned] = ACTIONS(5230),
    [anon_sym_long] = ACTIONS(5230),
    [anon_sym_short] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_static] = ACTIONS(5230),
    [anon_sym_register] = ACTIONS(5230),
    [anon_sym_inline] = ACTIONS(5230),
    [anon_sym___inline] = ACTIONS(5230),
    [anon_sym___inline__] = ACTIONS(5230),
    [anon_sym___forceinline] = ACTIONS(5230),
    [anon_sym_thread_local] = ACTIONS(5230),
    [anon_sym___thread] = ACTIONS(5230),
    [anon_sym_const] = ACTIONS(5230),
    [anon_sym_constexpr] = ACTIONS(5230),
    [anon_sym_volatile] = ACTIONS(5230),
    [anon_sym_restrict] = ACTIONS(5230),
    [anon_sym___restrict__] = ACTIONS(5230),
    [anon_sym__Atomic] = ACTIONS(5230),
    [anon_sym__Noreturn] = ACTIONS(5230),
    [anon_sym_noreturn] = ACTIONS(5230),
    [anon_sym__Nonnull] = ACTIONS(5230),
    [anon_sym_mutable] = ACTIONS(5230),
    [anon_sym_constinit] = ACTIONS(5230),
    [anon_sym_consteval] = ACTIONS(5230),
    [anon_sym_alignas] = ACTIONS(5230),
    [anon_sym__Alignas] = ACTIONS(5230),
    [sym_primitive_type] = ACTIONS(5230),
    [anon_sym_enum] = ACTIONS(5230),
    [anon_sym_class] = ACTIONS(5230),
    [anon_sym_struct] = ACTIONS(5230),
    [anon_sym_union] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5230),
    [anon_sym_decltype] = ACTIONS(5230),
    [anon_sym_explicit] = ACTIONS(5230),
    [anon_sym_typename] = ACTIONS(5230),
    [anon_sym_template] = ACTIONS(5230),
    [anon_sym_operator] = ACTIONS(5230),
    [anon_sym_friend] = ACTIONS(5230),
    [anon_sym_public] = ACTIONS(5230),
    [anon_sym_private] = ACTIONS(5230),
    [anon_sym_protected] = ACTIONS(5230),
    [anon_sym_using] = ACTIONS(5230),
    [anon_sym_static_assert] = ACTIONS(5230),
  },
  [2016] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_COLON] = ACTIONS(4335),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_TILDE] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5254),
    [anon_sym_AMP_AMP] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [anon_sym___extension__] = ACTIONS(5252),
    [anon_sym_typedef] = ACTIONS(5252),
    [anon_sym_virtual] = ACTIONS(5252),
    [anon_sym_extern] = ACTIONS(5252),
    [anon_sym___attribute__] = ACTIONS(5252),
    [anon_sym_COLON_COLON] = ACTIONS(5254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5254),
    [anon_sym___declspec] = ACTIONS(5252),
    [anon_sym___based] = ACTIONS(5252),
    [anon_sym_RBRACE] = ACTIONS(5254),
    [anon_sym_signed] = ACTIONS(5252),
    [anon_sym_unsigned] = ACTIONS(5252),
    [anon_sym_long] = ACTIONS(5252),
    [anon_sym_short] = ACTIONS(5252),
    [anon_sym_LBRACK] = ACTIONS(5252),
    [anon_sym_static] = ACTIONS(5252),
    [anon_sym_register] = ACTIONS(5252),
    [anon_sym_inline] = ACTIONS(5252),
    [anon_sym___inline] = ACTIONS(5252),
    [anon_sym___inline__] = ACTIONS(5252),
    [anon_sym___forceinline] = ACTIONS(5252),
    [anon_sym_thread_local] = ACTIONS(5252),
    [anon_sym___thread] = ACTIONS(5252),
    [anon_sym_const] = ACTIONS(5252),
    [anon_sym_constexpr] = ACTIONS(5252),
    [anon_sym_volatile] = ACTIONS(5252),
    [anon_sym_restrict] = ACTIONS(5252),
    [anon_sym___restrict__] = ACTIONS(5252),
    [anon_sym__Atomic] = ACTIONS(5252),
    [anon_sym__Noreturn] = ACTIONS(5252),
    [anon_sym_noreturn] = ACTIONS(5252),
    [anon_sym__Nonnull] = ACTIONS(5252),
    [anon_sym_mutable] = ACTIONS(5252),
    [anon_sym_constinit] = ACTIONS(5252),
    [anon_sym_consteval] = ACTIONS(5252),
    [anon_sym_alignas] = ACTIONS(5252),
    [anon_sym__Alignas] = ACTIONS(5252),
    [sym_primitive_type] = ACTIONS(5252),
    [anon_sym_enum] = ACTIONS(5252),
    [anon_sym_class] = ACTIONS(5252),
    [anon_sym_struct] = ACTIONS(5252),
    [anon_sym_union] = ACTIONS(5252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5252),
    [anon_sym_decltype] = ACTIONS(5252),
    [anon_sym_explicit] = ACTIONS(5252),
    [anon_sym_typename] = ACTIONS(5252),
    [anon_sym_template] = ACTIONS(5252),
    [anon_sym_operator] = ACTIONS(5252),
    [anon_sym_friend] = ACTIONS(5252),
    [anon_sym_public] = ACTIONS(5252),
    [anon_sym_private] = ACTIONS(5252),
    [anon_sym_protected] = ACTIONS(5252),
    [anon_sym_using] = ACTIONS(5252),
    [anon_sym_static_assert] = ACTIONS(5252),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(5263),
    [aux_sym_preproc_def_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5263),
    [sym_preproc_directive] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_STAR] = ACTIONS(5265),
    [anon_sym_AMP_AMP] = ACTIONS(5265),
    [anon_sym_AMP] = ACTIONS(5263),
    [anon_sym_SEMI] = ACTIONS(5265),
    [anon_sym___extension__] = ACTIONS(5263),
    [anon_sym_typedef] = ACTIONS(5263),
    [anon_sym_virtual] = ACTIONS(5263),
    [anon_sym_extern] = ACTIONS(5263),
    [anon_sym___attribute__] = ACTIONS(5263),
    [anon_sym_COLON_COLON] = ACTIONS(5265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5265),
    [anon_sym___declspec] = ACTIONS(5263),
    [anon_sym___based] = ACTIONS(5263),
    [anon_sym_RBRACE] = ACTIONS(5265),
    [anon_sym_signed] = ACTIONS(5263),
    [anon_sym_unsigned] = ACTIONS(5263),
    [anon_sym_long] = ACTIONS(5263),
    [anon_sym_short] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_static] = ACTIONS(5263),
    [anon_sym_register] = ACTIONS(5263),
    [anon_sym_inline] = ACTIONS(5263),
    [anon_sym___inline] = ACTIONS(5263),
    [anon_sym___inline__] = ACTIONS(5263),
    [anon_sym___forceinline] = ACTIONS(5263),
    [anon_sym_thread_local] = ACTIONS(5263),
    [anon_sym___thread] = ACTIONS(5263),
    [anon_sym_const] = ACTIONS(5263),
    [anon_sym_constexpr] = ACTIONS(5263),
    [anon_sym_volatile] = ACTIONS(5263),
    [anon_sym_restrict] = ACTIONS(5263),
    [anon_sym___restrict__] = ACTIONS(5263),
    [anon_sym__Atomic] = ACTIONS(5263),
    [anon_sym__Noreturn] = ACTIONS(5263),
    [anon_sym_noreturn] = ACTIONS(5263),
    [anon_sym__Nonnull] = ACTIONS(5263),
    [anon_sym_mutable] = ACTIONS(5263),
    [anon_sym_constinit] = ACTIONS(5263),
    [anon_sym_consteval] = ACTIONS(5263),
    [anon_sym_alignas] = ACTIONS(5263),
    [anon_sym__Alignas] = ACTIONS(5263),
    [sym_primitive_type] = ACTIONS(5263),
    [anon_sym_enum] = ACTIONS(5263),
    [anon_sym_class] = ACTIONS(5263),
    [anon_sym_struct] = ACTIONS(5263),
    [anon_sym_union] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5263),
    [anon_sym_decltype] = ACTIONS(5263),
    [anon_sym_explicit] = ACTIONS(5263),
    [anon_sym_typename] = ACTIONS(5263),
    [anon_sym_template] = ACTIONS(5263),
    [anon_sym_operator] = ACTIONS(5263),
    [anon_sym_friend] = ACTIONS(5263),
    [anon_sym_public] = ACTIONS(5263),
    [anon_sym_private] = ACTIONS(5263),
    [anon_sym_protected] = ACTIONS(5263),
    [anon_sym_using] = ACTIONS(5263),
    [anon_sym_static_assert] = ACTIONS(5263),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5267),
    [aux_sym_preproc_def_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5267),
    [sym_preproc_directive] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(5269),
    [anon_sym_TILDE] = ACTIONS(5269),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_AMP] = ACTIONS(5267),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym___extension__] = ACTIONS(5267),
    [anon_sym_typedef] = ACTIONS(5267),
    [anon_sym_virtual] = ACTIONS(5267),
    [anon_sym_extern] = ACTIONS(5267),
    [anon_sym___attribute__] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(5269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5269),
    [anon_sym___declspec] = ACTIONS(5267),
    [anon_sym___based] = ACTIONS(5267),
    [anon_sym_RBRACE] = ACTIONS(5269),
    [anon_sym_signed] = ACTIONS(5267),
    [anon_sym_unsigned] = ACTIONS(5267),
    [anon_sym_long] = ACTIONS(5267),
    [anon_sym_short] = ACTIONS(5267),
    [anon_sym_LBRACK] = ACTIONS(5267),
    [anon_sym_static] = ACTIONS(5267),
    [anon_sym_register] = ACTIONS(5267),
    [anon_sym_inline] = ACTIONS(5267),
    [anon_sym___inline] = ACTIONS(5267),
    [anon_sym___inline__] = ACTIONS(5267),
    [anon_sym___forceinline] = ACTIONS(5267),
    [anon_sym_thread_local] = ACTIONS(5267),
    [anon_sym___thread] = ACTIONS(5267),
    [anon_sym_const] = ACTIONS(5267),
    [anon_sym_constexpr] = ACTIONS(5267),
    [anon_sym_volatile] = ACTIONS(5267),
    [anon_sym_restrict] = ACTIONS(5267),
    [anon_sym___restrict__] = ACTIONS(5267),
    [anon_sym__Atomic] = ACTIONS(5267),
    [anon_sym__Noreturn] = ACTIONS(5267),
    [anon_sym_noreturn] = ACTIONS(5267),
    [anon_sym__Nonnull] = ACTIONS(5267),
    [anon_sym_mutable] = ACTIONS(5267),
    [anon_sym_constinit] = ACTIONS(5267),
    [anon_sym_consteval] = ACTIONS(5267),
    [anon_sym_alignas] = ACTIONS(5267),
    [anon_sym__Alignas] = ACTIONS(5267),
    [sym_primitive_type] = ACTIONS(5267),
    [anon_sym_enum] = ACTIONS(5267),
    [anon_sym_class] = ACTIONS(5267),
    [anon_sym_struct] = ACTIONS(5267),
    [anon_sym_union] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5267),
    [anon_sym_decltype] = ACTIONS(5267),
    [anon_sym_explicit] = ACTIONS(5267),
    [anon_sym_typename] = ACTIONS(5267),
    [anon_sym_template] = ACTIONS(5267),
    [anon_sym_operator] = ACTIONS(5267),
    [anon_sym_friend] = ACTIONS(5267),
    [anon_sym_public] = ACTIONS(5267),
    [anon_sym_private] = ACTIONS(5267),
    [anon_sym_protected] = ACTIONS(5267),
    [anon_sym_using] = ACTIONS(5267),
    [anon_sym_static_assert] = ACTIONS(5267),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_RBRACE] = ACTIONS(5273),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [sym_primitive_type] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_RBRACE] = ACTIONS(5273),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [sym_primitive_type] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5275),
    [aux_sym_preproc_def_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5275),
    [sym_preproc_directive] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_STAR] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___extension__] = ACTIONS(5275),
    [anon_sym_typedef] = ACTIONS(5275),
    [anon_sym_virtual] = ACTIONS(5275),
    [anon_sym_extern] = ACTIONS(5275),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym_COLON_COLON] = ACTIONS(5277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5277),
    [anon_sym___declspec] = ACTIONS(5275),
    [anon_sym___based] = ACTIONS(5275),
    [anon_sym_RBRACE] = ACTIONS(5277),
    [anon_sym_signed] = ACTIONS(5275),
    [anon_sym_unsigned] = ACTIONS(5275),
    [anon_sym_long] = ACTIONS(5275),
    [anon_sym_short] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5275),
    [anon_sym_register] = ACTIONS(5275),
    [anon_sym_inline] = ACTIONS(5275),
    [anon_sym___inline] = ACTIONS(5275),
    [anon_sym___inline__] = ACTIONS(5275),
    [anon_sym___forceinline] = ACTIONS(5275),
    [anon_sym_thread_local] = ACTIONS(5275),
    [anon_sym___thread] = ACTIONS(5275),
    [anon_sym_const] = ACTIONS(5275),
    [anon_sym_constexpr] = ACTIONS(5275),
    [anon_sym_volatile] = ACTIONS(5275),
    [anon_sym_restrict] = ACTIONS(5275),
    [anon_sym___restrict__] = ACTIONS(5275),
    [anon_sym__Atomic] = ACTIONS(5275),
    [anon_sym__Noreturn] = ACTIONS(5275),
    [anon_sym_noreturn] = ACTIONS(5275),
    [anon_sym__Nonnull] = ACTIONS(5275),
    [anon_sym_mutable] = ACTIONS(5275),
    [anon_sym_constinit] = ACTIONS(5275),
    [anon_sym_consteval] = ACTIONS(5275),
    [anon_sym_alignas] = ACTIONS(5275),
    [anon_sym__Alignas] = ACTIONS(5275),
    [sym_primitive_type] = ACTIONS(5275),
    [anon_sym_enum] = ACTIONS(5275),
    [anon_sym_class] = ACTIONS(5275),
    [anon_sym_struct] = ACTIONS(5275),
    [anon_sym_union] = ACTIONS(5275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
    [anon_sym_explicit] = ACTIONS(5275),
    [anon_sym_typename] = ACTIONS(5275),
    [anon_sym_template] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5275),
    [anon_sym_friend] = ACTIONS(5275),
    [anon_sym_public] = ACTIONS(5275),
    [anon_sym_private] = ACTIONS(5275),
    [anon_sym_protected] = ACTIONS(5275),
    [anon_sym_using] = ACTIONS(5275),
    [anon_sym_static_assert] = ACTIONS(5275),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5279),
    [aux_sym_preproc_def_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5279),
    [sym_preproc_directive] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_TILDE] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___extension__] = ACTIONS(5279),
    [anon_sym_typedef] = ACTIONS(5279),
    [anon_sym_virtual] = ACTIONS(5279),
    [anon_sym_extern] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5281),
    [anon_sym___declspec] = ACTIONS(5279),
    [anon_sym___based] = ACTIONS(5279),
    [anon_sym_RBRACE] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5279),
    [anon_sym_unsigned] = ACTIONS(5279),
    [anon_sym_long] = ACTIONS(5279),
    [anon_sym_short] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_static] = ACTIONS(5279),
    [anon_sym_register] = ACTIONS(5279),
    [anon_sym_inline] = ACTIONS(5279),
    [anon_sym___inline] = ACTIONS(5279),
    [anon_sym___inline__] = ACTIONS(5279),
    [anon_sym___forceinline] = ACTIONS(5279),
    [anon_sym_thread_local] = ACTIONS(5279),
    [anon_sym___thread] = ACTIONS(5279),
    [anon_sym_const] = ACTIONS(5279),
    [anon_sym_constexpr] = ACTIONS(5279),
    [anon_sym_volatile] = ACTIONS(5279),
    [anon_sym_restrict] = ACTIONS(5279),
    [anon_sym___restrict__] = ACTIONS(5279),
    [anon_sym__Atomic] = ACTIONS(5279),
    [anon_sym__Noreturn] = ACTIONS(5279),
    [anon_sym_noreturn] = ACTIONS(5279),
    [anon_sym__Nonnull] = ACTIONS(5279),
    [anon_sym_mutable] = ACTIONS(5279),
    [anon_sym_constinit] = ACTIONS(5279),
    [anon_sym_consteval] = ACTIONS(5279),
    [anon_sym_alignas] = ACTIONS(5279),
    [anon_sym__Alignas] = ACTIONS(5279),
    [sym_primitive_type] = ACTIONS(5279),
    [anon_sym_enum] = ACTIONS(5279),
    [anon_sym_class] = ACTIONS(5279),
    [anon_sym_struct] = ACTIONS(5279),
    [anon_sym_union] = ACTIONS(5279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5279),
    [anon_sym_decltype] = ACTIONS(5279),
    [anon_sym_explicit] = ACTIONS(5279),
    [anon_sym_typename] = ACTIONS(5279),
    [anon_sym_template] = ACTIONS(5279),
    [anon_sym_operator] = ACTIONS(5279),
    [anon_sym_friend] = ACTIONS(5279),
    [anon_sym_public] = ACTIONS(5279),
    [anon_sym_private] = ACTIONS(5279),
    [anon_sym_protected] = ACTIONS(5279),
    [anon_sym_using] = ACTIONS(5279),
    [anon_sym_static_assert] = ACTIONS(5279),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5283),
    [aux_sym_preproc_def_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5283),
    [sym_preproc_directive] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_typedef] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym_RBRACE] = ACTIONS(5285),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [sym_primitive_type] = ACTIONS(5283),
    [anon_sym_enum] = ACTIONS(5283),
    [anon_sym_class] = ACTIONS(5283),
    [anon_sym_struct] = ACTIONS(5283),
    [anon_sym_union] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_explicit] = ACTIONS(5283),
    [anon_sym_typename] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_friend] = ACTIONS(5283),
    [anon_sym_public] = ACTIONS(5283),
    [anon_sym_private] = ACTIONS(5283),
    [anon_sym_protected] = ACTIONS(5283),
    [anon_sym_using] = ACTIONS(5283),
    [anon_sym_static_assert] = ACTIONS(5283),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5291),
    [aux_sym_preproc_def_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5291),
    [sym_preproc_directive] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5293),
    [anon_sym_TILDE] = ACTIONS(5293),
    [anon_sym_STAR] = ACTIONS(5293),
    [anon_sym_AMP_AMP] = ACTIONS(5293),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5293),
    [anon_sym___extension__] = ACTIONS(5291),
    [anon_sym_typedef] = ACTIONS(5291),
    [anon_sym_virtual] = ACTIONS(5291),
    [anon_sym_extern] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5293),
    [anon_sym___declspec] = ACTIONS(5291),
    [anon_sym___based] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5291),
    [anon_sym_unsigned] = ACTIONS(5291),
    [anon_sym_long] = ACTIONS(5291),
    [anon_sym_short] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_static] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5291),
    [anon_sym_inline] = ACTIONS(5291),
    [anon_sym___inline] = ACTIONS(5291),
    [anon_sym___inline__] = ACTIONS(5291),
    [anon_sym___forceinline] = ACTIONS(5291),
    [anon_sym_thread_local] = ACTIONS(5291),
    [anon_sym___thread] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5291),
    [anon_sym_constexpr] = ACTIONS(5291),
    [anon_sym_volatile] = ACTIONS(5291),
    [anon_sym_restrict] = ACTIONS(5291),
    [anon_sym___restrict__] = ACTIONS(5291),
    [anon_sym__Atomic] = ACTIONS(5291),
    [anon_sym__Noreturn] = ACTIONS(5291),
    [anon_sym_noreturn] = ACTIONS(5291),
    [anon_sym__Nonnull] = ACTIONS(5291),
    [anon_sym_mutable] = ACTIONS(5291),
    [anon_sym_constinit] = ACTIONS(5291),
    [anon_sym_consteval] = ACTIONS(5291),
    [anon_sym_alignas] = ACTIONS(5291),
    [anon_sym__Alignas] = ACTIONS(5291),
    [sym_primitive_type] = ACTIONS(5291),
    [anon_sym_enum] = ACTIONS(5291),
    [anon_sym_class] = ACTIONS(5291),
    [anon_sym_struct] = ACTIONS(5291),
    [anon_sym_union] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5291),
    [anon_sym_decltype] = ACTIONS(5291),
    [anon_sym_explicit] = ACTIONS(5291),
    [anon_sym_typename] = ACTIONS(5291),
    [anon_sym_template] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5291),
    [anon_sym_friend] = ACTIONS(5291),
    [anon_sym_public] = ACTIONS(5291),
    [anon_sym_private] = ACTIONS(5291),
    [anon_sym_protected] = ACTIONS(5291),
    [anon_sym_using] = ACTIONS(5291),
    [anon_sym_static_assert] = ACTIONS(5291),
  },
  [2027] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_COLON] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_RBRACE] = ACTIONS(5297),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [sym_primitive_type] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_RBRACE] = ACTIONS(5301),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [sym_primitive_type] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [sym_primitive_type] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_RBRACE] = ACTIONS(5309),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [sym_primitive_type] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [sym_primitive_type] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_RBRACE] = ACTIONS(5309),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [sym_primitive_type] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5323),
    [aux_sym_preproc_def_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5323),
    [sym_preproc_directive] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_typedef] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [sym_primitive_type] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_public] = ACTIONS(5323),
    [anon_sym_private] = ACTIONS(5323),
    [anon_sym_protected] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_static_assert] = ACTIONS(5323),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5327),
    [aux_sym_preproc_def_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5327),
    [sym_preproc_directive] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5329),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_AMP_AMP] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5327),
    [anon_sym_SEMI] = ACTIONS(5329),
    [anon_sym___extension__] = ACTIONS(5327),
    [anon_sym_typedef] = ACTIONS(5327),
    [anon_sym_virtual] = ACTIONS(5327),
    [anon_sym_extern] = ACTIONS(5327),
    [anon_sym___attribute__] = ACTIONS(5327),
    [anon_sym_COLON_COLON] = ACTIONS(5329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5329),
    [anon_sym___declspec] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5327),
    [anon_sym_RBRACE] = ACTIONS(5329),
    [anon_sym_signed] = ACTIONS(5327),
    [anon_sym_unsigned] = ACTIONS(5327),
    [anon_sym_long] = ACTIONS(5327),
    [anon_sym_short] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_static] = ACTIONS(5327),
    [anon_sym_register] = ACTIONS(5327),
    [anon_sym_inline] = ACTIONS(5327),
    [anon_sym___inline] = ACTIONS(5327),
    [anon_sym___inline__] = ACTIONS(5327),
    [anon_sym___forceinline] = ACTIONS(5327),
    [anon_sym_thread_local] = ACTIONS(5327),
    [anon_sym___thread] = ACTIONS(5327),
    [anon_sym_const] = ACTIONS(5327),
    [anon_sym_constexpr] = ACTIONS(5327),
    [anon_sym_volatile] = ACTIONS(5327),
    [anon_sym_restrict] = ACTIONS(5327),
    [anon_sym___restrict__] = ACTIONS(5327),
    [anon_sym__Atomic] = ACTIONS(5327),
    [anon_sym__Noreturn] = ACTIONS(5327),
    [anon_sym_noreturn] = ACTIONS(5327),
    [anon_sym__Nonnull] = ACTIONS(5327),
    [anon_sym_mutable] = ACTIONS(5327),
    [anon_sym_constinit] = ACTIONS(5327),
    [anon_sym_consteval] = ACTIONS(5327),
    [anon_sym_alignas] = ACTIONS(5327),
    [anon_sym__Alignas] = ACTIONS(5327),
    [sym_primitive_type] = ACTIONS(5327),
    [anon_sym_enum] = ACTIONS(5327),
    [anon_sym_class] = ACTIONS(5327),
    [anon_sym_struct] = ACTIONS(5327),
    [anon_sym_union] = ACTIONS(5327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5327),
    [anon_sym_decltype] = ACTIONS(5327),
    [anon_sym_explicit] = ACTIONS(5327),
    [anon_sym_typename] = ACTIONS(5327),
    [anon_sym_template] = ACTIONS(5327),
    [anon_sym_operator] = ACTIONS(5327),
    [anon_sym_friend] = ACTIONS(5327),
    [anon_sym_public] = ACTIONS(5327),
    [anon_sym_private] = ACTIONS(5327),
    [anon_sym_protected] = ACTIONS(5327),
    [anon_sym_using] = ACTIONS(5327),
    [anon_sym_static_assert] = ACTIONS(5327),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5373),
    [aux_sym_preproc_def_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token2] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5373),
    [sym_preproc_directive] = ACTIONS(5373),
    [anon_sym_LPAREN2] = ACTIONS(5375),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_STAR] = ACTIONS(5375),
    [anon_sym_AMP_AMP] = ACTIONS(5375),
    [anon_sym_AMP] = ACTIONS(5373),
    [anon_sym_SEMI] = ACTIONS(5375),
    [anon_sym___extension__] = ACTIONS(5373),
    [anon_sym_typedef] = ACTIONS(5373),
    [anon_sym_virtual] = ACTIONS(5373),
    [anon_sym_extern] = ACTIONS(5373),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_COLON_COLON] = ACTIONS(5375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5375),
    [anon_sym___declspec] = ACTIONS(5373),
    [anon_sym___based] = ACTIONS(5373),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5373),
    [anon_sym_static] = ACTIONS(5373),
    [anon_sym_register] = ACTIONS(5373),
    [anon_sym_inline] = ACTIONS(5373),
    [anon_sym___inline] = ACTIONS(5373),
    [anon_sym___inline__] = ACTIONS(5373),
    [anon_sym___forceinline] = ACTIONS(5373),
    [anon_sym_thread_local] = ACTIONS(5373),
    [anon_sym___thread] = ACTIONS(5373),
    [anon_sym_const] = ACTIONS(5373),
    [anon_sym_constexpr] = ACTIONS(5373),
    [anon_sym_volatile] = ACTIONS(5373),
    [anon_sym_restrict] = ACTIONS(5373),
    [anon_sym___restrict__] = ACTIONS(5373),
    [anon_sym__Atomic] = ACTIONS(5373),
    [anon_sym__Noreturn] = ACTIONS(5373),
    [anon_sym_noreturn] = ACTIONS(5373),
    [anon_sym__Nonnull] = ACTIONS(5373),
    [anon_sym_mutable] = ACTIONS(5373),
    [anon_sym_constinit] = ACTIONS(5373),
    [anon_sym_consteval] = ACTIONS(5373),
    [anon_sym_alignas] = ACTIONS(5373),
    [anon_sym__Alignas] = ACTIONS(5373),
    [sym_primitive_type] = ACTIONS(5373),
    [anon_sym_enum] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_struct] = ACTIONS(5373),
    [anon_sym_union] = ACTIONS(5373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5373),
    [anon_sym_decltype] = ACTIONS(5373),
    [anon_sym_explicit] = ACTIONS(5373),
    [anon_sym_typename] = ACTIONS(5373),
    [anon_sym_template] = ACTIONS(5373),
    [anon_sym_operator] = ACTIONS(5373),
    [anon_sym_friend] = ACTIONS(5373),
    [anon_sym_public] = ACTIONS(5373),
    [anon_sym_private] = ACTIONS(5373),
    [anon_sym_protected] = ACTIONS(5373),
    [anon_sym_using] = ACTIONS(5373),
    [anon_sym_static_assert] = ACTIONS(5373),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5377),
    [aux_sym_preproc_def_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token2] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5377),
    [sym_preproc_directive] = ACTIONS(5377),
    [anon_sym_LPAREN2] = ACTIONS(5379),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_STAR] = ACTIONS(5379),
    [anon_sym_AMP_AMP] = ACTIONS(5379),
    [anon_sym_AMP] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym___extension__] = ACTIONS(5377),
    [anon_sym_typedef] = ACTIONS(5377),
    [anon_sym_virtual] = ACTIONS(5377),
    [anon_sym_extern] = ACTIONS(5377),
    [anon_sym___attribute__] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(5379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5379),
    [anon_sym___declspec] = ACTIONS(5377),
    [anon_sym___based] = ACTIONS(5377),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym_static] = ACTIONS(5377),
    [anon_sym_register] = ACTIONS(5377),
    [anon_sym_inline] = ACTIONS(5377),
    [anon_sym___inline] = ACTIONS(5377),
    [anon_sym___inline__] = ACTIONS(5377),
    [anon_sym___forceinline] = ACTIONS(5377),
    [anon_sym_thread_local] = ACTIONS(5377),
    [anon_sym___thread] = ACTIONS(5377),
    [anon_sym_const] = ACTIONS(5377),
    [anon_sym_constexpr] = ACTIONS(5377),
    [anon_sym_volatile] = ACTIONS(5377),
    [anon_sym_restrict] = ACTIONS(5377),
    [anon_sym___restrict__] = ACTIONS(5377),
    [anon_sym__Atomic] = ACTIONS(5377),
    [anon_sym__Noreturn] = ACTIONS(5377),
    [anon_sym_noreturn] = ACTIONS(5377),
    [anon_sym__Nonnull] = ACTIONS(5377),
    [anon_sym_mutable] = ACTIONS(5377),
    [anon_sym_constinit] = ACTIONS(5377),
    [anon_sym_consteval] = ACTIONS(5377),
    [anon_sym_alignas] = ACTIONS(5377),
    [anon_sym__Alignas] = ACTIONS(5377),
    [sym_primitive_type] = ACTIONS(5377),
    [anon_sym_enum] = ACTIONS(5377),
    [anon_sym_class] = ACTIONS(5377),
    [anon_sym_struct] = ACTIONS(5377),
    [anon_sym_union] = ACTIONS(5377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(5377),
    [anon_sym_explicit] = ACTIONS(5377),
    [anon_sym_typename] = ACTIONS(5377),
    [anon_sym_template] = ACTIONS(5377),
    [anon_sym_operator] = ACTIONS(5377),
    [anon_sym_friend] = ACTIONS(5377),
    [anon_sym_public] = ACTIONS(5377),
    [anon_sym_private] = ACTIONS(5377),
    [anon_sym_protected] = ACTIONS(5377),
    [anon_sym_using] = ACTIONS(5377),
    [anon_sym_static_assert] = ACTIONS(5377),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_RBRACE] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_RBRACE] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [2040] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_COLON] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2041] = {
    [sym_string_literal] = STATE(2082),
    [sym_template_argument_list] = STATE(2974),
    [sym_raw_string_literal] = STATE(2082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_RPAREN] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4932),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4023),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4031),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4023),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(5357),
    [aux_sym_preproc_def_token1] = ACTIONS(5357),
    [aux_sym_preproc_if_token1] = ACTIONS(5357),
    [aux_sym_preproc_if_token2] = ACTIONS(5357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5357),
    [sym_preproc_directive] = ACTIONS(5357),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5359),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___extension__] = ACTIONS(5357),
    [anon_sym_typedef] = ACTIONS(5357),
    [anon_sym_virtual] = ACTIONS(5357),
    [anon_sym_extern] = ACTIONS(5357),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5359),
    [anon_sym___declspec] = ACTIONS(5357),
    [anon_sym___based] = ACTIONS(5357),
    [anon_sym_signed] = ACTIONS(5357),
    [anon_sym_unsigned] = ACTIONS(5357),
    [anon_sym_long] = ACTIONS(5357),
    [anon_sym_short] = ACTIONS(5357),
    [anon_sym_LBRACK] = ACTIONS(5357),
    [anon_sym_static] = ACTIONS(5357),
    [anon_sym_register] = ACTIONS(5357),
    [anon_sym_inline] = ACTIONS(5357),
    [anon_sym___inline] = ACTIONS(5357),
    [anon_sym___inline__] = ACTIONS(5357),
    [anon_sym___forceinline] = ACTIONS(5357),
    [anon_sym_thread_local] = ACTIONS(5357),
    [anon_sym___thread] = ACTIONS(5357),
    [anon_sym_const] = ACTIONS(5357),
    [anon_sym_constexpr] = ACTIONS(5357),
    [anon_sym_volatile] = ACTIONS(5357),
    [anon_sym_restrict] = ACTIONS(5357),
    [anon_sym___restrict__] = ACTIONS(5357),
    [anon_sym__Atomic] = ACTIONS(5357),
    [anon_sym__Noreturn] = ACTIONS(5357),
    [anon_sym_noreturn] = ACTIONS(5357),
    [anon_sym__Nonnull] = ACTIONS(5357),
    [anon_sym_mutable] = ACTIONS(5357),
    [anon_sym_constinit] = ACTIONS(5357),
    [anon_sym_consteval] = ACTIONS(5357),
    [anon_sym_alignas] = ACTIONS(5357),
    [anon_sym__Alignas] = ACTIONS(5357),
    [sym_primitive_type] = ACTIONS(5357),
    [anon_sym_enum] = ACTIONS(5357),
    [anon_sym_class] = ACTIONS(5357),
    [anon_sym_struct] = ACTIONS(5357),
    [anon_sym_union] = ACTIONS(5357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5357),
    [anon_sym_decltype] = ACTIONS(5357),
    [anon_sym_explicit] = ACTIONS(5357),
    [anon_sym_typename] = ACTIONS(5357),
    [anon_sym_template] = ACTIONS(5357),
    [anon_sym_operator] = ACTIONS(5357),
    [anon_sym_friend] = ACTIONS(5357),
    [anon_sym_public] = ACTIONS(5357),
    [anon_sym_private] = ACTIONS(5357),
    [anon_sym_protected] = ACTIONS(5357),
    [anon_sym_using] = ACTIONS(5357),
    [anon_sym_static_assert] = ACTIONS(5357),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(5361),
    [aux_sym_preproc_def_token1] = ACTIONS(5361),
    [aux_sym_preproc_if_token1] = ACTIONS(5361),
    [aux_sym_preproc_if_token2] = ACTIONS(5361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5361),
    [sym_preproc_directive] = ACTIONS(5361),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_TILDE] = ACTIONS(5363),
    [anon_sym_STAR] = ACTIONS(5363),
    [anon_sym_AMP_AMP] = ACTIONS(5363),
    [anon_sym_AMP] = ACTIONS(5361),
    [anon_sym_SEMI] = ACTIONS(5363),
    [anon_sym___extension__] = ACTIONS(5361),
    [anon_sym_typedef] = ACTIONS(5361),
    [anon_sym_virtual] = ACTIONS(5361),
    [anon_sym_extern] = ACTIONS(5361),
    [anon_sym___attribute__] = ACTIONS(5361),
    [anon_sym_COLON_COLON] = ACTIONS(5363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5363),
    [anon_sym___declspec] = ACTIONS(5361),
    [anon_sym___based] = ACTIONS(5361),
    [anon_sym_signed] = ACTIONS(5361),
    [anon_sym_unsigned] = ACTIONS(5361),
    [anon_sym_long] = ACTIONS(5361),
    [anon_sym_short] = ACTIONS(5361),
    [anon_sym_LBRACK] = ACTIONS(5361),
    [anon_sym_static] = ACTIONS(5361),
    [anon_sym_register] = ACTIONS(5361),
    [anon_sym_inline] = ACTIONS(5361),
    [anon_sym___inline] = ACTIONS(5361),
    [anon_sym___inline__] = ACTIONS(5361),
    [anon_sym___forceinline] = ACTIONS(5361),
    [anon_sym_thread_local] = ACTIONS(5361),
    [anon_sym___thread] = ACTIONS(5361),
    [anon_sym_const] = ACTIONS(5361),
    [anon_sym_constexpr] = ACTIONS(5361),
    [anon_sym_volatile] = ACTIONS(5361),
    [anon_sym_restrict] = ACTIONS(5361),
    [anon_sym___restrict__] = ACTIONS(5361),
    [anon_sym__Atomic] = ACTIONS(5361),
    [anon_sym__Noreturn] = ACTIONS(5361),
    [anon_sym_noreturn] = ACTIONS(5361),
    [anon_sym__Nonnull] = ACTIONS(5361),
    [anon_sym_mutable] = ACTIONS(5361),
    [anon_sym_constinit] = ACTIONS(5361),
    [anon_sym_consteval] = ACTIONS(5361),
    [anon_sym_alignas] = ACTIONS(5361),
    [anon_sym__Alignas] = ACTIONS(5361),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_enum] = ACTIONS(5361),
    [anon_sym_class] = ACTIONS(5361),
    [anon_sym_struct] = ACTIONS(5361),
    [anon_sym_union] = ACTIONS(5361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5361),
    [anon_sym_explicit] = ACTIONS(5361),
    [anon_sym_typename] = ACTIONS(5361),
    [anon_sym_template] = ACTIONS(5361),
    [anon_sym_operator] = ACTIONS(5361),
    [anon_sym_friend] = ACTIONS(5361),
    [anon_sym_public] = ACTIONS(5361),
    [anon_sym_private] = ACTIONS(5361),
    [anon_sym_protected] = ACTIONS(5361),
    [anon_sym_using] = ACTIONS(5361),
    [anon_sym_static_assert] = ACTIONS(5361),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token2] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [sym_primitive_type] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token2] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token2] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(5381),
    [aux_sym_preproc_def_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token1] = ACTIONS(5381),
    [aux_sym_preproc_if_token2] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5381),
    [sym_preproc_directive] = ACTIONS(5381),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_STAR] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5381),
    [anon_sym_typedef] = ACTIONS(5381),
    [anon_sym_virtual] = ACTIONS(5381),
    [anon_sym_extern] = ACTIONS(5381),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_COLON_COLON] = ACTIONS(5383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5383),
    [anon_sym___declspec] = ACTIONS(5381),
    [anon_sym___based] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5381),
    [anon_sym_unsigned] = ACTIONS(5381),
    [anon_sym_long] = ACTIONS(5381),
    [anon_sym_short] = ACTIONS(5381),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym_static] = ACTIONS(5381),
    [anon_sym_register] = ACTIONS(5381),
    [anon_sym_inline] = ACTIONS(5381),
    [anon_sym___inline] = ACTIONS(5381),
    [anon_sym___inline__] = ACTIONS(5381),
    [anon_sym___forceinline] = ACTIONS(5381),
    [anon_sym_thread_local] = ACTIONS(5381),
    [anon_sym___thread] = ACTIONS(5381),
    [anon_sym_const] = ACTIONS(5381),
    [anon_sym_constexpr] = ACTIONS(5381),
    [anon_sym_volatile] = ACTIONS(5381),
    [anon_sym_restrict] = ACTIONS(5381),
    [anon_sym___restrict__] = ACTIONS(5381),
    [anon_sym__Atomic] = ACTIONS(5381),
    [anon_sym__Noreturn] = ACTIONS(5381),
    [anon_sym_noreturn] = ACTIONS(5381),
    [anon_sym__Nonnull] = ACTIONS(5381),
    [anon_sym_mutable] = ACTIONS(5381),
    [anon_sym_constinit] = ACTIONS(5381),
    [anon_sym_consteval] = ACTIONS(5381),
    [anon_sym_alignas] = ACTIONS(5381),
    [anon_sym__Alignas] = ACTIONS(5381),
    [sym_primitive_type] = ACTIONS(5381),
    [anon_sym_enum] = ACTIONS(5381),
    [anon_sym_class] = ACTIONS(5381),
    [anon_sym_struct] = ACTIONS(5381),
    [anon_sym_union] = ACTIONS(5381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5381),
    [anon_sym_decltype] = ACTIONS(5381),
    [anon_sym_explicit] = ACTIONS(5381),
    [anon_sym_typename] = ACTIONS(5381),
    [anon_sym_template] = ACTIONS(5381),
    [anon_sym_operator] = ACTIONS(5381),
    [anon_sym_friend] = ACTIONS(5381),
    [anon_sym_public] = ACTIONS(5381),
    [anon_sym_private] = ACTIONS(5381),
    [anon_sym_protected] = ACTIONS(5381),
    [anon_sym_using] = ACTIONS(5381),
    [anon_sym_static_assert] = ACTIONS(5381),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [2050] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6983),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(5729),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_RBRACK] = ACTIONS(5689),
    [anon_sym_EQ] = ACTIONS(5692),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(5694),
    [anon_sym_SLASH_EQ] = ACTIONS(5694),
    [anon_sym_PERCENT_EQ] = ACTIONS(5694),
    [anon_sym_PLUS_EQ] = ACTIONS(5694),
    [anon_sym_DASH_EQ] = ACTIONS(5694),
    [anon_sym_LT_LT_EQ] = ACTIONS(5694),
    [anon_sym_GT_GT_EQ] = ACTIONS(5694),
    [anon_sym_AMP_EQ] = ACTIONS(5694),
    [anon_sym_CARET_EQ] = ACTIONS(5694),
    [anon_sym_PIPE_EQ] = ACTIONS(5694),
    [anon_sym_and_eq] = ACTIONS(5694),
    [anon_sym_or_eq] = ACTIONS(5694),
    [anon_sym_xor_eq] = ACTIONS(5694),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2051] = {
    [sym_attribute_specifier] = STATE(1781),
    [sym_field_declaration_list] = STATE(2248),
    [sym_virtual_specifier] = STATE(6542),
    [sym_base_class_clause] = STATE(7174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5313),
    [anon_sym_RPAREN] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5313),
    [anon_sym_PIPE_PIPE] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5313),
    [anon_sym_BANG_EQ] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5313),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5313),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___extension__] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5733),
    [anon_sym_RBRACE] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_RBRACK] = ACTIONS(5313),
    [anon_sym_const] = ACTIONS(5311),
    [anon_sym_constexpr] = ACTIONS(5313),
    [anon_sym_volatile] = ACTIONS(5313),
    [anon_sym_restrict] = ACTIONS(5313),
    [anon_sym___restrict__] = ACTIONS(5313),
    [anon_sym__Atomic] = ACTIONS(5313),
    [anon_sym__Noreturn] = ACTIONS(5313),
    [anon_sym_noreturn] = ACTIONS(5313),
    [anon_sym__Nonnull] = ACTIONS(5313),
    [anon_sym_mutable] = ACTIONS(5313),
    [anon_sym_constinit] = ACTIONS(5313),
    [anon_sym_consteval] = ACTIONS(5313),
    [anon_sym_alignas] = ACTIONS(5313),
    [anon_sym__Alignas] = ACTIONS(5313),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_LT_EQ_GT] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_bitor] = ACTIONS(5313),
    [anon_sym_xor] = ACTIONS(5313),
    [anon_sym_bitand] = ACTIONS(5313),
    [anon_sym_not_eq] = ACTIONS(5313),
    [anon_sym_DASH_DASH] = ACTIONS(5313),
    [anon_sym_PLUS_PLUS] = ACTIONS(5313),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5313),
    [anon_sym_DASH_GT] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5313),
    [anon_sym_decltype] = ACTIONS(5313),
    [anon_sym_final] = ACTIONS(5735),
    [anon_sym_override] = ACTIONS(5735),
    [anon_sym_requires] = ACTIONS(5313),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(5207),
    [aux_sym_preproc_def_token1] = ACTIONS(5207),
    [aux_sym_preproc_if_token1] = ACTIONS(5207),
    [aux_sym_preproc_if_token2] = ACTIONS(5207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5207),
    [sym_preproc_directive] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(5209),
    [anon_sym_TILDE] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_AMP_AMP] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5207),
    [anon_sym_SEMI] = ACTIONS(5209),
    [anon_sym___extension__] = ACTIONS(5207),
    [anon_sym_typedef] = ACTIONS(5207),
    [anon_sym_virtual] = ACTIONS(5207),
    [anon_sym_extern] = ACTIONS(5207),
    [anon_sym___attribute__] = ACTIONS(5207),
    [anon_sym_COLON_COLON] = ACTIONS(5209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5209),
    [anon_sym___declspec] = ACTIONS(5207),
    [anon_sym___based] = ACTIONS(5207),
    [anon_sym_signed] = ACTIONS(5207),
    [anon_sym_unsigned] = ACTIONS(5207),
    [anon_sym_long] = ACTIONS(5207),
    [anon_sym_short] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_static] = ACTIONS(5207),
    [anon_sym_register] = ACTIONS(5207),
    [anon_sym_inline] = ACTIONS(5207),
    [anon_sym___inline] = ACTIONS(5207),
    [anon_sym___inline__] = ACTIONS(5207),
    [anon_sym___forceinline] = ACTIONS(5207),
    [anon_sym_thread_local] = ACTIONS(5207),
    [anon_sym___thread] = ACTIONS(5207),
    [anon_sym_const] = ACTIONS(5207),
    [anon_sym_constexpr] = ACTIONS(5207),
    [anon_sym_volatile] = ACTIONS(5207),
    [anon_sym_restrict] = ACTIONS(5207),
    [anon_sym___restrict__] = ACTIONS(5207),
    [anon_sym__Atomic] = ACTIONS(5207),
    [anon_sym__Noreturn] = ACTIONS(5207),
    [anon_sym_noreturn] = ACTIONS(5207),
    [anon_sym__Nonnull] = ACTIONS(5207),
    [anon_sym_mutable] = ACTIONS(5207),
    [anon_sym_constinit] = ACTIONS(5207),
    [anon_sym_consteval] = ACTIONS(5207),
    [anon_sym_alignas] = ACTIONS(5207),
    [anon_sym__Alignas] = ACTIONS(5207),
    [sym_primitive_type] = ACTIONS(5207),
    [anon_sym_enum] = ACTIONS(5207),
    [anon_sym_class] = ACTIONS(5207),
    [anon_sym_struct] = ACTIONS(5207),
    [anon_sym_union] = ACTIONS(5207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5207),
    [anon_sym_decltype] = ACTIONS(5207),
    [anon_sym_explicit] = ACTIONS(5207),
    [anon_sym_typename] = ACTIONS(5207),
    [anon_sym_template] = ACTIONS(5207),
    [anon_sym_operator] = ACTIONS(5207),
    [anon_sym_friend] = ACTIONS(5207),
    [anon_sym_public] = ACTIONS(5207),
    [anon_sym_private] = ACTIONS(5207),
    [anon_sym_protected] = ACTIONS(5207),
    [anon_sym_using] = ACTIONS(5207),
    [anon_sym_static_assert] = ACTIONS(5207),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(5211),
    [aux_sym_preproc_def_token1] = ACTIONS(5211),
    [aux_sym_preproc_if_token1] = ACTIONS(5211),
    [aux_sym_preproc_if_token2] = ACTIONS(5211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5211),
    [sym_preproc_directive] = ACTIONS(5211),
    [anon_sym_LPAREN2] = ACTIONS(5213),
    [anon_sym_TILDE] = ACTIONS(5213),
    [anon_sym_STAR] = ACTIONS(5213),
    [anon_sym_AMP_AMP] = ACTIONS(5213),
    [anon_sym_AMP] = ACTIONS(5211),
    [anon_sym_SEMI] = ACTIONS(5213),
    [anon_sym___extension__] = ACTIONS(5211),
    [anon_sym_typedef] = ACTIONS(5211),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5211),
    [anon_sym___attribute__] = ACTIONS(5211),
    [anon_sym_COLON_COLON] = ACTIONS(5213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5213),
    [anon_sym___declspec] = ACTIONS(5211),
    [anon_sym___based] = ACTIONS(5211),
    [anon_sym_signed] = ACTIONS(5211),
    [anon_sym_unsigned] = ACTIONS(5211),
    [anon_sym_long] = ACTIONS(5211),
    [anon_sym_short] = ACTIONS(5211),
    [anon_sym_LBRACK] = ACTIONS(5211),
    [anon_sym_static] = ACTIONS(5211),
    [anon_sym_register] = ACTIONS(5211),
    [anon_sym_inline] = ACTIONS(5211),
    [anon_sym___inline] = ACTIONS(5211),
    [anon_sym___inline__] = ACTIONS(5211),
    [anon_sym___forceinline] = ACTIONS(5211),
    [anon_sym_thread_local] = ACTIONS(5211),
    [anon_sym___thread] = ACTIONS(5211),
    [anon_sym_const] = ACTIONS(5211),
    [anon_sym_constexpr] = ACTIONS(5211),
    [anon_sym_volatile] = ACTIONS(5211),
    [anon_sym_restrict] = ACTIONS(5211),
    [anon_sym___restrict__] = ACTIONS(5211),
    [anon_sym__Atomic] = ACTIONS(5211),
    [anon_sym__Noreturn] = ACTIONS(5211),
    [anon_sym_noreturn] = ACTIONS(5211),
    [anon_sym__Nonnull] = ACTIONS(5211),
    [anon_sym_mutable] = ACTIONS(5211),
    [anon_sym_constinit] = ACTIONS(5211),
    [anon_sym_consteval] = ACTIONS(5211),
    [anon_sym_alignas] = ACTIONS(5211),
    [anon_sym__Alignas] = ACTIONS(5211),
    [sym_primitive_type] = ACTIONS(5211),
    [anon_sym_enum] = ACTIONS(5211),
    [anon_sym_class] = ACTIONS(5211),
    [anon_sym_struct] = ACTIONS(5211),
    [anon_sym_union] = ACTIONS(5211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5211),
    [anon_sym_decltype] = ACTIONS(5211),
    [anon_sym_explicit] = ACTIONS(5211),
    [anon_sym_typename] = ACTIONS(5211),
    [anon_sym_template] = ACTIONS(5211),
    [anon_sym_operator] = ACTIONS(5211),
    [anon_sym_friend] = ACTIONS(5211),
    [anon_sym_public] = ACTIONS(5211),
    [anon_sym_private] = ACTIONS(5211),
    [anon_sym_protected] = ACTIONS(5211),
    [anon_sym_using] = ACTIONS(5211),
    [anon_sym_static_assert] = ACTIONS(5211),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(5215),
    [aux_sym_preproc_def_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token2] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5215),
    [sym_preproc_directive] = ACTIONS(5215),
    [anon_sym_LPAREN2] = ACTIONS(5217),
    [anon_sym_TILDE] = ACTIONS(5217),
    [anon_sym_STAR] = ACTIONS(5217),
    [anon_sym_AMP_AMP] = ACTIONS(5217),
    [anon_sym_AMP] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5217),
    [anon_sym___extension__] = ACTIONS(5215),
    [anon_sym_typedef] = ACTIONS(5215),
    [anon_sym_virtual] = ACTIONS(5215),
    [anon_sym_extern] = ACTIONS(5215),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5217),
    [anon_sym___declspec] = ACTIONS(5215),
    [anon_sym___based] = ACTIONS(5215),
    [anon_sym_signed] = ACTIONS(5215),
    [anon_sym_unsigned] = ACTIONS(5215),
    [anon_sym_long] = ACTIONS(5215),
    [anon_sym_short] = ACTIONS(5215),
    [anon_sym_LBRACK] = ACTIONS(5215),
    [anon_sym_static] = ACTIONS(5215),
    [anon_sym_register] = ACTIONS(5215),
    [anon_sym_inline] = ACTIONS(5215),
    [anon_sym___inline] = ACTIONS(5215),
    [anon_sym___inline__] = ACTIONS(5215),
    [anon_sym___forceinline] = ACTIONS(5215),
    [anon_sym_thread_local] = ACTIONS(5215),
    [anon_sym___thread] = ACTIONS(5215),
    [anon_sym_const] = ACTIONS(5215),
    [anon_sym_constexpr] = ACTIONS(5215),
    [anon_sym_volatile] = ACTIONS(5215),
    [anon_sym_restrict] = ACTIONS(5215),
    [anon_sym___restrict__] = ACTIONS(5215),
    [anon_sym__Atomic] = ACTIONS(5215),
    [anon_sym__Noreturn] = ACTIONS(5215),
    [anon_sym_noreturn] = ACTIONS(5215),
    [anon_sym__Nonnull] = ACTIONS(5215),
    [anon_sym_mutable] = ACTIONS(5215),
    [anon_sym_constinit] = ACTIONS(5215),
    [anon_sym_consteval] = ACTIONS(5215),
    [anon_sym_alignas] = ACTIONS(5215),
    [anon_sym__Alignas] = ACTIONS(5215),
    [sym_primitive_type] = ACTIONS(5215),
    [anon_sym_enum] = ACTIONS(5215),
    [anon_sym_class] = ACTIONS(5215),
    [anon_sym_struct] = ACTIONS(5215),
    [anon_sym_union] = ACTIONS(5215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5215),
    [anon_sym_decltype] = ACTIONS(5215),
    [anon_sym_explicit] = ACTIONS(5215),
    [anon_sym_typename] = ACTIONS(5215),
    [anon_sym_template] = ACTIONS(5215),
    [anon_sym_operator] = ACTIONS(5215),
    [anon_sym_friend] = ACTIONS(5215),
    [anon_sym_public] = ACTIONS(5215),
    [anon_sym_private] = ACTIONS(5215),
    [anon_sym_protected] = ACTIONS(5215),
    [anon_sym_using] = ACTIONS(5215),
    [anon_sym_static_assert] = ACTIONS(5215),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token2] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_AMP_AMP] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5224),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_virtual] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym_COLON_COLON] = ACTIONS(5224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___based] = ACTIONS(5222),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_mutable] = ACTIONS(5222),
    [anon_sym_constinit] = ACTIONS(5222),
    [anon_sym_consteval] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_class] = ACTIONS(5222),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5222),
    [anon_sym_decltype] = ACTIONS(5222),
    [anon_sym_explicit] = ACTIONS(5222),
    [anon_sym_typename] = ACTIONS(5222),
    [anon_sym_template] = ACTIONS(5222),
    [anon_sym_operator] = ACTIONS(5222),
    [anon_sym_friend] = ACTIONS(5222),
    [anon_sym_public] = ACTIONS(5222),
    [anon_sym_private] = ACTIONS(5222),
    [anon_sym_protected] = ACTIONS(5222),
    [anon_sym_using] = ACTIONS(5222),
    [anon_sym_static_assert] = ACTIONS(5222),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token2] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_AMP_AMP] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5224),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_virtual] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym_COLON_COLON] = ACTIONS(5224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___based] = ACTIONS(5222),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_mutable] = ACTIONS(5222),
    [anon_sym_constinit] = ACTIONS(5222),
    [anon_sym_consteval] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_class] = ACTIONS(5222),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5222),
    [anon_sym_decltype] = ACTIONS(5222),
    [anon_sym_explicit] = ACTIONS(5222),
    [anon_sym_typename] = ACTIONS(5222),
    [anon_sym_template] = ACTIONS(5222),
    [anon_sym_operator] = ACTIONS(5222),
    [anon_sym_friend] = ACTIONS(5222),
    [anon_sym_public] = ACTIONS(5222),
    [anon_sym_private] = ACTIONS(5222),
    [anon_sym_protected] = ACTIONS(5222),
    [anon_sym_using] = ACTIONS(5222),
    [anon_sym_static_assert] = ACTIONS(5222),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(5226),
    [aux_sym_preproc_def_token1] = ACTIONS(5226),
    [aux_sym_preproc_if_token1] = ACTIONS(5226),
    [aux_sym_preproc_if_token2] = ACTIONS(5226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5226),
    [sym_preproc_directive] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_TILDE] = ACTIONS(5228),
    [anon_sym_STAR] = ACTIONS(5228),
    [anon_sym_AMP_AMP] = ACTIONS(5228),
    [anon_sym_AMP] = ACTIONS(5226),
    [anon_sym_SEMI] = ACTIONS(5228),
    [anon_sym___extension__] = ACTIONS(5226),
    [anon_sym_typedef] = ACTIONS(5226),
    [anon_sym_virtual] = ACTIONS(5226),
    [anon_sym_extern] = ACTIONS(5226),
    [anon_sym___attribute__] = ACTIONS(5226),
    [anon_sym_COLON_COLON] = ACTIONS(5228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5228),
    [anon_sym___declspec] = ACTIONS(5226),
    [anon_sym___based] = ACTIONS(5226),
    [anon_sym_signed] = ACTIONS(5226),
    [anon_sym_unsigned] = ACTIONS(5226),
    [anon_sym_long] = ACTIONS(5226),
    [anon_sym_short] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_static] = ACTIONS(5226),
    [anon_sym_register] = ACTIONS(5226),
    [anon_sym_inline] = ACTIONS(5226),
    [anon_sym___inline] = ACTIONS(5226),
    [anon_sym___inline__] = ACTIONS(5226),
    [anon_sym___forceinline] = ACTIONS(5226),
    [anon_sym_thread_local] = ACTIONS(5226),
    [anon_sym___thread] = ACTIONS(5226),
    [anon_sym_const] = ACTIONS(5226),
    [anon_sym_constexpr] = ACTIONS(5226),
    [anon_sym_volatile] = ACTIONS(5226),
    [anon_sym_restrict] = ACTIONS(5226),
    [anon_sym___restrict__] = ACTIONS(5226),
    [anon_sym__Atomic] = ACTIONS(5226),
    [anon_sym__Noreturn] = ACTIONS(5226),
    [anon_sym_noreturn] = ACTIONS(5226),
    [anon_sym__Nonnull] = ACTIONS(5226),
    [anon_sym_mutable] = ACTIONS(5226),
    [anon_sym_constinit] = ACTIONS(5226),
    [anon_sym_consteval] = ACTIONS(5226),
    [anon_sym_alignas] = ACTIONS(5226),
    [anon_sym__Alignas] = ACTIONS(5226),
    [sym_primitive_type] = ACTIONS(5226),
    [anon_sym_enum] = ACTIONS(5226),
    [anon_sym_class] = ACTIONS(5226),
    [anon_sym_struct] = ACTIONS(5226),
    [anon_sym_union] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5226),
    [anon_sym_decltype] = ACTIONS(5226),
    [anon_sym_explicit] = ACTIONS(5226),
    [anon_sym_typename] = ACTIONS(5226),
    [anon_sym_template] = ACTIONS(5226),
    [anon_sym_operator] = ACTIONS(5226),
    [anon_sym_friend] = ACTIONS(5226),
    [anon_sym_public] = ACTIONS(5226),
    [anon_sym_private] = ACTIONS(5226),
    [anon_sym_protected] = ACTIONS(5226),
    [anon_sym_using] = ACTIONS(5226),
    [anon_sym_static_assert] = ACTIONS(5226),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(5230),
    [aux_sym_preproc_def_token1] = ACTIONS(5230),
    [aux_sym_preproc_if_token1] = ACTIONS(5230),
    [aux_sym_preproc_if_token2] = ACTIONS(5230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5230),
    [sym_preproc_directive] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_TILDE] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_AMP_AMP] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5232),
    [anon_sym___extension__] = ACTIONS(5230),
    [anon_sym_typedef] = ACTIONS(5230),
    [anon_sym_virtual] = ACTIONS(5230),
    [anon_sym_extern] = ACTIONS(5230),
    [anon_sym___attribute__] = ACTIONS(5230),
    [anon_sym_COLON_COLON] = ACTIONS(5232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5232),
    [anon_sym___declspec] = ACTIONS(5230),
    [anon_sym___based] = ACTIONS(5230),
    [anon_sym_signed] = ACTIONS(5230),
    [anon_sym_unsigned] = ACTIONS(5230),
    [anon_sym_long] = ACTIONS(5230),
    [anon_sym_short] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_static] = ACTIONS(5230),
    [anon_sym_register] = ACTIONS(5230),
    [anon_sym_inline] = ACTIONS(5230),
    [anon_sym___inline] = ACTIONS(5230),
    [anon_sym___inline__] = ACTIONS(5230),
    [anon_sym___forceinline] = ACTIONS(5230),
    [anon_sym_thread_local] = ACTIONS(5230),
    [anon_sym___thread] = ACTIONS(5230),
    [anon_sym_const] = ACTIONS(5230),
    [anon_sym_constexpr] = ACTIONS(5230),
    [anon_sym_volatile] = ACTIONS(5230),
    [anon_sym_restrict] = ACTIONS(5230),
    [anon_sym___restrict__] = ACTIONS(5230),
    [anon_sym__Atomic] = ACTIONS(5230),
    [anon_sym__Noreturn] = ACTIONS(5230),
    [anon_sym_noreturn] = ACTIONS(5230),
    [anon_sym__Nonnull] = ACTIONS(5230),
    [anon_sym_mutable] = ACTIONS(5230),
    [anon_sym_constinit] = ACTIONS(5230),
    [anon_sym_consteval] = ACTIONS(5230),
    [anon_sym_alignas] = ACTIONS(5230),
    [anon_sym__Alignas] = ACTIONS(5230),
    [sym_primitive_type] = ACTIONS(5230),
    [anon_sym_enum] = ACTIONS(5230),
    [anon_sym_class] = ACTIONS(5230),
    [anon_sym_struct] = ACTIONS(5230),
    [anon_sym_union] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5230),
    [anon_sym_decltype] = ACTIONS(5230),
    [anon_sym_explicit] = ACTIONS(5230),
    [anon_sym_typename] = ACTIONS(5230),
    [anon_sym_template] = ACTIONS(5230),
    [anon_sym_operator] = ACTIONS(5230),
    [anon_sym_friend] = ACTIONS(5230),
    [anon_sym_public] = ACTIONS(5230),
    [anon_sym_private] = ACTIONS(5230),
    [anon_sym_protected] = ACTIONS(5230),
    [anon_sym_using] = ACTIONS(5230),
    [anon_sym_static_assert] = ACTIONS(5230),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_TILDE] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5254),
    [anon_sym_AMP_AMP] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [anon_sym___extension__] = ACTIONS(5252),
    [anon_sym_typedef] = ACTIONS(5252),
    [anon_sym_virtual] = ACTIONS(5252),
    [anon_sym_extern] = ACTIONS(5252),
    [anon_sym___attribute__] = ACTIONS(5252),
    [anon_sym_COLON_COLON] = ACTIONS(5254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5254),
    [anon_sym___declspec] = ACTIONS(5252),
    [anon_sym___based] = ACTIONS(5252),
    [anon_sym_signed] = ACTIONS(5252),
    [anon_sym_unsigned] = ACTIONS(5252),
    [anon_sym_long] = ACTIONS(5252),
    [anon_sym_short] = ACTIONS(5252),
    [anon_sym_LBRACK] = ACTIONS(5252),
    [anon_sym_static] = ACTIONS(5252),
    [anon_sym_register] = ACTIONS(5252),
    [anon_sym_inline] = ACTIONS(5252),
    [anon_sym___inline] = ACTIONS(5252),
    [anon_sym___inline__] = ACTIONS(5252),
    [anon_sym___forceinline] = ACTIONS(5252),
    [anon_sym_thread_local] = ACTIONS(5252),
    [anon_sym___thread] = ACTIONS(5252),
    [anon_sym_const] = ACTIONS(5252),
    [anon_sym_constexpr] = ACTIONS(5252),
    [anon_sym_volatile] = ACTIONS(5252),
    [anon_sym_restrict] = ACTIONS(5252),
    [anon_sym___restrict__] = ACTIONS(5252),
    [anon_sym__Atomic] = ACTIONS(5252),
    [anon_sym__Noreturn] = ACTIONS(5252),
    [anon_sym_noreturn] = ACTIONS(5252),
    [anon_sym__Nonnull] = ACTIONS(5252),
    [anon_sym_mutable] = ACTIONS(5252),
    [anon_sym_constinit] = ACTIONS(5252),
    [anon_sym_consteval] = ACTIONS(5252),
    [anon_sym_alignas] = ACTIONS(5252),
    [anon_sym__Alignas] = ACTIONS(5252),
    [sym_primitive_type] = ACTIONS(5252),
    [anon_sym_enum] = ACTIONS(5252),
    [anon_sym_class] = ACTIONS(5252),
    [anon_sym_struct] = ACTIONS(5252),
    [anon_sym_union] = ACTIONS(5252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5252),
    [anon_sym_decltype] = ACTIONS(5252),
    [anon_sym_explicit] = ACTIONS(5252),
    [anon_sym_typename] = ACTIONS(5252),
    [anon_sym_template] = ACTIONS(5252),
    [anon_sym_operator] = ACTIONS(5252),
    [anon_sym_friend] = ACTIONS(5252),
    [anon_sym_public] = ACTIONS(5252),
    [anon_sym_private] = ACTIONS(5252),
    [anon_sym_protected] = ACTIONS(5252),
    [anon_sym_using] = ACTIONS(5252),
    [anon_sym_static_assert] = ACTIONS(5252),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(5263),
    [aux_sym_preproc_def_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token2] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5263),
    [sym_preproc_directive] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_STAR] = ACTIONS(5265),
    [anon_sym_AMP_AMP] = ACTIONS(5265),
    [anon_sym_AMP] = ACTIONS(5263),
    [anon_sym_SEMI] = ACTIONS(5265),
    [anon_sym___extension__] = ACTIONS(5263),
    [anon_sym_typedef] = ACTIONS(5263),
    [anon_sym_virtual] = ACTIONS(5263),
    [anon_sym_extern] = ACTIONS(5263),
    [anon_sym___attribute__] = ACTIONS(5263),
    [anon_sym_COLON_COLON] = ACTIONS(5265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5265),
    [anon_sym___declspec] = ACTIONS(5263),
    [anon_sym___based] = ACTIONS(5263),
    [anon_sym_signed] = ACTIONS(5263),
    [anon_sym_unsigned] = ACTIONS(5263),
    [anon_sym_long] = ACTIONS(5263),
    [anon_sym_short] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_static] = ACTIONS(5263),
    [anon_sym_register] = ACTIONS(5263),
    [anon_sym_inline] = ACTIONS(5263),
    [anon_sym___inline] = ACTIONS(5263),
    [anon_sym___inline__] = ACTIONS(5263),
    [anon_sym___forceinline] = ACTIONS(5263),
    [anon_sym_thread_local] = ACTIONS(5263),
    [anon_sym___thread] = ACTIONS(5263),
    [anon_sym_const] = ACTIONS(5263),
    [anon_sym_constexpr] = ACTIONS(5263),
    [anon_sym_volatile] = ACTIONS(5263),
    [anon_sym_restrict] = ACTIONS(5263),
    [anon_sym___restrict__] = ACTIONS(5263),
    [anon_sym__Atomic] = ACTIONS(5263),
    [anon_sym__Noreturn] = ACTIONS(5263),
    [anon_sym_noreturn] = ACTIONS(5263),
    [anon_sym__Nonnull] = ACTIONS(5263),
    [anon_sym_mutable] = ACTIONS(5263),
    [anon_sym_constinit] = ACTIONS(5263),
    [anon_sym_consteval] = ACTIONS(5263),
    [anon_sym_alignas] = ACTIONS(5263),
    [anon_sym__Alignas] = ACTIONS(5263),
    [sym_primitive_type] = ACTIONS(5263),
    [anon_sym_enum] = ACTIONS(5263),
    [anon_sym_class] = ACTIONS(5263),
    [anon_sym_struct] = ACTIONS(5263),
    [anon_sym_union] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5263),
    [anon_sym_decltype] = ACTIONS(5263),
    [anon_sym_explicit] = ACTIONS(5263),
    [anon_sym_typename] = ACTIONS(5263),
    [anon_sym_template] = ACTIONS(5263),
    [anon_sym_operator] = ACTIONS(5263),
    [anon_sym_friend] = ACTIONS(5263),
    [anon_sym_public] = ACTIONS(5263),
    [anon_sym_private] = ACTIONS(5263),
    [anon_sym_protected] = ACTIONS(5263),
    [anon_sym_using] = ACTIONS(5263),
    [anon_sym_static_assert] = ACTIONS(5263),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(5267),
    [aux_sym_preproc_def_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token2] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5267),
    [sym_preproc_directive] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(5269),
    [anon_sym_TILDE] = ACTIONS(5269),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_AMP] = ACTIONS(5267),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym___extension__] = ACTIONS(5267),
    [anon_sym_typedef] = ACTIONS(5267),
    [anon_sym_virtual] = ACTIONS(5267),
    [anon_sym_extern] = ACTIONS(5267),
    [anon_sym___attribute__] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(5269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5269),
    [anon_sym___declspec] = ACTIONS(5267),
    [anon_sym___based] = ACTIONS(5267),
    [anon_sym_signed] = ACTIONS(5267),
    [anon_sym_unsigned] = ACTIONS(5267),
    [anon_sym_long] = ACTIONS(5267),
    [anon_sym_short] = ACTIONS(5267),
    [anon_sym_LBRACK] = ACTIONS(5267),
    [anon_sym_static] = ACTIONS(5267),
    [anon_sym_register] = ACTIONS(5267),
    [anon_sym_inline] = ACTIONS(5267),
    [anon_sym___inline] = ACTIONS(5267),
    [anon_sym___inline__] = ACTIONS(5267),
    [anon_sym___forceinline] = ACTIONS(5267),
    [anon_sym_thread_local] = ACTIONS(5267),
    [anon_sym___thread] = ACTIONS(5267),
    [anon_sym_const] = ACTIONS(5267),
    [anon_sym_constexpr] = ACTIONS(5267),
    [anon_sym_volatile] = ACTIONS(5267),
    [anon_sym_restrict] = ACTIONS(5267),
    [anon_sym___restrict__] = ACTIONS(5267),
    [anon_sym__Atomic] = ACTIONS(5267),
    [anon_sym__Noreturn] = ACTIONS(5267),
    [anon_sym_noreturn] = ACTIONS(5267),
    [anon_sym__Nonnull] = ACTIONS(5267),
    [anon_sym_mutable] = ACTIONS(5267),
    [anon_sym_constinit] = ACTIONS(5267),
    [anon_sym_consteval] = ACTIONS(5267),
    [anon_sym_alignas] = ACTIONS(5267),
    [anon_sym__Alignas] = ACTIONS(5267),
    [sym_primitive_type] = ACTIONS(5267),
    [anon_sym_enum] = ACTIONS(5267),
    [anon_sym_class] = ACTIONS(5267),
    [anon_sym_struct] = ACTIONS(5267),
    [anon_sym_union] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5267),
    [anon_sym_decltype] = ACTIONS(5267),
    [anon_sym_explicit] = ACTIONS(5267),
    [anon_sym_typename] = ACTIONS(5267),
    [anon_sym_template] = ACTIONS(5267),
    [anon_sym_operator] = ACTIONS(5267),
    [anon_sym_friend] = ACTIONS(5267),
    [anon_sym_public] = ACTIONS(5267),
    [anon_sym_private] = ACTIONS(5267),
    [anon_sym_protected] = ACTIONS(5267),
    [anon_sym_using] = ACTIONS(5267),
    [anon_sym_static_assert] = ACTIONS(5267),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [sym_primitive_type] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [sym_primitive_type] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [2064] = {
    [sym__declaration_modifiers] = STATE(3215),
    [sym_attribute_specifier] = STATE(3215),
    [sym_attribute_declaration] = STATE(3215),
    [sym_ms_declspec_modifier] = STATE(3215),
    [sym_storage_class_specifier] = STATE(3215),
    [sym_type_qualifier] = STATE(3215),
    [sym_alignas_qualifier] = STATE(1792),
    [sym_type_specifier] = STATE(2315),
    [sym_sized_type_specifier] = STATE(2452),
    [sym_enum_specifier] = STATE(2452),
    [sym_struct_specifier] = STATE(2452),
    [sym_union_specifier] = STATE(2452),
    [sym_placeholder_type_specifier] = STATE(2452),
    [sym_decltype_auto] = STATE(2448),
    [sym_decltype] = STATE(2316),
    [sym_class_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(2452),
    [sym_template_type] = STATE(2316),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(6182),
    [sym_qualified_type_identifier] = STATE(2995),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2475),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5670),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1826),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(5275),
    [aux_sym_preproc_def_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token2] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5275),
    [sym_preproc_directive] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_STAR] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___extension__] = ACTIONS(5275),
    [anon_sym_typedef] = ACTIONS(5275),
    [anon_sym_virtual] = ACTIONS(5275),
    [anon_sym_extern] = ACTIONS(5275),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym_COLON_COLON] = ACTIONS(5277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5277),
    [anon_sym___declspec] = ACTIONS(5275),
    [anon_sym___based] = ACTIONS(5275),
    [anon_sym_signed] = ACTIONS(5275),
    [anon_sym_unsigned] = ACTIONS(5275),
    [anon_sym_long] = ACTIONS(5275),
    [anon_sym_short] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5275),
    [anon_sym_register] = ACTIONS(5275),
    [anon_sym_inline] = ACTIONS(5275),
    [anon_sym___inline] = ACTIONS(5275),
    [anon_sym___inline__] = ACTIONS(5275),
    [anon_sym___forceinline] = ACTIONS(5275),
    [anon_sym_thread_local] = ACTIONS(5275),
    [anon_sym___thread] = ACTIONS(5275),
    [anon_sym_const] = ACTIONS(5275),
    [anon_sym_constexpr] = ACTIONS(5275),
    [anon_sym_volatile] = ACTIONS(5275),
    [anon_sym_restrict] = ACTIONS(5275),
    [anon_sym___restrict__] = ACTIONS(5275),
    [anon_sym__Atomic] = ACTIONS(5275),
    [anon_sym__Noreturn] = ACTIONS(5275),
    [anon_sym_noreturn] = ACTIONS(5275),
    [anon_sym__Nonnull] = ACTIONS(5275),
    [anon_sym_mutable] = ACTIONS(5275),
    [anon_sym_constinit] = ACTIONS(5275),
    [anon_sym_consteval] = ACTIONS(5275),
    [anon_sym_alignas] = ACTIONS(5275),
    [anon_sym__Alignas] = ACTIONS(5275),
    [sym_primitive_type] = ACTIONS(5275),
    [anon_sym_enum] = ACTIONS(5275),
    [anon_sym_class] = ACTIONS(5275),
    [anon_sym_struct] = ACTIONS(5275),
    [anon_sym_union] = ACTIONS(5275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
    [anon_sym_explicit] = ACTIONS(5275),
    [anon_sym_typename] = ACTIONS(5275),
    [anon_sym_template] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5275),
    [anon_sym_friend] = ACTIONS(5275),
    [anon_sym_public] = ACTIONS(5275),
    [anon_sym_private] = ACTIONS(5275),
    [anon_sym_protected] = ACTIONS(5275),
    [anon_sym_using] = ACTIONS(5275),
    [anon_sym_static_assert] = ACTIONS(5275),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(5279),
    [aux_sym_preproc_def_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token2] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5279),
    [sym_preproc_directive] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_TILDE] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___extension__] = ACTIONS(5279),
    [anon_sym_typedef] = ACTIONS(5279),
    [anon_sym_virtual] = ACTIONS(5279),
    [anon_sym_extern] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5281),
    [anon_sym___declspec] = ACTIONS(5279),
    [anon_sym___based] = ACTIONS(5279),
    [anon_sym_signed] = ACTIONS(5279),
    [anon_sym_unsigned] = ACTIONS(5279),
    [anon_sym_long] = ACTIONS(5279),
    [anon_sym_short] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_static] = ACTIONS(5279),
    [anon_sym_register] = ACTIONS(5279),
    [anon_sym_inline] = ACTIONS(5279),
    [anon_sym___inline] = ACTIONS(5279),
    [anon_sym___inline__] = ACTIONS(5279),
    [anon_sym___forceinline] = ACTIONS(5279),
    [anon_sym_thread_local] = ACTIONS(5279),
    [anon_sym___thread] = ACTIONS(5279),
    [anon_sym_const] = ACTIONS(5279),
    [anon_sym_constexpr] = ACTIONS(5279),
    [anon_sym_volatile] = ACTIONS(5279),
    [anon_sym_restrict] = ACTIONS(5279),
    [anon_sym___restrict__] = ACTIONS(5279),
    [anon_sym__Atomic] = ACTIONS(5279),
    [anon_sym__Noreturn] = ACTIONS(5279),
    [anon_sym_noreturn] = ACTIONS(5279),
    [anon_sym__Nonnull] = ACTIONS(5279),
    [anon_sym_mutable] = ACTIONS(5279),
    [anon_sym_constinit] = ACTIONS(5279),
    [anon_sym_consteval] = ACTIONS(5279),
    [anon_sym_alignas] = ACTIONS(5279),
    [anon_sym__Alignas] = ACTIONS(5279),
    [sym_primitive_type] = ACTIONS(5279),
    [anon_sym_enum] = ACTIONS(5279),
    [anon_sym_class] = ACTIONS(5279),
    [anon_sym_struct] = ACTIONS(5279),
    [anon_sym_union] = ACTIONS(5279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5279),
    [anon_sym_decltype] = ACTIONS(5279),
    [anon_sym_explicit] = ACTIONS(5279),
    [anon_sym_typename] = ACTIONS(5279),
    [anon_sym_template] = ACTIONS(5279),
    [anon_sym_operator] = ACTIONS(5279),
    [anon_sym_friend] = ACTIONS(5279),
    [anon_sym_public] = ACTIONS(5279),
    [anon_sym_private] = ACTIONS(5279),
    [anon_sym_protected] = ACTIONS(5279),
    [anon_sym_using] = ACTIONS(5279),
    [anon_sym_static_assert] = ACTIONS(5279),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(5283),
    [aux_sym_preproc_def_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token2] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5283),
    [sym_preproc_directive] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_typedef] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [sym_primitive_type] = ACTIONS(5283),
    [anon_sym_enum] = ACTIONS(5283),
    [anon_sym_class] = ACTIONS(5283),
    [anon_sym_struct] = ACTIONS(5283),
    [anon_sym_union] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_explicit] = ACTIONS(5283),
    [anon_sym_typename] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_friend] = ACTIONS(5283),
    [anon_sym_public] = ACTIONS(5283),
    [anon_sym_private] = ACTIONS(5283),
    [anon_sym_protected] = ACTIONS(5283),
    [anon_sym_using] = ACTIONS(5283),
    [anon_sym_static_assert] = ACTIONS(5283),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(5291),
    [aux_sym_preproc_def_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5291),
    [sym_preproc_directive] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5293),
    [anon_sym_TILDE] = ACTIONS(5293),
    [anon_sym_STAR] = ACTIONS(5293),
    [anon_sym_AMP_AMP] = ACTIONS(5293),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5293),
    [anon_sym___extension__] = ACTIONS(5291),
    [anon_sym_typedef] = ACTIONS(5291),
    [anon_sym_virtual] = ACTIONS(5291),
    [anon_sym_extern] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5293),
    [anon_sym___declspec] = ACTIONS(5291),
    [anon_sym___based] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5291),
    [anon_sym_unsigned] = ACTIONS(5291),
    [anon_sym_long] = ACTIONS(5291),
    [anon_sym_short] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_static] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5291),
    [anon_sym_inline] = ACTIONS(5291),
    [anon_sym___inline] = ACTIONS(5291),
    [anon_sym___inline__] = ACTIONS(5291),
    [anon_sym___forceinline] = ACTIONS(5291),
    [anon_sym_thread_local] = ACTIONS(5291),
    [anon_sym___thread] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5291),
    [anon_sym_constexpr] = ACTIONS(5291),
    [anon_sym_volatile] = ACTIONS(5291),
    [anon_sym_restrict] = ACTIONS(5291),
    [anon_sym___restrict__] = ACTIONS(5291),
    [anon_sym__Atomic] = ACTIONS(5291),
    [anon_sym__Noreturn] = ACTIONS(5291),
    [anon_sym_noreturn] = ACTIONS(5291),
    [anon_sym__Nonnull] = ACTIONS(5291),
    [anon_sym_mutable] = ACTIONS(5291),
    [anon_sym_constinit] = ACTIONS(5291),
    [anon_sym_consteval] = ACTIONS(5291),
    [anon_sym_alignas] = ACTIONS(5291),
    [anon_sym__Alignas] = ACTIONS(5291),
    [sym_primitive_type] = ACTIONS(5291),
    [anon_sym_enum] = ACTIONS(5291),
    [anon_sym_class] = ACTIONS(5291),
    [anon_sym_struct] = ACTIONS(5291),
    [anon_sym_union] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5291),
    [anon_sym_decltype] = ACTIONS(5291),
    [anon_sym_explicit] = ACTIONS(5291),
    [anon_sym_typename] = ACTIONS(5291),
    [anon_sym_template] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5291),
    [anon_sym_friend] = ACTIONS(5291),
    [anon_sym_public] = ACTIONS(5291),
    [anon_sym_private] = ACTIONS(5291),
    [anon_sym_protected] = ACTIONS(5291),
    [anon_sym_using] = ACTIONS(5291),
    [anon_sym_static_assert] = ACTIONS(5291),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [sym_primitive_type] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [2070] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_SEMI] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4055),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4059),
    [anon_sym_SLASH_EQ] = ACTIONS(4059),
    [anon_sym_PERCENT_EQ] = ACTIONS(4059),
    [anon_sym_PLUS_EQ] = ACTIONS(4059),
    [anon_sym_DASH_EQ] = ACTIONS(4059),
    [anon_sym_LT_LT_EQ] = ACTIONS(4059),
    [anon_sym_GT_GT_EQ] = ACTIONS(4059),
    [anon_sym_AMP_EQ] = ACTIONS(4059),
    [anon_sym_CARET_EQ] = ACTIONS(4059),
    [anon_sym_PIPE_EQ] = ACTIONS(4059),
    [anon_sym_and_eq] = ACTIONS(4059),
    [anon_sym_or_eq] = ACTIONS(4059),
    [anon_sym_xor_eq] = ACTIONS(4059),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [sym_primitive_type] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [sym_primitive_type] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token2] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [sym_primitive_type] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [sym_primitive_type] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token2] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [sym_primitive_type] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(5323),
    [aux_sym_preproc_def_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token2] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5323),
    [sym_preproc_directive] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_typedef] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [sym_primitive_type] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_public] = ACTIONS(5323),
    [anon_sym_private] = ACTIONS(5323),
    [anon_sym_protected] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_static_assert] = ACTIONS(5323),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(5327),
    [aux_sym_preproc_def_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token2] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5327),
    [sym_preproc_directive] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5329),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_AMP_AMP] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5327),
    [anon_sym_SEMI] = ACTIONS(5329),
    [anon_sym___extension__] = ACTIONS(5327),
    [anon_sym_typedef] = ACTIONS(5327),
    [anon_sym_virtual] = ACTIONS(5327),
    [anon_sym_extern] = ACTIONS(5327),
    [anon_sym___attribute__] = ACTIONS(5327),
    [anon_sym_COLON_COLON] = ACTIONS(5329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5329),
    [anon_sym___declspec] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5327),
    [anon_sym_signed] = ACTIONS(5327),
    [anon_sym_unsigned] = ACTIONS(5327),
    [anon_sym_long] = ACTIONS(5327),
    [anon_sym_short] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_static] = ACTIONS(5327),
    [anon_sym_register] = ACTIONS(5327),
    [anon_sym_inline] = ACTIONS(5327),
    [anon_sym___inline] = ACTIONS(5327),
    [anon_sym___inline__] = ACTIONS(5327),
    [anon_sym___forceinline] = ACTIONS(5327),
    [anon_sym_thread_local] = ACTIONS(5327),
    [anon_sym___thread] = ACTIONS(5327),
    [anon_sym_const] = ACTIONS(5327),
    [anon_sym_constexpr] = ACTIONS(5327),
    [anon_sym_volatile] = ACTIONS(5327),
    [anon_sym_restrict] = ACTIONS(5327),
    [anon_sym___restrict__] = ACTIONS(5327),
    [anon_sym__Atomic] = ACTIONS(5327),
    [anon_sym__Noreturn] = ACTIONS(5327),
    [anon_sym_noreturn] = ACTIONS(5327),
    [anon_sym__Nonnull] = ACTIONS(5327),
    [anon_sym_mutable] = ACTIONS(5327),
    [anon_sym_constinit] = ACTIONS(5327),
    [anon_sym_consteval] = ACTIONS(5327),
    [anon_sym_alignas] = ACTIONS(5327),
    [anon_sym__Alignas] = ACTIONS(5327),
    [sym_primitive_type] = ACTIONS(5327),
    [anon_sym_enum] = ACTIONS(5327),
    [anon_sym_class] = ACTIONS(5327),
    [anon_sym_struct] = ACTIONS(5327),
    [anon_sym_union] = ACTIONS(5327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5327),
    [anon_sym_decltype] = ACTIONS(5327),
    [anon_sym_explicit] = ACTIONS(5327),
    [anon_sym_typename] = ACTIONS(5327),
    [anon_sym_template] = ACTIONS(5327),
    [anon_sym_operator] = ACTIONS(5327),
    [anon_sym_friend] = ACTIONS(5327),
    [anon_sym_public] = ACTIONS(5327),
    [anon_sym_private] = ACTIONS(5327),
    [anon_sym_protected] = ACTIONS(5327),
    [anon_sym_using] = ACTIONS(5327),
    [anon_sym_static_assert] = ACTIONS(5327),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token2] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token2] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [2080] = {
    [sym_template_argument_list] = STATE(1574),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_signed] = ACTIONS(4855),
    [anon_sym_unsigned] = ACTIONS(4855),
    [anon_sym_long] = ACTIONS(4855),
    [anon_sym_short] = ACTIONS(4855),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [sym_primitive_type] = ACTIONS(4855),
    [anon_sym_enum] = ACTIONS(4855),
    [anon_sym_class] = ACTIONS(4855),
    [anon_sym_struct] = ACTIONS(4855),
    [anon_sym_union] = ACTIONS(4855),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_explicit] = ACTIONS(4855),
    [anon_sym_typename] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_friend] = ACTIONS(4855),
    [anon_sym_using] = ACTIONS(4855),
    [anon_sym_concept] = ACTIONS(4855),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_friend] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
  },
  [2082] = {
    [sym_string_literal] = STATE(1912),
    [sym_raw_string_literal] = STATE(1912),
    [aux_sym_concatenated_string_repeat1] = STATE(1912),
    [sym_identifier] = ACTIONS(5737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5145),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5143),
    [sym_literal_suffix] = ACTIONS(5145),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [sym_primitive_type] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_protected] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(3049),
    [aux_sym_preproc_def_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3049),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3049),
    [sym_preproc_directive] = ACTIONS(3049),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_AMP_AMP] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3049),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym___attribute__] = ACTIONS(3049),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3051),
    [anon_sym___declspec] = ACTIONS(3049),
    [anon_sym___based] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3049),
    [anon_sym_unsigned] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_register] = ACTIONS(3049),
    [anon_sym_inline] = ACTIONS(3049),
    [anon_sym___inline] = ACTIONS(3049),
    [anon_sym___inline__] = ACTIONS(3049),
    [anon_sym___forceinline] = ACTIONS(3049),
    [anon_sym_thread_local] = ACTIONS(3049),
    [anon_sym___thread] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_constexpr] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_restrict] = ACTIONS(3049),
    [anon_sym___restrict__] = ACTIONS(3049),
    [anon_sym__Atomic] = ACTIONS(3049),
    [anon_sym__Noreturn] = ACTIONS(3049),
    [anon_sym_noreturn] = ACTIONS(3049),
    [anon_sym__Nonnull] = ACTIONS(3049),
    [anon_sym_mutable] = ACTIONS(3049),
    [anon_sym_constinit] = ACTIONS(3049),
    [anon_sym_consteval] = ACTIONS(3049),
    [anon_sym_alignas] = ACTIONS(3049),
    [anon_sym__Alignas] = ACTIONS(3049),
    [sym_primitive_type] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_union] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3049),
    [anon_sym_decltype] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_typename] = ACTIONS(3049),
    [anon_sym_template] = ACTIONS(3049),
    [anon_sym_operator] = ACTIONS(3049),
    [anon_sym_friend] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_protected] = ACTIONS(3049),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static_assert] = ACTIONS(3049),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(3053),
    [aux_sym_preproc_def_token1] = ACTIONS(3053),
    [aux_sym_preproc_if_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3053),
    [sym_preproc_directive] = ACTIONS(3053),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3055),
    [anon_sym_AMP_AMP] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym___extension__] = ACTIONS(3053),
    [anon_sym_typedef] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym___attribute__] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3055),
    [anon_sym___declspec] = ACTIONS(3053),
    [anon_sym___based] = ACTIONS(3053),
    [anon_sym_RBRACE] = ACTIONS(3055),
    [anon_sym_signed] = ACTIONS(3053),
    [anon_sym_unsigned] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [anon_sym_register] = ACTIONS(3053),
    [anon_sym_inline] = ACTIONS(3053),
    [anon_sym___inline] = ACTIONS(3053),
    [anon_sym___inline__] = ACTIONS(3053),
    [anon_sym___forceinline] = ACTIONS(3053),
    [anon_sym_thread_local] = ACTIONS(3053),
    [anon_sym___thread] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_constexpr] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_restrict] = ACTIONS(3053),
    [anon_sym___restrict__] = ACTIONS(3053),
    [anon_sym__Atomic] = ACTIONS(3053),
    [anon_sym__Noreturn] = ACTIONS(3053),
    [anon_sym_noreturn] = ACTIONS(3053),
    [anon_sym__Nonnull] = ACTIONS(3053),
    [anon_sym_mutable] = ACTIONS(3053),
    [anon_sym_constinit] = ACTIONS(3053),
    [anon_sym_consteval] = ACTIONS(3053),
    [anon_sym_alignas] = ACTIONS(3053),
    [anon_sym__Alignas] = ACTIONS(3053),
    [sym_primitive_type] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3053),
    [anon_sym_decltype] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_typename] = ACTIONS(3053),
    [anon_sym_template] = ACTIONS(3053),
    [anon_sym_operator] = ACTIONS(3053),
    [anon_sym_friend] = ACTIONS(3053),
    [anon_sym_public] = ACTIONS(3053),
    [anon_sym_private] = ACTIONS(3053),
    [anon_sym_protected] = ACTIONS(3053),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static_assert] = ACTIONS(3053),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5341),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5341),
    [anon_sym_GT_GT] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5341),
    [anon_sym_or_eq] = ACTIONS(5341),
    [anon_sym_xor_eq] = ACTIONS(5341),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3065),
    [anon_sym_private] = ACTIONS(3065),
    [anon_sym_protected] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym__Nonnull] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym__Alignas] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_friend] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_virtual] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_friend] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_protected] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
  },
  [2091] = {
    [sym_attribute_specifier] = STATE(2196),
    [sym_enumerator_list] = STATE(2106),
    [sym_identifier] = ACTIONS(5739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5741),
    [anon_sym_COMMA] = ACTIONS(5741),
    [anon_sym_RPAREN] = ACTIONS(5741),
    [aux_sym_preproc_if_token2] = ACTIONS(5741),
    [aux_sym_preproc_else_token1] = ACTIONS(5741),
    [aux_sym_preproc_elif_token1] = ACTIONS(5739),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5741),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5741),
    [anon_sym_LPAREN2] = ACTIONS(5741),
    [anon_sym_DASH] = ACTIONS(5739),
    [anon_sym_PLUS] = ACTIONS(5739),
    [anon_sym_STAR] = ACTIONS(5739),
    [anon_sym_SLASH] = ACTIONS(5739),
    [anon_sym_PERCENT] = ACTIONS(5739),
    [anon_sym_PIPE_PIPE] = ACTIONS(5741),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_PIPE] = ACTIONS(5739),
    [anon_sym_CARET] = ACTIONS(5739),
    [anon_sym_AMP] = ACTIONS(5739),
    [anon_sym_EQ_EQ] = ACTIONS(5741),
    [anon_sym_BANG_EQ] = ACTIONS(5741),
    [anon_sym_GT] = ACTIONS(5739),
    [anon_sym_GT_EQ] = ACTIONS(5741),
    [anon_sym_LT_EQ] = ACTIONS(5739),
    [anon_sym_LT] = ACTIONS(5739),
    [anon_sym_LT_LT] = ACTIONS(5739),
    [anon_sym_GT_GT] = ACTIONS(5739),
    [anon_sym_SEMI] = ACTIONS(5741),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_RBRACE] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5741),
    [anon_sym_RBRACK] = ACTIONS(5741),
    [anon_sym_EQ] = ACTIONS(5739),
    [anon_sym_COLON] = ACTIONS(5741),
    [anon_sym_QMARK] = ACTIONS(5741),
    [anon_sym_STAR_EQ] = ACTIONS(5741),
    [anon_sym_SLASH_EQ] = ACTIONS(5741),
    [anon_sym_PERCENT_EQ] = ACTIONS(5741),
    [anon_sym_PLUS_EQ] = ACTIONS(5741),
    [anon_sym_DASH_EQ] = ACTIONS(5741),
    [anon_sym_LT_LT_EQ] = ACTIONS(5741),
    [anon_sym_GT_GT_EQ] = ACTIONS(5741),
    [anon_sym_AMP_EQ] = ACTIONS(5741),
    [anon_sym_CARET_EQ] = ACTIONS(5741),
    [anon_sym_PIPE_EQ] = ACTIONS(5741),
    [anon_sym_and_eq] = ACTIONS(5739),
    [anon_sym_or_eq] = ACTIONS(5739),
    [anon_sym_xor_eq] = ACTIONS(5739),
    [anon_sym_LT_EQ_GT] = ACTIONS(5741),
    [anon_sym_or] = ACTIONS(5739),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_bitor] = ACTIONS(5739),
    [anon_sym_xor] = ACTIONS(5739),
    [anon_sym_bitand] = ACTIONS(5739),
    [anon_sym_not_eq] = ACTIONS(5739),
    [anon_sym_DASH_DASH] = ACTIONS(5741),
    [anon_sym_PLUS_PLUS] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5739),
    [anon_sym_DOT_STAR] = ACTIONS(5741),
    [anon_sym_DASH_GT] = ACTIONS(5741),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5739),
    [anon_sym_decltype] = ACTIONS(5739),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_RBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_friend] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [sym_primitive_type] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_friend] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_protected] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_virtual] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym__Nonnull] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_friend] = ACTIONS(3017),
    [anon_sym_public] = ACTIONS(3017),
    [anon_sym_private] = ACTIONS(3017),
    [anon_sym_protected] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3095),
    [anon_sym_AMP_AMP] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3093),
    [anon_sym_typedef] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym___attribute__] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(3095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3095),
    [anon_sym___declspec] = ACTIONS(3093),
    [anon_sym___based] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3093),
    [anon_sym_unsigned] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [anon_sym_register] = ACTIONS(3093),
    [anon_sym_inline] = ACTIONS(3093),
    [anon_sym___inline] = ACTIONS(3093),
    [anon_sym___inline__] = ACTIONS(3093),
    [anon_sym___forceinline] = ACTIONS(3093),
    [anon_sym_thread_local] = ACTIONS(3093),
    [anon_sym___thread] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_constexpr] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_restrict] = ACTIONS(3093),
    [anon_sym___restrict__] = ACTIONS(3093),
    [anon_sym__Atomic] = ACTIONS(3093),
    [anon_sym__Noreturn] = ACTIONS(3093),
    [anon_sym_noreturn] = ACTIONS(3093),
    [anon_sym__Nonnull] = ACTIONS(3093),
    [anon_sym_mutable] = ACTIONS(3093),
    [anon_sym_constinit] = ACTIONS(3093),
    [anon_sym_consteval] = ACTIONS(3093),
    [anon_sym_alignas] = ACTIONS(3093),
    [anon_sym__Alignas] = ACTIONS(3093),
    [sym_primitive_type] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_union] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3093),
    [anon_sym_decltype] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_typename] = ACTIONS(3093),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_operator] = ACTIONS(3093),
    [anon_sym_friend] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(3093),
    [anon_sym_private] = ACTIONS(3093),
    [anon_sym_protected] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static_assert] = ACTIONS(3093),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(3097),
    [aux_sym_preproc_def_token1] = ACTIONS(3097),
    [aux_sym_preproc_if_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3097),
    [anon_sym_LPAREN2] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3099),
    [anon_sym_AMP_AMP] = ACTIONS(3099),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3097),
    [anon_sym_typedef] = ACTIONS(3097),
    [anon_sym_virtual] = ACTIONS(3097),
    [anon_sym_extern] = ACTIONS(3097),
    [anon_sym___attribute__] = ACTIONS(3097),
    [anon_sym_COLON_COLON] = ACTIONS(3099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3099),
    [anon_sym___declspec] = ACTIONS(3097),
    [anon_sym___based] = ACTIONS(3097),
    [anon_sym_RBRACE] = ACTIONS(3099),
    [anon_sym_signed] = ACTIONS(3097),
    [anon_sym_unsigned] = ACTIONS(3097),
    [anon_sym_long] = ACTIONS(3097),
    [anon_sym_short] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_static] = ACTIONS(3097),
    [anon_sym_register] = ACTIONS(3097),
    [anon_sym_inline] = ACTIONS(3097),
    [anon_sym___inline] = ACTIONS(3097),
    [anon_sym___inline__] = ACTIONS(3097),
    [anon_sym___forceinline] = ACTIONS(3097),
    [anon_sym_thread_local] = ACTIONS(3097),
    [anon_sym___thread] = ACTIONS(3097),
    [anon_sym_const] = ACTIONS(3097),
    [anon_sym_constexpr] = ACTIONS(3097),
    [anon_sym_volatile] = ACTIONS(3097),
    [anon_sym_restrict] = ACTIONS(3097),
    [anon_sym___restrict__] = ACTIONS(3097),
    [anon_sym__Atomic] = ACTIONS(3097),
    [anon_sym__Noreturn] = ACTIONS(3097),
    [anon_sym_noreturn] = ACTIONS(3097),
    [anon_sym__Nonnull] = ACTIONS(3097),
    [anon_sym_mutable] = ACTIONS(3097),
    [anon_sym_constinit] = ACTIONS(3097),
    [anon_sym_consteval] = ACTIONS(3097),
    [anon_sym_alignas] = ACTIONS(3097),
    [anon_sym__Alignas] = ACTIONS(3097),
    [sym_primitive_type] = ACTIONS(3097),
    [anon_sym_enum] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3097),
    [anon_sym_struct] = ACTIONS(3097),
    [anon_sym_union] = ACTIONS(3097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3097),
    [anon_sym_explicit] = ACTIONS(3097),
    [anon_sym_typename] = ACTIONS(3097),
    [anon_sym_template] = ACTIONS(3097),
    [anon_sym_operator] = ACTIONS(3097),
    [anon_sym_friend] = ACTIONS(3097),
    [anon_sym_public] = ACTIONS(3097),
    [anon_sym_private] = ACTIONS(3097),
    [anon_sym_protected] = ACTIONS(3097),
    [anon_sym_using] = ACTIONS(3097),
    [anon_sym_static_assert] = ACTIONS(3097),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [2100] = {
    [sym_decltype_auto] = STATE(2218),
    [sym_identifier] = ACTIONS(5345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5347),
    [anon_sym_COMMA] = ACTIONS(5347),
    [anon_sym_RPAREN] = ACTIONS(5347),
    [aux_sym_preproc_if_token2] = ACTIONS(5347),
    [aux_sym_preproc_else_token1] = ACTIONS(5347),
    [aux_sym_preproc_elif_token1] = ACTIONS(5345),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5347),
    [anon_sym_LPAREN2] = ACTIONS(5347),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5345),
    [anon_sym_PIPE_PIPE] = ACTIONS(5347),
    [anon_sym_AMP_AMP] = ACTIONS(5347),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5347),
    [anon_sym_BANG_EQ] = ACTIONS(5347),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5347),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5345),
    [anon_sym_GT_GT] = ACTIONS(5345),
    [anon_sym_SEMI] = ACTIONS(5347),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5347),
    [anon_sym_RBRACE] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5347),
    [anon_sym_RBRACK] = ACTIONS(5347),
    [anon_sym_EQ] = ACTIONS(5345),
    [anon_sym_COLON] = ACTIONS(5347),
    [anon_sym_QMARK] = ACTIONS(5347),
    [anon_sym_STAR_EQ] = ACTIONS(5347),
    [anon_sym_SLASH_EQ] = ACTIONS(5347),
    [anon_sym_PERCENT_EQ] = ACTIONS(5347),
    [anon_sym_PLUS_EQ] = ACTIONS(5347),
    [anon_sym_DASH_EQ] = ACTIONS(5347),
    [anon_sym_LT_LT_EQ] = ACTIONS(5347),
    [anon_sym_GT_GT_EQ] = ACTIONS(5347),
    [anon_sym_AMP_EQ] = ACTIONS(5347),
    [anon_sym_CARET_EQ] = ACTIONS(5347),
    [anon_sym_PIPE_EQ] = ACTIONS(5347),
    [anon_sym_and_eq] = ACTIONS(5345),
    [anon_sym_or_eq] = ACTIONS(5345),
    [anon_sym_xor_eq] = ACTIONS(5345),
    [anon_sym_LT_EQ_GT] = ACTIONS(5347),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5347),
    [anon_sym_PLUS_PLUS] = ACTIONS(5347),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5347),
    [anon_sym_DASH_GT] = ACTIONS(5347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [2101] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5420),
    [anon_sym_COMMA] = ACTIONS(5420),
    [anon_sym_RPAREN] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5420),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5423),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5423),
    [anon_sym_PIPE_PIPE] = ACTIONS(5420),
    [anon_sym_AMP_AMP] = ACTIONS(5420),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_CARET] = ACTIONS(5423),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_EQ_EQ] = ACTIONS(5420),
    [anon_sym_BANG_EQ] = ACTIONS(5420),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_GT_EQ] = ACTIONS(5420),
    [anon_sym_LT_EQ] = ACTIONS(5423),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5423),
    [anon_sym_GT_GT] = ACTIONS(5423),
    [anon_sym_SEMI] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5423),
    [anon_sym_LBRACE] = ACTIONS(5420),
    [anon_sym_RBRACE] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5219),
    [anon_sym_unsigned] = ACTIONS(5219),
    [anon_sym_long] = ACTIONS(5219),
    [anon_sym_short] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_RBRACK] = ACTIONS(5420),
    [anon_sym_EQ] = ACTIONS(5423),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_COLON] = ACTIONS(5420),
    [anon_sym_QMARK] = ACTIONS(5420),
    [anon_sym_STAR_EQ] = ACTIONS(5420),
    [anon_sym_SLASH_EQ] = ACTIONS(5420),
    [anon_sym_PERCENT_EQ] = ACTIONS(5420),
    [anon_sym_PLUS_EQ] = ACTIONS(5420),
    [anon_sym_DASH_EQ] = ACTIONS(5420),
    [anon_sym_LT_LT_EQ] = ACTIONS(5420),
    [anon_sym_GT_GT_EQ] = ACTIONS(5420),
    [anon_sym_AMP_EQ] = ACTIONS(5420),
    [anon_sym_CARET_EQ] = ACTIONS(5420),
    [anon_sym_PIPE_EQ] = ACTIONS(5420),
    [anon_sym_and_eq] = ACTIONS(5423),
    [anon_sym_or_eq] = ACTIONS(5423),
    [anon_sym_xor_eq] = ACTIONS(5423),
    [anon_sym_LT_EQ_GT] = ACTIONS(5420),
    [anon_sym_or] = ACTIONS(5423),
    [anon_sym_and] = ACTIONS(5423),
    [anon_sym_bitor] = ACTIONS(5423),
    [anon_sym_xor] = ACTIONS(5423),
    [anon_sym_bitand] = ACTIONS(5423),
    [anon_sym_not_eq] = ACTIONS(5423),
    [anon_sym_DASH_DASH] = ACTIONS(5420),
    [anon_sym_PLUS_PLUS] = ACTIONS(5420),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_DOT_STAR] = ACTIONS(5420),
    [anon_sym_DASH_GT] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5423),
    [anon_sym_decltype] = ACTIONS(5423),
  },
  [2102] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5149),
    [anon_sym_COMMA] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_DASH] = ACTIONS(5147),
    [anon_sym_PLUS] = ACTIONS(5147),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5147),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_PIPE] = ACTIONS(5147),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_EQ_EQ] = ACTIONS(5149),
    [anon_sym_BANG_EQ] = ACTIONS(5149),
    [anon_sym_GT] = ACTIONS(5147),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5147),
    [anon_sym_LT] = ACTIONS(5147),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5147),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5743),
    [anon_sym_unsigned] = ACTIONS(5743),
    [anon_sym_long] = ACTIONS(5743),
    [anon_sym_short] = ACTIONS(5743),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5147),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym__Nonnull] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_alignas] = ACTIONS(5147),
    [anon_sym__Alignas] = ACTIONS(5147),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_QMARK] = ACTIONS(5149),
    [anon_sym_LT_EQ_GT] = ACTIONS(5149),
    [anon_sym_or] = ACTIONS(5147),
    [anon_sym_and] = ACTIONS(5147),
    [anon_sym_bitor] = ACTIONS(5147),
    [anon_sym_xor] = ACTIONS(5147),
    [anon_sym_bitand] = ACTIONS(5147),
    [anon_sym_not_eq] = ACTIONS(5147),
    [anon_sym_DASH_DASH] = ACTIONS(5149),
    [anon_sym_PLUS_PLUS] = ACTIONS(5149),
    [anon_sym_DOT] = ACTIONS(5147),
    [anon_sym_DOT_STAR] = ACTIONS(5149),
    [anon_sym_DASH_GT] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_GT2] = ACTIONS(5149),
    [anon_sym_requires] = ACTIONS(5147),
  },
  [2103] = {
    [sym_template_argument_list] = STATE(1574),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [anon_sym_RPAREN] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5715),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5715),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5715),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5715),
    [anon_sym_GT_GT] = ACTIONS(5715),
    [anon_sym_SEMI] = ACTIONS(5717),
    [anon_sym___attribute__] = ACTIONS(5717),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_signed] = ACTIONS(5746),
    [anon_sym_unsigned] = ACTIONS(5746),
    [anon_sym_long] = ACTIONS(5746),
    [anon_sym_short] = ACTIONS(5746),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_EQ] = ACTIONS(5715),
    [anon_sym_COLON] = ACTIONS(5715),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_STAR_EQ] = ACTIONS(5717),
    [anon_sym_SLASH_EQ] = ACTIONS(5717),
    [anon_sym_PERCENT_EQ] = ACTIONS(5717),
    [anon_sym_PLUS_EQ] = ACTIONS(5717),
    [anon_sym_DASH_EQ] = ACTIONS(5717),
    [anon_sym_LT_LT_EQ] = ACTIONS(5717),
    [anon_sym_GT_GT_EQ] = ACTIONS(5717),
    [anon_sym_AMP_EQ] = ACTIONS(5717),
    [anon_sym_CARET_EQ] = ACTIONS(5717),
    [anon_sym_PIPE_EQ] = ACTIONS(5717),
    [anon_sym_and_eq] = ACTIONS(5717),
    [anon_sym_or_eq] = ACTIONS(5717),
    [anon_sym_xor_eq] = ACTIONS(5717),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5717),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5717),
    [anon_sym_not_eq] = ACTIONS(5717),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5717),
    [anon_sym_decltype] = ACTIONS(5717),
  },
  [2104] = {
    [sym_string_literal] = STATE(2145),
    [sym_template_argument_list] = STATE(3085),
    [sym_raw_string_literal] = STATE(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4031),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4023),
    [anon_sym_SLASH_EQ] = ACTIONS(4023),
    [anon_sym_PERCENT_EQ] = ACTIONS(4023),
    [anon_sym_PLUS_EQ] = ACTIONS(4023),
    [anon_sym_DASH_EQ] = ACTIONS(4023),
    [anon_sym_LT_LT_EQ] = ACTIONS(4023),
    [anon_sym_GT_GT_EQ] = ACTIONS(4031),
    [anon_sym_AMP_EQ] = ACTIONS(4023),
    [anon_sym_CARET_EQ] = ACTIONS(4023),
    [anon_sym_PIPE_EQ] = ACTIONS(4023),
    [anon_sym_and_eq] = ACTIONS(4023),
    [anon_sym_or_eq] = ACTIONS(4023),
    [anon_sym_xor_eq] = ACTIONS(4023),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(5751),
    [anon_sym_u_DQUOTE] = ACTIONS(5751),
    [anon_sym_U_DQUOTE] = ACTIONS(5751),
    [anon_sym_u8_DQUOTE] = ACTIONS(5751),
    [anon_sym_DQUOTE] = ACTIONS(5751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4023),
    [anon_sym_R_DQUOTE] = ACTIONS(5753),
    [anon_sym_LR_DQUOTE] = ACTIONS(5753),
    [anon_sym_uR_DQUOTE] = ACTIONS(5753),
    [anon_sym_UR_DQUOTE] = ACTIONS(5753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5753),
  },
  [2105] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5197),
    [anon_sym_COMMA] = ACTIONS(5197),
    [anon_sym_RPAREN] = ACTIONS(5197),
    [anon_sym_LPAREN2] = ACTIONS(5197),
    [anon_sym_DASH] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5195),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5197),
    [anon_sym_AMP_AMP] = ACTIONS(5197),
    [anon_sym_PIPE] = ACTIONS(5195),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5195),
    [anon_sym_EQ_EQ] = ACTIONS(5197),
    [anon_sym_BANG_EQ] = ACTIONS(5197),
    [anon_sym_GT] = ACTIONS(5195),
    [anon_sym_GT_EQ] = ACTIONS(5197),
    [anon_sym_LT_EQ] = ACTIONS(5195),
    [anon_sym_LT] = ACTIONS(5195),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_SEMI] = ACTIONS(5197),
    [anon_sym_RBRACE] = ACTIONS(5197),
    [anon_sym_LBRACK] = ACTIONS(5197),
    [anon_sym_RBRACK] = ACTIONS(5197),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_COLON] = ACTIONS(5197),
    [anon_sym_QMARK] = ACTIONS(5197),
    [anon_sym_STAR_EQ] = ACTIONS(5197),
    [anon_sym_SLASH_EQ] = ACTIONS(5197),
    [anon_sym_PERCENT_EQ] = ACTIONS(5197),
    [anon_sym_PLUS_EQ] = ACTIONS(5197),
    [anon_sym_DASH_EQ] = ACTIONS(5197),
    [anon_sym_LT_LT_EQ] = ACTIONS(5197),
    [anon_sym_GT_GT_EQ] = ACTIONS(5197),
    [anon_sym_AMP_EQ] = ACTIONS(5197),
    [anon_sym_CARET_EQ] = ACTIONS(5197),
    [anon_sym_PIPE_EQ] = ACTIONS(5197),
    [anon_sym_and_eq] = ACTIONS(5195),
    [anon_sym_or_eq] = ACTIONS(5195),
    [anon_sym_xor_eq] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5197),
    [anon_sym_or] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(5195),
    [anon_sym_bitor] = ACTIONS(5195),
    [anon_sym_xor] = ACTIONS(5195),
    [anon_sym_bitand] = ACTIONS(5195),
    [anon_sym_not_eq] = ACTIONS(5195),
    [anon_sym_DASH_DASH] = ACTIONS(5197),
    [anon_sym_PLUS_PLUS] = ACTIONS(5197),
    [anon_sym_DOT] = ACTIONS(5195),
    [anon_sym_DOT_STAR] = ACTIONS(5197),
    [anon_sym_DASH_GT] = ACTIONS(5197),
    [anon_sym_L_DQUOTE] = ACTIONS(5197),
    [anon_sym_u_DQUOTE] = ACTIONS(5197),
    [anon_sym_U_DQUOTE] = ACTIONS(5197),
    [anon_sym_u8_DQUOTE] = ACTIONS(5197),
    [anon_sym_DQUOTE] = ACTIONS(5197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5197),
    [anon_sym_LR_DQUOTE] = ACTIONS(5197),
    [anon_sym_uR_DQUOTE] = ACTIONS(5197),
    [anon_sym_UR_DQUOTE] = ACTIONS(5197),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5197),
    [sym_literal_suffix] = ACTIONS(5195),
  },
  [2106] = {
    [sym_attribute_specifier] = STATE(2171),
    [sym_identifier] = ACTIONS(5755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5757),
    [anon_sym_COMMA] = ACTIONS(5757),
    [anon_sym_RPAREN] = ACTIONS(5757),
    [aux_sym_preproc_if_token2] = ACTIONS(5757),
    [aux_sym_preproc_else_token1] = ACTIONS(5757),
    [aux_sym_preproc_elif_token1] = ACTIONS(5755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5757),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5757),
    [anon_sym_DASH] = ACTIONS(5755),
    [anon_sym_PLUS] = ACTIONS(5755),
    [anon_sym_STAR] = ACTIONS(5755),
    [anon_sym_SLASH] = ACTIONS(5755),
    [anon_sym_PERCENT] = ACTIONS(5755),
    [anon_sym_PIPE_PIPE] = ACTIONS(5757),
    [anon_sym_AMP_AMP] = ACTIONS(5757),
    [anon_sym_PIPE] = ACTIONS(5755),
    [anon_sym_CARET] = ACTIONS(5755),
    [anon_sym_AMP] = ACTIONS(5755),
    [anon_sym_EQ_EQ] = ACTIONS(5757),
    [anon_sym_BANG_EQ] = ACTIONS(5757),
    [anon_sym_GT] = ACTIONS(5755),
    [anon_sym_GT_EQ] = ACTIONS(5757),
    [anon_sym_LT_EQ] = ACTIONS(5755),
    [anon_sym_LT] = ACTIONS(5755),
    [anon_sym_LT_LT] = ACTIONS(5755),
    [anon_sym_GT_GT] = ACTIONS(5755),
    [anon_sym_SEMI] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5757),
    [anon_sym_RBRACE] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_RBRACK] = ACTIONS(5757),
    [anon_sym_EQ] = ACTIONS(5755),
    [anon_sym_COLON] = ACTIONS(5757),
    [anon_sym_QMARK] = ACTIONS(5757),
    [anon_sym_STAR_EQ] = ACTIONS(5757),
    [anon_sym_SLASH_EQ] = ACTIONS(5757),
    [anon_sym_PERCENT_EQ] = ACTIONS(5757),
    [anon_sym_PLUS_EQ] = ACTIONS(5757),
    [anon_sym_DASH_EQ] = ACTIONS(5757),
    [anon_sym_LT_LT_EQ] = ACTIONS(5757),
    [anon_sym_GT_GT_EQ] = ACTIONS(5757),
    [anon_sym_AMP_EQ] = ACTIONS(5757),
    [anon_sym_CARET_EQ] = ACTIONS(5757),
    [anon_sym_PIPE_EQ] = ACTIONS(5757),
    [anon_sym_and_eq] = ACTIONS(5755),
    [anon_sym_or_eq] = ACTIONS(5755),
    [anon_sym_xor_eq] = ACTIONS(5755),
    [anon_sym_LT_EQ_GT] = ACTIONS(5757),
    [anon_sym_or] = ACTIONS(5755),
    [anon_sym_and] = ACTIONS(5755),
    [anon_sym_bitor] = ACTIONS(5755),
    [anon_sym_xor] = ACTIONS(5755),
    [anon_sym_bitand] = ACTIONS(5755),
    [anon_sym_not_eq] = ACTIONS(5755),
    [anon_sym_DASH_DASH] = ACTIONS(5757),
    [anon_sym_PLUS_PLUS] = ACTIONS(5757),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_DOT_STAR] = ACTIONS(5757),
    [anon_sym_DASH_GT] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5755),
    [anon_sym_decltype] = ACTIONS(5755),
  },
  [2107] = {
    [sym_string_literal] = STATE(2107),
    [sym_raw_string_literal] = STATE(2107),
    [aux_sym_concatenated_string_repeat1] = STATE(2107),
    [sym_identifier] = ACTIONS(5759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5121),
    [anon_sym_COMMA] = ACTIONS(5121),
    [anon_sym_LPAREN2] = ACTIONS(5121),
    [anon_sym_DASH] = ACTIONS(5123),
    [anon_sym_PLUS] = ACTIONS(5123),
    [anon_sym_STAR] = ACTIONS(5123),
    [anon_sym_SLASH] = ACTIONS(5123),
    [anon_sym_PERCENT] = ACTIONS(5123),
    [anon_sym_PIPE_PIPE] = ACTIONS(5121),
    [anon_sym_AMP_AMP] = ACTIONS(5121),
    [anon_sym_PIPE] = ACTIONS(5123),
    [anon_sym_CARET] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5123),
    [anon_sym_EQ_EQ] = ACTIONS(5121),
    [anon_sym_BANG_EQ] = ACTIONS(5121),
    [anon_sym_GT] = ACTIONS(5123),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5123),
    [anon_sym_LT] = ACTIONS(5123),
    [anon_sym_LT_LT] = ACTIONS(5123),
    [anon_sym_GT_GT] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5123),
    [anon_sym_QMARK] = ACTIONS(5121),
    [anon_sym_STAR_EQ] = ACTIONS(5121),
    [anon_sym_SLASH_EQ] = ACTIONS(5121),
    [anon_sym_PERCENT_EQ] = ACTIONS(5121),
    [anon_sym_PLUS_EQ] = ACTIONS(5121),
    [anon_sym_DASH_EQ] = ACTIONS(5121),
    [anon_sym_LT_LT_EQ] = ACTIONS(5121),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5121),
    [anon_sym_CARET_EQ] = ACTIONS(5121),
    [anon_sym_PIPE_EQ] = ACTIONS(5121),
    [anon_sym_and_eq] = ACTIONS(5123),
    [anon_sym_or_eq] = ACTIONS(5123),
    [anon_sym_xor_eq] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5121),
    [anon_sym_or] = ACTIONS(5123),
    [anon_sym_and] = ACTIONS(5123),
    [anon_sym_bitor] = ACTIONS(5123),
    [anon_sym_xor] = ACTIONS(5123),
    [anon_sym_bitand] = ACTIONS(5123),
    [anon_sym_not_eq] = ACTIONS(5123),
    [anon_sym_DASH_DASH] = ACTIONS(5121),
    [anon_sym_PLUS_PLUS] = ACTIONS(5121),
    [anon_sym_DOT] = ACTIONS(5123),
    [anon_sym_DOT_STAR] = ACTIONS(5121),
    [anon_sym_DASH_GT] = ACTIONS(5121),
    [anon_sym_L_DQUOTE] = ACTIONS(5762),
    [anon_sym_u_DQUOTE] = ACTIONS(5762),
    [anon_sym_U_DQUOTE] = ACTIONS(5762),
    [anon_sym_u8_DQUOTE] = ACTIONS(5762),
    [anon_sym_DQUOTE] = ACTIONS(5762),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5121),
    [anon_sym_R_DQUOTE] = ACTIONS(5765),
    [anon_sym_LR_DQUOTE] = ACTIONS(5765),
    [anon_sym_uR_DQUOTE] = ACTIONS(5765),
    [anon_sym_UR_DQUOTE] = ACTIONS(5765),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5765),
    [sym_literal_suffix] = ACTIONS(5123),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(5392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5394),
    [anon_sym_COMMA] = ACTIONS(5394),
    [anon_sym_RPAREN] = ACTIONS(5394),
    [aux_sym_preproc_if_token2] = ACTIONS(5394),
    [aux_sym_preproc_else_token1] = ACTIONS(5394),
    [aux_sym_preproc_elif_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5392),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [anon_sym_PIPE_PIPE] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_CARET] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_EQ_EQ] = ACTIONS(5394),
    [anon_sym_BANG_EQ] = ACTIONS(5394),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_GT_EQ] = ACTIONS(5394),
    [anon_sym_LT_EQ] = ACTIONS(5392),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5392),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACE] = ACTIONS(5394),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_RBRACK] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5392),
    [anon_sym_COLON] = ACTIONS(5392),
    [anon_sym_QMARK] = ACTIONS(5394),
    [anon_sym_STAR_EQ] = ACTIONS(5394),
    [anon_sym_SLASH_EQ] = ACTIONS(5394),
    [anon_sym_PERCENT_EQ] = ACTIONS(5394),
    [anon_sym_PLUS_EQ] = ACTIONS(5394),
    [anon_sym_DASH_EQ] = ACTIONS(5394),
    [anon_sym_LT_LT_EQ] = ACTIONS(5394),
    [anon_sym_GT_GT_EQ] = ACTIONS(5394),
    [anon_sym_AMP_EQ] = ACTIONS(5394),
    [anon_sym_CARET_EQ] = ACTIONS(5394),
    [anon_sym_PIPE_EQ] = ACTIONS(5394),
    [anon_sym_and_eq] = ACTIONS(5392),
    [anon_sym_or_eq] = ACTIONS(5392),
    [anon_sym_xor_eq] = ACTIONS(5392),
    [anon_sym_LT_EQ_GT] = ACTIONS(5394),
    [anon_sym_or] = ACTIONS(5392),
    [anon_sym_and] = ACTIONS(5392),
    [anon_sym_bitor] = ACTIONS(5392),
    [anon_sym_xor] = ACTIONS(5392),
    [anon_sym_bitand] = ACTIONS(5392),
    [anon_sym_not_eq] = ACTIONS(5392),
    [anon_sym_DASH_DASH] = ACTIONS(5394),
    [anon_sym_PLUS_PLUS] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_DOT_STAR] = ACTIONS(5394),
    [anon_sym_DASH_GT] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
  },
  [2109] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5420),
    [anon_sym_COMMA] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5420),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5420),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5420),
    [anon_sym_PIPE_PIPE] = ACTIONS(5420),
    [anon_sym_AMP_AMP] = ACTIONS(5420),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_CARET] = ACTIONS(5420),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_EQ_EQ] = ACTIONS(5420),
    [anon_sym_BANG_EQ] = ACTIONS(5420),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_GT_EQ] = ACTIONS(5423),
    [anon_sym_LT_EQ] = ACTIONS(5423),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5420),
    [anon_sym_GT_GT] = ACTIONS(5423),
    [anon_sym___extension__] = ACTIONS(5423),
    [anon_sym___attribute__] = ACTIONS(5423),
    [anon_sym_LBRACE] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5743),
    [anon_sym_unsigned] = ACTIONS(5743),
    [anon_sym_long] = ACTIONS(5743),
    [anon_sym_short] = ACTIONS(5743),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5423),
    [anon_sym_constexpr] = ACTIONS(5423),
    [anon_sym_volatile] = ACTIONS(5423),
    [anon_sym_restrict] = ACTIONS(5423),
    [anon_sym___restrict__] = ACTIONS(5423),
    [anon_sym__Atomic] = ACTIONS(5423),
    [anon_sym__Noreturn] = ACTIONS(5423),
    [anon_sym_noreturn] = ACTIONS(5423),
    [anon_sym__Nonnull] = ACTIONS(5423),
    [anon_sym_mutable] = ACTIONS(5423),
    [anon_sym_constinit] = ACTIONS(5423),
    [anon_sym_consteval] = ACTIONS(5423),
    [anon_sym_alignas] = ACTIONS(5423),
    [anon_sym__Alignas] = ACTIONS(5423),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_QMARK] = ACTIONS(5420),
    [anon_sym_LT_EQ_GT] = ACTIONS(5420),
    [anon_sym_or] = ACTIONS(5423),
    [anon_sym_and] = ACTIONS(5423),
    [anon_sym_bitor] = ACTIONS(5423),
    [anon_sym_xor] = ACTIONS(5423),
    [anon_sym_bitand] = ACTIONS(5423),
    [anon_sym_not_eq] = ACTIONS(5423),
    [anon_sym_DASH_DASH] = ACTIONS(5420),
    [anon_sym_PLUS_PLUS] = ACTIONS(5420),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_DOT_STAR] = ACTIONS(5420),
    [anon_sym_DASH_GT] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5423),
    [anon_sym_decltype] = ACTIONS(5423),
    [anon_sym_final] = ACTIONS(5423),
    [anon_sym_override] = ACTIONS(5423),
    [anon_sym_GT2] = ACTIONS(5420),
    [anon_sym_requires] = ACTIONS(5423),
  },
  [2110] = {
    [sym_ms_based_modifier] = STATE(7591),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2137),
    [sym__declarator] = STATE(5994),
    [sym__abstract_declarator] = STATE(6274),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2676),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(3162),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5473),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2676),
    [aux_sym_pointer_declarator_repeat1] = STATE(2137),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_COMMA] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5772),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5646),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [2111] = {
    [sym_attribute_specifier] = STATE(2172),
    [sym_identifier] = ACTIONS(5774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [aux_sym_preproc_if_token2] = ACTIONS(5776),
    [aux_sym_preproc_else_token1] = ACTIONS(5776),
    [aux_sym_preproc_elif_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_EQ] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_STAR_EQ] = ACTIONS(5776),
    [anon_sym_SLASH_EQ] = ACTIONS(5776),
    [anon_sym_PERCENT_EQ] = ACTIONS(5776),
    [anon_sym_PLUS_EQ] = ACTIONS(5776),
    [anon_sym_DASH_EQ] = ACTIONS(5776),
    [anon_sym_LT_LT_EQ] = ACTIONS(5776),
    [anon_sym_GT_GT_EQ] = ACTIONS(5776),
    [anon_sym_AMP_EQ] = ACTIONS(5776),
    [anon_sym_CARET_EQ] = ACTIONS(5776),
    [anon_sym_PIPE_EQ] = ACTIONS(5776),
    [anon_sym_and_eq] = ACTIONS(5774),
    [anon_sym_or_eq] = ACTIONS(5774),
    [anon_sym_xor_eq] = ACTIONS(5774),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
  },
  [2112] = {
    [sym_string_literal] = STATE(2107),
    [sym_raw_string_literal] = STATE(2107),
    [aux_sym_concatenated_string_repeat1] = STATE(2107),
    [sym_identifier] = ACTIONS(5778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5135),
    [anon_sym_PLUS] = ACTIONS(5135),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_SLASH] = ACTIONS(5135),
    [anon_sym_PERCENT] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5133),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5135),
    [anon_sym_CARET] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5135),
    [anon_sym_EQ_EQ] = ACTIONS(5133),
    [anon_sym_BANG_EQ] = ACTIONS(5133),
    [anon_sym_GT] = ACTIONS(5135),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5135),
    [anon_sym_LT] = ACTIONS(5135),
    [anon_sym_LT_LT] = ACTIONS(5135),
    [anon_sym_GT_GT] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5135),
    [anon_sym_QMARK] = ACTIONS(5133),
    [anon_sym_STAR_EQ] = ACTIONS(5133),
    [anon_sym_SLASH_EQ] = ACTIONS(5133),
    [anon_sym_PERCENT_EQ] = ACTIONS(5133),
    [anon_sym_PLUS_EQ] = ACTIONS(5133),
    [anon_sym_DASH_EQ] = ACTIONS(5133),
    [anon_sym_LT_LT_EQ] = ACTIONS(5133),
    [anon_sym_GT_GT_EQ] = ACTIONS(5135),
    [anon_sym_AMP_EQ] = ACTIONS(5133),
    [anon_sym_CARET_EQ] = ACTIONS(5133),
    [anon_sym_PIPE_EQ] = ACTIONS(5133),
    [anon_sym_and_eq] = ACTIONS(5135),
    [anon_sym_or_eq] = ACTIONS(5135),
    [anon_sym_xor_eq] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5133),
    [anon_sym_or] = ACTIONS(5135),
    [anon_sym_and] = ACTIONS(5135),
    [anon_sym_bitor] = ACTIONS(5135),
    [anon_sym_xor] = ACTIONS(5135),
    [anon_sym_bitand] = ACTIONS(5135),
    [anon_sym_not_eq] = ACTIONS(5135),
    [anon_sym_DASH_DASH] = ACTIONS(5133),
    [anon_sym_PLUS_PLUS] = ACTIONS(5133),
    [anon_sym_DOT] = ACTIONS(5135),
    [anon_sym_DOT_STAR] = ACTIONS(5133),
    [anon_sym_DASH_GT] = ACTIONS(5133),
    [anon_sym_L_DQUOTE] = ACTIONS(5751),
    [anon_sym_u_DQUOTE] = ACTIONS(5751),
    [anon_sym_U_DQUOTE] = ACTIONS(5751),
    [anon_sym_u8_DQUOTE] = ACTIONS(5751),
    [anon_sym_DQUOTE] = ACTIONS(5751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5133),
    [anon_sym_R_DQUOTE] = ACTIONS(5753),
    [anon_sym_LR_DQUOTE] = ACTIONS(5753),
    [anon_sym_uR_DQUOTE] = ACTIONS(5753),
    [anon_sym_UR_DQUOTE] = ACTIONS(5753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5753),
    [sym_literal_suffix] = ACTIONS(5135),
  },
  [2113] = {
    [sym_attribute_specifier] = STATE(2190),
    [sym_identifier] = ACTIONS(5780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [anon_sym_RPAREN] = ACTIONS(5782),
    [aux_sym_preproc_if_token2] = ACTIONS(5782),
    [aux_sym_preproc_else_token1] = ACTIONS(5782),
    [aux_sym_preproc_elif_token1] = ACTIONS(5780),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_STAR] = ACTIONS(5780),
    [anon_sym_SLASH] = ACTIONS(5780),
    [anon_sym_PERCENT] = ACTIONS(5780),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5780),
    [anon_sym_CARET] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(5780),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5780),
    [anon_sym_GT_EQ] = ACTIONS(5782),
    [anon_sym_LT_EQ] = ACTIONS(5780),
    [anon_sym_LT] = ACTIONS(5780),
    [anon_sym_LT_LT] = ACTIONS(5780),
    [anon_sym_GT_GT] = ACTIONS(5780),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_RBRACK] = ACTIONS(5782),
    [anon_sym_EQ] = ACTIONS(5780),
    [anon_sym_COLON] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_STAR_EQ] = ACTIONS(5782),
    [anon_sym_SLASH_EQ] = ACTIONS(5782),
    [anon_sym_PERCENT_EQ] = ACTIONS(5782),
    [anon_sym_PLUS_EQ] = ACTIONS(5782),
    [anon_sym_DASH_EQ] = ACTIONS(5782),
    [anon_sym_LT_LT_EQ] = ACTIONS(5782),
    [anon_sym_GT_GT_EQ] = ACTIONS(5782),
    [anon_sym_AMP_EQ] = ACTIONS(5782),
    [anon_sym_CARET_EQ] = ACTIONS(5782),
    [anon_sym_PIPE_EQ] = ACTIONS(5782),
    [anon_sym_and_eq] = ACTIONS(5780),
    [anon_sym_or_eq] = ACTIONS(5780),
    [anon_sym_xor_eq] = ACTIONS(5780),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5780),
    [anon_sym_and] = ACTIONS(5780),
    [anon_sym_bitor] = ACTIONS(5780),
    [anon_sym_xor] = ACTIONS(5780),
    [anon_sym_bitand] = ACTIONS(5780),
    [anon_sym_not_eq] = ACTIONS(5780),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5780),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5780),
    [anon_sym_decltype] = ACTIONS(5780),
  },
  [2114] = {
    [sym_attribute_declaration] = STATE(2157),
    [sym_parameter_list] = STATE(2220),
    [aux_sym_attributed_declarator_repeat1] = STATE(2157),
    [sym_identifier] = ACTIONS(5784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_else_token1] = ACTIONS(5786),
    [aux_sym_preproc_elif_token1] = ACTIONS(5784),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5786),
    [anon_sym_EQ] = ACTIONS(5784),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_STAR_EQ] = ACTIONS(5786),
    [anon_sym_SLASH_EQ] = ACTIONS(5786),
    [anon_sym_PERCENT_EQ] = ACTIONS(5786),
    [anon_sym_PLUS_EQ] = ACTIONS(5786),
    [anon_sym_DASH_EQ] = ACTIONS(5786),
    [anon_sym_LT_LT_EQ] = ACTIONS(5786),
    [anon_sym_GT_GT_EQ] = ACTIONS(5786),
    [anon_sym_AMP_EQ] = ACTIONS(5786),
    [anon_sym_CARET_EQ] = ACTIONS(5786),
    [anon_sym_PIPE_EQ] = ACTIONS(5786),
    [anon_sym_and_eq] = ACTIONS(5784),
    [anon_sym_or_eq] = ACTIONS(5784),
    [anon_sym_xor_eq] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5784),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5784),
    [anon_sym_not_eq] = ACTIONS(5784),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
  },
  [2115] = {
    [sym_attribute_specifier] = STATE(2192),
    [sym_identifier] = ACTIONS(5794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_RPAREN] = ACTIONS(5796),
    [aux_sym_preproc_if_token2] = ACTIONS(5796),
    [aux_sym_preproc_else_token1] = ACTIONS(5796),
    [aux_sym_preproc_elif_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5796),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_STAR] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_PIPE] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5794),
    [anon_sym_GT_EQ] = ACTIONS(5796),
    [anon_sym_LT_EQ] = ACTIONS(5794),
    [anon_sym_LT] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_RBRACE] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [anon_sym_RBRACK] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_STAR_EQ] = ACTIONS(5796),
    [anon_sym_SLASH_EQ] = ACTIONS(5796),
    [anon_sym_PERCENT_EQ] = ACTIONS(5796),
    [anon_sym_PLUS_EQ] = ACTIONS(5796),
    [anon_sym_DASH_EQ] = ACTIONS(5796),
    [anon_sym_LT_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT_GT_EQ] = ACTIONS(5796),
    [anon_sym_AMP_EQ] = ACTIONS(5796),
    [anon_sym_CARET_EQ] = ACTIONS(5796),
    [anon_sym_PIPE_EQ] = ACTIONS(5796),
    [anon_sym_and_eq] = ACTIONS(5794),
    [anon_sym_or_eq] = ACTIONS(5794),
    [anon_sym_xor_eq] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5796),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_bitor] = ACTIONS(5794),
    [anon_sym_xor] = ACTIONS(5794),
    [anon_sym_bitand] = ACTIONS(5794),
    [anon_sym_not_eq] = ACTIONS(5794),
    [anon_sym_DASH_DASH] = ACTIONS(5796),
    [anon_sym_PLUS_PLUS] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_DOT_STAR] = ACTIONS(5796),
    [anon_sym_DASH_GT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_else_token1] = ACTIONS(5337),
    [aux_sym_preproc_elif_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_DASH] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_SLASH] = ACTIONS(5335),
    [anon_sym_PERCENT] = ACTIONS(5335),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_PIPE] = ACTIONS(5335),
    [anon_sym_CARET] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_EQ_EQ] = ACTIONS(5337),
    [anon_sym_BANG_EQ] = ACTIONS(5337),
    [anon_sym_GT] = ACTIONS(5335),
    [anon_sym_GT_EQ] = ACTIONS(5337),
    [anon_sym_LT_EQ] = ACTIONS(5335),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(5335),
    [anon_sym_GT_GT] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_RBRACK] = ACTIONS(5337),
    [anon_sym_EQ] = ACTIONS(5335),
    [anon_sym_COLON] = ACTIONS(5335),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_STAR_EQ] = ACTIONS(5337),
    [anon_sym_SLASH_EQ] = ACTIONS(5337),
    [anon_sym_PERCENT_EQ] = ACTIONS(5337),
    [anon_sym_PLUS_EQ] = ACTIONS(5337),
    [anon_sym_DASH_EQ] = ACTIONS(5337),
    [anon_sym_LT_LT_EQ] = ACTIONS(5337),
    [anon_sym_GT_GT_EQ] = ACTIONS(5337),
    [anon_sym_AMP_EQ] = ACTIONS(5337),
    [anon_sym_CARET_EQ] = ACTIONS(5337),
    [anon_sym_PIPE_EQ] = ACTIONS(5337),
    [anon_sym_and_eq] = ACTIONS(5335),
    [anon_sym_or_eq] = ACTIONS(5335),
    [anon_sym_xor_eq] = ACTIONS(5335),
    [anon_sym_LT_EQ_GT] = ACTIONS(5337),
    [anon_sym_or] = ACTIONS(5335),
    [anon_sym_and] = ACTIONS(5335),
    [anon_sym_bitor] = ACTIONS(5335),
    [anon_sym_xor] = ACTIONS(5335),
    [anon_sym_bitand] = ACTIONS(5335),
    [anon_sym_not_eq] = ACTIONS(5335),
    [anon_sym_DASH_DASH] = ACTIONS(5337),
    [anon_sym_PLUS_PLUS] = ACTIONS(5337),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_DOT_STAR] = ACTIONS(5337),
    [anon_sym_DASH_GT] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
  },
  [2117] = {
    [sym_attribute_declaration] = STATE(2157),
    [sym_parameter_list] = STATE(2220),
    [aux_sym_attributed_declarator_repeat1] = STATE(2157),
    [sym_identifier] = ACTIONS(5798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [aux_sym_preproc_if_token2] = ACTIONS(5800),
    [aux_sym_preproc_else_token1] = ACTIONS(5800),
    [aux_sym_preproc_elif_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5800),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_STAR] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5798),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5798),
    [anon_sym_LT] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_STAR_EQ] = ACTIONS(5800),
    [anon_sym_SLASH_EQ] = ACTIONS(5800),
    [anon_sym_PERCENT_EQ] = ACTIONS(5800),
    [anon_sym_PLUS_EQ] = ACTIONS(5800),
    [anon_sym_DASH_EQ] = ACTIONS(5800),
    [anon_sym_LT_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT_GT_EQ] = ACTIONS(5800),
    [anon_sym_AMP_EQ] = ACTIONS(5800),
    [anon_sym_CARET_EQ] = ACTIONS(5800),
    [anon_sym_PIPE_EQ] = ACTIONS(5800),
    [anon_sym_and_eq] = ACTIONS(5798),
    [anon_sym_or_eq] = ACTIONS(5798),
    [anon_sym_xor_eq] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_bitor] = ACTIONS(5798),
    [anon_sym_xor] = ACTIONS(5798),
    [anon_sym_bitand] = ACTIONS(5798),
    [anon_sym_not_eq] = ACTIONS(5798),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
  },
  [2118] = {
    [sym_string_literal] = STATE(3254),
    [sym_template_argument_list] = STATE(4214),
    [sym_raw_string_literal] = STATE(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4031),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4935),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(4942),
    [anon_sym_SLASH_EQ] = ACTIONS(4942),
    [anon_sym_PERCENT_EQ] = ACTIONS(4942),
    [anon_sym_PLUS_EQ] = ACTIONS(4942),
    [anon_sym_DASH_EQ] = ACTIONS(4942),
    [anon_sym_LT_LT_EQ] = ACTIONS(4942),
    [anon_sym_GT_GT_EQ] = ACTIONS(4940),
    [anon_sym_AMP_EQ] = ACTIONS(4942),
    [anon_sym_CARET_EQ] = ACTIONS(4942),
    [anon_sym_PIPE_EQ] = ACTIONS(4942),
    [anon_sym_and_eq] = ACTIONS(4942),
    [anon_sym_or_eq] = ACTIONS(4942),
    [anon_sym_xor_eq] = ACTIONS(4942),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(4944),
    [anon_sym_u_DQUOTE] = ACTIONS(4944),
    [anon_sym_U_DQUOTE] = ACTIONS(4944),
    [anon_sym_u8_DQUOTE] = ACTIONS(4944),
    [anon_sym_DQUOTE] = ACTIONS(4944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4023),
    [anon_sym_R_DQUOTE] = ACTIONS(4946),
    [anon_sym_LR_DQUOTE] = ACTIONS(4946),
    [anon_sym_uR_DQUOTE] = ACTIONS(4946),
    [anon_sym_UR_DQUOTE] = ACTIONS(4946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4946),
  },
  [2119] = {
    [sym_attribute_declaration] = STATE(2157),
    [sym_parameter_list] = STATE(2220),
    [aux_sym_attributed_declarator_repeat1] = STATE(2157),
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [aux_sym_preproc_if_token2] = ACTIONS(5804),
    [aux_sym_preproc_else_token1] = ACTIONS(5804),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5804),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5802),
    [anon_sym_or_eq] = ACTIONS(5802),
    [anon_sym_xor_eq] = ACTIONS(5802),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5802),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5802),
    [anon_sym_not_eq] = ACTIONS(5802),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
  },
  [2120] = {
    [sym_attribute_specifier] = STATE(2222),
    [sym_identifier] = ACTIONS(5806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5808),
    [anon_sym_COMMA] = ACTIONS(5808),
    [anon_sym_RPAREN] = ACTIONS(5808),
    [aux_sym_preproc_if_token2] = ACTIONS(5808),
    [aux_sym_preproc_else_token1] = ACTIONS(5808),
    [aux_sym_preproc_elif_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5808),
    [anon_sym_LPAREN2] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5806),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5806),
    [anon_sym_PIPE_PIPE] = ACTIONS(5808),
    [anon_sym_AMP_AMP] = ACTIONS(5808),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5806),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5808),
    [anon_sym_BANG_EQ] = ACTIONS(5808),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5808),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5806),
    [anon_sym_GT_GT] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5808),
    [anon_sym_RBRACE] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [anon_sym_RBRACK] = ACTIONS(5808),
    [anon_sym_EQ] = ACTIONS(5806),
    [anon_sym_COLON] = ACTIONS(5808),
    [anon_sym_QMARK] = ACTIONS(5808),
    [anon_sym_STAR_EQ] = ACTIONS(5808),
    [anon_sym_SLASH_EQ] = ACTIONS(5808),
    [anon_sym_PERCENT_EQ] = ACTIONS(5808),
    [anon_sym_PLUS_EQ] = ACTIONS(5808),
    [anon_sym_DASH_EQ] = ACTIONS(5808),
    [anon_sym_LT_LT_EQ] = ACTIONS(5808),
    [anon_sym_GT_GT_EQ] = ACTIONS(5808),
    [anon_sym_AMP_EQ] = ACTIONS(5808),
    [anon_sym_CARET_EQ] = ACTIONS(5808),
    [anon_sym_PIPE_EQ] = ACTIONS(5808),
    [anon_sym_and_eq] = ACTIONS(5806),
    [anon_sym_or_eq] = ACTIONS(5806),
    [anon_sym_xor_eq] = ACTIONS(5806),
    [anon_sym_LT_EQ_GT] = ACTIONS(5808),
    [anon_sym_or] = ACTIONS(5806),
    [anon_sym_and] = ACTIONS(5806),
    [anon_sym_bitor] = ACTIONS(5806),
    [anon_sym_xor] = ACTIONS(5806),
    [anon_sym_bitand] = ACTIONS(5806),
    [anon_sym_not_eq] = ACTIONS(5806),
    [anon_sym_DASH_DASH] = ACTIONS(5808),
    [anon_sym_PLUS_PLUS] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5808),
    [anon_sym_DASH_GT] = ACTIONS(5808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5806),
  },
  [2121] = {
    [sym_attribute_specifier] = STATE(2150),
    [sym_identifier] = ACTIONS(5810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5812),
    [anon_sym_COMMA] = ACTIONS(5812),
    [anon_sym_RPAREN] = ACTIONS(5812),
    [aux_sym_preproc_if_token2] = ACTIONS(5812),
    [aux_sym_preproc_else_token1] = ACTIONS(5812),
    [aux_sym_preproc_elif_token1] = ACTIONS(5810),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5812),
    [anon_sym_LPAREN2] = ACTIONS(5812),
    [anon_sym_DASH] = ACTIONS(5810),
    [anon_sym_PLUS] = ACTIONS(5810),
    [anon_sym_STAR] = ACTIONS(5810),
    [anon_sym_SLASH] = ACTIONS(5810),
    [anon_sym_PERCENT] = ACTIONS(5810),
    [anon_sym_PIPE_PIPE] = ACTIONS(5812),
    [anon_sym_AMP_AMP] = ACTIONS(5812),
    [anon_sym_PIPE] = ACTIONS(5810),
    [anon_sym_CARET] = ACTIONS(5810),
    [anon_sym_AMP] = ACTIONS(5810),
    [anon_sym_EQ_EQ] = ACTIONS(5812),
    [anon_sym_BANG_EQ] = ACTIONS(5812),
    [anon_sym_GT] = ACTIONS(5810),
    [anon_sym_GT_EQ] = ACTIONS(5812),
    [anon_sym_LT_EQ] = ACTIONS(5810),
    [anon_sym_LT] = ACTIONS(5810),
    [anon_sym_LT_LT] = ACTIONS(5810),
    [anon_sym_GT_GT] = ACTIONS(5810),
    [anon_sym_SEMI] = ACTIONS(5812),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5812),
    [anon_sym_RBRACE] = ACTIONS(5812),
    [anon_sym_LBRACK] = ACTIONS(5812),
    [anon_sym_RBRACK] = ACTIONS(5812),
    [anon_sym_EQ] = ACTIONS(5810),
    [anon_sym_COLON] = ACTIONS(5812),
    [anon_sym_QMARK] = ACTIONS(5812),
    [anon_sym_STAR_EQ] = ACTIONS(5812),
    [anon_sym_SLASH_EQ] = ACTIONS(5812),
    [anon_sym_PERCENT_EQ] = ACTIONS(5812),
    [anon_sym_PLUS_EQ] = ACTIONS(5812),
    [anon_sym_DASH_EQ] = ACTIONS(5812),
    [anon_sym_LT_LT_EQ] = ACTIONS(5812),
    [anon_sym_GT_GT_EQ] = ACTIONS(5812),
    [anon_sym_AMP_EQ] = ACTIONS(5812),
    [anon_sym_CARET_EQ] = ACTIONS(5812),
    [anon_sym_PIPE_EQ] = ACTIONS(5812),
    [anon_sym_and_eq] = ACTIONS(5810),
    [anon_sym_or_eq] = ACTIONS(5810),
    [anon_sym_xor_eq] = ACTIONS(5810),
    [anon_sym_LT_EQ_GT] = ACTIONS(5812),
    [anon_sym_or] = ACTIONS(5810),
    [anon_sym_and] = ACTIONS(5810),
    [anon_sym_bitor] = ACTIONS(5810),
    [anon_sym_xor] = ACTIONS(5810),
    [anon_sym_bitand] = ACTIONS(5810),
    [anon_sym_not_eq] = ACTIONS(5810),
    [anon_sym_DASH_DASH] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5812),
    [anon_sym_DOT] = ACTIONS(5810),
    [anon_sym_DOT_STAR] = ACTIONS(5812),
    [anon_sym_DASH_GT] = ACTIONS(5812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5810),
    [anon_sym_decltype] = ACTIONS(5810),
  },
  [2122] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5190),
    [anon_sym_COMMA] = ACTIONS(5190),
    [anon_sym_RPAREN] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5188),
    [anon_sym_STAR] = ACTIONS(5188),
    [anon_sym_SLASH] = ACTIONS(5188),
    [anon_sym_PERCENT] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_PIPE] = ACTIONS(5188),
    [anon_sym_CARET] = ACTIONS(5188),
    [anon_sym_AMP] = ACTIONS(5188),
    [anon_sym_EQ_EQ] = ACTIONS(5190),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_GT] = ACTIONS(5188),
    [anon_sym_GT_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5188),
    [anon_sym_LT] = ACTIONS(5188),
    [anon_sym_LT_LT] = ACTIONS(5188),
    [anon_sym_GT_GT] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5190),
    [anon_sym_RBRACE] = ACTIONS(5190),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [anon_sym_RBRACK] = ACTIONS(5190),
    [anon_sym_EQ] = ACTIONS(5188),
    [anon_sym_COLON] = ACTIONS(5190),
    [anon_sym_QMARK] = ACTIONS(5190),
    [anon_sym_STAR_EQ] = ACTIONS(5190),
    [anon_sym_SLASH_EQ] = ACTIONS(5190),
    [anon_sym_PERCENT_EQ] = ACTIONS(5190),
    [anon_sym_PLUS_EQ] = ACTIONS(5190),
    [anon_sym_DASH_EQ] = ACTIONS(5190),
    [anon_sym_LT_LT_EQ] = ACTIONS(5190),
    [anon_sym_GT_GT_EQ] = ACTIONS(5190),
    [anon_sym_AMP_EQ] = ACTIONS(5190),
    [anon_sym_CARET_EQ] = ACTIONS(5190),
    [anon_sym_PIPE_EQ] = ACTIONS(5190),
    [anon_sym_and_eq] = ACTIONS(5188),
    [anon_sym_or_eq] = ACTIONS(5188),
    [anon_sym_xor_eq] = ACTIONS(5188),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_bitor] = ACTIONS(5188),
    [anon_sym_xor] = ACTIONS(5188),
    [anon_sym_bitand] = ACTIONS(5188),
    [anon_sym_not_eq] = ACTIONS(5188),
    [anon_sym_DASH_DASH] = ACTIONS(5190),
    [anon_sym_PLUS_PLUS] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_DOT_STAR] = ACTIONS(5190),
    [anon_sym_DASH_GT] = ACTIONS(5190),
    [anon_sym_L_DQUOTE] = ACTIONS(5190),
    [anon_sym_u_DQUOTE] = ACTIONS(5190),
    [anon_sym_U_DQUOTE] = ACTIONS(5190),
    [anon_sym_u8_DQUOTE] = ACTIONS(5190),
    [anon_sym_DQUOTE] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5190),
    [anon_sym_LR_DQUOTE] = ACTIONS(5190),
    [anon_sym_uR_DQUOTE] = ACTIONS(5190),
    [anon_sym_UR_DQUOTE] = ACTIONS(5190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5190),
    [sym_literal_suffix] = ACTIONS(5188),
  },
  [2123] = {
    [sym_attribute_specifier] = STATE(2163),
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5816),
    [anon_sym_COMMA] = ACTIONS(5816),
    [anon_sym_RPAREN] = ACTIONS(5816),
    [aux_sym_preproc_if_token2] = ACTIONS(5816),
    [aux_sym_preproc_else_token1] = ACTIONS(5816),
    [aux_sym_preproc_elif_token1] = ACTIONS(5814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5816),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5814),
    [anon_sym_STAR] = ACTIONS(5814),
    [anon_sym_SLASH] = ACTIONS(5814),
    [anon_sym_PERCENT] = ACTIONS(5814),
    [anon_sym_PIPE_PIPE] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_PIPE] = ACTIONS(5814),
    [anon_sym_CARET] = ACTIONS(5814),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym_EQ_EQ] = ACTIONS(5816),
    [anon_sym_BANG_EQ] = ACTIONS(5816),
    [anon_sym_GT] = ACTIONS(5814),
    [anon_sym_GT_EQ] = ACTIONS(5816),
    [anon_sym_LT_EQ] = ACTIONS(5814),
    [anon_sym_LT] = ACTIONS(5814),
    [anon_sym_LT_LT] = ACTIONS(5814),
    [anon_sym_GT_GT] = ACTIONS(5814),
    [anon_sym_SEMI] = ACTIONS(5816),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5816),
    [anon_sym_RBRACE] = ACTIONS(5816),
    [anon_sym_LBRACK] = ACTIONS(5816),
    [anon_sym_RBRACK] = ACTIONS(5816),
    [anon_sym_EQ] = ACTIONS(5814),
    [anon_sym_COLON] = ACTIONS(5816),
    [anon_sym_QMARK] = ACTIONS(5816),
    [anon_sym_STAR_EQ] = ACTIONS(5816),
    [anon_sym_SLASH_EQ] = ACTIONS(5816),
    [anon_sym_PERCENT_EQ] = ACTIONS(5816),
    [anon_sym_PLUS_EQ] = ACTIONS(5816),
    [anon_sym_DASH_EQ] = ACTIONS(5816),
    [anon_sym_LT_LT_EQ] = ACTIONS(5816),
    [anon_sym_GT_GT_EQ] = ACTIONS(5816),
    [anon_sym_AMP_EQ] = ACTIONS(5816),
    [anon_sym_CARET_EQ] = ACTIONS(5816),
    [anon_sym_PIPE_EQ] = ACTIONS(5816),
    [anon_sym_and_eq] = ACTIONS(5814),
    [anon_sym_or_eq] = ACTIONS(5814),
    [anon_sym_xor_eq] = ACTIONS(5814),
    [anon_sym_LT_EQ_GT] = ACTIONS(5816),
    [anon_sym_or] = ACTIONS(5814),
    [anon_sym_and] = ACTIONS(5814),
    [anon_sym_bitor] = ACTIONS(5814),
    [anon_sym_xor] = ACTIONS(5814),
    [anon_sym_bitand] = ACTIONS(5814),
    [anon_sym_not_eq] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5816),
    [anon_sym_PLUS_PLUS] = ACTIONS(5816),
    [anon_sym_DOT] = ACTIONS(5814),
    [anon_sym_DOT_STAR] = ACTIONS(5816),
    [anon_sym_DASH_GT] = ACTIONS(5816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
  },
  [2124] = {
    [sym_ms_based_modifier] = STATE(7591),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(3830),
    [sym__declarator] = STATE(6006),
    [sym__abstract_declarator] = STATE(6279),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2615),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(3011),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5473),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2615),
    [aux_sym_pointer_declarator_repeat1] = STATE(3830),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(5818),
    [anon_sym_AMP_AMP] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [2125] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_COMMA] = ACTIONS(5186),
    [anon_sym_RPAREN] = ACTIONS(5186),
    [anon_sym_LPAREN2] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5184),
    [anon_sym_STAR] = ACTIONS(5184),
    [anon_sym_SLASH] = ACTIONS(5184),
    [anon_sym_PERCENT] = ACTIONS(5184),
    [anon_sym_PIPE_PIPE] = ACTIONS(5186),
    [anon_sym_AMP_AMP] = ACTIONS(5186),
    [anon_sym_PIPE] = ACTIONS(5184),
    [anon_sym_CARET] = ACTIONS(5184),
    [anon_sym_AMP] = ACTIONS(5184),
    [anon_sym_EQ_EQ] = ACTIONS(5186),
    [anon_sym_BANG_EQ] = ACTIONS(5186),
    [anon_sym_GT] = ACTIONS(5184),
    [anon_sym_GT_EQ] = ACTIONS(5186),
    [anon_sym_LT_EQ] = ACTIONS(5184),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_LT_LT] = ACTIONS(5184),
    [anon_sym_GT_GT] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [anon_sym_RBRACE] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [anon_sym_RBRACK] = ACTIONS(5186),
    [anon_sym_EQ] = ACTIONS(5184),
    [anon_sym_COLON] = ACTIONS(5186),
    [anon_sym_QMARK] = ACTIONS(5186),
    [anon_sym_STAR_EQ] = ACTIONS(5186),
    [anon_sym_SLASH_EQ] = ACTIONS(5186),
    [anon_sym_PERCENT_EQ] = ACTIONS(5186),
    [anon_sym_PLUS_EQ] = ACTIONS(5186),
    [anon_sym_DASH_EQ] = ACTIONS(5186),
    [anon_sym_LT_LT_EQ] = ACTIONS(5186),
    [anon_sym_GT_GT_EQ] = ACTIONS(5186),
    [anon_sym_AMP_EQ] = ACTIONS(5186),
    [anon_sym_CARET_EQ] = ACTIONS(5186),
    [anon_sym_PIPE_EQ] = ACTIONS(5186),
    [anon_sym_and_eq] = ACTIONS(5184),
    [anon_sym_or_eq] = ACTIONS(5184),
    [anon_sym_xor_eq] = ACTIONS(5184),
    [anon_sym_LT_EQ_GT] = ACTIONS(5186),
    [anon_sym_or] = ACTIONS(5184),
    [anon_sym_and] = ACTIONS(5184),
    [anon_sym_bitor] = ACTIONS(5184),
    [anon_sym_xor] = ACTIONS(5184),
    [anon_sym_bitand] = ACTIONS(5184),
    [anon_sym_not_eq] = ACTIONS(5184),
    [anon_sym_DASH_DASH] = ACTIONS(5186),
    [anon_sym_PLUS_PLUS] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_DOT_STAR] = ACTIONS(5186),
    [anon_sym_DASH_GT] = ACTIONS(5186),
    [anon_sym_L_DQUOTE] = ACTIONS(5186),
    [anon_sym_u_DQUOTE] = ACTIONS(5186),
    [anon_sym_U_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8_DQUOTE] = ACTIONS(5186),
    [anon_sym_DQUOTE] = ACTIONS(5186),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5186),
    [anon_sym_LR_DQUOTE] = ACTIONS(5186),
    [anon_sym_uR_DQUOTE] = ACTIONS(5186),
    [anon_sym_UR_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5186),
    [sym_literal_suffix] = ACTIONS(5184),
  },
  [2126] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2130),
    [sym_identifier] = ACTIONS(5824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [aux_sym_preproc_if_token2] = ACTIONS(5472),
    [aux_sym_preproc_else_token1] = ACTIONS(5472),
    [aux_sym_preproc_elif_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5472),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5472),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5827),
    [anon_sym_unsigned] = ACTIONS(5827),
    [anon_sym_long] = ACTIONS(5827),
    [anon_sym_short] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_EQ] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5829),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_STAR_EQ] = ACTIONS(5472),
    [anon_sym_SLASH_EQ] = ACTIONS(5472),
    [anon_sym_PERCENT_EQ] = ACTIONS(5472),
    [anon_sym_PLUS_EQ] = ACTIONS(5472),
    [anon_sym_DASH_EQ] = ACTIONS(5472),
    [anon_sym_LT_LT_EQ] = ACTIONS(5472),
    [anon_sym_GT_GT_EQ] = ACTIONS(5472),
    [anon_sym_AMP_EQ] = ACTIONS(5472),
    [anon_sym_CARET_EQ] = ACTIONS(5472),
    [anon_sym_PIPE_EQ] = ACTIONS(5472),
    [anon_sym_and_eq] = ACTIONS(5474),
    [anon_sym_or_eq] = ACTIONS(5474),
    [anon_sym_xor_eq] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5472),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5472),
    [anon_sym_PLUS_PLUS] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5289),
    [anon_sym_COMMA] = ACTIONS(5289),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_TILDE] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym_SEMI] = ACTIONS(5289),
    [anon_sym___extension__] = ACTIONS(5287),
    [anon_sym_virtual] = ACTIONS(5287),
    [anon_sym_extern] = ACTIONS(5287),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5289),
    [anon_sym___declspec] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5287),
    [anon_sym___cdecl] = ACTIONS(5287),
    [anon_sym___clrcall] = ACTIONS(5287),
    [anon_sym___stdcall] = ACTIONS(5287),
    [anon_sym___fastcall] = ACTIONS(5287),
    [anon_sym___thiscall] = ACTIONS(5287),
    [anon_sym___vectorcall] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_static] = ACTIONS(5287),
    [anon_sym_EQ] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5287),
    [anon_sym_inline] = ACTIONS(5287),
    [anon_sym___inline] = ACTIONS(5287),
    [anon_sym___inline__] = ACTIONS(5287),
    [anon_sym___forceinline] = ACTIONS(5287),
    [anon_sym_thread_local] = ACTIONS(5287),
    [anon_sym___thread] = ACTIONS(5287),
    [anon_sym_const] = ACTIONS(5287),
    [anon_sym_constexpr] = ACTIONS(5287),
    [anon_sym_volatile] = ACTIONS(5287),
    [anon_sym_restrict] = ACTIONS(5287),
    [anon_sym___restrict__] = ACTIONS(5287),
    [anon_sym__Atomic] = ACTIONS(5287),
    [anon_sym__Noreturn] = ACTIONS(5287),
    [anon_sym_noreturn] = ACTIONS(5287),
    [anon_sym__Nonnull] = ACTIONS(5287),
    [anon_sym_mutable] = ACTIONS(5287),
    [anon_sym_constinit] = ACTIONS(5287),
    [anon_sym_consteval] = ACTIONS(5287),
    [anon_sym_alignas] = ACTIONS(5287),
    [anon_sym__Alignas] = ACTIONS(5287),
    [anon_sym_COLON] = ACTIONS(5287),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [anon_sym_asm] = ACTIONS(5287),
    [anon_sym___asm__] = ACTIONS(5287),
    [anon_sym___asm] = ACTIONS(5287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_final] = ACTIONS(5287),
    [anon_sym_override] = ACTIONS(5287),
    [anon_sym_template] = ACTIONS(5287),
    [anon_sym_GT2] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5287),
    [anon_sym_try] = ACTIONS(5287),
    [anon_sym_requires] = ACTIONS(5287),
  },
  [2128] = {
    [sym_template_argument_list] = STATE(1876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2205),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4029),
    [anon_sym_COMMA] = ACTIONS(4029),
    [aux_sym_preproc_if_token2] = ACTIONS(4029),
    [aux_sym_preproc_else_token1] = ACTIONS(4029),
    [aux_sym_preproc_elif_token1] = ACTIONS(4021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4029),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4029),
    [anon_sym_LPAREN2] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4021),
    [anon_sym_PLUS] = ACTIONS(4021),
    [anon_sym_STAR] = ACTIONS(4021),
    [anon_sym_SLASH] = ACTIONS(4021),
    [anon_sym_PERCENT] = ACTIONS(4021),
    [anon_sym_PIPE_PIPE] = ACTIONS(4029),
    [anon_sym_AMP_AMP] = ACTIONS(4029),
    [anon_sym_PIPE] = ACTIONS(4021),
    [anon_sym_CARET] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4021),
    [anon_sym_EQ_EQ] = ACTIONS(4029),
    [anon_sym_BANG_EQ] = ACTIONS(4029),
    [anon_sym_GT] = ACTIONS(4021),
    [anon_sym_GT_EQ] = ACTIONS(4029),
    [anon_sym_LT_EQ] = ACTIONS(4021),
    [anon_sym_LT] = ACTIONS(5575),
    [anon_sym_LT_LT] = ACTIONS(4021),
    [anon_sym_GT_GT] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4029),
    [anon_sym_signed] = ACTIONS(5719),
    [anon_sym_unsigned] = ACTIONS(5719),
    [anon_sym_long] = ACTIONS(5719),
    [anon_sym_short] = ACTIONS(5719),
    [anon_sym_LBRACK] = ACTIONS(4029),
    [anon_sym_EQ] = ACTIONS(4021),
    [anon_sym_QMARK] = ACTIONS(4029),
    [anon_sym_STAR_EQ] = ACTIONS(4029),
    [anon_sym_SLASH_EQ] = ACTIONS(4029),
    [anon_sym_PERCENT_EQ] = ACTIONS(4029),
    [anon_sym_PLUS_EQ] = ACTIONS(4029),
    [anon_sym_DASH_EQ] = ACTIONS(4029),
    [anon_sym_LT_LT_EQ] = ACTIONS(4029),
    [anon_sym_GT_GT_EQ] = ACTIONS(4029),
    [anon_sym_AMP_EQ] = ACTIONS(4029),
    [anon_sym_CARET_EQ] = ACTIONS(4029),
    [anon_sym_PIPE_EQ] = ACTIONS(4029),
    [anon_sym_and_eq] = ACTIONS(4021),
    [anon_sym_or_eq] = ACTIONS(4021),
    [anon_sym_xor_eq] = ACTIONS(4021),
    [anon_sym_LT_EQ_GT] = ACTIONS(4029),
    [anon_sym_or] = ACTIONS(4021),
    [anon_sym_and] = ACTIONS(4021),
    [anon_sym_bitor] = ACTIONS(4021),
    [anon_sym_xor] = ACTIONS(4021),
    [anon_sym_bitand] = ACTIONS(4021),
    [anon_sym_not_eq] = ACTIONS(4021),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_DOT] = ACTIONS(4021),
    [anon_sym_DOT_STAR] = ACTIONS(4029),
    [anon_sym_DASH_GT] = ACTIONS(4029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4021),
    [anon_sym_decltype] = ACTIONS(4021),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5390),
    [anon_sym_COMMA] = ACTIONS(5390),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym___cdecl] = ACTIONS(5388),
    [anon_sym___clrcall] = ACTIONS(5388),
    [anon_sym___stdcall] = ACTIONS(5388),
    [anon_sym___fastcall] = ACTIONS(5388),
    [anon_sym___thiscall] = ACTIONS(5388),
    [anon_sym___vectorcall] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_EQ] = ACTIONS(5390),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [anon_sym_COLON] = ACTIONS(5388),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [anon_sym_asm] = ACTIONS(5388),
    [anon_sym___asm__] = ACTIONS(5388),
    [anon_sym___asm] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_final] = ACTIONS(5388),
    [anon_sym_override] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_GT2] = ACTIONS(5390),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_try] = ACTIONS(5388),
    [anon_sym_requires] = ACTIONS(5388),
  },
  [2130] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(5423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5420),
    [anon_sym_COMMA] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_else_token1] = ACTIONS(5420),
    [aux_sym_preproc_elif_token1] = ACTIONS(5423),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5420),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5423),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5423),
    [anon_sym_PIPE_PIPE] = ACTIONS(5420),
    [anon_sym_AMP_AMP] = ACTIONS(5420),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_CARET] = ACTIONS(5423),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_EQ_EQ] = ACTIONS(5420),
    [anon_sym_BANG_EQ] = ACTIONS(5420),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_GT_EQ] = ACTIONS(5420),
    [anon_sym_LT_EQ] = ACTIONS(5423),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5423),
    [anon_sym_GT_GT] = ACTIONS(5423),
    [anon_sym___attribute__] = ACTIONS(5423),
    [anon_sym_LBRACE] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5219),
    [anon_sym_unsigned] = ACTIONS(5219),
    [anon_sym_long] = ACTIONS(5219),
    [anon_sym_short] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_EQ] = ACTIONS(5423),
    [sym_primitive_type] = ACTIONS(5147),
    [anon_sym_QMARK] = ACTIONS(5420),
    [anon_sym_STAR_EQ] = ACTIONS(5420),
    [anon_sym_SLASH_EQ] = ACTIONS(5420),
    [anon_sym_PERCENT_EQ] = ACTIONS(5420),
    [anon_sym_PLUS_EQ] = ACTIONS(5420),
    [anon_sym_DASH_EQ] = ACTIONS(5420),
    [anon_sym_LT_LT_EQ] = ACTIONS(5420),
    [anon_sym_GT_GT_EQ] = ACTIONS(5420),
    [anon_sym_AMP_EQ] = ACTIONS(5420),
    [anon_sym_CARET_EQ] = ACTIONS(5420),
    [anon_sym_PIPE_EQ] = ACTIONS(5420),
    [anon_sym_and_eq] = ACTIONS(5423),
    [anon_sym_or_eq] = ACTIONS(5423),
    [anon_sym_xor_eq] = ACTIONS(5423),
    [anon_sym_LT_EQ_GT] = ACTIONS(5420),
    [anon_sym_or] = ACTIONS(5423),
    [anon_sym_and] = ACTIONS(5423),
    [anon_sym_bitor] = ACTIONS(5423),
    [anon_sym_xor] = ACTIONS(5423),
    [anon_sym_bitand] = ACTIONS(5423),
    [anon_sym_not_eq] = ACTIONS(5423),
    [anon_sym_DASH_DASH] = ACTIONS(5420),
    [anon_sym_PLUS_PLUS] = ACTIONS(5420),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_DOT_STAR] = ACTIONS(5420),
    [anon_sym_DASH_GT] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5423),
    [anon_sym_decltype] = ACTIONS(5423),
  },
  [2131] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(5831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5472),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5833),
    [anon_sym_unsigned] = ACTIONS(5833),
    [anon_sym_long] = ACTIONS(5833),
    [anon_sym_short] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym__Nonnull] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [anon_sym_alignas] = ACTIONS(5474),
    [anon_sym__Alignas] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5835),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5472),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5472),
    [anon_sym_PLUS_PLUS] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
    [anon_sym_GT2] = ACTIONS(5472),
    [anon_sym_requires] = ACTIONS(5474),
  },
  [2132] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(5837),
    [anon_sym_COLON] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(5839),
    [anon_sym_SLASH_EQ] = ACTIONS(5839),
    [anon_sym_PERCENT_EQ] = ACTIONS(5839),
    [anon_sym_PLUS_EQ] = ACTIONS(5839),
    [anon_sym_DASH_EQ] = ACTIONS(5839),
    [anon_sym_LT_LT_EQ] = ACTIONS(5839),
    [anon_sym_GT_GT_EQ] = ACTIONS(5839),
    [anon_sym_AMP_EQ] = ACTIONS(5839),
    [anon_sym_CARET_EQ] = ACTIONS(5839),
    [anon_sym_PIPE_EQ] = ACTIONS(5839),
    [anon_sym_and_eq] = ACTIONS(5839),
    [anon_sym_or_eq] = ACTIONS(5839),
    [anon_sym_xor_eq] = ACTIONS(5839),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym___cdecl] = ACTIONS(5341),
    [anon_sym___clrcall] = ACTIONS(5341),
    [anon_sym___stdcall] = ACTIONS(5341),
    [anon_sym___fastcall] = ACTIONS(5341),
    [anon_sym___thiscall] = ACTIONS(5341),
    [anon_sym___vectorcall] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_EQ] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5341),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_asm] = ACTIONS(5341),
    [anon_sym___asm__] = ACTIONS(5341),
    [anon_sym___asm] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_GT2] = ACTIONS(5343),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_try] = ACTIONS(5341),
    [anon_sym_requires] = ACTIONS(5341),
  },
  [2134] = {
    [sym_attribute_specifier] = STATE(2197),
    [sym_identifier] = ACTIONS(5841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5843),
    [anon_sym_COMMA] = ACTIONS(5843),
    [anon_sym_RPAREN] = ACTIONS(5843),
    [aux_sym_preproc_if_token2] = ACTIONS(5843),
    [aux_sym_preproc_else_token1] = ACTIONS(5843),
    [aux_sym_preproc_elif_token1] = ACTIONS(5841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5843),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5843),
    [anon_sym_LPAREN2] = ACTIONS(5843),
    [anon_sym_DASH] = ACTIONS(5841),
    [anon_sym_PLUS] = ACTIONS(5841),
    [anon_sym_STAR] = ACTIONS(5841),
    [anon_sym_SLASH] = ACTIONS(5841),
    [anon_sym_PERCENT] = ACTIONS(5841),
    [anon_sym_PIPE_PIPE] = ACTIONS(5843),
    [anon_sym_AMP_AMP] = ACTIONS(5843),
    [anon_sym_PIPE] = ACTIONS(5841),
    [anon_sym_CARET] = ACTIONS(5841),
    [anon_sym_AMP] = ACTIONS(5841),
    [anon_sym_EQ_EQ] = ACTIONS(5843),
    [anon_sym_BANG_EQ] = ACTIONS(5843),
    [anon_sym_GT] = ACTIONS(5841),
    [anon_sym_GT_EQ] = ACTIONS(5843),
    [anon_sym_LT_EQ] = ACTIONS(5841),
    [anon_sym_LT] = ACTIONS(5841),
    [anon_sym_LT_LT] = ACTIONS(5841),
    [anon_sym_GT_GT] = ACTIONS(5841),
    [anon_sym_SEMI] = ACTIONS(5843),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5843),
    [anon_sym_RBRACE] = ACTIONS(5843),
    [anon_sym_LBRACK] = ACTIONS(5843),
    [anon_sym_RBRACK] = ACTIONS(5843),
    [anon_sym_EQ] = ACTIONS(5841),
    [anon_sym_COLON] = ACTIONS(5843),
    [anon_sym_QMARK] = ACTIONS(5843),
    [anon_sym_STAR_EQ] = ACTIONS(5843),
    [anon_sym_SLASH_EQ] = ACTIONS(5843),
    [anon_sym_PERCENT_EQ] = ACTIONS(5843),
    [anon_sym_PLUS_EQ] = ACTIONS(5843),
    [anon_sym_DASH_EQ] = ACTIONS(5843),
    [anon_sym_LT_LT_EQ] = ACTIONS(5843),
    [anon_sym_GT_GT_EQ] = ACTIONS(5843),
    [anon_sym_AMP_EQ] = ACTIONS(5843),
    [anon_sym_CARET_EQ] = ACTIONS(5843),
    [anon_sym_PIPE_EQ] = ACTIONS(5843),
    [anon_sym_and_eq] = ACTIONS(5841),
    [anon_sym_or_eq] = ACTIONS(5841),
    [anon_sym_xor_eq] = ACTIONS(5841),
    [anon_sym_LT_EQ_GT] = ACTIONS(5843),
    [anon_sym_or] = ACTIONS(5841),
    [anon_sym_and] = ACTIONS(5841),
    [anon_sym_bitor] = ACTIONS(5841),
    [anon_sym_xor] = ACTIONS(5841),
    [anon_sym_bitand] = ACTIONS(5841),
    [anon_sym_not_eq] = ACTIONS(5841),
    [anon_sym_DASH_DASH] = ACTIONS(5843),
    [anon_sym_PLUS_PLUS] = ACTIONS(5843),
    [anon_sym_DOT] = ACTIONS(5841),
    [anon_sym_DOT_STAR] = ACTIONS(5843),
    [anon_sym_DASH_GT] = ACTIONS(5843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5841),
    [anon_sym_decltype] = ACTIONS(5841),
  },
  [2135] = {
    [sym_attribute_specifier] = STATE(2184),
    [sym_identifier] = ACTIONS(5845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5847),
    [anon_sym_COMMA] = ACTIONS(5847),
    [anon_sym_RPAREN] = ACTIONS(5847),
    [aux_sym_preproc_if_token2] = ACTIONS(5847),
    [aux_sym_preproc_else_token1] = ACTIONS(5847),
    [aux_sym_preproc_elif_token1] = ACTIONS(5845),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5847),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5847),
    [anon_sym_LPAREN2] = ACTIONS(5847),
    [anon_sym_DASH] = ACTIONS(5845),
    [anon_sym_PLUS] = ACTIONS(5845),
    [anon_sym_STAR] = ACTIONS(5845),
    [anon_sym_SLASH] = ACTIONS(5845),
    [anon_sym_PERCENT] = ACTIONS(5845),
    [anon_sym_PIPE_PIPE] = ACTIONS(5847),
    [anon_sym_AMP_AMP] = ACTIONS(5847),
    [anon_sym_PIPE] = ACTIONS(5845),
    [anon_sym_CARET] = ACTIONS(5845),
    [anon_sym_AMP] = ACTIONS(5845),
    [anon_sym_EQ_EQ] = ACTIONS(5847),
    [anon_sym_BANG_EQ] = ACTIONS(5847),
    [anon_sym_GT] = ACTIONS(5845),
    [anon_sym_GT_EQ] = ACTIONS(5847),
    [anon_sym_LT_EQ] = ACTIONS(5845),
    [anon_sym_LT] = ACTIONS(5845),
    [anon_sym_LT_LT] = ACTIONS(5845),
    [anon_sym_GT_GT] = ACTIONS(5845),
    [anon_sym_SEMI] = ACTIONS(5847),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5847),
    [anon_sym_RBRACE] = ACTIONS(5847),
    [anon_sym_LBRACK] = ACTIONS(5847),
    [anon_sym_RBRACK] = ACTIONS(5847),
    [anon_sym_EQ] = ACTIONS(5845),
    [anon_sym_COLON] = ACTIONS(5847),
    [anon_sym_QMARK] = ACTIONS(5847),
    [anon_sym_STAR_EQ] = ACTIONS(5847),
    [anon_sym_SLASH_EQ] = ACTIONS(5847),
    [anon_sym_PERCENT_EQ] = ACTIONS(5847),
    [anon_sym_PLUS_EQ] = ACTIONS(5847),
    [anon_sym_DASH_EQ] = ACTIONS(5847),
    [anon_sym_LT_LT_EQ] = ACTIONS(5847),
    [anon_sym_GT_GT_EQ] = ACTIONS(5847),
    [anon_sym_AMP_EQ] = ACTIONS(5847),
    [anon_sym_CARET_EQ] = ACTIONS(5847),
    [anon_sym_PIPE_EQ] = ACTIONS(5847),
    [anon_sym_and_eq] = ACTIONS(5845),
    [anon_sym_or_eq] = ACTIONS(5845),
    [anon_sym_xor_eq] = ACTIONS(5845),
    [anon_sym_LT_EQ_GT] = ACTIONS(5847),
    [anon_sym_or] = ACTIONS(5845),
    [anon_sym_and] = ACTIONS(5845),
    [anon_sym_bitor] = ACTIONS(5845),
    [anon_sym_xor] = ACTIONS(5845),
    [anon_sym_bitand] = ACTIONS(5845),
    [anon_sym_not_eq] = ACTIONS(5845),
    [anon_sym_DASH_DASH] = ACTIONS(5847),
    [anon_sym_PLUS_PLUS] = ACTIONS(5847),
    [anon_sym_DOT] = ACTIONS(5845),
    [anon_sym_DOT_STAR] = ACTIONS(5847),
    [anon_sym_DASH_GT] = ACTIONS(5847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5845),
    [anon_sym_decltype] = ACTIONS(5845),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym___cdecl] = ACTIONS(5341),
    [anon_sym___clrcall] = ACTIONS(5341),
    [anon_sym___stdcall] = ACTIONS(5341),
    [anon_sym___fastcall] = ACTIONS(5341),
    [anon_sym___thiscall] = ACTIONS(5341),
    [anon_sym___vectorcall] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_EQ] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5341),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_asm] = ACTIONS(5341),
    [anon_sym___asm__] = ACTIONS(5341),
    [anon_sym___asm] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_GT2] = ACTIONS(5343),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_try] = ACTIONS(5341),
    [anon_sym_requires] = ACTIONS(5341),
  },
  [2137] = {
    [sym_ms_based_modifier] = STATE(7591),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(3830),
    [sym__declarator] = STATE(6006),
    [sym__abstract_declarator] = STATE(6266),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2645),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(3162),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5473),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2645),
    [aux_sym_pointer_declarator_repeat1] = STATE(3830),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5772),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5631),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [2138] = {
    [sym_attribute_specifier] = STATE(2173),
    [sym_identifier] = ACTIONS(5849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5851),
    [anon_sym_COMMA] = ACTIONS(5851),
    [anon_sym_RPAREN] = ACTIONS(5851),
    [aux_sym_preproc_if_token2] = ACTIONS(5851),
    [aux_sym_preproc_else_token1] = ACTIONS(5851),
    [aux_sym_preproc_elif_token1] = ACTIONS(5849),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5851),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5851),
    [anon_sym_LPAREN2] = ACTIONS(5851),
    [anon_sym_DASH] = ACTIONS(5849),
    [anon_sym_PLUS] = ACTIONS(5849),
    [anon_sym_STAR] = ACTIONS(5849),
    [anon_sym_SLASH] = ACTIONS(5849),
    [anon_sym_PERCENT] = ACTIONS(5849),
    [anon_sym_PIPE_PIPE] = ACTIONS(5851),
    [anon_sym_AMP_AMP] = ACTIONS(5851),
    [anon_sym_PIPE] = ACTIONS(5849),
    [anon_sym_CARET] = ACTIONS(5849),
    [anon_sym_AMP] = ACTIONS(5849),
    [anon_sym_EQ_EQ] = ACTIONS(5851),
    [anon_sym_BANG_EQ] = ACTIONS(5851),
    [anon_sym_GT] = ACTIONS(5849),
    [anon_sym_GT_EQ] = ACTIONS(5851),
    [anon_sym_LT_EQ] = ACTIONS(5849),
    [anon_sym_LT] = ACTIONS(5849),
    [anon_sym_LT_LT] = ACTIONS(5849),
    [anon_sym_GT_GT] = ACTIONS(5849),
    [anon_sym_SEMI] = ACTIONS(5851),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5851),
    [anon_sym_RBRACE] = ACTIONS(5851),
    [anon_sym_LBRACK] = ACTIONS(5851),
    [anon_sym_RBRACK] = ACTIONS(5851),
    [anon_sym_EQ] = ACTIONS(5849),
    [anon_sym_COLON] = ACTIONS(5851),
    [anon_sym_QMARK] = ACTIONS(5851),
    [anon_sym_STAR_EQ] = ACTIONS(5851),
    [anon_sym_SLASH_EQ] = ACTIONS(5851),
    [anon_sym_PERCENT_EQ] = ACTIONS(5851),
    [anon_sym_PLUS_EQ] = ACTIONS(5851),
    [anon_sym_DASH_EQ] = ACTIONS(5851),
    [anon_sym_LT_LT_EQ] = ACTIONS(5851),
    [anon_sym_GT_GT_EQ] = ACTIONS(5851),
    [anon_sym_AMP_EQ] = ACTIONS(5851),
    [anon_sym_CARET_EQ] = ACTIONS(5851),
    [anon_sym_PIPE_EQ] = ACTIONS(5851),
    [anon_sym_and_eq] = ACTIONS(5849),
    [anon_sym_or_eq] = ACTIONS(5849),
    [anon_sym_xor_eq] = ACTIONS(5849),
    [anon_sym_LT_EQ_GT] = ACTIONS(5851),
    [anon_sym_or] = ACTIONS(5849),
    [anon_sym_and] = ACTIONS(5849),
    [anon_sym_bitor] = ACTIONS(5849),
    [anon_sym_xor] = ACTIONS(5849),
    [anon_sym_bitand] = ACTIONS(5849),
    [anon_sym_not_eq] = ACTIONS(5849),
    [anon_sym_DASH_DASH] = ACTIONS(5851),
    [anon_sym_PLUS_PLUS] = ACTIONS(5851),
    [anon_sym_DOT] = ACTIONS(5849),
    [anon_sym_DOT_STAR] = ACTIONS(5851),
    [anon_sym_DASH_GT] = ACTIONS(5851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5849),
    [anon_sym_decltype] = ACTIONS(5849),
  },
  [2139] = {
    [sym_attribute_specifier] = STATE(2179),
    [sym_identifier] = ACTIONS(5853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5855),
    [anon_sym_COMMA] = ACTIONS(5855),
    [anon_sym_RPAREN] = ACTIONS(5855),
    [aux_sym_preproc_if_token2] = ACTIONS(5855),
    [aux_sym_preproc_else_token1] = ACTIONS(5855),
    [aux_sym_preproc_elif_token1] = ACTIONS(5853),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5855),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5855),
    [anon_sym_LPAREN2] = ACTIONS(5855),
    [anon_sym_DASH] = ACTIONS(5853),
    [anon_sym_PLUS] = ACTIONS(5853),
    [anon_sym_STAR] = ACTIONS(5853),
    [anon_sym_SLASH] = ACTIONS(5853),
    [anon_sym_PERCENT] = ACTIONS(5853),
    [anon_sym_PIPE_PIPE] = ACTIONS(5855),
    [anon_sym_AMP_AMP] = ACTIONS(5855),
    [anon_sym_PIPE] = ACTIONS(5853),
    [anon_sym_CARET] = ACTIONS(5853),
    [anon_sym_AMP] = ACTIONS(5853),
    [anon_sym_EQ_EQ] = ACTIONS(5855),
    [anon_sym_BANG_EQ] = ACTIONS(5855),
    [anon_sym_GT] = ACTIONS(5853),
    [anon_sym_GT_EQ] = ACTIONS(5855),
    [anon_sym_LT_EQ] = ACTIONS(5853),
    [anon_sym_LT] = ACTIONS(5853),
    [anon_sym_LT_LT] = ACTIONS(5853),
    [anon_sym_GT_GT] = ACTIONS(5853),
    [anon_sym_SEMI] = ACTIONS(5855),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5855),
    [anon_sym_RBRACE] = ACTIONS(5855),
    [anon_sym_LBRACK] = ACTIONS(5855),
    [anon_sym_RBRACK] = ACTIONS(5855),
    [anon_sym_EQ] = ACTIONS(5853),
    [anon_sym_COLON] = ACTIONS(5855),
    [anon_sym_QMARK] = ACTIONS(5855),
    [anon_sym_STAR_EQ] = ACTIONS(5855),
    [anon_sym_SLASH_EQ] = ACTIONS(5855),
    [anon_sym_PERCENT_EQ] = ACTIONS(5855),
    [anon_sym_PLUS_EQ] = ACTIONS(5855),
    [anon_sym_DASH_EQ] = ACTIONS(5855),
    [anon_sym_LT_LT_EQ] = ACTIONS(5855),
    [anon_sym_GT_GT_EQ] = ACTIONS(5855),
    [anon_sym_AMP_EQ] = ACTIONS(5855),
    [anon_sym_CARET_EQ] = ACTIONS(5855),
    [anon_sym_PIPE_EQ] = ACTIONS(5855),
    [anon_sym_and_eq] = ACTIONS(5853),
    [anon_sym_or_eq] = ACTIONS(5853),
    [anon_sym_xor_eq] = ACTIONS(5853),
    [anon_sym_LT_EQ_GT] = ACTIONS(5855),
    [anon_sym_or] = ACTIONS(5853),
    [anon_sym_and] = ACTIONS(5853),
    [anon_sym_bitor] = ACTIONS(5853),
    [anon_sym_xor] = ACTIONS(5853),
    [anon_sym_bitand] = ACTIONS(5853),
    [anon_sym_not_eq] = ACTIONS(5853),
    [anon_sym_DASH_DASH] = ACTIONS(5855),
    [anon_sym_PLUS_PLUS] = ACTIONS(5855),
    [anon_sym_DOT] = ACTIONS(5853),
    [anon_sym_DOT_STAR] = ACTIONS(5855),
    [anon_sym_DASH_GT] = ACTIONS(5855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5853),
    [anon_sym_decltype] = ACTIONS(5853),
  },
  [2140] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5203),
    [anon_sym_COMMA] = ACTIONS(5203),
    [anon_sym_RPAREN] = ACTIONS(5203),
    [anon_sym_LPAREN2] = ACTIONS(5203),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_STAR] = ACTIONS(5201),
    [anon_sym_SLASH] = ACTIONS(5201),
    [anon_sym_PERCENT] = ACTIONS(5201),
    [anon_sym_PIPE_PIPE] = ACTIONS(5203),
    [anon_sym_AMP_AMP] = ACTIONS(5203),
    [anon_sym_PIPE] = ACTIONS(5201),
    [anon_sym_CARET] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(5201),
    [anon_sym_EQ_EQ] = ACTIONS(5203),
    [anon_sym_BANG_EQ] = ACTIONS(5203),
    [anon_sym_GT] = ACTIONS(5201),
    [anon_sym_GT_EQ] = ACTIONS(5203),
    [anon_sym_LT_EQ] = ACTIONS(5201),
    [anon_sym_LT] = ACTIONS(5201),
    [anon_sym_LT_LT] = ACTIONS(5201),
    [anon_sym_GT_GT] = ACTIONS(5201),
    [anon_sym_SEMI] = ACTIONS(5203),
    [anon_sym_RBRACE] = ACTIONS(5203),
    [anon_sym_LBRACK] = ACTIONS(5203),
    [anon_sym_RBRACK] = ACTIONS(5203),
    [anon_sym_EQ] = ACTIONS(5201),
    [anon_sym_COLON] = ACTIONS(5203),
    [anon_sym_QMARK] = ACTIONS(5203),
    [anon_sym_STAR_EQ] = ACTIONS(5203),
    [anon_sym_SLASH_EQ] = ACTIONS(5203),
    [anon_sym_PERCENT_EQ] = ACTIONS(5203),
    [anon_sym_PLUS_EQ] = ACTIONS(5203),
    [anon_sym_DASH_EQ] = ACTIONS(5203),
    [anon_sym_LT_LT_EQ] = ACTIONS(5203),
    [anon_sym_GT_GT_EQ] = ACTIONS(5203),
    [anon_sym_AMP_EQ] = ACTIONS(5203),
    [anon_sym_CARET_EQ] = ACTIONS(5203),
    [anon_sym_PIPE_EQ] = ACTIONS(5203),
    [anon_sym_and_eq] = ACTIONS(5201),
    [anon_sym_or_eq] = ACTIONS(5201),
    [anon_sym_xor_eq] = ACTIONS(5201),
    [anon_sym_LT_EQ_GT] = ACTIONS(5203),
    [anon_sym_or] = ACTIONS(5201),
    [anon_sym_and] = ACTIONS(5201),
    [anon_sym_bitor] = ACTIONS(5201),
    [anon_sym_xor] = ACTIONS(5201),
    [anon_sym_bitand] = ACTIONS(5201),
    [anon_sym_not_eq] = ACTIONS(5201),
    [anon_sym_DASH_DASH] = ACTIONS(5203),
    [anon_sym_PLUS_PLUS] = ACTIONS(5203),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_DOT_STAR] = ACTIONS(5203),
    [anon_sym_DASH_GT] = ACTIONS(5203),
    [anon_sym_L_DQUOTE] = ACTIONS(5203),
    [anon_sym_u_DQUOTE] = ACTIONS(5203),
    [anon_sym_U_DQUOTE] = ACTIONS(5203),
    [anon_sym_u8_DQUOTE] = ACTIONS(5203),
    [anon_sym_DQUOTE] = ACTIONS(5203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5203),
    [anon_sym_LR_DQUOTE] = ACTIONS(5203),
    [anon_sym_uR_DQUOTE] = ACTIONS(5203),
    [anon_sym_UR_DQUOTE] = ACTIONS(5203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5203),
    [sym_literal_suffix] = ACTIONS(5201),
  },
  [2141] = {
    [sym_attribute_specifier] = STATE(2176),
    [sym_identifier] = ACTIONS(5857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5859),
    [anon_sym_COMMA] = ACTIONS(5859),
    [anon_sym_RPAREN] = ACTIONS(5859),
    [aux_sym_preproc_if_token2] = ACTIONS(5859),
    [aux_sym_preproc_else_token1] = ACTIONS(5859),
    [aux_sym_preproc_elif_token1] = ACTIONS(5857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5859),
    [anon_sym_LPAREN2] = ACTIONS(5859),
    [anon_sym_DASH] = ACTIONS(5857),
    [anon_sym_PLUS] = ACTIONS(5857),
    [anon_sym_STAR] = ACTIONS(5857),
    [anon_sym_SLASH] = ACTIONS(5857),
    [anon_sym_PERCENT] = ACTIONS(5857),
    [anon_sym_PIPE_PIPE] = ACTIONS(5859),
    [anon_sym_AMP_AMP] = ACTIONS(5859),
    [anon_sym_PIPE] = ACTIONS(5857),
    [anon_sym_CARET] = ACTIONS(5857),
    [anon_sym_AMP] = ACTIONS(5857),
    [anon_sym_EQ_EQ] = ACTIONS(5859),
    [anon_sym_BANG_EQ] = ACTIONS(5859),
    [anon_sym_GT] = ACTIONS(5857),
    [anon_sym_GT_EQ] = ACTIONS(5859),
    [anon_sym_LT_EQ] = ACTIONS(5857),
    [anon_sym_LT] = ACTIONS(5857),
    [anon_sym_LT_LT] = ACTIONS(5857),
    [anon_sym_GT_GT] = ACTIONS(5857),
    [anon_sym_SEMI] = ACTIONS(5859),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5859),
    [anon_sym_RBRACE] = ACTIONS(5859),
    [anon_sym_LBRACK] = ACTIONS(5859),
    [anon_sym_RBRACK] = ACTIONS(5859),
    [anon_sym_EQ] = ACTIONS(5857),
    [anon_sym_COLON] = ACTIONS(5859),
    [anon_sym_QMARK] = ACTIONS(5859),
    [anon_sym_STAR_EQ] = ACTIONS(5859),
    [anon_sym_SLASH_EQ] = ACTIONS(5859),
    [anon_sym_PERCENT_EQ] = ACTIONS(5859),
    [anon_sym_PLUS_EQ] = ACTIONS(5859),
    [anon_sym_DASH_EQ] = ACTIONS(5859),
    [anon_sym_LT_LT_EQ] = ACTIONS(5859),
    [anon_sym_GT_GT_EQ] = ACTIONS(5859),
    [anon_sym_AMP_EQ] = ACTIONS(5859),
    [anon_sym_CARET_EQ] = ACTIONS(5859),
    [anon_sym_PIPE_EQ] = ACTIONS(5859),
    [anon_sym_and_eq] = ACTIONS(5857),
    [anon_sym_or_eq] = ACTIONS(5857),
    [anon_sym_xor_eq] = ACTIONS(5857),
    [anon_sym_LT_EQ_GT] = ACTIONS(5859),
    [anon_sym_or] = ACTIONS(5857),
    [anon_sym_and] = ACTIONS(5857),
    [anon_sym_bitor] = ACTIONS(5857),
    [anon_sym_xor] = ACTIONS(5857),
    [anon_sym_bitand] = ACTIONS(5857),
    [anon_sym_not_eq] = ACTIONS(5857),
    [anon_sym_DASH_DASH] = ACTIONS(5859),
    [anon_sym_PLUS_PLUS] = ACTIONS(5859),
    [anon_sym_DOT] = ACTIONS(5857),
    [anon_sym_DOT_STAR] = ACTIONS(5859),
    [anon_sym_DASH_GT] = ACTIONS(5859),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5857),
    [anon_sym_decltype] = ACTIONS(5857),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym___cdecl] = ACTIONS(5341),
    [anon_sym___clrcall] = ACTIONS(5341),
    [anon_sym___stdcall] = ACTIONS(5341),
    [anon_sym___fastcall] = ACTIONS(5341),
    [anon_sym___thiscall] = ACTIONS(5341),
    [anon_sym___vectorcall] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_EQ] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5341),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_asm] = ACTIONS(5341),
    [anon_sym___asm__] = ACTIONS(5341),
    [anon_sym___asm] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_GT2] = ACTIONS(5343),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_try] = ACTIONS(5341),
    [anon_sym_requires] = ACTIONS(5341),
  },
  [2143] = {
    [sym_template_argument_list] = STATE(1876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4029),
    [anon_sym_COMMA] = ACTIONS(4029),
    [anon_sym_RPAREN] = ACTIONS(4029),
    [anon_sym_LPAREN2] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4021),
    [anon_sym_PLUS] = ACTIONS(4021),
    [anon_sym_STAR] = ACTIONS(4021),
    [anon_sym_SLASH] = ACTIONS(4021),
    [anon_sym_PERCENT] = ACTIONS(4021),
    [anon_sym_PIPE_PIPE] = ACTIONS(4029),
    [anon_sym_AMP_AMP] = ACTIONS(4029),
    [anon_sym_PIPE] = ACTIONS(4021),
    [anon_sym_CARET] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4021),
    [anon_sym_EQ_EQ] = ACTIONS(4029),
    [anon_sym_BANG_EQ] = ACTIONS(4029),
    [anon_sym_GT] = ACTIONS(4021),
    [anon_sym_GT_EQ] = ACTIONS(4029),
    [anon_sym_LT_EQ] = ACTIONS(4021),
    [anon_sym_LT] = ACTIONS(5575),
    [anon_sym_LT_LT] = ACTIONS(4021),
    [anon_sym_GT_GT] = ACTIONS(4021),
    [anon_sym_SEMI] = ACTIONS(4029),
    [anon_sym___attribute__] = ACTIONS(4029),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4029),
    [anon_sym_RBRACE] = ACTIONS(4029),
    [anon_sym_signed] = ACTIONS(5746),
    [anon_sym_unsigned] = ACTIONS(5746),
    [anon_sym_long] = ACTIONS(5746),
    [anon_sym_short] = ACTIONS(5746),
    [anon_sym_LBRACK] = ACTIONS(4029),
    [anon_sym_RBRACK] = ACTIONS(4029),
    [anon_sym_EQ] = ACTIONS(4021),
    [anon_sym_COLON] = ACTIONS(4021),
    [anon_sym_QMARK] = ACTIONS(4029),
    [anon_sym_STAR_EQ] = ACTIONS(4029),
    [anon_sym_SLASH_EQ] = ACTIONS(4029),
    [anon_sym_PERCENT_EQ] = ACTIONS(4029),
    [anon_sym_PLUS_EQ] = ACTIONS(4029),
    [anon_sym_DASH_EQ] = ACTIONS(4029),
    [anon_sym_LT_LT_EQ] = ACTIONS(4029),
    [anon_sym_GT_GT_EQ] = ACTIONS(4029),
    [anon_sym_AMP_EQ] = ACTIONS(4029),
    [anon_sym_CARET_EQ] = ACTIONS(4029),
    [anon_sym_PIPE_EQ] = ACTIONS(4029),
    [anon_sym_and_eq] = ACTIONS(4029),
    [anon_sym_or_eq] = ACTIONS(4029),
    [anon_sym_xor_eq] = ACTIONS(4029),
    [anon_sym_LT_EQ_GT] = ACTIONS(4029),
    [anon_sym_or] = ACTIONS(4021),
    [anon_sym_and] = ACTIONS(4021),
    [anon_sym_bitor] = ACTIONS(4029),
    [anon_sym_xor] = ACTIONS(4021),
    [anon_sym_bitand] = ACTIONS(4029),
    [anon_sym_not_eq] = ACTIONS(4029),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_DOT] = ACTIONS(4021),
    [anon_sym_DOT_STAR] = ACTIONS(4029),
    [anon_sym_DASH_GT] = ACTIONS(4029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4029),
    [anon_sym_decltype] = ACTIONS(4029),
  },
  [2144] = {
    [sym_string_literal] = STATE(2490),
    [sym_template_argument_list] = STATE(3627),
    [sym_raw_string_literal] = STATE(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4031),
    [anon_sym_PLUS] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(4031),
    [anon_sym_SLASH] = ACTIONS(4031),
    [anon_sym_PERCENT] = ACTIONS(4031),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4031),
    [anon_sym_CARET] = ACTIONS(4031),
    [anon_sym_AMP] = ACTIONS(4031),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4031),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4031),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4031),
    [anon_sym_GT_GT] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4023),
    [anon_sym_RBRACK] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(5692),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_STAR_EQ] = ACTIONS(5694),
    [anon_sym_SLASH_EQ] = ACTIONS(5694),
    [anon_sym_PERCENT_EQ] = ACTIONS(5694),
    [anon_sym_PLUS_EQ] = ACTIONS(5694),
    [anon_sym_DASH_EQ] = ACTIONS(5694),
    [anon_sym_LT_LT_EQ] = ACTIONS(5694),
    [anon_sym_GT_GT_EQ] = ACTIONS(5694),
    [anon_sym_AMP_EQ] = ACTIONS(5694),
    [anon_sym_CARET_EQ] = ACTIONS(5694),
    [anon_sym_PIPE_EQ] = ACTIONS(5694),
    [anon_sym_and_eq] = ACTIONS(5694),
    [anon_sym_or_eq] = ACTIONS(5694),
    [anon_sym_xor_eq] = ACTIONS(5694),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4031),
    [anon_sym_and] = ACTIONS(4031),
    [anon_sym_bitor] = ACTIONS(4023),
    [anon_sym_xor] = ACTIONS(4031),
    [anon_sym_bitand] = ACTIONS(4023),
    [anon_sym_not_eq] = ACTIONS(4023),
    [anon_sym_DASH_DASH] = ACTIONS(4023),
    [anon_sym_PLUS_PLUS] = ACTIONS(4023),
    [anon_sym_DOT] = ACTIONS(4031),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2145] = {
    [sym_string_literal] = STATE(2112),
    [sym_raw_string_literal] = STATE(2112),
    [aux_sym_concatenated_string_repeat1] = STATE(2112),
    [sym_identifier] = ACTIONS(5861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5145),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5145),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [anon_sym_L_DQUOTE] = ACTIONS(5751),
    [anon_sym_u_DQUOTE] = ACTIONS(5751),
    [anon_sym_U_DQUOTE] = ACTIONS(5751),
    [anon_sym_u8_DQUOTE] = ACTIONS(5751),
    [anon_sym_DQUOTE] = ACTIONS(5751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5143),
    [anon_sym_R_DQUOTE] = ACTIONS(5753),
    [anon_sym_LR_DQUOTE] = ACTIONS(5753),
    [anon_sym_uR_DQUOTE] = ACTIONS(5753),
    [anon_sym_UR_DQUOTE] = ACTIONS(5753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5753),
    [sym_literal_suffix] = ACTIONS(5145),
  },
  [2146] = {
    [sym_attribute_declaration] = STATE(2157),
    [sym_parameter_list] = STATE(2220),
    [aux_sym_attributed_declarator_repeat1] = STATE(2157),
    [sym_identifier] = ACTIONS(5863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5865),
    [anon_sym_COMMA] = ACTIONS(5865),
    [anon_sym_RPAREN] = ACTIONS(5865),
    [aux_sym_preproc_if_token2] = ACTIONS(5865),
    [aux_sym_preproc_else_token1] = ACTIONS(5865),
    [aux_sym_preproc_elif_token1] = ACTIONS(5863),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5865),
    [anon_sym_LPAREN2] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5863),
    [anon_sym_PLUS] = ACTIONS(5863),
    [anon_sym_STAR] = ACTIONS(5863),
    [anon_sym_SLASH] = ACTIONS(5863),
    [anon_sym_PERCENT] = ACTIONS(5863),
    [anon_sym_PIPE_PIPE] = ACTIONS(5865),
    [anon_sym_AMP_AMP] = ACTIONS(5865),
    [anon_sym_PIPE] = ACTIONS(5863),
    [anon_sym_CARET] = ACTIONS(5863),
    [anon_sym_AMP] = ACTIONS(5863),
    [anon_sym_EQ_EQ] = ACTIONS(5865),
    [anon_sym_BANG_EQ] = ACTIONS(5865),
    [anon_sym_GT] = ACTIONS(5863),
    [anon_sym_GT_EQ] = ACTIONS(5865),
    [anon_sym_LT_EQ] = ACTIONS(5863),
    [anon_sym_LT] = ACTIONS(5863),
    [anon_sym_LT_LT] = ACTIONS(5863),
    [anon_sym_GT_GT] = ACTIONS(5863),
    [anon_sym_SEMI] = ACTIONS(5865),
    [anon_sym___attribute__] = ACTIONS(5863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5865),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5865),
    [anon_sym_EQ] = ACTIONS(5863),
    [anon_sym_COLON] = ACTIONS(5865),
    [anon_sym_QMARK] = ACTIONS(5865),
    [anon_sym_STAR_EQ] = ACTIONS(5865),
    [anon_sym_SLASH_EQ] = ACTIONS(5865),
    [anon_sym_PERCENT_EQ] = ACTIONS(5865),
    [anon_sym_PLUS_EQ] = ACTIONS(5865),
    [anon_sym_DASH_EQ] = ACTIONS(5865),
    [anon_sym_LT_LT_EQ] = ACTIONS(5865),
    [anon_sym_GT_GT_EQ] = ACTIONS(5865),
    [anon_sym_AMP_EQ] = ACTIONS(5865),
    [anon_sym_CARET_EQ] = ACTIONS(5865),
    [anon_sym_PIPE_EQ] = ACTIONS(5865),
    [anon_sym_and_eq] = ACTIONS(5863),
    [anon_sym_or_eq] = ACTIONS(5863),
    [anon_sym_xor_eq] = ACTIONS(5863),
    [anon_sym_LT_EQ_GT] = ACTIONS(5865),
    [anon_sym_or] = ACTIONS(5863),
    [anon_sym_and] = ACTIONS(5863),
    [anon_sym_bitor] = ACTIONS(5863),
    [anon_sym_xor] = ACTIONS(5863),
    [anon_sym_bitand] = ACTIONS(5863),
    [anon_sym_not_eq] = ACTIONS(5863),
    [anon_sym_DASH_DASH] = ACTIONS(5865),
    [anon_sym_PLUS_PLUS] = ACTIONS(5865),
    [anon_sym_DOT] = ACTIONS(5863),
    [anon_sym_DOT_STAR] = ACTIONS(5865),
    [anon_sym_DASH_GT] = ACTIONS(5865),
    [sym_comment] = ACTIONS(3),
  },
  [2147] = {
    [sym_attribute_declaration] = STATE(2157),
    [sym_parameter_list] = STATE(2220),
    [aux_sym_attributed_declarator_repeat1] = STATE(2157),
    [sym_identifier] = ACTIONS(5867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5869),
    [anon_sym_COMMA] = ACTIONS(5869),
    [anon_sym_RPAREN] = ACTIONS(5869),
    [aux_sym_preproc_if_token2] = ACTIONS(5869),
    [aux_sym_preproc_else_token1] = ACTIONS(5869),
    [aux_sym_preproc_elif_token1] = ACTIONS(5867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5869),
    [anon_sym_LPAREN2] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5867),
    [anon_sym_STAR] = ACTIONS(5867),
    [anon_sym_SLASH] = ACTIONS(5867),
    [anon_sym_PERCENT] = ACTIONS(5867),
    [anon_sym_PIPE_PIPE] = ACTIONS(5869),
    [anon_sym_AMP_AMP] = ACTIONS(5869),
    [anon_sym_PIPE] = ACTIONS(5867),
    [anon_sym_CARET] = ACTIONS(5867),
    [anon_sym_AMP] = ACTIONS(5867),
    [anon_sym_EQ_EQ] = ACTIONS(5869),
    [anon_sym_BANG_EQ] = ACTIONS(5869),
    [anon_sym_GT] = ACTIONS(5867),
    [anon_sym_GT_EQ] = ACTIONS(5869),
    [anon_sym_LT_EQ] = ACTIONS(5867),
    [anon_sym_LT] = ACTIONS(5867),
    [anon_sym_LT_LT] = ACTIONS(5867),
    [anon_sym_GT_GT] = ACTIONS(5867),
    [anon_sym_SEMI] = ACTIONS(5869),
    [anon_sym___attribute__] = ACTIONS(5867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5869),
    [anon_sym_EQ] = ACTIONS(5867),
    [anon_sym_COLON] = ACTIONS(5869),
    [anon_sym_QMARK] = ACTIONS(5869),
    [anon_sym_STAR_EQ] = ACTIONS(5869),
    [anon_sym_SLASH_EQ] = ACTIONS(5869),
    [anon_sym_PERCENT_EQ] = ACTIONS(5869),
    [anon_sym_PLUS_EQ] = ACTIONS(5869),
    [anon_sym_DASH_EQ] = ACTIONS(5869),
    [anon_sym_LT_LT_EQ] = ACTIONS(5869),
    [anon_sym_GT_GT_EQ] = ACTIONS(5869),
    [anon_sym_AMP_EQ] = ACTIONS(5869),
    [anon_sym_CARET_EQ] = ACTIONS(5869),
    [anon_sym_PIPE_EQ] = ACTIONS(5869),
    [anon_sym_and_eq] = ACTIONS(5867),
    [anon_sym_or_eq] = ACTIONS(5867),
    [anon_sym_xor_eq] = ACTIONS(5867),
    [anon_sym_LT_EQ_GT] = ACTIONS(5869),
    [anon_sym_or] = ACTIONS(5867),
    [anon_sym_and] = ACTIONS(5867),
    [anon_sym_bitor] = ACTIONS(5867),
    [anon_sym_xor] = ACTIONS(5867),
    [anon_sym_bitand] = ACTIONS(5867),
    [anon_sym_not_eq] = ACTIONS(5867),
    [anon_sym_DASH_DASH] = ACTIONS(5869),
    [anon_sym_PLUS_PLUS] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_DOT_STAR] = ACTIONS(5869),
    [anon_sym_DASH_GT] = ACTIONS(5869),
    [sym_comment] = ACTIONS(3),
  },
  [2148] = {
    [sym_ms_based_modifier] = STATE(7591),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2124),
    [sym__declarator] = STATE(5994),
    [sym__abstract_declarator] = STATE(6268),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2612),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(3011),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5473),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2612),
    [aux_sym_pointer_declarator_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_COMMA] = ACTIONS(5646),
    [anon_sym_RPAREN] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(5818),
    [anon_sym_AMP_AMP] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [2149] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2101),
    [sym_identifier] = ACTIONS(5871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [anon_sym_RPAREN] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5472),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5472),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_RBRACE] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5873),
    [anon_sym_unsigned] = ACTIONS(5873),
    [anon_sym_long] = ACTIONS(5873),
    [anon_sym_short] = ACTIONS(5873),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_RBRACK] = ACTIONS(5472),
    [anon_sym_EQ] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5472),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_STAR_EQ] = ACTIONS(5472),
    [anon_sym_SLASH_EQ] = ACTIONS(5472),
    [anon_sym_PERCENT_EQ] = ACTIONS(5472),
    [anon_sym_PLUS_EQ] = ACTIONS(5472),
    [anon_sym_DASH_EQ] = ACTIONS(5472),
    [anon_sym_LT_LT_EQ] = ACTIONS(5472),
    [anon_sym_GT_GT_EQ] = ACTIONS(5472),
    [anon_sym_AMP_EQ] = ACTIONS(5472),
    [anon_sym_CARET_EQ] = ACTIONS(5472),
    [anon_sym_PIPE_EQ] = ACTIONS(5472),
    [anon_sym_and_eq] = ACTIONS(5474),
    [anon_sym_or_eq] = ACTIONS(5474),
    [anon_sym_xor_eq] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5472),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5472),
    [anon_sym_PLUS_PLUS] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5541),
    [anon_sym_COMMA] = ACTIONS(5541),
    [anon_sym_RPAREN] = ACTIONS(5541),
    [aux_sym_preproc_if_token2] = ACTIONS(5541),
    [aux_sym_preproc_else_token1] = ACTIONS(5541),
    [aux_sym_preproc_elif_token1] = ACTIONS(5539),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5541),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5541),
    [anon_sym_LPAREN2] = ACTIONS(5541),
    [anon_sym_DASH] = ACTIONS(5539),
    [anon_sym_PLUS] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_SLASH] = ACTIONS(5539),
    [anon_sym_PERCENT] = ACTIONS(5539),
    [anon_sym_PIPE_PIPE] = ACTIONS(5541),
    [anon_sym_AMP_AMP] = ACTIONS(5541),
    [anon_sym_PIPE] = ACTIONS(5539),
    [anon_sym_CARET] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5539),
    [anon_sym_EQ_EQ] = ACTIONS(5541),
    [anon_sym_BANG_EQ] = ACTIONS(5541),
    [anon_sym_GT] = ACTIONS(5539),
    [anon_sym_GT_EQ] = ACTIONS(5541),
    [anon_sym_LT_EQ] = ACTIONS(5539),
    [anon_sym_LT] = ACTIONS(5539),
    [anon_sym_LT_LT] = ACTIONS(5539),
    [anon_sym_GT_GT] = ACTIONS(5539),
    [anon_sym_SEMI] = ACTIONS(5541),
    [anon_sym___attribute__] = ACTIONS(5539),
    [anon_sym_LBRACE] = ACTIONS(5541),
    [anon_sym_RBRACE] = ACTIONS(5541),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym_RBRACK] = ACTIONS(5541),
    [anon_sym_EQ] = ACTIONS(5539),
    [anon_sym_COLON] = ACTIONS(5541),
    [anon_sym_QMARK] = ACTIONS(5541),
    [anon_sym_STAR_EQ] = ACTIONS(5541),
    [anon_sym_SLASH_EQ] = ACTIONS(5541),
    [anon_sym_PERCENT_EQ] = ACTIONS(5541),
    [anon_sym_PLUS_EQ] = ACTIONS(5541),
    [anon_sym_DASH_EQ] = ACTIONS(5541),
    [anon_sym_LT_LT_EQ] = ACTIONS(5541),
    [anon_sym_GT_GT_EQ] = ACTIONS(5541),
    [anon_sym_AMP_EQ] = ACTIONS(5541),
    [anon_sym_CARET_EQ] = ACTIONS(5541),
    [anon_sym_PIPE_EQ] = ACTIONS(5541),
    [anon_sym_and_eq] = ACTIONS(5539),
    [anon_sym_or_eq] = ACTIONS(5539),
    [anon_sym_xor_eq] = ACTIONS(5539),
    [anon_sym_LT_EQ_GT] = ACTIONS(5541),
    [anon_sym_or] = ACTIONS(5539),
    [anon_sym_and] = ACTIONS(5539),
    [anon_sym_bitor] = ACTIONS(5539),
    [anon_sym_xor] = ACTIONS(5539),
    [anon_sym_bitand] = ACTIONS(5539),
    [anon_sym_not_eq] = ACTIONS(5539),
    [anon_sym_DASH_DASH] = ACTIONS(5541),
    [anon_sym_PLUS_PLUS] = ACTIONS(5541),
    [anon_sym_DOT] = ACTIONS(5539),
    [anon_sym_DOT_STAR] = ACTIONS(5541),
    [anon_sym_DASH_GT] = ACTIONS(5541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5539),
    [anon_sym_decltype] = ACTIONS(5539),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(5879),
    [anon_sym_RPAREN] = ACTIONS(5879),
    [aux_sym_preproc_if_token2] = ACTIONS(5879),
    [aux_sym_preproc_else_token1] = ACTIONS(5879),
    [aux_sym_preproc_elif_token1] = ACTIONS(5877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5879),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5879),
    [anon_sym_LPAREN2] = ACTIONS(5879),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5877),
    [anon_sym_SLASH] = ACTIONS(5877),
    [anon_sym_PERCENT] = ACTIONS(5877),
    [anon_sym_PIPE_PIPE] = ACTIONS(5879),
    [anon_sym_AMP_AMP] = ACTIONS(5879),
    [anon_sym_PIPE] = ACTIONS(5877),
    [anon_sym_CARET] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5877),
    [anon_sym_EQ_EQ] = ACTIONS(5879),
    [anon_sym_BANG_EQ] = ACTIONS(5879),
    [anon_sym_GT] = ACTIONS(5877),
    [anon_sym_GT_EQ] = ACTIONS(5879),
    [anon_sym_LT_EQ] = ACTIONS(5877),
    [anon_sym_LT] = ACTIONS(5877),
    [anon_sym_LT_LT] = ACTIONS(5877),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_SEMI] = ACTIONS(5879),
    [anon_sym___attribute__] = ACTIONS(5877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5879),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_RBRACE] = ACTIONS(5879),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [anon_sym_RBRACK] = ACTIONS(5879),
    [anon_sym_EQ] = ACTIONS(5877),
    [anon_sym_COLON] = ACTIONS(5879),
    [anon_sym_QMARK] = ACTIONS(5879),
    [anon_sym_STAR_EQ] = ACTIONS(5879),
    [anon_sym_SLASH_EQ] = ACTIONS(5879),
    [anon_sym_PERCENT_EQ] = ACTIONS(5879),
    [anon_sym_PLUS_EQ] = ACTIONS(5879),
    [anon_sym_DASH_EQ] = ACTIONS(5879),
    [anon_sym_LT_LT_EQ] = ACTIONS(5879),
    [anon_sym_GT_GT_EQ] = ACTIONS(5879),
    [anon_sym_AMP_EQ] = ACTIONS(5879),
    [anon_sym_CARET_EQ] = ACTIONS(5879),
    [anon_sym_PIPE_EQ] = ACTIONS(5879),
    [anon_sym_and_eq] = ACTIONS(5877),
    [anon_sym_or_eq] = ACTIONS(5877),
    [anon_sym_xor_eq] = ACTIONS(5877),
    [anon_sym_LT_EQ_GT] = ACTIONS(5879),
    [anon_sym_or] = ACTIONS(5877),
    [anon_sym_and] = ACTIONS(5877),
    [anon_sym_bitor] = ACTIONS(5877),
    [anon_sym_xor] = ACTIONS(5877),
    [anon_sym_bitand] = ACTIONS(5877),
    [anon_sym_not_eq] = ACTIONS(5877),
    [anon_sym_DASH_DASH] = ACTIONS(5879),
    [anon_sym_PLUS_PLUS] = ACTIONS(5879),
    [anon_sym_DOT] = ACTIONS(5877),
    [anon_sym_DOT_STAR] = ACTIONS(5879),
    [anon_sym_DASH_GT] = ACTIONS(5879),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5877),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(5881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5883),
    [anon_sym_COMMA] = ACTIONS(5883),
    [anon_sym_RPAREN] = ACTIONS(5883),
    [aux_sym_preproc_if_token2] = ACTIONS(5883),
    [aux_sym_preproc_else_token1] = ACTIONS(5883),
    [aux_sym_preproc_elif_token1] = ACTIONS(5881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5883),
    [anon_sym_LPAREN2] = ACTIONS(5883),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_STAR] = ACTIONS(5881),
    [anon_sym_SLASH] = ACTIONS(5881),
    [anon_sym_PERCENT] = ACTIONS(5881),
    [anon_sym_PIPE_PIPE] = ACTIONS(5883),
    [anon_sym_AMP_AMP] = ACTIONS(5883),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_CARET] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(5881),
    [anon_sym_EQ_EQ] = ACTIONS(5883),
    [anon_sym_BANG_EQ] = ACTIONS(5883),
    [anon_sym_GT] = ACTIONS(5881),
    [anon_sym_GT_EQ] = ACTIONS(5883),
    [anon_sym_LT_EQ] = ACTIONS(5881),
    [anon_sym_LT] = ACTIONS(5881),
    [anon_sym_LT_LT] = ACTIONS(5881),
    [anon_sym_GT_GT] = ACTIONS(5881),
    [anon_sym_SEMI] = ACTIONS(5883),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5883),
    [anon_sym_RBRACE] = ACTIONS(5883),
    [anon_sym_LBRACK] = ACTIONS(5881),
    [anon_sym_RBRACK] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_COLON] = ACTIONS(5883),
    [anon_sym_QMARK] = ACTIONS(5883),
    [anon_sym_STAR_EQ] = ACTIONS(5883),
    [anon_sym_SLASH_EQ] = ACTIONS(5883),
    [anon_sym_PERCENT_EQ] = ACTIONS(5883),
    [anon_sym_PLUS_EQ] = ACTIONS(5883),
    [anon_sym_DASH_EQ] = ACTIONS(5883),
    [anon_sym_LT_LT_EQ] = ACTIONS(5883),
    [anon_sym_GT_GT_EQ] = ACTIONS(5883),
    [anon_sym_AMP_EQ] = ACTIONS(5883),
    [anon_sym_CARET_EQ] = ACTIONS(5883),
    [anon_sym_PIPE_EQ] = ACTIONS(5883),
    [anon_sym_and_eq] = ACTIONS(5881),
    [anon_sym_or_eq] = ACTIONS(5881),
    [anon_sym_xor_eq] = ACTIONS(5881),
    [anon_sym_LT_EQ_GT] = ACTIONS(5883),
    [anon_sym_or] = ACTIONS(5881),
    [anon_sym_and] = ACTIONS(5881),
    [anon_sym_bitor] = ACTIONS(5881),
    [anon_sym_xor] = ACTIONS(5881),
    [anon_sym_bitand] = ACTIONS(5881),
    [anon_sym_not_eq] = ACTIONS(5881),
    [anon_sym_DASH_DASH] = ACTIONS(5883),
    [anon_sym_PLUS_PLUS] = ACTIONS(5883),
    [anon_sym_DOT] = ACTIONS(5881),
    [anon_sym_DOT_STAR] = ACTIONS(5883),
    [anon_sym_DASH_GT] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5881),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(5484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [aux_sym_preproc_if_token2] = ACTIONS(5486),
    [aux_sym_preproc_else_token1] = ACTIONS(5486),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5486),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5484),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_CARET] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5484),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_STAR_EQ] = ACTIONS(5486),
    [anon_sym_SLASH_EQ] = ACTIONS(5486),
    [anon_sym_PERCENT_EQ] = ACTIONS(5486),
    [anon_sym_PLUS_EQ] = ACTIONS(5486),
    [anon_sym_DASH_EQ] = ACTIONS(5486),
    [anon_sym_LT_LT_EQ] = ACTIONS(5486),
    [anon_sym_GT_GT_EQ] = ACTIONS(5486),
    [anon_sym_AMP_EQ] = ACTIONS(5486),
    [anon_sym_CARET_EQ] = ACTIONS(5486),
    [anon_sym_PIPE_EQ] = ACTIONS(5486),
    [anon_sym_and_eq] = ACTIONS(5484),
    [anon_sym_or_eq] = ACTIONS(5484),
    [anon_sym_xor_eq] = ACTIONS(5484),
    [anon_sym_LT_EQ_GT] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5484),
    [anon_sym_and] = ACTIONS(5484),
    [anon_sym_bitor] = ACTIONS(5484),
    [anon_sym_xor] = ACTIONS(5484),
    [anon_sym_bitand] = ACTIONS(5484),
    [anon_sym_not_eq] = ACTIONS(5484),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_DOT_STAR] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym___cdecl] = ACTIONS(5341),
    [anon_sym___clrcall] = ACTIONS(5341),
    [anon_sym___stdcall] = ACTIONS(5341),
    [anon_sym___fastcall] = ACTIONS(5341),
    [anon_sym___thiscall] = ACTIONS(5341),
    [anon_sym___vectorcall] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_concept] = ACTIONS(5341),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym___cdecl] = ACTIONS(5341),
    [anon_sym___clrcall] = ACTIONS(5341),
    [anon_sym___stdcall] = ACTIONS(5341),
    [anon_sym___fastcall] = ACTIONS(5341),
    [anon_sym___thiscall] = ACTIONS(5341),
    [anon_sym___vectorcall] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_concept] = ACTIONS(5341),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5887),
    [anon_sym_COMMA] = ACTIONS(5887),
    [anon_sym_RPAREN] = ACTIONS(5887),
    [aux_sym_preproc_if_token2] = ACTIONS(5887),
    [aux_sym_preproc_else_token1] = ACTIONS(5887),
    [aux_sym_preproc_elif_token1] = ACTIONS(5885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5887),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5887),
    [anon_sym_LPAREN2] = ACTIONS(5887),
    [anon_sym_DASH] = ACTIONS(5885),
    [anon_sym_PLUS] = ACTIONS(5885),
    [anon_sym_STAR] = ACTIONS(5885),
    [anon_sym_SLASH] = ACTIONS(5885),
    [anon_sym_PERCENT] = ACTIONS(5885),
    [anon_sym_PIPE_PIPE] = ACTIONS(5887),
    [anon_sym_AMP_AMP] = ACTIONS(5887),
    [anon_sym_PIPE] = ACTIONS(5885),
    [anon_sym_CARET] = ACTIONS(5885),
    [anon_sym_AMP] = ACTIONS(5885),
    [anon_sym_EQ_EQ] = ACTIONS(5887),
    [anon_sym_BANG_EQ] = ACTIONS(5887),
    [anon_sym_GT] = ACTIONS(5885),
    [anon_sym_GT_EQ] = ACTIONS(5887),
    [anon_sym_LT_EQ] = ACTIONS(5885),
    [anon_sym_LT] = ACTIONS(5885),
    [anon_sym_LT_LT] = ACTIONS(5885),
    [anon_sym_GT_GT] = ACTIONS(5885),
    [anon_sym_SEMI] = ACTIONS(5887),
    [anon_sym___attribute__] = ACTIONS(5885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5887),
    [anon_sym_LBRACE] = ACTIONS(5887),
    [anon_sym_RBRACE] = ACTIONS(5887),
    [anon_sym_LBRACK] = ACTIONS(5885),
    [anon_sym_RBRACK] = ACTIONS(5887),
    [anon_sym_EQ] = ACTIONS(5885),
    [anon_sym_COLON] = ACTIONS(5887),
    [anon_sym_QMARK] = ACTIONS(5887),
    [anon_sym_STAR_EQ] = ACTIONS(5887),
    [anon_sym_SLASH_EQ] = ACTIONS(5887),
    [anon_sym_PERCENT_EQ] = ACTIONS(5887),
    [anon_sym_PLUS_EQ] = ACTIONS(5887),
    [anon_sym_DASH_EQ] = ACTIONS(5887),
    [anon_sym_LT_LT_EQ] = ACTIONS(5887),
    [anon_sym_GT_GT_EQ] = ACTIONS(5887),
    [anon_sym_AMP_EQ] = ACTIONS(5887),
    [anon_sym_CARET_EQ] = ACTIONS(5887),
    [anon_sym_PIPE_EQ] = ACTIONS(5887),
    [anon_sym_and_eq] = ACTIONS(5885),
    [anon_sym_or_eq] = ACTIONS(5885),
    [anon_sym_xor_eq] = ACTIONS(5885),
    [anon_sym_LT_EQ_GT] = ACTIONS(5887),
    [anon_sym_or] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_bitor] = ACTIONS(5885),
    [anon_sym_xor] = ACTIONS(5885),
    [anon_sym_bitand] = ACTIONS(5885),
    [anon_sym_not_eq] = ACTIONS(5885),
    [anon_sym_DASH_DASH] = ACTIONS(5887),
    [anon_sym_PLUS_PLUS] = ACTIONS(5887),
    [anon_sym_DOT] = ACTIONS(5885),
    [anon_sym_DOT_STAR] = ACTIONS(5887),
    [anon_sym_DASH_GT] = ACTIONS(5887),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5885),
  },
  [2157] = {
    [sym_attribute_declaration] = STATE(2167),
    [aux_sym_attributed_declarator_repeat1] = STATE(2167),
    [sym_identifier] = ACTIONS(5889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5891),
    [anon_sym_COMMA] = ACTIONS(5891),
    [anon_sym_RPAREN] = ACTIONS(5891),
    [aux_sym_preproc_if_token2] = ACTIONS(5891),
    [aux_sym_preproc_else_token1] = ACTIONS(5891),
    [aux_sym_preproc_elif_token1] = ACTIONS(5889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5891),
    [anon_sym_LPAREN2] = ACTIONS(5891),
    [anon_sym_DASH] = ACTIONS(5889),
    [anon_sym_PLUS] = ACTIONS(5889),
    [anon_sym_STAR] = ACTIONS(5889),
    [anon_sym_SLASH] = ACTIONS(5889),
    [anon_sym_PERCENT] = ACTIONS(5889),
    [anon_sym_PIPE_PIPE] = ACTIONS(5891),
    [anon_sym_AMP_AMP] = ACTIONS(5891),
    [anon_sym_PIPE] = ACTIONS(5889),
    [anon_sym_CARET] = ACTIONS(5889),
    [anon_sym_AMP] = ACTIONS(5889),
    [anon_sym_EQ_EQ] = ACTIONS(5891),
    [anon_sym_BANG_EQ] = ACTIONS(5891),
    [anon_sym_GT] = ACTIONS(5889),
    [anon_sym_GT_EQ] = ACTIONS(5891),
    [anon_sym_LT_EQ] = ACTIONS(5889),
    [anon_sym_LT] = ACTIONS(5889),
    [anon_sym_LT_LT] = ACTIONS(5889),
    [anon_sym_GT_GT] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5891),
    [anon_sym___attribute__] = ACTIONS(5889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5891),
    [anon_sym_EQ] = ACTIONS(5889),
    [anon_sym_COLON] = ACTIONS(5891),
    [anon_sym_QMARK] = ACTIONS(5891),
    [anon_sym_STAR_EQ] = ACTIONS(5891),
    [anon_sym_SLASH_EQ] = ACTIONS(5891),
    [anon_sym_PERCENT_EQ] = ACTIONS(5891),
    [anon_sym_PLUS_EQ] = ACTIONS(5891),
    [anon_sym_DASH_EQ] = ACTIONS(5891),
    [anon_sym_LT_LT_EQ] = ACTIONS(5891),
    [anon_sym_GT_GT_EQ] = ACTIONS(5891),
    [anon_sym_AMP_EQ] = ACTIONS(5891),
    [anon_sym_CARET_EQ] = ACTIONS(5891),
    [anon_sym_PIPE_EQ] = ACTIONS(5891),
    [anon_sym_and_eq] = ACTIONS(5889),
    [anon_sym_or_eq] = ACTIONS(5889),
    [anon_sym_xor_eq] = ACTIONS(5889),
    [anon_sym_LT_EQ_GT] = ACTIONS(5891),
    [anon_sym_or] = ACTIONS(5889),
    [anon_sym_and] = ACTIONS(5889),
    [anon_sym_bitor] = ACTIONS(5889),
    [anon_sym_xor] = ACTIONS(5889),
    [anon_sym_bitand] = ACTIONS(5889),
    [anon_sym_not_eq] = ACTIONS(5889),
    [anon_sym_DASH_DASH] = ACTIONS(5891),
    [anon_sym_PLUS_PLUS] = ACTIONS(5891),
    [anon_sym_DOT] = ACTIONS(5889),
    [anon_sym_DOT_STAR] = ACTIONS(5891),
    [anon_sym_DASH_GT] = ACTIONS(5891),
    [sym_comment] = ACTIONS(3),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5895),
    [anon_sym_COMMA] = ACTIONS(5895),
    [anon_sym_RPAREN] = ACTIONS(5895),
    [aux_sym_preproc_if_token2] = ACTIONS(5895),
    [aux_sym_preproc_else_token1] = ACTIONS(5895),
    [aux_sym_preproc_elif_token1] = ACTIONS(5893),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5895),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5895),
    [anon_sym_LPAREN2] = ACTIONS(5895),
    [anon_sym_DASH] = ACTIONS(5893),
    [anon_sym_PLUS] = ACTIONS(5893),
    [anon_sym_STAR] = ACTIONS(5893),
    [anon_sym_SLASH] = ACTIONS(5893),
    [anon_sym_PERCENT] = ACTIONS(5893),
    [anon_sym_PIPE_PIPE] = ACTIONS(5895),
    [anon_sym_AMP_AMP] = ACTIONS(5895),
    [anon_sym_PIPE] = ACTIONS(5893),
    [anon_sym_CARET] = ACTIONS(5893),
    [anon_sym_AMP] = ACTIONS(5893),
    [anon_sym_EQ_EQ] = ACTIONS(5895),
    [anon_sym_BANG_EQ] = ACTIONS(5895),
    [anon_sym_GT] = ACTIONS(5893),
    [anon_sym_GT_EQ] = ACTIONS(5895),
    [anon_sym_LT_EQ] = ACTIONS(5893),
    [anon_sym_LT] = ACTIONS(5893),
    [anon_sym_LT_LT] = ACTIONS(5893),
    [anon_sym_GT_GT] = ACTIONS(5893),
    [anon_sym_SEMI] = ACTIONS(5895),
    [anon_sym___attribute__] = ACTIONS(5893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5895),
    [anon_sym_LBRACE] = ACTIONS(5895),
    [anon_sym_RBRACE] = ACTIONS(5895),
    [anon_sym_LBRACK] = ACTIONS(5893),
    [anon_sym_RBRACK] = ACTIONS(5895),
    [anon_sym_EQ] = ACTIONS(5893),
    [anon_sym_COLON] = ACTIONS(5895),
    [anon_sym_QMARK] = ACTIONS(5895),
    [anon_sym_STAR_EQ] = ACTIONS(5895),
    [anon_sym_SLASH_EQ] = ACTIONS(5895),
    [anon_sym_PERCENT_EQ] = ACTIONS(5895),
    [anon_sym_PLUS_EQ] = ACTIONS(5895),
    [anon_sym_DASH_EQ] = ACTIONS(5895),
    [anon_sym_LT_LT_EQ] = ACTIONS(5895),
    [anon_sym_GT_GT_EQ] = ACTIONS(5895),
    [anon_sym_AMP_EQ] = ACTIONS(5895),
    [anon_sym_CARET_EQ] = ACTIONS(5895),
    [anon_sym_PIPE_EQ] = ACTIONS(5895),
    [anon_sym_and_eq] = ACTIONS(5893),
    [anon_sym_or_eq] = ACTIONS(5893),
    [anon_sym_xor_eq] = ACTIONS(5893),
    [anon_sym_LT_EQ_GT] = ACTIONS(5895),
    [anon_sym_or] = ACTIONS(5893),
    [anon_sym_and] = ACTIONS(5893),
    [anon_sym_bitor] = ACTIONS(5893),
    [anon_sym_xor] = ACTIONS(5893),
    [anon_sym_bitand] = ACTIONS(5893),
    [anon_sym_not_eq] = ACTIONS(5893),
    [anon_sym_DASH_DASH] = ACTIONS(5895),
    [anon_sym_PLUS_PLUS] = ACTIONS(5895),
    [anon_sym_DOT] = ACTIONS(5893),
    [anon_sym_DOT_STAR] = ACTIONS(5895),
    [anon_sym_DASH_GT] = ACTIONS(5895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5893),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(5897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5899),
    [anon_sym_COMMA] = ACTIONS(5899),
    [anon_sym_RPAREN] = ACTIONS(5899),
    [aux_sym_preproc_if_token2] = ACTIONS(5899),
    [aux_sym_preproc_else_token1] = ACTIONS(5899),
    [aux_sym_preproc_elif_token1] = ACTIONS(5897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5899),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5899),
    [anon_sym_LPAREN2] = ACTIONS(5899),
    [anon_sym_DASH] = ACTIONS(5897),
    [anon_sym_PLUS] = ACTIONS(5897),
    [anon_sym_STAR] = ACTIONS(5897),
    [anon_sym_SLASH] = ACTIONS(5897),
    [anon_sym_PERCENT] = ACTIONS(5897),
    [anon_sym_PIPE_PIPE] = ACTIONS(5899),
    [anon_sym_AMP_AMP] = ACTIONS(5899),
    [anon_sym_PIPE] = ACTIONS(5897),
    [anon_sym_CARET] = ACTIONS(5897),
    [anon_sym_AMP] = ACTIONS(5897),
    [anon_sym_EQ_EQ] = ACTIONS(5899),
    [anon_sym_BANG_EQ] = ACTIONS(5899),
    [anon_sym_GT] = ACTIONS(5897),
    [anon_sym_GT_EQ] = ACTIONS(5899),
    [anon_sym_LT_EQ] = ACTIONS(5897),
    [anon_sym_LT] = ACTIONS(5897),
    [anon_sym_LT_LT] = ACTIONS(5897),
    [anon_sym_GT_GT] = ACTIONS(5897),
    [anon_sym_SEMI] = ACTIONS(5899),
    [anon_sym___attribute__] = ACTIONS(5897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5899),
    [anon_sym_LBRACE] = ACTIONS(5899),
    [anon_sym_RBRACE] = ACTIONS(5899),
    [anon_sym_LBRACK] = ACTIONS(5897),
    [anon_sym_RBRACK] = ACTIONS(5899),
    [anon_sym_EQ] = ACTIONS(5897),
    [anon_sym_COLON] = ACTIONS(5899),
    [anon_sym_QMARK] = ACTIONS(5899),
    [anon_sym_STAR_EQ] = ACTIONS(5899),
    [anon_sym_SLASH_EQ] = ACTIONS(5899),
    [anon_sym_PERCENT_EQ] = ACTIONS(5899),
    [anon_sym_PLUS_EQ] = ACTIONS(5899),
    [anon_sym_DASH_EQ] = ACTIONS(5899),
    [anon_sym_LT_LT_EQ] = ACTIONS(5899),
    [anon_sym_GT_GT_EQ] = ACTIONS(5899),
    [anon_sym_AMP_EQ] = ACTIONS(5899),
    [anon_sym_CARET_EQ] = ACTIONS(5899),
    [anon_sym_PIPE_EQ] = ACTIONS(5899),
    [anon_sym_and_eq] = ACTIONS(5897),
    [anon_sym_or_eq] = ACTIONS(5897),
    [anon_sym_xor_eq] = ACTIONS(5897),
    [anon_sym_LT_EQ_GT] = ACTIONS(5899),
    [anon_sym_or] = ACTIONS(5897),
    [anon_sym_and] = ACTIONS(5897),
    [anon_sym_bitor] = ACTIONS(5897),
    [anon_sym_xor] = ACTIONS(5897),
    [anon_sym_bitand] = ACTIONS(5897),
    [anon_sym_not_eq] = ACTIONS(5897),
    [anon_sym_DASH_DASH] = ACTIONS(5899),
    [anon_sym_PLUS_PLUS] = ACTIONS(5899),
    [anon_sym_DOT] = ACTIONS(5897),
    [anon_sym_DOT_STAR] = ACTIONS(5899),
    [anon_sym_DASH_GT] = ACTIONS(5899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5897),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5903),
    [anon_sym_COMMA] = ACTIONS(5903),
    [anon_sym_RPAREN] = ACTIONS(5903),
    [aux_sym_preproc_if_token2] = ACTIONS(5903),
    [aux_sym_preproc_else_token1] = ACTIONS(5903),
    [aux_sym_preproc_elif_token1] = ACTIONS(5901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5903),
    [anon_sym_LPAREN2] = ACTIONS(5903),
    [anon_sym_DASH] = ACTIONS(5901),
    [anon_sym_PLUS] = ACTIONS(5901),
    [anon_sym_STAR] = ACTIONS(5901),
    [anon_sym_SLASH] = ACTIONS(5901),
    [anon_sym_PERCENT] = ACTIONS(5901),
    [anon_sym_PIPE_PIPE] = ACTIONS(5903),
    [anon_sym_AMP_AMP] = ACTIONS(5903),
    [anon_sym_PIPE] = ACTIONS(5901),
    [anon_sym_CARET] = ACTIONS(5901),
    [anon_sym_AMP] = ACTIONS(5901),
    [anon_sym_EQ_EQ] = ACTIONS(5903),
    [anon_sym_BANG_EQ] = ACTIONS(5903),
    [anon_sym_GT] = ACTIONS(5901),
    [anon_sym_GT_EQ] = ACTIONS(5903),
    [anon_sym_LT_EQ] = ACTIONS(5901),
    [anon_sym_LT] = ACTIONS(5901),
    [anon_sym_LT_LT] = ACTIONS(5901),
    [anon_sym_GT_GT] = ACTIONS(5901),
    [anon_sym_SEMI] = ACTIONS(5903),
    [anon_sym___attribute__] = ACTIONS(5901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5903),
    [anon_sym_LBRACE] = ACTIONS(5903),
    [anon_sym_RBRACE] = ACTIONS(5903),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [anon_sym_RBRACK] = ACTIONS(5903),
    [anon_sym_EQ] = ACTIONS(5901),
    [anon_sym_COLON] = ACTIONS(5903),
    [anon_sym_QMARK] = ACTIONS(5903),
    [anon_sym_STAR_EQ] = ACTIONS(5903),
    [anon_sym_SLASH_EQ] = ACTIONS(5903),
    [anon_sym_PERCENT_EQ] = ACTIONS(5903),
    [anon_sym_PLUS_EQ] = ACTIONS(5903),
    [anon_sym_DASH_EQ] = ACTIONS(5903),
    [anon_sym_LT_LT_EQ] = ACTIONS(5903),
    [anon_sym_GT_GT_EQ] = ACTIONS(5903),
    [anon_sym_AMP_EQ] = ACTIONS(5903),
    [anon_sym_CARET_EQ] = ACTIONS(5903),
    [anon_sym_PIPE_EQ] = ACTIONS(5903),
    [anon_sym_and_eq] = ACTIONS(5901),
    [anon_sym_or_eq] = ACTIONS(5901),
    [anon_sym_xor_eq] = ACTIONS(5901),
    [anon_sym_LT_EQ_GT] = ACTIONS(5903),
    [anon_sym_or] = ACTIONS(5901),
    [anon_sym_and] = ACTIONS(5901),
    [anon_sym_bitor] = ACTIONS(5901),
    [anon_sym_xor] = ACTIONS(5901),
    [anon_sym_bitand] = ACTIONS(5901),
    [anon_sym_not_eq] = ACTIONS(5901),
    [anon_sym_DASH_DASH] = ACTIONS(5903),
    [anon_sym_PLUS_PLUS] = ACTIONS(5903),
    [anon_sym_DOT] = ACTIONS(5901),
    [anon_sym_DOT_STAR] = ACTIONS(5903),
    [anon_sym_DASH_GT] = ACTIONS(5903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5901),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(5400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5402),
    [anon_sym_COMMA] = ACTIONS(5402),
    [anon_sym_RPAREN] = ACTIONS(5402),
    [aux_sym_preproc_if_token2] = ACTIONS(5402),
    [aux_sym_preproc_else_token1] = ACTIONS(5402),
    [aux_sym_preproc_elif_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5400),
    [anon_sym_SLASH] = ACTIONS(5400),
    [anon_sym_PERCENT] = ACTIONS(5400),
    [anon_sym_PIPE_PIPE] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_PIPE] = ACTIONS(5400),
    [anon_sym_CARET] = ACTIONS(5400),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_EQ_EQ] = ACTIONS(5402),
    [anon_sym_BANG_EQ] = ACTIONS(5402),
    [anon_sym_GT] = ACTIONS(5400),
    [anon_sym_GT_EQ] = ACTIONS(5402),
    [anon_sym_LT_EQ] = ACTIONS(5400),
    [anon_sym_LT] = ACTIONS(5400),
    [anon_sym_LT_LT] = ACTIONS(5400),
    [anon_sym_GT_GT] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym_LBRACE] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_RBRACK] = ACTIONS(5402),
    [anon_sym_EQ] = ACTIONS(5400),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_STAR_EQ] = ACTIONS(5402),
    [anon_sym_SLASH_EQ] = ACTIONS(5402),
    [anon_sym_PERCENT_EQ] = ACTIONS(5402),
    [anon_sym_PLUS_EQ] = ACTIONS(5402),
    [anon_sym_DASH_EQ] = ACTIONS(5402),
    [anon_sym_LT_LT_EQ] = ACTIONS(5402),
    [anon_sym_GT_GT_EQ] = ACTIONS(5402),
    [anon_sym_AMP_EQ] = ACTIONS(5402),
    [anon_sym_CARET_EQ] = ACTIONS(5402),
    [anon_sym_PIPE_EQ] = ACTIONS(5402),
    [anon_sym_and_eq] = ACTIONS(5400),
    [anon_sym_or_eq] = ACTIONS(5400),
    [anon_sym_xor_eq] = ACTIONS(5400),
    [anon_sym_LT_EQ_GT] = ACTIONS(5402),
    [anon_sym_or] = ACTIONS(5400),
    [anon_sym_and] = ACTIONS(5400),
    [anon_sym_bitor] = ACTIONS(5400),
    [anon_sym_xor] = ACTIONS(5400),
    [anon_sym_bitand] = ACTIONS(5400),
    [anon_sym_not_eq] = ACTIONS(5400),
    [anon_sym_DASH_DASH] = ACTIONS(5402),
    [anon_sym_PLUS_PLUS] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_DOT_STAR] = ACTIONS(5402),
    [anon_sym_DASH_GT] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_TILDE] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5287),
    [anon_sym_virtual] = ACTIONS(5287),
    [anon_sym_extern] = ACTIONS(5287),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5289),
    [anon_sym___declspec] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5287),
    [anon_sym___cdecl] = ACTIONS(5287),
    [anon_sym___clrcall] = ACTIONS(5287),
    [anon_sym___stdcall] = ACTIONS(5287),
    [anon_sym___fastcall] = ACTIONS(5287),
    [anon_sym___thiscall] = ACTIONS(5287),
    [anon_sym___vectorcall] = ACTIONS(5287),
    [anon_sym_signed] = ACTIONS(5287),
    [anon_sym_unsigned] = ACTIONS(5287),
    [anon_sym_long] = ACTIONS(5287),
    [anon_sym_short] = ACTIONS(5287),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_static] = ACTIONS(5287),
    [anon_sym_register] = ACTIONS(5287),
    [anon_sym_inline] = ACTIONS(5287),
    [anon_sym___inline] = ACTIONS(5287),
    [anon_sym___inline__] = ACTIONS(5287),
    [anon_sym___forceinline] = ACTIONS(5287),
    [anon_sym_thread_local] = ACTIONS(5287),
    [anon_sym___thread] = ACTIONS(5287),
    [anon_sym_const] = ACTIONS(5287),
    [anon_sym_constexpr] = ACTIONS(5287),
    [anon_sym_volatile] = ACTIONS(5287),
    [anon_sym_restrict] = ACTIONS(5287),
    [anon_sym___restrict__] = ACTIONS(5287),
    [anon_sym__Atomic] = ACTIONS(5287),
    [anon_sym__Noreturn] = ACTIONS(5287),
    [anon_sym_noreturn] = ACTIONS(5287),
    [anon_sym__Nonnull] = ACTIONS(5287),
    [anon_sym_mutable] = ACTIONS(5287),
    [anon_sym_constinit] = ACTIONS(5287),
    [anon_sym_consteval] = ACTIONS(5287),
    [anon_sym_alignas] = ACTIONS(5287),
    [anon_sym__Alignas] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(5287),
    [anon_sym_enum] = ACTIONS(5287),
    [anon_sym_class] = ACTIONS(5287),
    [anon_sym_struct] = ACTIONS(5287),
    [anon_sym_union] = ACTIONS(5287),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_explicit] = ACTIONS(5287),
    [anon_sym_typename] = ACTIONS(5287),
    [anon_sym_template] = ACTIONS(5287),
    [anon_sym_operator] = ACTIONS(5287),
    [anon_sym_friend] = ACTIONS(5287),
    [anon_sym_using] = ACTIONS(5287),
    [anon_sym_concept] = ACTIONS(5287),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(5434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5436),
    [anon_sym_COMMA] = ACTIONS(5436),
    [anon_sym_RPAREN] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_else_token1] = ACTIONS(5436),
    [aux_sym_preproc_elif_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_DASH] = ACTIONS(5434),
    [anon_sym_PLUS] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_SLASH] = ACTIONS(5434),
    [anon_sym_PERCENT] = ACTIONS(5434),
    [anon_sym_PIPE_PIPE] = ACTIONS(5436),
    [anon_sym_AMP_AMP] = ACTIONS(5436),
    [anon_sym_PIPE] = ACTIONS(5434),
    [anon_sym_CARET] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5434),
    [anon_sym_EQ_EQ] = ACTIONS(5436),
    [anon_sym_BANG_EQ] = ACTIONS(5436),
    [anon_sym_GT] = ACTIONS(5434),
    [anon_sym_GT_EQ] = ACTIONS(5436),
    [anon_sym_LT_EQ] = ACTIONS(5434),
    [anon_sym_LT] = ACTIONS(5434),
    [anon_sym_LT_LT] = ACTIONS(5434),
    [anon_sym_GT_GT] = ACTIONS(5434),
    [anon_sym_SEMI] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5434),
    [anon_sym_LBRACE] = ACTIONS(5436),
    [anon_sym_RBRACE] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_RBRACK] = ACTIONS(5436),
    [anon_sym_EQ] = ACTIONS(5434),
    [anon_sym_COLON] = ACTIONS(5436),
    [anon_sym_QMARK] = ACTIONS(5436),
    [anon_sym_STAR_EQ] = ACTIONS(5436),
    [anon_sym_SLASH_EQ] = ACTIONS(5436),
    [anon_sym_PERCENT_EQ] = ACTIONS(5436),
    [anon_sym_PLUS_EQ] = ACTIONS(5436),
    [anon_sym_DASH_EQ] = ACTIONS(5436),
    [anon_sym_LT_LT_EQ] = ACTIONS(5436),
    [anon_sym_GT_GT_EQ] = ACTIONS(5436),
    [anon_sym_AMP_EQ] = ACTIONS(5436),
    [anon_sym_CARET_EQ] = ACTIONS(5436),
    [anon_sym_PIPE_EQ] = ACTIONS(5436),
    [anon_sym_and_eq] = ACTIONS(5434),
    [anon_sym_or_eq] = ACTIONS(5434),
    [anon_sym_xor_eq] = ACTIONS(5434),
    [anon_sym_LT_EQ_GT] = ACTIONS(5436),
    [anon_sym_or] = ACTIONS(5434),
    [anon_sym_and] = ACTIONS(5434),
    [anon_sym_bitor] = ACTIONS(5434),
    [anon_sym_xor] = ACTIONS(5434),
    [anon_sym_bitand] = ACTIONS(5434),
    [anon_sym_not_eq] = ACTIONS(5434),
    [anon_sym_DASH_DASH] = ACTIONS(5436),
    [anon_sym_PLUS_PLUS] = ACTIONS(5436),
    [anon_sym_DOT] = ACTIONS(5434),
    [anon_sym_DOT_STAR] = ACTIONS(5436),
    [anon_sym_DASH_GT] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5434),
    [anon_sym_decltype] = ACTIONS(5434),
  },
  [2164] = {
    [sym_template_argument_list] = STATE(2252),
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [aux_sym_preproc_if_token2] = ACTIONS(4857),
    [aux_sym_preproc_else_token1] = ACTIONS(4857),
    [aux_sym_preproc_elif_token1] = ACTIONS(4864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4857),
    [anon_sym_RBRACK] = ACTIONS(4857),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(5438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [anon_sym_RPAREN] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_else_token1] = ACTIONS(5440),
    [aux_sym_preproc_elif_token1] = ACTIONS(5438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_SEMI] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5438),
    [anon_sym_LBRACE] = ACTIONS(5440),
    [anon_sym_RBRACE] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_RBRACK] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5440),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_and_eq] = ACTIONS(5438),
    [anon_sym_or_eq] = ACTIONS(5438),
    [anon_sym_xor_eq] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5438),
    [anon_sym_decltype] = ACTIONS(5438),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [aux_sym_preproc_if_token2] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5498),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5496),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_EQ] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_STAR_EQ] = ACTIONS(5498),
    [anon_sym_SLASH_EQ] = ACTIONS(5498),
    [anon_sym_PERCENT_EQ] = ACTIONS(5498),
    [anon_sym_PLUS_EQ] = ACTIONS(5498),
    [anon_sym_DASH_EQ] = ACTIONS(5498),
    [anon_sym_LT_LT_EQ] = ACTIONS(5498),
    [anon_sym_GT_GT_EQ] = ACTIONS(5498),
    [anon_sym_AMP_EQ] = ACTIONS(5498),
    [anon_sym_CARET_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_and_eq] = ACTIONS(5496),
    [anon_sym_or_eq] = ACTIONS(5496),
    [anon_sym_xor_eq] = ACTIONS(5496),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
  },
  [2167] = {
    [sym_attribute_declaration] = STATE(2167),
    [aux_sym_attributed_declarator_repeat1] = STATE(2167),
    [sym_identifier] = ACTIONS(5905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5907),
    [anon_sym_COMMA] = ACTIONS(5907),
    [anon_sym_RPAREN] = ACTIONS(5907),
    [aux_sym_preproc_if_token2] = ACTIONS(5907),
    [aux_sym_preproc_else_token1] = ACTIONS(5907),
    [aux_sym_preproc_elif_token1] = ACTIONS(5905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5907),
    [anon_sym_LPAREN2] = ACTIONS(5907),
    [anon_sym_DASH] = ACTIONS(5905),
    [anon_sym_PLUS] = ACTIONS(5905),
    [anon_sym_STAR] = ACTIONS(5905),
    [anon_sym_SLASH] = ACTIONS(5905),
    [anon_sym_PERCENT] = ACTIONS(5905),
    [anon_sym_PIPE_PIPE] = ACTIONS(5907),
    [anon_sym_AMP_AMP] = ACTIONS(5907),
    [anon_sym_PIPE] = ACTIONS(5905),
    [anon_sym_CARET] = ACTIONS(5905),
    [anon_sym_AMP] = ACTIONS(5905),
    [anon_sym_EQ_EQ] = ACTIONS(5907),
    [anon_sym_BANG_EQ] = ACTIONS(5907),
    [anon_sym_GT] = ACTIONS(5905),
    [anon_sym_GT_EQ] = ACTIONS(5907),
    [anon_sym_LT_EQ] = ACTIONS(5905),
    [anon_sym_LT] = ACTIONS(5905),
    [anon_sym_LT_LT] = ACTIONS(5905),
    [anon_sym_GT_GT] = ACTIONS(5905),
    [anon_sym_SEMI] = ACTIONS(5907),
    [anon_sym___attribute__] = ACTIONS(5905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5909),
    [anon_sym_RBRACE] = ACTIONS(5907),
    [anon_sym_LBRACK] = ACTIONS(5905),
    [anon_sym_RBRACK] = ACTIONS(5907),
    [anon_sym_EQ] = ACTIONS(5905),
    [anon_sym_COLON] = ACTIONS(5907),
    [anon_sym_QMARK] = ACTIONS(5907),
    [anon_sym_STAR_EQ] = ACTIONS(5907),
    [anon_sym_SLASH_EQ] = ACTIONS(5907),
    [anon_sym_PERCENT_EQ] = ACTIONS(5907),
    [anon_sym_PLUS_EQ] = ACTIONS(5907),
    [anon_sym_DASH_EQ] = ACTIONS(5907),
    [anon_sym_LT_LT_EQ] = ACTIONS(5907),
    [anon_sym_GT_GT_EQ] = ACTIONS(5907),
    [anon_sym_AMP_EQ] = ACTIONS(5907),
    [anon_sym_CARET_EQ] = ACTIONS(5907),
    [anon_sym_PIPE_EQ] = ACTIONS(5907),
    [anon_sym_and_eq] = ACTIONS(5905),
    [anon_sym_or_eq] = ACTIONS(5905),
    [anon_sym_xor_eq] = ACTIONS(5905),
    [anon_sym_LT_EQ_GT] = ACTIONS(5907),
    [anon_sym_or] = ACTIONS(5905),
    [anon_sym_and] = ACTIONS(5905),
    [anon_sym_bitor] = ACTIONS(5905),
    [anon_sym_xor] = ACTIONS(5905),
    [anon_sym_bitand] = ACTIONS(5905),
    [anon_sym_not_eq] = ACTIONS(5905),
    [anon_sym_DASH_DASH] = ACTIONS(5907),
    [anon_sym_PLUS_PLUS] = ACTIONS(5907),
    [anon_sym_DOT] = ACTIONS(5905),
    [anon_sym_DOT_STAR] = ACTIONS(5907),
    [anon_sym_DASH_GT] = ACTIONS(5907),
    [sym_comment] = ACTIONS(3),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_LPAREN2] = ACTIONS(5914),
    [anon_sym_TILDE] = ACTIONS(5914),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_PIPE_PIPE] = ACTIONS(5914),
    [anon_sym_AMP_AMP] = ACTIONS(5916),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym___extension__] = ACTIONS(5912),
    [anon_sym_virtual] = ACTIONS(5912),
    [anon_sym_extern] = ACTIONS(5912),
    [anon_sym___attribute__] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5914),
    [anon_sym___declspec] = ACTIONS(5912),
    [anon_sym___based] = ACTIONS(5912),
    [anon_sym___cdecl] = ACTIONS(5912),
    [anon_sym___clrcall] = ACTIONS(5912),
    [anon_sym___stdcall] = ACTIONS(5912),
    [anon_sym___fastcall] = ACTIONS(5912),
    [anon_sym___thiscall] = ACTIONS(5912),
    [anon_sym___vectorcall] = ACTIONS(5912),
    [anon_sym_signed] = ACTIONS(5912),
    [anon_sym_unsigned] = ACTIONS(5912),
    [anon_sym_long] = ACTIONS(5912),
    [anon_sym_short] = ACTIONS(5912),
    [anon_sym_LBRACK] = ACTIONS(5912),
    [anon_sym_static] = ACTIONS(5912),
    [anon_sym_register] = ACTIONS(5912),
    [anon_sym_inline] = ACTIONS(5912),
    [anon_sym___inline] = ACTIONS(5912),
    [anon_sym___inline__] = ACTIONS(5912),
    [anon_sym___forceinline] = ACTIONS(5912),
    [anon_sym_thread_local] = ACTIONS(5912),
    [anon_sym___thread] = ACTIONS(5912),
    [anon_sym_const] = ACTIONS(5912),
    [anon_sym_constexpr] = ACTIONS(5912),
    [anon_sym_volatile] = ACTIONS(5912),
    [anon_sym_restrict] = ACTIONS(5912),
    [anon_sym___restrict__] = ACTIONS(5912),
    [anon_sym__Atomic] = ACTIONS(5912),
    [anon_sym__Noreturn] = ACTIONS(5912),
    [anon_sym_noreturn] = ACTIONS(5912),
    [anon_sym__Nonnull] = ACTIONS(5912),
    [anon_sym_mutable] = ACTIONS(5912),
    [anon_sym_constinit] = ACTIONS(5912),
    [anon_sym_consteval] = ACTIONS(5912),
    [anon_sym_alignas] = ACTIONS(5912),
    [anon_sym__Alignas] = ACTIONS(5912),
    [sym_primitive_type] = ACTIONS(5912),
    [anon_sym_enum] = ACTIONS(5912),
    [anon_sym_class] = ACTIONS(5912),
    [anon_sym_struct] = ACTIONS(5912),
    [anon_sym_union] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_and] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5912),
    [anon_sym_decltype] = ACTIONS(5912),
    [anon_sym_explicit] = ACTIONS(5912),
    [anon_sym_typename] = ACTIONS(5912),
    [anon_sym_template] = ACTIONS(5912),
    [anon_sym_operator] = ACTIONS(5912),
    [anon_sym_friend] = ACTIONS(5912),
    [anon_sym_using] = ACTIONS(5912),
    [anon_sym_concept] = ACTIONS(5912),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(5920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5922),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_RPAREN] = ACTIONS(5922),
    [aux_sym_preproc_if_token2] = ACTIONS(5922),
    [aux_sym_preproc_else_token1] = ACTIONS(5922),
    [aux_sym_preproc_elif_token1] = ACTIONS(5920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5922),
    [anon_sym_LPAREN2] = ACTIONS(5922),
    [anon_sym_DASH] = ACTIONS(5920),
    [anon_sym_PLUS] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5920),
    [anon_sym_SLASH] = ACTIONS(5920),
    [anon_sym_PERCENT] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_PIPE] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5920),
    [anon_sym_AMP] = ACTIONS(5920),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5920),
    [anon_sym_GT_EQ] = ACTIONS(5922),
    [anon_sym_LT_EQ] = ACTIONS(5920),
    [anon_sym_LT] = ACTIONS(5920),
    [anon_sym_LT_LT] = ACTIONS(5920),
    [anon_sym_GT_GT] = ACTIONS(5920),
    [anon_sym_SEMI] = ACTIONS(5922),
    [anon_sym___attribute__] = ACTIONS(5920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5922),
    [anon_sym_LBRACE] = ACTIONS(5922),
    [anon_sym_RBRACE] = ACTIONS(5922),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_RBRACK] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5920),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_STAR_EQ] = ACTIONS(5922),
    [anon_sym_SLASH_EQ] = ACTIONS(5922),
    [anon_sym_PERCENT_EQ] = ACTIONS(5922),
    [anon_sym_PLUS_EQ] = ACTIONS(5922),
    [anon_sym_DASH_EQ] = ACTIONS(5922),
    [anon_sym_LT_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT_GT_EQ] = ACTIONS(5922),
    [anon_sym_AMP_EQ] = ACTIONS(5922),
    [anon_sym_CARET_EQ] = ACTIONS(5922),
    [anon_sym_PIPE_EQ] = ACTIONS(5922),
    [anon_sym_and_eq] = ACTIONS(5920),
    [anon_sym_or_eq] = ACTIONS(5920),
    [anon_sym_xor_eq] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5920),
    [anon_sym_bitor] = ACTIONS(5920),
    [anon_sym_xor] = ACTIONS(5920),
    [anon_sym_bitand] = ACTIONS(5920),
    [anon_sym_not_eq] = ACTIONS(5920),
    [anon_sym_DASH_DASH] = ACTIONS(5922),
    [anon_sym_PLUS_PLUS] = ACTIONS(5922),
    [anon_sym_DOT] = ACTIONS(5920),
    [anon_sym_DOT_STAR] = ACTIONS(5922),
    [anon_sym_DASH_GT] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5920),
  },
  [2170] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2174),
    [sym__declarator] = STATE(6100),
    [sym__abstract_declarator] = STATE(6268),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2702),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(3011),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5465),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2702),
    [aux_sym_pointer_declarator_repeat1] = STATE(2174),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_RPAREN] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(4150),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_AMP] = ACTIONS(4154),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(5442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5444),
    [anon_sym_COMMA] = ACTIONS(5444),
    [anon_sym_RPAREN] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_else_token1] = ACTIONS(5444),
    [aux_sym_preproc_elif_token1] = ACTIONS(5442),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5444),
    [anon_sym_DASH] = ACTIONS(5442),
    [anon_sym_PLUS] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_SLASH] = ACTIONS(5442),
    [anon_sym_PERCENT] = ACTIONS(5442),
    [anon_sym_PIPE_PIPE] = ACTIONS(5444),
    [anon_sym_AMP_AMP] = ACTIONS(5444),
    [anon_sym_PIPE] = ACTIONS(5442),
    [anon_sym_CARET] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5442),
    [anon_sym_EQ_EQ] = ACTIONS(5444),
    [anon_sym_BANG_EQ] = ACTIONS(5444),
    [anon_sym_GT] = ACTIONS(5442),
    [anon_sym_GT_EQ] = ACTIONS(5444),
    [anon_sym_LT_EQ] = ACTIONS(5442),
    [anon_sym_LT] = ACTIONS(5442),
    [anon_sym_LT_LT] = ACTIONS(5442),
    [anon_sym_GT_GT] = ACTIONS(5442),
    [anon_sym_SEMI] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5442),
    [anon_sym_LBRACE] = ACTIONS(5444),
    [anon_sym_RBRACE] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_RBRACK] = ACTIONS(5444),
    [anon_sym_EQ] = ACTIONS(5442),
    [anon_sym_COLON] = ACTIONS(5444),
    [anon_sym_QMARK] = ACTIONS(5444),
    [anon_sym_STAR_EQ] = ACTIONS(5444),
    [anon_sym_SLASH_EQ] = ACTIONS(5444),
    [anon_sym_PERCENT_EQ] = ACTIONS(5444),
    [anon_sym_PLUS_EQ] = ACTIONS(5444),
    [anon_sym_DASH_EQ] = ACTIONS(5444),
    [anon_sym_LT_LT_EQ] = ACTIONS(5444),
    [anon_sym_GT_GT_EQ] = ACTIONS(5444),
    [anon_sym_AMP_EQ] = ACTIONS(5444),
    [anon_sym_CARET_EQ] = ACTIONS(5444),
    [anon_sym_PIPE_EQ] = ACTIONS(5444),
    [anon_sym_and_eq] = ACTIONS(5442),
    [anon_sym_or_eq] = ACTIONS(5442),
    [anon_sym_xor_eq] = ACTIONS(5442),
    [anon_sym_LT_EQ_GT] = ACTIONS(5444),
    [anon_sym_or] = ACTIONS(5442),
    [anon_sym_and] = ACTIONS(5442),
    [anon_sym_bitor] = ACTIONS(5442),
    [anon_sym_xor] = ACTIONS(5442),
    [anon_sym_bitand] = ACTIONS(5442),
    [anon_sym_not_eq] = ACTIONS(5442),
    [anon_sym_DASH_DASH] = ACTIONS(5444),
    [anon_sym_PLUS_PLUS] = ACTIONS(5444),
    [anon_sym_DOT] = ACTIONS(5442),
    [anon_sym_DOT_STAR] = ACTIONS(5444),
    [anon_sym_DASH_GT] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5442),
    [anon_sym_decltype] = ACTIONS(5442),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(5515),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5517),
    [anon_sym_COMMA] = ACTIONS(5517),
    [anon_sym_RPAREN] = ACTIONS(5517),
    [aux_sym_preproc_if_token2] = ACTIONS(5517),
    [aux_sym_preproc_else_token1] = ACTIONS(5517),
    [aux_sym_preproc_elif_token1] = ACTIONS(5515),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5517),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5517),
    [anon_sym_DASH] = ACTIONS(5515),
    [anon_sym_PLUS] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5515),
    [anon_sym_PERCENT] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5517),
    [anon_sym_AMP_AMP] = ACTIONS(5517),
    [anon_sym_PIPE] = ACTIONS(5515),
    [anon_sym_CARET] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5515),
    [anon_sym_EQ_EQ] = ACTIONS(5517),
    [anon_sym_BANG_EQ] = ACTIONS(5517),
    [anon_sym_GT] = ACTIONS(5515),
    [anon_sym_GT_EQ] = ACTIONS(5517),
    [anon_sym_LT_EQ] = ACTIONS(5515),
    [anon_sym_LT] = ACTIONS(5515),
    [anon_sym_LT_LT] = ACTIONS(5515),
    [anon_sym_GT_GT] = ACTIONS(5515),
    [anon_sym_SEMI] = ACTIONS(5517),
    [anon_sym___attribute__] = ACTIONS(5515),
    [anon_sym_LBRACE] = ACTIONS(5517),
    [anon_sym_RBRACE] = ACTIONS(5517),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [anon_sym_RBRACK] = ACTIONS(5517),
    [anon_sym_EQ] = ACTIONS(5515),
    [anon_sym_COLON] = ACTIONS(5517),
    [anon_sym_QMARK] = ACTIONS(5517),
    [anon_sym_STAR_EQ] = ACTIONS(5517),
    [anon_sym_SLASH_EQ] = ACTIONS(5517),
    [anon_sym_PERCENT_EQ] = ACTIONS(5517),
    [anon_sym_PLUS_EQ] = ACTIONS(5517),
    [anon_sym_DASH_EQ] = ACTIONS(5517),
    [anon_sym_LT_LT_EQ] = ACTIONS(5517),
    [anon_sym_GT_GT_EQ] = ACTIONS(5517),
    [anon_sym_AMP_EQ] = ACTIONS(5517),
    [anon_sym_CARET_EQ] = ACTIONS(5517),
    [anon_sym_PIPE_EQ] = ACTIONS(5517),
    [anon_sym_and_eq] = ACTIONS(5515),
    [anon_sym_or_eq] = ACTIONS(5515),
    [anon_sym_xor_eq] = ACTIONS(5515),
    [anon_sym_LT_EQ_GT] = ACTIONS(5517),
    [anon_sym_or] = ACTIONS(5515),
    [anon_sym_and] = ACTIONS(5515),
    [anon_sym_bitor] = ACTIONS(5515),
    [anon_sym_xor] = ACTIONS(5515),
    [anon_sym_bitand] = ACTIONS(5515),
    [anon_sym_not_eq] = ACTIONS(5515),
    [anon_sym_DASH_DASH] = ACTIONS(5517),
    [anon_sym_PLUS_PLUS] = ACTIONS(5517),
    [anon_sym_DOT] = ACTIONS(5515),
    [anon_sym_DOT_STAR] = ACTIONS(5517),
    [anon_sym_DASH_GT] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5515),
    [anon_sym_decltype] = ACTIONS(5515),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(5500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5502),
    [aux_sym_preproc_if_token2] = ACTIONS(5502),
    [aux_sym_preproc_else_token1] = ACTIONS(5502),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5502),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5502),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_CARET] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5500),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5500),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_RBRACK] = ACTIONS(5502),
    [anon_sym_EQ] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_STAR_EQ] = ACTIONS(5502),
    [anon_sym_SLASH_EQ] = ACTIONS(5502),
    [anon_sym_PERCENT_EQ] = ACTIONS(5502),
    [anon_sym_PLUS_EQ] = ACTIONS(5502),
    [anon_sym_DASH_EQ] = ACTIONS(5502),
    [anon_sym_LT_LT_EQ] = ACTIONS(5502),
    [anon_sym_GT_GT_EQ] = ACTIONS(5502),
    [anon_sym_AMP_EQ] = ACTIONS(5502),
    [anon_sym_CARET_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_and_eq] = ACTIONS(5500),
    [anon_sym_or_eq] = ACTIONS(5500),
    [anon_sym_xor_eq] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_and] = ACTIONS(5500),
    [anon_sym_bitor] = ACTIONS(5500),
    [anon_sym_xor] = ACTIONS(5500),
    [anon_sym_bitand] = ACTIONS(5500),
    [anon_sym_not_eq] = ACTIONS(5500),
    [anon_sym_DASH_DASH] = ACTIONS(5502),
    [anon_sym_PLUS_PLUS] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_DOT_STAR] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
  },
  [2174] = {
    [sym_ms_based_modifier] = STATE(7727),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(3830),
    [sym__declarator] = STATE(6112),
    [sym__abstract_declarator] = STATE(6279),
    [sym_parenthesized_declarator] = STATE(5888),
    [sym_abstract_parenthesized_declarator] = STATE(5857),
    [sym_attributed_declarator] = STATE(5888),
    [sym_pointer_declarator] = STATE(5888),
    [sym_abstract_pointer_declarator] = STATE(5857),
    [sym_function_declarator] = STATE(5888),
    [sym_abstract_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5888),
    [sym_abstract_array_declarator] = STATE(5857),
    [sym_type_qualifier] = STATE(2707),
    [sym_alignas_qualifier] = STATE(4368),
    [sym_parameter_list] = STATE(3011),
    [sym_decltype] = STATE(7655),
    [sym_reference_declarator] = STATE(5888),
    [sym_abstract_reference_declarator] = STATE(5857),
    [sym_structured_binding_declarator] = STATE(5888),
    [sym__function_declarator_seq] = STATE(5866),
    [sym_template_type] = STATE(7655),
    [sym_template_function] = STATE(5888),
    [sym_destructor_name] = STATE(5888),
    [sym_dependent_type_identifier] = STATE(7655),
    [sym__scope_resolution] = STATE(5465),
    [sym_qualified_identifier] = STATE(5888),
    [sym_operator_name] = STATE(5888),
    [aux_sym__type_definition_type_repeat1] = STATE(2707),
    [aux_sym_pointer_declarator_repeat1] = STATE(3830),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(4150),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_AMP] = ACTIONS(4154),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(5924),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2984),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2984),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2984),
    [anon_sym__unaligned] = ACTIONS(2986),
    [anon_sym___unaligned] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1806),
  },
  [2175] = {
    [sym_argument_list] = STATE(2416),
    [sym_initializer_list] = STATE(2416),
    [sym_identifier] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5928),
    [anon_sym_COMMA] = ACTIONS(5928),
    [anon_sym_RPAREN] = ACTIONS(5928),
    [aux_sym_preproc_if_token2] = ACTIONS(5928),
    [aux_sym_preproc_else_token1] = ACTIONS(5928),
    [aux_sym_preproc_elif_token1] = ACTIONS(5926),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5928),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5928),
    [anon_sym_AMP_AMP] = ACTIONS(5928),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5928),
    [anon_sym_BANG_EQ] = ACTIONS(5928),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5928),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5926),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5928),
    [anon_sym_RBRACK] = ACTIONS(5928),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5928),
    [anon_sym_STAR_EQ] = ACTIONS(5928),
    [anon_sym_SLASH_EQ] = ACTIONS(5928),
    [anon_sym_PERCENT_EQ] = ACTIONS(5928),
    [anon_sym_PLUS_EQ] = ACTIONS(5928),
    [anon_sym_DASH_EQ] = ACTIONS(5928),
    [anon_sym_LT_LT_EQ] = ACTIONS(5928),
    [anon_sym_GT_GT_EQ] = ACTIONS(5928),
    [anon_sym_AMP_EQ] = ACTIONS(5928),
    [anon_sym_CARET_EQ] = ACTIONS(5928),
    [anon_sym_PIPE_EQ] = ACTIONS(5928),
    [anon_sym_and_eq] = ACTIONS(5926),
    [anon_sym_or_eq] = ACTIONS(5926),
    [anon_sym_xor_eq] = ACTIONS(5926),
    [anon_sym_LT_EQ_GT] = ACTIONS(5928),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_bitor] = ACTIONS(5926),
    [anon_sym_xor] = ACTIONS(5926),
    [anon_sym_bitand] = ACTIONS(5926),
    [anon_sym_not_eq] = ACTIONS(5926),
    [anon_sym_DASH_DASH] = ACTIONS(5928),
    [anon_sym_PLUS_PLUS] = ACTIONS(5928),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_DOT_STAR] = ACTIONS(5928),
    [anon_sym_DASH_GT] = ACTIONS(5928),
    [sym_comment] = ACTIONS(3),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5521),
    [anon_sym_COMMA] = ACTIONS(5521),
    [anon_sym_RPAREN] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_else_token1] = ACTIONS(5521),
    [aux_sym_preproc_elif_token1] = ACTIONS(5519),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5521),
    [anon_sym_DASH] = ACTIONS(5519),
    [anon_sym_PLUS] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_SLASH] = ACTIONS(5519),
    [anon_sym_PERCENT] = ACTIONS(5519),
    [anon_sym_PIPE_PIPE] = ACTIONS(5521),
    [anon_sym_AMP_AMP] = ACTIONS(5521),
    [anon_sym_PIPE] = ACTIONS(5519),
    [anon_sym_CARET] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5519),
    [anon_sym_EQ_EQ] = ACTIONS(5521),
    [anon_sym_BANG_EQ] = ACTIONS(5521),
    [anon_sym_GT] = ACTIONS(5519),
    [anon_sym_GT_EQ] = ACTIONS(5521),
    [anon_sym_LT_EQ] = ACTIONS(5519),
    [anon_sym_LT] = ACTIONS(5519),
    [anon_sym_LT_LT] = ACTIONS(5519),
    [anon_sym_GT_GT] = ACTIONS(5519),
    [anon_sym_SEMI] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5519),
    [anon_sym_LBRACE] = ACTIONS(5521),
    [anon_sym_RBRACE] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_RBRACK] = ACTIONS(5521),
    [anon_sym_EQ] = ACTIONS(5519),
    [anon_sym_COLON] = ACTIONS(5521),
    [anon_sym_QMARK] = ACTIONS(5521),
    [anon_sym_STAR_EQ] = ACTIONS(5521),
    [anon_sym_SLASH_EQ] = ACTIONS(5521),
    [anon_sym_PERCENT_EQ] = ACTIONS(5521),
    [anon_sym_PLUS_EQ] = ACTIONS(5521),
    [anon_sym_DASH_EQ] = ACTIONS(5521),
    [anon_sym_LT_LT_EQ] = ACTIONS(5521),
    [anon_sym_GT_GT_EQ] = ACTIONS(5521),
    [anon_sym_AMP_EQ] = ACTIONS(5521),
    [anon_sym_CARET_EQ] = ACTIONS(5521),
    [anon_sym_PIPE_EQ] = ACTIONS(5521),
    [anon_sym_and_eq] = ACTIONS(5519),
    [anon_sym_or_eq] = ACTIONS(5519),
    [anon_sym_xor_eq] = ACTIONS(5519),
    [anon_sym_LT_EQ_GT] = ACTIONS(5521),
    [anon_sym_or] = ACTIONS(5519),
    [anon_sym_and] = ACTIONS(5519),
    [anon_sym_bitor] = ACTIONS(5519),
    [anon_sym_xor] = ACTIONS(5519),
    [anon_sym_bitand] = ACTIONS(5519),
    [anon_sym_not_eq] = ACTIONS(5519),
    [anon_sym_DASH_DASH] = ACTIONS(5521),
    [anon_sym_PLUS_PLUS] = ACTIONS(5521),
    [anon_sym_DOT] = ACTIONS(5519),
    [anon_sym_DOT_STAR] = ACTIONS(5521),
    [anon_sym_DASH_GT] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5519),
    [anon_sym_decltype] = ACTIONS(5519),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(5531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5533),
    [anon_sym_COMMA] = ACTIONS(5533),
    [anon_sym_RPAREN] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_else_token1] = ACTIONS(5533),
    [aux_sym_preproc_elif_token1] = ACTIONS(5531),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5533),
    [anon_sym_DASH] = ACTIONS(5531),
    [anon_sym_PLUS] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_SLASH] = ACTIONS(5531),
    [anon_sym_PERCENT] = ACTIONS(5531),
    [anon_sym_PIPE_PIPE] = ACTIONS(5533),
    [anon_sym_AMP_AMP] = ACTIONS(5533),
    [anon_sym_PIPE] = ACTIONS(5531),
    [anon_sym_CARET] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5531),
    [anon_sym_EQ_EQ] = ACTIONS(5533),
    [anon_sym_BANG_EQ] = ACTIONS(5533),
    [anon_sym_GT] = ACTIONS(5531),
    [anon_sym_GT_EQ] = ACTIONS(5533),
    [anon_sym_LT_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5531),
    [anon_sym_LT_LT] = ACTIONS(5531),
    [anon_sym_GT_GT] = ACTIONS(5531),
    [anon_sym_SEMI] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(5533),
    [anon_sym_RBRACE] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_RBRACK] = ACTIONS(5533),
    [anon_sym_EQ] = ACTIONS(5531),
    [anon_sym_COLON] = ACTIONS(5533),
    [anon_sym_QMARK] = ACTIONS(5533),
    [anon_sym_STAR_EQ] = ACTIONS(5533),
    [anon_sym_SLASH_EQ] = ACTIONS(5533),
    [anon_sym_PERCENT_EQ] = ACTIONS(5533),
    [anon_sym_PLUS_EQ] = ACTIONS(5533),
    [anon_sym_DASH_EQ] = ACTIONS(5533),
    [anon_sym_LT_LT_EQ] = ACTIONS(5533),
    [anon_sym_GT_GT_EQ] = ACTIONS(5533),
    [anon_sym_AMP_EQ] = ACTIONS(5533),
    [anon_sym_CARET_EQ] = ACTIONS(5533),
    [anon_sym_PIPE_EQ] = ACTIONS(5533),
    [anon_sym_and_eq] = ACTIONS(5531),
    [anon_sym_or_eq] = ACTIONS(5531),
    [anon_sym_xor_eq] = ACTIONS(5531),
    [anon_sym_LT_EQ_GT] = ACTIONS(5533),
    [anon_sym_or] = ACTIONS(5531),
    [anon_sym_and] = ACTIONS(5531),
    [anon_sym_bitor] = ACTIONS(5531),
    [anon_sym_xor] = ACTIONS(5531),
    [anon_sym_bitand] = ACTIONS(5531),
    [anon_sym_not_eq] = ACTIONS(5531),
    [anon_sym_DASH_DASH] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5533),
    [anon_sym_DOT] = ACTIONS(5531),
    [anon_sym_DOT_STAR] = ACTIONS(5533),
    [anon_sym_DASH_GT] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5531),
    [anon_sym_decltype] = ACTIONS(5531),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(5488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [aux_sym_preproc_if_token2] = ACTIONS(5490),
    [aux_sym_preproc_else_token1] = ACTIONS(5490),
    [aux_sym_preproc_elif_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5490),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5490),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5488),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5488),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_CARET] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5488),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_EQ] = ACTIONS(5488),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_STAR_EQ] = ACTIONS(5490),
    [anon_sym_SLASH_EQ] = ACTIONS(5490),
    [anon_sym_PERCENT_EQ] = ACTIONS(5490),
    [anon_sym_PLUS_EQ] = ACTIONS(5490),
    [anon_sym_DASH_EQ] = ACTIONS(5490),
    [anon_sym_LT_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT_GT_EQ] = ACTIONS(5490),
    [anon_sym_AMP_EQ] = ACTIONS(5490),
    [anon_sym_CARET_EQ] = ACTIONS(5490),
    [anon_sym_PIPE_EQ] = ACTIONS(5490),
    [anon_sym_and_eq] = ACTIONS(5488),
    [anon_sym_or_eq] = ACTIONS(5488),
    [anon_sym_xor_eq] = ACTIONS(5488),
    [anon_sym_LT_EQ_GT] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_and] = ACTIONS(5488),
    [anon_sym_bitor] = ACTIONS(5488),
    [anon_sym_xor] = ACTIONS(5488),
    [anon_sym_bitand] = ACTIONS(5488),
    [anon_sym_not_eq] = ACTIONS(5488),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_DOT_STAR] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [aux_sym_preproc_if_token2] = ACTIONS(5506),
    [aux_sym_preproc_else_token1] = ACTIONS(5506),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_and_eq] = ACTIONS(5504),
    [anon_sym_or_eq] = ACTIONS(5504),
    [anon_sym_xor_eq] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(5454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [anon_sym_RPAREN] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_else_token1] = ACTIONS(5456),
    [aux_sym_preproc_elif_token1] = ACTIONS(5454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5456),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5454),
    [anon_sym_PIPE_PIPE] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5456),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_CARET] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5454),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5454),
    [anon_sym_GT_GT] = ACTIONS(5454),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5454),
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_RBRACK] = ACTIONS(5456),
    [anon_sym_EQ] = ACTIONS(5454),
    [anon_sym_COLON] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_STAR_EQ] = ACTIONS(5456),
    [anon_sym_SLASH_EQ] = ACTIONS(5456),
    [anon_sym_PERCENT_EQ] = ACTIONS(5456),
    [anon_sym_PLUS_EQ] = ACTIONS(5456),
    [anon_sym_DASH_EQ] = ACTIONS(5456),
    [anon_sym_LT_LT_EQ] = ACTIONS(5456),
    [anon_sym_GT_GT_EQ] = ACTIONS(5456),
    [anon_sym_AMP_EQ] = ACTIONS(5456),
    [anon_sym_CARET_EQ] = ACTIONS(5456),
    [anon_sym_PIPE_EQ] = ACTIONS(5456),
    [anon_sym_and_eq] = ACTIONS(5454),
    [anon_sym_or_eq] = ACTIONS(5454),
    [anon_sym_xor_eq] = ACTIONS(5454),
    [anon_sym_LT_EQ_GT] = ACTIONS(5456),
    [anon_sym_or] = ACTIONS(5454),
    [anon_sym_and] = ACTIONS(5454),
    [anon_sym_bitor] = ACTIONS(5454),
    [anon_sym_xor] = ACTIONS(5454),
    [anon_sym_bitand] = ACTIONS(5454),
    [anon_sym_not_eq] = ACTIONS(5454),
    [anon_sym_DASH_DASH] = ACTIONS(5456),
    [anon_sym_PLUS_PLUS] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_DOT_STAR] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5454),
    [anon_sym_decltype] = ACTIONS(5454),
  },
  [2181] = {
    [sym_argument_list] = STATE(2427),
    [sym_initializer_list] = STATE(2427),
    [sym_identifier] = ACTIONS(5930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5932),
    [anon_sym_COMMA] = ACTIONS(5932),
    [anon_sym_RPAREN] = ACTIONS(5932),
    [aux_sym_preproc_if_token2] = ACTIONS(5932),
    [aux_sym_preproc_else_token1] = ACTIONS(5932),
    [aux_sym_preproc_elif_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5932),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5930),
    [anon_sym_PLUS] = ACTIONS(5930),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5930),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5932),
    [anon_sym_AMP_AMP] = ACTIONS(5932),
    [anon_sym_PIPE] = ACTIONS(5930),
    [anon_sym_CARET] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5930),
    [anon_sym_EQ_EQ] = ACTIONS(5932),
    [anon_sym_BANG_EQ] = ACTIONS(5932),
    [anon_sym_GT] = ACTIONS(5930),
    [anon_sym_GT_EQ] = ACTIONS(5932),
    [anon_sym_LT_EQ] = ACTIONS(5930),
    [anon_sym_LT] = ACTIONS(5930),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5932),
    [anon_sym___attribute__] = ACTIONS(5930),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5932),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(5932),
    [anon_sym_EQ] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5932),
    [anon_sym_QMARK] = ACTIONS(5932),
    [anon_sym_STAR_EQ] = ACTIONS(5932),
    [anon_sym_SLASH_EQ] = ACTIONS(5932),
    [anon_sym_PERCENT_EQ] = ACTIONS(5932),
    [anon_sym_PLUS_EQ] = ACTIONS(5932),
    [anon_sym_DASH_EQ] = ACTIONS(5932),
    [anon_sym_LT_LT_EQ] = ACTIONS(5932),
    [anon_sym_GT_GT_EQ] = ACTIONS(5932),
    [anon_sym_AMP_EQ] = ACTIONS(5932),
    [anon_sym_CARET_EQ] = ACTIONS(5932),
    [anon_sym_PIPE_EQ] = ACTIONS(5932),
    [anon_sym_and_eq] = ACTIONS(5930),
    [anon_sym_or_eq] = ACTIONS(5930),
    [anon_sym_xor_eq] = ACTIONS(5930),
    [anon_sym_LT_EQ_GT] = ACTIONS(5932),
    [anon_sym_or] = ACTIONS(5930),
    [anon_sym_and] = ACTIONS(5930),
    [anon_sym_bitor] = ACTIONS(5930),
    [anon_sym_xor] = ACTIONS(5930),
    [anon_sym_bitand] = ACTIONS(5930),
    [anon_sym_not_eq] = ACTIONS(5930),
    [anon_sym_DASH_DASH] = ACTIONS(5932),
    [anon_sym_PLUS_PLUS] = ACTIONS(5932),
    [anon_sym_DOT] = ACTIONS(5930),
    [anon_sym_DOT_STAR] = ACTIONS(5932),
    [anon_sym_DASH_GT] = ACTIONS(5932),
    [sym_comment] = ACTIONS(3),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [aux_sym_preproc_if_token2] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5498),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5496),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_EQ] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_STAR_EQ] = ACTIONS(5498),
    [anon_sym_SLASH_EQ] = ACTIONS(5498),
    [anon_sym_PERCENT_EQ] = ACTIONS(5498),
    [anon_sym_PLUS_EQ] = ACTIONS(5498),
    [anon_sym_DASH_EQ] = ACTIONS(5498),
    [anon_sym_LT_LT_EQ] = ACTIONS(5498),
    [anon_sym_GT_GT_EQ] = ACTIONS(5498),
    [anon_sym_AMP_EQ] = ACTIONS(5498),
    [anon_sym_CARET_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_and_eq] = ACTIONS(5496),
    [anon_sym_or_eq] = ACTIONS(5496),
    [anon_sym_xor_eq] = ACTIONS(5496),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym___cdecl] = ACTIONS(5388),
    [anon_sym___clrcall] = ACTIONS(5388),
    [anon_sym___stdcall] = ACTIONS(5388),
    [anon_sym___fastcall] = ACTIONS(5388),
    [anon_sym___thiscall] = ACTIONS(5388),
    [anon_sym___vectorcall] = ACTIONS(5388),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_enum] = ACTIONS(5388),
    [anon_sym_class] = ACTIONS(5388),
    [anon_sym_struct] = ACTIONS(5388),
    [anon_sym_union] = ACTIONS(5388),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_explicit] = ACTIONS(5388),
    [anon_sym_typename] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_friend] = ACTIONS(5388),
    [anon_sym_using] = ACTIONS(5388),
    [anon_sym_concept] = ACTIONS(5388),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(5458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5460),
    [anon_sym_COMMA] = ACTIONS(5460),
    [anon_sym_RPAREN] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_else_token1] = ACTIONS(5460),
    [aux_sym_preproc_elif_token1] = ACTIONS(5458),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5460),
    [anon_sym_DASH] = ACTIONS(5458),
    [anon_sym_PLUS] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_SLASH] = ACTIONS(5458),
    [anon_sym_PERCENT] = ACTIONS(5458),
    [anon_sym_PIPE_PIPE] = ACTIONS(5460),
    [anon_sym_AMP_AMP] = ACTIONS(5460),
    [anon_sym_PIPE] = ACTIONS(5458),
    [anon_sym_CARET] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_EQ_EQ] = ACTIONS(5460),
    [anon_sym_BANG_EQ] = ACTIONS(5460),
    [anon_sym_GT] = ACTIONS(5458),
    [anon_sym_GT_EQ] = ACTIONS(5460),
    [anon_sym_LT_EQ] = ACTIONS(5458),
    [anon_sym_LT] = ACTIONS(5458),
    [anon_sym_LT_LT] = ACTIONS(5458),
    [anon_sym_GT_GT] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5458),
    [anon_sym_LBRACE] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_RBRACK] = ACTIONS(5460),
    [anon_sym_EQ] = ACTIONS(5458),
    [anon_sym_COLON] = ACTIONS(5460),
    [anon_sym_QMARK] = ACTIONS(5460),
    [anon_sym_STAR_EQ] = ACTIONS(5460),
    [anon_sym_SLASH_EQ] = ACTIONS(5460),
    [anon_sym_PERCENT_EQ] = ACTIONS(5460),
    [anon_sym_PLUS_EQ] = ACTIONS(5460),
    [anon_sym_DASH_EQ] = ACTIONS(5460),
    [anon_sym_LT_LT_EQ] = ACTIONS(5460),
    [anon_sym_GT_GT_EQ] = ACTIONS(5460),
    [anon_sym_AMP_EQ] = ACTIONS(5460),
    [anon_sym_CARET_EQ] = ACTIONS(5460),
    [anon_sym_PIPE_EQ] = ACTIONS(5460),
    [anon_sym_and_eq] = ACTIONS(5458),
    [anon_sym_or_eq] = ACTIONS(5458),
    [anon_sym_xor_eq] = ACTIONS(5458),
    [anon_sym_LT_EQ_GT] = ACTIONS(5460),
    [anon_sym_or] = ACTIONS(5458),
    [anon_sym_and] = ACTIONS(5458),
    [anon_sym_bitor] = ACTIONS(5458),
    [anon_sym_xor] = ACTIONS(5458),
    [anon_sym_bitand] = ACTIONS(5458),
    [anon_sym_not_eq] = ACTIONS(5458),
    [anon_sym_DASH_DASH] = ACTIONS(5460),
    [anon_sym_PLUS_PLUS] = ACTIONS(5460),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_DOT_STAR] = ACTIONS(5460),
    [anon_sym_DASH_GT] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5458),
    [anon_sym_decltype] = ACTIONS(5458),
  },
  [2185] = {
    [sym_attribute_specifier] = STATE(1795),
    [sym_enumerator_list] = STATE(2261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___extension__] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5934),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5664),
    [anon_sym_volatile] = ACTIONS(5664),
    [anon_sym_restrict] = ACTIONS(5664),
    [anon_sym___restrict__] = ACTIONS(5664),
    [anon_sym__Atomic] = ACTIONS(5664),
    [anon_sym__Noreturn] = ACTIONS(5664),
    [anon_sym_noreturn] = ACTIONS(5664),
    [anon_sym__Nonnull] = ACTIONS(5664),
    [anon_sym_mutable] = ACTIONS(5664),
    [anon_sym_constinit] = ACTIONS(5664),
    [anon_sym_consteval] = ACTIONS(5664),
    [anon_sym_alignas] = ACTIONS(5664),
    [anon_sym__Alignas] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_bitor] = ACTIONS(5664),
    [anon_sym_xor] = ACTIONS(5664),
    [anon_sym_bitand] = ACTIONS(5664),
    [anon_sym_not_eq] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5664),
    [anon_sym_decltype] = ACTIONS(5664),
    [anon_sym_final] = ACTIONS(5664),
    [anon_sym_override] = ACTIONS(5664),
    [anon_sym_requires] = ACTIONS(5664),
  },
  [2186] = {
    [sym_argument_list] = STATE(2433),
    [sym_initializer_list] = STATE(2433),
    [sym_identifier] = ACTIONS(5936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5938),
    [anon_sym_COMMA] = ACTIONS(5938),
    [anon_sym_RPAREN] = ACTIONS(5938),
    [aux_sym_preproc_if_token2] = ACTIONS(5938),
    [aux_sym_preproc_else_token1] = ACTIONS(5938),
    [aux_sym_preproc_elif_token1] = ACTIONS(5936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5938),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5938),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5936),
    [anon_sym_PLUS] = ACTIONS(5936),
    [anon_sym_STAR] = ACTIONS(5936),
    [anon_sym_SLASH] = ACTIONS(5936),
    [anon_sym_PERCENT] = ACTIONS(5936),
    [anon_sym_PIPE_PIPE] = ACTIONS(5938),
    [anon_sym_AMP_AMP] = ACTIONS(5938),
    [anon_sym_PIPE] = ACTIONS(5936),
    [anon_sym_CARET] = ACTIONS(5936),
    [anon_sym_AMP] = ACTIONS(5936),
    [anon_sym_EQ_EQ] = ACTIONS(5938),
    [anon_sym_BANG_EQ] = ACTIONS(5938),
    [anon_sym_GT] = ACTIONS(5936),
    [anon_sym_GT_EQ] = ACTIONS(5938),
    [anon_sym_LT_EQ] = ACTIONS(5936),
    [anon_sym_LT] = ACTIONS(5936),
    [anon_sym_LT_LT] = ACTIONS(5936),
    [anon_sym_GT_GT] = ACTIONS(5936),
    [anon_sym_SEMI] = ACTIONS(5938),
    [anon_sym___attribute__] = ACTIONS(5936),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5938),
    [anon_sym_LBRACK] = ACTIONS(5938),
    [anon_sym_RBRACK] = ACTIONS(5938),
    [anon_sym_EQ] = ACTIONS(5936),
    [anon_sym_COLON] = ACTIONS(5938),
    [anon_sym_QMARK] = ACTIONS(5938),
    [anon_sym_STAR_EQ] = ACTIONS(5938),
    [anon_sym_SLASH_EQ] = ACTIONS(5938),
    [anon_sym_PERCENT_EQ] = ACTIONS(5938),
    [anon_sym_PLUS_EQ] = ACTIONS(5938),
    [anon_sym_DASH_EQ] = ACTIONS(5938),
    [anon_sym_LT_LT_EQ] = ACTIONS(5938),
    [anon_sym_GT_GT_EQ] = ACTIONS(5938),
    [anon_sym_AMP_EQ] = ACTIONS(5938),
    [anon_sym_CARET_EQ] = ACTIONS(5938),
    [anon_sym_PIPE_EQ] = ACTIONS(5938),
    [anon_sym_and_eq] = ACTIONS(5936),
    [anon_sym_or_eq] = ACTIONS(5936),
    [anon_sym_xor_eq] = ACTIONS(5936),
    [anon_sym_LT_EQ_GT] = ACTIONS(5938),
    [anon_sym_or] = ACTIONS(5936),
    [anon_sym_and] = ACTIONS(5936),
    [anon_sym_bitor] = ACTIONS(5936),
    [anon_sym_xor] = ACTIONS(5936),
    [anon_sym_bitand] = ACTIONS(5936),
    [anon_sym_not_eq] = ACTIONS(5936),
    [anon_sym_DASH_DASH] = ACTIONS(5938),
    [anon_sym_PLUS_PLUS] = ACTIONS(5938),
    [anon_sym_DOT] = ACTIONS(5936),
    [anon_sym_DOT_STAR] = ACTIONS(5938),
    [anon_sym_DASH_GT] = ACTIONS(5938),
    [sym_comment] = ACTIONS(3),
  },
  [2187] = {
    [sym_string_literal] = STATE(2082),
    [sym_raw_string_literal] = STATE(2082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5582),
    [anon_sym_COMMA] = ACTIONS(5582),
    [anon_sym_RPAREN] = ACTIONS(5582),
    [anon_sym_LPAREN2] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5580),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5582),
    [anon_sym_BANG_EQ] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5582),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5582),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5580),
    [anon_sym_or_eq] = ACTIONS(5580),
    [anon_sym_xor_eq] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5582),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_bitor] = ACTIONS(5580),
    [anon_sym_xor] = ACTIONS(5580),
    [anon_sym_bitand] = ACTIONS(5580),
    [anon_sym_not_eq] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5580),
    [anon_sym_DOT_STAR] = ACTIONS(5582),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5582),
    [sym_literal_suffix] = ACTIONS(5580),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym___cdecl] = ACTIONS(5341),
    [anon_sym___clrcall] = ACTIONS(5341),
    [anon_sym___stdcall] = ACTIONS(5341),
    [anon_sym___fastcall] = ACTIONS(5341),
    [anon_sym___thiscall] = ACTIONS(5341),
    [anon_sym___vectorcall] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_concept] = ACTIONS(5341),
  },
  [2189] = {
    [sym_argument_list] = STATE(2435),
    [sym_initializer_list] = STATE(2435),
    [sym_identifier] = ACTIONS(5940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5942),
    [anon_sym_COMMA] = ACTIONS(5942),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [aux_sym_preproc_if_token2] = ACTIONS(5942),
    [aux_sym_preproc_else_token1] = ACTIONS(5942),
    [aux_sym_preproc_elif_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5942),
    [anon_sym_AMP_AMP] = ACTIONS(5942),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5942),
    [anon_sym_BANG_EQ] = ACTIONS(5942),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5942),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5940),
    [anon_sym_SEMI] = ACTIONS(5942),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5942),
    [anon_sym_LBRACK] = ACTIONS(5942),
    [anon_sym_RBRACK] = ACTIONS(5942),
    [anon_sym_EQ] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5942),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_STAR_EQ] = ACTIONS(5942),
    [anon_sym_SLASH_EQ] = ACTIONS(5942),
    [anon_sym_PERCENT_EQ] = ACTIONS(5942),
    [anon_sym_PLUS_EQ] = ACTIONS(5942),
    [anon_sym_DASH_EQ] = ACTIONS(5942),
    [anon_sym_LT_LT_EQ] = ACTIONS(5942),
    [anon_sym_GT_GT_EQ] = ACTIONS(5942),
    [anon_sym_AMP_EQ] = ACTIONS(5942),
    [anon_sym_CARET_EQ] = ACTIONS(5942),
    [anon_sym_PIPE_EQ] = ACTIONS(5942),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(5942),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5942),
    [anon_sym_PLUS_PLUS] = ACTIONS(5942),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5942),
    [anon_sym_DASH_GT] = ACTIONS(5942),
    [sym_comment] = ACTIONS(3),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [aux_sym_preproc_if_token2] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_EQ] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_LT_LT_EQ] = ACTIONS(5494),
    [anon_sym_GT_GT_EQ] = ACTIONS(5494),
    [anon_sym_AMP_EQ] = ACTIONS(5494),
    [anon_sym_CARET_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_and_eq] = ACTIONS(5492),
    [anon_sym_or_eq] = ACTIONS(5492),
    [anon_sym_xor_eq] = ACTIONS(5492),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
  },
  [2191] = {
    [sym_attribute_specifier] = STATE(1802),
    [sym_enumerator_list] = STATE(2274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5741),
    [anon_sym_COMMA] = ACTIONS(5741),
    [anon_sym_RPAREN] = ACTIONS(5741),
    [anon_sym_LPAREN2] = ACTIONS(5741),
    [anon_sym_DASH] = ACTIONS(5739),
    [anon_sym_PLUS] = ACTIONS(5739),
    [anon_sym_STAR] = ACTIONS(5741),
    [anon_sym_SLASH] = ACTIONS(5739),
    [anon_sym_PERCENT] = ACTIONS(5741),
    [anon_sym_PIPE_PIPE] = ACTIONS(5741),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_PIPE] = ACTIONS(5739),
    [anon_sym_CARET] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(5739),
    [anon_sym_EQ_EQ] = ACTIONS(5741),
    [anon_sym_BANG_EQ] = ACTIONS(5741),
    [anon_sym_GT] = ACTIONS(5739),
    [anon_sym_GT_EQ] = ACTIONS(5741),
    [anon_sym_LT_EQ] = ACTIONS(5739),
    [anon_sym_LT] = ACTIONS(5739),
    [anon_sym_LT_LT] = ACTIONS(5741),
    [anon_sym_GT_GT] = ACTIONS(5741),
    [anon_sym_SEMI] = ACTIONS(5741),
    [anon_sym___extension__] = ACTIONS(5741),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5934),
    [anon_sym_RBRACE] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5741),
    [anon_sym_RBRACK] = ACTIONS(5741),
    [anon_sym_const] = ACTIONS(5739),
    [anon_sym_constexpr] = ACTIONS(5741),
    [anon_sym_volatile] = ACTIONS(5741),
    [anon_sym_restrict] = ACTIONS(5741),
    [anon_sym___restrict__] = ACTIONS(5741),
    [anon_sym__Atomic] = ACTIONS(5741),
    [anon_sym__Noreturn] = ACTIONS(5741),
    [anon_sym_noreturn] = ACTIONS(5741),
    [anon_sym__Nonnull] = ACTIONS(5741),
    [anon_sym_mutable] = ACTIONS(5741),
    [anon_sym_constinit] = ACTIONS(5741),
    [anon_sym_consteval] = ACTIONS(5741),
    [anon_sym_alignas] = ACTIONS(5741),
    [anon_sym__Alignas] = ACTIONS(5741),
    [anon_sym_COLON] = ACTIONS(5741),
    [anon_sym_QMARK] = ACTIONS(5741),
    [anon_sym_LT_EQ_GT] = ACTIONS(5741),
    [anon_sym_or] = ACTIONS(5741),
    [anon_sym_and] = ACTIONS(5741),
    [anon_sym_bitor] = ACTIONS(5741),
    [anon_sym_xor] = ACTIONS(5741),
    [anon_sym_bitand] = ACTIONS(5741),
    [anon_sym_not_eq] = ACTIONS(5741),
    [anon_sym_DASH_DASH] = ACTIONS(5741),
    [anon_sym_PLUS_PLUS] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5739),
    [anon_sym_DOT_STAR] = ACTIONS(5741),
    [anon_sym_DASH_GT] = ACTIONS(5741),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5741),
    [anon_sym_decltype] = ACTIONS(5741),
    [anon_sym_final] = ACTIONS(5741),
    [anon_sym_override] = ACTIONS(5741),
    [anon_sym_requires] = ACTIONS(5741),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_EQ] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_STAR_EQ] = ACTIONS(5552),
    [anon_sym_SLASH_EQ] = ACTIONS(5552),
    [anon_sym_PERCENT_EQ] = ACTIONS(5552),
    [anon_sym_PLUS_EQ] = ACTIONS(5552),
    [anon_sym_DASH_EQ] = ACTIONS(5552),
    [anon_sym_LT_LT_EQ] = ACTIONS(5552),
    [anon_sym_GT_GT_EQ] = ACTIONS(5552),
    [anon_sym_AMP_EQ] = ACTIONS(5552),
    [anon_sym_CARET_EQ] = ACTIONS(5552),
    [anon_sym_PIPE_EQ] = ACTIONS(5552),
    [anon_sym_and_eq] = ACTIONS(5550),
    [anon_sym_or_eq] = ACTIONS(5550),
    [anon_sym_xor_eq] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5550),
    [anon_sym_decltype] = ACTIONS(5550),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [aux_sym_preproc_if_token2] = ACTIONS(5406),
    [aux_sym_preproc_else_token1] = ACTIONS(5406),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5404),
    [anon_sym_GT_GT] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_STAR_EQ] = ACTIONS(5406),
    [anon_sym_SLASH_EQ] = ACTIONS(5406),
    [anon_sym_PERCENT_EQ] = ACTIONS(5406),
    [anon_sym_PLUS_EQ] = ACTIONS(5406),
    [anon_sym_DASH_EQ] = ACTIONS(5406),
    [anon_sym_LT_LT_EQ] = ACTIONS(5406),
    [anon_sym_GT_GT_EQ] = ACTIONS(5406),
    [anon_sym_AMP_EQ] = ACTIONS(5406),
    [anon_sym_CARET_EQ] = ACTIONS(5406),
    [anon_sym_PIPE_EQ] = ACTIONS(5406),
    [anon_sym_and_eq] = ACTIONS(5404),
    [anon_sym_or_eq] = ACTIONS(5404),
    [anon_sym_xor_eq] = ACTIONS(5404),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
  },
  [2194] = {
    [sym_string_literal] = STATE(1992),
    [sym_raw_string_literal] = STATE(1992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5582),
    [anon_sym_COMMA] = ACTIONS(5582),
    [anon_sym_LPAREN2] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5580),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5582),
    [anon_sym_BANG_EQ] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5582),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5582),
    [anon_sym___attribute__] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5582),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5580),
    [anon_sym_or_eq] = ACTIONS(5580),
    [anon_sym_xor_eq] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5582),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_bitor] = ACTIONS(5580),
    [anon_sym_xor] = ACTIONS(5580),
    [anon_sym_bitand] = ACTIONS(5580),
    [anon_sym_not_eq] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5580),
    [anon_sym_DOT_STAR] = ACTIONS(5582),
    [anon_sym_DASH_GT] = ACTIONS(5582),
    [anon_sym_L_DQUOTE] = ACTIONS(5700),
    [anon_sym_u_DQUOTE] = ACTIONS(5700),
    [anon_sym_U_DQUOTE] = ACTIONS(5700),
    [anon_sym_u8_DQUOTE] = ACTIONS(5700),
    [anon_sym_DQUOTE] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5702),
    [anon_sym_LR_DQUOTE] = ACTIONS(5702),
    [anon_sym_uR_DQUOTE] = ACTIONS(5702),
    [anon_sym_UR_DQUOTE] = ACTIONS(5702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5702),
    [sym_literal_suffix] = ACTIONS(5580),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [aux_sym_preproc_if_token2] = ACTIONS(5482),
    [aux_sym_preproc_else_token1] = ACTIONS(5482),
    [aux_sym_preproc_elif_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5480),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5480),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_and_eq] = ACTIONS(5480),
    [anon_sym_or_eq] = ACTIONS(5480),
    [anon_sym_xor_eq] = ACTIONS(5480),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_and] = ACTIONS(5480),
    [anon_sym_bitor] = ACTIONS(5480),
    [anon_sym_xor] = ACTIONS(5480),
    [anon_sym_bitand] = ACTIONS(5480),
    [anon_sym_not_eq] = ACTIONS(5480),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_RPAREN] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_else_token1] = ACTIONS(5464),
    [aux_sym_preproc_elif_token1] = ACTIONS(5462),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5464),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5462),
    [anon_sym_PIPE_PIPE] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5464),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_CARET] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5462),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5462),
    [anon_sym_GT_GT] = ACTIONS(5462),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5462),
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_EQ] = ACTIONS(5462),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_STAR_EQ] = ACTIONS(5464),
    [anon_sym_SLASH_EQ] = ACTIONS(5464),
    [anon_sym_PERCENT_EQ] = ACTIONS(5464),
    [anon_sym_PLUS_EQ] = ACTIONS(5464),
    [anon_sym_DASH_EQ] = ACTIONS(5464),
    [anon_sym_LT_LT_EQ] = ACTIONS(5464),
    [anon_sym_GT_GT_EQ] = ACTIONS(5464),
    [anon_sym_AMP_EQ] = ACTIONS(5464),
    [anon_sym_CARET_EQ] = ACTIONS(5464),
    [anon_sym_PIPE_EQ] = ACTIONS(5464),
    [anon_sym_and_eq] = ACTIONS(5462),
    [anon_sym_or_eq] = ACTIONS(5462),
    [anon_sym_xor_eq] = ACTIONS(5462),
    [anon_sym_LT_EQ_GT] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5462),
    [anon_sym_and] = ACTIONS(5462),
    [anon_sym_bitor] = ACTIONS(5462),
    [anon_sym_xor] = ACTIONS(5462),
    [anon_sym_bitand] = ACTIONS(5462),
    [anon_sym_not_eq] = ACTIONS(5462),
    [anon_sym_DASH_DASH] = ACTIONS(5464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_DOT_STAR] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5462),
    [anon_sym_decltype] = ACTIONS(5462),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_RPAREN] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_else_token1] = ACTIONS(5468),
    [aux_sym_preproc_elif_token1] = ACTIONS(5466),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_CARET] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5466),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5466),
    [anon_sym_GT_GT] = ACTIONS(5466),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5466),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_RBRACK] = ACTIONS(5468),
    [anon_sym_EQ] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_STAR_EQ] = ACTIONS(5468),
    [anon_sym_SLASH_EQ] = ACTIONS(5468),
    [anon_sym_PERCENT_EQ] = ACTIONS(5468),
    [anon_sym_PLUS_EQ] = ACTIONS(5468),
    [anon_sym_DASH_EQ] = ACTIONS(5468),
    [anon_sym_LT_LT_EQ] = ACTIONS(5468),
    [anon_sym_GT_GT_EQ] = ACTIONS(5468),
    [anon_sym_AMP_EQ] = ACTIONS(5468),
    [anon_sym_CARET_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_and_eq] = ACTIONS(5466),
    [anon_sym_or_eq] = ACTIONS(5466),
    [anon_sym_xor_eq] = ACTIONS(5466),
    [anon_sym_LT_EQ_GT] = ACTIONS(5468),
    [anon_sym_or] = ACTIONS(5466),
    [anon_sym_and] = ACTIONS(5466),
    [anon_sym_bitor] = ACTIONS(5466),
    [anon_sym_xor] = ACTIONS(5466),
    [anon_sym_bitand] = ACTIONS(5466),
    [anon_sym_not_eq] = ACTIONS(5466),
    [anon_sym_DASH_DASH] = ACTIONS(5468),
    [anon_sym_PLUS_PLUS] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_DOT_STAR] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5466),
    [anon_sym_decltype] = ACTIONS(5466),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5946),
    [anon_sym_COMMA] = ACTIONS(5946),
    [anon_sym_RPAREN] = ACTIONS(5946),
    [aux_sym_preproc_if_token2] = ACTIONS(5946),
    [aux_sym_preproc_else_token1] = ACTIONS(5946),
    [aux_sym_preproc_elif_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5946),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5946),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5944),
    [anon_sym_STAR] = ACTIONS(5944),
    [anon_sym_SLASH] = ACTIONS(5944),
    [anon_sym_PERCENT] = ACTIONS(5944),
    [anon_sym_PIPE_PIPE] = ACTIONS(5946),
    [anon_sym_AMP_AMP] = ACTIONS(5946),
    [anon_sym_PIPE] = ACTIONS(5944),
    [anon_sym_CARET] = ACTIONS(5944),
    [anon_sym_AMP] = ACTIONS(5944),
    [anon_sym_EQ_EQ] = ACTIONS(5946),
    [anon_sym_BANG_EQ] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(5944),
    [anon_sym_GT_EQ] = ACTIONS(5946),
    [anon_sym_LT_EQ] = ACTIONS(5944),
    [anon_sym_LT] = ACTIONS(5944),
    [anon_sym_LT_LT] = ACTIONS(5944),
    [anon_sym_GT_GT] = ACTIONS(5944),
    [anon_sym_SEMI] = ACTIONS(5946),
    [anon_sym___attribute__] = ACTIONS(5944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5946),
    [anon_sym_LBRACE] = ACTIONS(5946),
    [anon_sym_RBRACE] = ACTIONS(5946),
    [anon_sym_LBRACK] = ACTIONS(5944),
    [anon_sym_RBRACK] = ACTIONS(5946),
    [anon_sym_EQ] = ACTIONS(5944),
    [anon_sym_COLON] = ACTIONS(5946),
    [anon_sym_QMARK] = ACTIONS(5946),
    [anon_sym_STAR_EQ] = ACTIONS(5946),
    [anon_sym_SLASH_EQ] = ACTIONS(5946),
    [anon_sym_PERCENT_EQ] = ACTIONS(5946),
    [anon_sym_PLUS_EQ] = ACTIONS(5946),
    [anon_sym_DASH_EQ] = ACTIONS(5946),
    [anon_sym_LT_LT_EQ] = ACTIONS(5946),
    [anon_sym_GT_GT_EQ] = ACTIONS(5946),
    [anon_sym_AMP_EQ] = ACTIONS(5946),
    [anon_sym_CARET_EQ] = ACTIONS(5946),
    [anon_sym_PIPE_EQ] = ACTIONS(5946),
    [anon_sym_and_eq] = ACTIONS(5944),
    [anon_sym_or_eq] = ACTIONS(5944),
    [anon_sym_xor_eq] = ACTIONS(5944),
    [anon_sym_LT_EQ_GT] = ACTIONS(5946),
    [anon_sym_or] = ACTIONS(5944),
    [anon_sym_and] = ACTIONS(5944),
    [anon_sym_bitor] = ACTIONS(5944),
    [anon_sym_xor] = ACTIONS(5944),
    [anon_sym_bitand] = ACTIONS(5944),
    [anon_sym_not_eq] = ACTIONS(5944),
    [anon_sym_DASH_DASH] = ACTIONS(5946),
    [anon_sym_PLUS_PLUS] = ACTIONS(5946),
    [anon_sym_DOT] = ACTIONS(5944),
    [anon_sym_DOT_STAR] = ACTIONS(5946),
    [anon_sym_DASH_GT] = ACTIONS(5946),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5944),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(5948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5950),
    [anon_sym_COMMA] = ACTIONS(5950),
    [anon_sym_RPAREN] = ACTIONS(5950),
    [aux_sym_preproc_if_token2] = ACTIONS(5950),
    [aux_sym_preproc_else_token1] = ACTIONS(5950),
    [aux_sym_preproc_elif_token1] = ACTIONS(5948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5950),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5950),
    [anon_sym_LPAREN2] = ACTIONS(5950),
    [anon_sym_DASH] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5948),
    [anon_sym_STAR] = ACTIONS(5948),
    [anon_sym_SLASH] = ACTIONS(5948),
    [anon_sym_PERCENT] = ACTIONS(5948),
    [anon_sym_PIPE_PIPE] = ACTIONS(5950),
    [anon_sym_AMP_AMP] = ACTIONS(5950),
    [anon_sym_PIPE] = ACTIONS(5948),
    [anon_sym_CARET] = ACTIONS(5948),
    [anon_sym_AMP] = ACTIONS(5948),
    [anon_sym_EQ_EQ] = ACTIONS(5950),
    [anon_sym_BANG_EQ] = ACTIONS(5950),
    [anon_sym_GT] = ACTIONS(5948),
    [anon_sym_GT_EQ] = ACTIONS(5950),
    [anon_sym_LT_EQ] = ACTIONS(5948),
    [anon_sym_LT] = ACTIONS(5948),
    [anon_sym_LT_LT] = ACTIONS(5948),
    [anon_sym_GT_GT] = ACTIONS(5948),
    [anon_sym_SEMI] = ACTIONS(5950),
    [anon_sym___attribute__] = ACTIONS(5948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5950),
    [anon_sym_LBRACE] = ACTIONS(5950),
    [anon_sym_RBRACE] = ACTIONS(5950),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACK] = ACTIONS(5950),
    [anon_sym_EQ] = ACTIONS(5948),
    [anon_sym_COLON] = ACTIONS(5950),
    [anon_sym_QMARK] = ACTIONS(5950),
    [anon_sym_STAR_EQ] = ACTIONS(5950),
    [anon_sym_SLASH_EQ] = ACTIONS(5950),
    [anon_sym_PERCENT_EQ] = ACTIONS(5950),
    [anon_sym_PLUS_EQ] = ACTIONS(5950),
    [anon_sym_DASH_EQ] = ACTIONS(5950),
    [anon_sym_LT_LT_EQ] = ACTIONS(5950),
    [anon_sym_GT_GT_EQ] = ACTIONS(5950),
    [anon_sym_AMP_EQ] = ACTIONS(5950),
    [anon_sym_CARET_EQ] = ACTIONS(5950),
    [anon_sym_PIPE_EQ] = ACTIONS(5950),
    [anon_sym_and_eq] = ACTIONS(5948),
    [anon_sym_or_eq] = ACTIONS(5948),
    [anon_sym_xor_eq] = ACTIONS(5948),
    [anon_sym_LT_EQ_GT] = ACTIONS(5950),
    [anon_sym_or] = ACTIONS(5948),
    [anon_sym_and] = ACTIONS(5948),
    [anon_sym_bitor] = ACTIONS(5948),
    [anon_sym_xor] = ACTIONS(5948),
    [anon_sym_bitand] = ACTIONS(5948),
    [anon_sym_not_eq] = ACTIONS(5948),
    [anon_sym_DASH_DASH] = ACTIONS(5950),
    [anon_sym_PLUS_PLUS] = ACTIONS(5950),
    [anon_sym_DOT] = ACTIONS(5948),
    [anon_sym_DOT_STAR] = ACTIONS(5950),
    [anon_sym_DASH_GT] = ACTIONS(5950),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5948),
  },
  [2200] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2200),
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5149),
    [anon_sym_COMMA] = ACTIONS(5149),
    [aux_sym_preproc_if_token2] = ACTIONS(5149),
    [aux_sym_preproc_else_token1] = ACTIONS(5149),
    [aux_sym_preproc_elif_token1] = ACTIONS(5147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5149),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_DASH] = ACTIONS(5147),
    [anon_sym_PLUS] = ACTIONS(5147),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_SLASH] = ACTIONS(5147),
    [anon_sym_PERCENT] = ACTIONS(5147),
    [anon_sym_PIPE_PIPE] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_PIPE] = ACTIONS(5147),
    [anon_sym_CARET] = ACTIONS(5147),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_EQ_EQ] = ACTIONS(5149),
    [anon_sym_BANG_EQ] = ACTIONS(5149),
    [anon_sym_GT] = ACTIONS(5147),
    [anon_sym_GT_EQ] = ACTIONS(5149),
    [anon_sym_LT_EQ] = ACTIONS(5147),
    [anon_sym_LT] = ACTIONS(5147),
    [anon_sym_LT_LT] = ACTIONS(5147),
    [anon_sym_GT_GT] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5952),
    [anon_sym_unsigned] = ACTIONS(5952),
    [anon_sym_long] = ACTIONS(5952),
    [anon_sym_short] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_EQ] = ACTIONS(5147),
    [anon_sym_QMARK] = ACTIONS(5149),
    [anon_sym_STAR_EQ] = ACTIONS(5149),
    [anon_sym_SLASH_EQ] = ACTIONS(5149),
    [anon_sym_PERCENT_EQ] = ACTIONS(5149),
    [anon_sym_PLUS_EQ] = ACTIONS(5149),
    [anon_sym_DASH_EQ] = ACTIONS(5149),
    [anon_sym_LT_LT_EQ] = ACTIONS(5149),
    [anon_sym_GT_GT_EQ] = ACTIONS(5149),
    [anon_sym_AMP_EQ] = ACTIONS(5149),
    [anon_sym_CARET_EQ] = ACTIONS(5149),
    [anon_sym_PIPE_EQ] = ACTIONS(5149),
    [anon_sym_and_eq] = ACTIONS(5147),
    [anon_sym_or_eq] = ACTIONS(5147),
    [anon_sym_xor_eq] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5149),
    [anon_sym_or] = ACTIONS(5147),
    [anon_sym_and] = ACTIONS(5147),
    [anon_sym_bitor] = ACTIONS(5147),
    [anon_sym_xor] = ACTIONS(5147),
    [anon_sym_bitand] = ACTIONS(5147),
    [anon_sym_not_eq] = ACTIONS(5147),
    [anon_sym_DASH_DASH] = ACTIONS(5149),
    [anon_sym_PLUS_PLUS] = ACTIONS(5149),
    [anon_sym_DOT] = ACTIONS(5147),
    [anon_sym_DOT_STAR] = ACTIONS(5149),
    [anon_sym_DASH_GT] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(5546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [aux_sym_preproc_if_token2] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5546),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5546),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5546),
    [anon_sym_GT_GT] = ACTIONS(5546),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_EQ] = ACTIONS(5546),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5548),
    [anon_sym_STAR_EQ] = ACTIONS(5548),
    [anon_sym_SLASH_EQ] = ACTIONS(5548),
    [anon_sym_PERCENT_EQ] = ACTIONS(5548),
    [anon_sym_PLUS_EQ] = ACTIONS(5548),
    [anon_sym_DASH_EQ] = ACTIONS(5548),
    [anon_sym_LT_LT_EQ] = ACTIONS(5548),
    [anon_sym_GT_GT_EQ] = ACTIONS(5548),
    [anon_sym_AMP_EQ] = ACTIONS(5548),
    [anon_sym_CARET_EQ] = ACTIONS(5548),
    [anon_sym_PIPE_EQ] = ACTIONS(5548),
    [anon_sym_and_eq] = ACTIONS(5546),
    [anon_sym_or_eq] = ACTIONS(5546),
    [anon_sym_xor_eq] = ACTIONS(5546),
    [anon_sym_LT_EQ_GT] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5546),
    [anon_sym_and] = ACTIONS(5546),
    [anon_sym_bitor] = ACTIONS(5546),
    [anon_sym_xor] = ACTIONS(5546),
    [anon_sym_bitand] = ACTIONS(5546),
    [anon_sym_not_eq] = ACTIONS(5546),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_DOT_STAR] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_else_token1] = ACTIONS(5337),
    [aux_sym_preproc_elif_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_DASH] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_SLASH] = ACTIONS(5335),
    [anon_sym_PERCENT] = ACTIONS(5335),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_PIPE] = ACTIONS(5335),
    [anon_sym_CARET] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_EQ_EQ] = ACTIONS(5337),
    [anon_sym_BANG_EQ] = ACTIONS(5337),
    [anon_sym_GT] = ACTIONS(5335),
    [anon_sym_GT_EQ] = ACTIONS(5337),
    [anon_sym_LT_EQ] = ACTIONS(5335),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(5335),
    [anon_sym_GT_GT] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_RBRACK] = ACTIONS(5337),
    [anon_sym_EQ] = ACTIONS(5335),
    [anon_sym_COLON] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_STAR_EQ] = ACTIONS(5337),
    [anon_sym_SLASH_EQ] = ACTIONS(5337),
    [anon_sym_PERCENT_EQ] = ACTIONS(5337),
    [anon_sym_PLUS_EQ] = ACTIONS(5337),
    [anon_sym_DASH_EQ] = ACTIONS(5337),
    [anon_sym_LT_LT_EQ] = ACTIONS(5337),
    [anon_sym_GT_GT_EQ] = ACTIONS(5337),
    [anon_sym_AMP_EQ] = ACTIONS(5337),
    [anon_sym_CARET_EQ] = ACTIONS(5337),
    [anon_sym_PIPE_EQ] = ACTIONS(5337),
    [anon_sym_and_eq] = ACTIONS(5335),
    [anon_sym_or_eq] = ACTIONS(5335),
    [anon_sym_xor_eq] = ACTIONS(5335),
    [anon_sym_LT_EQ_GT] = ACTIONS(5337),
    [anon_sym_or] = ACTIONS(5335),
    [anon_sym_and] = ACTIONS(5335),
    [anon_sym_bitor] = ACTIONS(5335),
    [anon_sym_xor] = ACTIONS(5335),
    [anon_sym_bitand] = ACTIONS(5335),
    [anon_sym_not_eq] = ACTIONS(5335),
    [anon_sym_DASH_DASH] = ACTIONS(5337),
    [anon_sym_PLUS_PLUS] = ACTIONS(5337),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_DOT_STAR] = ACTIONS(5337),
    [anon_sym_DASH_GT] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(5955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5957),
    [anon_sym_COMMA] = ACTIONS(5957),
    [anon_sym_RPAREN] = ACTIONS(5957),
    [aux_sym_preproc_if_token2] = ACTIONS(5957),
    [aux_sym_preproc_else_token1] = ACTIONS(5957),
    [aux_sym_preproc_elif_token1] = ACTIONS(5955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5957),
    [anon_sym_LPAREN2] = ACTIONS(5957),
    [anon_sym_DASH] = ACTIONS(5955),
    [anon_sym_PLUS] = ACTIONS(5955),
    [anon_sym_STAR] = ACTIONS(5955),
    [anon_sym_SLASH] = ACTIONS(5955),
    [anon_sym_PERCENT] = ACTIONS(5955),
    [anon_sym_PIPE_PIPE] = ACTIONS(5957),
    [anon_sym_AMP_AMP] = ACTIONS(5957),
    [anon_sym_PIPE] = ACTIONS(5955),
    [anon_sym_CARET] = ACTIONS(5955),
    [anon_sym_AMP] = ACTIONS(5955),
    [anon_sym_EQ_EQ] = ACTIONS(5957),
    [anon_sym_BANG_EQ] = ACTIONS(5957),
    [anon_sym_GT] = ACTIONS(5955),
    [anon_sym_GT_EQ] = ACTIONS(5957),
    [anon_sym_LT_EQ] = ACTIONS(5955),
    [anon_sym_LT] = ACTIONS(5955),
    [anon_sym_LT_LT] = ACTIONS(5955),
    [anon_sym_GT_GT] = ACTIONS(5955),
    [anon_sym_SEMI] = ACTIONS(5957),
    [anon_sym___attribute__] = ACTIONS(5955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5957),
    [anon_sym_LBRACE] = ACTIONS(5957),
    [anon_sym_RBRACE] = ACTIONS(5957),
    [anon_sym_LBRACK] = ACTIONS(5955),
    [anon_sym_RBRACK] = ACTIONS(5957),
    [anon_sym_EQ] = ACTIONS(5955),
    [anon_sym_COLON] = ACTIONS(5957),
    [anon_sym_QMARK] = ACTIONS(5957),
    [anon_sym_STAR_EQ] = ACTIONS(5957),
    [anon_sym_SLASH_EQ] = ACTIONS(5957),
    [anon_sym_PERCENT_EQ] = ACTIONS(5957),
    [anon_sym_PLUS_EQ] = ACTIONS(5957),
    [anon_sym_DASH_EQ] = ACTIONS(5957),
    [anon_sym_LT_LT_EQ] = ACTIONS(5957),
    [anon_sym_GT_GT_EQ] = ACTIONS(5957),
    [anon_sym_AMP_EQ] = ACTIONS(5957),
    [anon_sym_CARET_EQ] = ACTIONS(5957),
    [anon_sym_PIPE_EQ] = ACTIONS(5957),
    [anon_sym_and_eq] = ACTIONS(5955),
    [anon_sym_or_eq] = ACTIONS(5955),
    [anon_sym_xor_eq] = ACTIONS(5955),
    [anon_sym_LT_EQ_GT] = ACTIONS(5957),
    [anon_sym_or] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_bitor] = ACTIONS(5955),
    [anon_sym_xor] = ACTIONS(5955),
    [anon_sym_bitand] = ACTIONS(5955),
    [anon_sym_not_eq] = ACTIONS(5955),
    [anon_sym_DASH_DASH] = ACTIONS(5957),
    [anon_sym_PLUS_PLUS] = ACTIONS(5957),
    [anon_sym_DOT] = ACTIONS(5955),
    [anon_sym_DOT_STAR] = ACTIONS(5957),
    [anon_sym_DASH_GT] = ACTIONS(5957),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5955),
  },
  [2204] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2200),
    [sym_identifier] = ACTIONS(5627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5625),
    [anon_sym_COMMA] = ACTIONS(5625),
    [aux_sym_preproc_if_token2] = ACTIONS(5625),
    [aux_sym_preproc_else_token1] = ACTIONS(5625),
    [aux_sym_preproc_elif_token1] = ACTIONS(5627),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5625),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_DASH] = ACTIONS(5627),
    [anon_sym_PLUS] = ACTIONS(5627),
    [anon_sym_STAR] = ACTIONS(5627),
    [anon_sym_SLASH] = ACTIONS(5627),
    [anon_sym_PERCENT] = ACTIONS(5627),
    [anon_sym_PIPE_PIPE] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_PIPE] = ACTIONS(5627),
    [anon_sym_CARET] = ACTIONS(5627),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym_EQ_EQ] = ACTIONS(5625),
    [anon_sym_BANG_EQ] = ACTIONS(5625),
    [anon_sym_GT] = ACTIONS(5627),
    [anon_sym_GT_EQ] = ACTIONS(5625),
    [anon_sym_LT_EQ] = ACTIONS(5627),
    [anon_sym_LT] = ACTIONS(5627),
    [anon_sym_LT_LT] = ACTIONS(5627),
    [anon_sym_GT_GT] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(5625),
    [anon_sym_signed] = ACTIONS(5959),
    [anon_sym_unsigned] = ACTIONS(5959),
    [anon_sym_long] = ACTIONS(5959),
    [anon_sym_short] = ACTIONS(5959),
    [anon_sym_LBRACK] = ACTIONS(5625),
    [anon_sym_EQ] = ACTIONS(5627),
    [anon_sym_QMARK] = ACTIONS(5625),
    [anon_sym_STAR_EQ] = ACTIONS(5625),
    [anon_sym_SLASH_EQ] = ACTIONS(5625),
    [anon_sym_PERCENT_EQ] = ACTIONS(5625),
    [anon_sym_PLUS_EQ] = ACTIONS(5625),
    [anon_sym_DASH_EQ] = ACTIONS(5625),
    [anon_sym_LT_LT_EQ] = ACTIONS(5625),
    [anon_sym_GT_GT_EQ] = ACTIONS(5625),
    [anon_sym_AMP_EQ] = ACTIONS(5625),
    [anon_sym_CARET_EQ] = ACTIONS(5625),
    [anon_sym_PIPE_EQ] = ACTIONS(5625),
    [anon_sym_and_eq] = ACTIONS(5627),
    [anon_sym_or_eq] = ACTIONS(5627),
    [anon_sym_xor_eq] = ACTIONS(5627),
    [anon_sym_LT_EQ_GT] = ACTIONS(5625),
    [anon_sym_or] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_bitor] = ACTIONS(5627),
    [anon_sym_xor] = ACTIONS(5627),
    [anon_sym_bitand] = ACTIONS(5627),
    [anon_sym_not_eq] = ACTIONS(5627),
    [anon_sym_DASH_DASH] = ACTIONS(5625),
    [anon_sym_PLUS_PLUS] = ACTIONS(5625),
    [anon_sym_DOT] = ACTIONS(5627),
    [anon_sym_DOT_STAR] = ACTIONS(5625),
    [anon_sym_DASH_GT] = ACTIONS(5625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5627),
    [anon_sym_decltype] = ACTIONS(5627),
  },
  [2205] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2200),
    [sym_identifier] = ACTIONS(5654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [aux_sym_preproc_if_token2] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_CARET] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5654),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5654),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5959),
    [anon_sym_unsigned] = ACTIONS(5959),
    [anon_sym_long] = ACTIONS(5959),
    [anon_sym_short] = ACTIONS(5959),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_EQ] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_STAR_EQ] = ACTIONS(5652),
    [anon_sym_SLASH_EQ] = ACTIONS(5652),
    [anon_sym_PERCENT_EQ] = ACTIONS(5652),
    [anon_sym_PLUS_EQ] = ACTIONS(5652),
    [anon_sym_DASH_EQ] = ACTIONS(5652),
    [anon_sym_LT_LT_EQ] = ACTIONS(5652),
    [anon_sym_GT_GT_EQ] = ACTIONS(5652),
    [anon_sym_AMP_EQ] = ACTIONS(5652),
    [anon_sym_CARET_EQ] = ACTIONS(5652),
    [anon_sym_PIPE_EQ] = ACTIONS(5652),
    [anon_sym_and_eq] = ACTIONS(5654),
    [anon_sym_or_eq] = ACTIONS(5654),
    [anon_sym_xor_eq] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5654),
    [anon_sym_and] = ACTIONS(5654),
    [anon_sym_bitor] = ACTIONS(5654),
    [anon_sym_xor] = ACTIONS(5654),
    [anon_sym_bitand] = ACTIONS(5654),
    [anon_sym_not_eq] = ACTIONS(5654),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5654),
    [anon_sym_decltype] = ACTIONS(5654),
  },
  [2206] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(5658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [aux_sym_preproc_if_token2] = ACTIONS(5656),
    [aux_sym_preproc_else_token1] = ACTIONS(5656),
    [aux_sym_preproc_elif_token1] = ACTIONS(5658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5656),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5656),
    [anon_sym_LPAREN2] = ACTIONS(5656),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5658),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5656),
    [anon_sym_signed] = ACTIONS(5961),
    [anon_sym_unsigned] = ACTIONS(5961),
    [anon_sym_long] = ACTIONS(5961),
    [anon_sym_short] = ACTIONS(5961),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_EQ] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5656),
    [anon_sym_STAR_EQ] = ACTIONS(5656),
    [anon_sym_SLASH_EQ] = ACTIONS(5656),
    [anon_sym_PERCENT_EQ] = ACTIONS(5656),
    [anon_sym_PLUS_EQ] = ACTIONS(5656),
    [anon_sym_DASH_EQ] = ACTIONS(5656),
    [anon_sym_LT_LT_EQ] = ACTIONS(5656),
    [anon_sym_GT_GT_EQ] = ACTIONS(5656),
    [anon_sym_AMP_EQ] = ACTIONS(5656),
    [anon_sym_CARET_EQ] = ACTIONS(5656),
    [anon_sym_PIPE_EQ] = ACTIONS(5656),
    [anon_sym_and_eq] = ACTIONS(5658),
    [anon_sym_or_eq] = ACTIONS(5658),
    [anon_sym_xor_eq] = ACTIONS(5658),
    [anon_sym_LT_EQ_GT] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_else_token1] = ACTIONS(5337),
    [aux_sym_preproc_elif_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_DASH] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_SLASH] = ACTIONS(5335),
    [anon_sym_PERCENT] = ACTIONS(5335),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_PIPE] = ACTIONS(5335),
    [anon_sym_CARET] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_EQ_EQ] = ACTIONS(5337),
    [anon_sym_BANG_EQ] = ACTIONS(5337),
    [anon_sym_GT] = ACTIONS(5335),
    [anon_sym_GT_EQ] = ACTIONS(5337),
    [anon_sym_LT_EQ] = ACTIONS(5335),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(5335),
    [anon_sym_GT_GT] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_RBRACK] = ACTIONS(5337),
    [anon_sym_EQ] = ACTIONS(5335),
    [anon_sym_COLON] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_STAR_EQ] = ACTIONS(5337),
    [anon_sym_SLASH_EQ] = ACTIONS(5337),
    [anon_sym_PERCENT_EQ] = ACTIONS(5337),
    [anon_sym_PLUS_EQ] = ACTIONS(5337),
    [anon_sym_DASH_EQ] = ACTIONS(5337),
    [anon_sym_LT_LT_EQ] = ACTIONS(5337),
    [anon_sym_GT_GT_EQ] = ACTIONS(5337),
    [anon_sym_AMP_EQ] = ACTIONS(5337),
    [anon_sym_CARET_EQ] = ACTIONS(5337),
    [anon_sym_PIPE_EQ] = ACTIONS(5337),
    [anon_sym_and_eq] = ACTIONS(5335),
    [anon_sym_or_eq] = ACTIONS(5335),
    [anon_sym_xor_eq] = ACTIONS(5335),
    [anon_sym_LT_EQ_GT] = ACTIONS(5337),
    [anon_sym_or] = ACTIONS(5335),
    [anon_sym_and] = ACTIONS(5335),
    [anon_sym_bitor] = ACTIONS(5335),
    [anon_sym_xor] = ACTIONS(5335),
    [anon_sym_bitand] = ACTIONS(5335),
    [anon_sym_not_eq] = ACTIONS(5335),
    [anon_sym_DASH_DASH] = ACTIONS(5337),
    [anon_sym_PLUS_PLUS] = ACTIONS(5337),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_DOT_STAR] = ACTIONS(5337),
    [anon_sym_DASH_GT] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
  },
  [2208] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2215),
    [sym_identifier] = ACTIONS(5598),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [aux_sym_preproc_if_token2] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_CARET] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5598),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_signed] = ACTIONS(5963),
    [anon_sym_unsigned] = ACTIONS(5963),
    [anon_sym_long] = ACTIONS(5963),
    [anon_sym_short] = ACTIONS(5963),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_EQ] = ACTIONS(5598),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_STAR_EQ] = ACTIONS(5596),
    [anon_sym_SLASH_EQ] = ACTIONS(5596),
    [anon_sym_PERCENT_EQ] = ACTIONS(5596),
    [anon_sym_PLUS_EQ] = ACTIONS(5596),
    [anon_sym_DASH_EQ] = ACTIONS(5596),
    [anon_sym_LT_LT_EQ] = ACTIONS(5596),
    [anon_sym_GT_GT_EQ] = ACTIONS(5596),
    [anon_sym_AMP_EQ] = ACTIONS(5596),
    [anon_sym_CARET_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_and_eq] = ACTIONS(5598),
    [anon_sym_or_eq] = ACTIONS(5598),
    [anon_sym_xor_eq] = ACTIONS(5598),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5598),
    [anon_sym_and] = ACTIONS(5598),
    [anon_sym_bitor] = ACTIONS(5598),
    [anon_sym_xor] = ACTIONS(5598),
    [anon_sym_bitand] = ACTIONS(5598),
    [anon_sym_not_eq] = ACTIONS(5598),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(5965),
    [anon_sym_LPAREN2] = ACTIONS(5967),
    [anon_sym_TILDE] = ACTIONS(5967),
    [anon_sym_STAR] = ACTIONS(5967),
    [anon_sym_PIPE_PIPE] = ACTIONS(5969),
    [anon_sym_AMP_AMP] = ACTIONS(5916),
    [anon_sym_AMP] = ACTIONS(5965),
    [anon_sym___extension__] = ACTIONS(5965),
    [anon_sym_virtual] = ACTIONS(5965),
    [anon_sym_extern] = ACTIONS(5965),
    [anon_sym___attribute__] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(5967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5967),
    [anon_sym___declspec] = ACTIONS(5965),
    [anon_sym___based] = ACTIONS(5965),
    [anon_sym___cdecl] = ACTIONS(5965),
    [anon_sym___clrcall] = ACTIONS(5965),
    [anon_sym___stdcall] = ACTIONS(5965),
    [anon_sym___fastcall] = ACTIONS(5965),
    [anon_sym___thiscall] = ACTIONS(5965),
    [anon_sym___vectorcall] = ACTIONS(5965),
    [anon_sym_signed] = ACTIONS(5965),
    [anon_sym_unsigned] = ACTIONS(5965),
    [anon_sym_long] = ACTIONS(5965),
    [anon_sym_short] = ACTIONS(5965),
    [anon_sym_LBRACK] = ACTIONS(5965),
    [anon_sym_static] = ACTIONS(5965),
    [anon_sym_register] = ACTIONS(5965),
    [anon_sym_inline] = ACTIONS(5965),
    [anon_sym___inline] = ACTIONS(5965),
    [anon_sym___inline__] = ACTIONS(5965),
    [anon_sym___forceinline] = ACTIONS(5965),
    [anon_sym_thread_local] = ACTIONS(5965),
    [anon_sym___thread] = ACTIONS(5965),
    [anon_sym_const] = ACTIONS(5965),
    [anon_sym_constexpr] = ACTIONS(5965),
    [anon_sym_volatile] = ACTIONS(5965),
    [anon_sym_restrict] = ACTIONS(5965),
    [anon_sym___restrict__] = ACTIONS(5965),
    [anon_sym__Atomic] = ACTIONS(5965),
    [anon_sym__Noreturn] = ACTIONS(5965),
    [anon_sym_noreturn] = ACTIONS(5965),
    [anon_sym__Nonnull] = ACTIONS(5965),
    [anon_sym_mutable] = ACTIONS(5965),
    [anon_sym_constinit] = ACTIONS(5965),
    [anon_sym_consteval] = ACTIONS(5965),
    [anon_sym_alignas] = ACTIONS(5965),
    [anon_sym__Alignas] = ACTIONS(5965),
    [sym_primitive_type] = ACTIONS(5965),
    [anon_sym_enum] = ACTIONS(5965),
    [anon_sym_class] = ACTIONS(5965),
    [anon_sym_struct] = ACTIONS(5965),
    [anon_sym_union] = ACTIONS(5965),
    [anon_sym_or] = ACTIONS(5971),
    [anon_sym_and] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5965),
    [anon_sym_decltype] = ACTIONS(5965),
    [anon_sym_explicit] = ACTIONS(5965),
    [anon_sym_typename] = ACTIONS(5965),
    [anon_sym_template] = ACTIONS(5965),
    [anon_sym_operator] = ACTIONS(5965),
    [anon_sym_friend] = ACTIONS(5965),
    [anon_sym_using] = ACTIONS(5965),
    [anon_sym_concept] = ACTIONS(5965),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(5408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_RPAREN] = ACTIONS(5410),
    [aux_sym_preproc_if_token2] = ACTIONS(5410),
    [aux_sym_preproc_else_token1] = ACTIONS(5410),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5410),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5408),
    [anon_sym_SLASH] = ACTIONS(5408),
    [anon_sym_PERCENT] = ACTIONS(5408),
    [anon_sym_PIPE_PIPE] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_PIPE] = ACTIONS(5408),
    [anon_sym_CARET] = ACTIONS(5408),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_GT] = ACTIONS(5408),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5408),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym_LBRACE] = ACTIONS(5410),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_EQ] = ACTIONS(5408),
    [anon_sym_COLON] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_STAR_EQ] = ACTIONS(5410),
    [anon_sym_SLASH_EQ] = ACTIONS(5410),
    [anon_sym_PERCENT_EQ] = ACTIONS(5410),
    [anon_sym_PLUS_EQ] = ACTIONS(5410),
    [anon_sym_DASH_EQ] = ACTIONS(5410),
    [anon_sym_LT_LT_EQ] = ACTIONS(5410),
    [anon_sym_GT_GT_EQ] = ACTIONS(5410),
    [anon_sym_AMP_EQ] = ACTIONS(5410),
    [anon_sym_CARET_EQ] = ACTIONS(5410),
    [anon_sym_PIPE_EQ] = ACTIONS(5410),
    [anon_sym_and_eq] = ACTIONS(5408),
    [anon_sym_or_eq] = ACTIONS(5408),
    [anon_sym_xor_eq] = ACTIONS(5408),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_or] = ACTIONS(5408),
    [anon_sym_and] = ACTIONS(5408),
    [anon_sym_bitor] = ACTIONS(5408),
    [anon_sym_xor] = ACTIONS(5408),
    [anon_sym_bitand] = ACTIONS(5408),
    [anon_sym_not_eq] = ACTIONS(5408),
    [anon_sym_DASH_DASH] = ACTIONS(5410),
    [anon_sym_PLUS_PLUS] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_DOT_STAR] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [aux_sym_preproc_if_token2] = ACTIONS(5414),
    [aux_sym_preproc_else_token1] = ACTIONS(5414),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5412),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5412),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5412),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5412),
    [anon_sym_GT_GT] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_EQ] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_STAR_EQ] = ACTIONS(5414),
    [anon_sym_SLASH_EQ] = ACTIONS(5414),
    [anon_sym_PERCENT_EQ] = ACTIONS(5414),
    [anon_sym_PLUS_EQ] = ACTIONS(5414),
    [anon_sym_DASH_EQ] = ACTIONS(5414),
    [anon_sym_LT_LT_EQ] = ACTIONS(5414),
    [anon_sym_GT_GT_EQ] = ACTIONS(5414),
    [anon_sym_AMP_EQ] = ACTIONS(5414),
    [anon_sym_CARET_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_and_eq] = ACTIONS(5412),
    [anon_sym_or_eq] = ACTIONS(5412),
    [anon_sym_xor_eq] = ACTIONS(5412),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5418),
    [anon_sym_COMMA] = ACTIONS(5418),
    [anon_sym_RPAREN] = ACTIONS(5418),
    [aux_sym_preproc_if_token2] = ACTIONS(5418),
    [aux_sym_preproc_else_token1] = ACTIONS(5418),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5418),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5416),
    [anon_sym_STAR] = ACTIONS(5416),
    [anon_sym_SLASH] = ACTIONS(5416),
    [anon_sym_PERCENT] = ACTIONS(5416),
    [anon_sym_PIPE_PIPE] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_PIPE] = ACTIONS(5416),
    [anon_sym_CARET] = ACTIONS(5416),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_EQ_EQ] = ACTIONS(5418),
    [anon_sym_BANG_EQ] = ACTIONS(5418),
    [anon_sym_GT] = ACTIONS(5416),
    [anon_sym_GT_EQ] = ACTIONS(5418),
    [anon_sym_LT_EQ] = ACTIONS(5416),
    [anon_sym_LT] = ACTIONS(5416),
    [anon_sym_LT_LT] = ACTIONS(5416),
    [anon_sym_GT_GT] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym_LBRACE] = ACTIONS(5418),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_LBRACK] = ACTIONS(5418),
    [anon_sym_RBRACK] = ACTIONS(5418),
    [anon_sym_EQ] = ACTIONS(5416),
    [anon_sym_COLON] = ACTIONS(5418),
    [anon_sym_QMARK] = ACTIONS(5418),
    [anon_sym_STAR_EQ] = ACTIONS(5418),
    [anon_sym_SLASH_EQ] = ACTIONS(5418),
    [anon_sym_PERCENT_EQ] = ACTIONS(5418),
    [anon_sym_PLUS_EQ] = ACTIONS(5418),
    [anon_sym_DASH_EQ] = ACTIONS(5418),
    [anon_sym_LT_LT_EQ] = ACTIONS(5418),
    [anon_sym_GT_GT_EQ] = ACTIONS(5418),
    [anon_sym_AMP_EQ] = ACTIONS(5418),
    [anon_sym_CARET_EQ] = ACTIONS(5418),
    [anon_sym_PIPE_EQ] = ACTIONS(5418),
    [anon_sym_and_eq] = ACTIONS(5416),
    [anon_sym_or_eq] = ACTIONS(5416),
    [anon_sym_xor_eq] = ACTIONS(5416),
    [anon_sym_LT_EQ_GT] = ACTIONS(5418),
    [anon_sym_or] = ACTIONS(5416),
    [anon_sym_and] = ACTIONS(5416),
    [anon_sym_bitor] = ACTIONS(5416),
    [anon_sym_xor] = ACTIONS(5416),
    [anon_sym_bitand] = ACTIONS(5416),
    [anon_sym_not_eq] = ACTIONS(5416),
    [anon_sym_DASH_DASH] = ACTIONS(5418),
    [anon_sym_PLUS_PLUS] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_DOT_STAR] = ACTIONS(5418),
    [anon_sym_DASH_GT] = ACTIONS(5418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5430),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5432),
    [anon_sym_COMMA] = ACTIONS(5432),
    [anon_sym_RPAREN] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_else_token1] = ACTIONS(5432),
    [aux_sym_preproc_elif_token1] = ACTIONS(5430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5432),
    [anon_sym_DASH] = ACTIONS(5430),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_SLASH] = ACTIONS(5430),
    [anon_sym_PERCENT] = ACTIONS(5430),
    [anon_sym_PIPE_PIPE] = ACTIONS(5432),
    [anon_sym_AMP_AMP] = ACTIONS(5432),
    [anon_sym_PIPE] = ACTIONS(5430),
    [anon_sym_CARET] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5430),
    [anon_sym_EQ_EQ] = ACTIONS(5432),
    [anon_sym_BANG_EQ] = ACTIONS(5432),
    [anon_sym_GT] = ACTIONS(5430),
    [anon_sym_GT_EQ] = ACTIONS(5432),
    [anon_sym_LT_EQ] = ACTIONS(5430),
    [anon_sym_LT] = ACTIONS(5430),
    [anon_sym_LT_LT] = ACTIONS(5430),
    [anon_sym_GT_GT] = ACTIONS(5430),
    [anon_sym_SEMI] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5430),
    [anon_sym_LBRACE] = ACTIONS(5432),
    [anon_sym_RBRACE] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_RBRACK] = ACTIONS(5432),
    [anon_sym_EQ] = ACTIONS(5430),
    [anon_sym_COLON] = ACTIONS(5432),
    [anon_sym_QMARK] = ACTIONS(5432),
    [anon_sym_STAR_EQ] = ACTIONS(5432),
    [anon_sym_SLASH_EQ] = ACTIONS(5432),
    [anon_sym_PERCENT_EQ] = ACTIONS(5432),
    [anon_sym_PLUS_EQ] = ACTIONS(5432),
    [anon_sym_DASH_EQ] = ACTIONS(5432),
    [anon_sym_LT_LT_EQ] = ACTIONS(5432),
    [anon_sym_GT_GT_EQ] = ACTIONS(5432),
    [anon_sym_AMP_EQ] = ACTIONS(5432),
    [anon_sym_CARET_EQ] = ACTIONS(5432),
    [anon_sym_PIPE_EQ] = ACTIONS(5432),
    [anon_sym_and_eq] = ACTIONS(5430),
    [anon_sym_or_eq] = ACTIONS(5430),
    [anon_sym_xor_eq] = ACTIONS(5430),
    [anon_sym_LT_EQ_GT] = ACTIONS(5432),
    [anon_sym_or] = ACTIONS(5430),
    [anon_sym_and] = ACTIONS(5430),
    [anon_sym_bitor] = ACTIONS(5430),
    [anon_sym_xor] = ACTIONS(5430),
    [anon_sym_bitand] = ACTIONS(5430),
    [anon_sym_not_eq] = ACTIONS(5430),
    [anon_sym_DASH_DASH] = ACTIONS(5432),
    [anon_sym_PLUS_PLUS] = ACTIONS(5432),
    [anon_sym_DOT] = ACTIONS(5430),
    [anon_sym_DOT_STAR] = ACTIONS(5432),
    [anon_sym_DASH_GT] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5430),
    [anon_sym_decltype] = ACTIONS(5430),
  },
  [2214] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2200),
    [sym_identifier] = ACTIONS(5617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5617),
    [anon_sym_PLUS] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_SLASH] = ACTIONS(5617),
    [anon_sym_PERCENT] = ACTIONS(5617),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5617),
    [anon_sym_CARET] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5617),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5617),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5617),
    [anon_sym_LT_LT] = ACTIONS(5617),
    [anon_sym_GT_GT] = ACTIONS(5617),
    [anon_sym___attribute__] = ACTIONS(5617),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5959),
    [anon_sym_unsigned] = ACTIONS(5959),
    [anon_sym_long] = ACTIONS(5959),
    [anon_sym_short] = ACTIONS(5959),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_EQ] = ACTIONS(5617),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_STAR_EQ] = ACTIONS(5615),
    [anon_sym_SLASH_EQ] = ACTIONS(5615),
    [anon_sym_PERCENT_EQ] = ACTIONS(5615),
    [anon_sym_PLUS_EQ] = ACTIONS(5615),
    [anon_sym_DASH_EQ] = ACTIONS(5615),
    [anon_sym_LT_LT_EQ] = ACTIONS(5615),
    [anon_sym_GT_GT_EQ] = ACTIONS(5615),
    [anon_sym_AMP_EQ] = ACTIONS(5615),
    [anon_sym_CARET_EQ] = ACTIONS(5615),
    [anon_sym_PIPE_EQ] = ACTIONS(5615),
    [anon_sym_and_eq] = ACTIONS(5617),
    [anon_sym_or_eq] = ACTIONS(5617),
    [anon_sym_xor_eq] = ACTIONS(5617),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5617),
    [anon_sym_and] = ACTIONS(5617),
    [anon_sym_bitor] = ACTIONS(5617),
    [anon_sym_xor] = ACTIONS(5617),
    [anon_sym_bitand] = ACTIONS(5617),
    [anon_sym_not_eq] = ACTIONS(5617),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5617),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5617),
    [anon_sym_decltype] = ACTIONS(5617),
  },
  [2215] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2200),
    [sym_identifier] = ACTIONS(5623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5621),
    [anon_sym_COMMA] = ACTIONS(5621),
    [aux_sym_preproc_if_token2] = ACTIONS(5621),
    [aux_sym_preproc_else_token1] = ACTIONS(5621),
    [aux_sym_preproc_elif_token1] = ACTIONS(5623),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5621),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_DASH] = ACTIONS(5623),
    [anon_sym_PLUS] = ACTIONS(5623),
    [anon_sym_STAR] = ACTIONS(5623),
    [anon_sym_SLASH] = ACTIONS(5623),
    [anon_sym_PERCENT] = ACTIONS(5623),
    [anon_sym_PIPE_PIPE] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_CARET] = ACTIONS(5623),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym_EQ_EQ] = ACTIONS(5621),
    [anon_sym_BANG_EQ] = ACTIONS(5621),
    [anon_sym_GT] = ACTIONS(5623),
    [anon_sym_GT_EQ] = ACTIONS(5621),
    [anon_sym_LT_EQ] = ACTIONS(5623),
    [anon_sym_LT] = ACTIONS(5623),
    [anon_sym_LT_LT] = ACTIONS(5623),
    [anon_sym_GT_GT] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5623),
    [anon_sym_LBRACE] = ACTIONS(5621),
    [anon_sym_signed] = ACTIONS(5959),
    [anon_sym_unsigned] = ACTIONS(5959),
    [anon_sym_long] = ACTIONS(5959),
    [anon_sym_short] = ACTIONS(5959),
    [anon_sym_LBRACK] = ACTIONS(5621),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5621),
    [anon_sym_STAR_EQ] = ACTIONS(5621),
    [anon_sym_SLASH_EQ] = ACTIONS(5621),
    [anon_sym_PERCENT_EQ] = ACTIONS(5621),
    [anon_sym_PLUS_EQ] = ACTIONS(5621),
    [anon_sym_DASH_EQ] = ACTIONS(5621),
    [anon_sym_LT_LT_EQ] = ACTIONS(5621),
    [anon_sym_GT_GT_EQ] = ACTIONS(5621),
    [anon_sym_AMP_EQ] = ACTIONS(5621),
    [anon_sym_CARET_EQ] = ACTIONS(5621),
    [anon_sym_PIPE_EQ] = ACTIONS(5621),
    [anon_sym_and_eq] = ACTIONS(5623),
    [anon_sym_or_eq] = ACTIONS(5623),
    [anon_sym_xor_eq] = ACTIONS(5623),
    [anon_sym_LT_EQ_GT] = ACTIONS(5621),
    [anon_sym_or] = ACTIONS(5623),
    [anon_sym_and] = ACTIONS(5623),
    [anon_sym_bitor] = ACTIONS(5623),
    [anon_sym_xor] = ACTIONS(5623),
    [anon_sym_bitand] = ACTIONS(5623),
    [anon_sym_not_eq] = ACTIONS(5623),
    [anon_sym_DASH_DASH] = ACTIONS(5621),
    [anon_sym_PLUS_PLUS] = ACTIONS(5621),
    [anon_sym_DOT] = ACTIONS(5623),
    [anon_sym_DOT_STAR] = ACTIONS(5621),
    [anon_sym_DASH_GT] = ACTIONS(5621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5623),
    [anon_sym_decltype] = ACTIONS(5623),
  },
  [2216] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2204),
    [sym_identifier] = ACTIONS(5454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_else_token1] = ACTIONS(5456),
    [aux_sym_preproc_elif_token1] = ACTIONS(5454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5456),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5454),
    [anon_sym_PIPE_PIPE] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5456),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_CARET] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5454),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5454),
    [anon_sym_GT_GT] = ACTIONS(5454),
    [anon_sym___attribute__] = ACTIONS(5454),
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5973),
    [anon_sym_unsigned] = ACTIONS(5973),
    [anon_sym_long] = ACTIONS(5973),
    [anon_sym_short] = ACTIONS(5973),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_EQ] = ACTIONS(5454),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_STAR_EQ] = ACTIONS(5456),
    [anon_sym_SLASH_EQ] = ACTIONS(5456),
    [anon_sym_PERCENT_EQ] = ACTIONS(5456),
    [anon_sym_PLUS_EQ] = ACTIONS(5456),
    [anon_sym_DASH_EQ] = ACTIONS(5456),
    [anon_sym_LT_LT_EQ] = ACTIONS(5456),
    [anon_sym_GT_GT_EQ] = ACTIONS(5456),
    [anon_sym_AMP_EQ] = ACTIONS(5456),
    [anon_sym_CARET_EQ] = ACTIONS(5456),
    [anon_sym_PIPE_EQ] = ACTIONS(5456),
    [anon_sym_and_eq] = ACTIONS(5454),
    [anon_sym_or_eq] = ACTIONS(5454),
    [anon_sym_xor_eq] = ACTIONS(5454),
    [anon_sym_LT_EQ_GT] = ACTIONS(5456),
    [anon_sym_or] = ACTIONS(5454),
    [anon_sym_and] = ACTIONS(5454),
    [anon_sym_bitor] = ACTIONS(5454),
    [anon_sym_xor] = ACTIONS(5454),
    [anon_sym_bitand] = ACTIONS(5454),
    [anon_sym_not_eq] = ACTIONS(5454),
    [anon_sym_DASH_DASH] = ACTIONS(5456),
    [anon_sym_PLUS_PLUS] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_DOT_STAR] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5454),
    [anon_sym_decltype] = ACTIONS(5454),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_PIPE_PIPE] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_or] = ACTIONS(1952),
    [anon_sym_and] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(5511),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5513),
    [anon_sym_COMMA] = ACTIONS(5513),
    [anon_sym_RPAREN] = ACTIONS(5513),
    [aux_sym_preproc_if_token2] = ACTIONS(5513),
    [aux_sym_preproc_else_token1] = ACTIONS(5513),
    [aux_sym_preproc_elif_token1] = ACTIONS(5511),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5513),
    [anon_sym_LPAREN2] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5511),
    [anon_sym_STAR] = ACTIONS(5511),
    [anon_sym_SLASH] = ACTIONS(5511),
    [anon_sym_PERCENT] = ACTIONS(5511),
    [anon_sym_PIPE_PIPE] = ACTIONS(5513),
    [anon_sym_AMP_AMP] = ACTIONS(5513),
    [anon_sym_PIPE] = ACTIONS(5511),
    [anon_sym_CARET] = ACTIONS(5511),
    [anon_sym_AMP] = ACTIONS(5511),
    [anon_sym_EQ_EQ] = ACTIONS(5513),
    [anon_sym_BANG_EQ] = ACTIONS(5513),
    [anon_sym_GT] = ACTIONS(5511),
    [anon_sym_GT_EQ] = ACTIONS(5513),
    [anon_sym_LT_EQ] = ACTIONS(5511),
    [anon_sym_LT] = ACTIONS(5511),
    [anon_sym_LT_LT] = ACTIONS(5511),
    [anon_sym_GT_GT] = ACTIONS(5511),
    [anon_sym_SEMI] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5511),
    [anon_sym_LBRACE] = ACTIONS(5513),
    [anon_sym_RBRACE] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_RBRACK] = ACTIONS(5513),
    [anon_sym_EQ] = ACTIONS(5511),
    [anon_sym_COLON] = ACTIONS(5513),
    [anon_sym_QMARK] = ACTIONS(5513),
    [anon_sym_STAR_EQ] = ACTIONS(5513),
    [anon_sym_SLASH_EQ] = ACTIONS(5513),
    [anon_sym_PERCENT_EQ] = ACTIONS(5513),
    [anon_sym_PLUS_EQ] = ACTIONS(5513),
    [anon_sym_DASH_EQ] = ACTIONS(5513),
    [anon_sym_LT_LT_EQ] = ACTIONS(5513),
    [anon_sym_GT_GT_EQ] = ACTIONS(5513),
    [anon_sym_AMP_EQ] = ACTIONS(5513),
    [anon_sym_CARET_EQ] = ACTIONS(5513),
    [anon_sym_PIPE_EQ] = ACTIONS(5513),
    [anon_sym_and_eq] = ACTIONS(5511),
    [anon_sym_or_eq] = ACTIONS(5511),
    [anon_sym_xor_eq] = ACTIONS(5511),
    [anon_sym_LT_EQ_GT] = ACTIONS(5513),
    [anon_sym_or] = ACTIONS(5511),
    [anon_sym_and] = ACTIONS(5511),
    [anon_sym_bitor] = ACTIONS(5511),
    [anon_sym_xor] = ACTIONS(5511),
    [anon_sym_bitand] = ACTIONS(5511),
    [anon_sym_not_eq] = ACTIONS(5511),
    [anon_sym_DASH_DASH] = ACTIONS(5513),
    [anon_sym_PLUS_PLUS] = ACTIONS(5513),
    [anon_sym_DOT] = ACTIONS(5511),
    [anon_sym_DOT_STAR] = ACTIONS(5513),
    [anon_sym_DASH_GT] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5511),
    [anon_sym_decltype] = ACTIONS(5511),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_PIPE_PIPE] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_or] = ACTIONS(1956),
    [anon_sym_and] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5977),
    [anon_sym_COMMA] = ACTIONS(5977),
    [anon_sym_RPAREN] = ACTIONS(5977),
    [aux_sym_preproc_if_token2] = ACTIONS(5977),
    [aux_sym_preproc_else_token1] = ACTIONS(5977),
    [aux_sym_preproc_elif_token1] = ACTIONS(5975),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5977),
    [anon_sym_LPAREN2] = ACTIONS(5977),
    [anon_sym_DASH] = ACTIONS(5975),
    [anon_sym_PLUS] = ACTIONS(5975),
    [anon_sym_STAR] = ACTIONS(5975),
    [anon_sym_SLASH] = ACTIONS(5975),
    [anon_sym_PERCENT] = ACTIONS(5975),
    [anon_sym_PIPE_PIPE] = ACTIONS(5977),
    [anon_sym_AMP_AMP] = ACTIONS(5977),
    [anon_sym_PIPE] = ACTIONS(5975),
    [anon_sym_CARET] = ACTIONS(5975),
    [anon_sym_AMP] = ACTIONS(5975),
    [anon_sym_EQ_EQ] = ACTIONS(5977),
    [anon_sym_BANG_EQ] = ACTIONS(5977),
    [anon_sym_GT] = ACTIONS(5975),
    [anon_sym_GT_EQ] = ACTIONS(5977),
    [anon_sym_LT_EQ] = ACTIONS(5975),
    [anon_sym_LT] = ACTIONS(5975),
    [anon_sym_LT_LT] = ACTIONS(5975),
    [anon_sym_GT_GT] = ACTIONS(5975),
    [anon_sym_SEMI] = ACTIONS(5977),
    [anon_sym___attribute__] = ACTIONS(5975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5977),
    [anon_sym_LBRACE] = ACTIONS(5977),
    [anon_sym_RBRACE] = ACTIONS(5977),
    [anon_sym_LBRACK] = ACTIONS(5975),
    [anon_sym_RBRACK] = ACTIONS(5977),
    [anon_sym_EQ] = ACTIONS(5975),
    [anon_sym_COLON] = ACTIONS(5977),
    [anon_sym_QMARK] = ACTIONS(5977),
    [anon_sym_STAR_EQ] = ACTIONS(5977),
    [anon_sym_SLASH_EQ] = ACTIONS(5977),
    [anon_sym_PERCENT_EQ] = ACTIONS(5977),
    [anon_sym_PLUS_EQ] = ACTIONS(5977),
    [anon_sym_DASH_EQ] = ACTIONS(5977),
    [anon_sym_LT_LT_EQ] = ACTIONS(5977),
    [anon_sym_GT_GT_EQ] = ACTIONS(5977),
    [anon_sym_AMP_EQ] = ACTIONS(5977),
    [anon_sym_CARET_EQ] = ACTIONS(5977),
    [anon_sym_PIPE_EQ] = ACTIONS(5977),
    [anon_sym_and_eq] = ACTIONS(5975),
    [anon_sym_or_eq] = ACTIONS(5975),
    [anon_sym_xor_eq] = ACTIONS(5975),
    [anon_sym_LT_EQ_GT] = ACTIONS(5977),
    [anon_sym_or] = ACTIONS(5975),
    [anon_sym_and] = ACTIONS(5975),
    [anon_sym_bitor] = ACTIONS(5975),
    [anon_sym_xor] = ACTIONS(5975),
    [anon_sym_bitand] = ACTIONS(5975),
    [anon_sym_not_eq] = ACTIONS(5975),
    [anon_sym_DASH_DASH] = ACTIONS(5977),
    [anon_sym_PLUS_PLUS] = ACTIONS(5977),
    [anon_sym_DOT] = ACTIONS(5975),
    [anon_sym_DOT_STAR] = ACTIONS(5977),
    [anon_sym_DASH_GT] = ACTIONS(5977),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5975),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5525),
    [anon_sym_COMMA] = ACTIONS(5525),
    [anon_sym_RPAREN] = ACTIONS(5525),
    [aux_sym_preproc_if_token2] = ACTIONS(5525),
    [aux_sym_preproc_else_token1] = ACTIONS(5525),
    [aux_sym_preproc_elif_token1] = ACTIONS(5523),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5525),
    [anon_sym_DASH] = ACTIONS(5523),
    [anon_sym_PLUS] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_SLASH] = ACTIONS(5523),
    [anon_sym_PERCENT] = ACTIONS(5523),
    [anon_sym_PIPE_PIPE] = ACTIONS(5525),
    [anon_sym_AMP_AMP] = ACTIONS(5525),
    [anon_sym_PIPE] = ACTIONS(5523),
    [anon_sym_CARET] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5523),
    [anon_sym_EQ_EQ] = ACTIONS(5525),
    [anon_sym_BANG_EQ] = ACTIONS(5525),
    [anon_sym_GT] = ACTIONS(5523),
    [anon_sym_GT_EQ] = ACTIONS(5525),
    [anon_sym_LT_EQ] = ACTIONS(5523),
    [anon_sym_LT] = ACTIONS(5523),
    [anon_sym_LT_LT] = ACTIONS(5523),
    [anon_sym_GT_GT] = ACTIONS(5523),
    [anon_sym_SEMI] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(5525),
    [anon_sym_RBRACE] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_EQ] = ACTIONS(5523),
    [anon_sym_COLON] = ACTIONS(5525),
    [anon_sym_QMARK] = ACTIONS(5525),
    [anon_sym_STAR_EQ] = ACTIONS(5525),
    [anon_sym_SLASH_EQ] = ACTIONS(5525),
    [anon_sym_PERCENT_EQ] = ACTIONS(5525),
    [anon_sym_PLUS_EQ] = ACTIONS(5525),
    [anon_sym_DASH_EQ] = ACTIONS(5525),
    [anon_sym_LT_LT_EQ] = ACTIONS(5525),
    [anon_sym_GT_GT_EQ] = ACTIONS(5525),
    [anon_sym_AMP_EQ] = ACTIONS(5525),
    [anon_sym_CARET_EQ] = ACTIONS(5525),
    [anon_sym_PIPE_EQ] = ACTIONS(5525),
    [anon_sym_and_eq] = ACTIONS(5523),
    [anon_sym_or_eq] = ACTIONS(5523),
    [anon_sym_xor_eq] = ACTIONS(5523),
    [anon_sym_LT_EQ_GT] = ACTIONS(5525),
    [anon_sym_or] = ACTIONS(5523),
    [anon_sym_and] = ACTIONS(5523),
    [anon_sym_bitor] = ACTIONS(5523),
    [anon_sym_xor] = ACTIONS(5523),
    [anon_sym_bitand] = ACTIONS(5523),
    [anon_sym_not_eq] = ACTIONS(5523),
    [anon_sym_DASH_DASH] = ACTIONS(5525),
    [anon_sym_PLUS_PLUS] = ACTIONS(5525),
    [anon_sym_DOT] = ACTIONS(5523),
    [anon_sym_DOT_STAR] = ACTIONS(5525),
    [anon_sym_DASH_GT] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5523),
    [anon_sym_decltype] = ACTIONS(5523),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(5527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5529),
    [anon_sym_COMMA] = ACTIONS(5529),
    [anon_sym_RPAREN] = ACTIONS(5529),
    [aux_sym_preproc_if_token2] = ACTIONS(5529),
    [aux_sym_preproc_else_token1] = ACTIONS(5529),
    [aux_sym_preproc_elif_token1] = ACTIONS(5527),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5529),
    [anon_sym_DASH] = ACTIONS(5527),
    [anon_sym_PLUS] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_SLASH] = ACTIONS(5527),
    [anon_sym_PERCENT] = ACTIONS(5527),
    [anon_sym_PIPE_PIPE] = ACTIONS(5529),
    [anon_sym_AMP_AMP] = ACTIONS(5529),
    [anon_sym_PIPE] = ACTIONS(5527),
    [anon_sym_CARET] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5527),
    [anon_sym_EQ_EQ] = ACTIONS(5529),
    [anon_sym_BANG_EQ] = ACTIONS(5529),
    [anon_sym_GT] = ACTIONS(5527),
    [anon_sym_GT_EQ] = ACTIONS(5529),
    [anon_sym_LT_EQ] = ACTIONS(5527),
    [anon_sym_LT] = ACTIONS(5527),
    [anon_sym_LT_LT] = ACTIONS(5527),
    [anon_sym_GT_GT] = ACTIONS(5527),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(5529),
    [anon_sym_RBRACE] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_RBRACK] = ACTIONS(5529),
    [anon_sym_EQ] = ACTIONS(5527),
    [anon_sym_COLON] = ACTIONS(5529),
    [anon_sym_QMARK] = ACTIONS(5529),
    [anon_sym_STAR_EQ] = ACTIONS(5529),
    [anon_sym_SLASH_EQ] = ACTIONS(5529),
    [anon_sym_PERCENT_EQ] = ACTIONS(5529),
    [anon_sym_PLUS_EQ] = ACTIONS(5529),
    [anon_sym_DASH_EQ] = ACTIONS(5529),
    [anon_sym_LT_LT_EQ] = ACTIONS(5529),
    [anon_sym_GT_GT_EQ] = ACTIONS(5529),
    [anon_sym_AMP_EQ] = ACTIONS(5529),
    [anon_sym_CARET_EQ] = ACTIONS(5529),
    [anon_sym_PIPE_EQ] = ACTIONS(5529),
    [anon_sym_and_eq] = ACTIONS(5527),
    [anon_sym_or_eq] = ACTIONS(5527),
    [anon_sym_xor_eq] = ACTIONS(5527),
    [anon_sym_LT_EQ_GT] = ACTIONS(5529),
    [anon_sym_or] = ACTIONS(5527),
    [anon_sym_and] = ACTIONS(5527),
    [anon_sym_bitor] = ACTIONS(5527),
    [anon_sym_xor] = ACTIONS(5527),
    [anon_sym_bitand] = ACTIONS(5527),
    [anon_sym_not_eq] = ACTIONS(5527),
    [anon_sym_DASH_DASH] = ACTIONS(5529),
    [anon_sym_PLUS_PLUS] = ACTIONS(5529),
    [anon_sym_DOT] = ACTIONS(5527),
    [anon_sym_DOT_STAR] = ACTIONS(5529),
    [anon_sym_DASH_GT] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5527),
    [anon_sym_decltype] = ACTIONS(5527),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(5535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5537),
    [anon_sym_COMMA] = ACTIONS(5537),
    [anon_sym_RPAREN] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_else_token1] = ACTIONS(5537),
    [aux_sym_preproc_elif_token1] = ACTIONS(5535),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5537),
    [anon_sym_DASH] = ACTIONS(5535),
    [anon_sym_PLUS] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_SLASH] = ACTIONS(5535),
    [anon_sym_PERCENT] = ACTIONS(5535),
    [anon_sym_PIPE_PIPE] = ACTIONS(5537),
    [anon_sym_AMP_AMP] = ACTIONS(5537),
    [anon_sym_PIPE] = ACTIONS(5535),
    [anon_sym_CARET] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5535),
    [anon_sym_EQ_EQ] = ACTIONS(5537),
    [anon_sym_BANG_EQ] = ACTIONS(5537),
    [anon_sym_GT] = ACTIONS(5535),
    [anon_sym_GT_EQ] = ACTIONS(5537),
    [anon_sym_LT_EQ] = ACTIONS(5535),
    [anon_sym_LT] = ACTIONS(5535),
    [anon_sym_LT_LT] = ACTIONS(5535),
    [anon_sym_GT_GT] = ACTIONS(5535),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5535),
    [anon_sym_LBRACE] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_EQ] = ACTIONS(5535),
    [anon_sym_COLON] = ACTIONS(5537),
    [anon_sym_QMARK] = ACTIONS(5537),
    [anon_sym_STAR_EQ] = ACTIONS(5537),
    [anon_sym_SLASH_EQ] = ACTIONS(5537),
    [anon_sym_PERCENT_EQ] = ACTIONS(5537),
    [anon_sym_PLUS_EQ] = ACTIONS(5537),
    [anon_sym_DASH_EQ] = ACTIONS(5537),
    [anon_sym_LT_LT_EQ] = ACTIONS(5537),
    [anon_sym_GT_GT_EQ] = ACTIONS(5537),
    [anon_sym_AMP_EQ] = ACTIONS(5537),
    [anon_sym_CARET_EQ] = ACTIONS(5537),
    [anon_sym_PIPE_EQ] = ACTIONS(5537),
    [anon_sym_and_eq] = ACTIONS(5535),
    [anon_sym_or_eq] = ACTIONS(5535),
    [anon_sym_xor_eq] = ACTIONS(5535),
    [anon_sym_LT_EQ_GT] = ACTIONS(5537),
    [anon_sym_or] = ACTIONS(5535),
    [anon_sym_and] = ACTIONS(5535),
    [anon_sym_bitor] = ACTIONS(5535),
    [anon_sym_xor] = ACTIONS(5535),
    [anon_sym_bitand] = ACTIONS(5535),
    [anon_sym_not_eq] = ACTIONS(5535),
    [anon_sym_DASH_DASH] = ACTIONS(5537),
    [anon_sym_PLUS_PLUS] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(5535),
    [anon_sym_DOT_STAR] = ACTIONS(5537),
    [anon_sym_DASH_GT] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5535),
    [anon_sym_decltype] = ACTIONS(5535),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(5554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5554),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5554),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5554),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_EQ] = ACTIONS(5554),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_STAR_EQ] = ACTIONS(5556),
    [anon_sym_SLASH_EQ] = ACTIONS(5556),
    [anon_sym_PERCENT_EQ] = ACTIONS(5556),
    [anon_sym_PLUS_EQ] = ACTIONS(5556),
    [anon_sym_DASH_EQ] = ACTIONS(5556),
    [anon_sym_LT_LT_EQ] = ACTIONS(5556),
    [anon_sym_GT_GT_EQ] = ACTIONS(5556),
    [anon_sym_AMP_EQ] = ACTIONS(5556),
    [anon_sym_CARET_EQ] = ACTIONS(5556),
    [anon_sym_PIPE_EQ] = ACTIONS(5556),
    [anon_sym_and_eq] = ACTIONS(5554),
    [anon_sym_or_eq] = ACTIONS(5554),
    [anon_sym_xor_eq] = ACTIONS(5554),
    [anon_sym_LT_EQ_GT] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(5446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_RPAREN] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5446),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5448),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5446),
    [anon_sym_PIPE_PIPE] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_CARET] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5446),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5446),
    [anon_sym_GT_GT] = ACTIONS(5446),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5446),
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_RBRACK] = ACTIONS(5448),
    [anon_sym_EQ] = ACTIONS(5446),
    [anon_sym_COLON] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_STAR_EQ] = ACTIONS(5448),
    [anon_sym_SLASH_EQ] = ACTIONS(5448),
    [anon_sym_PERCENT_EQ] = ACTIONS(5448),
    [anon_sym_PLUS_EQ] = ACTIONS(5448),
    [anon_sym_DASH_EQ] = ACTIONS(5448),
    [anon_sym_LT_LT_EQ] = ACTIONS(5448),
    [anon_sym_GT_GT_EQ] = ACTIONS(5448),
    [anon_sym_AMP_EQ] = ACTIONS(5448),
    [anon_sym_CARET_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_and_eq] = ACTIONS(5446),
    [anon_sym_or_eq] = ACTIONS(5446),
    [anon_sym_xor_eq] = ACTIONS(5446),
    [anon_sym_LT_EQ_GT] = ACTIONS(5448),
    [anon_sym_or] = ACTIONS(5446),
    [anon_sym_and] = ACTIONS(5446),
    [anon_sym_bitor] = ACTIONS(5446),
    [anon_sym_xor] = ACTIONS(5446),
    [anon_sym_bitand] = ACTIONS(5446),
    [anon_sym_not_eq] = ACTIONS(5446),
    [anon_sym_DASH_DASH] = ACTIONS(5448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_DOT_STAR] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5446),
    [anon_sym_decltype] = ACTIONS(5446),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(5396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5398),
    [anon_sym_COMMA] = ACTIONS(5398),
    [anon_sym_RPAREN] = ACTIONS(5398),
    [aux_sym_preproc_if_token2] = ACTIONS(5398),
    [aux_sym_preproc_else_token1] = ACTIONS(5398),
    [aux_sym_preproc_elif_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_SLASH] = ACTIONS(5396),
    [anon_sym_PERCENT] = ACTIONS(5396),
    [anon_sym_PIPE_PIPE] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_PIPE] = ACTIONS(5396),
    [anon_sym_CARET] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_EQ_EQ] = ACTIONS(5398),
    [anon_sym_BANG_EQ] = ACTIONS(5398),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5398),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_LT_LT] = ACTIONS(5396),
    [anon_sym_GT_GT] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym_LBRACE] = ACTIONS(5398),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5398),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5398),
    [anon_sym_QMARK] = ACTIONS(5398),
    [anon_sym_STAR_EQ] = ACTIONS(5398),
    [anon_sym_SLASH_EQ] = ACTIONS(5398),
    [anon_sym_PERCENT_EQ] = ACTIONS(5398),
    [anon_sym_PLUS_EQ] = ACTIONS(5398),
    [anon_sym_DASH_EQ] = ACTIONS(5398),
    [anon_sym_LT_LT_EQ] = ACTIONS(5398),
    [anon_sym_GT_GT_EQ] = ACTIONS(5398),
    [anon_sym_AMP_EQ] = ACTIONS(5398),
    [anon_sym_CARET_EQ] = ACTIONS(5398),
    [anon_sym_PIPE_EQ] = ACTIONS(5398),
    [anon_sym_and_eq] = ACTIONS(5396),
    [anon_sym_or_eq] = ACTIONS(5396),
    [anon_sym_xor_eq] = ACTIONS(5396),
    [anon_sym_LT_EQ_GT] = ACTIONS(5398),
    [anon_sym_or] = ACTIONS(5396),
    [anon_sym_and] = ACTIONS(5396),
    [anon_sym_bitor] = ACTIONS(5396),
    [anon_sym_xor] = ACTIONS(5396),
    [anon_sym_bitand] = ACTIONS(5396),
    [anon_sym_not_eq] = ACTIONS(5396),
    [anon_sym_DASH_DASH] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_DOT_STAR] = ACTIONS(5398),
    [anon_sym_DASH_GT] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_signed] = ACTIONS(4851),
    [anon_sym_unsigned] = ACTIONS(4851),
    [anon_sym_long] = ACTIONS(4851),
    [anon_sym_short] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [sym_primitive_type] = ACTIONS(4851),
    [anon_sym_enum] = ACTIONS(4851),
    [anon_sym_class] = ACTIONS(4851),
    [anon_sym_struct] = ACTIONS(4851),
    [anon_sym_union] = ACTIONS(4851),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_explicit] = ACTIONS(4851),
    [anon_sym_typename] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_friend] = ACTIONS(4851),
    [anon_sym_using] = ACTIONS(4851),
    [anon_sym_concept] = ACTIONS(4851),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_STAR] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_signed] = ACTIONS(4876),
    [anon_sym_unsigned] = ACTIONS(4876),
    [anon_sym_long] = ACTIONS(4876),
    [anon_sym_short] = ACTIONS(4876),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [sym_primitive_type] = ACTIONS(4876),
    [anon_sym_enum] = ACTIONS(4876),
    [anon_sym_class] = ACTIONS(4876),
    [anon_sym_struct] = ACTIONS(4876),
    [anon_sym_union] = ACTIONS(4876),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_explicit] = ACTIONS(4876),
    [anon_sym_typename] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_friend] = ACTIONS(4876),
    [anon_sym_using] = ACTIONS(4876),
    [anon_sym_concept] = ACTIONS(4876),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(5446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_RPAREN] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5446),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5448),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5446),
    [anon_sym_PIPE_PIPE] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_CARET] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5446),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5446),
    [anon_sym_GT_GT] = ACTIONS(5446),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5446),
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_RBRACK] = ACTIONS(5448),
    [anon_sym_EQ] = ACTIONS(5446),
    [anon_sym_COLON] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_STAR_EQ] = ACTIONS(5448),
    [anon_sym_SLASH_EQ] = ACTIONS(5448),
    [anon_sym_PERCENT_EQ] = ACTIONS(5448),
    [anon_sym_PLUS_EQ] = ACTIONS(5448),
    [anon_sym_DASH_EQ] = ACTIONS(5448),
    [anon_sym_LT_LT_EQ] = ACTIONS(5448),
    [anon_sym_GT_GT_EQ] = ACTIONS(5448),
    [anon_sym_AMP_EQ] = ACTIONS(5448),
    [anon_sym_CARET_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_and_eq] = ACTIONS(5446),
    [anon_sym_or_eq] = ACTIONS(5446),
    [anon_sym_xor_eq] = ACTIONS(5446),
    [anon_sym_LT_EQ_GT] = ACTIONS(5448),
    [anon_sym_or] = ACTIONS(5446),
    [anon_sym_and] = ACTIONS(5446),
    [anon_sym_bitor] = ACTIONS(5446),
    [anon_sym_xor] = ACTIONS(5446),
    [anon_sym_bitand] = ACTIONS(5446),
    [anon_sym_not_eq] = ACTIONS(5446),
    [anon_sym_DASH_DASH] = ACTIONS(5448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_DOT_STAR] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5446),
    [anon_sym_decltype] = ACTIONS(5446),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(5446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_RPAREN] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5446),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5448),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5446),
    [anon_sym_PIPE_PIPE] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_CARET] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5446),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5446),
    [anon_sym_GT_GT] = ACTIONS(5446),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5446),
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_RBRACK] = ACTIONS(5448),
    [anon_sym_EQ] = ACTIONS(5446),
    [anon_sym_COLON] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_STAR_EQ] = ACTIONS(5448),
    [anon_sym_SLASH_EQ] = ACTIONS(5448),
    [anon_sym_PERCENT_EQ] = ACTIONS(5448),
    [anon_sym_PLUS_EQ] = ACTIONS(5448),
    [anon_sym_DASH_EQ] = ACTIONS(5448),
    [anon_sym_LT_LT_EQ] = ACTIONS(5448),
    [anon_sym_GT_GT_EQ] = ACTIONS(5448),
    [anon_sym_AMP_EQ] = ACTIONS(5448),
    [anon_sym_CARET_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_and_eq] = ACTIONS(5446),
    [anon_sym_or_eq] = ACTIONS(5446),
    [anon_sym_xor_eq] = ACTIONS(5446),
    [anon_sym_LT_EQ_GT] = ACTIONS(5448),
    [anon_sym_or] = ACTIONS(5446),
    [anon_sym_and] = ACTIONS(5446),
    [anon_sym_bitor] = ACTIONS(5446),
    [anon_sym_xor] = ACTIONS(5446),
    [anon_sym_bitand] = ACTIONS(5446),
    [anon_sym_not_eq] = ACTIONS(5446),
    [anon_sym_DASH_DASH] = ACTIONS(5448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_DOT_STAR] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5446),
    [anon_sym_decltype] = ACTIONS(5446),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_signed] = ACTIONS(4872),
    [anon_sym_unsigned] = ACTIONS(4872),
    [anon_sym_long] = ACTIONS(4872),
    [anon_sym_short] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [sym_primitive_type] = ACTIONS(4872),
    [anon_sym_enum] = ACTIONS(4872),
    [anon_sym_class] = ACTIONS(4872),
    [anon_sym_struct] = ACTIONS(4872),
    [anon_sym_union] = ACTIONS(4872),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_explicit] = ACTIONS(4872),
    [anon_sym_typename] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_friend] = ACTIONS(4872),
    [anon_sym_using] = ACTIONS(4872),
    [anon_sym_concept] = ACTIONS(4872),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_STAR] = ACTIONS(4882),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym___cdecl] = ACTIONS(4880),
    [anon_sym___clrcall] = ACTIONS(4880),
    [anon_sym___stdcall] = ACTIONS(4880),
    [anon_sym___fastcall] = ACTIONS(4880),
    [anon_sym___thiscall] = ACTIONS(4880),
    [anon_sym___vectorcall] = ACTIONS(4880),
    [anon_sym_signed] = ACTIONS(4880),
    [anon_sym_unsigned] = ACTIONS(4880),
    [anon_sym_long] = ACTIONS(4880),
    [anon_sym_short] = ACTIONS(4880),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [sym_primitive_type] = ACTIONS(4880),
    [anon_sym_enum] = ACTIONS(4880),
    [anon_sym_class] = ACTIONS(4880),
    [anon_sym_struct] = ACTIONS(4880),
    [anon_sym_union] = ACTIONS(4880),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_explicit] = ACTIONS(4880),
    [anon_sym_typename] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_friend] = ACTIONS(4880),
    [anon_sym_using] = ACTIONS(4880),
    [anon_sym_concept] = ACTIONS(4880),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_STAR] = ACTIONS(4841),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym___cdecl] = ACTIONS(4839),
    [anon_sym___clrcall] = ACTIONS(4839),
    [anon_sym___stdcall] = ACTIONS(4839),
    [anon_sym___fastcall] = ACTIONS(4839),
    [anon_sym___thiscall] = ACTIONS(4839),
    [anon_sym___vectorcall] = ACTIONS(4839),
    [anon_sym_signed] = ACTIONS(4839),
    [anon_sym_unsigned] = ACTIONS(4839),
    [anon_sym_long] = ACTIONS(4839),
    [anon_sym_short] = ACTIONS(4839),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [sym_primitive_type] = ACTIONS(4839),
    [anon_sym_enum] = ACTIONS(4839),
    [anon_sym_class] = ACTIONS(4839),
    [anon_sym_struct] = ACTIONS(4839),
    [anon_sym_union] = ACTIONS(4839),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_explicit] = ACTIONS(4839),
    [anon_sym_typename] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_friend] = ACTIONS(4839),
    [anon_sym_using] = ACTIONS(4839),
    [anon_sym_concept] = ACTIONS(4839),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_signed] = ACTIONS(4843),
    [anon_sym_unsigned] = ACTIONS(4843),
    [anon_sym_long] = ACTIONS(4843),
    [anon_sym_short] = ACTIONS(4843),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [sym_primitive_type] = ACTIONS(4843),
    [anon_sym_enum] = ACTIONS(4843),
    [anon_sym_class] = ACTIONS(4843),
    [anon_sym_struct] = ACTIONS(4843),
    [anon_sym_union] = ACTIONS(4843),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_explicit] = ACTIONS(4843),
    [anon_sym_typename] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_friend] = ACTIONS(4843),
    [anon_sym_using] = ACTIONS(4843),
    [anon_sym_concept] = ACTIONS(4843),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_signed] = ACTIONS(4847),
    [anon_sym_unsigned] = ACTIONS(4847),
    [anon_sym_long] = ACTIONS(4847),
    [anon_sym_short] = ACTIONS(4847),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [sym_primitive_type] = ACTIONS(4847),
    [anon_sym_enum] = ACTIONS(4847),
    [anon_sym_class] = ACTIONS(4847),
    [anon_sym_struct] = ACTIONS(4847),
    [anon_sym_union] = ACTIONS(4847),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_explicit] = ACTIONS(4847),
    [anon_sym_typename] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_friend] = ACTIONS(4847),
    [anon_sym_using] = ACTIONS(4847),
    [anon_sym_concept] = ACTIONS(4847),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(5450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5452),
    [anon_sym_COMMA] = ACTIONS(5452),
    [anon_sym_RPAREN] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5450),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5452),
    [anon_sym_DASH] = ACTIONS(5450),
    [anon_sym_PLUS] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_SLASH] = ACTIONS(5450),
    [anon_sym_PERCENT] = ACTIONS(5450),
    [anon_sym_PIPE_PIPE] = ACTIONS(5452),
    [anon_sym_AMP_AMP] = ACTIONS(5452),
    [anon_sym_PIPE] = ACTIONS(5450),
    [anon_sym_CARET] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_EQ_EQ] = ACTIONS(5452),
    [anon_sym_BANG_EQ] = ACTIONS(5452),
    [anon_sym_GT] = ACTIONS(5450),
    [anon_sym_GT_EQ] = ACTIONS(5452),
    [anon_sym_LT_EQ] = ACTIONS(5450),
    [anon_sym_LT] = ACTIONS(5450),
    [anon_sym_LT_LT] = ACTIONS(5450),
    [anon_sym_GT_GT] = ACTIONS(5450),
    [anon_sym_SEMI] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5450),
    [anon_sym_LBRACE] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_RBRACK] = ACTIONS(5452),
    [anon_sym_EQ] = ACTIONS(5450),
    [anon_sym_COLON] = ACTIONS(5452),
    [anon_sym_QMARK] = ACTIONS(5452),
    [anon_sym_STAR_EQ] = ACTIONS(5452),
    [anon_sym_SLASH_EQ] = ACTIONS(5452),
    [anon_sym_PERCENT_EQ] = ACTIONS(5452),
    [anon_sym_PLUS_EQ] = ACTIONS(5452),
    [anon_sym_DASH_EQ] = ACTIONS(5452),
    [anon_sym_LT_LT_EQ] = ACTIONS(5452),
    [anon_sym_GT_GT_EQ] = ACTIONS(5452),
    [anon_sym_AMP_EQ] = ACTIONS(5452),
    [anon_sym_CARET_EQ] = ACTIONS(5452),
    [anon_sym_PIPE_EQ] = ACTIONS(5452),
    [anon_sym_and_eq] = ACTIONS(5450),
    [anon_sym_or_eq] = ACTIONS(5450),
    [anon_sym_xor_eq] = ACTIONS(5450),
    [anon_sym_LT_EQ_GT] = ACTIONS(5452),
    [anon_sym_or] = ACTIONS(5450),
    [anon_sym_and] = ACTIONS(5450),
    [anon_sym_bitor] = ACTIONS(5450),
    [anon_sym_xor] = ACTIONS(5450),
    [anon_sym_bitand] = ACTIONS(5450),
    [anon_sym_not_eq] = ACTIONS(5450),
    [anon_sym_DASH_DASH] = ACTIONS(5452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5452),
    [anon_sym_DOT] = ACTIONS(5450),
    [anon_sym_DOT_STAR] = ACTIONS(5452),
    [anon_sym_DASH_GT] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5450),
    [anon_sym_decltype] = ACTIONS(5450),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2145), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5753), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5582), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5580), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [77] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1823), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5808), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1827), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5812), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1821), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5859), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1661), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1661), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5621), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5981), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5983), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2270), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5985), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5596), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2263), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5987), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5454), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5456), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [675] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 1,
      sym_identifier,
    STATE(2246), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5992), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5995), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5123), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5121), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [754] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2646), 1,
      sym_attribute_specifier,
    STATE(6615), 1,
      sym_virtual_specifier,
    STATE(7321), 1,
      sym_base_class_clause,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5313), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1812), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5851), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1813), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5855), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6002), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5456), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [1066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4886), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5203), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6008), 1,
      anon_sym_LT,
    STATE(2243), 1,
      sym_template_argument_list,
    ACTIONS(6004), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6006), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2204), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5973), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5337), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1803), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5843), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    STATE(2290), 1,
      sym_new_declarator,
    ACTIONS(6011), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6013), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym___attribute__,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(6019), 1,
      anon_sym_COLON,
    STATE(2091), 1,
      sym__enum_base_clause,
    STATE(2135), 1,
      sym_enumerator_list,
    STATE(2223), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6017), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym___attribute__,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(6019), 1,
      anon_sym_COLON,
    STATE(1889), 1,
      sym__enum_base_clause,
    STATE(2123), 1,
      sym_enumerator_list,
    STATE(2178), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2267), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5656), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [1824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1809), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5782), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2263), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5987), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5337), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1661), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5625), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    STATE(2277), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4331), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4333), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5145), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5143), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1661), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5652), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1794), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5816), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2102), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5615), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [2353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2102), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5625), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [2428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(2243), 1,
      sym_template_argument_list,
    ACTIONS(6031), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6033), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2102), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5621), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [2580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2241), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6038), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5656), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5596), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1801), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5847), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1796), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5757), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1832), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5796), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5190), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      sym_identifier,
    STATE(2246), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4331), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4333), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5135), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5133), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2102), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5652), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [3180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5197), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5190), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5203), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    STATE(1820), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5776), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [3539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5197), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3610] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6044), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6046), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3694] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    STATE(2747), 1,
      sym_field_declaration_list,
    STATE(2905), 1,
      sym_attribute_specifier,
    STATE(6465), 1,
      sym_virtual_specifier,
    STATE(7399), 1,
      sym_base_class_clause,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5313), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [3780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6062), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5197), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6064), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6066), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6072), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5147), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6074), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5420), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5423), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [4138] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6077), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6079), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6083), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3811), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6087), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6002), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5337), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [4506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6089), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6091), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [4588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5197), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [4798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5190), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5203), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    STATE(2450), 1,
      sym_decltype_auto,
    ACTIONS(5347), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5345), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6103), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5203), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5197), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6083), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6107), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5190), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6113), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6117), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6115), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [5722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5203), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5792] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6123), 1,
      anon_sym_virtual,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2467), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6121), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6119), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [5886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5335), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6083), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6028] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6129), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [6182] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6135), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [6276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3815), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 1,
      anon_sym_LT,
    STATE(2252), 1,
      sym_template_argument_list,
    ACTIONS(6139), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6141), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6146), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6148), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [6502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6152), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5394), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5392), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6712] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6154), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6156), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6796] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6158), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6160), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6162), 1,
      sym_identifier,
    ACTIONS(6166), 1,
      sym_primitive_type,
    STATE(2291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6164), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5472), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5474), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [6958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6170), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5190), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6074), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5149), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5147), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [7172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5480), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5500), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5602), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5466), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6174), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2264), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4331), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4333), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5580), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5582), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [7592] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5717), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5715), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [7671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5488), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5515), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1950), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6178), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5149), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5147), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [7951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5519), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5531), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6181), 1,
      anon_sym_LT,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2503), 1,
      sym_template_argument_list,
    ACTIONS(6109), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4029), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [8168] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 1,
      sym_identifier,
    ACTIONS(6187), 1,
      sym_primitive_type,
    STATE(2348), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5472), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5474), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [8245] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5147), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6178), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5420), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5423), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [8320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5197), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6189), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5717), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [8535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5190), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(6191), 1,
      anon_sym___attribute__,
    ACTIONS(6193), 1,
      anon_sym_COLON,
    STATE(2091), 1,
      sym__enum_base_clause,
    STATE(2135), 1,
      sym_enumerator_list,
    STATE(2223), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6017), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [8685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5523), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5203), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1954), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5527), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5535), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5484), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5556), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5554), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5408), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6197), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6201), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5412), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [9598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5496), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5442), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6209), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6213), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6217), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6221), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5448), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5446), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5504), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5003), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6227), 1,
      anon_sym_or,
    ACTIONS(6229), 1,
      anon_sym_and,
    ACTIONS(5965), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5967), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3741), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5492), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5418), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5416), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5430), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5539), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6233), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5396), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5438), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5448), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5446), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4965), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4965), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4965), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5448), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5446), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5552), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5550), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2784), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(6191), 1,
      anon_sym___attribute__,
    ACTIONS(6193), 1,
      anon_sym_COLON,
    STATE(1889), 1,
      sym__enum_base_clause,
    STATE(2123), 1,
      sym_enumerator_list,
    STATE(2178), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6023), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [11895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6237), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6241), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6245), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5496), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5099), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5055), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    STATE(2799), 1,
      sym_field_declaration_list,
    STATE(3032), 1,
      sym_attribute_specifier,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7105), 1,
      sym_base_class_clause,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [12394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4999), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5017), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6251), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6253), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6257), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6261), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5452), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5450), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6263), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6265), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6269), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6277), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6281), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5454), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4983), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5089), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_and,
    ACTIONS(5912), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5914), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4987), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6285), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4991), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4995), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6289), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6297), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6301), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6305), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6309), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6313), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6317), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5013), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6321), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6325), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6329), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6333), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6337), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6241), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6341), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6345), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6349), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6353), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6357), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6361), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6365), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5546), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6369), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5511), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6066), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5335), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6373), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6377), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5458), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5462), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5402), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5400), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5434), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4845), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16123] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 1,
      sym_identifier,
    STATE(2461), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6382), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6385), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5123), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5121), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4891), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6388), 1,
      anon_sym_LT,
    STATE(2582), 1,
      sym_template_argument_list,
    ACTIONS(4862), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4855), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4841), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5197), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16545] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6394), 1,
      anon_sym_virtual,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2496), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6392), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6390), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6396), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 1,
      sym_primitive_type,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5643), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5420), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5423), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16777] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    STATE(2554), 1,
      sym_enumerator_list,
    STATE(2665), 1,
      sym_attribute_specifier,
    ACTIONS(5739), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5741), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5190), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16921] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 1,
      sym_identifier,
    STATE(2461), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5135), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5133), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5203), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17065] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    STATE(2527), 1,
      sym_enumerator_list,
    STATE(2680), 1,
      sym_attribute_specifier,
    ACTIONS(5662), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5664), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6402), 1,
      sym_identifier,
    ACTIONS(6407), 1,
      sym_primitive_type,
    STATE(2469), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5472), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5474), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4882), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17285] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    STATE(2401), 1,
      sym_argument_list,
    STATE(2540), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3768), 1,
      sym_initializer_list,
    ACTIONS(6412), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5335), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4849), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2489), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6414), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5656), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4853), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2492), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6416), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4878), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6418), 1,
      anon_sym_LT,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2595), 1,
      sym_template_argument_list,
    ACTIONS(6189), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4029), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6181), 1,
      anon_sym_LT,
    STATE(2503), 1,
      sym_template_argument_list,
    ACTIONS(5573), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4047), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [17865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5343), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5343), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4874), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5289), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6396), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 1,
      sym_identifier,
    STATE(2472), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5145), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5143), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6422), 1,
      anon_sym_LT,
    STATE(2503), 1,
      sym_template_argument_list,
    ACTIONS(4855), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6396), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5621), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5388), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5390), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18505] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6394), 1,
      anon_sym_virtual,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2496), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6427), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6425), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6388), 1,
      anon_sym_LT,
    STATE(2582), 1,
      sym_template_argument_list,
    ACTIONS(4047), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5573), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18665] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_virtual,
    ACTIONS(6442), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6448), 1,
      anon_sym___declspec,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(6451), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2496), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6439), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6431), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6429), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6433), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [18751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6396), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5625), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6454), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5456), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5388), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5390), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2637), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6456), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4841), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4839), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5343), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4891), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2504), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6458), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5149), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5147), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2639), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5808), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2643), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5812), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4845), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4843), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6461), 1,
      anon_sym_LT,
    STATE(2595), 1,
      sym_template_argument_list,
    ACTIONS(4855), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4862), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      sym_primitive_type,
    STATE(2534), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5474), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5472), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [19668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4853), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4851), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2659), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5843), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2664), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5847), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2671), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5851), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2678), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5855), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6454), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20090] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_field_declaration_list,
    STATE(3337), 1,
      sym_attribute_specifier,
    STATE(6543), 1,
      sym_virtual_specifier,
    STATE(7356), 1,
      sym_base_class_clause,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5313), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2687), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5816), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4849), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4847), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2524), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5656), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5658), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5147), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5149), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [20453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2606), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5776), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2608), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5859), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2526), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6479), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5596), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5598), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2504), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5617), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2504), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5623), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2611), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5782), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2613), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5796), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6412), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5456), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5454), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [21088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5625), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6418), 1,
      anon_sym_LT,
    STATE(2595), 1,
      sym_template_argument_list,
    ACTIONS(5573), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4047), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [21232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5190), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5652), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5147), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5423), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5420), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21443] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(6487), 1,
      anon_sym_COLON,
    STATE(2644), 1,
      sym__enum_base_clause,
    STATE(2738), 1,
      sym_enumerator_list,
    STATE(2856), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6017), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5197), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2548), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6489), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5656), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2551), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6491), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5596), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2504), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5625), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5627), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [21871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2504), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5652), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5654), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [21942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4876), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4872), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4880), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5203), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [22210] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5633), 1,
      anon_sym_STAR,
    ACTIONS(5635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5637), 1,
      anon_sym_AMP,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6006), 1,
      sym__declarator,
    STATE(6085), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5631), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22325] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5633), 1,
      anon_sym_STAR,
    ACTIONS(5635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5637), 1,
      anon_sym_AMP,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6009), 1,
      sym__declarator,
    STATE(6065), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6493), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(6487), 1,
      anon_sym_COLON,
    STATE(2653), 1,
      sym__enum_base_clause,
    STATE(2734), 1,
      sym_enumerator_list,
    STATE(2921), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5621), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2530), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5456), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5289), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    STATE(2649), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5757), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5390), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5388), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5343), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4853), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4851), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4876), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4872), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6497), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5402), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5343), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5341), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6501), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1577), 1,
      sym_string_literal,
    ACTIONS(6509), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [23609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4891), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [23675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5343), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5341), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2674), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5341), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2530), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5337), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4880), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4841), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4839), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2732), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4845), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4843), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4849), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4847), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24275] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(6513), 1,
      anon_sym_COLON,
    STATE(2727), 1,
      sym__enum_base_clause,
    STATE(2807), 1,
      sym_enumerator_list,
    STATE(2957), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1576), 1,
      sym_string_literal,
    ACTIONS(6509), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [24423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(6513), 1,
      anon_sym_COLON,
    STATE(2752), 1,
      sym__enum_base_clause,
    STATE(2792), 1,
      sym_enumerator_list,
    STATE(3005), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6017), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24501] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6515), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_template_argument_list,
    STATE(2637), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6456), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4029), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5343), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5335), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5337), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1575), 1,
      sym_string_literal,
    ACTIONS(6509), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [24783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4884), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5289), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24915] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6519), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      sym_auto,
    ACTIONS(6523), 1,
      anon_sym_decltype,
    STATE(2843), 1,
      sym_new_declarator,
    STATE(2865), 1,
      sym_decltype_auto,
    STATE(3344), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5584), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5586), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5404), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [25063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5388), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5390), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6525), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25197] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6519), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      sym_auto,
    ACTIONS(6523), 1,
      anon_sym_decltype,
    STATE(2865), 1,
      sym_decltype_auto,
    STATE(2904), 1,
      sym_new_declarator,
    STATE(3278), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5592), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5594), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5452), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5394), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6519), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      sym_auto,
    ACTIONS(6523), 1,
      anon_sym_decltype,
    STATE(2861), 1,
      sym_new_declarator,
    STATE(2865), 1,
      sym_decltype_auto,
    STATE(3261), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5588), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5590), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5456), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5287), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5525), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4891), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25757] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6519), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      sym_auto,
    ACTIONS(6523), 1,
      anon_sym_decltype,
    STATE(2865), 1,
      sym_decltype_auto,
    STATE(2870), 1,
      sym_new_declarator,
    STATE(3378), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6412), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5335), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [25909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1578), 1,
      sym_string_literal,
    ACTIONS(6509), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [25979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6529), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5486), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6533), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    STATE(2619), 1,
      sym_decltype_auto,
    ACTIONS(5345), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5347), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5556), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5197), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5517), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5410), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5521), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5533), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6545), 1,
      sym_auto,
    ACTIONS(6547), 1,
      anon_sym_decltype,
    STATE(3013), 1,
      sym_decltype_auto,
    STATE(3027), 1,
      sym_new_declarator,
    STATE(3433), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5584), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5586), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [26787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5494), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26852] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5818), 1,
      anon_sym_STAR,
    ACTIONS(5820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5822), 1,
      anon_sym_AMP,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6006), 1,
      sym__declarator,
    STATE(6279), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5631), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5552), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5414), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27095] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5818), 1,
      anon_sym_STAR,
    ACTIONS(5820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5822), 1,
      anon_sym_AMP,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6009), 1,
      sym__declarator,
    STATE(6292), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6493), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5418), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5432), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2630), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6549), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5456), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5513), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27472] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6551), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6553), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27581] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6587), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6237), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5343), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [27759] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27965] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28064] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28161] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28256] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28347] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5625), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6515), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_template_argument_list,
    ACTIONS(5573), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4047), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28574] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6591), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6593), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28683] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6587), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6595), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6597), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28796] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6599), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6601), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28905] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6587), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6603), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6605), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6607), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [29083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4884), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [29217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5529), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29282] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    ACTIONS(6611), 1,
      anon_sym_SEMI,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5537), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5448), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5541), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29568] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    STATE(2742), 1,
      sym_enumerator_list,
    STATE(2854), 1,
      sym_attribute_specifier,
    ACTIONS(5739), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5768), 1,
      anon_sym_STAR,
    ACTIONS(5770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5772), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6009), 1,
      sym__declarator,
    STATE(6290), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6493), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5398), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29819] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6615), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29928] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6573), 1,
      anon_sym_GT_EQ,
    ACTIONS(6577), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6579), 1,
      anon_sym_or,
    ACTIONS(6581), 1,
      anon_sym_and,
    ACTIONS(6583), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6563), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6565), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6567), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6571), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6617), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6619), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5444), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5448), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5448), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5353), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [30297] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    STATE(2710), 1,
      sym_enumerator_list,
    STATE(2878), 1,
      sym_attribute_specifier,
    ACTIONS(5662), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30435] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6545), 1,
      sym_auto,
    ACTIONS(6547), 1,
      anon_sym_decltype,
    STATE(3009), 1,
      sym_new_declarator,
    STATE(3013), 1,
      sym_decltype_auto,
    STATE(3458), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5592), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5594), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [30516] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    ACTIONS(6621), 1,
      anon_sym_SEMI,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5406), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2685), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6623), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5656), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5468), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5490), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30871] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    ACTIONS(6625), 1,
      anon_sym_SEMI,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2688), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5548), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5460), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5464), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5337), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    ACTIONS(6629), 1,
      anon_sym_SEMI,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6631), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_template_argument_list,
    ACTIONS(4855), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5203), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5498), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5502), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31648] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6545), 1,
      sym_auto,
    ACTIONS(6547), 1,
      anon_sym_decltype,
    STATE(2943), 1,
      sym_new_declarator,
    STATE(3013), 1,
      sym_decltype_auto,
    STATE(3477), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5563), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [31729] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [31810] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [31893] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6575), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6557), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [31978] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5768), 1,
      anon_sym_STAR,
    ACTIONS(5770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5772), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6006), 1,
      sym__declarator,
    STATE(6266), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5631), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    ACTIONS(6634), 1,
      anon_sym_SEMI,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    ACTIONS(6636), 1,
      anon_sym_SEMI,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5440), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32403] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6545), 1,
      sym_auto,
    ACTIONS(6547), 1,
      anon_sym_decltype,
    STATE(2960), 1,
      sym_new_declarator,
    STATE(3013), 1,
      sym_decltype_auto,
    STATE(3405), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5588), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5590), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [32484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5498), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5337), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5190), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5482), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5436), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5621), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6097), 1,
      sym_auto,
    ACTIONS(6099), 1,
      anon_sym_decltype,
    ACTIONS(6137), 1,
      anon_sym_virtual,
    ACTIONS(6638), 1,
      anon_sym_SEMI,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2494), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5240), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6133), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5236), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33038] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6666), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4531), 1,
      sym__function_attributes_start,
    STATE(4697), 1,
      sym_ref_qualifier,
    STATE(5550), 1,
      sym__function_attributes_end,
    STATE(5669), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5028), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4882), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4841), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4845), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4849), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33410] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33492] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6670), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33640] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6672), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2855), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5808), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5388), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5390), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33856] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33938] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5631), 1,
      anon_sym_RPAREN,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6112), 1,
      sym__declarator,
    STATE(6279), 1,
      sym__abstract_declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34050] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6679), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4378), 1,
      sym__function_attributes_start,
    STATE(4692), 1,
      sym_ref_qualifier,
    STATE(5549), 1,
      sym__function_attributes_end,
    STATE(5616), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6676), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4994), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34166] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6682), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34248] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6684), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34330] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6686), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34412] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6493), 1,
      anon_sym_RPAREN,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6089), 1,
      sym__declarator,
    STATE(6292), 1,
      sym__abstract_declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym_COLON,
    STATE(2887), 1,
      sym__enum_base_clause,
    STATE(2934), 1,
      sym_enumerator_list,
    STATE(3333), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6017), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34600] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6692), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2844), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6694), 1,
      sym_literal_suffix,
    ACTIONS(4031), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2898), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5812), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6696), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34966] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6698), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym_COLON,
    STATE(2858), 1,
      sym__enum_base_clause,
    STATE(2942), 1,
      sym_enumerator_list,
    STATE(3214), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2848), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5796), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6702), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4874), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6251), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6253), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35384] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6704), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5289), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    STATE(2391), 1,
      sym_attribute_specifier,
    STATE(2927), 1,
      sym_enumerator_list,
    ACTIONS(5664), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5662), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35730] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    STATE(2456), 1,
      sym_attribute_specifier,
    STATE(2914), 1,
      sym_enumerator_list,
    ACTIONS(5741), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5739), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5335), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [35866] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2836), 1,
      sym_enumerator_list,
    STATE(3052), 1,
      sym_attribute_specifier,
    ACTIONS(5662), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5664), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5717), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [36012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6215), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [36142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2874), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5843), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2877), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5816), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36406] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6710), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4886), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2846), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5847), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36686] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6371), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [36832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2630), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6549), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2880), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5757), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36968] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_SEMI,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [37050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [37114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2895), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2899), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5859), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2893), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5851), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym___attribute__,
    STATE(2926), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5855), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4853), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [37514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2814), 1,
      sym_enumerator_list,
    STATE(2969), 1,
      sym_attribute_specifier,
    ACTIONS(5739), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5741), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6702), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5452), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37776] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6551), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5456), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6112), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2773), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38057] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6613), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_LT,
    STATE(2890), 1,
      sym_template_argument_list,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5486), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38300] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6089), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3759), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5525), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38472] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5702), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3801), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [38644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5394), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38707] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6006), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2769), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5556), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6009), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3798), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      sym_auto,
    ACTIONS(6523), 1,
      anon_sym_decltype,
    STATE(2865), 1,
      sym_decltype_auto,
    ACTIONS(5345), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5347), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39166] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6774), 1,
      anon_sym___attribute__,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6789), 1,
      anon_sym_requires,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4565), 1,
      sym__function_attributes_start,
    STATE(4715), 1,
      sym_ref_qualifier,
    STATE(5443), 1,
      sym_trailing_return_type,
    STATE(5509), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6786), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5039), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39281] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    ACTIONS(6792), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6597), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39394] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6089), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39503] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6256), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2776), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3811), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39612] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    ACTIONS(6792), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6240), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3775), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6599), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39943] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6802), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6804), 1,
      anon_sym_COMMA,
    ACTIONS(6806), 1,
      anon_sym_RPAREN,
    ACTIONS(6808), 1,
      anon_sym_DASH,
    ACTIONS(6810), 1,
      anon_sym_PLUS,
    ACTIONS(6812), 1,
      anon_sym_STAR,
    ACTIONS(6814), 1,
      anon_sym_SLASH,
    ACTIONS(6816), 1,
      anon_sym_PERCENT,
    ACTIONS(6818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6822), 1,
      anon_sym_PIPE,
    ACTIONS(6824), 1,
      anon_sym_CARET,
    ACTIONS(6826), 1,
      anon_sym_AMP,
    ACTIONS(6828), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6830), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6832), 1,
      anon_sym_GT,
    ACTIONS(6834), 1,
      anon_sym_GT_EQ,
    ACTIONS(6836), 1,
      anon_sym_LT_EQ,
    ACTIONS(6838), 1,
      anon_sym_LT,
    ACTIONS(6840), 1,
      anon_sym_LT_LT,
    ACTIONS(6842), 1,
      anon_sym_GT_GT,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(6848), 1,
      anon_sym_QMARK,
    ACTIONS(6850), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6852), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6854), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6856), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6858), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6860), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6862), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6864), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6866), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6868), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6874), 1,
      anon_sym_or,
    ACTIONS(6876), 1,
      anon_sym_and,
    ACTIONS(6878), 1,
      anon_sym_bitor,
    ACTIONS(6880), 1,
      anon_sym_xor,
    ACTIONS(6882), 1,
      anon_sym_bitand,
    ACTIONS(6884), 1,
      anon_sym_not_eq,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6870), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40104] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(6894), 1,
      anon_sym_LBRACK,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3682), 1,
      sym_template_argument_list,
    ACTIONS(4044), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4029), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [40181] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      anon_sym_LPAREN2,
    ACTIONS(6899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(2900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5863), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      anon_sym_LPAREN2,
    ACTIONS(6899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(2900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5867), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5869), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40499] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6112), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2761), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3804), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      anon_sym_LPAREN2,
    ACTIONS(6899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(2900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5798), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(2955), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5843), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40748] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6774), 1,
      anon_sym___attribute__,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4566), 1,
      sym__function_attributes_start,
    STATE(4705), 1,
      sym_ref_qualifier,
    STATE(5395), 1,
      sym_trailing_return_type,
    STATE(5497), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5038), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(3004), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5808), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5259), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5261), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4023), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4031), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [40997] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_const,
    ACTIONS(4895), 1,
      anon_sym_AMP,
    ACTIONS(4888), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4893), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4886), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4891), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [41068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4021), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [41141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(2967), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5847), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(3025), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5812), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41275] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    ACTIONS(6907), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      sym_auto,
    ACTIONS(6911), 1,
      anon_sym_decltype,
    STATE(3279), 1,
      sym_decltype_auto,
    STATE(3359), 1,
      sym_new_declarator,
    STATE(3717), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5584), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5586), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41354] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    ACTIONS(6792), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6605), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41467] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [41546] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41647] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [41744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(2987), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5851), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(2991), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5855), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41878] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [41973] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    ACTIONS(6907), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      sym_auto,
    ACTIONS(6911), 1,
      anon_sym_decltype,
    STATE(3263), 1,
      sym_new_declarator,
    STATE(3279), 1,
      sym_decltype_auto,
    STATE(3736), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5588), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5590), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42052] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5723), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3793), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42161] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6100), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2815), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3790), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5341), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      anon_sym_LPAREN2,
    ACTIONS(6899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(2900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5784), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(3050), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5816), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6913), 1,
      sym_identifier,
    ACTIONS(6917), 1,
      sym_primitive_type,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5472), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5474), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [42544] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [42635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42724] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42809] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42890] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(3056), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5757), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43040] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6112), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43149] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5994), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2825), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3810), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43258] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6222), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2826), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(2931), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5776), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43434] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6802), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6804), 1,
      anon_sym_COMMA,
    ACTIONS(6808), 1,
      anon_sym_DASH,
    ACTIONS(6810), 1,
      anon_sym_PLUS,
    ACTIONS(6812), 1,
      anon_sym_STAR,
    ACTIONS(6814), 1,
      anon_sym_SLASH,
    ACTIONS(6816), 1,
      anon_sym_PERCENT,
    ACTIONS(6818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6822), 1,
      anon_sym_PIPE,
    ACTIONS(6824), 1,
      anon_sym_CARET,
    ACTIONS(6826), 1,
      anon_sym_AMP,
    ACTIONS(6828), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6830), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6832), 1,
      anon_sym_GT,
    ACTIONS(6834), 1,
      anon_sym_GT_EQ,
    ACTIONS(6836), 1,
      anon_sym_LT_EQ,
    ACTIONS(6838), 1,
      anon_sym_LT,
    ACTIONS(6840), 1,
      anon_sym_LT_LT,
    ACTIONS(6842), 1,
      anon_sym_GT_GT,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(6848), 1,
      anon_sym_QMARK,
    ACTIONS(6850), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6852), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6854), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6856), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6858), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6860), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6862), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6864), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6866), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6868), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6874), 1,
      anon_sym_or,
    ACTIONS(6876), 1,
      anon_sym_and,
    ACTIONS(6878), 1,
      anon_sym_bitor,
    ACTIONS(6880), 1,
      anon_sym_xor,
    ACTIONS(6882), 1,
      anon_sym_bitand,
    ACTIONS(6884), 1,
      anon_sym_not_eq,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6919), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6870), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(3066), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5859), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43662] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5710), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3777), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43771] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5703), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2821), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3807), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43880] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6802), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6804), 1,
      anon_sym_COMMA,
    ACTIONS(6808), 1,
      anon_sym_DASH,
    ACTIONS(6810), 1,
      anon_sym_PLUS,
    ACTIONS(6812), 1,
      anon_sym_STAR,
    ACTIONS(6814), 1,
      anon_sym_SLASH,
    ACTIONS(6816), 1,
      anon_sym_PERCENT,
    ACTIONS(6818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6822), 1,
      anon_sym_PIPE,
    ACTIONS(6824), 1,
      anon_sym_CARET,
    ACTIONS(6826), 1,
      anon_sym_AMP,
    ACTIONS(6828), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6830), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6832), 1,
      anon_sym_GT,
    ACTIONS(6834), 1,
      anon_sym_GT_EQ,
    ACTIONS(6836), 1,
      anon_sym_LT_EQ,
    ACTIONS(6838), 1,
      anon_sym_LT,
    ACTIONS(6840), 1,
      anon_sym_LT_LT,
    ACTIONS(6842), 1,
      anon_sym_GT_GT,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(6848), 1,
      anon_sym_QMARK,
    ACTIONS(6850), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6852), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6854), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6856), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6858), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6860), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6862), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6864), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6866), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6868), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6874), 1,
      anon_sym_or,
    ACTIONS(6876), 1,
      anon_sym_and,
    ACTIONS(6878), 1,
      anon_sym_bitor,
    ACTIONS(6880), 1,
      anon_sym_xor,
    ACTIONS(6882), 1,
      anon_sym_bitand,
    ACTIONS(6884), 1,
      anon_sym_not_eq,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6929), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6870), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44041] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5710), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2834), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3777), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44150] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6006), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44259] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6256), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(4869), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
    ACTIONS(4864), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44439] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5745), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2803), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3755), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5147), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5643), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5420), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5423), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [44617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      anon_sym_LPAREN2,
    ACTIONS(6899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(2900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5802), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44690] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    ACTIONS(6907), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      sym_auto,
    ACTIONS(6911), 1,
      anon_sym_decltype,
    STATE(3279), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_new_declarator,
    STATE(3751), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5592), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5594), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44769] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6100), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2841), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3805), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5723), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2763), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3793), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44987] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5729), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3781), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45096] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    ACTIONS(6907), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      sym_auto,
    ACTIONS(6911), 1,
      anon_sym_decltype,
    STATE(3250), 1,
      sym_new_declarator,
    STATE(3279), 1,
      sym_decltype_auto,
    STATE(3648), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(3042), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5782), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4047), 1,
      anon_sym_SEMI,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4021), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym___attribute__,
    STATE(3048), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5796), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6694), 1,
      sym_literal_suffix,
    ACTIONS(4031), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45514] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6112), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3804), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45623] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    STATE(3390), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5928), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6935), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6933), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6931), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [45924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5460), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5418), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2455), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5845), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46176] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6939), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6945), 1,
      anon_sym___asm,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4661), 1,
      sym__function_attributes_start,
    STATE(4791), 1,
      sym_ref_qualifier,
    STATE(5316), 1,
      sym__function_attributes_end,
    STATE(5350), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6942), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5052), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2375), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5853), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5464), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5529), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5537), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(4862), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4855), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [46734] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3058), 1,
      sym_enumerator_list,
    STATE(3266), 1,
      sym_attribute_specifier,
    ACTIONS(5662), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2341), 1,
      sym_attribute_specifier,
    ACTIONS(5776), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5774), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6956), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6954), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6952), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [46936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    STATE(3386), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5940), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5942), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2490), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5580), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5582), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5452), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5394), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5513), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_const,
    ACTIONS(4895), 1,
      anon_sym_AMP,
    ACTIONS(4888), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4893), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4891), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4886), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47328] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6939), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4646), 1,
      sym__function_attributes_start,
    STATE(4721), 1,
      sym_ref_qualifier,
    STATE(5350), 1,
      sym_trailing_return_type,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5053), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5456), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47504] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6939), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4649), 1,
      sym__function_attributes_start,
    STATE(4730), 1,
      sym_ref_qualifier,
    STATE(5408), 1,
      sym_trailing_return_type,
    STATE(5581), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6786), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5063), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    STATE(3340), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5936), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5938), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6967), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6965), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [47748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6973), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6971), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6969), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47938] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4652), 1,
      sym__function_attributes_start,
    STATE(4755), 1,
      sym_ref_qualifier,
    STATE(5395), 1,
      sym_trailing_return_type,
    STATE(5556), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5059), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6981), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3753), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3751), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5436), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5440), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2344), 1,
      sym_attribute_specifier,
    ACTIONS(5859), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5857), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [48308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5444), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5486), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48432] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(5192), 1,
      anon_sym_LT,
    STATE(2974), 1,
      sym_template_argument_list,
    ACTIONS(4864), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6983), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3779), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3777), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5410), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48630] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_LPAREN2,
    ACTIONS(6987), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_LBRACK,
    STATE(3293), 1,
      sym_parameter_list,
    STATE(2994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5786), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [48702] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6789), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4645), 1,
      sym__function_attributes_start,
    STATE(4759), 1,
      sym_ref_qualifier,
    STATE(5443), 1,
      sym_trailing_return_type,
    STATE(5572), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6786), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5050), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(2946), 1,
      sym_enumerator_list,
    STATE(3226), 1,
      sym_attribute_specifier,
    ACTIONS(5739), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6995), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6993), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6991), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [49014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2336), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5841), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2334), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5849), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5517), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2382), 1,
      sym_attribute_specifier,
    ACTIONS(5812), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5810), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6545), 1,
      sym_auto,
    ACTIONS(6547), 1,
      anon_sym_decltype,
    STATE(3013), 1,
      sym_decltype_auto,
    ACTIONS(5345), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5347), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5541), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5521), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5889), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5891), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5533), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2397), 1,
      sym_attribute_specifier,
    ACTIONS(5796), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5794), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(4047), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5573), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [49916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    STATE(3256), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5932), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5398), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50046] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4641), 1,
      sym__function_attributes_start,
    STATE(4790), 1,
      sym_ref_qualifier,
    STATE(5349), 1,
      sym__function_attributes_end,
    STATE(5395), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6942), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5075), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_LPAREN2,
    ACTIONS(6987), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_LBRACK,
    STATE(3293), 1,
      sym_parameter_list,
    STATE(2994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5867), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5869), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2357), 1,
      sym_attribute_specifier,
    ACTIONS(5808), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5806), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_LPAREN2,
    ACTIONS(6987), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_LBRACK,
    STATE(3293), 1,
      sym_parameter_list,
    STATE(2994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5863), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5865), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5548), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_LPAREN2,
    ACTIONS(6987), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_LBRACK,
    STATE(3293), 1,
      sym_parameter_list,
    STATE(2994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5798), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5800), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50504] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6789), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4647), 1,
      sym__function_attributes_start,
    STATE(4742), 1,
      sym_ref_qualifier,
    STATE(5359), 1,
      sym__function_attributes_end,
    STATE(5443), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6786), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6942), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5066), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2369), 1,
      sym_attribute_specifier,
    ACTIONS(5757), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5755), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2458), 1,
      sym_attribute_specifier,
    ACTIONS(5816), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5814), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5402), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5905), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5907), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5490), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5556), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5335), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5337), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_LPAREN2,
    ACTIONS(6987), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_LBRACK,
    STATE(3293), 1,
      sym_parameter_list,
    STATE(2994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5802), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5804), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    STATE(2379), 1,
      sym_attribute_specifier,
    ACTIONS(5782), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5780), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [51576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5432), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51638] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6939), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6945), 1,
      anon_sym___asm,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4653), 1,
      sym__function_attributes_start,
    STATE(4751), 1,
      sym_ref_qualifier,
    STATE(5323), 1,
      sym__function_attributes_end,
    STATE(5408), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6786), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6942), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5057), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5525), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5517), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51875] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [51968] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6939), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4688), 1,
      sym__function_attributes_start,
    STATE(4807), 1,
      sym_ref_qualifier,
    STATE(5661), 1,
      sym__function_attributes_end,
    STATE(5826), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5090), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [52081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3225), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5847), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [52235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LT,
    STATE(1537), 1,
      sym_template_argument_list,
    ACTIONS(6139), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52300] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2490), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5580), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5582), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52454] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [52624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [52707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3265), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5816), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    STATE(3473), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5936), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5938), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52839] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6599), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6601), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [52946] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6802), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_QMARK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6237), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [53057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3267), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5757), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4021), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53193] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6551), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6553), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [53300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_LT,
    STATE(2890), 1,
      sym_template_argument_list,
    ACTIONS(6139), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53365] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [53444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3213), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5843), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3332), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5808), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(2540), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3324), 1,
      sym_argument_list,
    STATE(3686), 1,
      sym_initializer_list,
    ACTIONS(6412), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5335), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5432), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5468), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53769] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6154), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6156), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [53844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5490), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53968] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7073), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4662), 1,
      sym__function_attributes_start,
    STATE(4801), 1,
      sym_ref_qualifier,
    STATE(5720), 1,
      sym__function_attributes_end,
    STATE(5889), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6676), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5084), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [54081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    STATE(3520), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5940), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5942), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [54148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5548), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54209] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6077), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6079), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [54284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3269), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3270), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5859), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5337), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7076), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6064), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6066), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5460), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3229), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5851), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5464), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6551), 1,
      anon_sym_EQ,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3234), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5855), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54897] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6613), 1,
      anon_sym_EQ,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7092), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2973), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5905), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5907), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55132] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_namespace,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [55302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5625), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [55367] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55444] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_typedef,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [55586] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55667] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6939), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7101), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4696), 1,
      sym__function_attributes_start,
    STATE(4813), 1,
      sym_ref_qualifier,
    STATE(5643), 1,
      sym__function_attributes_end,
    STATE(5837), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6786), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5077), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [55780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6505), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [55841] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [55922] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(6802), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_QMARK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6597), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5498), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5502), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6044), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6046), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [56230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [56293] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6613), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6615), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56461] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6619), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 1,
      anon_sym_LBRACK,
    STATE(3086), 1,
      sym_new_declarator,
    ACTIONS(6011), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2973), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5889), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5891), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5335), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [56759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7106), 1,
      anon_sym_namespace,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [56822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5652), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [56887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5498), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5337), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57009] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(5385), 1,
      anon_sym_LT,
    STATE(3085), 1,
      sym_template_argument_list,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [57206] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6146), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6148), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [57279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5529), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5537), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LT,
    STATE(1524), 1,
      sym_template_argument_list,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57466] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [57561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7110), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(2724), 1,
      sym__enum_base_clause,
    STATE(2917), 1,
      sym_enumerator_list,
    ACTIONS(6023), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6021), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [57634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    STATE(3489), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7112), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [57764] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4689), 1,
      sym__function_attributes_start,
    STATE(4808), 1,
      sym_ref_qualifier,
    STATE(5738), 1,
      sym__function_attributes_end,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5080), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [57877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(5337), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5335), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [57942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5513), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7116), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [58066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5448), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(3083), 1,
      sym_template_argument_list,
    ACTIONS(6031), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6033), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3336), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5812), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5482), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2977), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5454), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5456), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [58385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7123), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [58448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [58511] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5656), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [58683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3064), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7129), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5596), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [58748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5541), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58809] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6802), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_QMARK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6605), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    STATE(3475), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5928), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [58987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5410), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7131), 1,
      anon_sym_LT,
    STATE(3083), 1,
      sym_template_argument_list,
    ACTIONS(6004), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6006), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5414), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2531), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [59237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5398), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5406), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59359] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(3553), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7364), 1,
      sym_base_class_clause,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5313), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [59436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5418), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5448), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5448), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_LT,
    STATE(1644), 1,
      sym_template_argument_list,
    ACTIONS(6139), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59684] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6125), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [59787] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    ACTIONS(7134), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59898] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    ACTIONS(7134), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6597), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5494), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7110), 1,
      anon_sym_COLON,
    STATE(2358), 1,
      sym_attribute_specifier,
    STATE(2725), 1,
      sym__enum_base_clause,
    STATE(2849), 1,
      sym_enumerator_list,
    ACTIONS(6017), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6015), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [60143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(5337), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5335), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [60206] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7053), 1,
      anon_sym_or,
    ACTIONS(7055), 1,
      anon_sym_and,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6593), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [60313] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [60390] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6599), 1,
      anon_sym_EQ,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5552), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60558] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7057), 1,
      anon_sym_bitor,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6125), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [60657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5436), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 1,
      anon_sym_typedef,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5440), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60842] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6125), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [60937] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7059), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6125), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [61030] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    ACTIONS(7134), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6605), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [61141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5444), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61202] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6125), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3281), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61342] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6158), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6160), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute__,
    STATE(3283), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5796), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      anon_sym_namespace,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [61545] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_GT_EQ,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6886), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7033), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [61634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5615), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [61699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5621), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [61764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 1,
      anon_sym_typedef,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [61827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5521), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5533), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6064), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6066), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_namespace,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [62075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6091), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [62148] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7088), 1,
      anon_sym_and,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62251] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7008), 1,
      anon_sym_AMP,
    ACTIONS(7014), 1,
      anon_sym_GT_EQ,
    ACTIONS(7018), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7020), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7090), 1,
      anon_sym_bitor,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7016), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7084), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6125), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7010), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7012), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2977), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5337), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [62415] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [62491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5893), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5895), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5899), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62611] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6599), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [62715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(3507), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5901), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5903), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62843] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6724), 1,
      anon_sym_PIPE,
    ACTIONS(6728), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_GT_EQ,
    ACTIONS(6738), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6740), 1,
      anon_sym_or,
    ACTIONS(6742), 1,
      anon_sym_and,
    ACTIONS(6744), 1,
      anon_sym_bitor,
    ACTIONS(6746), 1,
      anon_sym_bitand,
    ACTIONS(6792), 1,
      anon_sym_QMARK,
    ACTIONS(6806), 1,
      anon_sym_RPAREN,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7194), 1,
      anon_sym_EQ,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6726), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6736), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6730), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6732), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    STATE(3320), 1,
      sym_new_declarator,
    ACTIONS(6011), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6013), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63021] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(7196), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7198), 1,
      anon_sym_QMARK,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6603), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6605), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [63129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5981), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7200), 1,
      anon_sym_LT,
    STATE(2974), 1,
      sym_template_argument_list,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4886), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6072), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5922), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5879), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5883), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3809), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [63617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5452), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63677] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(4044), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4021), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [63751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5456), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7203), 1,
      anon_sym_LT,
    STATE(3315), 1,
      sym_template_argument_list,
    ACTIONS(6004), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6006), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5486), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_EQ,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5606), 1,
      anon_sym_LPAREN2,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(4059), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64007] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6044), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6046), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [64081] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7210), 1,
      anon_sym_RPAREN,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3815), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64297] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7288), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5394), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6064), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6066), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6251), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6253), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5950), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(4862), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4855), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [64761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5887), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7200), 1,
      anon_sym_LT,
    STATE(1765), 1,
      sym_template_argument_list,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3811), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      sym_auto,
    ACTIONS(6911), 1,
      anon_sym_decltype,
    STATE(3279), 1,
      sym_decltype_auto,
    ACTIONS(5345), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5347), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6066), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7292), 1,
      sym_literal_suffix,
    ACTIONS(4031), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7301), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7297), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7304), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7294), 30,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [65259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5977), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6702), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65379] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7306), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [65535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6505), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [65595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6170), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_LT,
    STATE(1544), 1,
      sym_template_argument_list,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7308), 1,
      anon_sym_LT,
    STATE(3315), 1,
      sym_template_argument_list,
    ACTIONS(6031), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6033), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6089), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6091), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [65857] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6613), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65961] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    STATE(3841), 1,
      sym_field_declaration_list,
    STATE(3906), 1,
      sym_attribute_specifier,
    STATE(6683), 1,
      sym_virtual_specifier,
    STATE(7089), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5313), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7315), 1,
      sym_identifier,
    STATE(3128), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5725), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5727), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5143), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66105] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7317), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66261] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6154), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6156), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [66335] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6077), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6079), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [66409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      sym_identifier,
    STATE(3138), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5725), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5727), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5133), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6066), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66537] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7321), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66693] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6617), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [66797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6146), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6148), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [66869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6087), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_EQ,
    ACTIONS(4059), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5606), 1,
      anon_sym_LPAREN2,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(4031), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5606), 1,
      anon_sym_LPAREN2,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(4031), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67125] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7323), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67281] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      sym_identifier,
    STATE(3138), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7328), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7331), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5123), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5121), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67349] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7334), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5602), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67565] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7336), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(5606), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4031), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67787] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6892), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    ACTIONS(7212), 1,
      anon_sym_DASH,
    ACTIONS(7214), 1,
      anon_sym_PLUS,
    ACTIONS(7216), 1,
      anon_sym_STAR,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_PERCENT,
    ACTIONS(7222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7226), 1,
      anon_sym_PIPE,
    ACTIONS(7228), 1,
      anon_sym_CARET,
    ACTIONS(7230), 1,
      anon_sym_AMP,
    ACTIONS(7232), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7234), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7236), 1,
      anon_sym_GT,
    ACTIONS(7238), 1,
      anon_sym_GT_EQ,
    ACTIONS(7240), 1,
      anon_sym_LT_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_LT_LT,
    ACTIONS(7246), 1,
      anon_sym_GT_GT,
    ACTIONS(7248), 1,
      anon_sym_EQ,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7254), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7256), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7258), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7260), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7262), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7264), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7266), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7268), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7270), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7274), 1,
      anon_sym_or,
    ACTIONS(7276), 1,
      anon_sym_and,
    ACTIONS(7278), 1,
      anon_sym_bitor,
    ACTIONS(7280), 1,
      anon_sym_xor,
    ACTIONS(7282), 1,
      anon_sym_bitand,
    ACTIONS(7284), 1,
      anon_sym_not_eq,
    ACTIONS(7338), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym__binary_fold_operator,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      sym__fold_operator,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6694), 1,
      sym_literal_suffix,
    ACTIONS(4031), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4023), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6103), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68065] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(7196), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7198), 1,
      anon_sym_QMARK,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6595), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6597), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [68173] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6551), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [68277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5525), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(5606), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4031), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68403] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(7196), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7198), 1,
      anon_sym_QMARK,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6235), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [68511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5556), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(4047), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5573), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [68637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6221), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68697] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [68773] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [68847] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [68947] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6125), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [69043] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [69135] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [69225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [69311] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [69395] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4716), 1,
      sym__function_attributes_start,
    STATE(4894), 1,
      sym_ref_qualifier,
    STATE(5770), 1,
      sym__function_attributes_end,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5097), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [69507] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [69589] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [69667] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    ACTIONS(7346), 1,
      anon_sym_EQ,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(7344), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4021), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [69741] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7348), 1,
      anon_sym_requires,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(4702), 1,
      sym__function_attributes_start,
    STATE(4899), 1,
      sym_ref_qualifier,
    STATE(5779), 1,
      sym__function_attributes_end,
    STATE(5979), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6676), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3883), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5092), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [69853] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [69933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5946), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5957), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70053] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6158), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6160), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [70127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6221), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70187] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_PIPE,
    ACTIONS(7164), 1,
      anon_sym_AMP,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_or,
    ACTIONS(7178), 1,
      anon_sym_and,
    ACTIONS(7180), 1,
      anon_sym_bitor,
    ACTIONS(7182), 1,
      anon_sym_bitand,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6591), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7162), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7170), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7184), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7154), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7168), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [70291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6607), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [70351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6089), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6091), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70423] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6613), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6154), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6156), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [70603] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6077), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6079), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [70677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6146), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6148), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70855] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6551), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70961] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71071] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71145] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71345] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [71439] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [71531] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [71619] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71787] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71865] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71945] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6158), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6160), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [72019] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72125] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6597), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6599), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72341] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6585), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7353), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7355), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7357), 1,
      anon_sym_PIPE,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_GT_EQ,
    ACTIONS(7371), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7373), 1,
      anon_sym_or,
    ACTIONS(7375), 1,
      anon_sym_and,
    ACTIONS(7377), 1,
      anon_sym_bitor,
    ACTIONS(7379), 1,
      anon_sym_bitand,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7359), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7369), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7363), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7365), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6605), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3813), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [72511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5335), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72573] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6044), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6046), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [72647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6702), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5602), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6345), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6197), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1950), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6325), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5490), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73540] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7386), 1,
      anon_sym_virtual,
    ACTIONS(7392), 1,
      anon_sym___attribute__,
    ACTIONS(7395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7398), 1,
      anon_sym___declspec,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(7401), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3215), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7389), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7383), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6429), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [73617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(5573), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4047), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [73682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6349), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6353), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6357), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [73918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6361), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6365), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74036] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(1884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4923), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5717), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [74103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6113), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5460), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5464), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6285), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4855), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [74581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4995), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7404), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    STATE(1884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4923), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4029), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [74709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1950), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5013), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6062), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5410), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6289), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5418), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5432), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      sym_identifier,
    STATE(3244), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7412), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5123), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5121), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5099), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4999), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5017), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6066), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    STATE(3668), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5936), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5938), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 1,
      anon_sym_EQ,
    ACTIONS(5723), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75789] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym_virtual,
    ACTIONS(7428), 1,
      anon_sym___attribute__,
    ACTIONS(7431), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7434), 1,
      anon_sym___declspec,
    ACTIONS(7440), 1,
      anon_sym_explicit,
    STATE(3031), 1,
      sym_alignas_qualifier,
    ACTIONS(7437), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7417), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7415), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7425), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3252), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7419), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [75868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5055), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75927] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7443), 1,
      sym_identifier,
    STATE(3347), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4944), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4946), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5145), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5143), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75994] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym___asm,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5687), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3257), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3988), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6293), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76150] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7463), 1,
      anon_sym___asm,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5612), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3994), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(5912), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5914), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7469), 1,
      anon_sym_LT,
    STATE(3085), 1,
      sym_template_argument_list,
    ACTIONS(6139), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6297), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    STATE(3674), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5940), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5942), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5436), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5440), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5444), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5089), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5517), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5521), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5533), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6257), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6301), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5602), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6217), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1954), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5003), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6261), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5513), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2784), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6221), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6237), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77972] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym___asm,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5622), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3288), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4004), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78069] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7463), 1,
      anon_sym___asm,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5664), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3963), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6263), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6265), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7478), 1,
      sym_literal_suffix,
    ACTIONS(4023), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4031), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [78286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5977), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5197), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [78640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6103), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3815), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6305), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    ACTIONS(6139), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6700), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [79234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6309), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6341), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6201), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79470] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7487), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7484), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7482), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7480), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [79537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3811), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5981), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6373), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5203), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [79952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5950), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6072), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4999), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5017), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5893), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5895), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6241), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6213), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5899), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5901), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5903), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    STATE(3735), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5932), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1954), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    ACTIONS(7346), 1,
      anon_sym_EQ,
    STATE(2638), 1,
      sym_template_argument_list,
    ACTIONS(7344), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4047), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5573), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [80676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5887), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5529), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5537), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6083), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5541), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5398), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5922), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6317), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6369), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7469), 1,
      anon_sym_LT,
    STATE(1816), 1,
      sym_template_argument_list,
    ACTIONS(6139), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6245), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5548), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6209), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81624] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7490), 1,
      sym_identifier,
    STATE(3244), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4944), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4946), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5133), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5190), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [81750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7492), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6064), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6066), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5099), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5055), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6269), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6273), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5003), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82224] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7496), 1,
      anon_sym_or,
    ACTIONS(5965), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5967), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3741), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6905), 1,
      anon_sym_LPAREN2,
    STATE(3750), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5928), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6251), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6253), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_COLON,
    STATE(2358), 1,
      sym_attribute_specifier,
    STATE(2725), 1,
      sym__enum_base_clause,
    STATE(2849), 1,
      sym_enumerator_list,
    ACTIONS(6017), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6015), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [82604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5946), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5957), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5879), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5883), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(2724), 1,
      sym__enum_base_clause,
    STATE(2917), 1,
      sym_enumerator_list,
    ACTIONS(6023), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6021), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [82911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6233), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82970] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      sym_identifier,
    ACTIONS(7505), 1,
      sym_primitive_type,
    STATE(3383), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5474), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5472), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6083), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6083), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6152), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6329), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4031), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6333), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6281), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6241), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6377), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7507), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    STATE(3507), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4029), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4991), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 1,
      sym_primitive_type,
    STATE(1625), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5151), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5423), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5420), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6321), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6087), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6170), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4995), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6277), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6209), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6113), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6325), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6329), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84703] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6597), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [84809] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6605), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [84915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3741), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6233), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6197), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6297), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85321] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [85415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85589] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6369), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85719] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [85809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 1,
      anon_sym_LT,
    STATE(1842), 1,
      sym_template_argument_list,
    ACTIONS(6139), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85987] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6551), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [86089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6309), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6174), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86437] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [86539] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6127), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [86625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2784), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6201), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6373), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6237), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86915] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7539), 1,
      anon_sym_RPAREN,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6866), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6333), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6245), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5099), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5055), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6341), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6345), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87427] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7073), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4814), 1,
      sym__function_attributes_start,
    STATE(5047), 1,
      sym_ref_qualifier,
    STATE(5889), 1,
      sym_trailing_return_type,
    STATE(5978), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6676), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5115), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6349), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4942), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4023), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4031), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [87657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6353), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_EQ,
    ACTIONS(5694), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7507), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    ACTIONS(5573), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4047), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7549), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    ACTIONS(4855), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87905] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7554), 1,
      anon_sym_requires,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4809), 1,
      sym__function_attributes_start,
    STATE(5044), 1,
      sym_ref_qualifier,
    STATE(5967), 1,
      sym__function_attributes_end,
    STATE(6098), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6786), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5124), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6361), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4999), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5017), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [88273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6251), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6253), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_and,
    ACTIONS(5912), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5914), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6357), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5201), 47,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [88509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3124), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5725), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5727), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5580), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5582), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6257), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88631] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [88737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6261), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6365), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88853] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_EQ,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [88953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6285), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89011] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6599), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [89113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6263), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6265), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6066), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6301), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6289), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89403] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4021), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 38,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [89551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6269), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89609] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6154), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6156), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89681] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6077), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6079), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6317), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89811] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6277), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7561), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5147), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5149), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6281), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(3682), 1,
      sym_template_argument_list,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4855), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [90133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5089), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6152), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5602), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90307] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4804), 1,
      sym__function_attributes_start,
    STATE(5037), 1,
      sym_ref_qualifier,
    STATE(5951), 1,
      sym__function_attributes_end,
    STATE(6063), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5521), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5113), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90417] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_and,
    ACTIONS(7566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7568), 1,
      anon_sym_or,
    ACTIONS(5965), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5967), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5188), 47,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [90541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6305), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    STATE(2456), 1,
      sym_attribute_specifier,
    STATE(3557), 1,
      sym_enumerator_list,
    ACTIONS(5739), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5741), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [90665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    STATE(2391), 1,
      sym_attribute_specifier,
    STATE(3560), 1,
      sym_enumerator_list,
    ACTIONS(5662), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5664), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [90731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6213), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6293), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6273), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_EQ,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5606), 1,
      anon_sym_LPAREN2,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(4059), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4023), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [90975] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [91077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91135] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_EQ,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [91233] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5760), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3512), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4011), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6062), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4991), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6091), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [91573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4995), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6217), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6146), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6148), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [91759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5013), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6241), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7576), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5625), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91937] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [92015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7576), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5652), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92077] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4818), 1,
      sym__function_attributes_start,
    STATE(5043), 1,
      sym_ref_qualifier,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(5975), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3967), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4198), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5838), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5114), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1954), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3517), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5656), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3518), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7580), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5596), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92369] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5697), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4010), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92463] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6613), 1,
      anon_sym_EQ,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7272), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_bitor,
    ACTIONS(7533), 1,
      anon_sym_xor,
    ACTIONS(7535), 1,
      anon_sym_bitand,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7529), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6241), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92623] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6158), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6160), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [92695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4853), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7576), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7576), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5621), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_LBRACK,
    STATE(3552), 1,
      sym_new_declarator,
    ACTIONS(6011), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6321), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3505), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7582), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5454), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5456), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6221), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4874), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5003), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4882), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5837), 1,
      anon_sym_EQ,
    ACTIONS(5839), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4841), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4845), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6377), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1950), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93701] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_DOT_STAR,
    STATE(3379), 1,
      sym_argument_list,
    STATE(3380), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6125), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6127), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [93775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6083), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6083), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6083), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5343), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94066] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5300), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2357), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5808), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94230] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5366), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2382), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5812), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94394] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4025), 1,
      sym_type_specifier,
    STATE(5894), 1,
      sym_type_descriptor,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3677), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94497] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2606), 1,
      anon_sym_enum,
    ACTIONS(2608), 1,
      anon_sym_class,
    ACTIONS(2610), 1,
      anon_sym_struct,
    ACTIONS(2612), 1,
      anon_sym_union,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(2640), 1,
      anon_sym_typename,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7606), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(4084), 1,
      sym_type_specifier,
    STATE(5894), 1,
      sym_type_descriptor,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    STATE(3699), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5845), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6702), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    STATE(3692), 1,
      sym_new_declarator,
    ACTIONS(6011), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6013), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94811] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7559), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2336), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5843), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94975] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7668), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2455), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5847), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6072), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2334), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5851), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2375), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5855), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2458), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5816), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95379] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7626), 1,
      sym_identifier,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7632), 1,
      sym_primitive_type,
    ACTIONS(7634), 1,
      anon_sym_enum,
    ACTIONS(7636), 1,
      anon_sym_class,
    ACTIONS(7638), 1,
      anon_sym_struct,
    ACTIONS(7640), 1,
      anon_sym_union,
    ACTIONS(7642), 1,
      sym_auto,
    ACTIONS(7644), 1,
      anon_sym_decltype,
    ACTIONS(7646), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3907), 1,
      sym_type_specifier,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4775), 1,
      sym_qualified_type_identifier,
    STATE(4788), 1,
      sym_decltype_auto,
    STATE(5894), 1,
      sym_type_descriptor,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3734), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4713), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4789), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2369), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5757), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2341), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5776), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2344), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5859), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2379), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5782), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2397), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5796), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95787] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7851), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3254), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4944), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4946), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5580), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5582), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95953] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7839), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7292), 1,
      sym_literal_suffix,
    ACTIONS(4031), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4853), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96172] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7992), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96275] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_class,
    ACTIONS(7660), 1,
      anon_sym_struct,
    ACTIONS(7662), 1,
      anon_sym_union,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7668), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3853), 1,
      sym_type_specifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5190), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4640), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5203), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96595] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4640), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7682), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4878), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96755] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_class,
    ACTIONS(7660), 1,
      anon_sym_struct,
    ACTIONS(7662), 1,
      anon_sym_union,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7668), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3824), 1,
      sym_type_specifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(3651), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96961] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_class,
    ACTIONS(7660), 1,
      anon_sym_struct,
    ACTIONS(7662), 1,
      anon_sym_union,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7668), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3939), 1,
      sym_type_specifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(3752), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97064] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    ACTIONS(7670), 1,
      anon_sym_LBRACE,
    ACTIONS(7672), 1,
      anon_sym_COLON,
    STATE(3803), 1,
      sym__enum_base_clause,
    STATE(3829), 1,
      sym_enumerator_list,
    STATE(3919), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6023), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97133] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(7674), 1,
      sym_identifier,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      anon_sym_enum,
    ACTIONS(7680), 1,
      anon_sym_class,
    ACTIONS(7682), 1,
      anon_sym_struct,
    ACTIONS(7684), 1,
      anon_sym_union,
    ACTIONS(7686), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4001), 1,
      sym_type_specifier,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(3712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7442), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4874), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97396] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7480), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97499] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7661), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4882), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97659] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4921), 1,
      anon_sym_SEMI,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(6894), 1,
      anon_sym_LBRACK,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(4044), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4029), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [97732] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5340), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3505), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7582), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5337), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97896] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7952), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97999] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5344), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5343), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98161] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5363), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5388), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5390), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98323] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5365), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98426] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7155), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98529] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4307), 1,
      sym_type_specifier,
    STATE(5894), 1,
      sym_type_descriptor,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98632] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5368), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98735] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5371), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98838] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5378), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98941] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5380), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99044] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7688), 1,
      sym_identifier,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7692), 1,
      anon_sym_enum,
    ACTIONS(7694), 1,
      anon_sym_class,
    ACTIONS(7696), 1,
      anon_sym_struct,
    ACTIONS(7698), 1,
      anon_sym_union,
    ACTIONS(7700), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4137), 1,
      sym_type_specifier,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(3702), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99147] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5385), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99250] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7519), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99353] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5388), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7905), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5389), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99662] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5390), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99765] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5392), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99868] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5394), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99971] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100074] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(7674), 1,
      sym_identifier,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      anon_sym_enum,
    ACTIONS(7680), 1,
      anon_sym_class,
    ACTIONS(7682), 1,
      anon_sym_struct,
    ACTIONS(7684), 1,
      anon_sym_union,
    ACTIONS(7686), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3816), 1,
      sym_type_specifier,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(3694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100177] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7825), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    ACTIONS(7670), 1,
      anon_sym_LBRACE,
    ACTIONS(7672), 1,
      anon_sym_COLON,
    STATE(3788), 1,
      sym__enum_base_clause,
    STATE(3836), 1,
      sym_enumerator_list,
    STATE(3901), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6017), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100349] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4640), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7847), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7872), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4841), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5289), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7981), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100772] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5329), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100875] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8103), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100978] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5829), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3545), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4029), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101071] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8119), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4845), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101231] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7801), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4849), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101391] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101551] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7785), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4886), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5197), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101770] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7866), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101873] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7978), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101976] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4640), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7983), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102079] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7495), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102182] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3749), 1,
      sym_identifier,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(3763), 1,
      anon_sym_enum,
    ACTIONS(3765), 1,
      anon_sym_class,
    ACTIONS(3767), 1,
      anon_sym_struct,
    ACTIONS(3769), 1,
      anon_sym_union,
    ACTIONS(3771), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4014), 1,
      sym_type_specifier,
    STATE(5535), 1,
      sym_type_descriptor,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102285] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8000), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4640), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8005), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102491] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7750), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102594] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8020), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102697] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4640), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8025), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7631), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102903] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8039), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103006] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4640), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(8044), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103109] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(7676), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103212] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4761), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5294), 1,
      sym__type_definition_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_EQ,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    ACTIONS(4059), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4023), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [103378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4532), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7468), 1,
      sym_type_descriptor,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [103537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5197), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [103593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6281), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7704), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5965), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5967), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103765] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_class,
    ACTIONS(7660), 1,
      anon_sym_struct,
    ACTIONS(7662), 1,
      anon_sym_union,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7668), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3839), 1,
      sym_type_specifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_SEMI,
    ACTIONS(5337), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5335), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [103923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7708), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7706), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [103979] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3749), 1,
      sym_identifier,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(3763), 1,
      anon_sym_enum,
    ACTIONS(3765), 1,
      anon_sym_class,
    ACTIONS(3767), 1,
      anon_sym_struct,
    ACTIONS(3769), 1,
      anon_sym_union,
    ACTIONS(3771), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4007), 1,
      sym_type_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6305), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6309), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7712), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7710), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [104303] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4767), 1,
      sym_type_specifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104403] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4352), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7714), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    ACTIONS(4855), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4862), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [104677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5003), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7719), 1,
      sym_auto,
    ACTIONS(7721), 1,
      anon_sym_decltype,
    STATE(3815), 1,
      sym_new_declarator,
    STATE(3932), 1,
      sym_decltype_auto,
    STATE(3799), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5584), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5586), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7404), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    ACTIONS(5573), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4047), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [104923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6317), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6217), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6301), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2784), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3741), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6321), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105315] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6154), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6156), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [105385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6233), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105441] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4041), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4999), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105597] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7719), 1,
      sym_auto,
    ACTIONS(7721), 1,
      anon_sym_decltype,
    STATE(3840), 1,
      sym_new_declarator,
    STATE(3932), 1,
      sym_decltype_auto,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5592), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5594), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6325), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5190), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACK,
    ACTIONS(4888), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4891), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4884), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [105841] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4375), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105941] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7719), 1,
      sym_auto,
    ACTIONS(7721), 1,
      anon_sym_decltype,
    STATE(3827), 1,
      sym_new_declarator,
    STATE(3932), 1,
      sym_decltype_auto,
    STATE(3776), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5563), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106013] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2606), 1,
      anon_sym_enum,
    ACTIONS(2608), 1,
      anon_sym_class,
    ACTIONS(2610), 1,
      anon_sym_struct,
    ACTIONS(2612), 1,
      anon_sym_union,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(2640), 1,
      anon_sym_typename,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7606), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(4398), 1,
      sym_type_specifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6213), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106169] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6077), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6079), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [106239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5203), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6329), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6333), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6072), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106519] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7719), 1,
      sym_auto,
    ACTIONS(7721), 1,
      anon_sym_decltype,
    STATE(3833), 1,
      sym_new_declarator,
    STATE(3932), 1,
      sym_decltype_auto,
    STATE(3754), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5588), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5590), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106591] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(7674), 1,
      sym_identifier,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      anon_sym_enum,
    ACTIONS(7680), 1,
      anon_sym_class,
    ACTIONS(7682), 1,
      anon_sym_struct,
    ACTIONS(7684), 1,
      anon_sym_union,
    ACTIONS(7686), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3825), 1,
      sym_type_specifier,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6325), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5190), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6341), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106915] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2606), 1,
      anon_sym_enum,
    ACTIONS(2608), 1,
      anon_sym_class,
    ACTIONS(2610), 1,
      anon_sym_struct,
    ACTIONS(2612), 1,
      anon_sym_union,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(2640), 1,
      anon_sym_typename,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7606), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(4070), 1,
      sym_type_specifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5017), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6345), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107127] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7688), 1,
      sym_identifier,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7692), 1,
      anon_sym_enum,
    ACTIONS(7694), 1,
      anon_sym_class,
    ACTIONS(7696), 1,
      anon_sym_struct,
    ACTIONS(7698), 1,
      anon_sym_union,
    ACTIONS(7700), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4138), 1,
      sym_type_specifier,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6349), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6201), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6353), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6357), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6361), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6237), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6365), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2784), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107731] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(7674), 1,
      sym_identifier,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      anon_sym_enum,
    ACTIONS(7680), 1,
      anon_sym_class,
    ACTIONS(7682), 1,
      anon_sym_struct,
    ACTIONS(7684), 1,
      anon_sym_union,
    ACTIONS(7686), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3940), 1,
      sym_type_specifier,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6269), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107943] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6158), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6160), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [108013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6273), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6245), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6089), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6091), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [108193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5343), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7725), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [108305] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(4654), 1,
      sym_type_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5099), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108573] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [108643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4995), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5912), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5055), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108869] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5962), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3731), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4086), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108961] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5911), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5203), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1950), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109165] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7626), 1,
      sym_identifier,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7632), 1,
      sym_primitive_type,
    ACTIONS(7634), 1,
      anon_sym_enum,
    ACTIONS(7636), 1,
      anon_sym_class,
    ACTIONS(7638), 1,
      anon_sym_struct,
    ACTIONS(7640), 1,
      anon_sym_union,
    ACTIONS(7642), 1,
      sym_auto,
    ACTIONS(7644), 1,
      anon_sym_decltype,
    ACTIONS(7646), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3915), 1,
      sym_type_specifier,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4775), 1,
      sym_qualified_type_identifier,
    STATE(4788), 1,
      sym_decltype_auto,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4713), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4789), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6293), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6297), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1954), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109433] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5950), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6373), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6301), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5939), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3738), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4100), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6263), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6265), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6257), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6263), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6265), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6146), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6148), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [109965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110021] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_class,
    ACTIONS(7660), 1,
      anon_sym_struct,
    ACTIONS(7662), 1,
      anon_sym_union,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7668), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3852), 1,
      sym_type_specifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5197), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5390), 1,
      anon_sym_SEMI,
    ACTIONS(5337), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5335), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [110237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6277), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6261), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110349] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_class,
    ACTIONS(7660), 1,
      anon_sym_struct,
    ACTIONS(7662), 1,
      anon_sym_union,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7668), 1,
      anon_sym_typename,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3971), 1,
      sym_type_specifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6313), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6297), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110559] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5723), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6257), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110707] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6256), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6025), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3766), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4134), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110891] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6091), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6201), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(7747), 1,
      anon_sym_COLON,
    STATE(1825), 1,
      sym_attribute_specifier,
    STATE(2191), 1,
      sym__enum_base_clause,
    STATE(2273), 1,
      sym_enumerator_list,
    ACTIONS(6015), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6017), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [111106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(7747), 1,
      anon_sym_COLON,
    STATE(1808), 1,
      sym_attribute_specifier,
    STATE(2185), 1,
      sym__enum_base_clause,
    STATE(2266), 1,
      sym_enumerator_list,
    ACTIONS(6021), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [111173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6277), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6329), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6233), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111338] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5983), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4156), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111429] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6091), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6213), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6261), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6341), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6345), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6269), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111907] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6217), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6281), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112055] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5729), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6333), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6337), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(4859), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4855), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [112323] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5737), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112416] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4092), 1,
      sym_template_argument_list,
    ACTIONS(4044), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4029), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4049), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [112485] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6089), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5203), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6309), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6349), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6353), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    ACTIONS(7670), 1,
      anon_sym_LBRACE,
    STATE(3843), 1,
      sym_enumerator_list,
    STATE(3930), 1,
      sym_attribute_specifier,
    ACTIONS(5739), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5741), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6357), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112916] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6112), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6361), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6365), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113119] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5702), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5190), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113267] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6009), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5717), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [113478] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6015), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6245), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6237), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113681] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5716), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113829] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    ACTIONS(7670), 1,
      anon_sym_LBRACE,
    STATE(3837), 1,
      sym_enumerator_list,
    STATE(3936), 1,
      sym_attribute_specifier,
    ACTIONS(5662), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5664), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113892] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6089), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113985] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6112), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6321), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114133] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5710), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3741), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5197), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114336] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6006), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114429] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6240), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6317), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6305), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114632] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2894), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7302), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [114702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    STATE(3763), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5928), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114762] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7753), 1,
      anon_sym___asm,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5652), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3958), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7759), 1,
      anon_sym_LT,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2462), 1,
      sym_template_argument_list,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4029), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [114914] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(4017), 1,
      sym_new_declarator,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5592), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5594), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6101), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3835), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115074] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(4021), 1,
      sym_new_declarator,
    STATE(3799), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5584), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5586), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3922), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5796), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3905), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5812), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3897), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5859), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115318] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7753), 1,
      anon_sym___asm,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5674), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4003), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115406] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    ACTIONS(7779), 1,
      anon_sym___asm,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5610), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3993), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115494] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(4018), 1,
      sym_new_declarator,
    STATE(3754), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5588), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5590), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    STATE(3812), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5936), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5938), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3925), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3916), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5816), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7784), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7781), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7482), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7480), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [115802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3918), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5843), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7787), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(3487), 1,
      sym__enum_base_clause,
    STATE(3555), 1,
      sym_enumerator_list,
    ACTIONS(6021), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6023), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [115926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    STATE(3806), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5940), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5942), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_SEMI,
    ACTIONS(4895), 1,
      anon_sym_LBRACK,
    ACTIONS(4888), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4891), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4884), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [116046] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6044), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4349), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3926), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5847), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3921), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5782), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(4013), 1,
      sym_new_declarator,
    STATE(3776), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5563), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116322] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    ACTIONS(7779), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5662), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3955), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    STATE(3774), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5932), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3914), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5851), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3900), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5808), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3910), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5757), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym___attribute__,
    STATE(3902), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5855), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7787), 1,
      anon_sym_COLON,
    STATE(2358), 1,
      sym_attribute_specifier,
    STATE(3486), 1,
      sym__enum_base_clause,
    STATE(3551), 1,
      sym_enumerator_list,
    ACTIONS(6015), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6017), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [116768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6285), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3849), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4517), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116857] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6285), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4517), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5402), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116999] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6310), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2117), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4416), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5335), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5337), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117232] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5764), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4009), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117317] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5758), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117402] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2830), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3873), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4384), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117491] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5989), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3858), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4501), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5611), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4498), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117669] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5611), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3887), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4498), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117758] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6023), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4503), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117847] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6023), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3861), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4503), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2117), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3884), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4416), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118025] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6005), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118114] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2925), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3880), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4373), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118203] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2909), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      sym_auto,
    ACTIONS(7721), 1,
      anon_sym_decltype,
    STATE(3932), 1,
      sym_decltype_auto,
    ACTIONS(5345), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5347), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118351] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2785), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3885), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4412), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5819), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7759), 1,
      anon_sym_LT,
    STATE(2462), 1,
      sym_template_argument_list,
    ACTIONS(5573), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4047), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [118588] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5819), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3889), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(2462), 1,
      sym_template_argument_list,
    ACTIONS(4855), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4862), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [118736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5525), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118789] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5694), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3856), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5556), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118931] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2785), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4412), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5810), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3866), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4506), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119109] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6158), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3876), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4511), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5646), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119198] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6148), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4372), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5394), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5452), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5456), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119446] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2911), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4381), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119535] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2911), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3863), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4381), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6281), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3847), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4516), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119713] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4046), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5309), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [119780] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2146), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4462), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119869] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2781), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4421), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5486), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120011] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5642), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4514), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120100] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2119), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3850), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120189] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5821), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4508), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7453), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5533), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5498), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4037), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7878), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5715), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(5717), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5548), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120496] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4037), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7878), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4029), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120558] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3815), 1,
      sym_new_declarator,
    STATE(3799), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5584), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5586), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5337), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5521), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120730] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(7880), 1,
      anon_sym_COLON,
    STATE(2470), 1,
      sym__enum_base_clause,
    STATE(2512), 1,
      sym_enumerator_list,
    STATE(2641), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6017), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [120794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(7880), 1,
      anon_sym_COLON,
    STATE(2474), 1,
      sym__enum_base_clause,
    STATE(2517), 1,
      sym_enumerator_list,
    STATE(2660), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6023), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [120858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5529), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5537), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5410), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5448), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5541), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5398), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121222] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7882), 1,
      sym_auto,
    ACTIONS(7884), 1,
      anon_sym_decltype,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(4731), 1,
      sym_decltype_auto,
    STATE(5807), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5448), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5448), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5444), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121462] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4857), 1,
      anon_sym_SEMI,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4855), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [121526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4021), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5502), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121692] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7882), 1,
      sym_auto,
    ACTIONS(7884), 1,
      anon_sym_decltype,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(4731), 1,
      sym_decltype_auto,
    STATE(5840), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4034), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5436), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(5573), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4047), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5468), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5490), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121990] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    ACTIONS(7886), 1,
      anon_sym_virtual,
    ACTIONS(7890), 1,
      anon_sym___declspec,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    ACTIONS(6119), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6121), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4036), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7888), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5494), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5552), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5418), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5432), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5517), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5460), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5482), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122434] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6162), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3931), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4629), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5646), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4855), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4862), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5464), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7453), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(3653), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6166), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7455), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7457), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5513), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122772] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    ACTIONS(7890), 1,
      anon_sym___declspec,
    ACTIONS(7898), 1,
      anon_sym_virtual,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    ACTIONS(6133), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6135), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4047), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7888), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122852] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3827), 1,
      sym_new_declarator,
    STATE(3776), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5563), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5498), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5440), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123024] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3833), 1,
      sym_new_declarator,
    STATE(3754), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5588), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5590), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123092] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7624), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_LPAREN2,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3840), 1,
      sym_new_declarator,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5592), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5594), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123160] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5961), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123243] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5910), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123326] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6127), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [123417] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7926), 1,
      anon_sym_COLON,
    STATE(2358), 1,
      sym_attribute_specifier,
    STATE(2725), 1,
      sym__enum_base_clause,
    STATE(2849), 1,
      sym_enumerator_list,
    ACTIONS(6017), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6015), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [123480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6373), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2814), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [123582] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4644), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123667] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6127), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [123756] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6127), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [123841] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6127), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [123924] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4141), 1,
      sym_new_declarator,
    STATE(4618), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5592), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5594), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [123991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7942), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5149), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5147), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [124046] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6591), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [124145] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6125), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [124224] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7955), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6595), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6597), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [124327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2925), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [124378] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7959), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5666), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7708), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7706), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [124508] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [124583] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7963), 1,
      anon_sym___asm,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5692), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124662] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [124733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6217), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124784] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4182), 1,
      sym_new_declarator,
    STATE(4540), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5584), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5586), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [124851] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(6229), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7973), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5668), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3171), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [125066] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [125139] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(6216), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4648), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125224] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    STATE(4387), 1,
      sym_alignas_qualifier,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4125), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4291), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5485), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [125289] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6599), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [125388] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7955), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6235), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [125491] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5818), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP,
    ACTIONS(7983), 1,
      anon_sym_EQ,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6123), 1,
      sym__declarator,
    STATE(6320), 1,
      sym__abstract_declarator,
    STATE(6371), 1,
      sym_abstract_reference_declarator,
    STATE(7026), 1,
      sym_variadic_declarator,
    STATE(7064), 1,
      sym_variadic_reference_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(7977), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [125592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5954), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125675] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5789), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125760] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5633), 1,
      anon_sym_STAR,
    ACTIONS(5635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5637), 1,
      anon_sym_AMP,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(7975), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5996), 1,
      sym__declarator,
    STATE(6034), 1,
      sym__abstract_declarator,
    STATE(6826), 1,
      sym_variadic_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7985), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [125855] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3985), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4655), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125940] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7951), 1,
      anon_sym_and,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [126035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2752), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2808), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2850), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126188] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6119), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3980), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4651), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5646), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126275] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6085), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4657), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6174), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_identifier,
    ACTIONS(7997), 1,
      sym_primitive_type,
    STATE(4006), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5472), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5474), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126472] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7955), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6603), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6605), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [126575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7712), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7710), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [126626] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4644), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126711] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6613), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [126810] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4175), 1,
      sym_new_declarator,
    STATE(4553), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5563), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [126877] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7463), 1,
      anon_sym___asm,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5612), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126956] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7926), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(2724), 1,
      sym__enum_base_clause,
    STATE(2917), 1,
      sym_enumerator_list,
    ACTIONS(6023), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6021), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [127019] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(6227), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2794), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [127155] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6551), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [127254] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7959), 1,
      anon_sym___asm,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5613), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127333] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7973), 1,
      anon_sym___asm,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5614), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127412] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7955), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7999), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8001), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [127515] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    ACTIONS(7908), 1,
      anon_sym_CARET,
    ACTIONS(7916), 1,
      anon_sym_GT_EQ,
    ACTIONS(7920), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7922), 1,
      anon_sym_xor,
    ACTIONS(7924), 1,
      anon_sym_not_eq,
    ACTIONS(7945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7947), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7949), 1,
      anon_sym_or,
    ACTIONS(7951), 1,
      anon_sym_and,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6617), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7900), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7906), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7910), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7914), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [127614] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(6229), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(2986), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3990), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2984), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127699] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8011), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5031), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6232), 1,
      sym__abstract_declarator,
    ACTIONS(8013), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8015), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3999), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4636), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5646), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127786] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8011), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5031), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6246), 1,
      sym__abstract_declarator,
    ACTIONS(8013), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8015), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4639), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4736), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5631), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7904), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7902), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6127), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [127942] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5953), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128025] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5768), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP,
    ACTIONS(8021), 1,
      anon_sym_EQ,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6144), 1,
      sym__declarator,
    STATE(6351), 1,
      sym__abstract_declarator,
    STATE(6420), 1,
      sym_abstract_reference_declarator,
    STATE(7026), 1,
      sym_variadic_declarator,
    STATE(7064), 1,
      sym_variadic_reference_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(7977), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [128126] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7963), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5655), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128205] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7463), 1,
      anon_sym___asm,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5664), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4116), 1,
      sym_new_declarator,
    STATE(4569), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5588), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5590), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [128351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5147), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7942), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5420), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5423), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [128408] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6001), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(4092), 1,
      sym_template_argument_list,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4855), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [128550] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5698), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128626] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5700), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128702] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5697), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128778] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(3812), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5936), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5938), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128920] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2450), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6027), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129002] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6268), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4024), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4695), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5646), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129088] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5763), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(3774), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(3806), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5940), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5942), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6702), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129326] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8036), 1,
      anon_sym_const,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(8039), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8031), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8033), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8029), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [129386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(3763), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5928), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6694), 1,
      sym_literal_suffix,
    ACTIONS(4031), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129494] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6274), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4012), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4663), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5646), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6279), 1,
      sym__abstract_declarator,
    ACTIONS(7616), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4670), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129666] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6062), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4220), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5335), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [129798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_or,
    ACTIONS(8048), 1,
      anon_sym_and,
    ACTIONS(5965), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5967), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8048), 1,
      anon_sym_and,
    ACTIONS(5912), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5914), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129908] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5845), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4050), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5454), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8050), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5456), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5715), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5717), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130095] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7383), 1,
      anon_sym_const,
    ACTIONS(7389), 1,
      anon_sym___inline,
    ACTIONS(8057), 1,
      anon_sym_virtual,
    ACTIONS(8063), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8069), 1,
      anon_sym___declspec,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(6429), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8072), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6431), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4032), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8060), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(8054), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130166] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5848), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5847), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4038), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5658), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8075), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5656), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130369] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7890), 1,
      anon_sym___declspec,
    ACTIONS(8077), 1,
      anon_sym_virtual,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(6390), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6392), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4032), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7888), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5654), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5652), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5617), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8083), 1,
      anon_sym_LPAREN2,
    ACTIONS(8085), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8081), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [130597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5839), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130672] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6078), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4281), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130753] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8113), 1,
      anon_sym_SEMI,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6405), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7876), 1,
      sym_attribute_specifier,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4048), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5598), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5596), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130909] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    ACTIONS(8125), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6422), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7807), 1,
      sym_attribute_specifier,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6694), 1,
      sym_literal_suffix,
    ACTIONS(4031), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131063] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8129), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [131122] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7890), 1,
      anon_sym___declspec,
    ACTIONS(8077), 1,
      anon_sym_virtual,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(6425), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6427), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4032), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7888), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5623), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8131), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8133), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5965), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5967), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5627), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5625), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8133), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5912), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4050), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5335), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8050), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8137), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8135), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [131505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6702), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131554] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    ACTIONS(8139), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6416), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7438), 1,
      sym_attribute_specifier,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131657] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5633), 1,
      anon_sym_STAR,
    ACTIONS(5635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5637), 1,
      anon_sym_AMP,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5996), 1,
      sym__declarator,
    STATE(6034), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7985), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [131746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(8141), 1,
      anon_sym_COLON,
    STATE(2358), 1,
      sym_attribute_specifier,
    STATE(3486), 1,
      sym__enum_base_clause,
    STATE(3551), 1,
      sym_enumerator_list,
    ACTIONS(6015), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6017), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(8141), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(3487), 1,
      sym__enum_base_clause,
    STATE(3555), 1,
      sym_enumerator_list,
    ACTIONS(6021), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6023), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131868] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [131927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5915), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8143), 1,
      anon_sym_LT,
    STATE(4320), 1,
      sym_template_argument_list,
    ACTIONS(4855), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132055] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132145] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6597), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [132239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132329] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [132415] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [132499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5147), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8177), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5420), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5423), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132553] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(5646), 1,
      anon_sym_COLON,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8011), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5031), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6379), 1,
      sym__abstract_declarator,
    ACTIONS(8013), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8015), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4098), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4717), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132637] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [132719] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6151), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4512), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7777), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132799] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [132877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6605), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [132971] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [133047] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [133119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8190), 1,
      anon_sym___attribute__,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8188), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8186), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [133171] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [133239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [133329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8143), 1,
      anon_sym_LT,
    STATE(4320), 1,
      sym_template_argument_list,
    ACTIONS(5573), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4047), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133383] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [133453] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8143), 1,
      anon_sym_LT,
    STATE(4320), 1,
      sym_template_argument_list,
    STATE(4343), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5909), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5919), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133659] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5927), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133733] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6157), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4510), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8177), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5149), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5147), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5911), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5920), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134013] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [134079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4450), 1,
      sym_field_declaration_list,
    STATE(4562), 1,
      sym_attribute_specifier,
    STATE(6498), 1,
      sym_virtual_specifier,
    STATE(7200), 1,
      sym_base_class_clause,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5313), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [134143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [134237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8195), 1,
      sym_identifier,
    ACTIONS(8199), 1,
      sym_primitive_type,
    STATE(4067), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8197), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5472), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5474), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4888), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4891), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4884), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [134345] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [134433] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8201), 1,
      anon_sym_COMMA,
    ACTIONS(8203), 1,
      anon_sym_SEMI,
    ACTIONS(8205), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7076), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8210), 1,
      anon_sym_const,
    STATE(4387), 1,
      sym_alignas_qualifier,
    ACTIONS(8213), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8031), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8207), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8029), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [134591] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [134681] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [134771] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(5631), 1,
      anon_sym_COLON,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8011), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5031), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6385), 1,
      sym__abstract_declarator,
    ACTIONS(8013), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8015), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4719), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4736), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5952), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5950), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135003] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8218), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6980), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135100] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8258), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6795), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6170), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [135244] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8260), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6805), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1216), 1,
      sym__fold_operator,
    ACTIONS(8264), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8262), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [135390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5013), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135437] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8266), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7029), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135534] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8268), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6830), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135631] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_COMMA,
    ACTIONS(8272), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7031), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135728] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8274), 1,
      anon_sym_COMMA,
    ACTIONS(8276), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7072), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135825] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8278), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4965), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4965), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4965), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136063] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8280), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(7034), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    STATE(4587), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5940), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5942), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [136213] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [136302] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8282), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6704), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136399] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_COMMA,
    ACTIONS(8286), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6707), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136496] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [136585] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [136654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5089), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4991), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136748] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8288), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6722), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136845] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    STATE(4387), 1,
      sym_alignas_qualifier,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8129), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8127), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6103), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136949] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [137038] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(8292), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7057), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137135] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [137212] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8294), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6716), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137309] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(8296), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6818), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137406] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [137495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5003), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137542] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5983), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1950), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137662] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8324), 1,
      anon_sym_RBRACK,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6976), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137759] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6209), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4628), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137838] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(4551), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6165), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4630), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7777), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137917] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8334), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [138010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    STATE(4568), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138138] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138209] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8336), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6732), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6087), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [138353] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7058), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138450] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138517] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5768), 1,
      anon_sym_STAR,
    ACTIONS(5770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5772), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5996), 1,
      sym__declarator,
    STATE(6299), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(7985), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [138604] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8340), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5999), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138772] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8342), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6744), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138869] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8344), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6903), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138966] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8346), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6708), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139063] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(8348), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6924), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139160] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8350), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6757), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139257] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6605), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139350] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6004), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139423] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_RPAREN,
    ACTIONS(8354), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [139603] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6738), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139700] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8358), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6769), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(8362), 1,
      anon_sym_COLON,
    STATE(4254), 1,
      sym__enum_base_clause,
    STATE(4449), 1,
      sym_enumerator_list,
    STATE(4556), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6017), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [139856] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6726), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139953] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    ACTIONS(8368), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6728), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140050] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [140131] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8370), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6748), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140228] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5986), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140301] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(8362), 1,
      anon_sym_COLON,
    STATE(4358), 1,
      sym__enum_base_clause,
    STATE(4464), 1,
      sym_enumerator_list,
    STATE(4573), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6023), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [140360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5406), 35,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [140407] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6776), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140504] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6912), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140601] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8376), 1,
      anon_sym_COMMA,
    ACTIONS(8378), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6914), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6597), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4987), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140838] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6803), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    STATE(4581), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5936), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5938), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [140988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8382), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [141081] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8384), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6921), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141178] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6839), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141322] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    ACTIONS(8390), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6893), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141419] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [141508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7938), 1,
      anon_sym_LPAREN2,
    STATE(4552), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5928), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [141561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5099), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5055), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141655] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    ACTIONS(8392), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7004), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141752] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8203), 1,
      anon_sym_SEMI,
    ACTIONS(8394), 1,
      anon_sym_COMMA,
    ACTIONS(8397), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141849] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8399), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6787), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141946] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    ACTIONS(8401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8403), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7004), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142043] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8205), 1,
      anon_sym_RBRACE,
    ACTIONS(8405), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7076), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1954), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4999), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5017), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4995), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142328] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [142415] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    ACTIONS(8407), 1,
      anon_sym_GT2,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    STATE(6997), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142512] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8340), 1,
      anon_sym_SEMI,
    ACTIONS(8409), 1,
      anon_sym_COMMA,
    ACTIONS(8412), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142609] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8416), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142704] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    STATE(4387), 1,
      sym_alignas_qualifier,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [142761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4983), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(1884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5715), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4923), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5717), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [142865] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5818), 1,
      anon_sym_STAR,
    ACTIONS(5820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5822), 1,
      anon_sym_AMP,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5996), 1,
      sym__declarator,
    STATE(6289), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    ACTIONS(7985), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [142952] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8418), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(7067), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143049] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143114] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(8420), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    STATE(6952), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143211] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [143296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_PIPE,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    ACTIONS(8117), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8119), 1,
      anon_sym_bitor,
    ACTIONS(8121), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8089), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8101), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6237), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8105), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8107), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143389] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6237), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5388), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5390), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143599] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8422), 1,
      anon_sym_COMMA,
    ACTIONS(8424), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143693] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143787] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8428), 1,
      anon_sym_COMMA,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4878), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4886), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [143975] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8432), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144067] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8354), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144225] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8434), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144317] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8434), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6118), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144481] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [144567] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [144651] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [144733] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [144813] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [144889] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4269), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5598), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8436), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5596), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145013] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8438), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145107] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145173] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8440), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145267] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_COLON,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145361] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145429] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8478), 1,
      anon_sym_COMMA,
    ACTIONS(8480), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145523] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8482), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145617] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [145705] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6237), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145797] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145861] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [145947] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [146031] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [146113] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [146193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [146269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146343] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146413] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146479] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6125), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6146), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6148), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [146605] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146693] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6597), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146873] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6605), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146965] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8340), 1,
      anon_sym_COLON,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147059] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8484), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147153] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(4470), 1,
      sym_enumerator_list,
    STATE(4577), 1,
      sym_attribute_specifier,
    ACTIONS(5739), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5741), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [147207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4882), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147253] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [147341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6089), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6091), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [147399] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [147487] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [147575] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6615), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [147663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6597), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147755] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8486), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5658), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8488), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5656), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147899] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6601), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [147987] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6615), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148075] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148167] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6605), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5343), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5623), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8490), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5341), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5343), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148405] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8492), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148499] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8494), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5606), 1,
      anon_sym_LPAREN2,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(4031), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4023), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148645] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148737] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8498), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6044), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148903] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [148991] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8500), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149085] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8502), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149179] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8504), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6045), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5289), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149391] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6597), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149483] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6089), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6091), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [149541] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8506), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149633] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6154), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6156), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [149693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4874), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149739] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6077), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6079), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [149799] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8508), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149893] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6146), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6148), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [149951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8510), 1,
      anon_sym___attribute__,
    STATE(4291), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8188), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8186), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [150001] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8513), 1,
      anon_sym_COMMA,
    ACTIONS(8515), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4841), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150141] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8001), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150233] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8517), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150327] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8434), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    STATE(1884), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4021), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4923), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [150567] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7985), 1,
      anon_sym_RPAREN,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6073), 1,
      sym__declarator,
    STATE(6289), 1,
      sym__abstract_declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [150653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4845), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [150759] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8523), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150853] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6237), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150945] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6158), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6160), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151005] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6605), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151097] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8525), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151191] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6245), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4643), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151269] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8527), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151363] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8529), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151455] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4682), 1,
      sym_field_declaration_list,
    STATE(4779), 1,
      sym_attribute_specifier,
    STATE(6631), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5311), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151517] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8535), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151611] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4316), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5454), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5456), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6702), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151799] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5627), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8490), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5625), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151941] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8412), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152033] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8541), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152127] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8543), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4891), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152267] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6619), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8545), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152447] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8547), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152541] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8551), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152635] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6154), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6156), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [152695] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8553), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152789] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8557), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152883] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [152947] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [153007] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [153093] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [153177] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [153259] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_PIPE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [153339] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [153415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(6125), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [153489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [153561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4849), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153607] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6127), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [153673] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8203), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153767] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6125), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6127), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [153837] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6553), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153925] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6077), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6079), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [153985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5654), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8490), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5652), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [154035] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8248), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8434), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5353), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [154173] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6601), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154261] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8559), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154355] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6052), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(8563), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8029), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(8036), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8031), 16,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [154575] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_LT_LT,
    ACTIONS(8246), 1,
      anon_sym_GT_GT,
    ACTIONS(8250), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_bitor,
    ACTIONS(8254), 1,
      anon_sym_bitand,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8226), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8232), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8236), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6593), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8242), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154663] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6248), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4638), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7777), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154833] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8566), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6694), 1,
      sym_literal_suffix,
    ACTIONS(4031), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4023), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154975] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8568), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155069] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8570), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(4480), 1,
      sym_enumerator_list,
    STATE(4539), 1,
      sym_attribute_specifier,
    ACTIONS(5662), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5664), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155217] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8572), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155311] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8574), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155405] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8576), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5715), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5717), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [155555] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6553), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155643] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4853), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155783] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8580), 1,
      anon_sym_COMMA,
    ACTIONS(8582), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5617), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8490), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2531), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [155973] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_DOT,
    STATE(3514), 1,
      sym_argument_list,
    STATE(3531), 1,
      sym_subscript_argument_list,
    ACTIONS(7188), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6158), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6160), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156033] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7192), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8584), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    STATE(4386), 1,
      sym_new_declarator,
    ACTIONS(6011), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6013), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6141), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6493), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156248] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2911), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    ACTIONS(4855), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [156372] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6304), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7777), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156449] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    ACTIONS(8586), 1,
      anon_sym_LBRACE,
    ACTIONS(8588), 1,
      anon_sym_COLON,
    STATE(4637), 1,
      sym__enum_base_clause,
    STATE(4674), 1,
      sym_enumerator_list,
    STATE(4795), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6017), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    ACTIONS(8586), 1,
      anon_sym_LBRACE,
    ACTIONS(8588), 1,
      anon_sym_COLON,
    STATE(4658), 1,
      sym__enum_base_clause,
    STATE(4668), 1,
      sym_enumerator_list,
    STATE(4741), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6023), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156563] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8597), 1,
      anon_sym_requires,
    STATE(4667), 1,
      sym_ref_qualifier,
    STATE(5524), 1,
      sym__function_attributes_end,
    STATE(5671), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4990), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [156648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5343), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4316), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156742] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2909), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8600), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156906] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2885), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156979] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2785), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157052] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6072), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [157188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(2521), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [157233] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6297), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157310] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8604), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157401] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8606), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157492] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8608), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157583] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8610), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157674] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8612), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157765] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8614), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8616), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8618), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8620), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158129] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6537), 1,
      sym_auto,
    ACTIONS(6539), 1,
      anon_sym_decltype,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6280), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4666), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7777), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158206] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8622), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158297] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8624), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158479] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8626), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4665), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158661] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8628), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158752] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8630), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158843] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4671), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159025] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8632), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159116] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159207] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159298] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2781), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159462] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5029), 1,
      sym_ms_call_modifier,
    STATE(5180), 1,
      sym__declarator,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6822), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4679), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159725] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2146), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8634), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159889] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5355), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [160025] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8636), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160116] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2806), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8638), 1,
      anon_sym_LT,
    STATE(2462), 1,
      sym_template_argument_list,
    ACTIONS(4855), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160240] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8640), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160331] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8642), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160422] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8644), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160513] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8646), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160604] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8648), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160695] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8650), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160786] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8652), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160968] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8656), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161059] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8658), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
    ACTIONS(5573), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4047), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [161201] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8660), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161292] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8662), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161383] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8664), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161474] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4555), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5808), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4561), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5812), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7773), 1,
      sym_auto,
    ACTIONS(7775), 1,
      anon_sym_decltype,
    STATE(4551), 1,
      sym_decltype_auto,
    ACTIONS(5345), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5347), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161805] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6230), 1,
      sym__declarator,
    STATE(6411), 1,
      sym__abstract_declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [161888] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8666), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161979] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4572), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5843), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162119] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8670), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162210] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8672), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162301] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8674), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4576), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5847), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4584), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5851), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4585), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5855), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6702), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162584] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162675] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8678), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162766] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8680), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162857] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8682), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8684), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163039] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8686), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163130] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163221] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163312] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4727), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163403] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2114), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163476] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4594), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5816), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163616] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8688), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163707] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8690), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8692), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163889] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8694), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163980] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4596), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5757), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4598), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5776), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4600), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5859), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164218] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164309] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164400] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8702), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164491] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8704), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164582] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8706), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164673] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8708), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164764] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4606), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5782), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164904] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    STATE(4607), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5796), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165044] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165135] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8714), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165226] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8716), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165317] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8718), 1,
      anon_sym_RBRACK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165408] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8720), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165499] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165590] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(5611), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165754] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8724), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165845] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8726), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165936] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8728), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166027] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8730), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166118] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166209] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8734), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5022), 1,
      sym_ms_call_modifier,
    STATE(5254), 1,
      sym__declarator,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6781), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [166381] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(5642), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166454] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166545] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8736), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6023), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8416), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166800] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6005), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166873] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8738), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166964] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6014), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167037] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(5819), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167110] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(5821), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167183] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(5823), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167256] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6137), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7961), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167418] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6148), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5631), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6135), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7957), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(4979), 1,
      sym_ms_call_modifier,
    STATE(5255), 1,
      sym__declarator,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(7071), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [167641] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(5623), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167714] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2117), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167787] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6285), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167860] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6310), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167933] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6295), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168006] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(4996), 1,
      sym_ms_call_modifier,
    STATE(5250), 1,
      sym__declarator,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(7005), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [168087] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8740), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168178] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5007), 1,
      sym_ms_call_modifier,
    STATE(5193), 1,
      sym__declarator,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6773), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [168259] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5023), 1,
      sym_ms_call_modifier,
    STATE(5207), 1,
      sym__declarator,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [168340] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8742), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7478), 1,
      sym_literal_suffix,
    ACTIONS(4031), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4023), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168478] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(4982), 1,
      sym_ms_call_modifier,
    STATE(5221), 1,
      sym__declarator,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(7063), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [168559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(1781), 1,
      sym_attribute_specifier,
    STATE(4951), 1,
      sym_field_declaration_list,
    STATE(6629), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5311), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [168711] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168802] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8748), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168893] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_QMARK,
    ACTIONS(8472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitor,
    ACTIONS(8476), 1,
      anon_sym_bitand,
    ACTIONS(8750), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(7150), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168984] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(4698), 1,
      sym_ref_qualifier,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5632), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4988), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [169069] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6296), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4680), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169146] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8754), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8756), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8758), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169510] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    ACTIONS(8760), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8638), 1,
      anon_sym_LT,
    STATE(2462), 1,
      sym_template_argument_list,
    ACTIONS(5573), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4047), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5440), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6245), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5548), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5337), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169828] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_PIPE,
    ACTIONS(8159), 1,
      anon_sym_AMP,
    ACTIONS(8165), 1,
      anon_sym_GT_EQ,
    ACTIONS(8169), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8171), 1,
      anon_sym_bitor,
    ACTIONS(8173), 1,
      anon_sym_bitand,
    ACTIONS(8175), 1,
      anon_sym_QMARK,
    STATE(2440), 1,
      sym_argument_list,
    STATE(2454), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7723), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8157), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8161), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8163), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6263), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6265), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5410), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5414), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6269), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5418), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5432), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6273), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5513), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6277), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6281), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5525), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5529), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5537), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5912), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5914), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4862), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4855), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [170584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5556), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5448), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5541), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5398), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5448), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5448), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170848] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym___attribute__,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(4709), 1,
      sym_ref_qualifier,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5511), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5049), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [170932] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym___attribute__,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4711), 1,
      sym_ref_qualifier,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(5501), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [171016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6257), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6293), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6297), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    ACTIONS(4921), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5606), 1,
      anon_sym_LPAREN2,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(4031), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4023), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5452), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5468), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5490), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6301), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5456), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5460), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5464), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6305), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6309), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6313), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6317), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5486), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5498), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5502), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5506), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5498), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6321), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6325), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5482), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6329), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6333), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6337), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5402), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5436), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4047), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5573), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [172306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5444), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6345), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5517), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6349), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5521), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6353), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5533), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6357), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6361), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6365), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5494), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5552), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8638), 1,
      anon_sym_LT,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2462), 1,
      sym_template_argument_list,
    ACTIONS(4021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [172888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6217), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172932] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_call_modifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6088), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6174), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8776), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6168), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6170), 30,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [173100] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5021), 1,
      sym_ms_call_modifier,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6236), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6373), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173222] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4997), 1,
      sym_ms_call_modifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6074), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173300] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4981), 1,
      sym_ms_call_modifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6087), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    ACTIONS(6694), 1,
      sym_literal_suffix,
    ACTIONS(4031), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4023), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6261), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173470] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4998), 1,
      sym_ms_call_modifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6083), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173548] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5008), 1,
      sym_ms_call_modifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6039), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6201), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173714] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5026), 1,
      sym_ms_call_modifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6092), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173792] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(4984), 1,
      sym_ms_call_modifier,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6071), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6213), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8779), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5965), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5967), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3741), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174006] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6164), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7961), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174076] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6166), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174146] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6167), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7957), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174216] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_const,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(4387), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6170), 1,
      sym__abstract_declarator,
    ACTIONS(6782), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6493), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6772), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6233), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2784), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6237), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6341), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174462] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6246), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    ACTIONS(8586), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_enumerator_list,
    STATE(4754), 1,
      sym_attribute_specifier,
    ACTIONS(5739), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5741), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [174582] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6214), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7957), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6250), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6493), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174720] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7751), 1,
      anon_sym_COLON,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6373), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4776), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174795] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    STATE(4729), 1,
      sym_ref_qualifier,
    STATE(5352), 1,
      sym__function_attributes_end,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5061), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [174878] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5794), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    ACTIONS(8017), 1,
      anon_sym_const,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6231), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7961), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175016] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5789), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175085] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(4771), 1,
      sym_ref_qualifier,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5584), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5062), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [175168] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4724), 1,
      sym_ref_qualifier,
    STATE(5353), 1,
      sym_trailing_return_type,
    STATE(5574), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [175251] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    ACTIONS(8784), 1,
      anon_sym___asm,
    STATE(4747), 1,
      sym_ref_qualifier,
    STATE(5360), 1,
      sym__function_attributes_end,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5067), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [175334] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(6229), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175403] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(4732), 1,
      sym_ref_qualifier,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(5582), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5064), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [175486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4037), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4021), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7878), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4029), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [175539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6085), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175608] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4725), 1,
      sym_ref_qualifier,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(5577), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [175691] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(4782), 1,
      sym_ref_qualifier,
    STATE(5324), 1,
      sym__function_attributes_end,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [175774] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(7777), 1,
      anon_sym_COLON,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_decltype_auto,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6382), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    ACTIONS(4031), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6065), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6493), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    ACTIONS(8586), 1,
      anon_sym_LBRACE,
    STATE(4671), 1,
      sym_enumerator_list,
    STATE(4743), 1,
      sym_attribute_specifier,
    ACTIONS(5662), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5664), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [176083] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(6227), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176152] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(6235), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(2990), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2988), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176221] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4746), 1,
      sym_ref_qualifier,
    STATE(5317), 1,
      sym__function_attributes_end,
    STATE(5353), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5072), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [176304] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(4806), 1,
      sym_ref_qualifier,
    STATE(5750), 1,
      sym__function_attributes_end,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5089), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [176386] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6290), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6493), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(8796), 1,
      anon_sym_COLON,
    STATE(1808), 1,
      sym_attribute_specifier,
    STATE(2185), 1,
      sym__enum_base_clause,
    STATE(2266), 1,
      sym_enumerator_list,
    ACTIONS(6021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6023), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [176576] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6265), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7957), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176644] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8805), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym__function_attributes_end,
    STATE(5625), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5017), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4722), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5816), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [176766] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1852), 1,
      anon_sym_enum,
    ACTIONS(1854), 1,
      anon_sym_class,
    ACTIONS(1856), 1,
      anon_sym_struct,
    ACTIONS(1858), 1,
      anon_sym_union,
    ACTIONS(1882), 1,
      anon_sym_typename,
    ACTIONS(3235), 1,
      sym_primitive_type,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8808), 1,
      sym_identifier,
    ACTIONS(8810), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8814), 1,
      anon_sym_EQ,
    STATE(2303), 1,
      sym_type_specifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2475), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_qualified_type_identifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    ACTIONS(8812), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176850] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6292), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6493), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4726), 1,
      sym_attribute_specifier,
    ACTIONS(5780), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5782), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [176964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4737), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5843), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177010] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4368), 1,
      sym_alignas_qualifier,
    ACTIONS(8819), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8031), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(8029), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8816), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4752), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5847), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(8822), 1,
      anon_sym_COLON,
    STATE(1808), 1,
      sym_attribute_specifier,
    STATE(4769), 1,
      sym__enum_base_clause,
    STATE(4953), 1,
      sym_enumerator_list,
    ACTIONS(6023), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6021), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [177160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4768), 1,
      sym_attribute_specifier,
    ACTIONS(5755), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5757), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4735), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5808), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4777), 1,
      sym_attribute_specifier,
    ACTIONS(5810), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5812), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(8824), 1,
      anon_sym_COLON,
    STATE(2474), 1,
      sym__enum_base_clause,
    STATE(2517), 1,
      sym_enumerator_list,
    STATE(2660), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6023), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [177352] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6269), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7961), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177420] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8810), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8814), 1,
      anon_sym_EQ,
    ACTIONS(8826), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5244), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8812), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5014), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4773), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5851), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(8796), 1,
      anon_sym_COLON,
    STATE(1825), 1,
      sym_attribute_specifier,
    STATE(2191), 1,
      sym__enum_base_clause,
    STATE(2273), 1,
      sym_enumerator_list,
    ACTIONS(6015), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6017), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177610] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4802), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5717), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5715), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [177660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym___attribute__,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(8824), 1,
      anon_sym_COLON,
    STATE(2470), 1,
      sym__enum_base_clause,
    STATE(2512), 1,
      sym_enumerator_list,
    STATE(2641), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6017), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [177714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4780), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5855), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(8822), 1,
      anon_sym_COLON,
    STATE(1825), 1,
      sym_attribute_specifier,
    STATE(4766), 1,
      sym__enum_base_clause,
    STATE(4950), 1,
      sym_enumerator_list,
    ACTIONS(6017), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6015), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [177814] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4796), 1,
      sym_ref_qualifier,
    STATE(5629), 1,
      sym__function_attributes_end,
    STATE(5885), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5082), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [177896] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym_ref_qualifier,
    STATE(5748), 1,
      sym__function_attributes_end,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5079), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [177978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4778), 1,
      sym_attribute_specifier,
    ACTIONS(5774), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5776), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6273), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7957), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178092] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8597), 1,
      anon_sym_requires,
    STATE(5524), 1,
      sym__function_attributes_end,
    STATE(5671), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4990), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [178168] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6277), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7961), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8031), 1,
      anon_sym_AMP,
    ACTIONS(8816), 1,
      anon_sym_const,
    STATE(4368), 1,
      sym_alignas_qualifier,
    ACTIONS(8831), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8828), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8029), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4368), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6279), 1,
      sym__abstract_declarator,
    ACTIONS(7622), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5631), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7614), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178356] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8834), 1,
      anon_sym_requires,
    STATE(4799), 1,
      sym_ref_qualifier,
    STATE(5620), 1,
      sym__function_attributes_end,
    STATE(5844), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [178438] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5632), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4988), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [178514] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5528), 1,
      sym__function_attributes_end,
    STATE(5626), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5011), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [178590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4786), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5859), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym___attribute__,
    STATE(4739), 1,
      sym_attribute_specifier,
    ACTIONS(5794), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5796), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5486), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178723] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym_requires,
    STATE(4900), 1,
      sym_ref_qualifier,
    STATE(5780), 1,
      sym__function_attributes_end,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [178804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(8840), 1,
      anon_sym_LPAREN2,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3504), 1,
      sym_argument_list,
    STATE(4625), 1,
      sym_initializer_list,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6002), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [178857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5525), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178898] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym___attribute__,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(5501), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [178973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5452), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      sym_auto,
    ACTIONS(7884), 1,
      anon_sym_decltype,
    STATE(4731), 1,
      sym_decltype_auto,
    ACTIONS(5345), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5347), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5456), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179102] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8843), 1,
      anon_sym___attribute__,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5387), 1,
      sym_trailing_return_type,
    STATE(5512), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5040), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5394), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179218] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8843), 1,
      anon_sym___attribute__,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5373), 1,
      sym_trailing_return_type,
    STATE(5503), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5042), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5556), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5337), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5402), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179418] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym___attribute__,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5511), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5049), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179493] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(4895), 1,
      sym_ref_qualifier,
    STATE(5771), 1,
      sym__function_attributes_end,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5096), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [179574] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(5631), 1,
      anon_sym_COLON,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6385), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179640] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3820), 1,
      sym_type_specifier,
    STATE(4965), 1,
      sym_argument_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179720] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_COLON,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6389), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5414), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179826] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5353), 1,
      sym_trailing_return_type,
    STATE(5574), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [179900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5436), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5406), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179980] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5355), 1,
      sym_trailing_return_type,
    STATE(5575), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5056), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [180054] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5373), 1,
      sym_trailing_return_type,
    STATE(5606), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5069), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [180128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5494), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180168] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(8872), 1,
      anon_sym_COLON,
    STATE(4254), 1,
      sym__enum_base_clause,
    STATE(4449), 1,
      sym_enumerator_list,
    STATE(4556), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6017), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [180220] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(8872), 1,
      anon_sym_COLON,
    STATE(4358), 1,
      sym__enum_base_clause,
    STATE(4464), 1,
      sym_enumerator_list,
    STATE(4573), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6023), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [180272] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8877), 1,
      anon_sym___asm,
    STATE(5354), 1,
      sym__function_attributes_end,
    STATE(5373), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5074), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [180346] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(5582), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5064), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [180420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5513), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180460] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8880), 1,
      anon_sym_requires,
    STATE(5410), 1,
      sym_trailing_return_type,
    STATE(5585), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5065), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [180534] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8883), 1,
      sym_identifier,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8889), 1,
      sym_primitive_type,
    ACTIONS(8891), 1,
      anon_sym_enum,
    ACTIONS(8893), 1,
      anon_sym_class,
    ACTIONS(8895), 1,
      anon_sym_struct,
    ACTIONS(8897), 1,
      anon_sym_union,
    ACTIONS(8899), 1,
      sym_auto,
    ACTIONS(8901), 1,
      anon_sym_decltype,
    ACTIONS(8903), 1,
      anon_sym_typename,
    STATE(2347), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2610), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2999), 1,
      sym_qualified_type_identifier,
    STATE(4823), 1,
      sym_argument_list,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2923), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8887), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2965), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180614] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8883), 1,
      sym_identifier,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8889), 1,
      sym_primitive_type,
    ACTIONS(8891), 1,
      anon_sym_enum,
    ACTIONS(8893), 1,
      anon_sym_class,
    ACTIONS(8895), 1,
      anon_sym_struct,
    ACTIONS(8897), 1,
      anon_sym_union,
    ACTIONS(8899), 1,
      sym_auto,
    ACTIONS(8901), 1,
      anon_sym_decltype,
    ACTIONS(8903), 1,
      anon_sym_typename,
    STATE(2347), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2655), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2999), 1,
      sym_qualified_type_identifier,
    STATE(4827), 1,
      sym_argument_list,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2923), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8887), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2965), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5529), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180734] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8905), 1,
      sym_ms_restrict_modifier,
    STATE(5031), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7480), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8908), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8911), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4736), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7482), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [180784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5468), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180824] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_COLON,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6386), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5552), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180930] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(7606), 1,
      sym_primitive_type,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8914), 1,
      sym_identifier,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8918), 1,
      anon_sym_enum,
    ACTIONS(8920), 1,
      anon_sym_class,
    ACTIONS(8922), 1,
      anon_sym_struct,
    ACTIONS(8924), 1,
      anon_sym_union,
    ACTIONS(8926), 1,
      anon_sym_typename,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(3961), 1,
      sym_type_specifier,
    STATE(4892), 1,
      sym_argument_list,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5490), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181050] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    ACTIONS(8784), 1,
      anon_sym___asm,
    STATE(5360), 1,
      sym__function_attributes_end,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5067), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [181124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5440), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181164] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(7606), 1,
      sym_primitive_type,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8914), 1,
      sym_identifier,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8918), 1,
      anon_sym_enum,
    ACTIONS(8920), 1,
      anon_sym_class,
    ACTIONS(8922), 1,
      anon_sym_struct,
    ACTIONS(8924), 1,
      anon_sym_union,
    ACTIONS(8926), 1,
      anon_sym_typename,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(3949), 1,
      sym_type_specifier,
    STATE(4902), 1,
      sym_argument_list,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181244] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8928), 1,
      sym_identifier,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8934), 1,
      sym_primitive_type,
    ACTIONS(8936), 1,
      anon_sym_enum,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(8948), 1,
      anon_sym_typename,
    STATE(1841), 1,
      sym_type_specifier,
    STATE(2149), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(4976), 1,
      sym_argument_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8932), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181324] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8877), 1,
      anon_sym___asm,
    STATE(5319), 1,
      sym__function_attributes_end,
    STATE(5355), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5071), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [181398] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    ACTIONS(8877), 1,
      anon_sym___asm,
    STATE(5361), 1,
      sym__function_attributes_end,
    STATE(5387), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5060), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [181472] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8950), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8956), 1,
      sym_primitive_type,
    ACTIONS(8958), 1,
      anon_sym_enum,
    ACTIONS(8960), 1,
      anon_sym_class,
    ACTIONS(8962), 1,
      anon_sym_struct,
    ACTIONS(8964), 1,
      anon_sym_union,
    ACTIONS(8966), 1,
      sym_auto,
    ACTIONS(8968), 1,
      anon_sym_decltype,
    ACTIONS(8970), 1,
      anon_sym_typename,
    STATE(2509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2794), 1,
      sym_type_specifier,
    STATE(3345), 1,
      sym_decltype_auto,
    STATE(3392), 1,
      sym_qualified_type_identifier,
    STATE(4966), 1,
      sym_argument_list,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3355), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181552] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8950), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8956), 1,
      sym_primitive_type,
    ACTIONS(8958), 1,
      anon_sym_enum,
    ACTIONS(8960), 1,
      anon_sym_class,
    ACTIONS(8962), 1,
      anon_sym_struct,
    ACTIONS(8964), 1,
      anon_sym_union,
    ACTIONS(8966), 1,
      sym_auto,
    ACTIONS(8968), 1,
      anon_sym_decltype,
    ACTIONS(8970), 1,
      anon_sym_typename,
    STATE(2509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2831), 1,
      sym_type_specifier,
    STATE(3345), 1,
      sym_decltype_auto,
    STATE(3392), 1,
      sym_qualified_type_identifier,
    STATE(4970), 1,
      sym_argument_list,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3355), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181632] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8928), 1,
      sym_identifier,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8934), 1,
      sym_primitive_type,
    ACTIONS(8936), 1,
      anon_sym_enum,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(8948), 1,
      anon_sym_typename,
    STATE(1844), 1,
      sym_type_specifier,
    STATE(2149), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(4825), 1,
      sym_argument_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8932), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181712] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5324), 1,
      sym__function_attributes_end,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [181786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5460), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181826] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(2329), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2584), 1,
      sym_type_specifier,
    STATE(2910), 1,
      sym_decltype_auto,
    STATE(2916), 1,
      sym_qualified_type_identifier,
    STATE(4926), 1,
      sym_argument_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2838), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2913), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5464), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181946] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(5577), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5418), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5448), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182100] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3369), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3666), 1,
      sym_type_specifier,
    STATE(3893), 1,
      sym_decltype_auto,
    STATE(4834), 1,
      sym_argument_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3851), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3896), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182180] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5584), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5062), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182254] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3369), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3679), 1,
      sym_type_specifier,
    STATE(3893), 1,
      sym_decltype_auto,
    STATE(4835), 1,
      sym_argument_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3851), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3896), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182334] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      sym_auto,
    ACTIONS(5351), 1,
      anon_sym_decltype,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1819), 1,
      sym_decltype_auto,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5002), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9018), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9016), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5498), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5432), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5482), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182508] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(2329), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2588), 1,
      sym_type_specifier,
    STATE(2910), 1,
      sym_decltype_auto,
    STATE(2916), 1,
      sym_qualified_type_identifier,
    STATE(4971), 1,
      sym_argument_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2838), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2913), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182588] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    STATE(1802), 1,
      sym_attribute_specifier,
    STATE(4954), 1,
      sym_enumerator_list,
    ACTIONS(5741), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5739), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [182636] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      sym_auto,
    ACTIONS(5351), 1,
      anon_sym_decltype,
    STATE(1792), 1,
      sym_alignas_qualifier,
    STATE(1819), 1,
      sym_decltype_auto,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9022), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5444), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182730] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    STATE(1795), 1,
      sym_attribute_specifier,
    STATE(4957), 1,
      sym_enumerator_list,
    ACTIONS(5664), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5662), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [182778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5448), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182818] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5387), 1,
      sym_trailing_return_type,
    STATE(5590), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5068), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182892] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(9024), 1,
      sym_identifier,
    ACTIONS(9028), 1,
      sym_primitive_type,
    ACTIONS(9030), 1,
      anon_sym_enum,
    ACTIONS(9032), 1,
      anon_sym_typename,
    STATE(1841), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(4843), 1,
      sym_argument_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9026), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5502), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183012] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(9024), 1,
      sym_identifier,
    ACTIONS(9028), 1,
      sym_primitive_type,
    ACTIONS(9030), 1,
      anon_sym_enum,
    ACTIONS(9032), 1,
      anon_sym_typename,
    STATE(1844), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(4844), 1,
      sym_argument_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9026), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5337), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183132] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_COLON,
    ACTIONS(8017), 1,
      anon_sym_const,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5107), 1,
      sym_alignas_qualifier,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6381), 1,
      sym__abstract_declarator,
    ACTIONS(8019), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8009), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5541), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5517), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5398), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5506), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183358] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3818), 1,
      sym_type_specifier,
    STATE(4833), 1,
      sym_argument_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183438] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8877), 1,
      anon_sym___asm,
    ACTIONS(8880), 1,
      anon_sym_requires,
    STATE(5325), 1,
      sym__function_attributes_end,
    STATE(5410), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5055), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [183512] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3895), 1,
      sym_type_specifier,
    STATE(4878), 1,
      sym_argument_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5410), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183632] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3938), 1,
      sym_type_specifier,
    STATE(4883), 1,
      sym_argument_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5521), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5498), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5548), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5337), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183872] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    STATE(5352), 1,
      sym__function_attributes_end,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5061), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [183946] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5317), 1,
      sym__function_attributes_end,
    STATE(5353), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5072), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [184020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5533), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184060] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4802), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4029), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9034), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4021), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5448), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5537), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184190] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5624), 1,
      sym__function_attributes_end,
    STATE(5904), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5085), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [184263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5615), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9036), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5617), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5621), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5623), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184349] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(5682), 1,
      sym__function_attributes_end,
    STATE(5849), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5083), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [184422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4817), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5456), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5454), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184463] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(5750), 1,
      sym__function_attributes_end,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5089), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [184536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5652), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9045), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5420), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9048), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5423), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184622] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5041), 1,
      sym_ref_qualifier,
    STATE(5956), 1,
      sym__function_attributes_end,
    STATE(6066), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5127), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [184701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN2,
    STATE(1858), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3324), 1,
      sym_argument_list,
    STATE(3325), 1,
      sym_initializer_list,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [184752] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_requires,
    STATE(5711), 1,
      sym__function_attributes_end,
    STATE(5786), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5088), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [184825] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5629), 1,
      sym__function_attributes_end,
    STATE(5885), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5082), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [184898] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5748), 1,
      sym__function_attributes_end,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5079), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [184971] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9055), 1,
      anon_sym_requires,
    STATE(5046), 1,
      sym_ref_qualifier,
    STATE(5968), 1,
      sym__function_attributes_end,
    STATE(6040), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5125), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [185050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4797), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5656), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9058), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5596), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9061), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185136] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5746), 1,
      sym__function_attributes_end,
    STATE(5863), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [185209] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8834), 1,
      anon_sym_requires,
    STATE(5620), 1,
      sym__function_attributes_end,
    STATE(5844), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [185282] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(5048), 1,
      sym_ref_qualifier,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5116), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [185361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9064), 1,
      sym_identifier,
    ACTIONS(9070), 1,
      sym_primitive_type,
    STATE(4803), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5472), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5474), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [185408] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    STATE(1858), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2401), 1,
      sym_argument_list,
    STATE(3768), 1,
      sym_initializer_list,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [185459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5625), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9073), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5627), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185502] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5036), 1,
      sym_ref_qualifier,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(6003), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [185581] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2706), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185661] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2847), 1,
      sym__class_declaration,
    STATE(2915), 1,
      sym__class_declaration_item,
    STATE(5271), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5272), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5024), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185741] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2915), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym__class_declaration,
    STATE(5271), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5272), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5024), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185821] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2709), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185901] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8883), 1,
      sym_identifier,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8889), 1,
      sym_primitive_type,
    ACTIONS(8891), 1,
      anon_sym_enum,
    ACTIONS(8893), 1,
      anon_sym_class,
    ACTIONS(8895), 1,
      anon_sym_struct,
    ACTIONS(8897), 1,
      anon_sym_union,
    ACTIONS(8899), 1,
      sym_auto,
    ACTIONS(8901), 1,
      anon_sym_decltype,
    ACTIONS(8903), 1,
      anon_sym_typename,
    STATE(2347), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2672), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2999), 1,
      sym_qualified_type_identifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2923), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8887), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2965), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185975] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1744), 1,
      sym_type_specifier,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186049] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8928), 1,
      sym_identifier,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8934), 1,
      sym_primitive_type,
    ACTIONS(8936), 1,
      anon_sym_enum,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(8948), 1,
      anon_sym_typename,
    STATE(1843), 1,
      sym_type_specifier,
    STATE(2149), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8932), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186123] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5531), 1,
      sym__declarator,
    STATE(6871), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186193] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8883), 1,
      sym_identifier,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8889), 1,
      sym_primitive_type,
    ACTIONS(8891), 1,
      anon_sym_enum,
    ACTIONS(8893), 1,
      anon_sym_class,
    ACTIONS(8895), 1,
      anon_sym_struct,
    ACTIONS(8897), 1,
      anon_sym_union,
    ACTIONS(8899), 1,
      sym_auto,
    ACTIONS(8901), 1,
      anon_sym_decltype,
    ACTIONS(8903), 1,
      anon_sym_typename,
    STATE(2347), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2681), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2999), 1,
      sym_qualified_type_identifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2923), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8887), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2965), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186267] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2606), 1,
      anon_sym_enum,
    ACTIONS(2608), 1,
      anon_sym_class,
    ACTIONS(2610), 1,
      anon_sym_struct,
    ACTIONS(2612), 1,
      anon_sym_union,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(2640), 1,
      anon_sym_typename,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7606), 1,
      sym_primitive_type,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2603), 1,
      sym_type_specifier,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186341] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2210), 1,
      sym__class_declaration,
    STATE(2211), 1,
      sym__class_declaration_item,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4980), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186421] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2211), 1,
      sym__class_declaration_item,
    STATE(2212), 1,
      sym__class_declaration,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4980), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2211), 1,
      sym__class_declaration_item,
    STATE(2213), 1,
      sym__class_declaration,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4980), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186581] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2709), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186661] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3826), 1,
      sym_type_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3369), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3684), 1,
      sym_type_specifier,
    STATE(3893), 1,
      sym_decltype_auto,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3851), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3896), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186809] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3369), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3693), 1,
      sym_type_specifier,
    STATE(3893), 1,
      sym_decltype_auto,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3851), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3896), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186883] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5010), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186963] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(1786), 1,
      sym__class_declaration,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5010), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187043] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5252), 1,
      sym_ms_declspec_modifier,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5253), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187123] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5252), 1,
      sym_ms_declspec_modifier,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5253), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5252), 1,
      sym_ms_declspec_modifier,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5253), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187283] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(1790), 1,
      sym__class_declaration,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5010), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187363] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8950), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8956), 1,
      sym_primitive_type,
    ACTIONS(8958), 1,
      anon_sym_enum,
    ACTIONS(8960), 1,
      anon_sym_class,
    ACTIONS(8962), 1,
      anon_sym_struct,
    ACTIONS(8964), 1,
      anon_sym_union,
    ACTIONS(8966), 1,
      sym_auto,
    ACTIONS(8968), 1,
      anon_sym_decltype,
    ACTIONS(8970), 1,
      anon_sym_typename,
    STATE(2509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3110), 1,
      sym_type_specifier,
    STATE(3345), 1,
      sym_decltype_auto,
    STATE(3392), 1,
      sym_qualified_type_identifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3355), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187437] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(9024), 1,
      sym_identifier,
    ACTIONS(9028), 1,
      sym_primitive_type,
    ACTIONS(9030), 1,
      anon_sym_enum,
    ACTIONS(9032), 1,
      anon_sym_typename,
    STATE(1835), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9026), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187511] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(9024), 1,
      sym_identifier,
    ACTIONS(9028), 1,
      sym_primitive_type,
    ACTIONS(9030), 1,
      anon_sym_enum,
    ACTIONS(9032), 1,
      anon_sym_typename,
    STATE(1843), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9026), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187585] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3749), 1,
      sym_identifier,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(3763), 1,
      anon_sym_enum,
    ACTIONS(3765), 1,
      anon_sym_class,
    ACTIONS(3767), 1,
      anon_sym_struct,
    ACTIONS(3769), 1,
      anon_sym_union,
    ACTIONS(3771), 1,
      anon_sym_typename,
    STATE(2303), 1,
      sym_type_specifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187659] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2607), 1,
      sym__class_declaration,
    STATE(2614), 1,
      sym__class_declaration_item,
    STATE(5198), 1,
      sym_ms_declspec_modifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4991), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187739] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2614), 1,
      sym__class_declaration_item,
    STATE(2616), 1,
      sym__class_declaration,
    STATE(5198), 1,
      sym_ms_declspec_modifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4991), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187819] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2614), 1,
      sym__class_declaration_item,
    STATE(2617), 1,
      sym__class_declaration,
    STATE(5198), 1,
      sym_ms_declspec_modifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4991), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187899] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2607), 1,
      sym__class_declaration,
    STATE(2614), 1,
      sym__class_declaration_item,
    STATE(5214), 1,
      sym_ms_declspec_modifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5005), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187979] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2614), 1,
      sym__class_declaration_item,
    STATE(2616), 1,
      sym__class_declaration,
    STATE(5214), 1,
      sym_ms_declspec_modifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5005), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188059] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2614), 1,
      sym__class_declaration_item,
    STATE(2617), 1,
      sym__class_declaration,
    STATE(5214), 1,
      sym_ms_declspec_modifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5005), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188139] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(7674), 1,
      sym_identifier,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      anon_sym_enum,
    ACTIONS(7680), 1,
      anon_sym_class,
    ACTIONS(7682), 1,
      anon_sym_struct,
    ACTIONS(7684), 1,
      anon_sym_union,
    ACTIONS(7686), 1,
      anon_sym_typename,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(6384), 1,
      sym_type_specifier,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188213] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3239), 1,
      sym__class_declaration,
    STATE(3240), 1,
      sym__class_declaration_item,
    STATE(5224), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188293] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3240), 1,
      sym__class_declaration_item,
    STATE(3242), 1,
      sym__class_declaration,
    STATE(5224), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188373] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3240), 1,
      sym__class_declaration_item,
    STATE(3243), 1,
      sym__class_declaration,
    STATE(5224), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188453] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4545), 1,
      sym__class_declaration,
    STATE(4546), 1,
      sym__class_declaration_item,
    STATE(5283), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5233), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4987), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188533] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4546), 1,
      sym__class_declaration_item,
    STATE(4548), 1,
      sym__class_declaration,
    STATE(5283), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5233), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4987), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188613] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4546), 1,
      sym__class_declaration_item,
    STATE(4549), 1,
      sym__class_declaration,
    STATE(5283), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5233), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4987), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188693] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(3028), 1,
      sym__class_declaration,
    STATE(3030), 1,
      sym__class_declaration_item,
    STATE(5230), 1,
      sym_ms_declspec_modifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5231), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5004), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188773] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(3030), 1,
      sym__class_declaration_item,
    STATE(3035), 1,
      sym__class_declaration,
    STATE(5230), 1,
      sym_ms_declspec_modifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5231), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5004), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188853] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(2954), 1,
      sym__class_declaration,
    STATE(3030), 1,
      sym__class_declaration_item,
    STATE(5230), 1,
      sym_ms_declspec_modifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5231), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5004), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188933] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5190), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5009), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189013] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5190), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5009), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189093] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5190), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5009), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189173] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4720), 1,
      sym__class_declaration_item,
    STATE(4784), 1,
      sym__class_declaration,
    STATE(5235), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5025), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189253] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4720), 1,
      sym__class_declaration_item,
    STATE(4756), 1,
      sym__class_declaration,
    STATE(5235), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5025), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189333] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4720), 1,
      sym__class_declaration_item,
    STATE(4763), 1,
      sym__class_declaration,
    STATE(5235), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5025), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189413] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3903), 1,
      sym__class_declaration,
    STATE(3912), 1,
      sym__class_declaration_item,
    STATE(5219), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189493] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3912), 1,
      sym__class_declaration_item,
    STATE(3923), 1,
      sym__class_declaration,
    STATE(5219), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189573] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3912), 1,
      sym__class_declaration_item,
    STATE(3924), 1,
      sym__class_declaration,
    STATE(5219), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189653] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4545), 1,
      sym__class_declaration,
    STATE(4546), 1,
      sym__class_declaration_item,
    STATE(5205), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4989), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189733] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4546), 1,
      sym__class_declaration_item,
    STATE(4548), 1,
      sym__class_declaration,
    STATE(5205), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4989), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189813] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4546), 1,
      sym__class_declaration_item,
    STATE(4549), 1,
      sym__class_declaration,
    STATE(5205), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4989), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189893] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5244), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5014), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189973] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5244), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5014), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190053] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5244), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5014), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190133] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1852), 1,
      anon_sym_enum,
    ACTIONS(1854), 1,
      anon_sym_class,
    ACTIONS(1856), 1,
      anon_sym_struct,
    ACTIONS(1858), 1,
      anon_sym_union,
    ACTIONS(1882), 1,
      anon_sym_typename,
    ACTIONS(3235), 1,
      sym_primitive_type,
    ACTIONS(4898), 1,
      sym_identifier,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    STATE(2303), 1,
      sym_type_specifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2475), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_qualified_type_identifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190207] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3934), 1,
      sym_type_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190281] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8883), 1,
      sym_identifier,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8889), 1,
      sym_primitive_type,
    ACTIONS(8891), 1,
      anon_sym_enum,
    ACTIONS(8893), 1,
      anon_sym_class,
    ACTIONS(8895), 1,
      anon_sym_struct,
    ACTIONS(8897), 1,
      anon_sym_union,
    ACTIONS(8899), 1,
      sym_auto,
    ACTIONS(8901), 1,
      anon_sym_decltype,
    ACTIONS(8903), 1,
      anon_sym_typename,
    STATE(2347), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2897), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2999), 1,
      sym_qualified_type_identifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2923), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8887), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2965), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190355] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5246), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5247), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5015), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190435] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5246), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5247), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5015), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5246), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5247), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5015), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190595] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3937), 1,
      sym_type_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190669] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190749] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190829] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190909] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8928), 1,
      sym_identifier,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8934), 1,
      sym_primitive_type,
    ACTIONS(8936), 1,
      anon_sym_enum,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(8948), 1,
      anon_sym_typename,
    STATE(2100), 1,
      sym_type_specifier,
    STATE(2149), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8932), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190983] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191063] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191143] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191223] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1744), 1,
      sym_type_specifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191297] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(7606), 1,
      sym_primitive_type,
    ACTIONS(8914), 1,
      sym_identifier,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8918), 1,
      anon_sym_enum,
    ACTIONS(8920), 1,
      anon_sym_class,
    ACTIONS(8922), 1,
      anon_sym_struct,
    ACTIONS(8924), 1,
      anon_sym_union,
    ACTIONS(8926), 1,
      anon_sym_typename,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(3987), 1,
      sym_type_specifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191371] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5532), 1,
      sym__declarator,
    STATE(6871), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191441] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5771), 1,
      sym__function_attributes_end,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5096), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [191513] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5772), 1,
      sym__function_attributes_end,
    STATE(6033), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [191585] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7688), 1,
      sym_identifier,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7692), 1,
      anon_sym_enum,
    ACTIONS(7694), 1,
      anon_sym_class,
    ACTIONS(7696), 1,
      anon_sym_struct,
    ACTIONS(7698), 1,
      anon_sym_union,
    ACTIONS(7700), 1,
      anon_sym_typename,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4441), 1,
      sym_type_specifier,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191659] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2709), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191739] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5546), 1,
      sym__declarator,
    STATE(6822), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym__function_attributes_end,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8590), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [191881] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5781), 1,
      sym__function_attributes_end,
    STATE(5987), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5095), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8798), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [191953] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(7674), 1,
      sym_identifier,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      anon_sym_enum,
    ACTIONS(7680), 1,
      anon_sym_class,
    ACTIONS(7682), 1,
      anon_sym_struct,
    ACTIONS(7684), 1,
      anon_sym_union,
    ACTIONS(7686), 1,
      anon_sym_typename,
    STATE(2303), 1,
      sym_type_specifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192027] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(7606), 1,
      sym_primitive_type,
    ACTIONS(8914), 1,
      sym_identifier,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8918), 1,
      anon_sym_enum,
    ACTIONS(8920), 1,
      anon_sym_class,
    ACTIONS(8922), 1,
      anon_sym_struct,
    ACTIONS(8924), 1,
      anon_sym_union,
    ACTIONS(8926), 1,
      anon_sym_typename,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(4005), 1,
      sym_type_specifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192101] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2884), 1,
      sym__class_declaration,
    STATE(2915), 1,
      sym__class_declaration_item,
    STATE(5271), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5272), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5024), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192181] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192261] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192341] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192421] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2704), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192581] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2704), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192661] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2704), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192741] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7654), 1,
      sym_primitive_type,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_class,
    ACTIONS(7660), 1,
      anon_sym_struct,
    ACTIONS(7662), 1,
      anon_sym_union,
    ACTIONS(7664), 1,
      sym_auto,
    ACTIONS(7666), 1,
      anon_sym_decltype,
    ACTIONS(7668), 1,
      anon_sym_typename,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4441), 1,
      sym_type_specifier,
    STATE(4541), 1,
      sym_decltype_auto,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4542), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192815] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5464), 1,
      sym__declarator,
    STATE(6871), 1,
      sym_init_declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192885] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192965] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193045] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193125] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193205] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193285] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193365] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(2329), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2770), 1,
      sym_type_specifier,
    STATE(2910), 1,
      sym_decltype_auto,
    STATE(2916), 1,
      sym_qualified_type_identifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2838), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2913), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193439] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2695), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193519] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2695), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2695), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2696), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2696), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2696), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193919] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(2329), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2596), 1,
      sym_type_specifier,
    STATE(2910), 1,
      sym_decltype_auto,
    STATE(2916), 1,
      sym_qualified_type_identifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2838), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2913), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193993] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194073] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5599), 1,
      sym__declarator,
    STATE(7080), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194143] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2705), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194223] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2705), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194303] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2705), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194383] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(9024), 1,
      sym_identifier,
    ACTIONS(9028), 1,
      sym_primitive_type,
    ACTIONS(9030), 1,
      anon_sym_enum,
    ACTIONS(9032), 1,
      anon_sym_typename,
    STATE(2100), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9026), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2636), 1,
      sym_auto,
    ACTIONS(2638), 1,
      anon_sym_decltype,
    ACTIONS(7606), 1,
      sym_primitive_type,
    ACTIONS(8914), 1,
      sym_identifier,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8918), 1,
      anon_sym_enum,
    ACTIONS(8920), 1,
      anon_sym_class,
    ACTIONS(8922), 1,
      anon_sym_struct,
    ACTIONS(8924), 1,
      anon_sym_union,
    ACTIONS(8926), 1,
      anon_sym_typename,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2603), 1,
      sym_type_specifier,
    STATE(2663), 1,
      sym_decltype_auto,
    STATE(2683), 1,
      sym_qualified_type_identifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2580), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2666), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194531] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2706), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194611] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2706), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1770), 1,
      anon_sym_enum,
    ACTIONS(1772), 1,
      anon_sym_class,
    ACTIONS(1774), 1,
      anon_sym_struct,
    ACTIONS(1776), 1,
      anon_sym_union,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(1804), 1,
      anon_sym_typename,
    ACTIONS(7537), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      sym_primitive_type,
    STATE(1744), 1,
      sym_type_specifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194765] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194845] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194925] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195005] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7626), 1,
      sym_identifier,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7632), 1,
      sym_primitive_type,
    ACTIONS(7634), 1,
      anon_sym_enum,
    ACTIONS(7636), 1,
      anon_sym_class,
    ACTIONS(7638), 1,
      anon_sym_struct,
    ACTIONS(7640), 1,
      anon_sym_union,
    ACTIONS(7642), 1,
      sym_auto,
    ACTIONS(7644), 1,
      anon_sym_decltype,
    ACTIONS(7646), 1,
      anon_sym_typename,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4707), 1,
      sym_type_specifier,
    STATE(4775), 1,
      sym_qualified_type_identifier,
    STATE(4788), 1,
      sym_decltype_auto,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(4713), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4789), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195079] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2714), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195159] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2714), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2714), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195319] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5267), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5268), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4999), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195399] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(1786), 1,
      sym__class_declaration,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5267), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5268), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4999), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195479] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(1790), 1,
      sym__class_declaration,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5267), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5268), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4999), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1823), 1,
      sym_attribute_specifier,
    ACTIONS(5808), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5806), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1827), 1,
      sym_attribute_specifier,
    ACTIONS(5812), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5810), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1803), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5841), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1801), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5845), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1812), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5849), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1813), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5853), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1794), 1,
      sym_attribute_specifier,
    ACTIONS(5816), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5814), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1796), 1,
      sym_attribute_specifier,
    ACTIONS(5757), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5755), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1820), 1,
      sym_attribute_specifier,
    ACTIONS(5776), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5774), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1821), 1,
      sym_attribute_specifier,
    ACTIONS(5859), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5857), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1809), 1,
      sym_attribute_specifier,
    ACTIONS(5782), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1832), 1,
      sym_attribute_specifier,
    ACTIONS(5796), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5794), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196063] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3369), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3864), 1,
      sym_type_specifier,
    STATE(3893), 1,
      sym_decltype_auto,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3851), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3896), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196137] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(5203), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5003), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196217] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(1786), 1,
      sym__class_declaration,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(5203), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5003), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196297] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(1790), 1,
      sym__class_declaration,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(5203), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5003), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196377] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3235), 1,
      sym_primitive_type,
    ACTIONS(3237), 1,
      anon_sym_enum,
    ACTIONS(3239), 1,
      anon_sym_class,
    ACTIONS(3241), 1,
      anon_sym_struct,
    ACTIONS(3243), 1,
      anon_sym_union,
    ACTIONS(3245), 1,
      anon_sym_typename,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    STATE(2303), 1,
      sym_type_specifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2475), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_qualified_type_identifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196531] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1800), 1,
      sym_auto,
    ACTIONS(1802), 1,
      anon_sym_decltype,
    ACTIONS(7543), 1,
      sym_primitive_type,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8859), 1,
      anon_sym_enum,
    ACTIONS(8861), 1,
      anon_sym_class,
    ACTIONS(8863), 1,
      anon_sym_struct,
    ACTIONS(8865), 1,
      anon_sym_union,
    ACTIONS(8867), 1,
      anon_sym_typename,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_decltype_auto,
    STATE(1836), 1,
      sym_qualified_type_identifier,
    STATE(3838), 1,
      sym_type_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1806), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196605] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8950), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8956), 1,
      sym_primitive_type,
    ACTIONS(8958), 1,
      anon_sym_enum,
    ACTIONS(8960), 1,
      anon_sym_class,
    ACTIONS(8962), 1,
      anon_sym_struct,
    ACTIONS(8964), 1,
      anon_sym_union,
    ACTIONS(8966), 1,
      sym_auto,
    ACTIONS(8968), 1,
      anon_sym_decltype,
    ACTIONS(8970), 1,
      anon_sym_typename,
    STATE(2509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2835), 1,
      sym_type_specifier,
    STATE(3345), 1,
      sym_decltype_auto,
    STATE(3392), 1,
      sym_qualified_type_identifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3355), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2361), 1,
      sym__class_declaration,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2381), 1,
      sym__class_declaration,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4983), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196919] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8950), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8956), 1,
      sym_primitive_type,
    ACTIONS(8958), 1,
      anon_sym_enum,
    ACTIONS(8960), 1,
      anon_sym_class,
    ACTIONS(8962), 1,
      anon_sym_struct,
    ACTIONS(8964), 1,
      anon_sym_union,
    ACTIONS(8966), 1,
      sym_auto,
    ACTIONS(8968), 1,
      anon_sym_decltype,
    ACTIONS(8970), 1,
      anon_sym_typename,
    STATE(2509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2802), 1,
      sym_type_specifier,
    STATE(3345), 1,
      sym_decltype_auto,
    STATE(3392), 1,
      sym_qualified_type_identifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3355), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196993] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(2329), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2591), 1,
      sym_type_specifier,
    STATE(2910), 1,
      sym_decltype_auto,
    STATE(2916), 1,
      sym_qualified_type_identifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2838), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2913), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197067] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_primitive_type,
    ACTIONS(7674), 1,
      sym_identifier,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      anon_sym_enum,
    ACTIONS(7680), 1,
      anon_sym_class,
    ACTIONS(7682), 1,
      anon_sym_struct,
    ACTIONS(7684), 1,
      anon_sym_union,
    ACTIONS(7686), 1,
      anon_sym_typename,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2726), 1,
      sym_qualified_type_identifier,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(6409), 1,
      sym_type_specifier,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197141] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_enum,
    ACTIONS(71), 1,
      anon_sym_class,
    ACTIONS(73), 1,
      anon_sym_struct,
    ACTIONS(75), 1,
      anon_sym_union,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3235), 1,
      sym_primitive_type,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    STATE(2303), 1,
      sym_type_specifier,
    STATE(2448), 1,
      sym_decltype_auto,
    STATE(2475), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_qualified_type_identifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2316), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2452), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197215] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5517), 1,
      sym__declarator,
    STATE(7005), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197285] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5518), 1,
      sym__declarator,
    STATE(6781), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197355] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8928), 1,
      sym_identifier,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8934), 1,
      sym_primitive_type,
    ACTIONS(8936), 1,
      anon_sym_enum,
    ACTIONS(8938), 1,
      anon_sym_class,
    ACTIONS(8940), 1,
      anon_sym_struct,
    ACTIONS(8942), 1,
      anon_sym_union,
    ACTIONS(8944), 1,
      sym_auto,
    ACTIONS(8946), 1,
      anon_sym_decltype,
    ACTIONS(8948), 1,
      anon_sym_typename,
    STATE(1835), 1,
      sym_type_specifier,
    STATE(2149), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2201), 1,
      sym_decltype_auto,
    STATE(2207), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_dependent_type_identifier,
    STATE(2116), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8932), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2202), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197429] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5541), 1,
      sym__declarator,
    STATE(7071), 1,
      sym_init_declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197499] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3909), 1,
      sym__class_declaration_item,
    STATE(5223), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5222), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6075), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197643] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2230), 1,
      sym__class_declaration_item,
    STATE(5187), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197720] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6041), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197787] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6067), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197854] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5194), 1,
      sym_ms_declspec_modifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197931] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6076), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197998] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6077), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198065] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6247), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198132] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4564), 1,
      sym__class_declaration_item,
    STATE(5179), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5178), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5528), 1,
      sym__function_attributes_end,
    STATE(5626), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [198274] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4564), 1,
      sym__class_declaration_item,
    STATE(5211), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5210), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198351] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8805), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym__function_attributes_end,
    STATE(5625), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [198416] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2651), 1,
      sym__class_declaration_item,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198493] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6925), 1,
      anon_sym_AMP,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5695), 1,
      sym__declarator,
    STATE(7514), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9111), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5905), 16,
      anon_sym_virtual,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [198601] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8597), 1,
      anon_sym_requires,
    STATE(5524), 1,
      sym__function_attributes_end,
    STATE(5671), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [198666] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6239), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198733] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6064), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6095), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198867] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6058), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198934] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1798), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5189), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199011] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6249), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199078] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_STAR,
    ACTIONS(6762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5749), 1,
      sym__declarator,
    STATE(8012), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9116), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9114), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199190] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1798), 1,
      sym__class_declaration_item,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(5209), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199267] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(3037), 1,
      sym__class_declaration_item,
    STATE(5284), 1,
      sym_ms_declspec_modifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5232), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199344] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2651), 1,
      sym__class_declaration_item,
    STATE(5217), 1,
      sym_ms_declspec_modifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5216), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199421] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6241), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199488] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6038), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199555] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199622] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5196), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5195), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199699] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1798), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5177), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5256), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199776] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5516), 1,
      sym__function_attributes_end,
    STATE(5628), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [199841] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6154), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199908] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3341), 1,
      sym__class_declaration_item,
    STATE(5227), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199985] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5249), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200062] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(5270), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5269), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200139] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6220), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200206] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_requires,
    STATE(5515), 1,
      sym__function_attributes_end,
    STATE(5659), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200271] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6798), 1,
      anon_sym_AMP,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(6226), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1792), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9130), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9128), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200383] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6073), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200450] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3219), 1,
      anon_sym_STAR,
    ACTIONS(3221), 1,
      anon_sym_AMP,
    ACTIONS(5234), 1,
      sym_identifier,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(6230), 1,
      sym__declarator,
    STATE(7727), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200517] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6084), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200584] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6120), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200651] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2924), 1,
      sym__class_declaration_item,
    STATE(5275), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5274), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200728] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4757), 1,
      sym__class_declaration_item,
    STATE(5238), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200805] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6105), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200872] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5242), 1,
      anon_sym___attribute__,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5248), 1,
      anon_sym___declspec,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(5259), 1,
      sym_ms_declspec_modifier,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5258), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200949] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5632), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [201014] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6057), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4817), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5337), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5335), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [201122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7706), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7708), 26,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [201159] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_STAR,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(6073), 1,
      sym__declarator,
    STATE(8164), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7712), 26,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [201263] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3215), 1,
      anon_sym_LPAREN2,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6770), 1,
      anon_sym_AMP,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5996), 1,
      sym__declarator,
    STATE(7591), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5888), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201330] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8843), 1,
      anon_sym___attribute__,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5373), 1,
      sym_trailing_return_type,
    STATE(5503), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201394] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5863), 1,
      sym_trailing_return_type,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5120), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201464] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5956), 1,
      sym__function_attributes_end,
    STATE(6066), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5127), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201534] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym___attribute__,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(5501), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201598] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym___attribute__,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5511), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201662] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9135), 1,
      anon_sym___attribute__,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5384), 1,
      sym_trailing_return_type,
    STATE(5513), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201726] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5965), 1,
      sym__function_attributes_end,
    STATE(6068), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5121), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201796] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9135), 1,
      anon_sym___attribute__,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5291), 1,
      sym_trailing_return_type,
    STATE(5505), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201860] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(6003), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201930] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9055), 1,
      anon_sym_requires,
    STATE(5968), 1,
      sym__function_attributes_end,
    STATE(6040), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5125), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5337), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [202040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym__function_attributes_end,
    STATE(6053), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5128), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202110] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5116), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202180] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6662), 1,
      anon_sym_noexcept,
    ACTIONS(6664), 1,
      anon_sym_throw,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_requires,
    STATE(5786), 1,
      sym_trailing_return_type,
    STATE(5984), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5122), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8843), 1,
      anon_sym___attribute__,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5387), 1,
      sym_trailing_return_type,
    STATE(5512), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202314] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5584), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202377] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5373), 1,
      sym_trailing_return_type,
    STATE(5606), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5317), 1,
      sym__function_attributes_end,
    STATE(5353), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5353), 1,
      sym_trailing_return_type,
    STATE(5574), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202566] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5355), 1,
      sym_trailing_return_type,
    STATE(5575), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202629] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9156), 1,
      anon_sym___asm,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5326), 1,
      sym__function_attributes_end,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9153), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202692] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5356), 1,
      sym_trailing_return_type,
    STATE(5576), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202755] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5324), 1,
      sym__function_attributes_end,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(5335), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5337), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [202855] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(5577), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202918] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    ACTIONS(9156), 1,
      anon_sym___asm,
    STATE(5362), 1,
      sym__function_attributes_end,
    STATE(5384), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9153), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8877), 1,
      anon_sym___asm,
    STATE(5354), 1,
      sym__function_attributes_end,
    STATE(5373), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203044] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5387), 1,
      sym_trailing_return_type,
    STATE(5590), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203107] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(5582), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203170] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8880), 1,
      anon_sym_requires,
    STATE(5410), 1,
      sym_trailing_return_type,
    STATE(5585), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203233] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(5586), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203296] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    ACTIONS(8784), 1,
      anon_sym___asm,
    STATE(5360), 1,
      sym__function_attributes_end,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203359] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    ACTIONS(8877), 1,
      anon_sym___asm,
    STATE(5361), 1,
      sym__function_attributes_end,
    STATE(5387), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203422] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5384), 1,
      sym_trailing_return_type,
    STATE(5568), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203485] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5291), 1,
      sym_trailing_return_type,
    STATE(5557), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8031), 1,
      anon_sym_AMP,
    ACTIONS(9165), 1,
      anon_sym_const,
    STATE(5107), 1,
      sym_alignas_qualifier,
    ACTIONS(9168), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5070), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8029), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9162), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203593] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9156), 1,
      anon_sym___asm,
    STATE(5320), 1,
      sym__function_attributes_end,
    STATE(5356), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9153), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8877), 1,
      anon_sym___asm,
    STATE(5319), 1,
      sym__function_attributes_end,
    STATE(5355), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203719] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8877), 1,
      anon_sym___asm,
    ACTIONS(8880), 1,
      anon_sym_requires,
    STATE(5325), 1,
      sym__function_attributes_end,
    STATE(5410), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8874), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203782] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9156), 1,
      anon_sym___asm,
    STATE(5291), 1,
      sym_trailing_return_type,
    STATE(5357), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9153), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203845] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8784), 1,
      anon_sym___asm,
    STATE(5352), 1,
      sym__function_attributes_end,
    STATE(5407), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203908] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(5460), 1,
      sym_ms_call_modifier,
    STATE(6270), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [203966] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8834), 1,
      anon_sym_requires,
    STATE(5620), 1,
      sym__function_attributes_end,
    STATE(5844), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204028] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(5682), 1,
      sym__function_attributes_end,
    STATE(5849), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204090] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5746), 1,
      sym__function_attributes_end,
    STATE(5863), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204152] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5748), 1,
      sym__function_attributes_end,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204214] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5704), 1,
      sym__function_attributes_end,
    STATE(5896), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5624), 1,
      sym__function_attributes_end,
    STATE(5904), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204338] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9171), 1,
      anon_sym_requires,
    STATE(5619), 1,
      sym__function_attributes_end,
    STATE(5850), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204400] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(5750), 1,
      sym__function_attributes_end,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204462] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5621), 1,
      sym__function_attributes_end,
    STATE(5901), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204524] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(5502), 1,
      sym_ms_call_modifier,
    STATE(6301), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [204582] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(5470), 1,
      sym_ms_call_modifier,
    STATE(6307), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [204640] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym_requires,
    STATE(5717), 1,
      sym__function_attributes_end,
    STATE(5803), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204702] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_requires,
    STATE(5711), 1,
      sym__function_attributes_end,
    STATE(5786), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5629), 1,
      sym__function_attributes_end,
    STATE(5885), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204826] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(5499), 1,
      sym_ms_call_modifier,
    STATE(6276), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [204884] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym__function_attributes_end,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204945] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5781), 1,
      sym__function_attributes_end,
    STATE(5987), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9177), 1,
      anon_sym_LPAREN2,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9183), 1,
      anon_sym_requires,
    STATE(2586), 1,
      sym_template_type,
    STATE(3525), 1,
      sym_requirement_seq,
    STATE(5608), 1,
      sym_lambda_capture_specifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(7183), 1,
      sym_requires_parameter_list,
    ACTIONS(9181), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3483), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205067] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9185), 1,
      anon_sym_requires,
    STATE(5782), 1,
      sym__function_attributes_end,
    STATE(5992), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205128] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5772), 1,
      sym__function_attributes_end,
    STATE(6033), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205189] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5771), 1,
      sym__function_attributes_end,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5773), 1,
      sym__function_attributes_end,
    STATE(6011), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5111), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5419), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205311] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    ACTIONS(9188), 1,
      anon_sym_LPAREN2,
    ACTIONS(9190), 1,
      anon_sym_LBRACE,
    ACTIONS(9194), 1,
      anon_sym_requires,
    STATE(3277), 1,
      sym_requirement_seq,
    STATE(3591), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(7314), 1,
      sym_requires_parameter_list,
    ACTIONS(9192), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4027), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205372] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    ACTIONS(9196), 1,
      anon_sym_LPAREN2,
    ACTIONS(9198), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_requires,
    STATE(2493), 1,
      sym_template_type,
    STATE(4133), 1,
      sym_requirement_seq,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(7134), 1,
      sym_requires_parameter_list,
    ACTIONS(9200), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4626), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205433] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5689), 1,
      sym__abstract_declarator,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9206), 1,
      anon_sym_LPAREN2,
    ACTIONS(9208), 1,
      anon_sym_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_requires,
    STATE(1868), 1,
      sym_template_type,
    STATE(2376), 1,
      sym_requirement_seq,
    STATE(5570), 1,
      sym_lambda_capture_specifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7415), 1,
      sym_requires_parameter_list,
    ACTIONS(9210), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2377), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205545] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_LPAREN2,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9220), 1,
      anon_sym_requires,
    STATE(2499), 1,
      sym_template_type,
    STATE(3356), 1,
      sym_requirement_seq,
    STATE(5558), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(7108), 1,
      sym_requires_parameter_list,
    ACTIONS(9218), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3357), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9188), 1,
      anon_sym_LPAREN2,
    ACTIONS(9190), 1,
      anon_sym_LBRACE,
    ACTIONS(9194), 1,
      anon_sym_requires,
    STATE(1778), 1,
      sym_template_type,
    STATE(3277), 1,
      sym_requirement_seq,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7314), 1,
      sym_requires_parameter_list,
    ACTIONS(9222), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4049), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205667] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    ACTIONS(9224), 1,
      anon_sym_LPAREN2,
    ACTIONS(9226), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_requires,
    STATE(2700), 1,
      sym_template_type,
    STATE(3664), 1,
      sym_requirement_seq,
    STATE(5565), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7305), 1,
      sym_requires_parameter_list,
    ACTIONS(9228), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3649), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205728] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_STAR,
    ACTIONS(7474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(9204), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5631), 1,
      sym__abstract_declarator,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2521), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5355), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205843] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_STAR,
    ACTIONS(7572), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7574), 1,
      anon_sym_AMP,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5761), 1,
      sym__abstract_declarator,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205891] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(5602), 1,
      sym_ms_call_modifier,
    STATE(6233), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(1762), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [205945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(9234), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5309), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9232), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205984] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_SEMI,
    ACTIONS(9240), 1,
      anon_sym_LBRACE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9244), 1,
      anon_sym_EQ,
    ACTIONS(9246), 1,
      anon_sym_COLON,
    ACTIONS(9248), 1,
      anon_sym_try,
    STATE(2045), 1,
      sym_compound_statement,
    STATE(2046), 1,
      sym_default_method_clause,
    STATE(2047), 1,
      sym_delete_method_clause,
    STATE(2048), 1,
      sym_pure_virtual_clause,
    STATE(2049), 1,
      sym_try_statement,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6396), 1,
      sym_initializer_list,
    STATE(6397), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6425), 1,
      sym_bitfield_clause,
    STATE(7483), 1,
      sym_attribute_specifier,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [206055] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5956), 1,
      sym__function_attributes_end,
    STATE(6066), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206114] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(6003), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206173] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206232] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_requires,
    STATE(5786), 1,
      sym_trailing_return_type,
    STATE(5984), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206291] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5863), 1,
      sym_trailing_return_type,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206389] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_COLON,
    ACTIONS(9254), 1,
      anon_sym_SEMI,
    ACTIONS(9256), 1,
      anon_sym_LBRACE,
    ACTIONS(9258), 1,
      anon_sym_EQ,
    ACTIONS(9260), 1,
      anon_sym_try,
    STATE(1753), 1,
      sym_compound_statement,
    STATE(1757), 1,
      sym_default_method_clause,
    STATE(1758), 1,
      sym_delete_method_clause,
    STATE(1759), 1,
      sym_pure_virtual_clause,
    STATE(1761), 1,
      sym_try_statement,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6374), 1,
      sym_bitfield_clause,
    STATE(6375), 1,
      sym_initializer_list,
    STATE(6377), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7450), 1,
      sym_attribute_specifier,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [206460] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5896), 1,
      sym_trailing_return_type,
    STATE(6021), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9118), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5966), 1,
      sym__function_attributes_end,
    STATE(6069), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206578] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym_requires,
    STATE(5803), 1,
      sym_trailing_return_type,
    STATE(5997), 1,
      sym__function_attributes_end,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206637] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7608), 1,
      anon_sym_STAR,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7612), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5831), 1,
      sym__abstract_declarator,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9055), 1,
      anon_sym_requires,
    STATE(5968), 1,
      sym__function_attributes_end,
    STATE(6040), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206743] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym__function_attributes_end,
    STATE(6053), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206802] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_SEMI,
    ACTIONS(9264), 1,
      anon_sym_LBRACE,
    ACTIONS(9266), 1,
      anon_sym_EQ,
    ACTIONS(9268), 1,
      anon_sym_try,
    STATE(1985), 1,
      sym_compound_statement,
    STATE(1986), 1,
      sym_default_method_clause,
    STATE(1987), 1,
      sym_delete_method_clause,
    STATE(1989), 1,
      sym_pure_virtual_clause,
    STATE(1990), 1,
      sym_try_statement,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6370), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6394), 1,
      sym_bitfield_clause,
    STATE(6407), 1,
      sym_initializer_list,
    STATE(8167), 1,
      sym_attribute_specifier,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [206873] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5965), 1,
      sym__function_attributes_end,
    STATE(6068), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206932] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9270), 1,
      anon_sym_requires,
    STATE(5970), 1,
      sym__function_attributes_end,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    ACTIONS(9275), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4051), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207043] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(9279), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6099), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207095] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6179), 1,
      sym__scope_resolution,
    ACTIONS(9283), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5313), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207147] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2183), 1,
      sym_template_type,
    STATE(5564), 1,
      sym_lambda_capture_specifier,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(9291), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2209), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207199] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(9295), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5314), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207251] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5596), 1,
      sym_lambda_capture_specifier,
    STATE(6189), 1,
      sym__scope_resolution,
    ACTIONS(9297), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207303] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6179), 1,
      sym__scope_resolution,
    ACTIONS(9295), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5314), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207355] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(9299), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3282), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207407] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5596), 1,
      sym_lambda_capture_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    ACTIONS(9301), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5853), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207459] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9212), 1,
      anon_sym_requires,
    ACTIONS(9303), 1,
      anon_sym_LPAREN2,
    STATE(1868), 1,
      sym_template_type,
    STATE(5570), 1,
      sym_lambda_capture_specifier,
    STATE(6201), 1,
      sym__scope_resolution,
    ACTIONS(9305), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2421), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207511] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5596), 1,
      sym_lambda_capture_specifier,
    STATE(6189), 1,
      sym__scope_resolution,
    ACTIONS(9307), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5330), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207563] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5596), 1,
      sym_lambda_capture_specifier,
    STATE(6189), 1,
      sym__scope_resolution,
    ACTIONS(9309), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1583), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207615] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(9311), 1,
      sym_identifier,
    ACTIONS(9313), 1,
      anon_sym_TILDE,
    ACTIONS(9315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9317), 1,
      anon_sym_template,
    ACTIONS(9319), 1,
      anon_sym_operator,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5141), 1,
      sym__scope_resolution,
    STATE(6512), 1,
      sym_operator_cast,
    STATE(6582), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7655), 1,
      sym_decltype,
    STATE(8052), 1,
      sym_ms_based_modifier,
  [207685] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6179), 1,
      sym__scope_resolution,
    ACTIONS(9321), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5406), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207737] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(9323), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6196), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9327), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9325), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [207819] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3819), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9329), 1,
      sym_identifier,
    ACTIONS(9331), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5145), 1,
      sym__scope_resolution,
    STATE(6512), 1,
      sym_operator_cast,
    STATE(6582), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7655), 1,
      sym_decltype,
    STATE(7813), 1,
      sym_ms_based_modifier,
  [207889] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    ACTIONS(9333), 1,
      sym_identifier,
    ACTIONS(9335), 1,
      anon_sym_COLON_COLON,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    ACTIONS(9299), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3282), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207941] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5925), 1,
      sym__abstract_declarator,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207987] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9183), 1,
      anon_sym_requires,
    ACTIONS(9337), 1,
      anon_sym_LPAREN2,
    STATE(2586), 1,
      sym_template_type,
    STATE(5608), 1,
      sym_lambda_capture_specifier,
    STATE(6188), 1,
      sym__scope_resolution,
    ACTIONS(9339), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3452), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208039] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    ACTIONS(9220), 1,
      anon_sym_requires,
    ACTIONS(9341), 1,
      anon_sym_LPAREN2,
    STATE(2499), 1,
      sym_template_type,
    STATE(5558), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9343), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3258), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208091] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(9345), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6086), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208143] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5596), 1,
      sym_lambda_capture_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    ACTIONS(9347), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5859), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208195] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2129), 1,
      sym_template_type,
    STATE(5596), 1,
      sym_lambda_capture_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    ACTIONS(9309), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1583), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208247] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_LPAREN2,
    ACTIONS(9353), 1,
      anon_sym_requires,
    STATE(4209), 1,
      sym_template_type,
    STATE(5562), 1,
      sym_lambda_capture_specifier,
    STATE(6191), 1,
      sym__scope_resolution,
    ACTIONS(9351), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5675), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9357), 1,
      anon_sym_LPAREN2,
    STATE(5370), 1,
      sym_preproc_argument_list,
    ACTIONS(9359), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9355), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208333] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    ACTIONS(9299), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3282), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208385] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LPAREN2,
    STATE(2493), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6207), 1,
      sym__scope_resolution,
    ACTIONS(9363), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4557), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208437] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LPAREN2,
    STATE(2493), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6207), 1,
      sym__scope_resolution,
    ACTIONS(9365), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4173), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208489] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(3229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(9369), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5158), 1,
      sym__scope_resolution,
    STATE(6512), 1,
      sym_operator_cast,
    STATE(6582), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7655), 1,
      sym_decltype,
    STATE(7813), 1,
      sym_ms_based_modifier,
  [208559] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    ACTIONS(9220), 1,
      anon_sym_requires,
    ACTIONS(9341), 1,
      anon_sym_LPAREN2,
    STATE(2499), 1,
      sym_template_type,
    STATE(5558), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9371), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3264), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208611] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2183), 1,
      sym_template_type,
    STATE(5564), 1,
      sym_lambda_capture_specifier,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(9373), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2168), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208663] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(3591), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6192), 1,
      sym__scope_resolution,
    ACTIONS(9375), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4028), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208715] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    ACTIONS(9333), 1,
      sym_identifier,
    ACTIONS(9335), 1,
      anon_sym_COLON_COLON,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    ACTIONS(9377), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5827), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208767] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(3591), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6192), 1,
      sym__scope_resolution,
    ACTIONS(9299), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3282), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208819] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9212), 1,
      anon_sym_requires,
    ACTIONS(9303), 1,
      anon_sym_LPAREN2,
    STATE(1868), 1,
      sym_template_type,
    STATE(5570), 1,
      sym_lambda_capture_specifier,
    STATE(6201), 1,
      sym__scope_resolution,
    ACTIONS(9379), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2422), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208871] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LPAREN2,
    STATE(2493), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6197), 1,
      sym__scope_resolution,
    ACTIONS(9381), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6010), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208923] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(9383), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6174), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208975] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2183), 1,
      sym_template_type,
    STATE(5564), 1,
      sym_lambda_capture_specifier,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(9309), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1583), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209027] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LPAREN2,
    STATE(2493), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6197), 1,
      sym__scope_resolution,
    ACTIONS(9385), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5991), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209079] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    ACTIONS(9230), 1,
      anon_sym_requires,
    ACTIONS(9387), 1,
      anon_sym_LPAREN2,
    STATE(2700), 1,
      sym_template_type,
    STATE(5565), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(9389), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3727), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LPAREN2,
    STATE(2493), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6197), 1,
      sym__scope_resolution,
    ACTIONS(9365), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4173), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209183] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_LPAREN2,
    ACTIONS(9353), 1,
      anon_sym_requires,
    STATE(4209), 1,
      sym_template_type,
    STATE(5562), 1,
      sym_lambda_capture_specifier,
    STATE(6191), 1,
      sym__scope_resolution,
    ACTIONS(9391), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5640), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209235] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_STAR,
    ACTIONS(7731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7733), 1,
      anon_sym_AMP,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5936), 1,
      sym__abstract_declarator,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [209281] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    ACTIONS(9230), 1,
      anon_sym_requires,
    ACTIONS(9387), 1,
      anon_sym_LPAREN2,
    STATE(2700), 1,
      sym_template_type,
    STATE(5565), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(9393), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3728), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209333] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    ACTIONS(9333), 1,
      sym_identifier,
    ACTIONS(9335), 1,
      anon_sym_COLON_COLON,
    STATE(1778), 1,
      sym_template_type,
    STATE(5597), 1,
      sym_lambda_capture_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    ACTIONS(9395), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5906), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209385] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_LPAREN2,
    ACTIONS(9353), 1,
      anon_sym_requires,
    STATE(4209), 1,
      sym_template_type,
    STATE(5562), 1,
      sym_lambda_capture_specifier,
    STATE(6191), 1,
      sym__scope_resolution,
    ACTIONS(9397), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209437] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9183), 1,
      anon_sym_requires,
    ACTIONS(9337), 1,
      anon_sym_LPAREN2,
    STATE(2586), 1,
      sym_template_type,
    STATE(5608), 1,
      sym_lambda_capture_specifier,
    STATE(6188), 1,
      sym__scope_resolution,
    ACTIONS(9399), 2,
      sym_true,
      sym_false,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3401), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209489] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1814), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5261), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209548] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4583), 1,
      sym__class_declaration_item,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209607] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4586), 1,
      sym__class_declaration_item,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5183), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209666] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(1900), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9405), 1,
      anon_sym_SEMI,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9413), 1,
      anon_sym_try,
    STATE(691), 1,
      sym_compound_statement,
    STATE(710), 1,
      sym_try_statement,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6968), 1,
      sym_gnu_asm_expression,
    STATE(6973), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [209727] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2368), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209786] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209845] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4602), 1,
      sym__class_declaration_item,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209904] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2225), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209963] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210022] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2166), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210081] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2182), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210140] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2121), 1,
      sym_field_declaration_list,
    STATE(2177), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6514), 1,
      sym_virtual_specifier,
    STATE(7121), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210199] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1811), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210258] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2374), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5195), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210317] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2392), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210376] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1814), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210435] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9268), 1,
      anon_sym_try,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9415), 1,
      anon_sym_SEMI,
    ACTIONS(9417), 1,
      anon_sym_LBRACE,
    STATE(1913), 1,
      sym_compound_statement,
    STATE(1914), 1,
      sym_try_statement,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6700), 1,
      sym_gnu_asm_expression,
    STATE(6701), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [210496] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2403), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5263), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210555] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2368), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210614] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2403), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5197), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210673] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2642), 1,
      sym__class_declaration_item,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210791] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2650), 1,
      sym__class_declaration_item,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210850] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2670), 1,
      sym__class_declaration_item,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210909] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2682), 1,
      sym__class_declaration_item,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5202), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210968] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2609), 1,
      sym__class_declaration_item,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211027] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1826), 1,
      sym__class_declaration_item,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211086] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1818), 1,
      sym__class_declaration_item,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211145] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4560), 1,
      sym__class_declaration_item,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5210), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211204] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4563), 1,
      sym__class_declaration_item,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211263] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9260), 1,
      anon_sym_try,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9419), 1,
      anon_sym_SEMI,
    ACTIONS(9421), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym_compound_statement,
    STATE(1720), 1,
      sym_try_statement,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6948), 1,
      sym_gnu_asm_expression,
    STATE(6949), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [211324] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1811), 1,
      sym__class_declaration_item,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211383] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1814), 1,
      sym__class_declaration_item,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5213), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211442] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4583), 1,
      sym__class_declaration_item,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4586), 1,
      sym__class_declaration_item,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5212), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4602), 1,
      sym__class_declaration_item,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211619] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1824), 1,
      sym__class_declaration_item,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6628), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4527), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211678] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2642), 1,
      sym__class_declaration_item,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5216), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211737] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2650), 1,
      sym__class_declaration_item,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2670), 1,
      sym__class_declaration_item,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211855] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2682), 1,
      sym__class_declaration_item,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5218), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211914] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2506), 1,
      sym_field_declaration_list,
    STATE(2609), 1,
      sym__class_declaration_item,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym_virtual_specifier,
    STATE(7289), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211973] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3904), 1,
      sym__class_declaration_item,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5222), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212032] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3908), 1,
      sym__class_declaration_item,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212091] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9248), 1,
      anon_sym_try,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9423), 1,
      anon_sym_SEMI,
    ACTIONS(9425), 1,
      anon_sym_LBRACE,
    STATE(1944), 1,
      sym_compound_statement,
    STATE(1945), 1,
      sym_try_statement,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6691), 1,
      sym_gnu_asm_expression,
    STATE(6692), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [212152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3935), 1,
      sym__class_declaration_item,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3891), 1,
      sym__class_declaration_item,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5229), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3335), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3339), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212388] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3228), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212447] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3238), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5228), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212506] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(3017), 1,
      sym_field_declaration_list,
    STATE(3271), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7082), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3822), 1,
      sym_field_declaration_list,
    STATE(3890), 1,
      sym__class_declaration_item,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6654), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3123), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212624] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(3015), 1,
      sym__class_declaration_item,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5232), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212683] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(3036), 1,
      sym__class_declaration_item,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212742] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(2986), 1,
      sym__class_declaration_item,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212801] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4563), 1,
      sym__class_declaration_item,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212860] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(3067), 1,
      sym__class_declaration_item,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212919] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4770), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212978] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4794), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213037] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4762), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213096] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4787), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5239), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213155] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4678), 1,
      sym_field_declaration_list,
    STATE(4792), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym_virtual_specifier,
    STATE(7147), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4310), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213214] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5244), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9427), 1,
      sym_identifier,
    ACTIONS(9429), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5240), 1,
      sym__scope_resolution,
    STATE(6512), 1,
      sym_operator_cast,
    STATE(6582), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7813), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [213277] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1824), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213336] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9433), 1,
      anon_sym_RPAREN,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9443), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5266), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213379] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2374), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213438] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2374), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213497] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2392), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213556] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2374), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5269), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213615] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2392), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213674] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2368), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213733] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2403), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5251), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213792] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9447), 1,
      anon_sym_SEMI,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      anon_sym_try,
    STATE(667), 1,
      sym_compound_statement,
    STATE(668), 1,
      sym_try_statement,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(7023), 1,
      sym_gnu_asm_expression,
    STATE(7024), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [213853] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213912] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2374), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5258), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213971] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2392), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214030] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9453), 1,
      anon_sym_SEMI,
    ACTIONS(9455), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      anon_sym_try,
    STATE(615), 1,
      sym_compound_statement,
    STATE(616), 1,
      sym_try_statement,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6959), 1,
      sym_gnu_asm_expression,
    STATE(6961), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [214091] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9459), 1,
      anon_sym_SEMI,
    ACTIONS(9461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      anon_sym_try,
    STATE(321), 1,
      sym_compound_statement,
    STATE(322), 1,
      sym_try_statement,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6911), 1,
      sym_gnu_asm_expression,
    STATE(6935), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [214152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1811), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214211] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9465), 1,
      anon_sym_RPAREN,
    ACTIONS(9467), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5262), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214254] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2368), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214313] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2403), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214372] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9469), 1,
      anon_sym_RPAREN,
    ACTIONS(9471), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5280), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214415] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1824), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214474] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_COMMA,
    ACTIONS(9475), 1,
      anon_sym_RPAREN,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9483), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9485), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    STATE(6751), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214529] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214588] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2392), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2366), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214647] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(6573), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214706] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_COMMA,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9483), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9485), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9501), 1,
      anon_sym_RPAREN,
    STATE(6854), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214761] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1826), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5189), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214820] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1818), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214879] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2368), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214938] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2403), 1,
      sym__class_declaration_item,
    STATE(3542), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6663), 1,
      sym_virtual_specifier,
    STATE(7362), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3034), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5182), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214997] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2891), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5274), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215056] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2920), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4291), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5510), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2888), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2853), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5276), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2712), 1,
      sym_field_declaration_list,
    STATE(2901), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1826), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5256), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215388] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(1818), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym_virtual_specifier,
    STATE(7350), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9234), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4291), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5485), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9232), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215484] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_COMMA,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9483), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9485), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9503), 1,
      anon_sym_RPAREN,
    STATE(7044), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215539] = 5,
    ACTIONS(9355), 1,
      anon_sym_LF,
    ACTIONS(9505), 1,
      anon_sym_LPAREN2,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(5448), 1,
      sym_preproc_argument_list,
    ACTIONS(9359), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215572] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_STAR,
    ACTIONS(7743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7745), 1,
      anon_sym_AMP,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5976), 1,
      sym__abstract_declarator,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215617] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(4560), 1,
      sym__class_declaration_item,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym_virtual_specifier,
    STATE(7125), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4089), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5178), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215676] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6205), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(2998), 1,
      sym__class_declaration_item,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym_virtual_specifier,
    STATE(7358), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2406), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5234), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9519), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5466), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215775] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(9523), 1,
      sym_identifier,
    ACTIONS(9525), 1,
      anon_sym_TILDE,
    ACTIONS(9527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      anon_sym_template,
    ACTIONS(9531), 1,
      anon_sym_operator,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(3202), 1,
      sym_template_function,
    STATE(3203), 1,
      sym_destructor_name,
    STATE(3204), 1,
      sym_dependent_identifier,
    STATE(3205), 1,
      sym_qualified_identifier,
    STATE(3206), 1,
      sym_operator_name,
    STATE(5286), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8041), 1,
      sym_ms_based_modifier,
  [215839] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9533), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5469), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9537), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9535), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9541), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9539), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9545), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9543), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [216005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9545), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9543), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9551), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5459), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216077] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6521), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216127] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9560), 1,
      anon_sym_requires,
    ACTIONS(9555), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9557), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [216163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9543), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216191] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9563), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5449), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(9565), 1,
      sym_identifier,
    ACTIONS(9567), 1,
      anon_sym_TILDE,
    ACTIONS(9569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      anon_sym_template,
    ACTIONS(9573), 1,
      anon_sym_operator,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(3286), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_template_function,
    STATE(3292), 1,
      sym_destructor_name,
    STATE(3294), 1,
      sym_dependent_identifier,
    STATE(3298), 1,
      sym_qualified_identifier,
    STATE(3300), 1,
      sym_operator_name,
    STATE(5298), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8041), 1,
      sym_ms_based_modifier,
  [216295] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9483), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9485), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9575), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [216345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6667), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216395] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9485), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9543), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [216443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9579), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5437), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9577), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9583), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9581), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1950), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216531] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(9313), 1,
      anon_sym_TILDE,
    ACTIONS(9585), 1,
      sym_identifier,
    ACTIONS(9587), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      anon_sym_template,
    ACTIONS(9591), 1,
      anon_sym_operator,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5305), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8052), 1,
      sym_ms_based_modifier,
  [216595] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9593), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5456), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9595), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5478), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 1,
      anon_sym_LPAREN2,
    ACTIONS(9601), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9597), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216737] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9603), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5514), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4983), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216805] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9605), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5476), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9607), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4987), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6700), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6702), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    STATE(5353), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [216971] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    STATE(5355), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9609), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5483), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217051] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    STATE(5356), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(6950), 1,
      anon_sym_requires,
    STATE(5358), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1954), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9613), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9611), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217187] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217227] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(8880), 1,
      anon_sym_requires,
    STATE(5410), 1,
      sym_trailing_return_type,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5411), 1,
      sym_trailing_return_type,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217307] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_DASH_GT,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(5412), 1,
      sym_trailing_return_type,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9623), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9621), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217375] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9625), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5480), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217415] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6523), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9627), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217495] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_STAR,
    ACTIONS(7769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7771), 1,
      anon_sym_AMP,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6106), 1,
      sym__abstract_declarator,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [217539] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(9629), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_TILDE,
    ACTIONS(9633), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      anon_sym_template,
    ACTIONS(9637), 1,
      anon_sym_operator,
    STATE(1733), 1,
      sym_template_type,
    STATE(1734), 1,
      sym_dependent_type_identifier,
    STATE(1793), 1,
      sym_qualified_type_identifier,
    STATE(2386), 1,
      sym_pointer_type_declarator,
    STATE(2387), 1,
      sym_template_function,
    STATE(2388), 1,
      sym_destructor_name,
    STATE(2389), 1,
      sym_dependent_identifier,
    STATE(2390), 1,
      sym_qualified_identifier,
    STATE(2459), 1,
      sym_operator_name,
    STATE(5332), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8052), 1,
      sym_ms_based_modifier,
  [217603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9639), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5486), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9641), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5487), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9645), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9643), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9555), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9627), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9647), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5967), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217779] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    ACTIONS(9649), 1,
      anon_sym_SEMI,
    STATE(5112), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(8181), 1,
      sym_attribute_specifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [217831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9651), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5489), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217871] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6435), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9655), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9653), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9657), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5479), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217989] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(9631), 1,
      anon_sym_TILDE,
    ACTIONS(9637), 1,
      anon_sym_operator,
    ACTIONS(9659), 1,
      sym_identifier,
    ACTIONS(9661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9663), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2386), 1,
      sym_pointer_type_declarator,
    STATE(2387), 1,
      sym_template_function,
    STATE(2388), 1,
      sym_destructor_name,
    STATE(2389), 1,
      sym_dependent_identifier,
    STATE(2390), 1,
      sym_qualified_identifier,
    STATE(2459), 1,
      sym_operator_name,
    STATE(5343), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8052), 1,
      sym_ms_based_modifier,
  [218053] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6575), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9667), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9665), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9669), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5490), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9671), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5491), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9673), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5492), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218255] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    STATE(5407), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218295] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9675), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5493), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    STATE(5373), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218447] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    STATE(5291), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218559] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    STATE(5336), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9555), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5387), 1,
      sym_trailing_return_type,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218715] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5384), 1,
      sym_trailing_return_type,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218755] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_DASH_GT,
    ACTIONS(9677), 1,
      anon_sym_requires,
    STATE(5295), 1,
      sym_trailing_return_type,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218795] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6531), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9680), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5494), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218885] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6552), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218935] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6632), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218985] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(9525), 1,
      anon_sym_TILDE,
    ACTIONS(9531), 1,
      anon_sym_operator,
    ACTIONS(9682), 1,
      sym_identifier,
    ACTIONS(9684), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9686), 1,
      anon_sym_template,
    STATE(1733), 1,
      sym_template_type,
    STATE(1734), 1,
      sym_dependent_type_identifier,
    STATE(1793), 1,
      sym_qualified_type_identifier,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(3202), 1,
      sym_template_function,
    STATE(3203), 1,
      sym_destructor_name,
    STATE(3204), 1,
      sym_dependent_identifier,
    STATE(3205), 1,
      sym_qualified_identifier,
    STATE(3206), 1,
      sym_operator_name,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8041), 1,
      sym_ms_based_modifier,
  [219049] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6611), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5003), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9690), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9688), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219155] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6626), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5021), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9694), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9692), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219297] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9543), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [219343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4965), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4965), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219399] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6491), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4965), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219477] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6442), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219527] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(9631), 1,
      anon_sym_TILDE,
    ACTIONS(9637), 1,
      anon_sym_operator,
    ACTIONS(9696), 1,
      sym_identifier,
    ACTIONS(9698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9700), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2386), 1,
      sym_pointer_type_declarator,
    STATE(2387), 1,
      sym_template_function,
    STATE(2388), 1,
      sym_destructor_name,
    STATE(2389), 1,
      sym_dependent_identifier,
    STATE(2390), 1,
      sym_qualified_identifier,
    STATE(2459), 1,
      sym_operator_name,
    STATE(5381), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8052), 1,
      sym_ms_based_modifier,
  [219591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9702), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5299), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [219631] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    ACTIONS(9704), 1,
      anon_sym_SEMI,
    STATE(5119), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(7445), 1,
      sym_attribute_specifier,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [219683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9677), 1,
      anon_sym_requires,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219719] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6494), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219769] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9545), 1,
      anon_sym_PIPE,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9543), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [219815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9144), 1,
      anon_sym_requires,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219851] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6508), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219901] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6561), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219951] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6576), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5099), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220029] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6630), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220079] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(9567), 1,
      anon_sym_TILDE,
    ACTIONS(9573), 1,
      anon_sym_operator,
    ACTIONS(9706), 1,
      sym_identifier,
    ACTIONS(9708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9710), 1,
      anon_sym_template,
    STATE(1733), 1,
      sym_template_type,
    STATE(1734), 1,
      sym_dependent_type_identifier,
    STATE(1793), 1,
      sym_qualified_type_identifier,
    STATE(3286), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_template_function,
    STATE(3292), 1,
      sym_destructor_name,
    STATE(3294), 1,
      sym_dependent_identifier,
    STATE(3298), 1,
      sym_qualified_identifier,
    STATE(3300), 1,
      sym_operator_name,
    STATE(5393), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8041), 1,
      sym_ms_based_modifier,
  [220143] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6133), 1,
      sym__type_declarator,
    STATE(6641), 1,
      sym__type_definition_declarators,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220193] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5055), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9712), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5474), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [220297] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9545), 1,
      anon_sym_PIPE,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9543), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [220341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4999), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5017), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9714), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5482), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [220437] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9716), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5500), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [220477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5089), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220505] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9545), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9543), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [220547] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(9718), 1,
      sym_identifier,
    ACTIONS(9720), 1,
      anon_sym_TILDE,
    ACTIONS(9722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9724), 1,
      anon_sym_template,
    ACTIONS(9726), 1,
      anon_sym_operator,
    STATE(2485), 1,
      sym_template_type,
    STATE(2486), 1,
      sym_dependent_type_identifier,
    STATE(2502), 1,
      sym_qualified_type_identifier,
    STATE(3406), 1,
      sym_pointer_type_declarator,
    STATE(3408), 1,
      sym_template_function,
    STATE(3409), 1,
      sym_destructor_name,
    STATE(3410), 1,
      sym_dependent_identifier,
    STATE(3414), 1,
      sym_qualified_identifier,
    STATE(3416), 1,
      sym_operator_name,
    STATE(5405), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(7695), 1,
      sym_ms_based_modifier,
  [220611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9607), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9728), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5967), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220679] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8790), 1,
      anon_sym_requires,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8880), 1,
      anon_sym_requires,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_requires,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220787] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9618), 1,
      anon_sym_requires,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9730), 1,
      anon_sym_requires,
    ACTIONS(9555), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9557), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4991), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4995), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220915] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9545), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9543), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [220955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(9567), 1,
      anon_sym_TILDE,
    ACTIONS(9573), 1,
      anon_sym_operator,
    ACTIONS(9733), 1,
      sym_identifier,
    ACTIONS(9735), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9737), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(3286), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_template_function,
    STATE(3292), 1,
      sym_destructor_name,
    STATE(3294), 1,
      sym_dependent_identifier,
    STATE(3298), 1,
      sym_qualified_identifier,
    STATE(3300), 1,
      sym_operator_name,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8041), 1,
      sym_ms_based_modifier,
  [221019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5013), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9545), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9543), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [221083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9234), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9232), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5496), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221155] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9741), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5455), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221195] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(9745), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5422), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(7813), 1,
      sym_ms_based_modifier,
  [221259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9747), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5461), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221299] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(9720), 1,
      anon_sym_TILDE,
    ACTIONS(9726), 1,
      anon_sym_operator,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9753), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(3406), 1,
      sym_pointer_type_declarator,
    STATE(3408), 1,
      sym_template_function,
    STATE(3409), 1,
      sym_destructor_name,
    STATE(3410), 1,
      sym_dependent_identifier,
    STATE(3414), 1,
      sym_qualified_identifier,
    STATE(3416), 1,
      sym_operator_name,
    STATE(5424), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(7695), 1,
      sym_ms_based_modifier,
  [221363] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(9631), 1,
      anon_sym_TILDE,
    ACTIONS(9637), 1,
      anon_sym_operator,
    ACTIONS(9755), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9759), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2386), 1,
      sym_pointer_type_declarator,
    STATE(2387), 1,
      sym_template_function,
    STATE(2388), 1,
      sym_destructor_name,
    STATE(2389), 1,
      sym_dependent_identifier,
    STATE(2390), 1,
      sym_qualified_identifier,
    STATE(2459), 1,
      sym_operator_name,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(8052), 1,
      sym_ms_based_modifier,
  [221427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      anon_sym_requires,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221463] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9761), 1,
      sym_identifier,
    ACTIONS(9763), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5427), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
    STATE(7813), 1,
      sym_ms_based_modifier,
  [221527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9767), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9765), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221555] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9769), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5430), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9773), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9771), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221623] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9775), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5292), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221663] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9777), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5296), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9781), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9779), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9783), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5301), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9785), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5375), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9787), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5386), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9791), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9793), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5437), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9789), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221883] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9796), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5398), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221923] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    ACTIONS(9798), 1,
      anon_sym_SEMI,
    STATE(5126), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8152), 1,
      sym_attribute_specifier,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [221975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9802), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9800), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9804), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5404), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [222043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9806), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5415), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [222083] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8773), 1,
      anon_sym_requires,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9808), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5418), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [222159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9810), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5290), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [222199] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9812), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5506), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [222239] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9511), 1,
      anon_sym_LPAREN2,
    ACTIONS(9513), 1,
      anon_sym_defined,
    ACTIONS(9814), 1,
      sym_number_literal,
    ACTIONS(9515), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9517), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9521), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5507), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [222279] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9688), 1,
      anon_sym_LF,
    ACTIONS(9690), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222306] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9816), 1,
      anon_sym_LF,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222351] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(7837), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(5633), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(7722), 1,
      sym_ms_based_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222398] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9581), 1,
      anon_sym_LF,
    ACTIONS(9583), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222425] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(9838), 1,
      sym_identifier,
    ACTIONS(9840), 1,
      anon_sym_template,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(5875), 1,
      sym_pointer_type_declarator,
    STATE(5876), 1,
      sym_template_function,
    STATE(5877), 1,
      sym_destructor_name,
    STATE(5878), 1,
      sym_dependent_identifier,
    STATE(5880), 1,
      sym_qualified_identifier,
    STATE(5881), 1,
      sym_operator_name,
    STATE(8036), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [222482] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9611), 1,
      anon_sym_LF,
    ACTIONS(9613), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222509] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_STAR,
    ACTIONS(7870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7872), 1,
      anon_sym_AMP,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6146), 1,
      sym__abstract_declarator,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7985), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [222552] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9842), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222597] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9844), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222642] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9846), 1,
      sym_identifier,
    ACTIONS(9848), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5457), 1,
      sym__scope_resolution,
    STATE(7813), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [222699] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6282), 1,
      sym__type_declarator,
    STATE(7975), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222746] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9483), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9485), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222795] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6272), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222842] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9852), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222887] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7831), 1,
      sym_identifier,
    ACTIONS(7833), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(7859), 1,
      anon_sym_STAR,
    ACTIONS(7861), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7863), 1,
      anon_sym_AMP,
    STATE(5811), 1,
      sym__type_declarator,
    STATE(5869), 1,
      sym_pointer_type_declarator,
    STATE(8036), 1,
      sym_ms_based_modifier,
    ACTIONS(7841), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5865), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222934] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9621), 1,
      anon_sym_LF,
    ACTIONS(9623), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222961] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9854), 1,
      anon_sym_SEMI,
    ACTIONS(9856), 1,
      anon_sym_COLON,
    STATE(2906), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6894), 1,
      sym_gnu_asm_expression,
    STATE(6895), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [223016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9427), 1,
      sym_identifier,
    ACTIONS(9429), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5465), 1,
      sym__scope_resolution,
    STATE(7813), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [223073] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9858), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223118] = 3,
    ACTIONS(6702), 1,
      anon_sym_LF,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(6700), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223145] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_LPAREN2,
    ACTIONS(7815), 1,
      anon_sym_STAR,
    ACTIONS(7817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7819), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      sym_primitive_type,
    STATE(2782), 1,
      sym__type_declarator,
    STATE(3089), 1,
      sym_pointer_type_declarator,
    STATE(8041), 1,
      sym_ms_based_modifier,
    ACTIONS(7821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3169), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223192] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9860), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223237] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6294), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9862), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5905), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223315] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9653), 1,
      anon_sym_LF,
    ACTIONS(9655), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(5639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      anon_sym_STAR,
    ACTIONS(9838), 1,
      sym_identifier,
    ACTIONS(9840), 1,
      anon_sym_template,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(5875), 1,
      sym_pointer_type_declarator,
    STATE(5876), 1,
      sym_template_function,
    STATE(5877), 1,
      sym_destructor_name,
    STATE(5878), 1,
      sym_dependent_identifier,
    STATE(5880), 1,
      sym_qualified_identifier,
    STATE(5881), 1,
      sym_operator_name,
    STATE(7722), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [223399] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9865), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223444] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(9867), 1,
      sym_identifier,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9871), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7813), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [223501] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9873), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223546] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9692), 1,
      anon_sym_LF,
    ACTIONS(9694), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223573] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9545), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223602] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9875), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223647] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9877), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223692] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_STAR,
    ACTIONS(7851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      sym_primitive_type,
    STATE(2907), 1,
      sym__type_declarator,
    STATE(3366), 1,
      sym_pointer_type_declarator,
    STATE(7695), 1,
      sym_ms_based_modifier,
    ACTIONS(7855), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3364), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223739] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_SLASH,
    ACTIONS(9483), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9485), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9487), 1,
      anon_sym_PIPE,
    ACTIONS(9489), 1,
      anon_sym_CARET,
    ACTIONS(9491), 1,
      anon_sym_AMP,
    ACTIONS(9879), 1,
      anon_sym_RPAREN,
    ACTIONS(9477), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9493), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9495), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9497), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9499), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223788] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9545), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223833] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LF,
    ACTIONS(9767), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223891] = 11,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9545), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223934] = 10,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223975] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3217), 1,
      anon_sym_TILDE,
    ACTIONS(6800), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(9427), 1,
      sym_identifier,
    ACTIONS(9429), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_pointer_type_declarator,
    STATE(2723), 1,
      sym_template_function,
    STATE(2731), 1,
      sym_destructor_name,
    STATE(2732), 1,
      sym_dependent_identifier,
    STATE(2737), 1,
      sym_qualified_identifier,
    STATE(2744), 1,
      sym_operator_name,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7975), 1,
      sym_ms_based_modifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [224032] = 9,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9545), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224071] = 8,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9545), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [224108] = 7,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9545), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [224143] = 6,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9545), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224176] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9545), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224207] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9881), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224252] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(2147), 1,
      sym__type_declarator,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(8052), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224299] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9771), 1,
      anon_sym_LF,
    ACTIONS(9773), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5407), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9234), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9232), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224396] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6287), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224443] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9883), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224488] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5373), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224527] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6286), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5291), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224613] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(6183), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    STATE(5336), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224699] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9885), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224744] = 12,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9887), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224789] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7825), 1,
      anon_sym_STAR,
    ACTIONS(7827), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym_pointer_type_declarator,
    STATE(5993), 1,
      sym__type_declarator,
    STATE(7813), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2203), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224836] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9667), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9665), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5387), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5384), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(9677), 1,
      anon_sym_requires,
    STATE(5295), 1,
      sym_trailing_return_type,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225023] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LF,
    ACTIONS(9545), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225050] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(9892), 1,
      anon_sym_requires,
    STATE(5693), 1,
      sym_trailing_return_type,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225086] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6666), 1,
      anon_sym_requires,
    STATE(5637), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225122] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9447), 1,
      anon_sym_SEMI,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(7023), 1,
      sym_gnu_asm_expression,
    STATE(7024), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [225174] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9453), 1,
      anon_sym_SEMI,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6959), 1,
      sym_gnu_asm_expression,
    STATE(6961), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [225226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9555), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9553), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9549), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9547), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8592), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8590), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8800), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8798), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6163), 1,
      sym__abstract_declarator,
    ACTIONS(7985), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5542), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_requires,
    STATE(5625), 1,
      sym_trailing_return_type,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9897), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9895), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9899), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9905), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9903), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6666), 1,
      anon_sym_requires,
    STATE(5628), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9909), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9907), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225548] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9911), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6080), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(5537), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6699), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [225596] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9854), 1,
      anon_sym_SEMI,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6894), 1,
      sym_gnu_asm_expression,
    STATE(6895), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [225648] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9854), 1,
      anon_sym_SEMI,
    ACTIONS(9915), 1,
      anon_sym_EQ,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6870), 1,
      sym_initializer_list,
    STATE(6894), 1,
      sym_gnu_asm_expression,
    STATE(6895), 1,
      aux_sym_declaration_repeat1,
    STATE(7267), 1,
      sym_argument_list,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [225702] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(9125), 1,
      anon_sym_requires,
    STATE(5659), 1,
      sym_trailing_return_type,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9919), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9917), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9923), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9921), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9927), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9925), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225816] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9929), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6116), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7053), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [225864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9933), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9931), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225890] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9935), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6096), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(4993), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [225938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9939), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9937), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    ACTIONS(9459), 1,
      anon_sym_SEMI,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6911), 1,
      sym_gnu_asm_expression,
    STATE(6935), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [226016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9943), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9941), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9947), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9945), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9118), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9951), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9949), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226120] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9405), 1,
      anon_sym_SEMI,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(6968), 1,
      sym_gnu_asm_expression,
    STATE(6973), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [226172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9955), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9953), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9959), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9957), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8597), 1,
      anon_sym_requires,
    STATE(5671), 1,
      sym_trailing_return_type,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6666), 1,
      anon_sym_requires,
    STATE(5632), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226296] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6666), 1,
      anon_sym_requires,
    STATE(5626), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9963), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9961), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9967), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9965), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226384] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9969), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6079), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(5539), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6622), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [226432] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_LBRACE,
    ACTIONS(9973), 1,
      anon_sym_requires,
    STATE(2408), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5726), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6545), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226481] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5407), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    STATE(5336), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(9977), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3385), 1,
      sym_compound_statement,
    STATE(5563), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6495), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6034), 1,
      sym__abstract_declarator,
    ACTIONS(7985), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226645] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3449), 1,
      sym_compound_statement,
    STATE(5705), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6437), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3811), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226719] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5567), 1,
      sym_template_parameter_list,
    STATE(5641), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6677), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226768] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(9977), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3248), 1,
      sym_compound_statement,
    STATE(5725), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6623), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226817] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE,
    STATE(1591), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6490), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226866] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(9985), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3703), 1,
      sym_compound_statement,
    STATE(5579), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6604), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9987), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6064), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6066), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [226942] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5658), 1,
      sym_compound_statement,
    STATE(5742), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6427), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(9677), 1,
      anon_sym_requires,
    STATE(5295), 1,
      sym_trailing_return_type,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5573), 1,
      anon_sym_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_template_argument_list,
    ACTIONS(4047), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [227059] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_LBRACE,
    ACTIONS(9975), 1,
      anon_sym_LT,
    STATE(2384), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5555), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6466), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227108] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    ACTIONS(9991), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6513), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [227141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8773), 1,
      anon_sym_requires,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5353), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5355), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5356), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227289] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_requires,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    STATE(5358), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5373), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(5739), 1,
      sym_template_argument_list,
    ACTIONS(7749), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4921), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [227394] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(9985), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3700), 1,
      sym_compound_statement,
    STATE(5735), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6625), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9993), 1,
      sym_identifier,
    ACTIONS(5143), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5601), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9995), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9997), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [227474] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      anon_sym_requires,
    STATE(5410), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227548] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3322), 1,
      sym_compound_statement,
    STATE(5714), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6548), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227597] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5387), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5411), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(5412), 1,
      sym_trailing_return_type,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227708] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(9983), 1,
      anon_sym_LBRACE,
    STATE(1590), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6505), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4855), 1,
      anon_sym_COLON,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_template_argument_list,
    ACTIONS(4862), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [227788] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8003), 1,
      anon_sym_STAR,
    ACTIONS(8005), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8007), 1,
      anon_sym_AMP,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6262), 1,
      sym__abstract_declarator,
    ACTIONS(7985), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5384), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(5739), 1,
      sym_template_argument_list,
    ACTIONS(4864), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4857), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [227897] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(6219), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [227940] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(10001), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4179), 1,
      sym_compound_statement,
    STATE(5603), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6526), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227989] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(10003), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5400), 1,
      sym_compound_statement,
    STATE(5765), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6574), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10005), 1,
      sym_identifier,
    ACTIONS(5121), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5595), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10008), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10011), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228069] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    STATE(1591), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6618), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228118] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3313), 1,
      sym_compound_statement,
    STATE(5583), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6488), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228167] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    STATE(1590), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5740), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6638), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9403), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym_EQ,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(7109), 1,
      sym_gnu_asm_expression,
    ACTIONS(9411), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10014), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7267), 2,
      sym_argument_list,
      sym_initializer_list,
  [228263] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(10003), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5372), 1,
      sym_compound_statement,
    STATE(5594), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6559), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10016), 1,
      sym_identifier,
    ACTIONS(5133), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5595), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9995), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9997), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228343] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_STAR,
    ACTIONS(7969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7971), 1,
      anon_sym_AMP,
    STATE(6215), 1,
      sym__field_declarator,
    STATE(6316), 1,
      sym_operator_name,
    STATE(8147), 1,
      sym_ms_based_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [228386] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_requires,
    ACTIONS(10001), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4192), 1,
      sym_compound_statement,
    STATE(5713), 1,
      sym_requires_clause,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6547), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228435] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(5706), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [228478] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN2,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    ACTIONS(7934), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7936), 1,
      anon_sym_AMP,
    STATE(5769), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(6048), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [228521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5291), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3815), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228583] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3537), 1,
      sym_compound_statement,
    STATE(5560), 1,
      sym_template_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6475), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228654] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10022), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228686] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5798), 1,
      anon_sym___asm,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5800), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [228720] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10028), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228752] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10032), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228784] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10036), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5688), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9577), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8597), 1,
      anon_sym_requires,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228872] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6289), 1,
      sym__abstract_declarator,
    ACTIONS(7985), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228912] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10038), 1,
      sym_identifier,
    ACTIONS(10040), 1,
      sym_primitive_type,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(2592), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(10042), 1,
      anon_sym_requires,
    STATE(5852), 1,
      sym_trailing_return_type,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(5849), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229024] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    STATE(5767), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229060] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10047), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5784), 1,
      anon_sym___asm,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5786), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(5901), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9125), 1,
      anon_sym_requires,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229222] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10049), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      sym_primitive_type,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(2418), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229328] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10053), 1,
      sym_identifier,
    ACTIONS(10055), 1,
      sym_primitive_type,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(1800), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5867), 1,
      anon_sym___asm,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5869), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229464] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10040), 1,
      sym_primitive_type,
    ACTIONS(10061), 1,
      sym_identifier,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(2592), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229504] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10055), 1,
      sym_primitive_type,
    ACTIONS(10063), 1,
      sym_identifier,
    STATE(1804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(1800), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9567), 1,
      anon_sym_TILDE,
    ACTIONS(10065), 1,
      sym_identifier,
    ACTIONS(10067), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10072), 1,
      anon_sym_template,
    STATE(5940), 1,
      sym__scope_resolution,
    STATE(7317), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3241), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [229586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10074), 1,
      sym_identifier,
    ACTIONS(10076), 1,
      sym_primitive_type,
    STATE(2149), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(2180), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8932), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10078), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10080), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5967), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229726] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5863), 1,
      anon_sym___asm,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5865), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8834), 1,
      anon_sym_requires,
    STATE(5844), 1,
      sym_trailing_return_type,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6066), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229820] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10082), 1,
      sym_identifier,
    ACTIONS(10084), 1,
      sym_primitive_type,
    STATE(2475), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(2418), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6221), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229950] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10082), 1,
      sym_identifier,
    ACTIONS(10084), 1,
      sym_primitive_type,
    STATE(2475), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(2418), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229990] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10086), 1,
      sym_identifier,
    ACTIONS(10088), 1,
      sym_primitive_type,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(4575), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10092), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230062] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10094), 1,
      sym_identifier,
    ACTIONS(10096), 1,
      sym_primitive_type,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(1800), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10100), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_requires,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10102), 1,
      sym_identifier,
    ACTIONS(10104), 1,
      sym_primitive_type,
    STATE(3369), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(3879), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(5885), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [230328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10022), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10108), 1,
      anon_sym___attribute__,
    ACTIONS(10113), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10111), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5663), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10106), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [230390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10028), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10080), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230446] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10032), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10116), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5905), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10036), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230568] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10119), 1,
      sym_identifier,
    ACTIONS(10121), 1,
      sym_primitive_type,
    STATE(2509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(3093), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 1,
      anon_sym_requires,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4983), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5089), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10092), 1,
      anon_sym___asm,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230736] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10086), 1,
      sym_identifier,
    ACTIONS(10088), 1,
      sym_primitive_type,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(4575), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230776] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10123), 1,
      sym_identifier,
    ACTIONS(10125), 1,
      sym_primitive_type,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(4708), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(5739), 1,
      sym_template_argument_list,
    ACTIONS(6139), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6141), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230888] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10127), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      sym_primitive_type,
    STATE(2329), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(2756), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9171), 1,
      anon_sym_requires,
    STATE(5850), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [230964] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10131), 1,
      sym_identifier,
    ACTIONS(10133), 1,
      sym_primitive_type,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(2180), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9026), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [231004] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10049), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      sym_primitive_type,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(2418), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [231044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6299), 1,
      sym__abstract_declarator,
    ACTIONS(7985), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231084] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10135), 1,
      sym_identifier,
    ACTIONS(10137), 1,
      sym_primitive_type,
    STATE(2347), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(2868), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8887), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [231124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10047), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10139), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5688), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9789), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10100), 1,
      anon_sym___asm,
    STATE(2929), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10145), 1,
      anon_sym_requires,
    ACTIONS(10142), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5802), 1,
      anon_sym___asm,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5804), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10150), 1,
      anon_sym___asm,
    STATE(2906), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7030), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10154), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10152), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6706), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10158), 1,
      anon_sym___asm,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10156), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231596] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10162), 1,
      anon_sym___asm,
    STATE(2906), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10160), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    STATE(5778), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [231664] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3500), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6453), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231707] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_COLON,
    ACTIONS(10166), 1,
      anon_sym_EQ,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6834), 1,
      sym_bitfield_clause,
    STATE(6835), 1,
      sym_initializer_list,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10164), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [231750] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9720), 1,
      anon_sym_TILDE,
    ACTIONS(10168), 1,
      sym_identifier,
    ACTIONS(10170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10172), 1,
      anon_sym_template,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(7176), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3467), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [231789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5580), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5582), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(9995), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9997), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231816] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9567), 1,
      anon_sym_TILDE,
    ACTIONS(10065), 1,
      sym_identifier,
    ACTIONS(10070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10072), 1,
      anon_sym_template,
    STATE(5940), 1,
      sym__scope_resolution,
    STATE(7317), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3241), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [231855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10176), 1,
      anon_sym___asm,
    STATE(2906), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(9174), 1,
      anon_sym_requires,
    STATE(5803), 1,
      sym_trailing_return_type,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [231923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6846), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231952] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(10001), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(4193), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6560), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231995] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3389), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6446), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6721), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232067] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10180), 1,
      anon_sym___asm,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10178), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(10182), 1,
      anon_sym_requires,
    STATE(5813), 1,
      sym_trailing_return_type,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [232135] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9631), 1,
      anon_sym_TILDE,
    ACTIONS(10185), 1,
      sym_identifier,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      anon_sym_template,
    STATE(5908), 1,
      sym__scope_resolution,
    STATE(7262), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2426), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [232174] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9983), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6530), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232217] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(5818), 1,
      sym_trailing_return_type,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [232250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6962), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6890), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232308] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10176), 1,
      anon_sym___asm,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6920), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232372] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3232), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6539), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232415] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_LBRACE,
    STATE(2425), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6436), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7018), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7033), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232516] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10158), 1,
      anon_sym___asm,
    STATE(2906), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10156), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [232551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5889), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5891), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10193), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10195), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10197), 1,
      aux_sym_preproc_elif_token1,
    STATE(6102), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6104), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6293), 1,
      sym_enumerator,
    ACTIONS(10199), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7611), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7614), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [232617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7062), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6742), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6927), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232704] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9985), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3726), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6643), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6995), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10180), 1,
      anon_sym___asm,
    STATE(2906), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10178), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [232811] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    STATE(5879), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [232844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4886), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232869] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(1585), 1,
      sym_compound_statement,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6646), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232912] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10195), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10197), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10201), 1,
      aux_sym_preproc_if_token2,
    STATE(6107), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6108), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6293), 1,
      sym_enumerator,
    ACTIONS(10199), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8115), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8116), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [232951] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5679), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6428), 1,
      sym_abstract_function_declarator,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9631), 1,
      anon_sym_TILDE,
    ACTIONS(10185), 1,
      sym_identifier,
    ACTIONS(10203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10205), 1,
      anon_sym_template,
    STATE(5933), 1,
      sym__scope_resolution,
    STATE(7156), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2426), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [233033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7434), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233062] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10162), 1,
      anon_sym___asm,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10160), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233097] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    STATE(5896), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233130] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10195), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10197), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10207), 1,
      aux_sym_preproc_if_token2,
    STATE(6035), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6037), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6293), 1,
      sym_enumerator,
    ACTIONS(10199), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7862), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7874), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [233169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(7114), 1,
      anon_sym_requires,
    STATE(5863), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10150), 1,
      anon_sym___asm,
    STATE(2850), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_DASH_GT,
    ACTIONS(9052), 1,
      anon_sym_requires,
    STATE(5786), 1,
      sym_trailing_return_type,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7470), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7571), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7634), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7685), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7724), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6988), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7718), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233502] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10195), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10197), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10209), 1,
      aux_sym_preproc_if_token2,
    STATE(6111), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6115), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6293), 1,
      sym_enumerator,
    ACTIONS(10199), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7989), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8002), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [233541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    STATE(5708), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6915), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2771), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233686] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(10003), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5414), 1,
      sym_compound_statement,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    STATE(6587), 1,
      sym_abstract_function_declarator,
    STATE(5857), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233729] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6138), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [233767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9555), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [233797] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10211), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [233829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10213), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [233861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    STATE(5973), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    STATE(6033), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233925] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    STATE(6011), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233957] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(7342), 1,
      anon_sym_requires,
    STATE(6017), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9895), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234009] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10215), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234041] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10217), 1,
      anon_sym_SEMI,
    ACTIONS(10219), 1,
      anon_sym_EQ,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10223), 1,
      anon_sym_try,
    STATE(561), 1,
      sym_compound_statement,
    STATE(7327), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(562), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9553), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234127] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(8837), 1,
      anon_sym_requires,
    STATE(5982), 1,
      sym_trailing_return_type,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5987), 1,
      sym_trailing_return_type,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(9185), 1,
      anon_sym_requires,
    STATE(5992), 1,
      sym_trailing_return_type,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_DASH_GT,
    ACTIONS(10225), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9937), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234275] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10228), 1,
      anon_sym_SEMI,
    ACTIONS(10230), 1,
      anon_sym_EQ,
    ACTIONS(10232), 1,
      anon_sym_try,
    STATE(731), 1,
      sym_compound_statement,
    STATE(7237), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(732), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234313] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6126), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(7053), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [234351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9174), 1,
      anon_sym_requires,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234379] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2120), 1,
      sym_enumerator_list,
    STATE(6201), 1,
      sym__scope_resolution,
    ACTIONS(10234), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10236), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234471] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2120), 1,
      sym_enumerator_list,
    STATE(6201), 1,
      sym__scope_resolution,
    ACTIONS(10238), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2258), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5602), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9907), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234553] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10240), 1,
      anon_sym_SEMI,
    ACTIONS(10242), 1,
      anon_sym_EQ,
    ACTIONS(10244), 1,
      anon_sym_try,
    STATE(595), 1,
      sym_compound_statement,
    STATE(7252), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(596), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234591] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    STATE(2787), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10246), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5893), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5895), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5899), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5901), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5903), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9925), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6251), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6253), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9957), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234751] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6153), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6503), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [234789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10248), 1,
      anon_sym_SEMI,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      anon_sym_EQ,
    ACTIONS(10254), 1,
      anon_sym_try,
    STATE(1935), 1,
      sym_compound_statement,
    STATE(7146), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1936), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10182), 1,
      anon_sym_requires,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234855] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      anon_sym_EQ,
    ACTIONS(10254), 1,
      anon_sym_try,
    ACTIONS(10256), 1,
      anon_sym_SEMI,
    STATE(1947), 1,
      sym_compound_statement,
    STATE(7270), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1948), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9917), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234913] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10258), 1,
      anon_sym_SEMI,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    ACTIONS(10262), 1,
      anon_sym_EQ,
    ACTIONS(10264), 1,
      anon_sym_try,
    STATE(2096), 1,
      sym_compound_statement,
    STATE(7189), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2097), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234979] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10268), 1,
      anon_sym_SEMI,
    ACTIONS(10270), 1,
      anon_sym_EQ,
    ACTIONS(10272), 1,
      anon_sym_try,
    STATE(351), 1,
      sym_compound_statement,
    STATE(7383), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(352), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235017] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2908), 1,
      sym_enumerator_list,
    STATE(6178), 1,
      sym__scope_resolution,
    ACTIONS(10274), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3942), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      anon_sym___asm,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5804), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 1,
      anon_sym___asm,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5869), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5922), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      anon_sym_requires,
    ACTIONS(10142), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10281), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10279), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235193] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10283), 1,
      anon_sym_SEMI,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    ACTIONS(10287), 1,
      anon_sym_EQ,
    ACTIONS(10289), 1,
      anon_sym_try,
    STATE(1775), 1,
      sym_compound_statement,
    STATE(7395), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1776), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9961), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235251] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6145), 1,
      sym_access_specifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6847), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9913), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [235289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9052), 1,
      anon_sym_requires,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235317] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym___asm,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5800), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5977), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 1,
      anon_sym___asm,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5865), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235403] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10242), 1,
      anon_sym_EQ,
    ACTIONS(10244), 1,
      anon_sym_try,
    ACTIONS(10291), 1,
      anon_sym_SEMI,
    STATE(619), 1,
      sym_compound_statement,
    STATE(7324), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(620), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235441] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym___asm,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10024), 1,
      anon_sym_LBRACK,
    STATE(5820), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5786), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235473] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(2238), 1,
      sym_enumerator_list,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(10293), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4683), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235513] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2505), 1,
      sym_enumerator_list,
    STATE(6197), 1,
      sym__scope_resolution,
    ACTIONS(10295), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4685), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10297), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10299), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10305), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10303), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10309), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10307), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10230), 1,
      anon_sym_EQ,
    ACTIONS(10232), 1,
      anon_sym_try,
    ACTIONS(10311), 1,
      anon_sym_SEMI,
    STATE(725), 1,
      sym_compound_statement,
    STATE(7132), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(744), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5950), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10313), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10219), 1,
      anon_sym_EQ,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10223), 1,
      anon_sym_try,
    ACTIONS(10317), 1,
      anon_sym_SEMI,
    STATE(552), 1,
      sym_compound_statement,
    STATE(7308), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(553), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(8834), 1,
      anon_sym_requires,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8590), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235953] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    ACTIONS(10287), 1,
      anon_sym_EQ,
    ACTIONS(10289), 1,
      anon_sym_try,
    ACTIONS(10319), 1,
      anon_sym_SEMI,
    STATE(1724), 1,
      sym_compound_statement,
    STATE(7271), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1738), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235991] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2505), 1,
      sym_enumerator_list,
    STATE(6207), 1,
      sym__scope_resolution,
    ACTIONS(10321), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3898), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [236059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      sym_identifier,
    ACTIONS(5203), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [236139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2703), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9171), 1,
      anon_sym_requires,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236225] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(10042), 1,
      anon_sym_requires,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236255] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(2952), 1,
      sym_enumerator_list,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(10323), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2708), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236295] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9555), 1,
      anon_sym_LBRACK,
    ACTIONS(10325), 1,
      anon_sym_requires,
    ACTIONS(9557), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 1,
      anon_sym_LBRACK,
    ACTIONS(10328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5967), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9965), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10334), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10332), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9899), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236433] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4438), 1,
      sym_enumerator_list,
    STATE(6179), 1,
      sym__scope_resolution,
    ACTIONS(10336), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4161), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 1,
      anon_sym_LBRACK,
    ACTIONS(10330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236517] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2788), 1,
      sym_enumerator_list,
    STATE(6188), 1,
      sym__scope_resolution,
    ACTIONS(10338), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2577), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [236605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5946), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5957), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9945), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236669] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(3540), 1,
      sym_enumerator_list,
    STATE(6179), 1,
      sym__scope_resolution,
    ACTIONS(10340), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4057), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5879), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5883), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(2238), 1,
      sym_enumerator_list,
    STATE(6187), 1,
      sym__scope_resolution,
    ACTIONS(10342), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236793] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8586), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4677), 1,
      sym_enumerator_list,
    STATE(6191), 1,
      sym__scope_resolution,
    ACTIONS(10344), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8798), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236853] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(3540), 1,
      sym_enumerator_list,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(10346), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3845), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7985), 1,
      anon_sym_COLON,
    ACTIONS(8180), 1,
      anon_sym_STAR,
    ACTIONS(8182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6380), 1,
      sym__abstract_declarator,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [236931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [237047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237091] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7670), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3842), 1,
      sym_enumerator_list,
    STATE(6192), 1,
      sym__scope_resolution,
    ACTIONS(10348), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3611), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237131] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2908), 1,
      sym_enumerator_list,
    STATE(6213), 1,
      sym__scope_resolution,
    ACTIONS(10350), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3043), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237171] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4438), 1,
      sym_enumerator_list,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(10352), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [237241] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2699), 1,
      sym_enumerator_list,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(10354), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4921), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [237351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10358), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10356), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9931), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10362), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10360), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9547), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9921), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237455] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2908), 1,
      sym_enumerator_list,
    STATE(6182), 1,
      sym__scope_resolution,
    ACTIONS(10364), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3362), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [237523] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10270), 1,
      anon_sym_EQ,
    ACTIONS(10272), 1,
      anon_sym_try,
    ACTIONS(10366), 1,
      anon_sym_SEMI,
    STATE(337), 1,
      sym_compound_statement,
    STATE(7138), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(338), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(4947), 1,
      sym_enumerator_list,
    STATE(6203), 1,
      sym__scope_resolution,
    ACTIONS(10368), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4687), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237601] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    ACTIONS(10262), 1,
      anon_sym_EQ,
    ACTIONS(10264), 1,
      anon_sym_try,
    ACTIONS(10370), 1,
      anon_sym_SEMI,
    STATE(2083), 1,
      sym_compound_statement,
    STATE(7136), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2084), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 1,
      sym_identifier,
    ACTIONS(5186), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [237691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 1,
      sym_identifier,
    ACTIONS(5197), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 1,
      sym_identifier,
    ACTIONS(5190), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [237765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10374), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10372), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10297), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10376), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5967), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5887), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237833] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10187), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10189), 1,
      anon_sym_template,
    ACTIONS(10378), 1,
      sym_identifier,
    STATE(2293), 1,
      sym_template_method,
    STATE(2308), 1,
      sym_dependent_field_identifier,
    STATE(2317), 1,
      sym_qualified_field_identifier,
    STATE(5908), 1,
      sym__scope_resolution,
    STATE(7262), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237953] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10219), 1,
      anon_sym_EQ,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10223), 1,
      anon_sym_try,
    STATE(561), 1,
      sym_compound_statement,
    STATE(7327), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(562), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10386), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7283), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7702), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238021] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10230), 1,
      anon_sym_EQ,
    ACTIONS(10232), 1,
      anon_sym_try,
    STATE(731), 1,
      sym_compound_statement,
    STATE(7237), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(732), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10388), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7396), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8204), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238116] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6238), 1,
      sym__abstract_declarator,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238151] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10270), 1,
      anon_sym_EQ,
    ACTIONS(10272), 1,
      anon_sym_try,
    STATE(337), 1,
      sym_compound_statement,
    STATE(7138), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(338), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238240] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10242), 1,
      anon_sym_EQ,
    ACTIONS(10244), 1,
      anon_sym_try,
    STATE(595), 1,
      sym_compound_statement,
    STATE(7252), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(596), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10154), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10152), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [238300] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10242), 1,
      anon_sym_EQ,
    ACTIONS(10244), 1,
      anon_sym_try,
    STATE(619), 1,
      sym_compound_statement,
    STATE(7324), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(620), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238335] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10270), 1,
      anon_sym_EQ,
    ACTIONS(10272), 1,
      anon_sym_try,
    STATE(351), 1,
      sym_compound_statement,
    STATE(7383), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(352), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10390), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7137), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7675), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10392), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7184), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8228), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5931), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10394), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7319), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7860), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5947), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238523] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6415), 1,
      sym__abstract_declarator,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10396), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7245), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7584), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10398), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7078), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7669), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5963), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238624] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10205), 1,
      anon_sym_template,
    ACTIONS(10378), 1,
      sym_identifier,
    STATE(2293), 1,
      sym_template_method,
    STATE(2308), 1,
      sym_dependent_field_identifier,
    STATE(2317), 1,
      sym_qualified_field_identifier,
    STATE(5933), 1,
      sym__scope_resolution,
    STATE(7156), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238663] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10219), 1,
      anon_sym_EQ,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10223), 1,
      anon_sym_try,
    STATE(552), 1,
      sym_compound_statement,
    STATE(7308), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(553), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238698] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10170), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10172), 1,
      anon_sym_template,
    ACTIONS(10400), 1,
      sym_identifier,
    STATE(3534), 1,
      sym_template_method,
    STATE(3535), 1,
      sym_dependent_field_identifier,
    STATE(3536), 1,
      sym_qualified_field_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(7176), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238764] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6411), 1,
      sym__abstract_declarator,
    STATE(5857), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10402), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7201), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7439), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238859] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10072), 1,
      anon_sym_template,
    ACTIONS(10404), 1,
      sym_identifier,
    STATE(3334), 1,
      sym_template_method,
    STATE(3370), 1,
      sym_dependent_field_identifier,
    STATE(3371), 1,
      sym_qualified_field_identifier,
    STATE(5940), 1,
      sym__scope_resolution,
    STATE(7317), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5889), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5891), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [238923] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10406), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7401), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8244), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5943), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238956] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10408), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7135), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7694), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238989] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10410), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7153), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7859), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5938), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239022] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(10230), 1,
      anon_sym_EQ,
    ACTIONS(10232), 1,
      anon_sym_try,
    STATE(725), 1,
      sym_compound_statement,
    STATE(7132), 1,
      sym_field_initializer_list,
    ACTIONS(4921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(744), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10412), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7190), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8232), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5913), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10414), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7336), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7944), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10416), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7392), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7590), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10418), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7084), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8146), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5955), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    STATE(6066), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10420), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7098), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8099), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    STATE(6068), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10422), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7291), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7804), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5926), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10424), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7376), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8160), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5948), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239462] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10426), 1,
      sym_identifier,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6709), 1,
      sym_field_initializer,
    STATE(7300), 1,
      sym_operator_name,
    STATE(6633), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239499] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10426), 1,
      sym_identifier,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(7158), 1,
      sym_field_initializer,
    STATE(7300), 1,
      sym_operator_name,
    STATE(6633), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2886), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2869), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10430), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7088), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7624), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239623] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10432), 1,
      anon_sym_RBRACE,
    ACTIONS(10384), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7150), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7814), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5916), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    STATE(6069), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    STATE(6070), 1,
      sym_trailing_return_type,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(9055), 1,
      anon_sym_requires,
    STATE(6040), 1,
      sym_trailing_return_type,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239755] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    STATE(6053), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9270), 1,
      anon_sym_requires,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym_requires,
    STATE(6056), 1,
      sym_trailing_return_type,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239854] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10437), 1,
      sym_identifier,
    ACTIONS(10439), 1,
      anon_sym_template,
    STATE(2293), 1,
      sym_template_method,
    STATE(2308), 1,
      sym_dependent_field_identifier,
    STATE(2317), 1,
      sym_qualified_field_identifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(7300), 1,
      sym_operator_name,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_enumerator_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(4665), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239955] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    STATE(2129), 1,
      sym_template_type,
    STATE(2892), 1,
      sym_enumerator_list,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(3989), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    STATE(5879), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240047] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2134), 1,
      sym_enumerator_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(2399), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240083] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(5818), 1,
      sym_trailing_return_type,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8837), 1,
      anon_sym_requires,
    ACTIONS(8594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240139] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_template_type,
    STATE(2733), 1,
      sym_enumerator_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(2549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240175] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(9052), 1,
      anon_sym_requires,
    STATE(5786), 1,
      sym_trailing_return_type,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym_requires,
    ACTIONS(8802), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(9174), 1,
      anon_sym_requires,
    STATE(5803), 1,
      sym_trailing_return_type,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8586), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(4209), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_enumerator_list,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(4377), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9185), 1,
      anon_sym_requires,
    ACTIONS(9122), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240375] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2511), 1,
      sym_enumerator_list,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(3899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5804), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240439] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7670), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      sym_identifier,
    STATE(3591), 1,
      sym_template_type,
    STATE(3831), 1,
      sym_enumerator_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(3577), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10441), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10225), 1,
      anon_sym_requires,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5869), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10160), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [240579] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4445), 1,
      sym_enumerator_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(4728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240615] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [240645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    ACTIONS(10182), 1,
      anon_sym_requires,
    STATE(5813), 1,
      sym_trailing_return_type,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10443), 1,
      anon_sym_requires,
    ACTIONS(10142), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(3549), 1,
      sym_enumerator_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(4058), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(3549), 1,
      sym_enumerator_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(3832), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    STATE(5863), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5862), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5865), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [240939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10448), 1,
      anon_sym_LT,
    ACTIONS(10450), 1,
      anon_sym_LBRACK,
    STATE(6081), 1,
      sym_template_argument_list,
    ACTIONS(10446), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240963] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_enumerator_list,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(2715), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240999] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10156), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [241029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10441), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10452), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5967), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [241051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10448), 1,
      anon_sym_LT,
    ACTIONS(10456), 1,
      anon_sym_LBRACK,
    STATE(6094), 1,
      sym_template_argument_list,
    ACTIONS(10454), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241101] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2892), 1,
      sym_enumerator_list,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(3008), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5786), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [241165] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10178), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [241195] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(2892), 1,
      sym_enumerator_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(3367), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241257] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(4445), 1,
      sym_enumerator_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(4167), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7727), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [241313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    STATE(5896), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241343] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      anon_sym_requires,
    ACTIONS(7547), 1,
      anon_sym_DASH_GT,
    STATE(5778), 1,
      sym_trailing_return_type,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5777), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241373] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5666), 1,
      anon_sym_LBRACE,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1868), 1,
      sym_template_type,
    STATE(2134), 1,
      sym_enumerator_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(2259), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5800), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [241437] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2786), 1,
      sym_enumerator_list,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(2575), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241499] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_enumerator_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(3762), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5580), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9995), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9997), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [241583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6398), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2511), 1,
      sym_enumerator_list,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(4679), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241619] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_template_type,
    STATE(4949), 1,
      sym_enumerator_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(4675), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10458), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5872), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 1,
      anon_sym_requires,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5615), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5893), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [241756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10462), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    STATE(6253), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8100), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [241787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10470), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7548), 1,
      sym_qualified_identifier,
    ACTIONS(10472), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10474), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10476), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10478), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10480), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6242), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8106), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [241847] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9268), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    STATE(1915), 1,
      sym_compound_statement,
    STATE(1916), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241882] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9268), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    STATE(1917), 1,
      sym_compound_statement,
    STATE(1918), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_try,
    STATE(289), 1,
      sym_compound_statement,
    STATE(290), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241979] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10209), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    STATE(6111), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7989), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242010] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10476), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10478), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10482), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10480), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6115), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8002), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10484), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(8184), 1,
      sym_qualified_identifier,
    ACTIONS(10486), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10488), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_qualified_identifier,
    ACTIONS(10490), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10456), 1,
      anon_sym_LBRACK,
    ACTIONS(10454), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242170] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10492), 1,
      sym_identifier,
    ACTIONS(10495), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10501), 1,
      sym_preproc_directive,
    ACTIONS(10504), 1,
      anon_sym_RBRACE,
    ACTIONS(10498), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7717), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6049), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [242199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10506), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10510), 1,
      aux_sym_preproc_if_token2,
    STATE(6035), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7862), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(9270), 1,
      anon_sym_requires,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10514), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym_requires,
    ACTIONS(9615), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242347] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9555), 1,
      anon_sym_LBRACK,
    ACTIONS(10516), 1,
      anon_sym_requires,
    ACTIONS(9557), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242374] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym_try,
    STATE(689), 1,
      sym_try_statement,
    STATE(721), 1,
      sym_compound_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242409] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_try,
    STATE(548), 1,
      sym_compound_statement,
    STATE(549), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9268), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    STATE(1920), 1,
      sym_compound_statement,
    STATE(1921), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10521), 1,
      anon_sym_LBRACK,
    ACTIONS(10519), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10525), 1,
      anon_sym_LBRACK,
    ACTIONS(10523), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242542] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_try,
    STATE(536), 1,
      sym_compound_statement,
    STATE(537), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242629] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(8800), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5544), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8798), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242656] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9248), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    STATE(1956), 1,
      sym_compound_statement,
    STATE(1957), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242691] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(9120), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9118), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(9549), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5519), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9547), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      anon_sym_requires,
    ACTIONS(9555), 1,
      anon_sym_LBRACK,
    ACTIONS(5735), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5540), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9553), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242772] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9248), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    STATE(1958), 1,
      sym_compound_statement,
    STATE(1959), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10529), 1,
      anon_sym_LBRACK,
    ACTIONS(10527), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242855] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym_try,
    STATE(734), 1,
      sym_compound_statement,
    STATE(737), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242890] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_try,
    STATE(317), 1,
      sym_compound_statement,
    STATE(318), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242925] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9248), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    STATE(1971), 1,
      sym_compound_statement,
    STATE(1972), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242960] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9457), 1,
      anon_sym_try,
    STATE(663), 1,
      sym_compound_statement,
    STATE(664), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243020] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(10531), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243053] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(10533), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(7053), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10537), 1,
      anon_sym_LBRACK,
    ACTIONS(10535), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243124] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_try,
    STATE(538), 1,
      sym_compound_statement,
    STATE(539), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243159] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9457), 1,
      anon_sym_try,
    STATE(638), 1,
      sym_compound_statement,
    STATE(639), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 1,
      anon_sym_LBRACK,
    ACTIONS(10539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5967), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243242] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_try,
    STATE(326), 1,
      sym_compound_statement,
    STATE(328), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243277] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9457), 1,
      anon_sym_try,
    STATE(640), 1,
      sym_compound_statement,
    STATE(641), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243312] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10156), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [243341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10543), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7638), 1,
      sym_qualified_identifier,
    ACTIONS(10545), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10178), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [243401] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9260), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_compound_statement,
    STATE(1760), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5891), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [243459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243478] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym_try,
    STATE(683), 1,
      sym_try_statement,
    STATE(749), 1,
      sym_compound_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(10547), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6503), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10551), 1,
      anon_sym_LBRACK,
    ACTIONS(10549), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243565] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8592), 1,
      anon_sym_LBRACK,
    ACTIONS(9055), 1,
      anon_sym_requires,
    ACTIONS(8770), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5302), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5522), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8590), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 1,
      anon_sym_LBRACK,
    ACTIONS(10541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243613] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10160), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [243642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10553), 1,
      aux_sym_preproc_if_token2,
    STATE(6253), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8135), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243698] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10555), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7774), 1,
      sym_qualified_identifier,
    ACTIONS(10557), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243729] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10476), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10478), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10559), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10480), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6242), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8149), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [243758] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9260), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_compound_statement,
    STATE(1774), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10561), 1,
      aux_sym_preproc_if_token2,
    STATE(6253), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8057), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10476), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10478), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10563), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10480), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6242), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8127), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [243878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10565), 1,
      aux_sym_preproc_if_token2,
    STATE(6102), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7611), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10201), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    STATE(6107), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8115), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243940] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10567), 1,
      aux_sym_preproc_if_token2,
    STATE(6253), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7549), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243971] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [244000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10476), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10478), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10569), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10480), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6108), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8116), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10571), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7449), 1,
      sym_qualified_identifier,
    ACTIONS(10573), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244060] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10476), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10478), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10575), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10480), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6242), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7550), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244089] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(10577), 1,
      anon_sym_virtual,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6847), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244122] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10579), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_qualified_identifier,
    ACTIONS(10581), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244178] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244203] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9260), 1,
      anon_sym_try,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym_compound_statement,
    STATE(1735), 1,
      sym_try_statement,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10587), 1,
      anon_sym_delete,
    ACTIONS(10589), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 1,
      anon_sym_LBRACK,
    ACTIONS(4841), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10593), 1,
      anon_sym_EQ,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    ACTIONS(10591), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      anon_sym_delete,
    ACTIONS(10597), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10599), 1,
      anon_sym_delete,
    ACTIONS(10601), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244352] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6847), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10597), 1,
      anon_sym_new,
    ACTIONS(10603), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10605), 1,
      anon_sym_delete,
    ACTIONS(10607), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10611), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_gnu_asm_input_operand,
    STATE(7565), 1,
      sym_string_literal,
    ACTIONS(10609), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10601), 1,
      anon_sym_new,
    ACTIONS(10613), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_LBRACK,
    ACTIONS(4882), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10615), 1,
      anon_sym_delete,
    ACTIONS(10617), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10619), 1,
      anon_sym_COMMA,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6647), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10621), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 1,
      anon_sym_LBRACK,
    ACTIONS(4849), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10597), 1,
      anon_sym_new,
    ACTIONS(10623), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6503), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10625), 1,
      anon_sym_delete,
    ACTIONS(10627), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 1,
      anon_sym_LBRACK,
    ACTIONS(4853), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10617), 1,
      anon_sym_new,
    ACTIONS(10629), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LBRACK,
    ACTIONS(4874), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10631), 1,
      anon_sym_EQ,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    ACTIONS(10591), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6916), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10633), 1,
      anon_sym_delete,
    ACTIONS(10635), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10637), 1,
      anon_sym_delete,
    ACTIONS(10639), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    STATE(6653), 1,
      sym_gnu_asm_output_operand,
    STATE(7542), 1,
      sym_string_literal,
    ACTIONS(10641), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4878), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244982] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_template_type,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6568), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245012] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10645), 1,
      anon_sym_EQ,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(7455), 1,
      sym_initializer_list,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245044] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10647), 1,
      sym_identifier,
    ACTIONS(10649), 1,
      anon_sym_COLON_COLON,
    STATE(2555), 1,
      sym_template_type,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(2599), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7655), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 1,
      anon_sym_LBRACK,
    ACTIONS(4845), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10651), 1,
      anon_sym_delete,
    ACTIONS(10653), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [245162] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10655), 1,
      sym_identifier,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    STATE(605), 1,
      sym_declaration_list,
    STATE(6271), 1,
      sym_attribute_declaration,
    STATE(7143), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [245193] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10661), 1,
      sym_identifier,
    ACTIONS(10663), 1,
      anon_sym_template,
    STATE(2154), 1,
      sym_template_type,
    STATE(2155), 1,
      sym_dependent_type_identifier,
    STATE(2188), 1,
      sym_qualified_type_identifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245362] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10665), 1,
      sym_identifier,
    ACTIONS(10667), 1,
      anon_sym_template,
    STATE(1733), 1,
      sym_template_type,
    STATE(1734), 1,
      sym_dependent_type_identifier,
    STATE(1793), 1,
      sym_qualified_type_identifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10669), 1,
      sym_identifier,
    ACTIONS(10671), 1,
      anon_sym_template,
    STATE(2697), 1,
      sym_dependent_type_identifier,
    STATE(2729), 1,
      sym_template_type,
    STATE(2764), 1,
      sym_qualified_type_identifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245447] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10673), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7797), 1,
      sym_qualified_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_AMP,
    ACTIONS(10679), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10675), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245493] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10681), 1,
      sym_identifier,
    ACTIONS(10683), 1,
      anon_sym_template,
    STATE(2562), 1,
      sym_template_type,
    STATE(2566), 1,
      sym_dependent_type_identifier,
    STATE(2568), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 1,
      anon_sym_AMP,
    ACTIONS(10685), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10687), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5967), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10689), 1,
      sym_identifier,
    ACTIONS(10693), 1,
      sym_system_lib_string,
    STATE(8194), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10691), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245566] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10695), 1,
      sym_identifier,
    STATE(606), 1,
      sym_declaration_list,
    STATE(6263), 1,
      sym_attribute_declaration,
    STATE(7131), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [245597] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10697), 1,
      sym_identifier,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2805), 1,
      sym_qualified_type_identifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245628] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9084), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2805), 1,
      sym_qualified_type_identifier,
    STATE(6178), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10703), 1,
      sym_identifier,
    ACTIONS(10705), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2805), 1,
      sym_qualified_type_identifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245690] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10707), 1,
      sym_identifier,
    STATE(334), 1,
      sym_declaration_list,
    STATE(6309), 1,
      sym_attribute_declaration,
    STATE(7393), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [245721] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10709), 1,
      sym_identifier,
    STATE(741), 1,
      sym_declaration_list,
    STATE(6306), 1,
      sym_attribute_declaration,
    STATE(7310), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [245752] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10711), 1,
      sym_identifier,
    ACTIONS(10713), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10715), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [245808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4857), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [245831] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9335), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10717), 1,
      sym_identifier,
    ACTIONS(10719), 1,
      anon_sym_template,
    STATE(1733), 1,
      sym_template_type,
    STATE(1734), 1,
      sym_dependent_type_identifier,
    STATE(1793), 1,
      sym_qualified_type_identifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10721), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(8055), 1,
      sym_qualified_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245889] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10667), 1,
      anon_sym_template,
    ACTIONS(10723), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_template_type,
    STATE(1734), 1,
      sym_dependent_type_identifier,
    STATE(1793), 1,
      sym_qualified_type_identifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245920] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10725), 1,
      sym_identifier,
    ACTIONS(10727), 1,
      anon_sym_template,
    STATE(2556), 1,
      sym_dependent_type_identifier,
    STATE(2579), 1,
      sym_template_type,
    STATE(2622), 1,
      sym_qualified_type_identifier,
    STATE(6188), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245951] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10703), 1,
      sym_identifier,
    ACTIONS(10705), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(6189), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [245982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10729), 1,
      sym_identifier,
    ACTIONS(10731), 1,
      sym_system_lib_string,
    STATE(7465), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10691), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246003] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10735), 1,
      anon_sym_template,
    STATE(4268), 1,
      sym_template_type,
    STATE(4270), 1,
      sym_dependent_type_identifier,
    STATE(4379), 1,
      sym_qualified_type_identifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246034] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10737), 1,
      sym_identifier,
    ACTIONS(10739), 1,
      anon_sym_template,
    STATE(3538), 1,
      sym_dependent_type_identifier,
    STATE(3589), 1,
      sym_template_type,
    STATE(3719), 1,
      sym_qualified_type_identifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10741), 1,
      sym_identifier,
    ACTIONS(10743), 1,
      sym_system_lib_string,
    STATE(7481), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10691), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246086] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10745), 1,
      sym_identifier,
    STATE(629), 1,
      sym_declaration_list,
    STATE(6298), 1,
      sym_attribute_declaration,
    STATE(7151), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [246117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10747), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7964), 1,
      sym_qualified_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 1,
      anon_sym_AMP,
    ACTIONS(10687), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5914), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [246163] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_identifier,
    ACTIONS(10751), 1,
      anon_sym_template,
    STATE(2485), 1,
      sym_template_type,
    STATE(2486), 1,
      sym_dependent_type_identifier,
    STATE(2502), 1,
      sym_qualified_type_identifier,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246194] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10753), 1,
      sym_identifier,
    STATE(336), 1,
      sym_declaration_list,
    STATE(6313), 1,
      sym_attribute_declaration,
    STATE(7206), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [246225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      sym_identifier,
    ACTIONS(10757), 1,
      sym_system_lib_string,
    STATE(7786), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10691), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10759), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7515), 1,
      sym_qualified_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246273] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8930), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10761), 1,
      sym_identifier,
    ACTIONS(10763), 1,
      anon_sym_template,
    STATE(1860), 1,
      sym_template_type,
    STATE(1864), 1,
      sym_dependent_type_identifier,
    STATE(2087), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246304] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10765), 1,
      sym_identifier,
    ACTIONS(10767), 1,
      anon_sym_template,
    STATE(2539), 1,
      sym_template_type,
    STATE(2550), 1,
      sym_dependent_type_identifier,
    STATE(2600), 1,
      sym_qualified_type_identifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246335] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10769), 1,
      sym_identifier,
    ACTIONS(10771), 1,
      anon_sym_template,
    STATE(1733), 1,
      sym_template_type,
    STATE(1734), 1,
      sym_dependent_type_identifier,
    STATE(1793), 1,
      sym_qualified_type_identifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246366] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10773), 1,
      sym_identifier,
    STATE(594), 1,
      sym_declaration_list,
    STATE(6302), 1,
      sym_attribute_declaration,
    STATE(7171), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [246397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10697), 1,
      sym_identifier,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246428] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10775), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7898), 1,
      sym_qualified_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246455] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10751), 1,
      anon_sym_template,
    ACTIONS(10777), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2486), 1,
      sym_dependent_type_identifier,
    STATE(2502), 1,
      sym_qualified_type_identifier,
    STATE(6207), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
    ACTIONS(7749), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4921), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [246509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_parameter_list,
    STATE(5529), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246532] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10779), 1,
      sym_identifier,
    STATE(743), 1,
      sym_declaration_list,
    STATE(6311), 1,
      sym_attribute_declaration,
    STATE(7288), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [246563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10781), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7881), 1,
      sym_qualified_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10783), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__scope_resolution,
    STATE(7529), 1,
      sym_qualified_identifier,
    STATE(7655), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246617] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_template,
    STATE(2133), 1,
      sym_template_type,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2142), 1,
      sym_qualified_type_identifier,
    STATE(6213), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_decltype,
  [246648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(10785), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(10211), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10178), 1,
      anon_sym_COLON,
    STATE(3482), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10789), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10787), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(10213), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246816] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10793), 1,
      anon_sym_SEMI,
    ACTIONS(10795), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6483), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246842] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10160), 1,
      anon_sym_COLON,
    STATE(3482), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246868] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10797), 1,
      anon_sym_SEMI,
    ACTIONS(10799), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10611), 1,
      anon_sym_LBRACK,
    STATE(6939), 1,
      sym_gnu_asm_input_operand,
    STATE(7565), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10803), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10805), 1,
      anon_sym_EQ,
    ACTIONS(10801), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [246932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10148), 1,
      anon_sym_COLON,
    STATE(3482), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246958] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246984] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10807), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247010] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(10215), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10809), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(10811), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247132] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10813), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(10246), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(6054), 1,
      sym__function_declarator_seq,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10815), 1,
      anon_sym_RPAREN,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10817), 1,
      anon_sym_SEMI,
    ACTIONS(10819), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6656), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10821), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [247258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10823), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247284] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10156), 1,
      anon_sym_COLON,
    STATE(3482), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10825), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10827), 1,
      sym_identifier,
    ACTIONS(10832), 1,
      aux_sym_preproc_elif_token1,
    STATE(6242), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(10830), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [247356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10834), 1,
      anon_sym_SEMI,
    ACTIONS(10836), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10838), 1,
      anon_sym_SEMI,
    ACTIONS(10840), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6662), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247452] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10842), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10844), 1,
      anon_sym_COLON,
    STATE(3482), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
    ACTIONS(6141), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247568] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10846), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10848), 1,
      sym_identifier,
    ACTIONS(10853), 1,
      aux_sym_preproc_elif_token1,
    STATE(6253), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
    ACTIONS(10851), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [247616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(5739), 1,
      sym_template_argument_list,
    ACTIONS(4857), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10857), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10855), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [247654] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10174), 1,
      anon_sym_COLON,
    STATE(3482), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5922), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10859), 1,
      anon_sym_SEMI,
    ACTIONS(10861), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6639), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247706] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10863), 1,
      anon_sym_SEMI,
    ACTIONS(10865), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6659), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    STATE(6855), 1,
      sym_gnu_asm_output_operand,
    STATE(7542), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [247752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10867), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(7749), 1,
      anon_sym_LBRACK,
    STATE(5739), 1,
      sym_template_argument_list,
    ACTIONS(4921), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247800] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10745), 1,
      sym_identifier,
    STATE(629), 1,
      sym_declaration_list,
    STATE(7151), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [247847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(2243), 1,
      sym_template_argument_list,
    STATE(6986), 2,
      sym_argument_list,
      sym_initializer_list,
  [247870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 1,
      anon_sym_AMP,
    ACTIONS(6131), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [247927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10869), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10871), 1,
      sym_identifier,
    STATE(631), 1,
      sym_declaration_list,
    STATE(7391), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [248017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10873), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10030), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10045), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 1,
      anon_sym_AMP,
    ACTIONS(6117), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [248097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10875), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10098), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym__function_declarator_seq,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10026), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(5804), 1,
      anon_sym_COLON,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248229] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(5869), 1,
      anon_sym_COLON,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(5739), 1,
      sym_template_argument_list,
    ACTIONS(6141), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [248286] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(5800), 1,
      anon_sym_COLON,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248309] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10877), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10879), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10883), 1,
      anon_sym_AMP,
    ACTIONS(10881), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10885), 1,
      anon_sym_LBRACK,
    ACTIONS(10887), 1,
      anon_sym_EQ,
    ACTIONS(10889), 1,
      anon_sym_DOT,
    STATE(6308), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [248431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10034), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10893), 1,
      anon_sym_COMMA,
    ACTIONS(10895), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10891), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [248469] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_COLON,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10899), 1,
      sym_identifier,
    STATE(676), 1,
      sym_declaration_list,
    STATE(7196), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [248582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10057), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10901), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248618] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10905), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248641] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(10655), 1,
      sym_identifier,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    STATE(605), 1,
      sym_declaration_list,
    STATE(7143), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [248666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_AMP,
    ACTIONS(4415), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10909), 1,
      anon_sym_AMP,
    ACTIONS(10907), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248717] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10911), 1,
      sym_identifier,
    STATE(728), 1,
      sym_declaration_list,
    STATE(7377), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [248742] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10913), 1,
      anon_sym_RPAREN,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10915), 1,
      anon_sym_LBRACK,
    ACTIONS(10918), 1,
      anon_sym_EQ,
    ACTIONS(10920), 1,
      anon_sym_DOT,
    STATE(6308), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [248784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10753), 1,
      sym_identifier,
    STATE(336), 1,
      sym_declaration_list,
    STATE(7206), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [248809] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK,
    ACTIONS(5865), 1,
      anon_sym_COLON,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(2220), 1,
      sym_parameter_list,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248832] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10709), 1,
      sym_identifier,
    STATE(741), 1,
      sym_declaration_list,
    STATE(7310), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [248857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_AMP,
    ACTIONS(10675), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(10923), 1,
      sym_identifier,
    STATE(295), 1,
      sym_declaration_list,
    STATE(7106), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [248897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      anon_sym_try,
    ACTIONS(10925), 1,
      anon_sym_SEMI,
    ACTIONS(10927), 1,
      anon_sym_EQ,
    STATE(622), 2,
      sym_compound_statement,
      sym_try_statement,
  [248917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9260), 1,
      anon_sym_try,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    ACTIONS(10929), 1,
      anon_sym_SEMI,
    ACTIONS(10931), 1,
      anon_sym_EQ,
    STATE(1675), 2,
      sym_compound_statement,
      sym_try_statement,
  [248937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10456), 1,
      anon_sym_LBRACK,
    STATE(6094), 1,
      sym_template_argument_list,
    ACTIONS(10454), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [248955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9260), 1,
      anon_sym_try,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    ACTIONS(10933), 1,
      anon_sym_SEMI,
    ACTIONS(10935), 1,
      anon_sym_EQ,
    STATE(1741), 2,
      sym_compound_statement,
      sym_try_statement,
  [248975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      anon_sym_try,
    ACTIONS(10937), 1,
      anon_sym_SEMI,
    ACTIONS(10939), 1,
      anon_sym_EQ,
    STATE(358), 2,
      sym_compound_statement,
      sym_try_statement,
  [248995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym___attribute__,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5273), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5485), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10591), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [249033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9248), 1,
      anon_sym_try,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10941), 1,
      anon_sym_SEMI,
    ACTIONS(10943), 1,
      anon_sym_EQ,
    STATE(1939), 2,
      sym_compound_statement,
      sym_try_statement,
  [249053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9248), 1,
      anon_sym_try,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10945), 1,
      anon_sym_SEMI,
    ACTIONS(10947), 1,
      anon_sym_EQ,
    STATE(1949), 2,
      sym_compound_statement,
      sym_try_statement,
  [249073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5891), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(6141), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    ACTIONS(10458), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9413), 1,
      anon_sym_try,
    ACTIONS(10949), 1,
      anon_sym_SEMI,
    ACTIONS(10951), 1,
      anon_sym_EQ,
    STATE(717), 2,
      sym_compound_statement,
      sym_try_statement,
  [249147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10953), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10955), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10957), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10959), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10961), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10963), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10965), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10967), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10969), 1,
      anon_sym_LPAREN2,
    STATE(6365), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9268), 1,
      anon_sym_try,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    ACTIONS(10973), 1,
      anon_sym_SEMI,
    ACTIONS(10975), 1,
      anon_sym_EQ,
    STATE(2086), 2,
      sym_compound_statement,
      sym_try_statement,
  [249239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10504), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10977), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7475), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [249267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9268), 1,
      anon_sym_try,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    ACTIONS(10979), 1,
      anon_sym_SEMI,
    ACTIONS(10981), 1,
      anon_sym_EQ,
    STATE(1888), 2,
      sym_compound_statement,
      sym_try_statement,
  [249287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10983), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10985), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9413), 1,
      anon_sym_try,
    ACTIONS(10987), 1,
      anon_sym_SEMI,
    ACTIONS(10989), 1,
      anon_sym_EQ,
    STATE(747), 2,
      sym_compound_statement,
      sym_try_statement,
  [249321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      anon_sym_try,
    ACTIONS(10991), 1,
      anon_sym_SEMI,
    ACTIONS(10993), 1,
      anon_sym_EQ,
    STATE(599), 2,
      sym_compound_statement,
      sym_try_statement,
  [249341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10997), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(6141), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [249373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7592), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [249387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10965), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10967), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(5118), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5309), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      anon_sym_try,
    ACTIONS(10999), 1,
      anon_sym_SEMI,
    ACTIONS(11001), 1,
      anon_sym_EQ,
    STATE(555), 2,
      sym_compound_statement,
      sym_try_statement,
  [249439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11003), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11005), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      anon_sym_try,
    ACTIONS(11008), 1,
      anon_sym_SEMI,
    ACTIONS(11010), 1,
      anon_sym_EQ,
    STATE(342), 2,
      sym_compound_statement,
      sym_try_statement,
  [249475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11012), 1,
      anon_sym_LPAREN2,
    STATE(6348), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11014), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      anon_sym_try,
    ACTIONS(11016), 1,
      anon_sym_SEMI,
    ACTIONS(11018), 1,
      anon_sym_EQ,
    STATE(564), 2,
      sym_compound_statement,
      sym_try_statement,
  [249527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10997), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3162), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
    ACTIONS(10591), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11020), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11022), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11024), 1,
      anon_sym_LPAREN2,
    STATE(6354), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11026), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11028), 1,
      anon_sym_LPAREN2,
    STATE(6356), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11030), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11032), 1,
      anon_sym_LPAREN2,
    STATE(6358), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11034), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11036), 1,
      anon_sym_LPAREN2,
    STATE(6360), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11038), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10851), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [249717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11040), 1,
      anon_sym_LPAREN2,
    STATE(6363), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11042), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11044), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11046), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11048), 1,
      anon_sym_LPAREN2,
    STATE(6345), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10971), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(10450), 1,
      anon_sym_LBRACK,
    STATE(6081), 1,
      sym_template_argument_list,
    ACTIONS(10446), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(11050), 1,
      sym_identifier,
    STATE(6836), 1,
      sym__namespace_specifier,
    STATE(7129), 1,
      sym_nested_namespace_specifier,
  [249816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_RPAREN,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [249835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(11054), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2312), 1,
      sym_template_method,
    STATE(7300), 1,
      sym_operator_name,
  [249854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11056), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7870), 1,
      sym_attribute_specifier,
  [249873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11058), 1,
      anon_sym_EQ,
    ACTIONS(9941), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(11060), 1,
      sym_identifier,
    STATE(7567), 1,
      sym__namespace_specifier,
    STATE(7647), 1,
      sym_nested_namespace_specifier,
  [249905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10090), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [249924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11062), 1,
      anon_sym_SEMI,
    STATE(6413), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8199), 1,
      sym_attribute_specifier,
  [249943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_SEMI,
    STATE(6414), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8056), 1,
      sym_attribute_specifier,
  [249962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(3682), 1,
      sym_template_argument_list,
    ACTIONS(6141), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11066), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7795), 1,
      sym_attribute_specifier,
  [249998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(11068), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(3395), 1,
      sym_template_method,
    STATE(7176), 1,
      sym_operator_name,
  [250017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10045), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10057), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10098), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10018), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(11070), 1,
      sym_identifier,
    STATE(7567), 1,
      sym__namespace_specifier,
    STATE(7972), 1,
      sym_nested_namespace_specifier,
  [250112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(2450), 1,
      sym_decltype_auto,
    ACTIONS(11072), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10026), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10030), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11076), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11074), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [250180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(11050), 1,
      sym_identifier,
    STATE(7039), 1,
      sym__namespace_specifier,
    STATE(7354), 1,
      sym_nested_namespace_specifier,
  [250199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10034), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3508), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(11078), 1,
      sym_identifier,
    STATE(7467), 1,
      sym_nested_namespace_specifier,
    STATE(7567), 1,
      sym__namespace_specifier,
  [250237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11080), 1,
      anon_sym_SEMI,
    STATE(6395), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7885), 1,
      sym_attribute_specifier,
  [250256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7386), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [250269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token2,
    STATE(6293), 1,
      sym_enumerator,
    STATE(6621), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6624), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [250288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11086), 1,
      anon_sym_SEMI,
    STATE(6408), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7617), 1,
      sym_attribute_specifier,
  [250307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11088), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7441), 1,
      sym_attribute_specifier,
  [250326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11090), 1,
      anon_sym_SEMI,
    STATE(6403), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7733), 1,
      sym_attribute_specifier,
  [250345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11092), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7746), 1,
      sym_attribute_specifier,
  [250364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2243), 1,
      sym_template_argument_list,
    ACTIONS(6006), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [250381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(11094), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(3224), 1,
      sym_template_method,
    STATE(7317), 1,
      sym_operator_name,
  [250400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11096), 1,
      anon_sym_SEMI,
    STATE(6406), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7884), 1,
      sym_attribute_specifier,
  [250419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11100), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7887), 1,
      sym_attribute_specifier,
  [250457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11102), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7889), 1,
      sym_attribute_specifier,
  [250476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(11104), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2312), 1,
      sym_template_method,
    STATE(7156), 1,
      sym_operator_name,
  [250495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11106), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7980), 1,
      sym_attribute_specifier,
  [250514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11108), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7997), 1,
      sym_attribute_specifier,
  [250533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11110), 1,
      anon_sym_SEMI,
    STATE(6419), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7485), 1,
      sym_attribute_specifier,
  [250552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11112), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7928), 1,
      sym_attribute_specifier,
  [250571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(2450), 1,
      sym_decltype_auto,
    ACTIONS(11114), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8810), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8814), 1,
      anon_sym_EQ,
    ACTIONS(11116), 1,
      sym_identifier,
    ACTIONS(8812), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    ACTIONS(11118), 1,
      anon_sym_RPAREN,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11120), 1,
      anon_sym_SEMI,
    STATE(6417), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7478), 1,
      sym_attribute_specifier,
  [250643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11122), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7494), 1,
      sym_attribute_specifier,
  [250662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11124), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7510), 1,
      sym_attribute_specifier,
  [250681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      anon_sym_RPAREN,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [250700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11128), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7651), 1,
      sym_attribute_specifier,
  [250719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11130), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7674), 1,
      sym_attribute_specifier,
  [250738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10659), 1,
      anon_sym_inline,
    ACTIONS(11132), 1,
      sym_identifier,
    STATE(7567), 1,
      sym__namespace_specifier,
    STATE(7810), 1,
      sym_nested_namespace_specifier,
  [250757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11134), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8021), 1,
      sym_attribute_specifier,
  [250776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11136), 1,
      anon_sym_EQ,
    ACTIONS(9941), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(4092), 1,
      sym_template_argument_list,
    ACTIONS(6141), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [250806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11138), 1,
      anon_sym_SEMI,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7437), 1,
      sym_attribute_specifier,
  [250825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_operator,
    ACTIONS(11104), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2312), 1,
      sym_template_method,
    STATE(7262), 1,
      sym_operator_name,
  [250844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    ACTIONS(11142), 1,
      anon_sym_COLON_COLON,
    STATE(7239), 1,
      sym_argument_list,
    ACTIONS(11140), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [250861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8087), 1,
      anon_sym_COMMA,
    ACTIONS(11144), 1,
      anon_sym_SEMI,
    STATE(6402), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7720), 1,
      sym_attribute_specifier,
  [250880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(788), 1,
      sym_template_parameter_list,
    STATE(2127), 1,
      sym_template_type,
  [250896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(5678), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(5609), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250924] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_DQUOTE,
    ACTIONS(11150), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11152), 1,
      sym_escape_sequence,
    STATE(6433), 1,
      aux_sym_string_literal_repeat1,
  [250940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(6392), 1,
      sym_template_parameter_list,
  [250956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_COMMA,
    STATE(6511), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11156), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250970] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11158), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250984] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11162), 1,
      anon_sym_DQUOTE,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11170), 1,
      anon_sym_GT2,
    STATE(6745), 1,
      aux_sym_template_argument_list_repeat1,
  [251016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11172), 1,
      anon_sym_SEMI,
    STATE(6597), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9971), 1,
      anon_sym_LBRACE,
    STATE(2434), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(3498), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251058] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11174), 1,
      anon_sym_DQUOTE,
    ACTIONS(11176), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11178), 1,
      sym_escape_sequence,
    STATE(6441), 1,
      aux_sym_string_literal_repeat1,
  [251074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(2249), 1,
      sym_field_declaration_list,
    STATE(7182), 1,
      sym_base_class_clause,
  [251090] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11180), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251104] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11182), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11184), 1,
      anon_sym_SEMI,
    STATE(6454), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11186), 1,
      anon_sym_GT2,
    STATE(6758), 1,
      aux_sym_template_argument_list_repeat1,
  [251150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11188), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251164] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11190), 1,
      anon_sym_DQUOTE,
    ACTIONS(11192), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11194), 1,
      sym_escape_sequence,
    STATE(6448), 1,
      aux_sym_string_literal_repeat1,
  [251180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    STATE(3236), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11196), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251208] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11198), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    STATE(2401), 1,
      sym_argument_list,
    STATE(3768), 1,
      sym_initializer_list,
  [251240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11200), 1,
      anon_sym_GT2,
    STATE(6770), 1,
      aux_sym_template_argument_list_repeat1,
  [251256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym___except,
    ACTIONS(11204), 1,
      anon_sym___finally,
    STATE(237), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251270] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11206), 1,
      anon_sym_DQUOTE,
    ACTIONS(11208), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11210), 1,
      sym_escape_sequence,
    STATE(6455), 1,
      aux_sym_string_literal_repeat1,
  [251286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(3503), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11212), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251314] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11214), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9226), 1,
      anon_sym_LBRACE,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    STATE(3664), 1,
      sym_requirement_seq,
    STATE(7305), 1,
      sym_requires_parameter_list,
  [251346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11218), 1,
      anon_sym_GT2,
    STATE(6777), 1,
      aux_sym_template_argument_list_repeat1,
  [251362] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11220), 1,
      anon_sym_DQUOTE,
    ACTIONS(11222), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11224), 1,
      sym_escape_sequence,
    STATE(6459), 1,
      aux_sym_string_literal_repeat1,
  [251378] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11226), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11228), 1,
      anon_sym_GT2,
    STATE(6788), 1,
      aux_sym_template_argument_list_repeat1,
  [251410] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_DQUOTE,
    ACTIONS(11232), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11234), 1,
      sym_escape_sequence,
    STATE(6462), 1,
      aux_sym_string_literal_repeat1,
  [251426] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11236), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11238), 1,
      anon_sym_GT2,
    STATE(6796), 1,
      aux_sym_template_argument_list_repeat1,
  [251458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(11240), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [251474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    STATE(2745), 1,
      sym_field_declaration_list,
    STATE(7232), 1,
      sym_base_class_clause,
  [251490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9971), 1,
      anon_sym_LBRACE,
    STATE(2407), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251504] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11242), 1,
      anon_sym_DQUOTE,
    ACTIONS(11244), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11246), 1,
      sym_escape_sequence,
    STATE(6469), 1,
      aux_sym_string_literal_repeat1,
  [251520] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym_DQUOTE,
    ACTIONS(11250), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11252), 1,
      sym_escape_sequence,
    STATE(6480), 1,
      aux_sym_string_literal_repeat1,
  [251536] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11254), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11256), 1,
      anon_sym_GT2,
    STATE(6806), 1,
      aux_sym_template_argument_list_repeat1,
  [251568] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_DQUOTE,
    ACTIONS(11260), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11262), 1,
      sym_escape_sequence,
    STATE(6472), 1,
      aux_sym_string_literal_repeat1,
  [251584] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11264), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251600] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_DQUOTE,
    ACTIONS(11268), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11270), 1,
      sym_escape_sequence,
    STATE(6474), 1,
      aux_sym_string_literal_repeat1,
  [251616] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11272), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_LBRACE,
    STATE(3448), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251646] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11274), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11276), 1,
      anon_sym_LPAREN,
    ACTIONS(11278), 1,
      sym_preproc_arg,
    STATE(7166), 1,
      sym_preproc_params,
  [251662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11280), 1,
      anon_sym_GT2,
    STATE(6723), 1,
      aux_sym_template_argument_list_repeat1,
  [251678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4451), 1,
      sym_field_declaration_list,
    STATE(7208), 1,
      sym_base_class_clause,
  [251694] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11282), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251708] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11284), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    STATE(2971), 1,
      sym_field_declaration_list,
    STATE(7357), 1,
      sym_base_class_clause,
  [251740] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11286), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    ACTIONS(10266), 1,
      anon_sym_LBRACK,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5792), 1,
      sym__function_declarator_seq,
  [251784] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11290), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [251800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    ACTIONS(11292), 1,
      anon_sym_LBRACE,
    STATE(5369), 1,
      sym_requirement_seq,
    STATE(7378), 1,
      sym_requires_parameter_list,
  [251816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    STATE(6971), 1,
      sym_compound_statement,
    STATE(7096), 1,
      sym_field_initializer_list,
  [251832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    STATE(3321), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(11294), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [251862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11296), 1,
      anon_sym_SEMI,
    STATE(6447), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11298), 1,
      anon_sym___except,
    ACTIONS(11300), 1,
      anon_sym___finally,
    STATE(424), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(792), 1,
      sym_template_parameter_list,
    STATE(2127), 1,
      sym_template_type,
  [251920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11302), 1,
      anon_sym_SEMI,
    STATE(6528), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      anon_sym_LBRACE,
    STATE(3247), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11304), 1,
      anon_sym_EQ,
    STATE(6644), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(2859), 1,
      sym_field_declaration_list,
    STATE(7344), 1,
      sym_base_class_clause,
  [251978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4471), 1,
      sym_field_declaration_list,
    STATE(7296), 1,
      sym_base_class_clause,
  [251994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11306), 1,
      anon_sym_GT2,
    STATE(7001), 1,
      aux_sym_template_argument_list_repeat1,
  [252010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [252026] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11310), 1,
      anon_sym_DQUOTE,
    ACTIONS(11312), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11314), 1,
      sym_escape_sequence,
    STATE(6517), 1,
      aux_sym_string_literal_repeat1,
  [252042] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11316), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11318), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11322), 1,
      anon_sym_LBRACE,
    STATE(7047), 1,
      aux_sym_base_class_clause_repeat1,
  [252072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10795), 1,
      anon_sym_EQ,
    STATE(6483), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252100] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11326), 1,
      sym_preproc_arg,
    STATE(7141), 1,
      sym_preproc_params,
  [252116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11328), 1,
      anon_sym_SEMI,
    ACTIONS(11330), 1,
      anon_sym_DASH_GT,
    ACTIONS(11332), 1,
      anon_sym_noexcept,
    STATE(7604), 1,
      sym_trailing_return_type,
  [252132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11334), 1,
      anon_sym_SEMI,
    STATE(6537), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    STATE(3504), 1,
      sym_argument_list,
    STATE(4625), 1,
      sym_initializer_list,
  [252162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11336), 1,
      anon_sym_COMMA,
    STATE(6510), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11339), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [252176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_COMMA,
    STATE(6566), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11341), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [252190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11343), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [252200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11345), 1,
      anon_sym_COMMA,
    STATE(6567), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11347), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [252214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    STATE(2139), 1,
      sym_field_declaration_list,
    STATE(7161), 1,
      sym_base_class_clause,
  [252230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11349), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252244] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252258] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11353), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [252274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    STATE(6720), 1,
      sym_compound_statement,
    STATE(7306), 1,
      sym_field_initializer_list,
  [252290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4857), 1,
      anon_sym_SEMI,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1644), 1,
      sym_template_argument_list,
  [252306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11357), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_declaration_list,
  [252322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11359), 1,
      anon_sym_SEMI,
    STATE(6670), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252336] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11361), 1,
      anon_sym_DQUOTE,
    ACTIONS(11363), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11365), 1,
      sym_escape_sequence,
    STATE(6485), 1,
      aux_sym_string_literal_repeat1,
  [252352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11367), 1,
      anon_sym_SEMI,
    STATE(6637), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9198), 1,
      anon_sym_LBRACE,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    STATE(4133), 1,
      sym_requirement_seq,
    STATE(7134), 1,
      sym_requires_parameter_list,
  [252382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11369), 1,
      anon_sym_COMMA,
    STATE(6525), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11372), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 1,
      anon_sym_LBRACE,
    STATE(4191), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11374), 1,
      anon_sym___except,
    ACTIONS(11376), 1,
      anon_sym___finally,
    STATE(505), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [252424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11378), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11380), 1,
      anon_sym___except,
    ACTIONS(11382), 1,
      anon_sym___finally,
    STATE(424), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [252452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11384), 1,
      anon_sym_SEMI,
    STATE(6553), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11386), 1,
      anon_sym___except,
    ACTIONS(11388), 1,
      anon_sym___finally,
    STATE(451), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [252494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    STATE(3324), 1,
      sym_argument_list,
    STATE(3686), 1,
      sym_initializer_list,
  [252510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11390), 1,
      anon_sym_EQ,
    STATE(716), 1,
      sym_declaration_list,
  [252526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    STATE(2111), 1,
      sym_field_declaration_list,
    STATE(7202), 1,
      sym_base_class_clause,
  [252542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11392), 1,
      anon_sym_GT2,
    STATE(6922), 1,
      aux_sym_template_argument_list_repeat1,
  [252558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11394), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11398), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      aux_sym_base_class_clause_repeat1,
  [252588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      anon_sym_LBRACE,
    STATE(3349), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(11400), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [252618] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11402), 1,
      anon_sym_DQUOTE,
    ACTIONS(11404), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11406), 1,
      sym_escape_sequence,
    STATE(6550), 1,
      aux_sym_string_literal_repeat1,
  [252634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(2283), 1,
      sym_field_declaration_list,
    STATE(7215), 1,
      sym_base_class_clause,
  [252650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    STATE(2963), 1,
      sym_field_declaration_list,
    STATE(7119), 1,
      sym_base_class_clause,
  [252666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11408), 1,
      anon_sym_COMMA,
    STATE(6544), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11411), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9971), 1,
      anon_sym_LBRACE,
    STATE(2424), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    STATE(2800), 1,
      sym_field_declaration_list,
    STATE(7180), 1,
      sym_base_class_clause,
  [252710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 1,
      anon_sym_LBRACE,
    STATE(4123), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    STATE(3382), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252738] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11413), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252752] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11415), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [252768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    STATE(7011), 1,
      sym_compound_statement,
    STATE(7203), 1,
      sym_field_initializer_list,
  [252784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11417), 1,
      anon_sym_SEMI,
    STATE(6562), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11419), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(794), 1,
      sym_template_parameter_list,
    STATE(2127), 1,
      sym_template_type,
  [252828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11421), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11423), 1,
      anon_sym_GT2,
    STATE(6712), 1,
      aux_sym_template_argument_list_repeat1,
  [252858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9190), 1,
      anon_sym_LBRACE,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    STATE(3277), 1,
      sym_requirement_seq,
    STATE(7314), 1,
      sym_requires_parameter_list,
  [252874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    STATE(3525), 1,
      sym_requirement_seq,
    STATE(7183), 1,
      sym_requires_parameter_list,
  [252890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10003), 1,
      anon_sym_LBRACE,
    STATE(5399), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 1,
      anon_sym_LBRACE,
    STATE(4106), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11425), 1,
      anon_sym_SEMI,
    STATE(6580), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11427), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252946] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LPAREN,
    ACTIONS(11429), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11431), 1,
      sym_preproc_arg,
    STATE(7112), 1,
      sym_preproc_params,
  [252962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11433), 1,
      anon_sym_EQ,
    STATE(610), 1,
      sym_declaration_list,
  [252978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    STATE(2818), 1,
      sym_field_declaration_list,
    STATE(7163), 1,
      sym_base_class_clause,
  [252994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11435), 1,
      anon_sym_COMMA,
    STATE(6566), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11438), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11345), 1,
      anon_sym_COMMA,
    STATE(6577), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11440), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11442), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11444), 1,
      anon_sym_LBRACE,
    STATE(6844), 1,
      aux_sym_base_class_clause_repeat1,
  [253038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(11446), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [253054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11448), 1,
      anon_sym_GT2,
    STATE(6733), 1,
      aux_sym_template_argument_list_repeat1,
  [253070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(789), 1,
      sym_template_parameter_list,
    STATE(2127), 1,
      sym_template_type,
  [253086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11450), 1,
      anon_sym_GT2,
    STATE(6696), 1,
      aux_sym_template_argument_list_repeat1,
  [253102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(2852), 1,
      sym_field_declaration_list,
    STATE(7086), 1,
      sym_base_class_clause,
  [253118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10003), 1,
      anon_sym_LBRACE,
    STATE(5413), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11452), 1,
      anon_sym_SEMI,
    STATE(6444), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11454), 1,
      anon_sym_SEMI,
    STATE(6594), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11456), 1,
      anon_sym_COMMA,
    STATE(6577), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11459), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    STATE(7027), 1,
      sym_compound_statement,
    STATE(7258), 1,
      sym_field_initializer_list,
  [253190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(790), 1,
      sym_template_parameter_list,
    STATE(2127), 1,
      sym_template_type,
  [253206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11461), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11463), 1,
      sym_identifier,
    ACTIONS(11465), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [253232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11343), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [253242] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11467), 1,
      anon_sym_DQUOTE,
    ACTIONS(11469), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11471), 1,
      sym_escape_sequence,
    STATE(6596), 1,
      aux_sym_string_literal_repeat1,
  [253258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    STATE(6710), 1,
      sym_compound_statement,
    STATE(7275), 1,
      sym_field_initializer_list,
  [253274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(791), 1,
      sym_template_parameter_list,
    STATE(2127), 1,
      sym_template_type,
  [253290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(793), 1,
      sym_template_parameter_list,
    STATE(2127), 1,
      sym_template_type,
  [253306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10003), 1,
      anon_sym_LBRACE,
    STATE(5417), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253320] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LPAREN,
    ACTIONS(11473), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11475), 1,
      sym_preproc_arg,
    STATE(7312), 1,
      sym_preproc_params,
  [253336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6541), 1,
      anon_sym_LPAREN2,
    STATE(3488), 1,
      sym_initializer_list,
    STATE(3504), 1,
      sym_argument_list,
  [253352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    STATE(6964), 1,
      sym_compound_statement,
    STATE(7286), 1,
      sym_field_initializer_list,
  [253368] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11477), 1,
      anon_sym_DQUOTE,
    ACTIONS(11479), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11481), 1,
      sym_escape_sequence,
    STATE(6672), 1,
      aux_sym_string_literal_repeat1,
  [253384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(2514), 1,
      sym_field_declaration_list,
    STATE(7322), 1,
      sym_base_class_clause,
  [253400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_LBRACE,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    STATE(2371), 1,
      sym_initializer_list,
    STATE(2401), 1,
      sym_argument_list,
  [253416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11483), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253430] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11485), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253444] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11487), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [253460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11489), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11491), 1,
      anon_sym_GT2,
    STATE(6749), 1,
      aux_sym_template_argument_list_repeat1,
  [253490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(11493), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [253506] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11495), 1,
      anon_sym_DQUOTE,
    ACTIONS(11497), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11499), 1,
      sym_escape_sequence,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [253522] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11501), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [253538] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LPAREN,
    ACTIONS(11503), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11505), 1,
      sym_preproc_arg,
    STATE(7345), 1,
      sym_preproc_params,
  [253554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    ACTIONS(11507), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_requirement_seq,
    STATE(7140), 1,
      sym_requires_parameter_list,
  [253570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9985), 1,
      anon_sym_LBRACE,
    STATE(3678), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4686), 1,
      sym_field_declaration_list,
    STATE(7210), 1,
      sym_base_class_clause,
  [253600] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LPAREN,
    ACTIONS(11509), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11511), 1,
      sym_preproc_arg,
    STATE(7083), 1,
      sym_preproc_params,
  [253616] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11513), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253630] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11515), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11517), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11520), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253658] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11522), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [253674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11524), 1,
      anon_sym_SEMI,
    STATE(6627), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11526), 1,
      anon_sym_EQ,
    STATE(6650), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 1,
      anon_sym___except,
    ACTIONS(11530), 1,
      anon_sym___finally,
    STATE(854), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [253716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    ACTIONS(11532), 1,
      anon_sym_LBRACE,
    STATE(5639), 1,
      sym_requirement_seq,
    STATE(7172), 1,
      sym_requires_parameter_list,
  [253732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(2521), 1,
      sym_field_declaration_list,
    STATE(7339), 1,
      sym_base_class_clause,
  [253748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(6517), 1,
      anon_sym_LPAREN2,
    STATE(3324), 1,
      sym_argument_list,
    STATE(3325), 1,
      sym_initializer_list,
  [253764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11534), 1,
      anon_sym_GT2,
    STATE(7035), 1,
      aux_sym_template_argument_list_repeat1,
  [253780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6176), 1,
      anon_sym_LT,
    ACTIONS(11536), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [253810] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11538), 1,
      anon_sym_DQUOTE,
    ACTIONS(11540), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11543), 1,
      sym_escape_sequence,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [253826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(11546), 1,
      aux_sym_preproc_if_token2,
    STATE(6253), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
  [253842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11550), 1,
      anon_sym_LBRACE,
    STATE(6690), 1,
      aux_sym_base_class_clause_repeat1,
  [253858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      anon_sym_LBRACE,
    STATE(3230), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(11552), 1,
      aux_sym_preproc_if_token2,
    STATE(6242), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [253886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9985), 1,
      anon_sym_LBRACE,
    STATE(3722), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    STATE(6648), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11556), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(4952), 1,
      sym_field_declaration_list,
    STATE(7333), 1,
      sym_base_class_clause,
  [253944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(4955), 1,
      sym_field_declaration_list,
    STATE(7335), 1,
      sym_base_class_clause,
  [253960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11558), 1,
      anon_sym_SEMI,
    STATE(6642), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4690), 1,
      sym_field_declaration_list,
    STATE(7249), 1,
      sym_base_class_clause,
  [253990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11560), 1,
      anon_sym_SEMI,
    STATE(6515), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(6991), 2,
      sym_argument_list,
      sym_initializer_list,
  [254018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11562), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10799), 1,
      anon_sym_EQ,
    STATE(6609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11564), 1,
      anon_sym_GT2,
    STATE(6717), 1,
      aux_sym_template_argument_list_repeat1,
  [254062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11566), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11568), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10836), 1,
      anon_sym_EQ,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11570), 1,
      anon_sym_SEMI,
    STATE(6649), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11572), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9985), 1,
      anon_sym_LBRACE,
    STATE(3671), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11574), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10861), 1,
      anon_sym_EQ,
    STATE(6639), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10619), 1,
      anon_sym_COMMA,
    STATE(6525), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11576), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [254216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11578), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11580), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11582), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10819), 1,
      anon_sym_EQ,
    STATE(6656), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254272] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11584), 1,
      anon_sym_DQUOTE,
    ACTIONS(11586), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11588), 1,
      sym_escape_sequence,
    STATE(6674), 1,
      aux_sym_string_literal_repeat1,
  [254288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    STATE(6675), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11592), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    STATE(3844), 1,
      sym_field_declaration_list,
    STATE(7090), 1,
      sym_base_class_clause,
  [254318] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_DQUOTE,
    ACTIONS(11596), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11598), 1,
      sym_escape_sequence,
    STATE(6681), 1,
      aux_sym_string_literal_repeat1,
  [254334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11600), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10865), 1,
      anon_sym_EQ,
    STATE(6659), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254362] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11602), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11604), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10840), 1,
      anon_sym_EQ,
    STATE(6662), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7145), 1,
      sym_argument_list,
    ACTIONS(11606), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [254418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11608), 1,
      anon_sym_EQ,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(7365), 1,
      sym_base_class_clause,
  [254448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(7266), 1,
      sym_base_class_clause,
  [254464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(3558), 1,
      sym_field_declaration_list,
    STATE(7366), 1,
      sym_base_class_clause,
  [254480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token2,
    STATE(6621), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8137), 1,
      sym_enumerator,
  [254496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11610), 1,
      anon_sym_SEMI,
    STATE(6555), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11612), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [254520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(11614), 1,
      aux_sym_preproc_if_token2,
    STATE(6624), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [254534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11616), 1,
      anon_sym_SEMI,
    STATE(4075), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254548] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11618), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254562] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11620), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [254578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11622), 1,
      anon_sym_GT2,
    STATE(6864), 1,
      aux_sym_template_argument_list_repeat1,
  [254594] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11624), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [254610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    STATE(6510), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11626), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11628), 1,
      anon_sym_EQ,
    STATE(291), 1,
      sym_declaration_list,
  [254640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(5657), 1,
      sym_compound_statement,
    ACTIONS(9941), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254654] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11630), 1,
      anon_sym_DQUOTE,
    ACTIONS(11632), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11634), 1,
      sym_escape_sequence,
    STATE(6601), 1,
      aux_sym_string_literal_repeat1,
  [254670] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11636), 1,
      anon_sym_SQUOTE,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11160), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    STATE(3356), 1,
      sym_requirement_seq,
    STATE(7108), 1,
      sym_requires_parameter_list,
  [254700] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11166), 1,
      sym_escape_sequence,
    ACTIONS(11638), 1,
      anon_sym_DQUOTE,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [254716] = 5,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LPAREN,
    ACTIONS(11640), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11642), 1,
      sym_preproc_arg,
    STATE(7126), 1,
      sym_preproc_params,
  [254732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    STATE(3828), 1,
      sym_field_declaration_list,
    STATE(7103), 1,
      sym_base_class_clause,
  [254748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9208), 1,
      anon_sym_LBRACE,
    ACTIONS(11216), 1,
      anon_sym_LPAREN2,
    STATE(2376), 1,
      sym_requirement_seq,
    STATE(7415), 1,
      sym_requires_parameter_list,
  [254764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    STATE(6901), 1,
      sym_compound_statement,
    STATE(7236), 1,
      sym_field_initializer_list,
  [254780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(5799), 1,
      sym_template_function,
  [254793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(713), 1,
      sym_declaration_list,
  [254806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_RPAREN,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    STATE(6762), 1,
      sym_gnu_asm_input_operand_list,
  [254819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11650), 1,
      anon_sym_GT2,
    STATE(6697), 1,
      aux_sym_template_argument_list_repeat1,
  [254832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11398), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      aux_sym_base_class_clause_repeat1,
  [254845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11652), 1,
      anon_sym_SEMI,
    STATE(6698), 1,
      aux_sym_declaration_repeat1,
  [254858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11654), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [254871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11656), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [254884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11658), 1,
      anon_sym_catch,
    STATE(827), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [254908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11662), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [254921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11664), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [254934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11666), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [254947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11670), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [254958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11672), 1,
      anon_sym_SEMI,
    STATE(6761), 1,
      aux_sym_declaration_repeat1,
  [254971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11674), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [254984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [254997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [255006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(11680), 1,
      anon_sym_RPAREN,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [255019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(356), 1,
      sym_declaration_list,
  [255032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11682), 1,
      anon_sym_RPAREN,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    STATE(6763), 1,
      sym_gnu_asm_output_operand_list,
  [255045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_RBRACE,
    ACTIONS(11686), 1,
      anon_sym_COMMA,
    STATE(6944), 1,
      aux_sym_initializer_list_repeat1,
  [255058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11688), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(11692), 1,
      anon_sym_LBRACE,
    STATE(6987), 1,
      aux_sym_field_initializer_list_repeat1,
  [255084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_catch,
    STATE(1636), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11696), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(3103), 1,
      sym_template_function,
  [255108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11698), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11700), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11702), 1,
      anon_sym_GT2,
    STATE(6718), 1,
      aux_sym_template_argument_list_repeat1,
  [255147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(11706), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6891), 1,
      aux_sym_attribute_declaration_repeat1,
  [255160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11708), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11710), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11712), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(11714), 1,
      anon_sym_RPAREN,
    STATE(6779), 1,
      sym_gnu_asm_input_operand_list,
  [255212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11716), 1,
      anon_sym_catch,
    STATE(588), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(11718), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      sym_gnu_asm_output_operand_list,
  [255236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11720), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11722), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11724), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_while,
    ACTIONS(11726), 1,
      anon_sym_else,
    STATE(453), 1,
      sym_else_clause,
  [255288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(11728), 1,
      anon_sym_RPAREN,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [255301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11730), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_template_type,
    STATE(3360), 1,
      sym_template_function,
  [255314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4353), 1,
      anon_sym_RBRACE,
    ACTIONS(11732), 1,
      anon_sym_COMMA,
    STATE(6944), 1,
      aux_sym_initializer_list_repeat1,
  [255327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11734), 1,
      anon_sym_GT2,
    STATE(6734), 1,
      aux_sym_template_argument_list_repeat1,
  [255340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11736), 1,
      anon_sym_COMMA,
    ACTIONS(11738), 1,
      anon_sym_GT2,
    STATE(6833), 1,
      aux_sym_template_parameter_list_repeat1,
  [255353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11740), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [255366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11742), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11744), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11746), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_RPAREN,
    STATE(6859), 1,
      aux_sym_parameter_list_repeat1,
  [255418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11752), 1,
      anon_sym_catch,
    STATE(223), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(11754), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [255442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(11756), 1,
      anon_sym_RBRACK,
    STATE(7077), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11736), 1,
      anon_sym_COMMA,
    ACTIONS(11758), 1,
      anon_sym_GT2,
    STATE(6833), 1,
      aux_sym_template_parameter_list_repeat1,
  [255468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(11760), 1,
      anon_sym_RPAREN,
    STATE(6782), 1,
      sym_gnu_asm_input_operand_list,
  [255481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11762), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_template_type,
    STATE(2409), 1,
      sym_template_function,
  [255494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(11764), 1,
      anon_sym_RPAREN,
    STATE(6783), 1,
      sym_gnu_asm_output_operand_list,
  [255507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11766), 1,
      anon_sym_GT2,
    STATE(6746), 1,
      aux_sym_template_argument_list_repeat1,
  [255520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11768), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11770), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11774), 1,
      anon_sym_RPAREN,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    STATE(7629), 1,
      sym_gnu_asm_goto_list,
  [255572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11778), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11780), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_RPAREN,
    STATE(6954), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8282), 1,
      anon_sym_RPAREN,
    STATE(6704), 1,
      aux_sym_argument_list_repeat1,
  [255637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11786), 1,
      anon_sym_RPAREN,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    STATE(6876), 1,
      sym_gnu_asm_clobber_list,
  [255650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11790), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [255663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11670), 1,
      anon_sym_LBRACE,
    ACTIONS(11792), 1,
      anon_sym_COMMA,
    STATE(6755), 1,
      aux_sym_base_class_clause_repeat1,
  [255676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11795), 1,
      anon_sym_GT2,
    STATE(6759), 1,
      aux_sym_template_argument_list_repeat1,
  [255689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11797), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11799), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11801), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7346), 1,
      anon_sym_EQ,
    ACTIONS(7344), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [255739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11803), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [255752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(6827), 1,
      sym_gnu_asm_clobber_list,
  [255765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
    STATE(6828), 1,
      sym_gnu_asm_input_operand_list,
  [255778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(294), 1,
      sym_declaration_list,
  [255791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(11809), 1,
      anon_sym_RPAREN,
    STATE(6747), 1,
      sym_gnu_asm_clobber_list,
  [255804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_catch,
    STATE(1635), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11811), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2409), 1,
      sym_template_function,
  [255828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11813), 1,
      anon_sym_GT2,
    STATE(6771), 1,
      aux_sym_template_argument_list_repeat1,
  [255841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11815), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11817), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11819), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(11821), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      sym_gnu_asm_input_operand_list,
  [255893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11823), 1,
      anon_sym_SEMI,
    STATE(6702), 1,
      aux_sym_declaration_repeat1,
  [255906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym_identifier,
    STATE(2488), 1,
      sym_template_type,
    STATE(3451), 1,
      sym_template_function,
  [255919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11827), 1,
      anon_sym_GT2,
    STATE(6778), 1,
      aux_sym_template_argument_list_repeat1,
  [255932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11831), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11833), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [255971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(11835), 1,
      anon_sym_RPAREN,
    STATE(6802), 1,
      sym_gnu_asm_clobber_list,
  [255984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(11837), 1,
      anon_sym_RPAREN,
    STATE(6808), 1,
      sym_gnu_asm_input_operand_list,
  [255997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11839), 1,
      anon_sym_SEMI,
    STATE(6963), 1,
      aux_sym_declaration_repeat1,
  [256010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(11841), 1,
      anon_sym_RPAREN,
    STATE(6793), 1,
      sym_gnu_asm_clobber_list,
  [256023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(11843), 1,
      anon_sym_RPAREN,
    STATE(6798), 1,
      sym_gnu_asm_input_operand_list,
  [256036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11845), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [256049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11330), 1,
      anon_sym_DASH_GT,
    ACTIONS(11847), 1,
      anon_sym_SEMI,
    STATE(7864), 1,
      sym_trailing_return_type,
  [256062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11849), 1,
      anon_sym_GT2,
    STATE(6789), 1,
      aux_sym_template_argument_list_repeat1,
  [256075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11851), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11853), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11855), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11857), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8284), 1,
      anon_sym_COMMA,
    ACTIONS(8286), 1,
      anon_sym_RBRACE,
    STATE(6707), 1,
      aux_sym_initializer_list_repeat1,
  [256138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11859), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(3360), 1,
      sym_template_function,
  [256151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(11861), 1,
      anon_sym_RPAREN,
    STATE(7743), 1,
      sym_gnu_asm_goto_list,
  [256164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11863), 1,
      anon_sym_GT2,
    STATE(6797), 1,
      aux_sym_template_argument_list_repeat1,
  [256177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11867), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11869), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(11871), 1,
      anon_sym_RPAREN,
    STATE(6800), 1,
      sym_gnu_asm_clobber_list,
  [256229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11873), 1,
      anon_sym_COMMA,
    ACTIONS(11875), 1,
      anon_sym_RPAREN,
    STATE(6887), 1,
      aux_sym_throw_specifier_repeat1,
  [256242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(11877), 1,
      anon_sym_RPAREN,
    STATE(7794), 1,
      sym_gnu_asm_goto_list,
  [256255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11879), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [256268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
    STATE(7910), 1,
      sym_gnu_asm_goto_list,
  [256281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(11883), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_generic_expression_repeat1,
  [256294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11885), 1,
      anon_sym_GT2,
    STATE(6807), 1,
      aux_sym_template_argument_list_repeat1,
  [256307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11887), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11889), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11891), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(11893), 1,
      anon_sym_RPAREN,
    STATE(6815), 1,
      sym_gnu_asm_clobber_list,
  [256359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11895), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(3451), 1,
      sym_template_function,
  [256372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_COMMA,
    ACTIONS(11900), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11902), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2409), 1,
      sym_template_function,
  [256398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [256411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    ACTIONS(11908), 1,
      anon_sym_constexpr,
    STATE(165), 1,
      sym_condition_clause,
  [256424] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6482), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11910), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(11912), 1,
      anon_sym_RPAREN,
    STATE(8049), 1,
      sym_gnu_asm_goto_list,
  [256448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11916), 1,
      anon_sym_RPAREN,
    ACTIONS(11914), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [256459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11918), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [256468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_generic_expression_repeat1,
  [256481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11398), 1,
      anon_sym_LBRACE,
    STATE(6886), 1,
      aux_sym_base_class_clause_repeat1,
  [256494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11716), 1,
      anon_sym_catch,
    STATE(325), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11922), 1,
      anon_sym_EQ,
    ACTIONS(10801), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [256516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11924), 1,
      anon_sym_SEMI,
    STATE(6979), 1,
      aux_sym_declaration_repeat1,
  [256529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
    STATE(7058), 1,
      aux_sym_argument_list_repeat1,
  [256542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11926), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [256551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11736), 1,
      anon_sym_COMMA,
    ACTIONS(11928), 1,
      anon_sym_GT2,
    STATE(6739), 1,
      aux_sym_template_parameter_list_repeat1,
  [256564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [256573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(11932), 1,
      anon_sym_RPAREN,
    STATE(7582), 1,
      sym_gnu_asm_goto_list,
  [256586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(11934), 1,
      anon_sym_RPAREN,
    STATE(6838), 1,
      sym_gnu_asm_clobber_list,
  [256599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11936), 1,
      anon_sym_default,
    ACTIONS(11938), 1,
      anon_sym_delete,
    ACTIONS(11940), 1,
      aux_sym_pure_virtual_clause_token1,
  [256612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11942), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [256625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8324), 1,
      anon_sym_RBRACK,
    STATE(6976), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11944), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [256651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      anon_sym_COMMA,
    ACTIONS(11949), 1,
      anon_sym_GT2,
    STATE(6833), 1,
      aux_sym_template_parameter_list_repeat1,
  [256664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11951), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11953), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11957), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [256693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 1,
      anon_sym_SEMI,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1644), 1,
      sym_template_argument_list,
  [256706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(11959), 1,
      anon_sym_RPAREN,
    STATE(7728), 1,
      sym_gnu_asm_goto_list,
  [256719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(11961), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_generic_expression_repeat1,
  [256732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [256745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11965), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_template_type,
    STATE(3103), 1,
      sym_template_function,
  [256758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11967), 1,
      anon_sym_COMMA,
    ACTIONS(11969), 1,
      anon_sym_RPAREN,
    STATE(6943), 1,
      aux_sym_requires_parameter_list_repeat1,
  [256771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11971), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [256784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11973), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      aux_sym_base_class_clause_repeat1,
  [256797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11975), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [256810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(11977), 1,
      anon_sym_RPAREN,
    STATE(6719), 1,
      sym_gnu_asm_output_operand_list,
  [256823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11979), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11981), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(11983), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [256847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11973), 1,
      anon_sym_LBRACE,
    STATE(6917), 1,
      aux_sym_base_class_clause_repeat1,
  [256860] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11985), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11987), 1,
      anon_sym_LPAREN2,
    STATE(7663), 1,
      sym_preproc_argument_list,
  [256873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11989), 1,
      anon_sym_COMMA,
    ACTIONS(11992), 1,
      anon_sym_RPAREN,
    STATE(6851), 1,
      aux_sym_requires_parameter_list_repeat1,
  [256886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(11994), 1,
      anon_sym_GT2,
    STATE(6724), 1,
      aux_sym_template_argument_list_repeat1,
  [256899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_COMMA,
    ACTIONS(11996), 1,
      anon_sym_RBRACK,
    STATE(6983), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [256912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_COMMA,
    ACTIONS(11998), 1,
      anon_sym_RPAREN,
    STATE(6954), 1,
      aux_sym_preproc_argument_list_repeat1,
  [256925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12000), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12002), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6904), 1,
      aux_sym_attribute_declaration_repeat1,
  [256947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_COMMA,
    ACTIONS(12006), 1,
      anon_sym_RPAREN,
    STATE(6956), 1,
      aux_sym_preproc_params_repeat1,
  [256960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6881), 1,
      aux_sym_attribute_declaration_repeat1,
  [256973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12010), 1,
      anon_sym_COMMA,
    ACTIONS(12013), 1,
      anon_sym_RPAREN,
    STATE(6859), 1,
      aux_sym_parameter_list_repeat1,
  [256986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      anon_sym_RPAREN,
    STATE(6859), 1,
      aux_sym_parameter_list_repeat1,
  [256999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_default,
    ACTIONS(12019), 1,
      anon_sym_delete,
    ACTIONS(12021), 1,
      aux_sym_pure_virtual_clause_token1,
  [257012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8205), 1,
      anon_sym_RBRACE,
    ACTIONS(8405), 1,
      anon_sym_COMMA,
    STATE(7076), 1,
      aux_sym_initializer_list_repeat1,
  [257025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12023), 1,
      anon_sym_COMMA,
    ACTIONS(12026), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [257038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12028), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [257051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    ACTIONS(12030), 1,
      anon_sym_constexpr,
    STATE(162), 1,
      sym_condition_clause,
  [257064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11873), 1,
      anon_sym_COMMA,
    ACTIONS(12032), 1,
      anon_sym_RPAREN,
    STATE(6799), 1,
      aux_sym_throw_specifier_repeat1,
  [257077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      anon_sym_catch,
    STATE(302), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_catch,
    STATE(1638), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11322), 1,
      anon_sym_LBRACE,
    STATE(7047), 1,
      aux_sym_base_class_clause_repeat1,
  [257112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_RPAREN,
    ACTIONS(12036), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [257123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_SEMI,
    STATE(6896), 1,
      aux_sym_declaration_repeat1,
  [257136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12042), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [257149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8418), 1,
      anon_sym_RPAREN,
    STATE(7067), 1,
      aux_sym_argument_list_repeat1,
  [257162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12044), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2409), 1,
      sym_template_function,
  [257175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12046), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [257188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(12048), 1,
      anon_sym_RPAREN,
    STATE(7536), 1,
      sym_gnu_asm_goto_list,
  [257201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(630), 1,
      sym_declaration_list,
  [257214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12050), 1,
      anon_sym_SEMI,
    STATE(6950), 1,
      aux_sym_declaration_repeat1,
  [257227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12052), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [257240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_RPAREN,
    STATE(6859), 1,
      aux_sym_parameter_list_repeat1,
  [257253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12056), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [257266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 1,
      anon_sym_COMMA,
    ACTIONS(8276), 1,
      anon_sym_RBRACE,
    STATE(7072), 1,
      aux_sym_initializer_list_repeat1,
  [257279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    STATE(6912), 1,
      aux_sym_argument_list_repeat1,
  [257292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(675), 1,
      sym_declaration_list,
  [257305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8376), 1,
      anon_sym_COMMA,
    ACTIONS(8378), 1,
      anon_sym_RBRACE,
    STATE(6914), 1,
      aux_sym_initializer_list_repeat1,
  [257318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11322), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      aux_sym_base_class_clause_repeat1,
  [257331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12058), 1,
      anon_sym_COMMA,
    ACTIONS(12061), 1,
      anon_sym_RPAREN,
    STATE(6887), 1,
      aux_sym_throw_specifier_repeat1,
  [257344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      anon_sym_RPAREN,
    ACTIONS(12063), 1,
      anon_sym_COMMA,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [257357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12066), 1,
      anon_sym_COMMA,
    ACTIONS(12069), 1,
      anon_sym_LBRACE,
    STATE(6889), 1,
      aux_sym_field_initializer_list_repeat1,
  [257370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
    STATE(6919), 1,
      sym_gnu_asm_output_operand_list,
  [257383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [257396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12075), 1,
      anon_sym_GT2,
    STATE(6923), 1,
      aux_sym_template_argument_list_repeat1,
  [257409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    ACTIONS(12077), 1,
      anon_sym_RBRACK,
    STATE(7060), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [257422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12079), 1,
      anon_sym_SEMI,
    STATE(6925), 1,
      aux_sym_declaration_repeat1,
  [257435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12081), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [257448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12083), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [257461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12085), 1,
      anon_sym_catch,
    STATE(382), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12087), 1,
      anon_sym_RPAREN,
    STATE(6928), 1,
      aux_sym_parameter_list_repeat1,
  [257485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    ACTIONS(12089), 1,
      anon_sym_constexpr,
    STATE(181), 1,
      sym_condition_clause,
  [257498] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6671), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12091), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12093), 1,
      anon_sym_catch,
    STATE(1788), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12095), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7017), 1,
      aux_sym_attribute_declaration_repeat1,
  [257533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(12097), 1,
      anon_sym_RBRACK,
    STATE(7077), 1,
      aux_sym_subscript_argument_list_repeat1,
  [257546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12099), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [257559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_argument_list_repeat1,
  [257572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12101), 1,
      sym_identifier,
    ACTIONS(12103), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [257583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8218), 1,
      anon_sym_RPAREN,
    STATE(6980), 1,
      aux_sym_argument_list_repeat1,
  [257596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(11726), 1,
      anon_sym_else,
    STATE(427), 1,
      sym_else_clause,
  [257609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12105), 1,
      anon_sym_default,
    ACTIONS(12107), 1,
      anon_sym_delete,
    ACTIONS(12109), 1,
      aux_sym_pure_virtual_clause_token1,
  [257622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8382), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [257631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12111), 1,
      anon_sym_SEMI,
    STATE(6731), 1,
      aux_sym_declaration_repeat1,
  [257644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(12113), 1,
      anon_sym_RPAREN,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [257657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(543), 1,
      sym_declaration_list,
  [257670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_RBRACE,
    ACTIONS(12115), 1,
      anon_sym_COMMA,
    STATE(6944), 1,
      aux_sym_initializer_list_repeat1,
  [257683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12117), 1,
      anon_sym_RPAREN,
    STATE(6688), 1,
      sym_gnu_asm_output_operand_list,
  [257696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12119), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12121), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(12123), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      aux_sym_base_class_clause_repeat1,
  [257720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12125), 1,
      anon_sym_GT2,
    STATE(6713), 1,
      aux_sym_template_argument_list_repeat1,
  [257733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(12127), 1,
      anon_sym_RPAREN,
    STATE(6940), 1,
      sym_gnu_asm_input_operand_list,
  [257746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12129), 1,
      anon_sym_RPAREN,
    STATE(6941), 1,
      sym_gnu_asm_output_operand_list,
  [257759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12131), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [257772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12133), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [257785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12135), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [257798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(12137), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_generic_expression_repeat1,
  [257811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12139), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [257824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12141), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12143), 1,
      anon_sym_RPAREN,
    STATE(6994), 1,
      sym_gnu_asm_output_operand_list,
  [257846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12145), 1,
      anon_sym_RPAREN,
    STATE(6859), 1,
      aux_sym_parameter_list_repeat1,
  [257859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12093), 1,
      anon_sym_catch,
    STATE(1829), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    ACTIONS(12147), 1,
      anon_sym_constexpr,
    STATE(168), 1,
      sym_condition_clause,
  [257883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(12149), 1,
      anon_sym_RPAREN,
    STATE(6765), 1,
      sym_gnu_asm_input_operand_list,
  [257896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11736), 1,
      anon_sym_COMMA,
    ACTIONS(12151), 1,
      anon_sym_GT2,
    STATE(6730), 1,
      aux_sym_template_parameter_list_repeat1,
  [257909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12153), 1,
      anon_sym_GT2,
    STATE(7002), 1,
      aux_sym_template_argument_list_repeat1,
  [257922] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11987), 1,
      anon_sym_LPAREN2,
    ACTIONS(12155), 1,
      aux_sym_preproc_include_token2,
    STATE(7663), 1,
      sym_preproc_argument_list,
  [257935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12157), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [257948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12159), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [257961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    ACTIONS(12161), 1,
      anon_sym_constexpr,
    STATE(193), 1,
      sym_condition_clause,
  [257974] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6516), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12163), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12165), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(12167), 1,
      anon_sym_RPAREN,
    STATE(6945), 1,
      sym_gnu_asm_clobber_list,
  [258007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(12169), 1,
      anon_sym_RPAREN,
    STATE(6946), 1,
      sym_gnu_asm_input_operand_list,
  [258020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12171), 1,
      anon_sym_COMMA,
    ACTIONS(12173), 1,
      anon_sym_RPAREN,
    STATE(6967), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [258033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11967), 1,
      anon_sym_COMMA,
    ACTIONS(12175), 1,
      anon_sym_RPAREN,
    STATE(6851), 1,
      aux_sym_requires_parameter_list_repeat1,
  [258046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8412), 1,
      anon_sym_RBRACE,
    ACTIONS(12177), 1,
      anon_sym_COMMA,
    STATE(6944), 1,
      aux_sym_initializer_list_repeat1,
  [258059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(12180), 1,
      anon_sym_RPAREN,
    STATE(7546), 1,
      sym_gnu_asm_goto_list,
  [258072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(12182), 1,
      anon_sym_RPAREN,
    STATE(6951), 1,
      sym_gnu_asm_clobber_list,
  [258085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 1,
      anon_sym_default,
    ACTIONS(12186), 1,
      anon_sym_delete,
    ACTIONS(12188), 1,
      aux_sym_pure_virtual_clause_token1,
  [258098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12190), 1,
      anon_sym_SEMI,
    STATE(7007), 1,
      aux_sym_declaration_repeat1,
  [258111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12192), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [258124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12194), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [258137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(12196), 1,
      anon_sym_RPAREN,
    STATE(7556), 1,
      sym_gnu_asm_goto_list,
  [258150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(12198), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_generic_expression_repeat1,
  [258163] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11987), 1,
      anon_sym_LPAREN2,
    ACTIONS(12200), 1,
      aux_sym_preproc_include_token2,
    STATE(7663), 1,
      sym_preproc_argument_list,
  [258176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9575), 1,
      anon_sym_RPAREN,
    ACTIONS(12202), 1,
      anon_sym_COMMA,
    STATE(6954), 1,
      aux_sym_preproc_argument_list_repeat1,
  [258189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12205), 1,
      anon_sym_RPAREN,
    STATE(6735), 1,
      aux_sym_parameter_list_repeat1,
  [258202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12207), 1,
      anon_sym_COMMA,
    ACTIONS(12210), 1,
      anon_sym_RPAREN,
    STATE(6956), 1,
      aux_sym_preproc_params_repeat1,
  [258215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12212), 1,
      anon_sym_COMMA,
    ACTIONS(12215), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_generic_expression_repeat1,
  [258228] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6595), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12217), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12219), 1,
      anon_sym_SEMI,
    STATE(6848), 1,
      aux_sym_declaration_repeat1,
  [258252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12221), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [258261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12223), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [258274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12225), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [258283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12227), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [258296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12229), 1,
      anon_sym_catch,
    STATE(1817), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12231), 1,
      anon_sym_default,
    ACTIONS(12233), 1,
      anon_sym_delete,
    ACTIONS(12235), 1,
      aux_sym_pure_virtual_clause_token1,
  [258320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12237), 1,
      anon_sym_RPAREN,
    STATE(6860), 1,
      aux_sym_parameter_list_repeat1,
  [258333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12171), 1,
      anon_sym_COMMA,
    ACTIONS(12239), 1,
      anon_sym_RPAREN,
    STATE(6969), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [258346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12241), 1,
      anon_sym_SEMI,
    STATE(6845), 1,
      aux_sym_declaration_repeat1,
  [258359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12243), 1,
      anon_sym_COMMA,
    ACTIONS(12246), 1,
      anon_sym_RPAREN,
    STATE(6969), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [258372] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6502), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12248), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12085), 1,
      anon_sym_catch,
    STATE(395), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    ACTIONS(8368), 1,
      anon_sym_RBRACE,
    STATE(6728), 1,
      aux_sym_initializer_list_repeat1,
  [258407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12250), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [258420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12252), 1,
      anon_sym_default,
    ACTIONS(12254), 1,
      anon_sym_delete,
    ACTIONS(12256), 1,
      aux_sym_pure_virtual_clause_token1,
  [258433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12258), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [258442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(12260), 1,
      anon_sym_RBRACK,
    STATE(7077), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [258464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_COMMA,
    ACTIONS(12264), 1,
      anon_sym_RPAREN,
    STATE(6857), 1,
      aux_sym_preproc_params_repeat1,
  [258477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12266), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [258490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      anon_sym_RPAREN,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [258503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    ACTIONS(12270), 1,
      anon_sym_constexpr,
    STATE(173), 1,
      sym_condition_clause,
  [258516] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6479), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12272), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_COMMA,
    ACTIONS(12274), 1,
      anon_sym_RBRACK,
    STATE(7059), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [258540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12276), 1,
      anon_sym_default,
    ACTIONS(12278), 1,
      anon_sym_delete,
    ACTIONS(12280), 1,
      aux_sym_pure_virtual_clause_token1,
  [258553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12282), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7012), 1,
      aux_sym_attribute_declaration_repeat1,
  [258566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12284), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12286), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [258577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(12288), 1,
      anon_sym_LBRACE,
    STATE(6889), 1,
      aux_sym_field_initializer_list_repeat1,
  [258590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12290), 1,
      anon_sym_RPAREN,
    STATE(6931), 1,
      sym_gnu_asm_output_operand_list,
  [258603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8344), 1,
      anon_sym_RBRACK,
    STATE(6903), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258616] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6549), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12292), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12294), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12296), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [258638] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6607), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12298), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12300), 1,
      anon_sym_RPAREN,
    STATE(6880), 1,
      aux_sym_parameter_list_repeat1,
  [258662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(12302), 1,
      anon_sym_RPAREN,
    STATE(7014), 1,
      sym_gnu_asm_input_operand_list,
  [258675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12304), 1,
      anon_sym_RPAREN,
    STATE(7015), 1,
      sym_gnu_asm_output_operand_list,
  [258688] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6658), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12306), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12308), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [258712] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6432), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12310), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258723] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6440), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12312), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12093), 1,
      anon_sym_catch,
    STATE(1810), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12314), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [258758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12316), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [258771] = 4,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11987), 1,
      anon_sym_LPAREN2,
    ACTIONS(12318), 1,
      aux_sym_preproc_include_token2,
    STATE(7663), 1,
      sym_preproc_argument_list,
  [258784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_RBRACK,
    STATE(7060), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [258797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_SEMI,
    STATE(7025), 1,
      aux_sym_declaration_repeat1,
  [258810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10679), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [258819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12324), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [258832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12326), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2719), 1,
      sym_template_function,
  [258845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12229), 1,
      anon_sym_catch,
    STATE(1791), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8340), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [258865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11752), 1,
      anon_sym_catch,
    STATE(221), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12328), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [258889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8266), 1,
      anon_sym_RPAREN,
    STATE(7029), 1,
      aux_sym_argument_list_repeat1,
  [258902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(12330), 1,
      anon_sym_RPAREN,
    STATE(7019), 1,
      sym_gnu_asm_clobber_list,
  [258915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(12332), 1,
      anon_sym_RPAREN,
    STATE(7021), 1,
      sym_gnu_asm_input_operand_list,
  [258928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8270), 1,
      anon_sym_COMMA,
    ACTIONS(8272), 1,
      anon_sym_RBRACE,
    STATE(7031), 1,
      aux_sym_initializer_list_repeat1,
  [258941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12334), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [258954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12336), 1,
      anon_sym_RPAREN,
    STATE(7032), 1,
      sym_gnu_asm_output_operand_list,
  [258967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(12338), 1,
      anon_sym_RPAREN,
    STATE(7883), 1,
      sym_gnu_asm_goto_list,
  [258980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12340), 1,
      anon_sym_GT2,
    STATE(7036), 1,
      aux_sym_template_argument_list_repeat1,
  [258993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(12342), 1,
      anon_sym_RPAREN,
    STATE(7022), 1,
      sym_gnu_asm_clobber_list,
  [259006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(12344), 1,
      anon_sym_RPAREN,
    STATE(7888), 1,
      sym_gnu_asm_goto_list,
  [259019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12346), 1,
      anon_sym_SEMI,
    STATE(7040), 1,
      aux_sym_declaration_repeat1,
  [259032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12348), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [259045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12350), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [259058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [259067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      anon_sym_catch,
    STATE(380), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12354), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6737), 1,
      aux_sym_attribute_declaration_repeat1,
  [259091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(12356), 1,
      anon_sym_RPAREN,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [259104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12358), 1,
      anon_sym_RPAREN,
    STATE(6772), 1,
      sym_gnu_asm_output_operand_list,
  [259117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    STATE(6944), 1,
      aux_sym_initializer_list_repeat1,
  [259130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(12362), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      sym_gnu_asm_input_operand_list,
  [259143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12364), 1,
      anon_sym_RPAREN,
    STATE(7050), 1,
      sym_gnu_asm_output_operand_list,
  [259156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12366), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [259169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12368), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [259182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12370), 1,
      anon_sym_GT2,
    STATE(6810), 1,
      aux_sym_template_argument_list_repeat1,
  [259195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [259204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8356), 1,
      anon_sym_RBRACK,
    STATE(6738), 1,
      aux_sym_subscript_argument_list_repeat1,
  [259217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11957), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12372), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [259228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12374), 1,
      anon_sym_SEMI,
    STATE(6863), 1,
      aux_sym_declaration_repeat1,
  [259241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12376), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6872), 1,
      aux_sym_attribute_declaration_repeat1,
  [259254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      anon_sym_catch,
    STATE(386), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12085), 1,
      anon_sym_catch,
    STATE(309), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_COMMA,
    ACTIONS(12378), 1,
      anon_sym_RPAREN,
    STATE(6954), 1,
      aux_sym_preproc_argument_list_repeat1,
  [259289] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    STATE(6679), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12380), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [259300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12382), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7075), 1,
      aux_sym_attribute_declaration_repeat1,
  [259313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11444), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      aux_sym_base_class_clause_repeat1,
  [259326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12384), 1,
      anon_sym_COMMA,
    ACTIONS(12387), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [259339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(12389), 1,
      anon_sym_RPAREN,
    STATE(7054), 1,
      sym_gnu_asm_clobber_list,
  [259352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_COLON,
    ACTIONS(12391), 1,
      anon_sym_RPAREN,
    STATE(7055), 1,
      sym_gnu_asm_input_operand_list,
  [259365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11444), 1,
      anon_sym_LBRACE,
    STATE(6844), 1,
      aux_sym_base_class_clause_repeat1,
  [259378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12229), 1,
      anon_sym_catch,
    STATE(1789), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12395), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(12397), 1,
      anon_sym_RPAREN,
    STATE(8120), 1,
      sym_gnu_asm_goto_list,
  [259413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_COLON,
    ACTIONS(12399), 1,
      anon_sym_RPAREN,
    STATE(7056), 1,
      sym_gnu_asm_clobber_list,
  [259426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_COLON,
    ACTIONS(12401), 1,
      anon_sym_RPAREN,
    STATE(8123), 1,
      sym_gnu_asm_goto_list,
  [259439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 1,
      anon_sym_COMMA,
    ACTIONS(12403), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_generic_expression_repeat1,
  [259452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(12405), 1,
      anon_sym_RPAREN,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [259465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_RBRACK,
    STATE(7059), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [259478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8537), 1,
      anon_sym_RBRACK,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    STATE(7060), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [259491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(701), 1,
      sym_declaration_list,
  [259504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_COLON,
    ACTIONS(12415), 1,
      anon_sym_RPAREN,
    STATE(6740), 1,
      sym_gnu_asm_output_operand_list,
  [259517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12417), 1,
      anon_sym_SEMI,
    STATE(6693), 1,
      aux_sym_declaration_repeat1,
  [259530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [259539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12419), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(3360), 1,
      sym_template_function,
  [259552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11716), 1,
      anon_sym_catch,
    STATE(586), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(12421), 1,
      anon_sym_RPAREN,
    STATE(6888), 1,
      aux_sym_argument_list_repeat1,
  [259576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12423), 1,
      anon_sym_GT2,
    STATE(6879), 1,
      aux_sym_template_argument_list_repeat1,
  [259589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11752), 1,
      anon_sym_catch,
    STATE(220), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    STATE(653), 1,
      sym_declaration_list,
  [259613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(12425), 1,
      anon_sym_SEMI,
    STATE(6936), 1,
      aux_sym_declaration_repeat1,
  [259626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_RBRACE,
    ACTIONS(12427), 1,
      anon_sym_COMMA,
    STATE(6944), 1,
      aux_sym_initializer_list_repeat1,
  [259639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(12429), 1,
      anon_sym_GT2,
    STATE(6750), 1,
      aux_sym_template_argument_list_repeat1,
  [259652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12431), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [259661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_COMMA,
    ACTIONS(12433), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7048), 1,
      aux_sym_attribute_declaration_repeat1,
  [259674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RBRACE,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    STATE(6944), 1,
      aux_sym_initializer_list_repeat1,
  [259687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8519), 1,
      anon_sym_RBRACK,
    ACTIONS(12437), 1,
      anon_sym_COMMA,
    STATE(7077), 1,
      aux_sym_subscript_argument_list_repeat1,
  [259700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10430), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [259710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 1,
      anon_sym_LT,
    STATE(2582), 1,
      sym_template_argument_list,
  [259720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10014), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [259728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [259736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    STATE(2971), 1,
      sym_field_declaration_list,
  [259746] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12442), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12444), 1,
      sym_preproc_arg,
  [259756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10420), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [259766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12446), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [259774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(2879), 1,
      sym_field_declaration_list,
  [259784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      anon_sym_RBRACE,
  [259802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    STATE(3828), 1,
      sym_field_declaration_list,
  [259812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    STATE(3823), 1,
      sym_field_declaration_list,
  [259822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7666), 1,
      sym_parenthesized_expression,
  [259832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8414), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [259840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7194), 1,
      sym_parameter_list,
  [259850] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12452), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12454), 1,
      sym_preproc_arg,
  [259860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(3768), 1,
      sym_initializer_list,
  [259870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6897), 1,
      sym_compound_statement,
  [259880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      sym_identifier,
    STATE(2722), 1,
      sym_template_type,
  [259890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12458), 1,
      anon_sym_RBRACE,
  [259900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7301), 1,
      sym_parenthesized_expression,
  [259910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11992), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [259918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11981), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    STATE(4625), 1,
      sym_initializer_list,
  [259936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    STATE(3821), 1,
      sym_field_declaration_list,
  [259946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_compound_statement,
  [259956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    STATE(2818), 1,
      sym_field_declaration_list,
  [259966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(357), 1,
      sym_declaration_list,
  [259976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
  [259986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    STATE(3352), 1,
      sym_requirement_seq,
  [259996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12462), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [260004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [260012] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12466), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12468), 1,
      sym_preproc_arg,
  [260022] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12470), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12472), 1,
      sym_preproc_arg,
  [260032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6820), 1,
      sym_compound_statement,
  [260042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12013), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12474), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
  [260076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8352), 1,
      anon_sym_RPAREN,
    ACTIONS(8354), 1,
      anon_sym_SEMI,
  [260086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    STATE(3060), 1,
      sym_field_declaration_list,
  [260096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 1,
      sym_identifier,
    STATE(2583), 1,
      sym_template_type,
  [260106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2139), 1,
      sym_field_declaration_list,
  [260116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [260126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_compound_statement,
  [260136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12478), 1,
      sym_identifier,
    ACTIONS(12480), 1,
      anon_sym_RPAREN,
  [260146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4451), 1,
      sym_field_declaration_list,
  [260156] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12482), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12484), 1,
      sym_preproc_arg,
  [260166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(187), 1,
      sym_condition_clause,
  [260176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_LT,
    STATE(1876), 1,
      sym_template_argument_list,
  [260186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11955), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [260194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_template_argument_list,
  [260204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    STATE(657), 1,
      sym_declaration_list,
  [260214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_compound_statement,
  [260224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2243), 1,
      sym_template_argument_list,
  [260234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9198), 1,
      anon_sym_LBRACE,
    STATE(4184), 1,
      sym_requirement_seq,
  [260244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12488), 1,
      anon_sym_RBRACE,
  [260254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    STATE(2095), 1,
      sym_compound_statement,
  [260264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12490), 1,
      anon_sym_RBRACE,
  [260274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_compound_statement,
  [260284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(7338), 1,
      sym_condition_clause,
  [260294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 1,
      anon_sym_LBRACE,
    STATE(1597), 1,
      sym_requirement_seq,
  [260304] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12492), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12494), 1,
      sym_preproc_arg,
  [260314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
  [260324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    STATE(632), 1,
      sym_declaration_list,
  [260334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7574), 1,
      sym_parenthesized_expression,
  [260344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12496), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [260352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    STATE(1946), 1,
      sym_compound_statement,
  [260362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4686), 1,
      sym_field_declaration_list,
  [260372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LBRACE,
    STATE(839), 1,
      sym_compound_statement,
  [260382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_declaration_list,
  [260410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12498), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_template_type,
  [260420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [260440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12500), 1,
      anon_sym_LT,
    STATE(2324), 1,
      sym_template_argument_list,
  [260458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12069), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(195), 1,
      sym_condition_clause,
  [260484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2111), 1,
      sym_field_declaration_list,
  [260494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_field_declaration_list,
  [260504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_compound_statement,
  [260514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    STATE(2839), 1,
      sym_field_declaration_list,
  [260524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_LT,
    STATE(2595), 1,
      sym_template_argument_list,
  [260542] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12508), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12510), 1,
      sym_preproc_arg,
  [260552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(2638), 1,
      sym_template_argument_list,
  [260562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_LT,
    STATE(2243), 1,
      sym_template_argument_list,
  [260572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    STATE(3325), 1,
      sym_initializer_list,
  [260590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    STATE(611), 1,
      sym_declaration_list,
  [260600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11532), 1,
      anon_sym_LBRACE,
    STATE(5656), 1,
      sym_requirement_seq,
  [260610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(7028), 1,
      sym_attribute,
  [260620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(2283), 1,
      sym_field_declaration_list,
  [260630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(7379), 1,
      sym_condition_clause,
  [260640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_LT,
    STATE(3480), 1,
      sym_template_argument_list,
  [260650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(182), 1,
      sym_condition_clause,
  [260660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_template_argument_list,
  [260670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7069), 1,
      sym_compound_statement,
  [260680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    STATE(2820), 1,
      sym_field_declaration_list,
  [260690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
  [260700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym_field_declaration_list,
  [260710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(3436), 1,
      sym_requirement_seq,
  [260720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7573), 1,
      sym_argument_list,
  [260748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6451), 1,
      sym_compound_statement,
  [260758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(185), 1,
      sym_condition_clause,
  [260768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    STATE(1900), 1,
      sym_compound_statement,
  [260778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12518), 1,
      anon_sym_LT,
    STATE(3083), 1,
      sym_template_argument_list,
  [260806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_compound_statement,
  [260816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym_compound_statement,
  [260826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_compound_statement,
  [260836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_declaration_list,
  [260846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7690), 1,
      sym_parenthesized_expression,
  [260856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8143), 1,
      anon_sym_LT,
    STATE(4320), 1,
      sym_template_argument_list,
  [260866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7329), 1,
      sym_parameter_list,
  [260876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4471), 1,
      sym_field_declaration_list,
  [260886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12520), 1,
      anon_sym_RBRACE,
  [260896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2115), 1,
      sym_field_declaration_list,
  [260906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6736), 1,
      sym_compound_statement,
  [260916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [260924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12121), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_declaration_list,
  [260942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7193), 1,
      sym_parenthesized_expression,
  [260952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4472), 1,
      sym_field_declaration_list,
  [260962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4690), 1,
      sym_field_declaration_list,
  [260972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4699), 1,
      sym_field_declaration_list,
  [260982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_compound_statement,
  [260992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    STATE(410), 1,
      sym_compound_statement,
  [261002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12522), 1,
      anon_sym_SEMI,
  [261012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    STATE(1861), 1,
      sym_compound_statement,
  [261022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(2275), 1,
      sym_field_declaration_list,
  [261032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_LT,
    STATE(3315), 1,
      sym_template_argument_list,
  [261042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LBRACE,
    STATE(866), 1,
      sym_compound_statement,
  [261052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12524), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_template_type,
  [261062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [261072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 1,
      sym_identifier,
    ACTIONS(12528), 1,
      anon_sym_LPAREN2,
  [261082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_compound_statement,
  [261092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(6858), 1,
      sym_attribute,
  [261102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_LT,
    STATE(1830), 1,
      sym_template_argument_list,
  [261112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(7123), 1,
      sym_condition_clause,
  [261122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(194), 1,
      sym_condition_clause,
  [261132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6867), 1,
      sym_compound_statement,
  [261142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8412), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [261150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
  [261160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7759), 1,
      sym_argument_list,
  [261170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6532), 1,
      sym_compound_statement,
  [261180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(199), 1,
      sym_condition_clause,
  [261190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    STATE(2716), 1,
      sym_field_declaration_list,
  [261200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8392), 1,
      anon_sym_RBRACK,
    ACTIONS(12534), 1,
      anon_sym_COMMA,
  [261210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7453), 1,
      sym_parenthesized_expression,
  [261220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7212), 1,
      sym_parameter_list,
  [261230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6929), 1,
      sym_compound_statement,
  [261240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(694), 1,
      sym_compound_statement,
  [261250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7221), 1,
      sym_parenthesized_expression,
  [261260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12536), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [261268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12538), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_template_type,
  [261278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12540), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [261286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8432), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [261294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12210), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261302] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12542), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12544), 1,
      sym_preproc_arg,
  [261312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12546), 1,
      anon_sym_RBRACE,
  [261322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(6985), 1,
      sym_attribute,
  [261332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(7294), 1,
      sym_condition_clause,
  [261342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7000), 1,
      sym_compound_statement,
  [261352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4700), 1,
      sym_field_declaration_list,
  [261362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7835), 1,
      sym_argument_list,
  [261372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6613), 1,
      sym_compound_statement,
  [261382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(618), 1,
      sym_compound_statement,
  [261392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6341), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7955), 1,
      sym_parenthesized_expression,
  [261410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7342), 1,
      sym_parameter_list,
  [261420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(2852), 1,
      sym_field_declaration_list,
  [261430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [261440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7042), 1,
      sym_compound_statement,
  [261450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7349), 1,
      sym_parenthesized_expression,
  [261460] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12548), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12550), 1,
      sym_preproc_arg,
  [261470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12552), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_LT,
    STATE(2324), 1,
      sym_template_argument_list,
  [261488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(6715), 1,
      sym_attribute,
  [261498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12554), 1,
      anon_sym_SEMI,
  [261508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6694), 1,
      sym_compound_statement,
  [261518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    STATE(2746), 1,
      sym_field_declaration_list,
  [261528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12036), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7697), 1,
      sym_argument_list,
  [261546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12556), 1,
      anon_sym_SEMI,
  [261556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    STATE(1964), 1,
      sym_compound_statement,
  [261566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    STATE(1746), 1,
      sym_compound_statement,
  [261576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7148), 1,
      sym_parameter_list,
  [261586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(7359), 1,
      sym_attribute,
  [261596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    STATE(3686), 1,
      sym_initializer_list,
  [261606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6766), 1,
      sym_compound_statement,
  [261616] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12558), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12560), 1,
      sym_preproc_arg,
  [261626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7217), 1,
      sym_parenthesized_expression,
  [261636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12562), 1,
      sym_identifier,
    STATE(2488), 1,
      sym_template_type,
  [261646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(6856), 1,
      sym_attribute,
  [261656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6868), 1,
      sym_compound_statement,
  [261666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(174), 1,
      sym_condition_clause,
  [261676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(8070), 1,
      sym_argument_list,
  [261686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12564), 1,
      anon_sym_RBRACE,
  [261696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12566), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7303), 1,
      sym_parameter_list,
  [261714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7009), 1,
      sym_compound_statement,
  [261724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_declaration_list,
  [261742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(2514), 1,
      sym_field_declaration_list,
  [261752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(7046), 1,
      sym_attribute,
  [261762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [261772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7052), 1,
      sym_compound_statement,
  [261782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(8176), 1,
      sym_argument_list,
  [261792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LBRACE,
    STATE(863), 1,
      sym_compound_statement,
  [261802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7214), 1,
      sym_parameter_list,
  [261812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_LBRACE,
    STATE(4482), 1,
      sym_field_declaration_list,
  [261822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(8168), 1,
      sym_argument_list,
  [261832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_LBRACE,
    STATE(2371), 1,
      sym_initializer_list,
  [261842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(8140), 1,
      sym_argument_list,
  [261852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2324), 1,
      sym_template_argument_list,
  [261862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_compound_statement,
  [261872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(2859), 1,
      sym_field_declaration_list,
  [261882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    STATE(1656), 1,
      sym_compound_statement,
  [261892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7558), 1,
      sym_argument_list,
  [261902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9226), 1,
      anon_sym_LBRACE,
    STATE(3729), 1,
      sym_requirement_seq,
  [261912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7066), 1,
      sym_compound_statement,
  [261922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6492), 1,
      sym_compound_statement,
  [261932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_compound_statement,
  [261942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      sym_identifier,
    STATE(2553), 1,
      sym_template_type,
  [261952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(733), 1,
      sym_declaration_list,
  [261962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12570), 1,
      sym_identifier,
    ACTIONS(12572), 1,
      anon_sym_LPAREN2,
  [261972] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12574), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12576), 1,
      sym_preproc_arg,
  [261982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12518), 1,
      anon_sym_LT,
    STATE(2503), 1,
      sym_template_argument_list,
  [261992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9190), 1,
      anon_sym_LBRACE,
    STATE(3253), 1,
      sym_requirement_seq,
  [262002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(198), 1,
      sym_condition_clause,
  [262012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(196), 1,
      sym_condition_clause,
  [262022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12518), 1,
      anon_sym_LT,
    STATE(3372), 1,
      sym_template_argument_list,
  [262032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12578), 1,
      sym_identifier,
    STATE(4282), 1,
      sym_template_type,
  [262042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10414), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [262052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [262060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(2521), 1,
      sym_field_declaration_list,
  [262070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym_field_declaration_list,
  [262080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(7041), 1,
      sym_attribute,
  [262090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(646), 1,
      sym_compound_statement,
  [262100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12580), 1,
      anon_sym_LPAREN2,
    ACTIONS(12582), 1,
      sym_raw_string_delimiter,
  [262110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_LPAREN2,
    STATE(7355), 1,
      sym_parameter_list,
  [262120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_compound_statement,
  [262130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(6902), 1,
      sym_attribute,
  [262140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(232), 1,
      sym_compound_statement,
  [262150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(4952), 1,
      sym_field_declaration_list,
  [262160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(7211), 1,
      sym_condition_clause,
  [262170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(4955), 1,
      sym_field_declaration_list,
  [262180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(4956), 1,
      sym_field_declaration_list,
  [262190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
  [262200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(4958), 1,
      sym_field_declaration_list,
  [262210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12584), 1,
      anon_sym_RBRACE,
  [262220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6529), 1,
      sym_compound_statement,
  [262230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_compound_statement,
  [262240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6000), 1,
      anon_sym_LBRACE,
    STATE(2528), 1,
      sym_field_declaration_list,
  [262250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(166), 1,
      sym_condition_clause,
  [262260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12586), 1,
      anon_sym_SEMI,
  [262270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10260), 1,
      anon_sym_LBRACE,
    STATE(1852), 1,
      sym_compound_statement,
  [262280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7043), 1,
      sym_compound_statement,
  [262290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(2902), 1,
      sym_field_declaration_list,
  [262300] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12588), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12590), 1,
      sym_preproc_arg,
  [262310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [262318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [262326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      sym_identifier,
    STATE(2593), 1,
      sym_template_type,
  [262336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_compound_statement,
  [262346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(2249), 1,
      sym_field_declaration_list,
  [262356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6365), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [262364] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12594), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12596), 1,
      sym_preproc_arg,
  [262374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12598), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
  [262384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12372), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [262392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(407), 1,
      sym_compound_statement,
  [262402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    STATE(2963), 1,
      sym_field_declaration_list,
  [262412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym_LBRACE,
    STATE(2964), 1,
      sym_field_declaration_list,
  [262422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    STATE(2800), 1,
      sym_field_declaration_list,
  [262432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12387), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [262440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_LPAREN2,
    ACTIONS(12602), 1,
      sym_raw_string_delimiter,
  [262450] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12604), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12606), 1,
      sym_preproc_arg,
  [262460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(3554), 1,
      sym_field_declaration_list,
  [262470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
  [262480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(3558), 1,
      sym_field_declaration_list,
  [262490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym_field_declaration_list,
  [262500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LBRACE,
    STATE(3561), 1,
      sym_field_declaration_list,
  [262510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12608), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [262518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_LBRACE,
    STATE(3844), 1,
      sym_field_declaration_list,
  [262528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN2,
    STATE(7162), 1,
      sym_parenthesized_expression,
  [262538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_compound_statement,
  [262548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    STATE(2748), 1,
      sym_field_declaration_list,
  [262558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12410), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [262566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(176), 1,
      sym_condition_clause,
  [262576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7639), 1,
      sym_argument_list,
  [262586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_LPAREN2,
    STATE(7740), 1,
      sym_argument_list,
  [262596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [262606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(708), 1,
      sym_declaration_list,
  [262616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11292), 1,
      anon_sym_LBRACE,
    STATE(5396), 1,
      sym_requirement_seq,
  [262626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(282), 1,
      sym_compound_statement,
  [262636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6527), 1,
      sym_compound_statement,
  [262646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12395), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [262654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_LT,
    STATE(2638), 1,
      sym_template_argument_list,
  [262664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_compound_statement,
  [262674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym_compound_statement,
  [262684] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12610), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12612), 1,
      sym_preproc_arg,
  [262694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12614), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [262702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8638), 1,
      anon_sym_LT,
    STATE(2462), 1,
      sym_template_argument_list,
  [262712] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12616), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12618), 1,
      sym_preproc_arg,
  [262722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_compound_statement,
  [262732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_LPAREN2,
    STATE(169), 1,
      sym_condition_clause,
  [262742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    STATE(654), 1,
      sym_declaration_list,
  [262752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12620), 1,
      anon_sym_RBRACE,
  [262762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_declaration_list,
  [262772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12622), 1,
      anon_sym_LPAREN2,
    ACTIONS(12624), 1,
      sym_raw_string_delimiter,
  [262782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      anon_sym_LBRACE,
    STATE(1780), 1,
      sym_compound_statement,
  [262792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12626), 1,
      anon_sym_RBRACE,
  [262802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(3488), 1,
      sym_initializer_list,
  [262812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12628), 1,
      anon_sym_LPAREN2,
    ACTIONS(12630), 1,
      sym_raw_string_delimiter,
  [262822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 1,
      anon_sym_LBRACE,
    STATE(2745), 1,
      sym_field_declaration_list,
  [262832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12632), 1,
      anon_sym_LPAREN2,
    ACTIONS(12634), 1,
      sym_raw_string_delimiter,
  [262842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [262852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12636), 1,
      anon_sym_LPAREN2,
    ACTIONS(12638), 1,
      sym_raw_string_delimiter,
  [262862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12640), 1,
      sym_identifier,
    STATE(2162), 1,
      sym_template_type,
  [262872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_LPAREN2,
    ACTIONS(12644), 1,
      sym_raw_string_delimiter,
  [262882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12646), 1,
      anon_sym_LPAREN2,
    ACTIONS(12648), 1,
      sym_raw_string_delimiter,
  [262892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12650), 1,
      anon_sym_LPAREN2,
    ACTIONS(12652), 1,
      sym_raw_string_delimiter,
  [262902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_LPAREN2,
    ACTIONS(12656), 1,
      sym_raw_string_delimiter,
  [262912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12658), 1,
      anon_sym_LPAREN2,
    ACTIONS(12660), 1,
      sym_raw_string_delimiter,
  [262922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12662), 1,
      anon_sym_LPAREN2,
    ACTIONS(12664), 1,
      sym_raw_string_delimiter,
  [262932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12666), 1,
      anon_sym_LPAREN2,
    ACTIONS(12668), 1,
      sym_raw_string_delimiter,
  [262942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12670), 1,
      anon_sym_LPAREN2,
    ACTIONS(12672), 1,
      sym_raw_string_delimiter,
  [262952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12674), 1,
      anon_sym_LPAREN2,
    ACTIONS(12676), 1,
      sym_raw_string_delimiter,
  [262962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12678), 1,
      anon_sym_LPAREN2,
    ACTIONS(12680), 1,
      sym_raw_string_delimiter,
  [262972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12682), 1,
      anon_sym_LPAREN2,
    ACTIONS(12684), 1,
      sym_raw_string_delimiter,
  [262982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9208), 1,
      anon_sym_LBRACE,
    STATE(2405), 1,
      sym_requirement_seq,
  [262992] = 3,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12686), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12688), 1,
      sym_preproc_arg,
  [263002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12690), 1,
      sym_raw_string_delimiter,
  [263009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12692), 1,
      anon_sym_DQUOTE,
  [263016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8738), 1,
      anon_sym_RPAREN,
  [263023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12694), 1,
      anon_sym_RPAREN,
  [263030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12696), 1,
      sym_identifier,
  [263037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12698), 1,
      anon_sym_RPAREN,
  [263044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 1,
      sym_identifier,
  [263051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
  [263058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
  [263065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12704), 1,
      sym_identifier,
  [263072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12706), 1,
      anon_sym_RPAREN,
  [263079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12708), 1,
      aux_sym_preproc_if_token2,
  [263086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_RPAREN,
  [263093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12712), 1,
      anon_sym_RPAREN,
  [263100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
  [263107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
  [263114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12718), 1,
      sym_identifier,
  [263121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
  [263128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12722), 1,
      sym_raw_string_delimiter,
  [263135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12724), 1,
      anon_sym_RPAREN,
  [263142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 1,
      anon_sym_SEMI,
  [263149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12728), 1,
      anon_sym_SEMI,
  [263156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12520), 1,
      anon_sym_RBRACE,
  [263163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12730), 1,
      anon_sym_RPAREN,
  [263170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_SEMI,
  [263177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 1,
      anon_sym_RPAREN,
  [263184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12736), 1,
      anon_sym_SEMI,
  [263191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12738), 1,
      sym_identifier,
  [263198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_SEMI,
  [263205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8568), 1,
      anon_sym_SEMI,
  [263212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12742), 1,
      anon_sym_EQ,
  [263219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_COLON,
  [263226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10793), 1,
      anon_sym_SEMI,
  [263233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12744), 1,
      anon_sym_SEMI,
  [263240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12746), 1,
      anon_sym_RPAREN,
  [263247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8508), 1,
      anon_sym_COLON,
  [263254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12748), 1,
      anon_sym_SEMI,
  [263261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_SEMI,
  [263268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_RPAREN,
  [263275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12752), 1,
      anon_sym_LPAREN2,
  [263282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12754), 1,
      anon_sym_RPAREN,
  [263289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_RPAREN,
  [263296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12758), 1,
      sym_identifier,
  [263303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12760), 1,
      anon_sym_RPAREN,
  [263310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12762), 1,
      anon_sym_DQUOTE,
  [263317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_DQUOTE,
  [263324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12766), 1,
      anon_sym_RBRACK,
  [263331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      sym_identifier,
  [263338] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12200), 1,
      aux_sym_preproc_include_token2,
  [263345] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12770), 1,
      aux_sym_preproc_include_token2,
  [263352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12772), 1,
      anon_sym_SEMI,
  [263359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12774), 1,
      anon_sym_SEMI,
  [263366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12776), 1,
      aux_sym_preproc_if_token2,
  [263373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      anon_sym_RPAREN,
  [263380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12780), 1,
      sym_raw_string_delimiter,
  [263387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_SEMI,
  [263394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12784), 1,
      anon_sym_RPAREN,
  [263401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12786), 1,
      anon_sym_DQUOTE,
  [263408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12788), 1,
      anon_sym_LPAREN2,
  [263415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12790), 1,
      anon_sym_RPAREN,
  [263422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12792), 1,
      sym_identifier,
  [263429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_SEMI,
  [263436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6674), 1,
      anon_sym_SEMI,
  [263443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_SEMI,
  [263450] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12155), 1,
      aux_sym_preproc_include_token2,
  [263457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12798), 1,
      anon_sym_RPAREN,
  [263464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      anon_sym_SEMI,
  [263471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12802), 1,
      sym_identifier,
  [263478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12804), 1,
      anon_sym_SEMI,
  [263485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12806), 1,
      anon_sym_SEMI,
  [263492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12808), 1,
      anon_sym_SEMI,
  [263499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
  [263506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      aux_sym_preproc_if_token2,
  [263513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6684), 1,
      anon_sym_SEMI,
  [263520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12812), 1,
      anon_sym_RPAREN,
  [263527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_RBRACE,
  [263534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12814), 1,
      anon_sym_LPAREN2,
  [263541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12816), 1,
      anon_sym_SEMI,
  [263548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12818), 1,
      anon_sym_SEMI,
  [263555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12820), 1,
      aux_sym_preproc_if_token2,
  [263562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12822), 1,
      sym_identifier,
  [263569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12824), 1,
      sym_identifier,
  [263576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_RPAREN,
  [263583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12828), 1,
      anon_sym_SEMI,
  [263590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12830), 1,
      anon_sym_RPAREN,
  [263597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_SEMI,
  [263604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12832), 1,
      anon_sym_DQUOTE,
  [263611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8570), 1,
      anon_sym_COLON,
  [263618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
  [263625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12834), 1,
      sym_raw_string_content,
  [263632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      sym_identifier,
  [263639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12838), 1,
      anon_sym_RPAREN,
  [263646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym_SEMI,
  [263653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12840), 1,
      anon_sym_SEMI,
  [263660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12842), 1,
      aux_sym_preproc_if_token2,
  [263667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12844), 1,
      anon_sym_RPAREN,
  [263674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 1,
      anon_sym_RPAREN,
  [263681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12848), 1,
      anon_sym_STAR,
  [263688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11308), 1,
      anon_sym_SEMI,
  [263695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_DOT_DOT_DOT,
  [263702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12850), 1,
      aux_sym_preproc_if_token2,
  [263709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8502), 1,
      anon_sym_RPAREN,
  [263716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12852), 1,
      anon_sym_SEMI,
  [263723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12854), 1,
      anon_sym_RPAREN,
  [263730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8205), 1,
      anon_sym_RBRACE,
  [263737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12856), 1,
      anon_sym_SEMI,
  [263744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 1,
      anon_sym_RBRACE,
  [263751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12858), 1,
      sym_identifier,
  [263758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12860), 1,
      anon_sym_LPAREN2,
  [263765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12862), 1,
      anon_sym_LPAREN2,
  [263772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_DQUOTE,
  [263779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12866), 1,
      anon_sym_DQUOTE,
  [263786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11446), 1,
      anon_sym_SEMI,
  [263793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12868), 1,
      sym_identifier,
  [263800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12870), 1,
      anon_sym_RPAREN,
  [263807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12872), 1,
      sym_auto,
  [263814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12874), 1,
      anon_sym_DQUOTE,
  [263821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12876), 1,
      anon_sym_LPAREN2,
  [263828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12878), 1,
      anon_sym_LPAREN2,
  [263835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12880), 1,
      anon_sym_RPAREN,
  [263842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12882), 1,
      anon_sym_SEMI,
  [263849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12884), 1,
      anon_sym_DQUOTE,
  [263856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12886), 1,
      aux_sym_preproc_if_token2,
  [263863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6704), 1,
      anon_sym_SEMI,
  [263870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12888), 1,
      anon_sym_RPAREN,
  [263877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12890), 1,
      anon_sym_LPAREN2,
  [263884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12892), 1,
      anon_sym_RPAREN,
  [263891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12894), 1,
      anon_sym_RPAREN,
  [263898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12896), 1,
      sym_identifier,
  [263905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12898), 1,
      anon_sym_RPAREN,
  [263912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12900), 1,
      anon_sym_SEMI,
  [263919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10863), 1,
      anon_sym_SEMI,
  [263926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12902), 1,
      aux_sym_preproc_if_token2,
  [263933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12904), 1,
      aux_sym_preproc_if_token2,
  [263940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12906), 1,
      aux_sym_preproc_if_token2,
  [263947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 1,
      anon_sym_RPAREN,
  [263954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4469), 1,
      anon_sym_DOT_DOT_DOT,
  [263961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12910), 1,
      anon_sym_SEMI,
  [263968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_DOT_DOT_DOT,
  [263975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12912), 1,
      anon_sym_RPAREN,
  [263982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12914), 1,
      anon_sym_RPAREN,
  [263989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12916), 1,
      anon_sym_STAR,
  [263996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12918), 1,
      anon_sym_RPAREN,
  [264003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8352), 1,
      anon_sym_RPAREN,
  [264010] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12920), 1,
      aux_sym_preproc_include_token2,
  [264017] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12922), 1,
      aux_sym_preproc_include_token2,
  [264024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_RPAREN,
  [264031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      sym_identifier,
  [264038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12928), 1,
      anon_sym_LPAREN2,
  [264045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 1,
      anon_sym_COLON,
  [264052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11957), 1,
      anon_sym_COLON_COLON,
  [264059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8440), 1,
      anon_sym_SEMI,
  [264066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 1,
      anon_sym_RPAREN,
  [264073] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9653), 1,
      aux_sym_preproc_include_token2,
  [264080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12932), 1,
      anon_sym_RPAREN,
  [264087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12934), 1,
      sym_raw_string_delimiter,
  [264094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12936), 1,
      anon_sym_RPAREN,
  [264101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_SEMI,
  [264108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12940), 1,
      sym_identifier,
  [264115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12942), 1,
      anon_sym_SEMI,
  [264122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12944), 1,
      anon_sym_COLON,
  [264129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12946), 1,
      anon_sym_SEMI,
  [264136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 1,
      aux_sym_preproc_if_token2,
  [264143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      sym_identifier,
  [264150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12952), 1,
      sym_identifier,
  [264157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_RPAREN,
  [264164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8203), 1,
      anon_sym_SEMI,
  [264171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12546), 1,
      anon_sym_RBRACE,
  [264178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12956), 1,
      sym_identifier,
  [264185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12958), 1,
      anon_sym_SEMI,
  [264192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12960), 1,
      anon_sym_RPAREN,
  [264199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_SEMI,
  [264206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12962), 1,
      sym_identifier,
  [264213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12620), 1,
      anon_sym_RBRACE,
  [264220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12964), 1,
      anon_sym_STAR,
  [264227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12966), 1,
      anon_sym_LPAREN2,
  [264234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12968), 1,
      anon_sym_RPAREN,
  [264241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12970), 1,
      anon_sym_RPAREN,
  [264248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12972), 1,
      anon_sym_SEMI,
  [264255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12974), 1,
      anon_sym_SEMI,
  [264262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12976), 1,
      sym_auto,
  [264269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12978), 1,
      anon_sym_DQUOTE,
  [264276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12980), 1,
      anon_sym_SEMI,
  [264283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12982), 1,
      anon_sym_DQUOTE,
  [264290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12984), 1,
      anon_sym_RPAREN,
  [264297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12986), 1,
      anon_sym_RPAREN,
  [264304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12988), 1,
      sym_identifier,
  [264311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11847), 1,
      anon_sym_SEMI,
  [264318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12990), 1,
      sym_auto,
  [264325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_LPAREN2,
  [264332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12994), 1,
      sym_identifier,
  [264339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      sym_identifier,
  [264346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 1,
      anon_sym_DOT_DOT_DOT,
  [264353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12996), 1,
      anon_sym_RPAREN,
  [264360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12998), 1,
      aux_sym_preproc_if_token2,
  [264367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13000), 1,
      anon_sym_RPAREN,
  [264374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13002), 1,
      sym_identifier,
  [264381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13004), 1,
      aux_sym_preproc_if_token2,
  [264388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_LPAREN2,
  [264395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      sym_identifier,
  [264402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13010), 1,
      anon_sym_SEMI,
  [264409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13012), 1,
      anon_sym_RPAREN,
  [264416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13014), 1,
      anon_sym_RPAREN,
  [264423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13016), 1,
      anon_sym_RPAREN,
  [264430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_COLON,
  [264437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13018), 1,
      anon_sym_RPAREN,
  [264444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      aux_sym_preproc_if_token2,
  [264451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_RBRACE,
  [264458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13022), 1,
      anon_sym_RPAREN,
  [264465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      anon_sym_SEMI,
  [264472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13026), 1,
      anon_sym_SEMI,
  [264479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13028), 1,
      sym_identifier,
  [264486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13030), 1,
      anon_sym_RPAREN,
  [264493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_LPAREN2,
  [264500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13034), 1,
      anon_sym_SEMI,
  [264507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_SEMI,
  [264514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_DOT_DOT_DOT,
  [264521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13038), 1,
      anon_sym_RPAREN,
  [264528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13040), 1,
      sym_raw_string_delimiter,
  [264535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_DOT_DOT_DOT,
  [264542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13042), 1,
      sym_identifier,
  [264549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10859), 1,
      anon_sym_SEMI,
  [264556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13044), 1,
      anon_sym_RPAREN,
  [264563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_LPAREN2,
  [264570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8535), 1,
      anon_sym_SEMI,
  [264577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13048), 1,
      anon_sym_DQUOTE,
  [264584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13050), 1,
      aux_sym_preproc_if_token2,
  [264591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13052), 1,
      anon_sym_STAR,
  [264598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13054), 1,
      sym_auto,
  [264605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 1,
      anon_sym_COLON,
  [264612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13058), 1,
      anon_sym_SEMI,
  [264619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10838), 1,
      anon_sym_SEMI,
  [264626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13060), 1,
      anon_sym_SEMI,
  [264633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13062), 1,
      anon_sym_SEMI,
  [264640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13064), 1,
      anon_sym_SEMI,
  [264647] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9621), 1,
      aux_sym_preproc_include_token2,
  [264654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13066), 1,
      aux_sym_preproc_if_token2,
  [264661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13068), 1,
      anon_sym_SEMI,
  [264668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
  [264675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13070), 1,
      anon_sym_DQUOTE,
  [264682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_LPAREN2,
  [264689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13074), 1,
      anon_sym_LPAREN2,
  [264696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13076), 1,
      anon_sym_RPAREN,
  [264703] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13078), 1,
      aux_sym_preproc_include_token2,
  [264710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13080), 1,
      anon_sym_COMMA,
  [264717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
  [264724] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9688), 1,
      aux_sym_preproc_include_token2,
  [264731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      sym_identifier,
  [264738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_RPAREN,
  [264745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13088), 1,
      anon_sym_SEMI,
  [264752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13090), 1,
      anon_sym_RPAREN,
  [264759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13092), 1,
      anon_sym_SEMI,
  [264766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10430), 1,
      anon_sym_RBRACE,
  [264773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_RPAREN,
  [264780] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13096), 1,
      aux_sym_preproc_include_token2,
  [264787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11076), 1,
      anon_sym_COLON,
  [264794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13098), 1,
      anon_sym_RPAREN,
  [264801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_SEMI,
  [264808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_RBRACE,
  [264815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13102), 1,
      anon_sym_SEMI,
  [264822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13104), 1,
      anon_sym_DQUOTE,
  [264829] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13106), 1,
      aux_sym_preproc_include_token2,
  [264836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13108), 1,
      sym_identifier,
  [264843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13110), 1,
      anon_sym_SEMI,
  [264850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13112), 1,
      anon_sym_RPAREN,
  [264857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13114), 1,
      anon_sym_COLON,
  [264864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13116), 1,
      anon_sym_RPAREN,
  [264871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_RPAREN,
  [264878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      anon_sym_RPAREN,
  [264885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13122), 1,
      sym_raw_string_delimiter,
  [264892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13124), 1,
      anon_sym_RPAREN,
  [264899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13126), 1,
      sym_identifier,
  [264906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13128), 1,
      anon_sym_DOT_DOT_DOT,
  [264913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13131), 1,
      anon_sym_SEMI,
  [264920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13133), 1,
      anon_sym_RPAREN,
  [264927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 1,
      anon_sym_RPAREN,
  [264934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      anon_sym_COLON,
  [264941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12488), 1,
      anon_sym_RBRACE,
  [264948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      anon_sym_STAR,
  [264955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      anon_sym_DQUOTE,
  [264962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_RPAREN,
  [264969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      sym_identifier,
  [264976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_SEMI,
  [264983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      anon_sym_SEMI,
  [264990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_DQUOTE,
  [264997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_RBRACE,
  [265004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_LPAREN2,
  [265011] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13155), 1,
      aux_sym_preproc_include_token2,
  [265018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_DQUOTE,
  [265025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      sym_identifier,
  [265032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_SEMI,
  [265039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_DQUOTE,
  [265046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_RPAREN,
  [265053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      sym_identifier,
  [265060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      aux_sym_preproc_if_token2,
  [265067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_RPAREN,
  [265074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8584), 1,
      anon_sym_SEMI,
  [265081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      aux_sym_preproc_if_token2,
  [265088] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13175), 1,
      aux_sym_preproc_include_token2,
  [265095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_COLON,
  [265102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [265109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
  [265116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_SEMI,
  [265123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_SEMI,
  [265130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_SEMI,
  [265137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_STAR,
  [265144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      anon_sym_DQUOTE,
  [265151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
  [265158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      sym_raw_string_delimiter,
  [265165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      aux_sym_preproc_if_token2,
  [265172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_STAR,
  [265179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_RPAREN,
  [265186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_SEMI,
  [265193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
  [265200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      sym_identifier,
  [265207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_LPAREN2,
  [265214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      anon_sym_SEMI,
  [265221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8578), 1,
      anon_sym_RPAREN,
  [265228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8498), 1,
      anon_sym_COLON,
  [265235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_RPAREN,
  [265242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8622), 1,
      anon_sym_RPAREN,
  [265249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8484), 1,
      anon_sym_SEMI,
  [265256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      sym_raw_string_delimiter,
  [265263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_RPAREN,
  [265270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_SEMI,
  [265277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      anon_sym_RPAREN,
  [265284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      anon_sym_RPAREN,
  [265291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_LPAREN2,
  [265298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_RPAREN,
  [265305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_SEMI,
  [265312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_RPAREN,
  [265319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      anon_sym_RPAREN,
  [265326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      sym_raw_string_delimiter,
  [265333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_SEMI,
  [265340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8276), 1,
      anon_sym_RBRACE,
  [265347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      anon_sym_LPAREN2,
  [265354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
  [265361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_RPAREN,
  [265368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      sym_raw_string_delimiter,
  [265375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      anon_sym_DQUOTE,
  [265382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      anon_sym_RPAREN,
  [265389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13249), 1,
      anon_sym_RPAREN,
  [265396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_RPAREN,
  [265403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      anon_sym_RPAREN,
  [265410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      sym_raw_string_delimiter,
  [265417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 1,
      anon_sym_RPAREN,
  [265424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      sym_raw_string_delimiter,
  [265431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      anon_sym_RPAREN,
  [265438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      sym_raw_string_delimiter,
  [265445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13265), 1,
      anon_sym_RPAREN,
  [265452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      sym_raw_string_delimiter,
  [265459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 1,
      anon_sym_RPAREN,
  [265466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 1,
      sym_raw_string_delimiter,
  [265473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13273), 1,
      anon_sym_RPAREN,
  [265480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13275), 1,
      sym_raw_string_delimiter,
  [265487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      sym_identifier,
  [265494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_LPAREN2,
  [265501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10797), 1,
      anon_sym_SEMI,
  [265508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      anon_sym_LPAREN2,
  [265515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_RPAREN,
  [265522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      anon_sym_LPAREN2,
  [265529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      anon_sym_LPAREN2,
  [265536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      anon_sym_LPAREN2,
  [265543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9987), 1,
      sym_identifier,
  [265550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10817), 1,
      anon_sym_SEMI,
  [265557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      anon_sym_LPAREN2,
  [265564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13289), 1,
      anon_sym_LPAREN2,
  [265571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      anon_sym_LPAREN2,
  [265578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_SEMI,
  [265585] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(12318), 1,
      aux_sym_preproc_include_token2,
  [265592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      anon_sym_DQUOTE,
  [265599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
  [265606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13299), 1,
      anon_sym_SEMI,
  [265613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      anon_sym_SEMI,
  [265620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_SEMI,
  [265627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      sym_auto,
  [265634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      anon_sym_DQUOTE,
  [265641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
  [265648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      anon_sym_SEMI,
  [265655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_COLON,
  [265662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_SEMI,
  [265669] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13315), 1,
      aux_sym_preproc_include_token2,
  [265676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_DQUOTE,
  [265683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      anon_sym_while,
  [265690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13321), 1,
      anon_sym_SEMI,
  [265697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      anon_sym_LPAREN2,
  [265704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      sym_identifier,
  [265711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_RBRACE,
  [265718] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13327), 1,
      aux_sym_preproc_include_token2,
  [265725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13329), 1,
      anon_sym_RBRACK,
  [265732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      anon_sym_SEMI,
  [265739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_EQ,
  [265746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      sym_raw_string_content,
  [265753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_SEMI,
  [265760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      aux_sym_preproc_if_token2,
  [265767] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13341), 1,
      aux_sym_preproc_include_token2,
  [265774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_STAR,
  [265781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      anon_sym_RBRACE,
  [265788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
  [265795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6919), 1,
      anon_sym_RPAREN,
  [265802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 1,
      anon_sym_RBRACE,
  [265809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_COMMA,
  [265816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8547), 1,
      anon_sym_SEMI,
  [265823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      sym_identifier,
  [265830] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13349), 1,
      aux_sym_preproc_include_token2,
  [265837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_DASH,
  [265844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      sym_identifier,
  [265851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
  [265858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_COMMA,
  [265865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_SEMI,
  [265872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
  [265879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_PLUS,
  [265886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_STAR,
  [265893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8523), 1,
      anon_sym_COLON,
  [265900] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13359), 1,
      aux_sym_preproc_include_token2,
  [265907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_SLASH,
  [265914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6696), 1,
      anon_sym_SEMI,
  [265921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_PERCENT,
  [265928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
  [265935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_PIPE_PIPE,
  [265942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_AMP_AMP,
  [265949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_PIPE,
  [265956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      anon_sym_SEMI,
  [265963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_CARET,
  [265970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      anon_sym_RPAREN,
  [265977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      anon_sym_RPAREN,
  [265984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      anon_sym_RPAREN,
  [265991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_AMP,
  [265998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_DOT_DOT_DOT,
  [266005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_EQ_EQ,
  [266012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      anon_sym_COLON,
  [266019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      anon_sym_RPAREN,
  [266026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_SEMI,
  [266033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
  [266040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      anon_sym_RPAREN,
  [266047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_BANG_EQ,
  [266054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
  [266061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
  [266068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_GT,
  [266075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8272), 1,
      anon_sym_RBRACE,
  [266082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_DQUOTE,
  [266089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      aux_sym_preproc_if_token2,
  [266096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_RBRACE,
  [266103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10414), 1,
      anon_sym_RBRACE,
  [266110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      sym_identifier,
  [266117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      aux_sym_preproc_if_token2,
  [266124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      sym_identifier,
  [266131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      anon_sym_SEMI,
  [266138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      sym_identifier,
  [266145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      anon_sym_SEMI,
  [266152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      sym_identifier,
  [266159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      anon_sym_LBRACE,
  [266166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      aux_sym_preproc_if_token2,
  [266173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_SEMI,
  [266180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      anon_sym_RPAREN,
  [266187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      anon_sym_RPAREN,
  [266194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      sym_identifier,
  [266201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      aux_sym_preproc_if_token2,
  [266208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      aux_sym_preproc_if_token2,
  [266215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      anon_sym_SEMI,
  [266222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_RPAREN,
  [266229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_COLON,
  [266236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      sym_identifier,
  [266243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      anon_sym_SEMI,
  [266250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11536), 1,
      anon_sym_SEMI,
  [266257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      anon_sym_DQUOTE,
  [266264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_RPAREN,
  [266271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      anon_sym_SEMI,
  [266278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      anon_sym_SEMI,
  [266285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_SEMI,
  [266292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      anon_sym_SEMI,
  [266299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_RPAREN,
  [266306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      anon_sym_SEMI,
  [266313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      sym_auto,
  [266320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_SEMI,
  [266327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_GT_EQ,
  [266334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_LT_EQ,
  [266341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_LT,
  [266348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_LT_LT,
  [266355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_SEMI,
  [266362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_SEMI,
  [266369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11240), 1,
      anon_sym_SEMI,
  [266376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      sym_auto,
  [266383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_GT_GT,
  [266390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      anon_sym_LPAREN2,
  [266397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_LPAREN2,
  [266404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8500), 1,
      anon_sym_COLON,
  [266411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
  [266418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      anon_sym_SEMI,
  [266425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_STAR_EQ,
  [266432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      anon_sym_SEMI,
  [266439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      sym_auto,
  [266446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      anon_sym_RPAREN,
  [266453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_RPAREN,
  [266460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13469), 1,
      anon_sym_RPAREN,
  [266467] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13471), 1,
      aux_sym_preproc_include_token2,
  [266474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_SLASH_EQ,
  [266481] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13473), 1,
      aux_sym_preproc_include_token2,
  [266488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_PERCENT_EQ,
  [266495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_SEMI,
  [266502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      anon_sym_SEMI,
  [266509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_PLUS_EQ,
  [266516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_DASH_EQ,
  [266523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8504), 1,
      anon_sym_RPAREN,
  [266530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_LT_LT_EQ,
  [266537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_GT_GT_EQ,
  [266544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      sym_raw_string_delimiter,
  [266551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_DOT_DOT_DOT,
  [266558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      sym_identifier,
  [266565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      aux_sym_preproc_if_token2,
  [266572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8468), 1,
      anon_sym_COLON,
  [266579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      anon_sym_SEMI,
  [266586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_SEMI,
  [266593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      anon_sym_SEMI,
  [266600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_RPAREN,
  [266607] = 2,
    ACTIONS(5190), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9507), 1,
      sym_comment,
  [266614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_AMP_EQ,
  [266621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      anon_sym_RPAREN,
  [266628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_CARET_EQ,
  [266635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_PIPE_EQ,
  [266642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_or,
  [266649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      aux_sym_preproc_if_token2,
  [266656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_SEMI,
  [266663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_and,
  [266670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_bitor,
  [266677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_xor,
  [266684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_bitand,
  [266691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12584), 1,
      anon_sym_RBRACE,
  [266698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_RPAREN,
  [266705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_not_eq,
  [266712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_DOT_STAR,
  [266719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_DASH_GT_STAR,
  [266726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      anon_sym_RPAREN,
  [266733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      anon_sym_SEMI,
  [266740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_SEMI,
  [266747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_RPAREN,
  [266754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_RPAREN,
  [266761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      aux_sym_preproc_if_token2,
  [266768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      anon_sym_SEMI,
  [266775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_LPAREN2,
  [266782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      anon_sym_LPAREN2,
  [266789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      anon_sym_LPAREN2,
  [266796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      anon_sym_LPAREN2,
  [266803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_RPAREN,
  [266810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_LPAREN2,
  [266817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
  [266824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_RPAREN,
  [266831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11493), 1,
      anon_sym_SEMI,
  [266838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      sym_identifier,
  [266845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_DOT_DOT_DOT,
  [266852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_while,
  [266859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_RPAREN,
  [266866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      anon_sym_LPAREN2,
  [266873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7076), 1,
      sym_identifier,
  [266880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8438), 1,
      anon_sym_RPAREN,
  [266887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      anon_sym_SEMI,
  [266894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_EQ,
  [266901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      sym_raw_string_content,
  [266908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_STAR,
  [266915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      anon_sym_RPAREN,
  [266922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_RPAREN,
  [266929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_COMMA,
  [266936] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13549), 1,
      aux_sym_preproc_include_token2,
  [266943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_SEMI,
  [266950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_SEMI,
  [266957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_RPAREN,
  [266964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_COLON,
  [266971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      anon_sym_SEMI,
  [266978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      anon_sym_RBRACE,
  [266985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_LPAREN2,
  [266992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      anon_sym_LPAREN2,
  [266999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      anon_sym_LPAREN2,
  [267006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      aux_sym_preproc_if_token2,
  [267013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      anon_sym_LPAREN2,
  [267020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_DQUOTE,
  [267027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_SEMI,
  [267034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      anon_sym_while,
  [267041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      aux_sym_preproc_if_token2,
  [267048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      anon_sym_LPAREN2,
  [267055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8494), 1,
      anon_sym_COLON,
  [267062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      anon_sym_SEMI,
  [267069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      anon_sym_EQ,
  [267076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      sym_raw_string_content,
  [267083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_COMMA,
  [267090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_RPAREN,
  [267097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      aux_sym_preproc_if_token2,
  [267104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_RBRACE,
  [267111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      anon_sym_RPAREN,
  [267118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      anon_sym_COLON,
  [267125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      anon_sym_SEMI,
  [267132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_LPAREN2,
  [267139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      anon_sym_LPAREN2,
  [267146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_LPAREN2,
  [267153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_SEMI,
  [267160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_LPAREN2,
  [267167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_STAR,
  [267174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      sym_identifier,
  [267181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_while,
  [267188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      anon_sym_LPAREN2,
  [267195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      sym_identifier,
  [267202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      aux_sym_preproc_if_token2,
  [267209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_EQ,
  [267216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      sym_raw_string_content,
  [267223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      anon_sym_COMMA,
  [267230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_SEMI,
  [267237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_RPAREN,
  [267244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_SEMI,
  [267251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_RPAREN,
  [267258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_COLON,
  [267265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6692), 1,
      anon_sym_SEMI,
  [267272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_LPAREN2,
  [267279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_LPAREN2,
  [267286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      anon_sym_LPAREN2,
  [267293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      anon_sym_RPAREN,
  [267300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_LPAREN2,
  [267307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_RPAREN,
  [267314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_RPAREN,
  [267321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_LPAREN2,
  [267328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_DOT_DOT_DOT,
  [267335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      anon_sym_STAR,
  [267342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      anon_sym_EQ,
  [267349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      sym_raw_string_content,
  [267356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      anon_sym_COMMA,
  [267363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      sym_identifier,
  [267370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      anon_sym_STAR,
  [267377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      anon_sym_RBRACE,
  [267384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      anon_sym_RPAREN,
  [267391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      anon_sym_COLON,
  [267398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6668), 1,
      anon_sym_SEMI,
  [267405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13675), 1,
      anon_sym_LPAREN2,
  [267412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13677), 1,
      aux_sym_preproc_if_token2,
  [267419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13679), 1,
      anon_sym_LPAREN2,
  [267426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13681), 1,
      anon_sym_RPAREN,
  [267433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13683), 1,
      anon_sym_while,
  [267440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13685), 1,
      anon_sym_COLON,
  [267447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13687), 1,
      anon_sym_STAR,
  [267454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13689), 1,
      anon_sym_EQ,
  [267461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13691), 1,
      sym_raw_string_content,
  [267468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11400), 1,
      anon_sym_SEMI,
  [267475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13693), 1,
      anon_sym_SEMI,
  [267482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13695), 1,
      aux_sym_preproc_if_token2,
  [267489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13697), 1,
      anon_sym_RPAREN,
  [267496] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13699), 1,
      aux_sym_preproc_include_token2,
  [267503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13701), 1,
      anon_sym_LPAREN2,
  [267510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13703), 1,
      anon_sym_LPAREN2,
  [267517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13705), 1,
      anon_sym_RPAREN,
  [267524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      sym_raw_string_content,
  [267531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
  [267538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      aux_sym_preproc_if_token2,
  [267545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_RPAREN,
  [267552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      anon_sym_RPAREN,
  [267559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13717), 1,
      anon_sym_LPAREN2,
  [267566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13719), 1,
      anon_sym_LPAREN2,
  [267573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      anon_sym_RPAREN,
  [267580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13723), 1,
      sym_raw_string_content,
  [267587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13725), 1,
      anon_sym_RPAREN,
  [267594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      anon_sym_RPAREN,
  [267601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      anon_sym_LPAREN2,
  [267608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13731), 1,
      anon_sym_LPAREN2,
  [267615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13733), 1,
      sym_raw_string_content,
  [267622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      anon_sym_RPAREN,
  [267629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      sym_raw_string_content,
  [267636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      anon_sym_RPAREN,
  [267643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13741), 1,
      sym_raw_string_content,
  [267650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13743), 1,
      anon_sym_RPAREN,
  [267657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 1,
      sym_raw_string_content,
  [267664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_RPAREN,
  [267671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13749), 1,
      sym_raw_string_content,
  [267678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_RPAREN,
  [267685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13753), 1,
      sym_raw_string_content,
  [267692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_RPAREN,
  [267699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 1,
      sym_raw_string_content,
  [267706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13759), 1,
      anon_sym_RPAREN,
  [267713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13761), 1,
      sym_raw_string_content,
  [267720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13763), 1,
      anon_sym_RPAREN,
  [267727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8572), 1,
      anon_sym_SEMI,
  [267734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13765), 1,
      anon_sym_RPAREN,
  [267741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13767), 1,
      anon_sym_LPAREN2,
  [267748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13769), 1,
      anon_sym_LPAREN2,
  [267755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13771), 1,
      sym_identifier,
  [267762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13773), 1,
      anon_sym_DQUOTE,
  [267769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13775), 1,
      anon_sym_COLON,
  [267776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_RBRACE,
  [267783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13777), 1,
      aux_sym_preproc_if_token2,
  [267790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13779), 1,
      anon_sym_RBRACE,
  [267797] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(9581), 1,
      aux_sym_preproc_include_token2,
  [267804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13781), 1,
      anon_sym_SEMI,
  [267811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13783), 1,
      anon_sym_SEMI,
  [267818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13785), 1,
      anon_sym_RPAREN,
  [267825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13787), 1,
      aux_sym_preproc_if_token2,
  [267832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13789), 1,
      anon_sym_LPAREN2,
  [267839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13791), 1,
      sym_auto,
  [267846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13793), 1,
      aux_sym_preproc_if_token2,
  [267853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13795), 1,
      anon_sym_SEMI,
  [267860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym_SEMI,
  [267867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13797), 1,
      sym_identifier,
  [267874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13799), 1,
      sym_raw_string_content,
  [267881] = 2,
    ACTIONS(5203), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9507), 1,
      sym_comment,
  [267888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      aux_sym_preproc_if_token2,
  [267895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13803), 1,
      aux_sym_preproc_if_token2,
  [267902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13805), 1,
      anon_sym_SEMI,
  [267909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13807), 1,
      anon_sym_DQUOTE,
  [267916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_RPAREN,
  [267923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13811), 1,
      anon_sym_RPAREN,
  [267930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13813), 1,
      sym_identifier,
  [267937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13815), 1,
      anon_sym_RPAREN,
  [267944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13817), 1,
      anon_sym_RPAREN,
  [267951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13819), 1,
      anon_sym_LPAREN2,
  [267958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13821), 1,
      sym_identifier,
  [267965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13823), 1,
      sym_identifier,
  [267972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13825), 1,
      aux_sym_preproc_if_token2,
  [267979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13827), 1,
      anon_sym_SEMI,
  [267986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_DOT_DOT_DOT,
  [267993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_SEMI,
  [268000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13829), 1,
      anon_sym_SEMI,
  [268007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13831), 1,
      anon_sym_SEMI,
  [268014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13833), 1,
      anon_sym_SEMI,
  [268021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13835), 1,
      sym_identifier,
  [268028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13837), 1,
      aux_sym_preproc_if_token2,
  [268035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COLON,
  [268042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10893), 1,
      anon_sym_COMMA,
  [268049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13839), 1,
      anon_sym_RPAREN,
  [268056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6806), 1,
      anon_sym_RPAREN,
  [268063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13841), 1,
      anon_sym_RPAREN,
  [268070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13843), 1,
      anon_sym_DQUOTE,
  [268077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13845), 1,
      sym_identifier,
  [268084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13847), 1,
      anon_sym_RBRACE,
  [268091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13849), 1,
      aux_sym_preproc_if_token2,
  [268098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      anon_sym_COLON,
  [268105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10420), 1,
      anon_sym_RBRACE,
  [268112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13851), 1,
      anon_sym_STAR,
  [268119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13853), 1,
      sym_identifier,
  [268126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13855), 1,
      aux_sym_preproc_if_token2,
  [268133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8492), 1,
      anon_sym_SEMI,
  [268140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13857), 1,
      sym_identifier,
  [268147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13859), 1,
      anon_sym_SEMI,
  [268154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13861), 1,
      anon_sym_STAR,
  [268161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8561), 1,
      anon_sym_SEMI,
  [268168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13863), 1,
      anon_sym_SEMI,
  [268175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_SEMI,
  [268182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13865), 1,
      anon_sym_DQUOTE,
  [268189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13867), 1,
      anon_sym_RPAREN,
  [268196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7492), 1,
      sym_identifier,
  [268203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_RBRACE,
  [268210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13869), 1,
      sym_auto,
  [268217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13871), 1,
      anon_sym_RPAREN,
  [268224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8541), 1,
      anon_sym_COLON,
  [268231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13873), 1,
      anon_sym_STAR,
  [268238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13875), 1,
      anon_sym_DQUOTE,
  [268245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym_identifier,
  [268252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_SEMI,
  [268259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13879), 1,
      anon_sym_RPAREN,
  [268266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13881), 1,
      sym_identifier,
  [268273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13883), 1,
      anon_sym_RPAREN,
  [268280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym_DOT_DOT_DOT,
  [268287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13885), 1,
      sym_identifier,
  [268294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13887), 1,
      aux_sym_preproc_if_token2,
  [268301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13889), 1,
      anon_sym_SEMI,
  [268308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8559), 1,
      anon_sym_COLON,
  [268315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13891), 1,
      anon_sym_RPAREN,
  [268322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13893), 1,
      anon_sym_DQUOTE,
  [268329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13895), 1,
      anon_sym_LPAREN2,
  [268336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13897), 1,
      anon_sym_LPAREN2,
  [268343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13899), 1,
      sym_identifier,
  [268350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13901), 1,
      anon_sym_SEMI,
  [268357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13903), 1,
      sym_identifier,
  [268364] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13905), 1,
      aux_sym_preproc_include_token2,
  [268371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_SEMI,
  [268378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13907), 1,
      sym_identifier,
  [268385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13909), 1,
      sym_raw_string_content,
  [268392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13911), 1,
      sym_identifier,
  [268399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13913), 1,
      anon_sym_RPAREN,
  [268406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13915), 1,
      sym_identifier,
  [268413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13917), 1,
      anon_sym_LBRACE,
  [268420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13919), 1,
      anon_sym_LPAREN2,
  [268427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_LPAREN2,
  [268434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13923), 1,
      sym_identifier,
  [268441] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(11985), 1,
      aux_sym_preproc_include_token2,
  [268448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13925), 1,
      anon_sym_DQUOTE,
  [268455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13927), 1,
      sym_identifier,
  [268462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13929), 1,
      sym_raw_string_content,
  [268469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13931), 1,
      aux_sym_preproc_if_token2,
  [268476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13933), 1,
      anon_sym_SEMI,
  [268483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13935), 1,
      anon_sym_RPAREN,
  [268490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13937), 1,
      anon_sym_LPAREN2,
  [268497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13939), 1,
      sym_identifier,
  [268504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8354), 1,
      anon_sym_SEMI,
  [268511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12626), 1,
      anon_sym_RBRACE,
  [268518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13941), 1,
      sym_identifier,
  [268525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13943), 1,
      sym_raw_string_content,
  [268532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13945), 1,
      anon_sym_DQUOTE,
  [268539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      aux_sym_preproc_if_token2,
  [268546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13949), 1,
      anon_sym_LPAREN2,
  [268553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13951), 1,
      sym_identifier,
  [268560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13953), 1,
      anon_sym_SEMI,
  [268567] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13955), 1,
      aux_sym_preproc_include_token2,
  [268574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13957), 1,
      sym_identifier,
  [268581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13959), 1,
      sym_raw_string_content,
  [268588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13961), 1,
      anon_sym_DOT_DOT_DOT,
  [268595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13963), 1,
      anon_sym_LPAREN2,
  [268602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13965), 1,
      sym_identifier,
  [268609] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13967), 1,
      aux_sym_preproc_include_token2,
  [268616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13969), 1,
      sym_identifier,
  [268623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13971), 1,
      sym_raw_string_content,
  [268630] = 2,
    ACTIONS(9507), 1,
      sym_comment,
    ACTIONS(13973), 1,
      aux_sym_preproc_include_token2,
  [268637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13975), 1,
      sym_identifier,
  [268644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13977), 1,
      sym_raw_string_content,
  [268651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8482), 1,
      anon_sym_RPAREN,
  [268658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13979), 1,
      sym_raw_string_content,
  [268665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13981), 1,
      aux_sym_preproc_if_token2,
  [268672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13983), 1,
      sym_raw_string_content,
  [268679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 1,
      anon_sym_RBRACE,
  [268686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13985), 1,
      sym_raw_string_content,
  [268693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13987), 1,
      aux_sym_preproc_if_token2,
  [268700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13989), 1,
      sym_raw_string_content,
  [268707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      anon_sym_RBRACE,
  [268714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13991), 1,
      sym_raw_string_content,
  [268721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13993), 1,
      anon_sym_LBRACE,
  [268728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13995), 1,
      sym_raw_string_content,
  [268735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13997), 1,
      ts_builtin_sym_end,
  [268742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13999), 1,
      sym_raw_string_content,
  [268749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8426), 1,
      anon_sym_RPAREN,
  [268756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14001), 1,
      sym_raw_string_content,
  [268763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14003), 1,
      aux_sym_preproc_if_token2,
  [268770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14005), 1,
      sym_raw_string_content,
  [268777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14007), 1,
      anon_sym_LPAREN2,
  [268784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14009), 1,
      anon_sym_LPAREN2,
  [268791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_RBRACE,
  [268798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14011), 1,
      anon_sym_LPAREN2,
  [268805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14013), 1,
      anon_sym_LPAREN2,
  [268812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14015), 1,
      anon_sym_RBRACE,
  [268819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14017), 1,
      anon_sym_LPAREN2,
  [268826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14019), 1,
      anon_sym_LPAREN2,
  [268833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14021), 1,
      anon_sym_RPAREN,
  [268840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14023), 1,
      anon_sym_LPAREN2,
  [268847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14025), 1,
      anon_sym_LPAREN2,
  [268854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14027), 1,
      anon_sym_RPAREN,
  [268861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14029), 1,
      anon_sym_LPAREN2,
  [268868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14031), 1,
      anon_sym_LPAREN2,
  [268875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14033), 1,
      anon_sym_RPAREN,
  [268882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14035), 1,
      anon_sym_LPAREN2,
  [268889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14037), 1,
      anon_sym_LPAREN2,
  [268896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14039), 1,
      anon_sym_LPAREN2,
  [268903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14041), 1,
      anon_sym_LPAREN2,
  [268910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14043), 1,
      anon_sym_LPAREN2,
  [268917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14045), 1,
      anon_sym_LPAREN2,
  [268924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14047), 1,
      anon_sym_LPAREN2,
  [268931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14049), 1,
      anon_sym_LPAREN2,
  [268938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14051), 1,
      anon_sym_LPAREN2,
  [268945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14053), 1,
      anon_sym_LPAREN2,
  [268952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14055), 1,
      anon_sym_LPAREN2,
  [268959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14057), 1,
      anon_sym_RPAREN,
  [268966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14059), 1,
      anon_sym_SEMI,
  [268973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14061), 1,
      sym_raw_string_content,
  [268980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14063), 1,
      aux_sym_preproc_if_token2,
  [268987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14065), 1,
      aux_sym_preproc_if_token2,
  [268994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14067), 1,
      anon_sym_LPAREN2,
  [269001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14069), 1,
      anon_sym_LPAREN2,
  [269008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14071), 1,
      anon_sym_LPAREN2,
  [269015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14073), 1,
      anon_sym_LPAREN2,
  [269022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14075), 1,
      anon_sym_LPAREN2,
  [269029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_EQ,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2237)] = 0,
  [SMALL_STATE(2238)] = 77,
  [SMALL_STATE(2239)] = 152,
  [SMALL_STATE(2240)] = 227,
  [SMALL_STATE(2241)] = 302,
  [SMALL_STATE(2242)] = 377,
  [SMALL_STATE(2243)] = 452,
  [SMALL_STATE(2244)] = 525,
  [SMALL_STATE(2245)] = 600,
  [SMALL_STATE(2246)] = 675,
  [SMALL_STATE(2247)] = 754,
  [SMALL_STATE(2248)] = 841,
  [SMALL_STATE(2249)] = 916,
  [SMALL_STATE(2250)] = 991,
  [SMALL_STATE(2251)] = 1066,
  [SMALL_STATE(2252)] = 1137,
  [SMALL_STATE(2253)] = 1210,
  [SMALL_STATE(2254)] = 1281,
  [SMALL_STATE(2255)] = 1358,
  [SMALL_STATE(2256)] = 1433,
  [SMALL_STATE(2257)] = 1508,
  [SMALL_STATE(2258)] = 1583,
  [SMALL_STATE(2259)] = 1666,
  [SMALL_STATE(2260)] = 1749,
  [SMALL_STATE(2261)] = 1824,
  [SMALL_STATE(2262)] = 1899,
  [SMALL_STATE(2263)] = 1974,
  [SMALL_STATE(2264)] = 2049,
  [SMALL_STATE(2265)] = 2128,
  [SMALL_STATE(2266)] = 2203,
  [SMALL_STATE(2267)] = 2278,
  [SMALL_STATE(2268)] = 2353,
  [SMALL_STATE(2269)] = 2428,
  [SMALL_STATE(2270)] = 2505,
  [SMALL_STATE(2271)] = 2580,
  [SMALL_STATE(2272)] = 2655,
  [SMALL_STATE(2273)] = 2730,
  [SMALL_STATE(2274)] = 2805,
  [SMALL_STATE(2275)] = 2880,
  [SMALL_STATE(2276)] = 2955,
  [SMALL_STATE(2277)] = 3026,
  [SMALL_STATE(2278)] = 3105,
  [SMALL_STATE(2279)] = 3180,
  [SMALL_STATE(2280)] = 3251,
  [SMALL_STATE(2281)] = 3322,
  [SMALL_STATE(2282)] = 3393,
  [SMALL_STATE(2283)] = 3464,
  [SMALL_STATE(2284)] = 3539,
  [SMALL_STATE(2285)] = 3610,
  [SMALL_STATE(2286)] = 3694,
  [SMALL_STATE(2287)] = 3780,
  [SMALL_STATE(2288)] = 3850,
  [SMALL_STATE(2289)] = 3920,
  [SMALL_STATE(2290)] = 3992,
  [SMALL_STATE(2291)] = 4062,
  [SMALL_STATE(2292)] = 4138,
  [SMALL_STATE(2293)] = 4222,
  [SMALL_STATE(2294)] = 4292,
  [SMALL_STATE(2295)] = 4362,
  [SMALL_STATE(2296)] = 4432,
  [SMALL_STATE(2297)] = 4506,
  [SMALL_STATE(2298)] = 4588,
  [SMALL_STATE(2299)] = 4658,
  [SMALL_STATE(2300)] = 4728,
  [SMALL_STATE(2301)] = 4798,
  [SMALL_STATE(2302)] = 4868,
  [SMALL_STATE(2303)] = 4938,
  [SMALL_STATE(2304)] = 5014,
  [SMALL_STATE(2305)] = 5084,
  [SMALL_STATE(2306)] = 5154,
  [SMALL_STATE(2307)] = 5224,
  [SMALL_STATE(2308)] = 5294,
  [SMALL_STATE(2309)] = 5364,
  [SMALL_STATE(2310)] = 5434,
  [SMALL_STATE(2311)] = 5512,
  [SMALL_STATE(2312)] = 5582,
  [SMALL_STATE(2313)] = 5652,
  [SMALL_STATE(2314)] = 5722,
  [SMALL_STATE(2315)] = 5792,
  [SMALL_STATE(2316)] = 5886,
  [SMALL_STATE(2317)] = 5958,
  [SMALL_STATE(2318)] = 6028,
  [SMALL_STATE(2319)] = 6112,
  [SMALL_STATE(2320)] = 6182,
  [SMALL_STATE(2321)] = 6276,
  [SMALL_STATE(2322)] = 6346,
  [SMALL_STATE(2323)] = 6420,
  [SMALL_STATE(2324)] = 6502,
  [SMALL_STATE(2325)] = 6572,
  [SMALL_STATE(2326)] = 6642,
  [SMALL_STATE(2327)] = 6712,
  [SMALL_STATE(2328)] = 6796,
  [SMALL_STATE(2329)] = 6880,
  [SMALL_STATE(2330)] = 6958,
  [SMALL_STATE(2331)] = 7028,
  [SMALL_STATE(2332)] = 7098,
  [SMALL_STATE(2333)] = 7172,
  [SMALL_STATE(2334)] = 7241,
  [SMALL_STATE(2335)] = 7310,
  [SMALL_STATE(2336)] = 7379,
  [SMALL_STATE(2337)] = 7448,
  [SMALL_STATE(2338)] = 7517,
  [SMALL_STATE(2339)] = 7592,
  [SMALL_STATE(2340)] = 7671,
  [SMALL_STATE(2341)] = 7740,
  [SMALL_STATE(2342)] = 7809,
  [SMALL_STATE(2343)] = 7878,
  [SMALL_STATE(2344)] = 7951,
  [SMALL_STATE(2345)] = 8020,
  [SMALL_STATE(2346)] = 8089,
  [SMALL_STATE(2347)] = 8168,
  [SMALL_STATE(2348)] = 8245,
  [SMALL_STATE(2349)] = 8320,
  [SMALL_STATE(2350)] = 8389,
  [SMALL_STATE(2351)] = 8458,
  [SMALL_STATE(2352)] = 8535,
  [SMALL_STATE(2353)] = 8604,
  [SMALL_STATE(2354)] = 8685,
  [SMALL_STATE(2355)] = 8754,
  [SMALL_STATE(2356)] = 8823,
  [SMALL_STATE(2357)] = 8892,
  [SMALL_STATE(2358)] = 8961,
  [SMALL_STATE(2359)] = 9030,
  [SMALL_STATE(2360)] = 9099,
  [SMALL_STATE(2361)] = 9168,
  [SMALL_STATE(2362)] = 9237,
  [SMALL_STATE(2363)] = 9306,
  [SMALL_STATE(2364)] = 9375,
  [SMALL_STATE(2365)] = 9444,
  [SMALL_STATE(2366)] = 9513,
  [SMALL_STATE(2367)] = 9598,
  [SMALL_STATE(2368)] = 9667,
  [SMALL_STATE(2369)] = 9736,
  [SMALL_STATE(2370)] = 9805,
  [SMALL_STATE(2371)] = 9874,
  [SMALL_STATE(2372)] = 9943,
  [SMALL_STATE(2373)] = 10012,
  [SMALL_STATE(2374)] = 10081,
  [SMALL_STATE(2375)] = 10150,
  [SMALL_STATE(2376)] = 10219,
  [SMALL_STATE(2377)] = 10288,
  [SMALL_STATE(2378)] = 10365,
  [SMALL_STATE(2379)] = 10434,
  [SMALL_STATE(2380)] = 10503,
  [SMALL_STATE(2381)] = 10572,
  [SMALL_STATE(2382)] = 10641,
  [SMALL_STATE(2383)] = 10710,
  [SMALL_STATE(2384)] = 10779,
  [SMALL_STATE(2385)] = 10848,
  [SMALL_STATE(2386)] = 10917,
  [SMALL_STATE(2387)] = 10986,
  [SMALL_STATE(2388)] = 11055,
  [SMALL_STATE(2389)] = 11124,
  [SMALL_STATE(2390)] = 11193,
  [SMALL_STATE(2391)] = 11262,
  [SMALL_STATE(2392)] = 11331,
  [SMALL_STATE(2393)] = 11400,
  [SMALL_STATE(2394)] = 11469,
  [SMALL_STATE(2395)] = 11538,
  [SMALL_STATE(2396)] = 11607,
  [SMALL_STATE(2397)] = 11676,
  [SMALL_STATE(2398)] = 11745,
  [SMALL_STATE(2399)] = 11814,
  [SMALL_STATE(2400)] = 11895,
  [SMALL_STATE(2401)] = 11964,
  [SMALL_STATE(2402)] = 12033,
  [SMALL_STATE(2403)] = 12102,
  [SMALL_STATE(2404)] = 12171,
  [SMALL_STATE(2405)] = 12240,
  [SMALL_STATE(2406)] = 12309,
  [SMALL_STATE(2407)] = 12394,
  [SMALL_STATE(2408)] = 12463,
  [SMALL_STATE(2409)] = 12532,
  [SMALL_STATE(2410)] = 12601,
  [SMALL_STATE(2411)] = 12670,
  [SMALL_STATE(2412)] = 12739,
  [SMALL_STATE(2413)] = 12808,
  [SMALL_STATE(2414)] = 12877,
  [SMALL_STATE(2415)] = 12946,
  [SMALL_STATE(2416)] = 13015,
  [SMALL_STATE(2417)] = 13084,
  [SMALL_STATE(2418)] = 13153,
  [SMALL_STATE(2419)] = 13222,
  [SMALL_STATE(2420)] = 13291,
  [SMALL_STATE(2421)] = 13360,
  [SMALL_STATE(2422)] = 13433,
  [SMALL_STATE(2423)] = 13502,
  [SMALL_STATE(2424)] = 13571,
  [SMALL_STATE(2425)] = 13640,
  [SMALL_STATE(2426)] = 13709,
  [SMALL_STATE(2427)] = 13778,
  [SMALL_STATE(2428)] = 13847,
  [SMALL_STATE(2429)] = 13916,
  [SMALL_STATE(2430)] = 13985,
  [SMALL_STATE(2431)] = 14054,
  [SMALL_STATE(2432)] = 14123,
  [SMALL_STATE(2433)] = 14192,
  [SMALL_STATE(2434)] = 14261,
  [SMALL_STATE(2435)] = 14330,
  [SMALL_STATE(2436)] = 14399,
  [SMALL_STATE(2437)] = 14468,
  [SMALL_STATE(2438)] = 14537,
  [SMALL_STATE(2439)] = 14606,
  [SMALL_STATE(2440)] = 14675,
  [SMALL_STATE(2441)] = 14744,
  [SMALL_STATE(2442)] = 14813,
  [SMALL_STATE(2443)] = 14882,
  [SMALL_STATE(2444)] = 14951,
  [SMALL_STATE(2445)] = 15020,
  [SMALL_STATE(2446)] = 15089,
  [SMALL_STATE(2447)] = 15158,
  [SMALL_STATE(2448)] = 15227,
  [SMALL_STATE(2449)] = 15296,
  [SMALL_STATE(2450)] = 15365,
  [SMALL_STATE(2451)] = 15434,
  [SMALL_STATE(2452)] = 15503,
  [SMALL_STATE(2453)] = 15572,
  [SMALL_STATE(2454)] = 15641,
  [SMALL_STATE(2455)] = 15710,
  [SMALL_STATE(2456)] = 15779,
  [SMALL_STATE(2457)] = 15848,
  [SMALL_STATE(2458)] = 15917,
  [SMALL_STATE(2459)] = 15986,
  [SMALL_STATE(2460)] = 16055,
  [SMALL_STATE(2461)] = 16123,
  [SMALL_STATE(2462)] = 16199,
  [SMALL_STATE(2463)] = 16267,
  [SMALL_STATE(2464)] = 16341,
  [SMALL_STATE(2465)] = 16409,
  [SMALL_STATE(2466)] = 16477,
  [SMALL_STATE(2467)] = 16545,
  [SMALL_STATE(2468)] = 16631,
  [SMALL_STATE(2469)] = 16703,
  [SMALL_STATE(2470)] = 16777,
  [SMALL_STATE(2471)] = 16853,
  [SMALL_STATE(2472)] = 16921,
  [SMALL_STATE(2473)] = 16997,
  [SMALL_STATE(2474)] = 17065,
  [SMALL_STATE(2475)] = 17141,
  [SMALL_STATE(2476)] = 17217,
  [SMALL_STATE(2477)] = 17285,
  [SMALL_STATE(2478)] = 17365,
  [SMALL_STATE(2479)] = 17433,
  [SMALL_STATE(2480)] = 17505,
  [SMALL_STATE(2481)] = 17573,
  [SMALL_STATE(2482)] = 17645,
  [SMALL_STATE(2483)] = 17713,
  [SMALL_STATE(2484)] = 17791,
  [SMALL_STATE(2485)] = 17865,
  [SMALL_STATE(2486)] = 17935,
  [SMALL_STATE(2487)] = 18005,
  [SMALL_STATE(2488)] = 18073,
  [SMALL_STATE(2489)] = 18141,
  [SMALL_STATE(2490)] = 18213,
  [SMALL_STATE(2491)] = 18289,
  [SMALL_STATE(2492)] = 18363,
  [SMALL_STATE(2493)] = 18435,
  [SMALL_STATE(2494)] = 18505,
  [SMALL_STATE(2495)] = 18591,
  [SMALL_STATE(2496)] = 18665,
  [SMALL_STATE(2497)] = 18751,
  [SMALL_STATE(2498)] = 18823,
  [SMALL_STATE(2499)] = 18895,
  [SMALL_STATE(2500)] = 18964,
  [SMALL_STATE(2501)] = 19039,
  [SMALL_STATE(2502)] = 19106,
  [SMALL_STATE(2503)] = 19173,
  [SMALL_STATE(2504)] = 19240,
  [SMALL_STATE(2505)] = 19311,
  [SMALL_STATE(2506)] = 19382,
  [SMALL_STATE(2507)] = 19453,
  [SMALL_STATE(2508)] = 19520,
  [SMALL_STATE(2509)] = 19593,
  [SMALL_STATE(2510)] = 19668,
  [SMALL_STATE(2511)] = 19735,
  [SMALL_STATE(2512)] = 19806,
  [SMALL_STATE(2513)] = 19877,
  [SMALL_STATE(2514)] = 19948,
  [SMALL_STATE(2515)] = 20019,
  [SMALL_STATE(2516)] = 20090,
  [SMALL_STATE(2517)] = 20173,
  [SMALL_STATE(2518)] = 20244,
  [SMALL_STATE(2519)] = 20311,
  [SMALL_STATE(2520)] = 20382,
  [SMALL_STATE(2521)] = 20453,
  [SMALL_STATE(2522)] = 20524,
  [SMALL_STATE(2523)] = 20595,
  [SMALL_STATE(2524)] = 20666,
  [SMALL_STATE(2525)] = 20737,
  [SMALL_STATE(2526)] = 20804,
  [SMALL_STATE(2527)] = 20875,
  [SMALL_STATE(2528)] = 20946,
  [SMALL_STATE(2529)] = 21017,
  [SMALL_STATE(2530)] = 21088,
  [SMALL_STATE(2531)] = 21159,
  [SMALL_STATE(2532)] = 21232,
  [SMALL_STATE(2533)] = 21299,
  [SMALL_STATE(2534)] = 21370,
  [SMALL_STATE(2535)] = 21443,
  [SMALL_STATE(2536)] = 21522,
  [SMALL_STATE(2537)] = 21589,
  [SMALL_STATE(2538)] = 21660,
  [SMALL_STATE(2539)] = 21731,
  [SMALL_STATE(2540)] = 21800,
  [SMALL_STATE(2541)] = 21871,
  [SMALL_STATE(2542)] = 21942,
  [SMALL_STATE(2543)] = 22009,
  [SMALL_STATE(2544)] = 22076,
  [SMALL_STATE(2545)] = 22143,
  [SMALL_STATE(2546)] = 22210,
  [SMALL_STATE(2547)] = 22325,
  [SMALL_STATE(2548)] = 22440,
  [SMALL_STATE(2549)] = 22511,
  [SMALL_STATE(2550)] = 22590,
  [SMALL_STATE(2551)] = 22659,
  [SMALL_STATE(2552)] = 22730,
  [SMALL_STATE(2553)] = 22801,
  [SMALL_STATE(2554)] = 22868,
  [SMALL_STATE(2555)] = 22939,
  [SMALL_STATE(2556)] = 23007,
  [SMALL_STATE(2557)] = 23075,
  [SMALL_STATE(2558)] = 23141,
  [SMALL_STATE(2559)] = 23207,
  [SMALL_STATE(2560)] = 23273,
  [SMALL_STATE(2561)] = 23339,
  [SMALL_STATE(2562)] = 23405,
  [SMALL_STATE(2563)] = 23473,
  [SMALL_STATE(2564)] = 23539,
  [SMALL_STATE(2565)] = 23609,
  [SMALL_STATE(2566)] = 23675,
  [SMALL_STATE(2567)] = 23743,
  [SMALL_STATE(2568)] = 23809,
  [SMALL_STATE(2569)] = 23875,
  [SMALL_STATE(2570)] = 23945,
  [SMALL_STATE(2571)] = 24011,
  [SMALL_STATE(2572)] = 24077,
  [SMALL_STATE(2573)] = 24143,
  [SMALL_STATE(2574)] = 24209,
  [SMALL_STATE(2575)] = 24275,
  [SMALL_STATE(2576)] = 24353,
  [SMALL_STATE(2577)] = 24423,
  [SMALL_STATE(2578)] = 24501,
  [SMALL_STATE(2579)] = 24577,
  [SMALL_STATE(2580)] = 24645,
  [SMALL_STATE(2581)] = 24713,
  [SMALL_STATE(2582)] = 24783,
  [SMALL_STATE(2583)] = 24849,
  [SMALL_STATE(2584)] = 24915,
  [SMALL_STATE(2585)] = 24997,
  [SMALL_STATE(2586)] = 25063,
  [SMALL_STATE(2587)] = 25131,
  [SMALL_STATE(2588)] = 25197,
  [SMALL_STATE(2589)] = 25279,
  [SMALL_STATE(2590)] = 25345,
  [SMALL_STATE(2591)] = 25411,
  [SMALL_STATE(2592)] = 25493,
  [SMALL_STATE(2593)] = 25559,
  [SMALL_STATE(2594)] = 25625,
  [SMALL_STATE(2595)] = 25691,
  [SMALL_STATE(2596)] = 25757,
  [SMALL_STATE(2597)] = 25839,
  [SMALL_STATE(2598)] = 25909,
  [SMALL_STATE(2599)] = 25979,
  [SMALL_STATE(2600)] = 26045,
  [SMALL_STATE(2601)] = 26111,
  [SMALL_STATE(2602)] = 26177,
  [SMALL_STATE(2603)] = 26243,
  [SMALL_STATE(2604)] = 26315,
  [SMALL_STATE(2605)] = 26381,
  [SMALL_STATE(2606)] = 26446,
  [SMALL_STATE(2607)] = 26511,
  [SMALL_STATE(2608)] = 26576,
  [SMALL_STATE(2609)] = 26641,
  [SMALL_STATE(2610)] = 26706,
  [SMALL_STATE(2611)] = 26787,
  [SMALL_STATE(2612)] = 26852,
  [SMALL_STATE(2613)] = 26965,
  [SMALL_STATE(2614)] = 27030,
  [SMALL_STATE(2615)] = 27095,
  [SMALL_STATE(2616)] = 27208,
  [SMALL_STATE(2617)] = 27273,
  [SMALL_STATE(2618)] = 27338,
  [SMALL_STATE(2619)] = 27407,
  [SMALL_STATE(2620)] = 27472,
  [SMALL_STATE(2621)] = 27581,
  [SMALL_STATE(2622)] = 27694,
  [SMALL_STATE(2623)] = 27759,
  [SMALL_STATE(2624)] = 27864,
  [SMALL_STATE(2625)] = 27965,
  [SMALL_STATE(2626)] = 28064,
  [SMALL_STATE(2627)] = 28161,
  [SMALL_STATE(2628)] = 28256,
  [SMALL_STATE(2629)] = 28347,
  [SMALL_STATE(2630)] = 28434,
  [SMALL_STATE(2631)] = 28503,
  [SMALL_STATE(2632)] = 28574,
  [SMALL_STATE(2633)] = 28683,
  [SMALL_STATE(2634)] = 28796,
  [SMALL_STATE(2635)] = 28905,
  [SMALL_STATE(2636)] = 29018,
  [SMALL_STATE(2637)] = 29083,
  [SMALL_STATE(2638)] = 29152,
  [SMALL_STATE(2639)] = 29217,
  [SMALL_STATE(2640)] = 29282,
  [SMALL_STATE(2641)] = 29373,
  [SMALL_STATE(2642)] = 29438,
  [SMALL_STATE(2643)] = 29503,
  [SMALL_STATE(2644)] = 29568,
  [SMALL_STATE(2645)] = 29641,
  [SMALL_STATE(2646)] = 29754,
  [SMALL_STATE(2647)] = 29819,
  [SMALL_STATE(2648)] = 29928,
  [SMALL_STATE(2649)] = 30037,
  [SMALL_STATE(2650)] = 30102,
  [SMALL_STATE(2651)] = 30167,
  [SMALL_STATE(2652)] = 30232,
  [SMALL_STATE(2653)] = 30297,
  [SMALL_STATE(2654)] = 30370,
  [SMALL_STATE(2655)] = 30435,
  [SMALL_STATE(2656)] = 30516,
  [SMALL_STATE(2657)] = 30607,
  [SMALL_STATE(2658)] = 30672,
  [SMALL_STATE(2659)] = 30741,
  [SMALL_STATE(2660)] = 30806,
  [SMALL_STATE(2661)] = 30871,
  [SMALL_STATE(2662)] = 30962,
  [SMALL_STATE(2663)] = 31031,
  [SMALL_STATE(2664)] = 31096,
  [SMALL_STATE(2665)] = 31161,
  [SMALL_STATE(2666)] = 31226,
  [SMALL_STATE(2667)] = 31291,
  [SMALL_STATE(2668)] = 31382,
  [SMALL_STATE(2669)] = 31453,
  [SMALL_STATE(2670)] = 31518,
  [SMALL_STATE(2671)] = 31583,
  [SMALL_STATE(2672)] = 31648,
  [SMALL_STATE(2673)] = 31729,
  [SMALL_STATE(2674)] = 31810,
  [SMALL_STATE(2675)] = 31893,
  [SMALL_STATE(2676)] = 31978,
  [SMALL_STATE(2677)] = 32091,
  [SMALL_STATE(2678)] = 32182,
  [SMALL_STATE(2679)] = 32247,
  [SMALL_STATE(2680)] = 32338,
  [SMALL_STATE(2681)] = 32403,
  [SMALL_STATE(2682)] = 32484,
  [SMALL_STATE(2683)] = 32549,
  [SMALL_STATE(2684)] = 32614,
  [SMALL_STATE(2685)] = 32679,
  [SMALL_STATE(2686)] = 32748,
  [SMALL_STATE(2687)] = 32813,
  [SMALL_STATE(2688)] = 32878,
  [SMALL_STATE(2689)] = 32947,
  [SMALL_STATE(2690)] = 33038,
  [SMALL_STATE(2691)] = 33154,
  [SMALL_STATE(2692)] = 33218,
  [SMALL_STATE(2693)] = 33282,
  [SMALL_STATE(2694)] = 33346,
  [SMALL_STATE(2695)] = 33410,
  [SMALL_STATE(2696)] = 33492,
  [SMALL_STATE(2697)] = 33574,
  [SMALL_STATE(2698)] = 33640,
  [SMALL_STATE(2699)] = 33722,
  [SMALL_STATE(2700)] = 33790,
  [SMALL_STATE(2701)] = 33856,
  [SMALL_STATE(2702)] = 33938,
  [SMALL_STATE(2703)] = 34050,
  [SMALL_STATE(2704)] = 34166,
  [SMALL_STATE(2705)] = 34248,
  [SMALL_STATE(2706)] = 34330,
  [SMALL_STATE(2707)] = 34412,
  [SMALL_STATE(2708)] = 34524,
  [SMALL_STATE(2709)] = 34600,
  [SMALL_STATE(2710)] = 34682,
  [SMALL_STATE(2711)] = 34750,
  [SMALL_STATE(2712)] = 34816,
  [SMALL_STATE(2713)] = 34884,
  [SMALL_STATE(2714)] = 34966,
  [SMALL_STATE(2715)] = 35048,
  [SMALL_STATE(2716)] = 35124,
  [SMALL_STATE(2717)] = 35192,
  [SMALL_STATE(2718)] = 35256,
  [SMALL_STATE(2719)] = 35320,
  [SMALL_STATE(2720)] = 35384,
  [SMALL_STATE(2721)] = 35466,
  [SMALL_STATE(2722)] = 35530,
  [SMALL_STATE(2723)] = 35594,
  [SMALL_STATE(2724)] = 35658,
  [SMALL_STATE(2725)] = 35730,
  [SMALL_STATE(2726)] = 35802,
  [SMALL_STATE(2727)] = 35866,
  [SMALL_STATE(2728)] = 35938,
  [SMALL_STATE(2729)] = 36012,
  [SMALL_STATE(2730)] = 36078,
  [SMALL_STATE(2731)] = 36142,
  [SMALL_STATE(2732)] = 36206,
  [SMALL_STATE(2733)] = 36270,
  [SMALL_STATE(2734)] = 36338,
  [SMALL_STATE(2735)] = 36406,
  [SMALL_STATE(2736)] = 36488,
  [SMALL_STATE(2737)] = 36554,
  [SMALL_STATE(2738)] = 36618,
  [SMALL_STATE(2739)] = 36686,
  [SMALL_STATE(2740)] = 36768,
  [SMALL_STATE(2741)] = 36832,
  [SMALL_STATE(2742)] = 36900,
  [SMALL_STATE(2743)] = 36968,
  [SMALL_STATE(2744)] = 37050,
  [SMALL_STATE(2745)] = 37114,
  [SMALL_STATE(2746)] = 37182,
  [SMALL_STATE(2747)] = 37250,
  [SMALL_STATE(2748)] = 37318,
  [SMALL_STATE(2749)] = 37386,
  [SMALL_STATE(2750)] = 37450,
  [SMALL_STATE(2751)] = 37514,
  [SMALL_STATE(2752)] = 37578,
  [SMALL_STATE(2753)] = 37650,
  [SMALL_STATE(2754)] = 37713,
  [SMALL_STATE(2755)] = 37776,
  [SMALL_STATE(2756)] = 37885,
  [SMALL_STATE(2757)] = 37948,
  [SMALL_STATE(2758)] = 38057,
  [SMALL_STATE(2759)] = 38166,
  [SMALL_STATE(2760)] = 38237,
  [SMALL_STATE(2761)] = 38300,
  [SMALL_STATE(2762)] = 38409,
  [SMALL_STATE(2763)] = 38472,
  [SMALL_STATE(2764)] = 38581,
  [SMALL_STATE(2765)] = 38644,
  [SMALL_STATE(2766)] = 38707,
  [SMALL_STATE(2767)] = 38816,
  [SMALL_STATE(2768)] = 38925,
  [SMALL_STATE(2769)] = 38988,
  [SMALL_STATE(2770)] = 39097,
  [SMALL_STATE(2771)] = 39166,
  [SMALL_STATE(2772)] = 39281,
  [SMALL_STATE(2773)] = 39394,
  [SMALL_STATE(2774)] = 39503,
  [SMALL_STATE(2775)] = 39612,
  [SMALL_STATE(2776)] = 39725,
  [SMALL_STATE(2777)] = 39834,
  [SMALL_STATE(2778)] = 39943,
  [SMALL_STATE(2779)] = 40104,
  [SMALL_STATE(2780)] = 40181,
  [SMALL_STATE(2781)] = 40290,
  [SMALL_STATE(2782)] = 40363,
  [SMALL_STATE(2783)] = 40436,
  [SMALL_STATE(2784)] = 40499,
  [SMALL_STATE(2785)] = 40608,
  [SMALL_STATE(2786)] = 40681,
  [SMALL_STATE(2787)] = 40748,
  [SMALL_STATE(2788)] = 40863,
  [SMALL_STATE(2789)] = 40930,
  [SMALL_STATE(2790)] = 40997,
  [SMALL_STATE(2791)] = 41068,
  [SMALL_STATE(2792)] = 41141,
  [SMALL_STATE(2793)] = 41208,
  [SMALL_STATE(2794)] = 41275,
  [SMALL_STATE(2795)] = 41354,
  [SMALL_STATE(2796)] = 41467,
  [SMALL_STATE(2797)] = 41546,
  [SMALL_STATE(2798)] = 41647,
  [SMALL_STATE(2799)] = 41744,
  [SMALL_STATE(2800)] = 41811,
  [SMALL_STATE(2801)] = 41878,
  [SMALL_STATE(2802)] = 41973,
  [SMALL_STATE(2803)] = 42052,
  [SMALL_STATE(2804)] = 42161,
  [SMALL_STATE(2805)] = 42270,
  [SMALL_STATE(2806)] = 42333,
  [SMALL_STATE(2807)] = 42406,
  [SMALL_STATE(2808)] = 42473,
  [SMALL_STATE(2809)] = 42544,
  [SMALL_STATE(2810)] = 42635,
  [SMALL_STATE(2811)] = 42724,
  [SMALL_STATE(2812)] = 42809,
  [SMALL_STATE(2813)] = 42890,
  [SMALL_STATE(2814)] = 42973,
  [SMALL_STATE(2815)] = 43040,
  [SMALL_STATE(2816)] = 43149,
  [SMALL_STATE(2817)] = 43258,
  [SMALL_STATE(2818)] = 43367,
  [SMALL_STATE(2819)] = 43434,
  [SMALL_STATE(2820)] = 43595,
  [SMALL_STATE(2821)] = 43662,
  [SMALL_STATE(2822)] = 43771,
  [SMALL_STATE(2823)] = 43880,
  [SMALL_STATE(2824)] = 44041,
  [SMALL_STATE(2825)] = 44150,
  [SMALL_STATE(2826)] = 44259,
  [SMALL_STATE(2827)] = 44368,
  [SMALL_STATE(2828)] = 44439,
  [SMALL_STATE(2829)] = 44548,
  [SMALL_STATE(2830)] = 44617,
  [SMALL_STATE(2831)] = 44690,
  [SMALL_STATE(2832)] = 44769,
  [SMALL_STATE(2833)] = 44878,
  [SMALL_STATE(2834)] = 44987,
  [SMALL_STATE(2835)] = 45096,
  [SMALL_STATE(2836)] = 45175,
  [SMALL_STATE(2837)] = 45242,
  [SMALL_STATE(2838)] = 45317,
  [SMALL_STATE(2839)] = 45382,
  [SMALL_STATE(2840)] = 45449,
  [SMALL_STATE(2841)] = 45514,
  [SMALL_STATE(2842)] = 45623,
  [SMALL_STATE(2843)] = 45728,
  [SMALL_STATE(2844)] = 45796,
  [SMALL_STATE(2845)] = 45858,
  [SMALL_STATE(2846)] = 45924,
  [SMALL_STATE(2847)] = 45986,
  [SMALL_STATE(2848)] = 46048,
  [SMALL_STATE(2849)] = 46110,
  [SMALL_STATE(2850)] = 46176,
  [SMALL_STATE(2851)] = 46290,
  [SMALL_STATE(2852)] = 46352,
  [SMALL_STATE(2853)] = 46418,
  [SMALL_STATE(2854)] = 46480,
  [SMALL_STATE(2855)] = 46542,
  [SMALL_STATE(2856)] = 46604,
  [SMALL_STATE(2857)] = 46666,
  [SMALL_STATE(2858)] = 46734,
  [SMALL_STATE(2859)] = 46804,
  [SMALL_STATE(2860)] = 46870,
  [SMALL_STATE(2861)] = 46936,
  [SMALL_STATE(2862)] = 47004,
  [SMALL_STATE(2863)] = 47072,
  [SMALL_STATE(2864)] = 47134,
  [SMALL_STATE(2865)] = 47196,
  [SMALL_STATE(2866)] = 47258,
  [SMALL_STATE(2867)] = 47328,
  [SMALL_STATE(2868)] = 47442,
  [SMALL_STATE(2869)] = 47504,
  [SMALL_STATE(2870)] = 47618,
  [SMALL_STATE(2871)] = 47686,
  [SMALL_STATE(2872)] = 47748,
  [SMALL_STATE(2873)] = 47810,
  [SMALL_STATE(2874)] = 47876,
  [SMALL_STATE(2875)] = 47938,
  [SMALL_STATE(2876)] = 48052,
  [SMALL_STATE(2877)] = 48118,
  [SMALL_STATE(2878)] = 48180,
  [SMALL_STATE(2879)] = 48242,
  [SMALL_STATE(2880)] = 48308,
  [SMALL_STATE(2881)] = 48370,
  [SMALL_STATE(2882)] = 48432,
  [SMALL_STATE(2883)] = 48502,
  [SMALL_STATE(2884)] = 48568,
  [SMALL_STATE(2885)] = 48630,
  [SMALL_STATE(2886)] = 48702,
  [SMALL_STATE(2887)] = 48816,
  [SMALL_STATE(2888)] = 48886,
  [SMALL_STATE(2889)] = 48948,
  [SMALL_STATE(2890)] = 49014,
  [SMALL_STATE(2891)] = 49078,
  [SMALL_STATE(2892)] = 49140,
  [SMALL_STATE(2893)] = 49206,
  [SMALL_STATE(2894)] = 49268,
  [SMALL_STATE(2895)] = 49334,
  [SMALL_STATE(2896)] = 49396,
  [SMALL_STATE(2897)] = 49462,
  [SMALL_STATE(2898)] = 49530,
  [SMALL_STATE(2899)] = 49592,
  [SMALL_STATE(2900)] = 49654,
  [SMALL_STATE(2901)] = 49720,
  [SMALL_STATE(2902)] = 49782,
  [SMALL_STATE(2903)] = 49848,
  [SMALL_STATE(2904)] = 49916,
  [SMALL_STATE(2905)] = 49984,
  [SMALL_STATE(2906)] = 50046,
  [SMALL_STATE(2907)] = 50160,
  [SMALL_STATE(2908)] = 50232,
  [SMALL_STATE(2909)] = 50298,
  [SMALL_STATE(2910)] = 50370,
  [SMALL_STATE(2911)] = 50432,
  [SMALL_STATE(2912)] = 50504,
  [SMALL_STATE(2913)] = 50618,
  [SMALL_STATE(2914)] = 50680,
  [SMALL_STATE(2915)] = 50746,
  [SMALL_STATE(2916)] = 50808,
  [SMALL_STATE(2917)] = 50870,
  [SMALL_STATE(2918)] = 50936,
  [SMALL_STATE(2919)] = 50998,
  [SMALL_STATE(2920)] = 51064,
  [SMALL_STATE(2921)] = 51126,
  [SMALL_STATE(2922)] = 51188,
  [SMALL_STATE(2923)] = 51250,
  [SMALL_STATE(2924)] = 51314,
  [SMALL_STATE(2925)] = 51376,
  [SMALL_STATE(2926)] = 51448,
  [SMALL_STATE(2927)] = 51510,
  [SMALL_STATE(2928)] = 51576,
  [SMALL_STATE(2929)] = 51638,
  [SMALL_STATE(2930)] = 51752,
  [SMALL_STATE(2931)] = 51814,
  [SMALL_STATE(2932)] = 51875,
  [SMALL_STATE(2933)] = 51968,
  [SMALL_STATE(2934)] = 52081,
  [SMALL_STATE(2935)] = 52146,
  [SMALL_STATE(2936)] = 52235,
  [SMALL_STATE(2937)] = 52300,
  [SMALL_STATE(2938)] = 52387,
  [SMALL_STATE(2939)] = 52454,
  [SMALL_STATE(2940)] = 52537,
  [SMALL_STATE(2941)] = 52624,
  [SMALL_STATE(2942)] = 52707,
  [SMALL_STATE(2943)] = 52772,
  [SMALL_STATE(2944)] = 52839,
  [SMALL_STATE(2945)] = 52946,
  [SMALL_STATE(2946)] = 53057,
  [SMALL_STATE(2947)] = 53122,
  [SMALL_STATE(2948)] = 53193,
  [SMALL_STATE(2949)] = 53300,
  [SMALL_STATE(2950)] = 53365,
  [SMALL_STATE(2951)] = 53444,
  [SMALL_STATE(2952)] = 53509,
  [SMALL_STATE(2953)] = 53574,
  [SMALL_STATE(2954)] = 53647,
  [SMALL_STATE(2955)] = 53708,
  [SMALL_STATE(2956)] = 53769,
  [SMALL_STATE(2957)] = 53844,
  [SMALL_STATE(2958)] = 53905,
  [SMALL_STATE(2959)] = 53968,
  [SMALL_STATE(2960)] = 54081,
  [SMALL_STATE(2961)] = 54148,
  [SMALL_STATE(2962)] = 54209,
  [SMALL_STATE(2963)] = 54284,
  [SMALL_STATE(2964)] = 54349,
  [SMALL_STATE(2965)] = 54414,
  [SMALL_STATE(2966)] = 54475,
  [SMALL_STATE(2967)] = 54538,
  [SMALL_STATE(2968)] = 54599,
  [SMALL_STATE(2969)] = 54664,
  [SMALL_STATE(2970)] = 54725,
  [SMALL_STATE(2971)] = 54832,
  [SMALL_STATE(2972)] = 54897,
  [SMALL_STATE(2973)] = 55004,
  [SMALL_STATE(2974)] = 55069,
  [SMALL_STATE(2975)] = 55132,
  [SMALL_STATE(2976)] = 55239,
  [SMALL_STATE(2977)] = 55302,
  [SMALL_STATE(2978)] = 55367,
  [SMALL_STATE(2979)] = 55444,
  [SMALL_STATE(2980)] = 55523,
  [SMALL_STATE(2981)] = 55586,
  [SMALL_STATE(2982)] = 55667,
  [SMALL_STATE(2983)] = 55780,
  [SMALL_STATE(2984)] = 55841,
  [SMALL_STATE(2985)] = 55922,
  [SMALL_STATE(2986)] = 56033,
  [SMALL_STATE(2987)] = 56094,
  [SMALL_STATE(2988)] = 56155,
  [SMALL_STATE(2989)] = 56230,
  [SMALL_STATE(2990)] = 56293,
  [SMALL_STATE(2991)] = 56400,
  [SMALL_STATE(2992)] = 56461,
  [SMALL_STATE(2993)] = 56568,
  [SMALL_STATE(2994)] = 56633,
  [SMALL_STATE(2995)] = 56698,
  [SMALL_STATE(2996)] = 56759,
  [SMALL_STATE(2997)] = 56822,
  [SMALL_STATE(2998)] = 56887,
  [SMALL_STATE(2999)] = 56948,
  [SMALL_STATE(3000)] = 57009,
  [SMALL_STATE(3001)] = 57078,
  [SMALL_STATE(3002)] = 57143,
  [SMALL_STATE(3003)] = 57206,
  [SMALL_STATE(3004)] = 57279,
  [SMALL_STATE(3005)] = 57340,
  [SMALL_STATE(3006)] = 57401,
  [SMALL_STATE(3007)] = 57466,
  [SMALL_STATE(3008)] = 57561,
  [SMALL_STATE(3009)] = 57634,
  [SMALL_STATE(3010)] = 57701,
  [SMALL_STATE(3011)] = 57764,
  [SMALL_STATE(3012)] = 57877,
  [SMALL_STATE(3013)] = 57942,
  [SMALL_STATE(3014)] = 58003,
  [SMALL_STATE(3015)] = 58066,
  [SMALL_STATE(3016)] = 58127,
  [SMALL_STATE(3017)] = 58194,
  [SMALL_STATE(3018)] = 58259,
  [SMALL_STATE(3019)] = 58320,
  [SMALL_STATE(3020)] = 58385,
  [SMALL_STATE(3021)] = 58448,
  [SMALL_STATE(3022)] = 58511,
  [SMALL_STATE(3023)] = 58618,
  [SMALL_STATE(3024)] = 58683,
  [SMALL_STATE(3025)] = 58748,
  [SMALL_STATE(3026)] = 58809,
  [SMALL_STATE(3027)] = 58920,
  [SMALL_STATE(3028)] = 58987,
  [SMALL_STATE(3029)] = 59048,
  [SMALL_STATE(3030)] = 59115,
  [SMALL_STATE(3031)] = 59176,
  [SMALL_STATE(3032)] = 59237,
  [SMALL_STATE(3033)] = 59298,
  [SMALL_STATE(3034)] = 59359,
  [SMALL_STATE(3035)] = 59436,
  [SMALL_STATE(3036)] = 59497,
  [SMALL_STATE(3037)] = 59558,
  [SMALL_STATE(3038)] = 59619,
  [SMALL_STATE(3039)] = 59684,
  [SMALL_STATE(3040)] = 59787,
  [SMALL_STATE(3041)] = 59898,
  [SMALL_STATE(3042)] = 60009,
  [SMALL_STATE(3043)] = 60070,
  [SMALL_STATE(3044)] = 60143,
  [SMALL_STATE(3045)] = 60206,
  [SMALL_STATE(3046)] = 60313,
  [SMALL_STATE(3047)] = 60390,
  [SMALL_STATE(3048)] = 60497,
  [SMALL_STATE(3049)] = 60558,
  [SMALL_STATE(3050)] = 60657,
  [SMALL_STATE(3051)] = 60718,
  [SMALL_STATE(3052)] = 60781,
  [SMALL_STATE(3053)] = 60842,
  [SMALL_STATE(3054)] = 60937,
  [SMALL_STATE(3055)] = 61030,
  [SMALL_STATE(3056)] = 61141,
  [SMALL_STATE(3057)] = 61202,
  [SMALL_STATE(3058)] = 61277,
  [SMALL_STATE(3059)] = 61342,
  [SMALL_STATE(3060)] = 61417,
  [SMALL_STATE(3061)] = 61482,
  [SMALL_STATE(3062)] = 61545,
  [SMALL_STATE(3063)] = 61634,
  [SMALL_STATE(3064)] = 61699,
  [SMALL_STATE(3065)] = 61764,
  [SMALL_STATE(3066)] = 61827,
  [SMALL_STATE(3067)] = 61888,
  [SMALL_STATE(3068)] = 61949,
  [SMALL_STATE(3069)] = 62012,
  [SMALL_STATE(3070)] = 62075,
  [SMALL_STATE(3071)] = 62148,
  [SMALL_STATE(3072)] = 62251,
  [SMALL_STATE(3073)] = 62350,
  [SMALL_STATE(3074)] = 62415,
  [SMALL_STATE(3075)] = 62491,
  [SMALL_STATE(3076)] = 62551,
  [SMALL_STATE(3077)] = 62611,
  [SMALL_STATE(3078)] = 62715,
  [SMALL_STATE(3079)] = 62783,
  [SMALL_STATE(3080)] = 62843,
  [SMALL_STATE(3081)] = 62957,
  [SMALL_STATE(3082)] = 63021,
  [SMALL_STATE(3083)] = 63129,
  [SMALL_STATE(3084)] = 63191,
  [SMALL_STATE(3085)] = 63255,
  [SMALL_STATE(3086)] = 63317,
  [SMALL_STATE(3087)] = 63377,
  [SMALL_STATE(3088)] = 63437,
  [SMALL_STATE(3089)] = 63497,
  [SMALL_STATE(3090)] = 63557,
  [SMALL_STATE(3091)] = 63617,
  [SMALL_STATE(3092)] = 63677,
  [SMALL_STATE(3093)] = 63751,
  [SMALL_STATE(3094)] = 63811,
  [SMALL_STATE(3095)] = 63877,
  [SMALL_STATE(3096)] = 63937,
  [SMALL_STATE(3097)] = 64007,
  [SMALL_STATE(3098)] = 64081,
  [SMALL_STATE(3099)] = 64237,
  [SMALL_STATE(3100)] = 64297,
  [SMALL_STATE(3101)] = 64453,
  [SMALL_STATE(3102)] = 64513,
  [SMALL_STATE(3103)] = 64575,
  [SMALL_STATE(3104)] = 64635,
  [SMALL_STATE(3105)] = 64695,
  [SMALL_STATE(3106)] = 64761,
  [SMALL_STATE(3107)] = 64821,
  [SMALL_STATE(3108)] = 64885,
  [SMALL_STATE(3109)] = 64945,
  [SMALL_STATE(3110)] = 65005,
  [SMALL_STATE(3111)] = 65071,
  [SMALL_STATE(3112)] = 65131,
  [SMALL_STATE(3113)] = 65193,
  [SMALL_STATE(3114)] = 65259,
  [SMALL_STATE(3115)] = 65319,
  [SMALL_STATE(3116)] = 65379,
  [SMALL_STATE(3117)] = 65535,
  [SMALL_STATE(3118)] = 65595,
  [SMALL_STATE(3119)] = 65655,
  [SMALL_STATE(3120)] = 65719,
  [SMALL_STATE(3121)] = 65785,
  [SMALL_STATE(3122)] = 65857,
  [SMALL_STATE(3123)] = 65961,
  [SMALL_STATE(3124)] = 66037,
  [SMALL_STATE(3125)] = 66105,
  [SMALL_STATE(3126)] = 66261,
  [SMALL_STATE(3127)] = 66335,
  [SMALL_STATE(3128)] = 66409,
  [SMALL_STATE(3129)] = 66477,
  [SMALL_STATE(3130)] = 66537,
  [SMALL_STATE(3131)] = 66693,
  [SMALL_STATE(3132)] = 66797,
  [SMALL_STATE(3133)] = 66869,
  [SMALL_STATE(3134)] = 66929,
  [SMALL_STATE(3135)] = 66993,
  [SMALL_STATE(3136)] = 67059,
  [SMALL_STATE(3137)] = 67125,
  [SMALL_STATE(3138)] = 67281,
  [SMALL_STATE(3139)] = 67349,
  [SMALL_STATE(3140)] = 67505,
  [SMALL_STATE(3141)] = 67565,
  [SMALL_STATE(3142)] = 67721,
  [SMALL_STATE(3143)] = 67787,
  [SMALL_STATE(3144)] = 67943,
  [SMALL_STATE(3145)] = 68005,
  [SMALL_STATE(3146)] = 68065,
  [SMALL_STATE(3147)] = 68173,
  [SMALL_STATE(3148)] = 68277,
  [SMALL_STATE(3149)] = 68337,
  [SMALL_STATE(3150)] = 68403,
  [SMALL_STATE(3151)] = 68511,
  [SMALL_STATE(3152)] = 68571,
  [SMALL_STATE(3153)] = 68637,
  [SMALL_STATE(3154)] = 68697,
  [SMALL_STATE(3155)] = 68773,
  [SMALL_STATE(3156)] = 68847,
  [SMALL_STATE(3157)] = 68947,
  [SMALL_STATE(3158)] = 69043,
  [SMALL_STATE(3159)] = 69135,
  [SMALL_STATE(3160)] = 69225,
  [SMALL_STATE(3161)] = 69311,
  [SMALL_STATE(3162)] = 69395,
  [SMALL_STATE(3163)] = 69507,
  [SMALL_STATE(3164)] = 69589,
  [SMALL_STATE(3165)] = 69667,
  [SMALL_STATE(3166)] = 69741,
  [SMALL_STATE(3167)] = 69853,
  [SMALL_STATE(3168)] = 69933,
  [SMALL_STATE(3169)] = 69993,
  [SMALL_STATE(3170)] = 70053,
  [SMALL_STATE(3171)] = 70127,
  [SMALL_STATE(3172)] = 70187,
  [SMALL_STATE(3173)] = 70291,
  [SMALL_STATE(3174)] = 70351,
  [SMALL_STATE(3175)] = 70423,
  [SMALL_STATE(3176)] = 70529,
  [SMALL_STATE(3177)] = 70603,
  [SMALL_STATE(3178)] = 70677,
  [SMALL_STATE(3179)] = 70783,
  [SMALL_STATE(3180)] = 70855,
  [SMALL_STATE(3181)] = 70961,
  [SMALL_STATE(3182)] = 71071,
  [SMALL_STATE(3183)] = 71145,
  [SMALL_STATE(3184)] = 71247,
  [SMALL_STATE(3185)] = 71345,
  [SMALL_STATE(3186)] = 71439,
  [SMALL_STATE(3187)] = 71531,
  [SMALL_STATE(3188)] = 71619,
  [SMALL_STATE(3189)] = 71705,
  [SMALL_STATE(3190)] = 71787,
  [SMALL_STATE(3191)] = 71865,
  [SMALL_STATE(3192)] = 71945,
  [SMALL_STATE(3193)] = 72019,
  [SMALL_STATE(3194)] = 72125,
  [SMALL_STATE(3195)] = 72235,
  [SMALL_STATE(3196)] = 72341,
  [SMALL_STATE(3197)] = 72451,
  [SMALL_STATE(3198)] = 72511,
  [SMALL_STATE(3199)] = 72573,
  [SMALL_STATE(3200)] = 72647,
  [SMALL_STATE(3201)] = 72707,
  [SMALL_STATE(3202)] = 72767,
  [SMALL_STATE(3203)] = 72827,
  [SMALL_STATE(3204)] = 72887,
  [SMALL_STATE(3205)] = 72947,
  [SMALL_STATE(3206)] = 73007,
  [SMALL_STATE(3207)] = 73067,
  [SMALL_STATE(3208)] = 73127,
  [SMALL_STATE(3209)] = 73186,
  [SMALL_STATE(3210)] = 73245,
  [SMALL_STATE(3211)] = 73304,
  [SMALL_STATE(3212)] = 73363,
  [SMALL_STATE(3213)] = 73422,
  [SMALL_STATE(3214)] = 73481,
  [SMALL_STATE(3215)] = 73540,
  [SMALL_STATE(3216)] = 73617,
  [SMALL_STATE(3217)] = 73682,
  [SMALL_STATE(3218)] = 73741,
  [SMALL_STATE(3219)] = 73800,
  [SMALL_STATE(3220)] = 73859,
  [SMALL_STATE(3221)] = 73918,
  [SMALL_STATE(3222)] = 73977,
  [SMALL_STATE(3223)] = 74036,
  [SMALL_STATE(3224)] = 74103,
  [SMALL_STATE(3225)] = 74162,
  [SMALL_STATE(3226)] = 74221,
  [SMALL_STATE(3227)] = 74280,
  [SMALL_STATE(3228)] = 74339,
  [SMALL_STATE(3229)] = 74398,
  [SMALL_STATE(3230)] = 74457,
  [SMALL_STATE(3231)] = 74516,
  [SMALL_STATE(3232)] = 74581,
  [SMALL_STATE(3233)] = 74640,
  [SMALL_STATE(3234)] = 74709,
  [SMALL_STATE(3235)] = 74768,
  [SMALL_STATE(3236)] = 74827,
  [SMALL_STATE(3237)] = 74886,
  [SMALL_STATE(3238)] = 74945,
  [SMALL_STATE(3239)] = 75004,
  [SMALL_STATE(3240)] = 75063,
  [SMALL_STATE(3241)] = 75122,
  [SMALL_STATE(3242)] = 75181,
  [SMALL_STATE(3243)] = 75240,
  [SMALL_STATE(3244)] = 75299,
  [SMALL_STATE(3245)] = 75366,
  [SMALL_STATE(3246)] = 75425,
  [SMALL_STATE(3247)] = 75484,
  [SMALL_STATE(3248)] = 75543,
  [SMALL_STATE(3249)] = 75602,
  [SMALL_STATE(3250)] = 75661,
  [SMALL_STATE(3251)] = 75726,
  [SMALL_STATE(3252)] = 75789,
  [SMALL_STATE(3253)] = 75868,
  [SMALL_STATE(3254)] = 75927,
  [SMALL_STATE(3255)] = 75994,
  [SMALL_STATE(3256)] = 76091,
  [SMALL_STATE(3257)] = 76150,
  [SMALL_STATE(3258)] = 76247,
  [SMALL_STATE(3259)] = 76310,
  [SMALL_STATE(3260)] = 76373,
  [SMALL_STATE(3261)] = 76432,
  [SMALL_STATE(3262)] = 76491,
  [SMALL_STATE(3263)] = 76550,
  [SMALL_STATE(3264)] = 76615,
  [SMALL_STATE(3265)] = 76674,
  [SMALL_STATE(3266)] = 76733,
  [SMALL_STATE(3267)] = 76792,
  [SMALL_STATE(3268)] = 76851,
  [SMALL_STATE(3269)] = 76910,
  [SMALL_STATE(3270)] = 76969,
  [SMALL_STATE(3271)] = 77028,
  [SMALL_STATE(3272)] = 77087,
  [SMALL_STATE(3273)] = 77146,
  [SMALL_STATE(3274)] = 77205,
  [SMALL_STATE(3275)] = 77264,
  [SMALL_STATE(3276)] = 77323,
  [SMALL_STATE(3277)] = 77382,
  [SMALL_STATE(3278)] = 77441,
  [SMALL_STATE(3279)] = 77500,
  [SMALL_STATE(3280)] = 77559,
  [SMALL_STATE(3281)] = 77618,
  [SMALL_STATE(3282)] = 77677,
  [SMALL_STATE(3283)] = 77736,
  [SMALL_STATE(3284)] = 77795,
  [SMALL_STATE(3285)] = 77854,
  [SMALL_STATE(3286)] = 77913,
  [SMALL_STATE(3287)] = 77972,
  [SMALL_STATE(3288)] = 78069,
  [SMALL_STATE(3289)] = 78166,
  [SMALL_STATE(3290)] = 78225,
  [SMALL_STATE(3291)] = 78286,
  [SMALL_STATE(3292)] = 78345,
  [SMALL_STATE(3293)] = 78404,
  [SMALL_STATE(3294)] = 78463,
  [SMALL_STATE(3295)] = 78522,
  [SMALL_STATE(3296)] = 78581,
  [SMALL_STATE(3297)] = 78640,
  [SMALL_STATE(3298)] = 78699,
  [SMALL_STATE(3299)] = 78758,
  [SMALL_STATE(3300)] = 78817,
  [SMALL_STATE(3301)] = 78876,
  [SMALL_STATE(3302)] = 78935,
  [SMALL_STATE(3303)] = 78994,
  [SMALL_STATE(3304)] = 79053,
  [SMALL_STATE(3305)] = 79112,
  [SMALL_STATE(3306)] = 79175,
  [SMALL_STATE(3307)] = 79234,
  [SMALL_STATE(3308)] = 79293,
  [SMALL_STATE(3309)] = 79352,
  [SMALL_STATE(3310)] = 79411,
  [SMALL_STATE(3311)] = 79470,
  [SMALL_STATE(3312)] = 79537,
  [SMALL_STATE(3313)] = 79596,
  [SMALL_STATE(3314)] = 79655,
  [SMALL_STATE(3315)] = 79714,
  [SMALL_STATE(3316)] = 79775,
  [SMALL_STATE(3317)] = 79834,
  [SMALL_STATE(3318)] = 79893,
  [SMALL_STATE(3319)] = 79952,
  [SMALL_STATE(3320)] = 80011,
  [SMALL_STATE(3321)] = 80070,
  [SMALL_STATE(3322)] = 80129,
  [SMALL_STATE(3323)] = 80188,
  [SMALL_STATE(3324)] = 80247,
  [SMALL_STATE(3325)] = 80306,
  [SMALL_STATE(3326)] = 80365,
  [SMALL_STATE(3327)] = 80424,
  [SMALL_STATE(3328)] = 80483,
  [SMALL_STATE(3329)] = 80548,
  [SMALL_STATE(3330)] = 80607,
  [SMALL_STATE(3331)] = 80676,
  [SMALL_STATE(3332)] = 80735,
  [SMALL_STATE(3333)] = 80794,
  [SMALL_STATE(3334)] = 80853,
  [SMALL_STATE(3335)] = 80912,
  [SMALL_STATE(3336)] = 80971,
  [SMALL_STATE(3337)] = 81030,
  [SMALL_STATE(3338)] = 81089,
  [SMALL_STATE(3339)] = 81148,
  [SMALL_STATE(3340)] = 81207,
  [SMALL_STATE(3341)] = 81266,
  [SMALL_STATE(3342)] = 81325,
  [SMALL_STATE(3343)] = 81384,
  [SMALL_STATE(3344)] = 81447,
  [SMALL_STATE(3345)] = 81506,
  [SMALL_STATE(3346)] = 81565,
  [SMALL_STATE(3347)] = 81624,
  [SMALL_STATE(3348)] = 81691,
  [SMALL_STATE(3349)] = 81750,
  [SMALL_STATE(3350)] = 81809,
  [SMALL_STATE(3351)] = 81870,
  [SMALL_STATE(3352)] = 81929,
  [SMALL_STATE(3353)] = 81988,
  [SMALL_STATE(3354)] = 82047,
  [SMALL_STATE(3355)] = 82106,
  [SMALL_STATE(3356)] = 82165,
  [SMALL_STATE(3357)] = 82224,
  [SMALL_STATE(3358)] = 82291,
  [SMALL_STATE(3359)] = 82350,
  [SMALL_STATE(3360)] = 82415,
  [SMALL_STATE(3361)] = 82474,
  [SMALL_STATE(3362)] = 82533,
  [SMALL_STATE(3363)] = 82604,
  [SMALL_STATE(3364)] = 82663,
  [SMALL_STATE(3365)] = 82722,
  [SMALL_STATE(3366)] = 82781,
  [SMALL_STATE(3367)] = 82840,
  [SMALL_STATE(3368)] = 82911,
  [SMALL_STATE(3369)] = 82970,
  [SMALL_STATE(3370)] = 83037,
  [SMALL_STATE(3371)] = 83096,
  [SMALL_STATE(3372)] = 83155,
  [SMALL_STATE(3373)] = 83214,
  [SMALL_STATE(3374)] = 83273,
  [SMALL_STATE(3375)] = 83334,
  [SMALL_STATE(3376)] = 83393,
  [SMALL_STATE(3377)] = 83452,
  [SMALL_STATE(3378)] = 83511,
  [SMALL_STATE(3379)] = 83570,
  [SMALL_STATE(3380)] = 83629,
  [SMALL_STATE(3381)] = 83688,
  [SMALL_STATE(3382)] = 83757,
  [SMALL_STATE(3383)] = 83816,
  [SMALL_STATE(3384)] = 83881,
  [SMALL_STATE(3385)] = 83940,
  [SMALL_STATE(3386)] = 83999,
  [SMALL_STATE(3387)] = 84058,
  [SMALL_STATE(3388)] = 84117,
  [SMALL_STATE(3389)] = 84176,
  [SMALL_STATE(3390)] = 84235,
  [SMALL_STATE(3391)] = 84294,
  [SMALL_STATE(3392)] = 84353,
  [SMALL_STATE(3393)] = 84412,
  [SMALL_STATE(3394)] = 84471,
  [SMALL_STATE(3395)] = 84529,
  [SMALL_STATE(3396)] = 84587,
  [SMALL_STATE(3397)] = 84645,
  [SMALL_STATE(3398)] = 84703,
  [SMALL_STATE(3399)] = 84809,
  [SMALL_STATE(3400)] = 84915,
  [SMALL_STATE(3401)] = 84973,
  [SMALL_STATE(3402)] = 85031,
  [SMALL_STATE(3403)] = 85089,
  [SMALL_STATE(3404)] = 85147,
  [SMALL_STATE(3405)] = 85205,
  [SMALL_STATE(3406)] = 85263,
  [SMALL_STATE(3407)] = 85321,
  [SMALL_STATE(3408)] = 85415,
  [SMALL_STATE(3409)] = 85473,
  [SMALL_STATE(3410)] = 85531,
  [SMALL_STATE(3411)] = 85589,
  [SMALL_STATE(3412)] = 85661,
  [SMALL_STATE(3413)] = 85719,
  [SMALL_STATE(3414)] = 85809,
  [SMALL_STATE(3415)] = 85867,
  [SMALL_STATE(3416)] = 85929,
  [SMALL_STATE(3417)] = 85987,
  [SMALL_STATE(3418)] = 86089,
  [SMALL_STATE(3419)] = 86147,
  [SMALL_STATE(3420)] = 86205,
  [SMALL_STATE(3421)] = 86263,
  [SMALL_STATE(3422)] = 86321,
  [SMALL_STATE(3423)] = 86379,
  [SMALL_STATE(3424)] = 86437,
  [SMALL_STATE(3425)] = 86539,
  [SMALL_STATE(3426)] = 86625,
  [SMALL_STATE(3427)] = 86683,
  [SMALL_STATE(3428)] = 86741,
  [SMALL_STATE(3429)] = 86799,
  [SMALL_STATE(3430)] = 86857,
  [SMALL_STATE(3431)] = 86915,
  [SMALL_STATE(3432)] = 87021,
  [SMALL_STATE(3433)] = 87079,
  [SMALL_STATE(3434)] = 87137,
  [SMALL_STATE(3435)] = 87195,
  [SMALL_STATE(3436)] = 87253,
  [SMALL_STATE(3437)] = 87311,
  [SMALL_STATE(3438)] = 87369,
  [SMALL_STATE(3439)] = 87427,
  [SMALL_STATE(3440)] = 87537,
  [SMALL_STATE(3441)] = 87595,
  [SMALL_STATE(3442)] = 87657,
  [SMALL_STATE(3443)] = 87715,
  [SMALL_STATE(3444)] = 87777,
  [SMALL_STATE(3445)] = 87841,
  [SMALL_STATE(3446)] = 87905,
  [SMALL_STATE(3447)] = 88015,
  [SMALL_STATE(3448)] = 88073,
  [SMALL_STATE(3449)] = 88131,
  [SMALL_STATE(3450)] = 88189,
  [SMALL_STATE(3451)] = 88273,
  [SMALL_STATE(3452)] = 88331,
  [SMALL_STATE(3453)] = 88393,
  [SMALL_STATE(3454)] = 88451,
  [SMALL_STATE(3455)] = 88509,
  [SMALL_STATE(3456)] = 88573,
  [SMALL_STATE(3457)] = 88631,
  [SMALL_STATE(3458)] = 88737,
  [SMALL_STATE(3459)] = 88795,
  [SMALL_STATE(3460)] = 88853,
  [SMALL_STATE(3461)] = 88953,
  [SMALL_STATE(3462)] = 89011,
  [SMALL_STATE(3463)] = 89113,
  [SMALL_STATE(3464)] = 89171,
  [SMALL_STATE(3465)] = 89229,
  [SMALL_STATE(3466)] = 89287,
  [SMALL_STATE(3467)] = 89345,
  [SMALL_STATE(3468)] = 89403,
  [SMALL_STATE(3469)] = 89483,
  [SMALL_STATE(3470)] = 89551,
  [SMALL_STATE(3471)] = 89609,
  [SMALL_STATE(3472)] = 89681,
  [SMALL_STATE(3473)] = 89753,
  [SMALL_STATE(3474)] = 89811,
  [SMALL_STATE(3475)] = 89887,
  [SMALL_STATE(3476)] = 89945,
  [SMALL_STATE(3477)] = 90007,
  [SMALL_STATE(3478)] = 90065,
  [SMALL_STATE(3479)] = 90133,
  [SMALL_STATE(3480)] = 90191,
  [SMALL_STATE(3481)] = 90249,
  [SMALL_STATE(3482)] = 90307,
  [SMALL_STATE(3483)] = 90417,
  [SMALL_STATE(3484)] = 90483,
  [SMALL_STATE(3485)] = 90541,
  [SMALL_STATE(3486)] = 90599,
  [SMALL_STATE(3487)] = 90665,
  [SMALL_STATE(3488)] = 90731,
  [SMALL_STATE(3489)] = 90789,
  [SMALL_STATE(3490)] = 90847,
  [SMALL_STATE(3491)] = 90905,
  [SMALL_STATE(3492)] = 90975,
  [SMALL_STATE(3493)] = 91077,
  [SMALL_STATE(3494)] = 91135,
  [SMALL_STATE(3495)] = 91233,
  [SMALL_STATE(3496)] = 91327,
  [SMALL_STATE(3497)] = 91385,
  [SMALL_STATE(3498)] = 91445,
  [SMALL_STATE(3499)] = 91503,
  [SMALL_STATE(3500)] = 91573,
  [SMALL_STATE(3501)] = 91631,
  [SMALL_STATE(3502)] = 91689,
  [SMALL_STATE(3503)] = 91759,
  [SMALL_STATE(3504)] = 91817,
  [SMALL_STATE(3505)] = 91875,
  [SMALL_STATE(3506)] = 91937,
  [SMALL_STATE(3507)] = 92015,
  [SMALL_STATE(3508)] = 92077,
  [SMALL_STATE(3509)] = 92187,
  [SMALL_STATE(3510)] = 92245,
  [SMALL_STATE(3511)] = 92307,
  [SMALL_STATE(3512)] = 92369,
  [SMALL_STATE(3513)] = 92463,
  [SMALL_STATE(3514)] = 92565,
  [SMALL_STATE(3515)] = 92623,
  [SMALL_STATE(3516)] = 92695,
  [SMALL_STATE(3517)] = 92753,
  [SMALL_STATE(3518)] = 92815,
  [SMALL_STATE(3519)] = 92877,
  [SMALL_STATE(3520)] = 92939,
  [SMALL_STATE(3521)] = 92997,
  [SMALL_STATE(3522)] = 93059,
  [SMALL_STATE(3523)] = 93117,
  [SMALL_STATE(3524)] = 93175,
  [SMALL_STATE(3525)] = 93233,
  [SMALL_STATE(3526)] = 93291,
  [SMALL_STATE(3527)] = 93349,
  [SMALL_STATE(3528)] = 93411,
  [SMALL_STATE(3529)] = 93469,
  [SMALL_STATE(3530)] = 93527,
  [SMALL_STATE(3531)] = 93585,
  [SMALL_STATE(3532)] = 93643,
  [SMALL_STATE(3533)] = 93701,
  [SMALL_STATE(3534)] = 93775,
  [SMALL_STATE(3535)] = 93833,
  [SMALL_STATE(3536)] = 93891,
  [SMALL_STATE(3537)] = 93949,
  [SMALL_STATE(3538)] = 94007,
  [SMALL_STATE(3539)] = 94066,
  [SMALL_STATE(3540)] = 94169,
  [SMALL_STATE(3541)] = 94230,
  [SMALL_STATE(3542)] = 94333,
  [SMALL_STATE(3543)] = 94394,
  [SMALL_STATE(3544)] = 94497,
  [SMALL_STATE(3545)] = 94600,
  [SMALL_STATE(3546)] = 94693,
  [SMALL_STATE(3547)] = 94750,
  [SMALL_STATE(3548)] = 94811,
  [SMALL_STATE(3549)] = 94914,
  [SMALL_STATE(3550)] = 94975,
  [SMALL_STATE(3551)] = 95078,
  [SMALL_STATE(3552)] = 95139,
  [SMALL_STATE(3553)] = 95196,
  [SMALL_STATE(3554)] = 95257,
  [SMALL_STATE(3555)] = 95318,
  [SMALL_STATE(3556)] = 95379,
  [SMALL_STATE(3557)] = 95482,
  [SMALL_STATE(3558)] = 95543,
  [SMALL_STATE(3559)] = 95604,
  [SMALL_STATE(3560)] = 95665,
  [SMALL_STATE(3561)] = 95726,
  [SMALL_STATE(3562)] = 95787,
  [SMALL_STATE(3563)] = 95890,
  [SMALL_STATE(3564)] = 95953,
  [SMALL_STATE(3565)] = 96056,
  [SMALL_STATE(3566)] = 96115,
  [SMALL_STATE(3567)] = 96172,
  [SMALL_STATE(3568)] = 96275,
  [SMALL_STATE(3569)] = 96378,
  [SMALL_STATE(3570)] = 96435,
  [SMALL_STATE(3571)] = 96538,
  [SMALL_STATE(3572)] = 96595,
  [SMALL_STATE(3573)] = 96698,
  [SMALL_STATE(3574)] = 96755,
  [SMALL_STATE(3575)] = 96858,
  [SMALL_STATE(3576)] = 96961,
  [SMALL_STATE(3577)] = 97064,
  [SMALL_STATE(3578)] = 97133,
  [SMALL_STATE(3579)] = 97236,
  [SMALL_STATE(3580)] = 97339,
  [SMALL_STATE(3581)] = 97396,
  [SMALL_STATE(3582)] = 97499,
  [SMALL_STATE(3583)] = 97602,
  [SMALL_STATE(3584)] = 97659,
  [SMALL_STATE(3585)] = 97732,
  [SMALL_STATE(3586)] = 97835,
  [SMALL_STATE(3587)] = 97896,
  [SMALL_STATE(3588)] = 97999,
  [SMALL_STATE(3589)] = 98102,
  [SMALL_STATE(3590)] = 98161,
  [SMALL_STATE(3591)] = 98264,
  [SMALL_STATE(3592)] = 98323,
  [SMALL_STATE(3593)] = 98426,
  [SMALL_STATE(3594)] = 98529,
  [SMALL_STATE(3595)] = 98632,
  [SMALL_STATE(3596)] = 98735,
  [SMALL_STATE(3597)] = 98838,
  [SMALL_STATE(3598)] = 98941,
  [SMALL_STATE(3599)] = 99044,
  [SMALL_STATE(3600)] = 99147,
  [SMALL_STATE(3601)] = 99250,
  [SMALL_STATE(3602)] = 99353,
  [SMALL_STATE(3603)] = 99456,
  [SMALL_STATE(3604)] = 99559,
  [SMALL_STATE(3605)] = 99662,
  [SMALL_STATE(3606)] = 99765,
  [SMALL_STATE(3607)] = 99868,
  [SMALL_STATE(3608)] = 99971,
  [SMALL_STATE(3609)] = 100074,
  [SMALL_STATE(3610)] = 100177,
  [SMALL_STATE(3611)] = 100280,
  [SMALL_STATE(3612)] = 100349,
  [SMALL_STATE(3613)] = 100452,
  [SMALL_STATE(3614)] = 100555,
  [SMALL_STATE(3615)] = 100612,
  [SMALL_STATE(3616)] = 100669,
  [SMALL_STATE(3617)] = 100772,
  [SMALL_STATE(3618)] = 100875,
  [SMALL_STATE(3619)] = 100978,
  [SMALL_STATE(3620)] = 101071,
  [SMALL_STATE(3621)] = 101174,
  [SMALL_STATE(3622)] = 101231,
  [SMALL_STATE(3623)] = 101334,
  [SMALL_STATE(3624)] = 101391,
  [SMALL_STATE(3625)] = 101494,
  [SMALL_STATE(3626)] = 101551,
  [SMALL_STATE(3627)] = 101654,
  [SMALL_STATE(3628)] = 101713,
  [SMALL_STATE(3629)] = 101770,
  [SMALL_STATE(3630)] = 101873,
  [SMALL_STATE(3631)] = 101976,
  [SMALL_STATE(3632)] = 102079,
  [SMALL_STATE(3633)] = 102182,
  [SMALL_STATE(3634)] = 102285,
  [SMALL_STATE(3635)] = 102388,
  [SMALL_STATE(3636)] = 102491,
  [SMALL_STATE(3637)] = 102594,
  [SMALL_STATE(3638)] = 102697,
  [SMALL_STATE(3639)] = 102800,
  [SMALL_STATE(3640)] = 102903,
  [SMALL_STATE(3641)] = 103006,
  [SMALL_STATE(3642)] = 103109,
  [SMALL_STATE(3643)] = 103212,
  [SMALL_STATE(3644)] = 103315,
  [SMALL_STATE(3645)] = 103378,
  [SMALL_STATE(3646)] = 103481,
  [SMALL_STATE(3647)] = 103537,
  [SMALL_STATE(3648)] = 103593,
  [SMALL_STATE(3649)] = 103649,
  [SMALL_STATE(3650)] = 103709,
  [SMALL_STATE(3651)] = 103765,
  [SMALL_STATE(3652)] = 103865,
  [SMALL_STATE(3653)] = 103923,
  [SMALL_STATE(3654)] = 103979,
  [SMALL_STATE(3655)] = 104079,
  [SMALL_STATE(3656)] = 104135,
  [SMALL_STATE(3657)] = 104191,
  [SMALL_STATE(3658)] = 104247,
  [SMALL_STATE(3659)] = 104303,
  [SMALL_STATE(3660)] = 104403,
  [SMALL_STATE(3661)] = 104503,
  [SMALL_STATE(3662)] = 104559,
  [SMALL_STATE(3663)] = 104615,
  [SMALL_STATE(3664)] = 104677,
  [SMALL_STATE(3665)] = 104733,
  [SMALL_STATE(3666)] = 104789,
  [SMALL_STATE(3667)] = 104861,
  [SMALL_STATE(3668)] = 104923,
  [SMALL_STATE(3669)] = 104979,
  [SMALL_STATE(3670)] = 105035,
  [SMALL_STATE(3671)] = 105091,
  [SMALL_STATE(3672)] = 105147,
  [SMALL_STATE(3673)] = 105203,
  [SMALL_STATE(3674)] = 105259,
  [SMALL_STATE(3675)] = 105315,
  [SMALL_STATE(3676)] = 105385,
  [SMALL_STATE(3677)] = 105441,
  [SMALL_STATE(3678)] = 105541,
  [SMALL_STATE(3679)] = 105597,
  [SMALL_STATE(3680)] = 105669,
  [SMALL_STATE(3681)] = 105725,
  [SMALL_STATE(3682)] = 105781,
  [SMALL_STATE(3683)] = 105841,
  [SMALL_STATE(3684)] = 105941,
  [SMALL_STATE(3685)] = 106013,
  [SMALL_STATE(3686)] = 106113,
  [SMALL_STATE(3687)] = 106169,
  [SMALL_STATE(3688)] = 106239,
  [SMALL_STATE(3689)] = 106295,
  [SMALL_STATE(3690)] = 106351,
  [SMALL_STATE(3691)] = 106407,
  [SMALL_STATE(3692)] = 106463,
  [SMALL_STATE(3693)] = 106519,
  [SMALL_STATE(3694)] = 106591,
  [SMALL_STATE(3695)] = 106691,
  [SMALL_STATE(3696)] = 106747,
  [SMALL_STATE(3697)] = 106803,
  [SMALL_STATE(3698)] = 106859,
  [SMALL_STATE(3699)] = 106915,
  [SMALL_STATE(3700)] = 107015,
  [SMALL_STATE(3701)] = 107071,
  [SMALL_STATE(3702)] = 107127,
  [SMALL_STATE(3703)] = 107227,
  [SMALL_STATE(3704)] = 107283,
  [SMALL_STATE(3705)] = 107339,
  [SMALL_STATE(3706)] = 107395,
  [SMALL_STATE(3707)] = 107451,
  [SMALL_STATE(3708)] = 107507,
  [SMALL_STATE(3709)] = 107563,
  [SMALL_STATE(3710)] = 107619,
  [SMALL_STATE(3711)] = 107675,
  [SMALL_STATE(3712)] = 107731,
  [SMALL_STATE(3713)] = 107831,
  [SMALL_STATE(3714)] = 107887,
  [SMALL_STATE(3715)] = 107943,
  [SMALL_STATE(3716)] = 108013,
  [SMALL_STATE(3717)] = 108069,
  [SMALL_STATE(3718)] = 108125,
  [SMALL_STATE(3719)] = 108193,
  [SMALL_STATE(3720)] = 108249,
  [SMALL_STATE(3721)] = 108305,
  [SMALL_STATE(3722)] = 108405,
  [SMALL_STATE(3723)] = 108461,
  [SMALL_STATE(3724)] = 108517,
  [SMALL_STATE(3725)] = 108573,
  [SMALL_STATE(3726)] = 108643,
  [SMALL_STATE(3727)] = 108699,
  [SMALL_STATE(3728)] = 108757,
  [SMALL_STATE(3729)] = 108813,
  [SMALL_STATE(3730)] = 108869,
  [SMALL_STATE(3731)] = 108961,
  [SMALL_STATE(3732)] = 109053,
  [SMALL_STATE(3733)] = 109109,
  [SMALL_STATE(3734)] = 109165,
  [SMALL_STATE(3735)] = 109265,
  [SMALL_STATE(3736)] = 109321,
  [SMALL_STATE(3737)] = 109377,
  [SMALL_STATE(3738)] = 109433,
  [SMALL_STATE(3739)] = 109525,
  [SMALL_STATE(3740)] = 109581,
  [SMALL_STATE(3741)] = 109637,
  [SMALL_STATE(3742)] = 109729,
  [SMALL_STATE(3743)] = 109785,
  [SMALL_STATE(3744)] = 109841,
  [SMALL_STATE(3745)] = 109897,
  [SMALL_STATE(3746)] = 109965,
  [SMALL_STATE(3747)] = 110021,
  [SMALL_STATE(3748)] = 110121,
  [SMALL_STATE(3749)] = 110177,
  [SMALL_STATE(3750)] = 110237,
  [SMALL_STATE(3751)] = 110293,
  [SMALL_STATE(3752)] = 110349,
  [SMALL_STATE(3753)] = 110449,
  [SMALL_STATE(3754)] = 110504,
  [SMALL_STATE(3755)] = 110559,
  [SMALL_STATE(3756)] = 110652,
  [SMALL_STATE(3757)] = 110707,
  [SMALL_STATE(3758)] = 110800,
  [SMALL_STATE(3759)] = 110891,
  [SMALL_STATE(3760)] = 110984,
  [SMALL_STATE(3761)] = 111039,
  [SMALL_STATE(3762)] = 111106,
  [SMALL_STATE(3763)] = 111173,
  [SMALL_STATE(3764)] = 111228,
  [SMALL_STATE(3765)] = 111283,
  [SMALL_STATE(3766)] = 111338,
  [SMALL_STATE(3767)] = 111429,
  [SMALL_STATE(3768)] = 111522,
  [SMALL_STATE(3769)] = 111577,
  [SMALL_STATE(3770)] = 111632,
  [SMALL_STATE(3771)] = 111687,
  [SMALL_STATE(3772)] = 111742,
  [SMALL_STATE(3773)] = 111797,
  [SMALL_STATE(3774)] = 111852,
  [SMALL_STATE(3775)] = 111907,
  [SMALL_STATE(3776)] = 112000,
  [SMALL_STATE(3777)] = 112055,
  [SMALL_STATE(3778)] = 112148,
  [SMALL_STATE(3779)] = 112203,
  [SMALL_STATE(3780)] = 112258,
  [SMALL_STATE(3781)] = 112323,
  [SMALL_STATE(3782)] = 112416,
  [SMALL_STATE(3783)] = 112485,
  [SMALL_STATE(3784)] = 112578,
  [SMALL_STATE(3785)] = 112633,
  [SMALL_STATE(3786)] = 112688,
  [SMALL_STATE(3787)] = 112743,
  [SMALL_STATE(3788)] = 112798,
  [SMALL_STATE(3789)] = 112861,
  [SMALL_STATE(3790)] = 112916,
  [SMALL_STATE(3791)] = 113009,
  [SMALL_STATE(3792)] = 113064,
  [SMALL_STATE(3793)] = 113119,
  [SMALL_STATE(3794)] = 113212,
  [SMALL_STATE(3795)] = 113267,
  [SMALL_STATE(3796)] = 113360,
  [SMALL_STATE(3797)] = 113415,
  [SMALL_STATE(3798)] = 113478,
  [SMALL_STATE(3799)] = 113571,
  [SMALL_STATE(3800)] = 113626,
  [SMALL_STATE(3801)] = 113681,
  [SMALL_STATE(3802)] = 113774,
  [SMALL_STATE(3803)] = 113829,
  [SMALL_STATE(3804)] = 113892,
  [SMALL_STATE(3805)] = 113985,
  [SMALL_STATE(3806)] = 114078,
  [SMALL_STATE(3807)] = 114133,
  [SMALL_STATE(3808)] = 114226,
  [SMALL_STATE(3809)] = 114281,
  [SMALL_STATE(3810)] = 114336,
  [SMALL_STATE(3811)] = 114429,
  [SMALL_STATE(3812)] = 114522,
  [SMALL_STATE(3813)] = 114577,
  [SMALL_STATE(3814)] = 114632,
  [SMALL_STATE(3815)] = 114702,
  [SMALL_STATE(3816)] = 114762,
  [SMALL_STATE(3817)] = 114850,
  [SMALL_STATE(3818)] = 114914,
  [SMALL_STATE(3819)] = 114984,
  [SMALL_STATE(3820)] = 115074,
  [SMALL_STATE(3821)] = 115144,
  [SMALL_STATE(3822)] = 115202,
  [SMALL_STATE(3823)] = 115260,
  [SMALL_STATE(3824)] = 115318,
  [SMALL_STATE(3825)] = 115406,
  [SMALL_STATE(3826)] = 115494,
  [SMALL_STATE(3827)] = 115564,
  [SMALL_STATE(3828)] = 115624,
  [SMALL_STATE(3829)] = 115682,
  [SMALL_STATE(3830)] = 115740,
  [SMALL_STATE(3831)] = 115802,
  [SMALL_STATE(3832)] = 115860,
  [SMALL_STATE(3833)] = 115926,
  [SMALL_STATE(3834)] = 115986,
  [SMALL_STATE(3835)] = 116046,
  [SMALL_STATE(3836)] = 116136,
  [SMALL_STATE(3837)] = 116194,
  [SMALL_STATE(3838)] = 116252,
  [SMALL_STATE(3839)] = 116322,
  [SMALL_STATE(3840)] = 116410,
  [SMALL_STATE(3841)] = 116470,
  [SMALL_STATE(3842)] = 116528,
  [SMALL_STATE(3843)] = 116586,
  [SMALL_STATE(3844)] = 116644,
  [SMALL_STATE(3845)] = 116702,
  [SMALL_STATE(3846)] = 116768,
  [SMALL_STATE(3847)] = 116857,
  [SMALL_STATE(3848)] = 116946,
  [SMALL_STATE(3849)] = 116999,
  [SMALL_STATE(3850)] = 117088,
  [SMALL_STATE(3851)] = 117177,
  [SMALL_STATE(3852)] = 117232,
  [SMALL_STATE(3853)] = 117317,
  [SMALL_STATE(3854)] = 117402,
  [SMALL_STATE(3855)] = 117491,
  [SMALL_STATE(3856)] = 117580,
  [SMALL_STATE(3857)] = 117669,
  [SMALL_STATE(3858)] = 117758,
  [SMALL_STATE(3859)] = 117847,
  [SMALL_STATE(3860)] = 117936,
  [SMALL_STATE(3861)] = 118025,
  [SMALL_STATE(3862)] = 118114,
  [SMALL_STATE(3863)] = 118203,
  [SMALL_STATE(3864)] = 118292,
  [SMALL_STATE(3865)] = 118351,
  [SMALL_STATE(3866)] = 118440,
  [SMALL_STATE(3867)] = 118529,
  [SMALL_STATE(3868)] = 118588,
  [SMALL_STATE(3869)] = 118677,
  [SMALL_STATE(3870)] = 118736,
  [SMALL_STATE(3871)] = 118789,
  [SMALL_STATE(3872)] = 118878,
  [SMALL_STATE(3873)] = 118931,
  [SMALL_STATE(3874)] = 119020,
  [SMALL_STATE(3875)] = 119109,
  [SMALL_STATE(3876)] = 119198,
  [SMALL_STATE(3877)] = 119287,
  [SMALL_STATE(3878)] = 119340,
  [SMALL_STATE(3879)] = 119393,
  [SMALL_STATE(3880)] = 119446,
  [SMALL_STATE(3881)] = 119535,
  [SMALL_STATE(3882)] = 119624,
  [SMALL_STATE(3883)] = 119713,
  [SMALL_STATE(3884)] = 119780,
  [SMALL_STATE(3885)] = 119869,
  [SMALL_STATE(3886)] = 119958,
  [SMALL_STATE(3887)] = 120011,
  [SMALL_STATE(3888)] = 120100,
  [SMALL_STATE(3889)] = 120189,
  [SMALL_STATE(3890)] = 120278,
  [SMALL_STATE(3891)] = 120330,
  [SMALL_STATE(3892)] = 120382,
  [SMALL_STATE(3893)] = 120444,
  [SMALL_STATE(3894)] = 120496,
  [SMALL_STATE(3895)] = 120558,
  [SMALL_STATE(3896)] = 120626,
  [SMALL_STATE(3897)] = 120678,
  [SMALL_STATE(3898)] = 120730,
  [SMALL_STATE(3899)] = 120794,
  [SMALL_STATE(3900)] = 120858,
  [SMALL_STATE(3901)] = 120910,
  [SMALL_STATE(3902)] = 120962,
  [SMALL_STATE(3903)] = 121014,
  [SMALL_STATE(3904)] = 121066,
  [SMALL_STATE(3905)] = 121118,
  [SMALL_STATE(3906)] = 121170,
  [SMALL_STATE(3907)] = 121222,
  [SMALL_STATE(3908)] = 121306,
  [SMALL_STATE(3909)] = 121358,
  [SMALL_STATE(3910)] = 121410,
  [SMALL_STATE(3911)] = 121462,
  [SMALL_STATE(3912)] = 121526,
  [SMALL_STATE(3913)] = 121578,
  [SMALL_STATE(3914)] = 121640,
  [SMALL_STATE(3915)] = 121692,
  [SMALL_STATE(3916)] = 121776,
  [SMALL_STATE(3917)] = 121828,
  [SMALL_STATE(3918)] = 121886,
  [SMALL_STATE(3919)] = 121938,
  [SMALL_STATE(3920)] = 121990,
  [SMALL_STATE(3921)] = 122070,
  [SMALL_STATE(3922)] = 122122,
  [SMALL_STATE(3923)] = 122174,
  [SMALL_STATE(3924)] = 122226,
  [SMALL_STATE(3925)] = 122278,
  [SMALL_STATE(3926)] = 122330,
  [SMALL_STATE(3927)] = 122382,
  [SMALL_STATE(3928)] = 122434,
  [SMALL_STATE(3929)] = 122522,
  [SMALL_STATE(3930)] = 122580,
  [SMALL_STATE(3931)] = 122632,
  [SMALL_STATE(3932)] = 122720,
  [SMALL_STATE(3933)] = 122772,
  [SMALL_STATE(3934)] = 122852,
  [SMALL_STATE(3935)] = 122920,
  [SMALL_STATE(3936)] = 122972,
  [SMALL_STATE(3937)] = 123024,
  [SMALL_STATE(3938)] = 123092,
  [SMALL_STATE(3939)] = 123160,
  [SMALL_STATE(3940)] = 123243,
  [SMALL_STATE(3941)] = 123326,
  [SMALL_STATE(3942)] = 123417,
  [SMALL_STATE(3943)] = 123480,
  [SMALL_STATE(3944)] = 123531,
  [SMALL_STATE(3945)] = 123582,
  [SMALL_STATE(3946)] = 123667,
  [SMALL_STATE(3947)] = 123756,
  [SMALL_STATE(3948)] = 123841,
  [SMALL_STATE(3949)] = 123924,
  [SMALL_STATE(3950)] = 123991,
  [SMALL_STATE(3951)] = 124046,
  [SMALL_STATE(3952)] = 124145,
  [SMALL_STATE(3953)] = 124224,
  [SMALL_STATE(3954)] = 124327,
  [SMALL_STATE(3955)] = 124378,
  [SMALL_STATE(3956)] = 124457,
  [SMALL_STATE(3957)] = 124508,
  [SMALL_STATE(3958)] = 124583,
  [SMALL_STATE(3959)] = 124662,
  [SMALL_STATE(3960)] = 124733,
  [SMALL_STATE(3961)] = 124784,
  [SMALL_STATE(3962)] = 124851,
  [SMALL_STATE(3963)] = 124936,
  [SMALL_STATE(3964)] = 125015,
  [SMALL_STATE(3965)] = 125066,
  [SMALL_STATE(3966)] = 125139,
  [SMALL_STATE(3967)] = 125224,
  [SMALL_STATE(3968)] = 125289,
  [SMALL_STATE(3969)] = 125388,
  [SMALL_STATE(3970)] = 125491,
  [SMALL_STATE(3971)] = 125592,
  [SMALL_STATE(3972)] = 125675,
  [SMALL_STATE(3973)] = 125760,
  [SMALL_STATE(3974)] = 125855,
  [SMALL_STATE(3975)] = 125940,
  [SMALL_STATE(3976)] = 126035,
  [SMALL_STATE(3977)] = 126086,
  [SMALL_STATE(3978)] = 126137,
  [SMALL_STATE(3979)] = 126188,
  [SMALL_STATE(3980)] = 126275,
  [SMALL_STATE(3981)] = 126362,
  [SMALL_STATE(3982)] = 126413,
  [SMALL_STATE(3983)] = 126472,
  [SMALL_STATE(3984)] = 126575,
  [SMALL_STATE(3985)] = 126626,
  [SMALL_STATE(3986)] = 126711,
  [SMALL_STATE(3987)] = 126810,
  [SMALL_STATE(3988)] = 126877,
  [SMALL_STATE(3989)] = 126956,
  [SMALL_STATE(3990)] = 127019,
  [SMALL_STATE(3991)] = 127104,
  [SMALL_STATE(3992)] = 127155,
  [SMALL_STATE(3993)] = 127254,
  [SMALL_STATE(3994)] = 127333,
  [SMALL_STATE(3995)] = 127412,
  [SMALL_STATE(3996)] = 127515,
  [SMALL_STATE(3997)] = 127614,
  [SMALL_STATE(3998)] = 127699,
  [SMALL_STATE(3999)] = 127786,
  [SMALL_STATE(4000)] = 127873,
  [SMALL_STATE(4001)] = 127942,
  [SMALL_STATE(4002)] = 128025,
  [SMALL_STATE(4003)] = 128126,
  [SMALL_STATE(4004)] = 128205,
  [SMALL_STATE(4005)] = 128284,
  [SMALL_STATE(4006)] = 128351,
  [SMALL_STATE(4007)] = 128408,
  [SMALL_STATE(4008)] = 128490,
  [SMALL_STATE(4009)] = 128550,
  [SMALL_STATE(4010)] = 128626,
  [SMALL_STATE(4011)] = 128702,
  [SMALL_STATE(4012)] = 128778,
  [SMALL_STATE(4013)] = 128864,
  [SMALL_STATE(4014)] = 128920,
  [SMALL_STATE(4015)] = 129002,
  [SMALL_STATE(4016)] = 129088,
  [SMALL_STATE(4017)] = 129164,
  [SMALL_STATE(4018)] = 129220,
  [SMALL_STATE(4019)] = 129276,
  [SMALL_STATE(4020)] = 129326,
  [SMALL_STATE(4021)] = 129386,
  [SMALL_STATE(4022)] = 129442,
  [SMALL_STATE(4023)] = 129494,
  [SMALL_STATE(4024)] = 129580,
  [SMALL_STATE(4025)] = 129666,
  [SMALL_STATE(4026)] = 129747,
  [SMALL_STATE(4027)] = 129798,
  [SMALL_STATE(4028)] = 129855,
  [SMALL_STATE(4029)] = 129908,
  [SMALL_STATE(4030)] = 129983,
  [SMALL_STATE(4031)] = 130036,
  [SMALL_STATE(4032)] = 130095,
  [SMALL_STATE(4033)] = 130166,
  [SMALL_STATE(4034)] = 130241,
  [SMALL_STATE(4035)] = 130316,
  [SMALL_STATE(4036)] = 130369,
  [SMALL_STATE(4037)] = 130440,
  [SMALL_STATE(4038)] = 130493,
  [SMALL_STATE(4039)] = 130546,
  [SMALL_STATE(4040)] = 130597,
  [SMALL_STATE(4041)] = 130672,
  [SMALL_STATE(4042)] = 130753,
  [SMALL_STATE(4043)] = 130856,
  [SMALL_STATE(4044)] = 130909,
  [SMALL_STATE(4045)] = 131012,
  [SMALL_STATE(4046)] = 131063,
  [SMALL_STATE(4047)] = 131122,
  [SMALL_STATE(4048)] = 131193,
  [SMALL_STATE(4049)] = 131246,
  [SMALL_STATE(4050)] = 131299,
  [SMALL_STATE(4051)] = 131352,
  [SMALL_STATE(4052)] = 131403,
  [SMALL_STATE(4053)] = 131456,
  [SMALL_STATE(4054)] = 131505,
  [SMALL_STATE(4055)] = 131554,
  [SMALL_STATE(4056)] = 131657,
  [SMALL_STATE(4057)] = 131746,
  [SMALL_STATE(4058)] = 131807,
  [SMALL_STATE(4059)] = 131868,
  [SMALL_STATE(4060)] = 131927,
  [SMALL_STATE(4061)] = 132001,
  [SMALL_STATE(4062)] = 132055,
  [SMALL_STATE(4063)] = 132145,
  [SMALL_STATE(4064)] = 132239,
  [SMALL_STATE(4065)] = 132329,
  [SMALL_STATE(4066)] = 132415,
  [SMALL_STATE(4067)] = 132499,
  [SMALL_STATE(4068)] = 132553,
  [SMALL_STATE(4069)] = 132637,
  [SMALL_STATE(4070)] = 132719,
  [SMALL_STATE(4071)] = 132799,
  [SMALL_STATE(4072)] = 132877,
  [SMALL_STATE(4073)] = 132971,
  [SMALL_STATE(4074)] = 133047,
  [SMALL_STATE(4075)] = 133119,
  [SMALL_STATE(4076)] = 133171,
  [SMALL_STATE(4077)] = 133239,
  [SMALL_STATE(4078)] = 133329,
  [SMALL_STATE(4079)] = 133383,
  [SMALL_STATE(4080)] = 133453,
  [SMALL_STATE(4081)] = 133511,
  [SMALL_STATE(4082)] = 133585,
  [SMALL_STATE(4083)] = 133659,
  [SMALL_STATE(4084)] = 133733,
  [SMALL_STATE(4085)] = 133813,
  [SMALL_STATE(4086)] = 133865,
  [SMALL_STATE(4087)] = 133939,
  [SMALL_STATE(4088)] = 134013,
  [SMALL_STATE(4089)] = 134079,
  [SMALL_STATE(4090)] = 134143,
  [SMALL_STATE(4091)] = 134237,
  [SMALL_STATE(4092)] = 134293,
  [SMALL_STATE(4093)] = 134345,
  [SMALL_STATE(4094)] = 134433,
  [SMALL_STATE(4095)] = 134533,
  [SMALL_STATE(4096)] = 134591,
  [SMALL_STATE(4097)] = 134681,
  [SMALL_STATE(4098)] = 134771,
  [SMALL_STATE(4099)] = 134855,
  [SMALL_STATE(4100)] = 134929,
  [SMALL_STATE(4101)] = 135003,
  [SMALL_STATE(4102)] = 135100,
  [SMALL_STATE(4103)] = 135197,
  [SMALL_STATE(4104)] = 135244,
  [SMALL_STATE(4105)] = 135341,
  [SMALL_STATE(4106)] = 135390,
  [SMALL_STATE(4107)] = 135437,
  [SMALL_STATE(4108)] = 135534,
  [SMALL_STATE(4109)] = 135631,
  [SMALL_STATE(4110)] = 135728,
  [SMALL_STATE(4111)] = 135825,
  [SMALL_STATE(4112)] = 135922,
  [SMALL_STATE(4113)] = 135969,
  [SMALL_STATE(4114)] = 136016,
  [SMALL_STATE(4115)] = 136063,
  [SMALL_STATE(4116)] = 136160,
  [SMALL_STATE(4117)] = 136213,
  [SMALL_STATE(4118)] = 136302,
  [SMALL_STATE(4119)] = 136399,
  [SMALL_STATE(4120)] = 136496,
  [SMALL_STATE(4121)] = 136585,
  [SMALL_STATE(4122)] = 136654,
  [SMALL_STATE(4123)] = 136701,
  [SMALL_STATE(4124)] = 136748,
  [SMALL_STATE(4125)] = 136845,
  [SMALL_STATE(4126)] = 136902,
  [SMALL_STATE(4127)] = 136949,
  [SMALL_STATE(4128)] = 137038,
  [SMALL_STATE(4129)] = 137135,
  [SMALL_STATE(4130)] = 137212,
  [SMALL_STATE(4131)] = 137309,
  [SMALL_STATE(4132)] = 137406,
  [SMALL_STATE(4133)] = 137495,
  [SMALL_STATE(4134)] = 137542,
  [SMALL_STATE(4135)] = 137615,
  [SMALL_STATE(4136)] = 137662,
  [SMALL_STATE(4137)] = 137759,
  [SMALL_STATE(4138)] = 137838,
  [SMALL_STATE(4139)] = 137917,
  [SMALL_STATE(4140)] = 138010,
  [SMALL_STATE(4141)] = 138085,
  [SMALL_STATE(4142)] = 138138,
  [SMALL_STATE(4143)] = 138209,
  [SMALL_STATE(4144)] = 138306,
  [SMALL_STATE(4145)] = 138353,
  [SMALL_STATE(4146)] = 138450,
  [SMALL_STATE(4147)] = 138517,
  [SMALL_STATE(4148)] = 138604,
  [SMALL_STATE(4149)] = 138699,
  [SMALL_STATE(4150)] = 138772,
  [SMALL_STATE(4151)] = 138869,
  [SMALL_STATE(4152)] = 138966,
  [SMALL_STATE(4153)] = 139063,
  [SMALL_STATE(4154)] = 139160,
  [SMALL_STATE(4155)] = 139257,
  [SMALL_STATE(4156)] = 139350,
  [SMALL_STATE(4157)] = 139423,
  [SMALL_STATE(4158)] = 139520,
  [SMALL_STATE(4159)] = 139603,
  [SMALL_STATE(4160)] = 139700,
  [SMALL_STATE(4161)] = 139797,
  [SMALL_STATE(4162)] = 139856,
  [SMALL_STATE(4163)] = 139953,
  [SMALL_STATE(4164)] = 140050,
  [SMALL_STATE(4165)] = 140131,
  [SMALL_STATE(4166)] = 140228,
  [SMALL_STATE(4167)] = 140301,
  [SMALL_STATE(4168)] = 140360,
  [SMALL_STATE(4169)] = 140407,
  [SMALL_STATE(4170)] = 140504,
  [SMALL_STATE(4171)] = 140601,
  [SMALL_STATE(4172)] = 140698,
  [SMALL_STATE(4173)] = 140791,
  [SMALL_STATE(4174)] = 140838,
  [SMALL_STATE(4175)] = 140935,
  [SMALL_STATE(4176)] = 140988,
  [SMALL_STATE(4177)] = 141081,
  [SMALL_STATE(4178)] = 141178,
  [SMALL_STATE(4179)] = 141275,
  [SMALL_STATE(4180)] = 141322,
  [SMALL_STATE(4181)] = 141419,
  [SMALL_STATE(4182)] = 141508,
  [SMALL_STATE(4183)] = 141561,
  [SMALL_STATE(4184)] = 141608,
  [SMALL_STATE(4185)] = 141655,
  [SMALL_STATE(4186)] = 141752,
  [SMALL_STATE(4187)] = 141849,
  [SMALL_STATE(4188)] = 141946,
  [SMALL_STATE(4189)] = 142043,
  [SMALL_STATE(4190)] = 142140,
  [SMALL_STATE(4191)] = 142187,
  [SMALL_STATE(4192)] = 142234,
  [SMALL_STATE(4193)] = 142281,
  [SMALL_STATE(4194)] = 142328,
  [SMALL_STATE(4195)] = 142415,
  [SMALL_STATE(4196)] = 142512,
  [SMALL_STATE(4197)] = 142609,
  [SMALL_STATE(4198)] = 142704,
  [SMALL_STATE(4199)] = 142761,
  [SMALL_STATE(4200)] = 142808,
  [SMALL_STATE(4201)] = 142865,
  [SMALL_STATE(4202)] = 142952,
  [SMALL_STATE(4203)] = 143049,
  [SMALL_STATE(4204)] = 143114,
  [SMALL_STATE(4205)] = 143211,
  [SMALL_STATE(4206)] = 143296,
  [SMALL_STATE(4207)] = 143389,
  [SMALL_STATE(4208)] = 143459,
  [SMALL_STATE(4209)] = 143551,
  [SMALL_STATE(4210)] = 143599,
  [SMALL_STATE(4211)] = 143693,
  [SMALL_STATE(4212)] = 143787,
  [SMALL_STATE(4213)] = 143881,
  [SMALL_STATE(4214)] = 143927,
  [SMALL_STATE(4215)] = 143975,
  [SMALL_STATE(4216)] = 144067,
  [SMALL_STATE(4217)] = 144161,
  [SMALL_STATE(4218)] = 144225,
  [SMALL_STATE(4219)] = 144317,
  [SMALL_STATE(4220)] = 144409,
  [SMALL_STATE(4221)] = 144481,
  [SMALL_STATE(4222)] = 144567,
  [SMALL_STATE(4223)] = 144651,
  [SMALL_STATE(4224)] = 144733,
  [SMALL_STATE(4225)] = 144813,
  [SMALL_STATE(4226)] = 144889,
  [SMALL_STATE(4227)] = 144963,
  [SMALL_STATE(4228)] = 145013,
  [SMALL_STATE(4229)] = 145107,
  [SMALL_STATE(4230)] = 145173,
  [SMALL_STATE(4231)] = 145267,
  [SMALL_STATE(4232)] = 145361,
  [SMALL_STATE(4233)] = 145429,
  [SMALL_STATE(4234)] = 145523,
  [SMALL_STATE(4235)] = 145617,
  [SMALL_STATE(4236)] = 145705,
  [SMALL_STATE(4237)] = 145797,
  [SMALL_STATE(4238)] = 145861,
  [SMALL_STATE(4239)] = 145947,
  [SMALL_STATE(4240)] = 146031,
  [SMALL_STATE(4241)] = 146113,
  [SMALL_STATE(4242)] = 146193,
  [SMALL_STATE(4243)] = 146269,
  [SMALL_STATE(4244)] = 146343,
  [SMALL_STATE(4245)] = 146413,
  [SMALL_STATE(4246)] = 146479,
  [SMALL_STATE(4247)] = 146547,
  [SMALL_STATE(4248)] = 146605,
  [SMALL_STATE(4249)] = 146693,
  [SMALL_STATE(4250)] = 146785,
  [SMALL_STATE(4251)] = 146873,
  [SMALL_STATE(4252)] = 146965,
  [SMALL_STATE(4253)] = 147059,
  [SMALL_STATE(4254)] = 147153,
  [SMALL_STATE(4255)] = 147207,
  [SMALL_STATE(4256)] = 147253,
  [SMALL_STATE(4257)] = 147341,
  [SMALL_STATE(4258)] = 147399,
  [SMALL_STATE(4259)] = 147487,
  [SMALL_STATE(4260)] = 147575,
  [SMALL_STATE(4261)] = 147663,
  [SMALL_STATE(4262)] = 147755,
  [SMALL_STATE(4263)] = 147849,
  [SMALL_STATE(4264)] = 147899,
  [SMALL_STATE(4265)] = 147987,
  [SMALL_STATE(4266)] = 148075,
  [SMALL_STATE(4267)] = 148167,
  [SMALL_STATE(4268)] = 148259,
  [SMALL_STATE(4269)] = 148307,
  [SMALL_STATE(4270)] = 148357,
  [SMALL_STATE(4271)] = 148405,
  [SMALL_STATE(4272)] = 148499,
  [SMALL_STATE(4273)] = 148593,
  [SMALL_STATE(4274)] = 148645,
  [SMALL_STATE(4275)] = 148737,
  [SMALL_STATE(4276)] = 148831,
  [SMALL_STATE(4277)] = 148903,
  [SMALL_STATE(4278)] = 148991,
  [SMALL_STATE(4279)] = 149085,
  [SMALL_STATE(4280)] = 149179,
  [SMALL_STATE(4281)] = 149273,
  [SMALL_STATE(4282)] = 149345,
  [SMALL_STATE(4283)] = 149391,
  [SMALL_STATE(4284)] = 149483,
  [SMALL_STATE(4285)] = 149541,
  [SMALL_STATE(4286)] = 149633,
  [SMALL_STATE(4287)] = 149693,
  [SMALL_STATE(4288)] = 149739,
  [SMALL_STATE(4289)] = 149799,
  [SMALL_STATE(4290)] = 149893,
  [SMALL_STATE(4291)] = 149951,
  [SMALL_STATE(4292)] = 150001,
  [SMALL_STATE(4293)] = 150095,
  [SMALL_STATE(4294)] = 150141,
  [SMALL_STATE(4295)] = 150233,
  [SMALL_STATE(4296)] = 150327,
  [SMALL_STATE(4297)] = 150419,
  [SMALL_STATE(4298)] = 150511,
  [SMALL_STATE(4299)] = 150567,
  [SMALL_STATE(4300)] = 150653,
  [SMALL_STATE(4301)] = 150699,
  [SMALL_STATE(4302)] = 150759,
  [SMALL_STATE(4303)] = 150853,
  [SMALL_STATE(4304)] = 150945,
  [SMALL_STATE(4305)] = 151005,
  [SMALL_STATE(4306)] = 151097,
  [SMALL_STATE(4307)] = 151191,
  [SMALL_STATE(4308)] = 151269,
  [SMALL_STATE(4309)] = 151363,
  [SMALL_STATE(4310)] = 151455,
  [SMALL_STATE(4311)] = 151517,
  [SMALL_STATE(4312)] = 151611,
  [SMALL_STATE(4313)] = 151703,
  [SMALL_STATE(4314)] = 151753,
  [SMALL_STATE(4315)] = 151799,
  [SMALL_STATE(4316)] = 151891,
  [SMALL_STATE(4317)] = 151941,
  [SMALL_STATE(4318)] = 152033,
  [SMALL_STATE(4319)] = 152127,
  [SMALL_STATE(4320)] = 152221,
  [SMALL_STATE(4321)] = 152267,
  [SMALL_STATE(4322)] = 152355,
  [SMALL_STATE(4323)] = 152447,
  [SMALL_STATE(4324)] = 152541,
  [SMALL_STATE(4325)] = 152635,
  [SMALL_STATE(4326)] = 152695,
  [SMALL_STATE(4327)] = 152789,
  [SMALL_STATE(4328)] = 152883,
  [SMALL_STATE(4329)] = 152947,
  [SMALL_STATE(4330)] = 153007,
  [SMALL_STATE(4331)] = 153093,
  [SMALL_STATE(4332)] = 153177,
  [SMALL_STATE(4333)] = 153259,
  [SMALL_STATE(4334)] = 153339,
  [SMALL_STATE(4335)] = 153415,
  [SMALL_STATE(4336)] = 153489,
  [SMALL_STATE(4337)] = 153561,
  [SMALL_STATE(4338)] = 153607,
  [SMALL_STATE(4339)] = 153673,
  [SMALL_STATE(4340)] = 153767,
  [SMALL_STATE(4341)] = 153837,
  [SMALL_STATE(4342)] = 153925,
  [SMALL_STATE(4343)] = 153985,
  [SMALL_STATE(4344)] = 154035,
  [SMALL_STATE(4345)] = 154127,
  [SMALL_STATE(4346)] = 154173,
  [SMALL_STATE(4347)] = 154261,
  [SMALL_STATE(4348)] = 154355,
  [SMALL_STATE(4349)] = 154449,
  [SMALL_STATE(4350)] = 154521,
  [SMALL_STATE(4351)] = 154575,
  [SMALL_STATE(4352)] = 154663,
  [SMALL_STATE(4353)] = 154741,
  [SMALL_STATE(4354)] = 154833,
  [SMALL_STATE(4355)] = 154927,
  [SMALL_STATE(4356)] = 154975,
  [SMALL_STATE(4357)] = 155069,
  [SMALL_STATE(4358)] = 155163,
  [SMALL_STATE(4359)] = 155217,
  [SMALL_STATE(4360)] = 155311,
  [SMALL_STATE(4361)] = 155405,
  [SMALL_STATE(4362)] = 155499,
  [SMALL_STATE(4363)] = 155555,
  [SMALL_STATE(4364)] = 155643,
  [SMALL_STATE(4365)] = 155737,
  [SMALL_STATE(4366)] = 155783,
  [SMALL_STATE(4367)] = 155877,
  [SMALL_STATE(4368)] = 155927,
  [SMALL_STATE(4369)] = 155973,
  [SMALL_STATE(4370)] = 156033,
  [SMALL_STATE(4371)] = 156127,
  [SMALL_STATE(4372)] = 156177,
  [SMALL_STATE(4373)] = 156248,
  [SMALL_STATE(4374)] = 156321,
  [SMALL_STATE(4375)] = 156372,
  [SMALL_STATE(4376)] = 156449,
  [SMALL_STATE(4377)] = 156506,
  [SMALL_STATE(4378)] = 156563,
  [SMALL_STATE(4379)] = 156648,
  [SMALL_STATE(4380)] = 156693,
  [SMALL_STATE(4381)] = 156742,
  [SMALL_STATE(4382)] = 156815,
  [SMALL_STATE(4383)] = 156906,
  [SMALL_STATE(4384)] = 156979,
  [SMALL_STATE(4385)] = 157052,
  [SMALL_STATE(4386)] = 157143,
  [SMALL_STATE(4387)] = 157188,
  [SMALL_STATE(4388)] = 157233,
  [SMALL_STATE(4389)] = 157310,
  [SMALL_STATE(4390)] = 157401,
  [SMALL_STATE(4391)] = 157492,
  [SMALL_STATE(4392)] = 157583,
  [SMALL_STATE(4393)] = 157674,
  [SMALL_STATE(4394)] = 157765,
  [SMALL_STATE(4395)] = 157856,
  [SMALL_STATE(4396)] = 157947,
  [SMALL_STATE(4397)] = 158038,
  [SMALL_STATE(4398)] = 158129,
  [SMALL_STATE(4399)] = 158206,
  [SMALL_STATE(4400)] = 158297,
  [SMALL_STATE(4401)] = 158388,
  [SMALL_STATE(4402)] = 158479,
  [SMALL_STATE(4403)] = 158570,
  [SMALL_STATE(4404)] = 158661,
  [SMALL_STATE(4405)] = 158752,
  [SMALL_STATE(4406)] = 158843,
  [SMALL_STATE(4407)] = 158934,
  [SMALL_STATE(4408)] = 159025,
  [SMALL_STATE(4409)] = 159116,
  [SMALL_STATE(4410)] = 159207,
  [SMALL_STATE(4411)] = 159298,
  [SMALL_STATE(4412)] = 159389,
  [SMALL_STATE(4413)] = 159462,
  [SMALL_STATE(4414)] = 159543,
  [SMALL_STATE(4415)] = 159634,
  [SMALL_STATE(4416)] = 159725,
  [SMALL_STATE(4417)] = 159798,
  [SMALL_STATE(4418)] = 159889,
  [SMALL_STATE(4419)] = 159980,
  [SMALL_STATE(4420)] = 160025,
  [SMALL_STATE(4421)] = 160116,
  [SMALL_STATE(4422)] = 160189,
  [SMALL_STATE(4423)] = 160240,
  [SMALL_STATE(4424)] = 160331,
  [SMALL_STATE(4425)] = 160422,
  [SMALL_STATE(4426)] = 160513,
  [SMALL_STATE(4427)] = 160604,
  [SMALL_STATE(4428)] = 160695,
  [SMALL_STATE(4429)] = 160786,
  [SMALL_STATE(4430)] = 160877,
  [SMALL_STATE(4431)] = 160968,
  [SMALL_STATE(4432)] = 161059,
  [SMALL_STATE(4433)] = 161150,
  [SMALL_STATE(4434)] = 161201,
  [SMALL_STATE(4435)] = 161292,
  [SMALL_STATE(4436)] = 161383,
  [SMALL_STATE(4437)] = 161474,
  [SMALL_STATE(4438)] = 161565,
  [SMALL_STATE(4439)] = 161614,
  [SMALL_STATE(4440)] = 161663,
  [SMALL_STATE(4441)] = 161754,
  [SMALL_STATE(4442)] = 161805,
  [SMALL_STATE(4443)] = 161888,
  [SMALL_STATE(4444)] = 161979,
  [SMALL_STATE(4445)] = 162070,
  [SMALL_STATE(4446)] = 162119,
  [SMALL_STATE(4447)] = 162210,
  [SMALL_STATE(4448)] = 162301,
  [SMALL_STATE(4449)] = 162392,
  [SMALL_STATE(4450)] = 162441,
  [SMALL_STATE(4451)] = 162490,
  [SMALL_STATE(4452)] = 162539,
  [SMALL_STATE(4453)] = 162584,
  [SMALL_STATE(4454)] = 162675,
  [SMALL_STATE(4455)] = 162766,
  [SMALL_STATE(4456)] = 162857,
  [SMALL_STATE(4457)] = 162948,
  [SMALL_STATE(4458)] = 163039,
  [SMALL_STATE(4459)] = 163130,
  [SMALL_STATE(4460)] = 163221,
  [SMALL_STATE(4461)] = 163312,
  [SMALL_STATE(4462)] = 163403,
  [SMALL_STATE(4463)] = 163476,
  [SMALL_STATE(4464)] = 163567,
  [SMALL_STATE(4465)] = 163616,
  [SMALL_STATE(4466)] = 163707,
  [SMALL_STATE(4467)] = 163798,
  [SMALL_STATE(4468)] = 163889,
  [SMALL_STATE(4469)] = 163980,
  [SMALL_STATE(4470)] = 164071,
  [SMALL_STATE(4471)] = 164120,
  [SMALL_STATE(4472)] = 164169,
  [SMALL_STATE(4473)] = 164218,
  [SMALL_STATE(4474)] = 164309,
  [SMALL_STATE(4475)] = 164400,
  [SMALL_STATE(4476)] = 164491,
  [SMALL_STATE(4477)] = 164582,
  [SMALL_STATE(4478)] = 164673,
  [SMALL_STATE(4479)] = 164764,
  [SMALL_STATE(4480)] = 164855,
  [SMALL_STATE(4481)] = 164904,
  [SMALL_STATE(4482)] = 164995,
  [SMALL_STATE(4483)] = 165044,
  [SMALL_STATE(4484)] = 165135,
  [SMALL_STATE(4485)] = 165226,
  [SMALL_STATE(4486)] = 165317,
  [SMALL_STATE(4487)] = 165408,
  [SMALL_STATE(4488)] = 165499,
  [SMALL_STATE(4489)] = 165590,
  [SMALL_STATE(4490)] = 165663,
  [SMALL_STATE(4491)] = 165754,
  [SMALL_STATE(4492)] = 165845,
  [SMALL_STATE(4493)] = 165936,
  [SMALL_STATE(4494)] = 166027,
  [SMALL_STATE(4495)] = 166118,
  [SMALL_STATE(4496)] = 166209,
  [SMALL_STATE(4497)] = 166300,
  [SMALL_STATE(4498)] = 166381,
  [SMALL_STATE(4499)] = 166454,
  [SMALL_STATE(4500)] = 166545,
  [SMALL_STATE(4501)] = 166636,
  [SMALL_STATE(4502)] = 166709,
  [SMALL_STATE(4503)] = 166800,
  [SMALL_STATE(4504)] = 166873,
  [SMALL_STATE(4505)] = 166964,
  [SMALL_STATE(4506)] = 167037,
  [SMALL_STATE(4507)] = 167110,
  [SMALL_STATE(4508)] = 167183,
  [SMALL_STATE(4509)] = 167256,
  [SMALL_STATE(4510)] = 167347,
  [SMALL_STATE(4511)] = 167418,
  [SMALL_STATE(4512)] = 167489,
  [SMALL_STATE(4513)] = 167560,
  [SMALL_STATE(4514)] = 167641,
  [SMALL_STATE(4515)] = 167714,
  [SMALL_STATE(4516)] = 167787,
  [SMALL_STATE(4517)] = 167860,
  [SMALL_STATE(4518)] = 167933,
  [SMALL_STATE(4519)] = 168006,
  [SMALL_STATE(4520)] = 168087,
  [SMALL_STATE(4521)] = 168178,
  [SMALL_STATE(4522)] = 168259,
  [SMALL_STATE(4523)] = 168340,
  [SMALL_STATE(4524)] = 168431,
  [SMALL_STATE(4525)] = 168478,
  [SMALL_STATE(4526)] = 168559,
  [SMALL_STATE(4527)] = 168650,
  [SMALL_STATE(4528)] = 168711,
  [SMALL_STATE(4529)] = 168802,
  [SMALL_STATE(4530)] = 168893,
  [SMALL_STATE(4531)] = 168984,
  [SMALL_STATE(4532)] = 169069,
  [SMALL_STATE(4533)] = 169146,
  [SMALL_STATE(4534)] = 169237,
  [SMALL_STATE(4535)] = 169328,
  [SMALL_STATE(4536)] = 169419,
  [SMALL_STATE(4537)] = 169510,
  [SMALL_STATE(4538)] = 169601,
  [SMALL_STATE(4539)] = 169652,
  [SMALL_STATE(4540)] = 169696,
  [SMALL_STATE(4541)] = 169740,
  [SMALL_STATE(4542)] = 169784,
  [SMALL_STATE(4543)] = 169828,
  [SMALL_STATE(4544)] = 169916,
  [SMALL_STATE(4545)] = 169960,
  [SMALL_STATE(4546)] = 170004,
  [SMALL_STATE(4547)] = 170048,
  [SMALL_STATE(4548)] = 170092,
  [SMALL_STATE(4549)] = 170136,
  [SMALL_STATE(4550)] = 170180,
  [SMALL_STATE(4551)] = 170224,
  [SMALL_STATE(4552)] = 170268,
  [SMALL_STATE(4553)] = 170312,
  [SMALL_STATE(4554)] = 170356,
  [SMALL_STATE(4555)] = 170400,
  [SMALL_STATE(4556)] = 170444,
  [SMALL_STATE(4557)] = 170488,
  [SMALL_STATE(4558)] = 170534,
  [SMALL_STATE(4559)] = 170584,
  [SMALL_STATE(4560)] = 170628,
  [SMALL_STATE(4561)] = 170672,
  [SMALL_STATE(4562)] = 170716,
  [SMALL_STATE(4563)] = 170760,
  [SMALL_STATE(4564)] = 170804,
  [SMALL_STATE(4565)] = 170848,
  [SMALL_STATE(4566)] = 170932,
  [SMALL_STATE(4567)] = 171016,
  [SMALL_STATE(4568)] = 171060,
  [SMALL_STATE(4569)] = 171104,
  [SMALL_STATE(4570)] = 171148,
  [SMALL_STATE(4571)] = 171200,
  [SMALL_STATE(4572)] = 171244,
  [SMALL_STATE(4573)] = 171288,
  [SMALL_STATE(4574)] = 171332,
  [SMALL_STATE(4575)] = 171376,
  [SMALL_STATE(4576)] = 171420,
  [SMALL_STATE(4577)] = 171464,
  [SMALL_STATE(4578)] = 171508,
  [SMALL_STATE(4579)] = 171552,
  [SMALL_STATE(4580)] = 171596,
  [SMALL_STATE(4581)] = 171640,
  [SMALL_STATE(4582)] = 171684,
  [SMALL_STATE(4583)] = 171728,
  [SMALL_STATE(4584)] = 171772,
  [SMALL_STATE(4585)] = 171816,
  [SMALL_STATE(4586)] = 171860,
  [SMALL_STATE(4587)] = 171904,
  [SMALL_STATE(4588)] = 171948,
  [SMALL_STATE(4589)] = 171992,
  [SMALL_STATE(4590)] = 172036,
  [SMALL_STATE(4591)] = 172080,
  [SMALL_STATE(4592)] = 172124,
  [SMALL_STATE(4593)] = 172168,
  [SMALL_STATE(4594)] = 172212,
  [SMALL_STATE(4595)] = 172256,
  [SMALL_STATE(4596)] = 172306,
  [SMALL_STATE(4597)] = 172350,
  [SMALL_STATE(4598)] = 172394,
  [SMALL_STATE(4599)] = 172438,
  [SMALL_STATE(4600)] = 172482,
  [SMALL_STATE(4601)] = 172526,
  [SMALL_STATE(4602)] = 172570,
  [SMALL_STATE(4603)] = 172614,
  [SMALL_STATE(4604)] = 172658,
  [SMALL_STATE(4605)] = 172702,
  [SMALL_STATE(4606)] = 172746,
  [SMALL_STATE(4607)] = 172790,
  [SMALL_STATE(4608)] = 172834,
  [SMALL_STATE(4609)] = 172888,
  [SMALL_STATE(4610)] = 172932,
  [SMALL_STATE(4611)] = 173010,
  [SMALL_STATE(4612)] = 173054,
  [SMALL_STATE(4613)] = 173100,
  [SMALL_STATE(4614)] = 173178,
  [SMALL_STATE(4615)] = 173222,
  [SMALL_STATE(4616)] = 173300,
  [SMALL_STATE(4617)] = 173378,
  [SMALL_STATE(4618)] = 173426,
  [SMALL_STATE(4619)] = 173470,
  [SMALL_STATE(4620)] = 173548,
  [SMALL_STATE(4621)] = 173626,
  [SMALL_STATE(4622)] = 173670,
  [SMALL_STATE(4623)] = 173714,
  [SMALL_STATE(4624)] = 173792,
  [SMALL_STATE(4625)] = 173870,
  [SMALL_STATE(4626)] = 173914,
  [SMALL_STATE(4627)] = 173962,
  [SMALL_STATE(4628)] = 174006,
  [SMALL_STATE(4629)] = 174076,
  [SMALL_STATE(4630)] = 174146,
  [SMALL_STATE(4631)] = 174216,
  [SMALL_STATE(4632)] = 174286,
  [SMALL_STATE(4633)] = 174330,
  [SMALL_STATE(4634)] = 174374,
  [SMALL_STATE(4635)] = 174418,
  [SMALL_STATE(4636)] = 174462,
  [SMALL_STATE(4637)] = 174531,
  [SMALL_STATE(4638)] = 174582,
  [SMALL_STATE(4639)] = 174651,
  [SMALL_STATE(4640)] = 174720,
  [SMALL_STATE(4641)] = 174795,
  [SMALL_STATE(4642)] = 174878,
  [SMALL_STATE(4643)] = 174947,
  [SMALL_STATE(4644)] = 175016,
  [SMALL_STATE(4645)] = 175085,
  [SMALL_STATE(4646)] = 175168,
  [SMALL_STATE(4647)] = 175251,
  [SMALL_STATE(4648)] = 175334,
  [SMALL_STATE(4649)] = 175403,
  [SMALL_STATE(4650)] = 175486,
  [SMALL_STATE(4651)] = 175539,
  [SMALL_STATE(4652)] = 175608,
  [SMALL_STATE(4653)] = 175691,
  [SMALL_STATE(4654)] = 175774,
  [SMALL_STATE(4655)] = 175849,
  [SMALL_STATE(4656)] = 175918,
  [SMALL_STATE(4657)] = 175963,
  [SMALL_STATE(4658)] = 176032,
  [SMALL_STATE(4659)] = 176083,
  [SMALL_STATE(4660)] = 176152,
  [SMALL_STATE(4661)] = 176221,
  [SMALL_STATE(4662)] = 176304,
  [SMALL_STATE(4663)] = 176386,
  [SMALL_STATE(4664)] = 176454,
  [SMALL_STATE(4665)] = 176522,
  [SMALL_STATE(4666)] = 176576,
  [SMALL_STATE(4667)] = 176644,
  [SMALL_STATE(4668)] = 176720,
  [SMALL_STATE(4669)] = 176766,
  [SMALL_STATE(4670)] = 176850,
  [SMALL_STATE(4671)] = 176918,
  [SMALL_STATE(4672)] = 176964,
  [SMALL_STATE(4673)] = 177010,
  [SMALL_STATE(4674)] = 177060,
  [SMALL_STATE(4675)] = 177106,
  [SMALL_STATE(4676)] = 177160,
  [SMALL_STATE(4677)] = 177206,
  [SMALL_STATE(4678)] = 177252,
  [SMALL_STATE(4679)] = 177298,
  [SMALL_STATE(4680)] = 177352,
  [SMALL_STATE(4681)] = 177420,
  [SMALL_STATE(4682)] = 177510,
  [SMALL_STATE(4683)] = 177556,
  [SMALL_STATE(4684)] = 177610,
  [SMALL_STATE(4685)] = 177660,
  [SMALL_STATE(4686)] = 177714,
  [SMALL_STATE(4687)] = 177760,
  [SMALL_STATE(4688)] = 177814,
  [SMALL_STATE(4689)] = 177896,
  [SMALL_STATE(4690)] = 177978,
  [SMALL_STATE(4691)] = 178024,
  [SMALL_STATE(4692)] = 178092,
  [SMALL_STATE(4693)] = 178168,
  [SMALL_STATE(4694)] = 178236,
  [SMALL_STATE(4695)] = 178288,
  [SMALL_STATE(4696)] = 178356,
  [SMALL_STATE(4697)] = 178438,
  [SMALL_STATE(4698)] = 178514,
  [SMALL_STATE(4699)] = 178590,
  [SMALL_STATE(4700)] = 178636,
  [SMALL_STATE(4701)] = 178682,
  [SMALL_STATE(4702)] = 178723,
  [SMALL_STATE(4703)] = 178804,
  [SMALL_STATE(4704)] = 178857,
  [SMALL_STATE(4705)] = 178898,
  [SMALL_STATE(4706)] = 178973,
  [SMALL_STATE(4707)] = 179014,
  [SMALL_STATE(4708)] = 179061,
  [SMALL_STATE(4709)] = 179102,
  [SMALL_STATE(4710)] = 179177,
  [SMALL_STATE(4711)] = 179218,
  [SMALL_STATE(4712)] = 179293,
  [SMALL_STATE(4713)] = 179334,
  [SMALL_STATE(4714)] = 179377,
  [SMALL_STATE(4715)] = 179418,
  [SMALL_STATE(4716)] = 179493,
  [SMALL_STATE(4717)] = 179574,
  [SMALL_STATE(4718)] = 179640,
  [SMALL_STATE(4719)] = 179720,
  [SMALL_STATE(4720)] = 179786,
  [SMALL_STATE(4721)] = 179826,
  [SMALL_STATE(4722)] = 179900,
  [SMALL_STATE(4723)] = 179940,
  [SMALL_STATE(4724)] = 179980,
  [SMALL_STATE(4725)] = 180054,
  [SMALL_STATE(4726)] = 180128,
  [SMALL_STATE(4727)] = 180168,
  [SMALL_STATE(4728)] = 180220,
  [SMALL_STATE(4729)] = 180272,
  [SMALL_STATE(4730)] = 180346,
  [SMALL_STATE(4731)] = 180420,
  [SMALL_STATE(4732)] = 180460,
  [SMALL_STATE(4733)] = 180534,
  [SMALL_STATE(4734)] = 180614,
  [SMALL_STATE(4735)] = 180694,
  [SMALL_STATE(4736)] = 180734,
  [SMALL_STATE(4737)] = 180784,
  [SMALL_STATE(4738)] = 180824,
  [SMALL_STATE(4739)] = 180890,
  [SMALL_STATE(4740)] = 180930,
  [SMALL_STATE(4741)] = 181010,
  [SMALL_STATE(4742)] = 181050,
  [SMALL_STATE(4743)] = 181124,
  [SMALL_STATE(4744)] = 181164,
  [SMALL_STATE(4745)] = 181244,
  [SMALL_STATE(4746)] = 181324,
  [SMALL_STATE(4747)] = 181398,
  [SMALL_STATE(4748)] = 181472,
  [SMALL_STATE(4749)] = 181552,
  [SMALL_STATE(4750)] = 181632,
  [SMALL_STATE(4751)] = 181712,
  [SMALL_STATE(4752)] = 181786,
  [SMALL_STATE(4753)] = 181826,
  [SMALL_STATE(4754)] = 181906,
  [SMALL_STATE(4755)] = 181946,
  [SMALL_STATE(4756)] = 182020,
  [SMALL_STATE(4757)] = 182060,
  [SMALL_STATE(4758)] = 182100,
  [SMALL_STATE(4759)] = 182180,
  [SMALL_STATE(4760)] = 182254,
  [SMALL_STATE(4761)] = 182334,
  [SMALL_STATE(4762)] = 182388,
  [SMALL_STATE(4763)] = 182428,
  [SMALL_STATE(4764)] = 182468,
  [SMALL_STATE(4765)] = 182508,
  [SMALL_STATE(4766)] = 182588,
  [SMALL_STATE(4767)] = 182636,
  [SMALL_STATE(4768)] = 182690,
  [SMALL_STATE(4769)] = 182730,
  [SMALL_STATE(4770)] = 182778,
  [SMALL_STATE(4771)] = 182818,
  [SMALL_STATE(4772)] = 182892,
  [SMALL_STATE(4773)] = 182972,
  [SMALL_STATE(4774)] = 183012,
  [SMALL_STATE(4775)] = 183092,
  [SMALL_STATE(4776)] = 183132,
  [SMALL_STATE(4777)] = 183198,
  [SMALL_STATE(4778)] = 183238,
  [SMALL_STATE(4779)] = 183278,
  [SMALL_STATE(4780)] = 183318,
  [SMALL_STATE(4781)] = 183358,
  [SMALL_STATE(4782)] = 183438,
  [SMALL_STATE(4783)] = 183512,
  [SMALL_STATE(4784)] = 183592,
  [SMALL_STATE(4785)] = 183632,
  [SMALL_STATE(4786)] = 183712,
  [SMALL_STATE(4787)] = 183752,
  [SMALL_STATE(4788)] = 183792,
  [SMALL_STATE(4789)] = 183832,
  [SMALL_STATE(4790)] = 183872,
  [SMALL_STATE(4791)] = 183946,
  [SMALL_STATE(4792)] = 184020,
  [SMALL_STATE(4793)] = 184060,
  [SMALL_STATE(4794)] = 184110,
  [SMALL_STATE(4795)] = 184150,
  [SMALL_STATE(4796)] = 184190,
  [SMALL_STATE(4797)] = 184263,
  [SMALL_STATE(4798)] = 184306,
  [SMALL_STATE(4799)] = 184349,
  [SMALL_STATE(4800)] = 184422,
  [SMALL_STATE(4801)] = 184463,
  [SMALL_STATE(4802)] = 184536,
  [SMALL_STATE(4803)] = 184579,
  [SMALL_STATE(4804)] = 184622,
  [SMALL_STATE(4805)] = 184701,
  [SMALL_STATE(4806)] = 184752,
  [SMALL_STATE(4807)] = 184825,
  [SMALL_STATE(4808)] = 184898,
  [SMALL_STATE(4809)] = 184971,
  [SMALL_STATE(4810)] = 185050,
  [SMALL_STATE(4811)] = 185093,
  [SMALL_STATE(4812)] = 185136,
  [SMALL_STATE(4813)] = 185209,
  [SMALL_STATE(4814)] = 185282,
  [SMALL_STATE(4815)] = 185361,
  [SMALL_STATE(4816)] = 185408,
  [SMALL_STATE(4817)] = 185459,
  [SMALL_STATE(4818)] = 185502,
  [SMALL_STATE(4819)] = 185581,
  [SMALL_STATE(4820)] = 185661,
  [SMALL_STATE(4821)] = 185741,
  [SMALL_STATE(4822)] = 185821,
  [SMALL_STATE(4823)] = 185901,
  [SMALL_STATE(4824)] = 185975,
  [SMALL_STATE(4825)] = 186049,
  [SMALL_STATE(4826)] = 186123,
  [SMALL_STATE(4827)] = 186193,
  [SMALL_STATE(4828)] = 186267,
  [SMALL_STATE(4829)] = 186341,
  [SMALL_STATE(4830)] = 186421,
  [SMALL_STATE(4831)] = 186501,
  [SMALL_STATE(4832)] = 186581,
  [SMALL_STATE(4833)] = 186661,
  [SMALL_STATE(4834)] = 186735,
  [SMALL_STATE(4835)] = 186809,
  [SMALL_STATE(4836)] = 186883,
  [SMALL_STATE(4837)] = 186963,
  [SMALL_STATE(4838)] = 187043,
  [SMALL_STATE(4839)] = 187123,
  [SMALL_STATE(4840)] = 187203,
  [SMALL_STATE(4841)] = 187283,
  [SMALL_STATE(4842)] = 187363,
  [SMALL_STATE(4843)] = 187437,
  [SMALL_STATE(4844)] = 187511,
  [SMALL_STATE(4845)] = 187585,
  [SMALL_STATE(4846)] = 187659,
  [SMALL_STATE(4847)] = 187739,
  [SMALL_STATE(4848)] = 187819,
  [SMALL_STATE(4849)] = 187899,
  [SMALL_STATE(4850)] = 187979,
  [SMALL_STATE(4851)] = 188059,
  [SMALL_STATE(4852)] = 188139,
  [SMALL_STATE(4853)] = 188213,
  [SMALL_STATE(4854)] = 188293,
  [SMALL_STATE(4855)] = 188373,
  [SMALL_STATE(4856)] = 188453,
  [SMALL_STATE(4857)] = 188533,
  [SMALL_STATE(4858)] = 188613,
  [SMALL_STATE(4859)] = 188693,
  [SMALL_STATE(4860)] = 188773,
  [SMALL_STATE(4861)] = 188853,
  [SMALL_STATE(4862)] = 188933,
  [SMALL_STATE(4863)] = 189013,
  [SMALL_STATE(4864)] = 189093,
  [SMALL_STATE(4865)] = 189173,
  [SMALL_STATE(4866)] = 189253,
  [SMALL_STATE(4867)] = 189333,
  [SMALL_STATE(4868)] = 189413,
  [SMALL_STATE(4869)] = 189493,
  [SMALL_STATE(4870)] = 189573,
  [SMALL_STATE(4871)] = 189653,
  [SMALL_STATE(4872)] = 189733,
  [SMALL_STATE(4873)] = 189813,
  [SMALL_STATE(4874)] = 189893,
  [SMALL_STATE(4875)] = 189973,
  [SMALL_STATE(4876)] = 190053,
  [SMALL_STATE(4877)] = 190133,
  [SMALL_STATE(4878)] = 190207,
  [SMALL_STATE(4879)] = 190281,
  [SMALL_STATE(4880)] = 190355,
  [SMALL_STATE(4881)] = 190435,
  [SMALL_STATE(4882)] = 190515,
  [SMALL_STATE(4883)] = 190595,
  [SMALL_STATE(4884)] = 190669,
  [SMALL_STATE(4885)] = 190749,
  [SMALL_STATE(4886)] = 190829,
  [SMALL_STATE(4887)] = 190909,
  [SMALL_STATE(4888)] = 190983,
  [SMALL_STATE(4889)] = 191063,
  [SMALL_STATE(4890)] = 191143,
  [SMALL_STATE(4891)] = 191223,
  [SMALL_STATE(4892)] = 191297,
  [SMALL_STATE(4893)] = 191371,
  [SMALL_STATE(4894)] = 191441,
  [SMALL_STATE(4895)] = 191513,
  [SMALL_STATE(4896)] = 191585,
  [SMALL_STATE(4897)] = 191659,
  [SMALL_STATE(4898)] = 191739,
  [SMALL_STATE(4899)] = 191809,
  [SMALL_STATE(4900)] = 191881,
  [SMALL_STATE(4901)] = 191953,
  [SMALL_STATE(4902)] = 192027,
  [SMALL_STATE(4903)] = 192101,
  [SMALL_STATE(4904)] = 192181,
  [SMALL_STATE(4905)] = 192261,
  [SMALL_STATE(4906)] = 192341,
  [SMALL_STATE(4907)] = 192421,
  [SMALL_STATE(4908)] = 192501,
  [SMALL_STATE(4909)] = 192581,
  [SMALL_STATE(4910)] = 192661,
  [SMALL_STATE(4911)] = 192741,
  [SMALL_STATE(4912)] = 192815,
  [SMALL_STATE(4913)] = 192885,
  [SMALL_STATE(4914)] = 192965,
  [SMALL_STATE(4915)] = 193045,
  [SMALL_STATE(4916)] = 193125,
  [SMALL_STATE(4917)] = 193205,
  [SMALL_STATE(4918)] = 193285,
  [SMALL_STATE(4919)] = 193365,
  [SMALL_STATE(4920)] = 193439,
  [SMALL_STATE(4921)] = 193519,
  [SMALL_STATE(4922)] = 193599,
  [SMALL_STATE(4923)] = 193679,
  [SMALL_STATE(4924)] = 193759,
  [SMALL_STATE(4925)] = 193839,
  [SMALL_STATE(4926)] = 193919,
  [SMALL_STATE(4927)] = 193993,
  [SMALL_STATE(4928)] = 194073,
  [SMALL_STATE(4929)] = 194143,
  [SMALL_STATE(4930)] = 194223,
  [SMALL_STATE(4931)] = 194303,
  [SMALL_STATE(4932)] = 194383,
  [SMALL_STATE(4933)] = 194457,
  [SMALL_STATE(4934)] = 194531,
  [SMALL_STATE(4935)] = 194611,
  [SMALL_STATE(4936)] = 194691,
  [SMALL_STATE(4937)] = 194765,
  [SMALL_STATE(4938)] = 194845,
  [SMALL_STATE(4939)] = 194925,
  [SMALL_STATE(4940)] = 195005,
  [SMALL_STATE(4941)] = 195079,
  [SMALL_STATE(4942)] = 195159,
  [SMALL_STATE(4943)] = 195239,
  [SMALL_STATE(4944)] = 195319,
  [SMALL_STATE(4945)] = 195399,
  [SMALL_STATE(4946)] = 195479,
  [SMALL_STATE(4947)] = 195559,
  [SMALL_STATE(4948)] = 195601,
  [SMALL_STATE(4949)] = 195643,
  [SMALL_STATE(4950)] = 195685,
  [SMALL_STATE(4951)] = 195727,
  [SMALL_STATE(4952)] = 195769,
  [SMALL_STATE(4953)] = 195811,
  [SMALL_STATE(4954)] = 195853,
  [SMALL_STATE(4955)] = 195895,
  [SMALL_STATE(4956)] = 195937,
  [SMALL_STATE(4957)] = 195979,
  [SMALL_STATE(4958)] = 196021,
  [SMALL_STATE(4959)] = 196063,
  [SMALL_STATE(4960)] = 196137,
  [SMALL_STATE(4961)] = 196217,
  [SMALL_STATE(4962)] = 196297,
  [SMALL_STATE(4963)] = 196377,
  [SMALL_STATE(4964)] = 196457,
  [SMALL_STATE(4965)] = 196531,
  [SMALL_STATE(4966)] = 196605,
  [SMALL_STATE(4967)] = 196679,
  [SMALL_STATE(4968)] = 196759,
  [SMALL_STATE(4969)] = 196839,
  [SMALL_STATE(4970)] = 196919,
  [SMALL_STATE(4971)] = 196993,
  [SMALL_STATE(4972)] = 197067,
  [SMALL_STATE(4973)] = 197141,
  [SMALL_STATE(4974)] = 197215,
  [SMALL_STATE(4975)] = 197285,
  [SMALL_STATE(4976)] = 197355,
  [SMALL_STATE(4977)] = 197429,
  [SMALL_STATE(4978)] = 197499,
  [SMALL_STATE(4979)] = 197576,
  [SMALL_STATE(4980)] = 197643,
  [SMALL_STATE(4981)] = 197720,
  [SMALL_STATE(4982)] = 197787,
  [SMALL_STATE(4983)] = 197854,
  [SMALL_STATE(4984)] = 197931,
  [SMALL_STATE(4985)] = 197998,
  [SMALL_STATE(4986)] = 198065,
  [SMALL_STATE(4987)] = 198132,
  [SMALL_STATE(4988)] = 198209,
  [SMALL_STATE(4989)] = 198274,
  [SMALL_STATE(4990)] = 198351,
  [SMALL_STATE(4991)] = 198416,
  [SMALL_STATE(4992)] = 198493,
  [SMALL_STATE(4993)] = 198560,
  [SMALL_STATE(4994)] = 198601,
  [SMALL_STATE(4995)] = 198666,
  [SMALL_STATE(4996)] = 198733,
  [SMALL_STATE(4997)] = 198800,
  [SMALL_STATE(4998)] = 198867,
  [SMALL_STATE(4999)] = 198934,
  [SMALL_STATE(5000)] = 199011,
  [SMALL_STATE(5001)] = 199078,
  [SMALL_STATE(5002)] = 199145,
  [SMALL_STATE(5003)] = 199190,
  [SMALL_STATE(5004)] = 199267,
  [SMALL_STATE(5005)] = 199344,
  [SMALL_STATE(5006)] = 199421,
  [SMALL_STATE(5007)] = 199488,
  [SMALL_STATE(5008)] = 199555,
  [SMALL_STATE(5009)] = 199622,
  [SMALL_STATE(5010)] = 199699,
  [SMALL_STATE(5011)] = 199776,
  [SMALL_STATE(5012)] = 199841,
  [SMALL_STATE(5013)] = 199908,
  [SMALL_STATE(5014)] = 199985,
  [SMALL_STATE(5015)] = 200062,
  [SMALL_STATE(5016)] = 200139,
  [SMALL_STATE(5017)] = 200206,
  [SMALL_STATE(5018)] = 200271,
  [SMALL_STATE(5019)] = 200338,
  [SMALL_STATE(5020)] = 200383,
  [SMALL_STATE(5021)] = 200450,
  [SMALL_STATE(5022)] = 200517,
  [SMALL_STATE(5023)] = 200584,
  [SMALL_STATE(5024)] = 200651,
  [SMALL_STATE(5025)] = 200728,
  [SMALL_STATE(5026)] = 200805,
  [SMALL_STATE(5027)] = 200872,
  [SMALL_STATE(5028)] = 200949,
  [SMALL_STATE(5029)] = 201014,
  [SMALL_STATE(5030)] = 201081,
  [SMALL_STATE(5031)] = 201122,
  [SMALL_STATE(5032)] = 201159,
  [SMALL_STATE(5033)] = 201226,
  [SMALL_STATE(5034)] = 201263,
  [SMALL_STATE(5035)] = 201330,
  [SMALL_STATE(5036)] = 201394,
  [SMALL_STATE(5037)] = 201464,
  [SMALL_STATE(5038)] = 201534,
  [SMALL_STATE(5039)] = 201598,
  [SMALL_STATE(5040)] = 201662,
  [SMALL_STATE(5041)] = 201726,
  [SMALL_STATE(5042)] = 201796,
  [SMALL_STATE(5043)] = 201860,
  [SMALL_STATE(5044)] = 201930,
  [SMALL_STATE(5045)] = 202000,
  [SMALL_STATE(5046)] = 202040,
  [SMALL_STATE(5047)] = 202110,
  [SMALL_STATE(5048)] = 202180,
  [SMALL_STATE(5049)] = 202250,
  [SMALL_STATE(5050)] = 202314,
  [SMALL_STATE(5051)] = 202377,
  [SMALL_STATE(5052)] = 202440,
  [SMALL_STATE(5053)] = 202503,
  [SMALL_STATE(5054)] = 202566,
  [SMALL_STATE(5055)] = 202629,
  [SMALL_STATE(5056)] = 202692,
  [SMALL_STATE(5057)] = 202755,
  [SMALL_STATE(5058)] = 202818,
  [SMALL_STATE(5059)] = 202855,
  [SMALL_STATE(5060)] = 202918,
  [SMALL_STATE(5061)] = 202981,
  [SMALL_STATE(5062)] = 203044,
  [SMALL_STATE(5063)] = 203107,
  [SMALL_STATE(5064)] = 203170,
  [SMALL_STATE(5065)] = 203233,
  [SMALL_STATE(5066)] = 203296,
  [SMALL_STATE(5067)] = 203359,
  [SMALL_STATE(5068)] = 203422,
  [SMALL_STATE(5069)] = 203485,
  [SMALL_STATE(5070)] = 203548,
  [SMALL_STATE(5071)] = 203593,
  [SMALL_STATE(5072)] = 203656,
  [SMALL_STATE(5073)] = 203719,
  [SMALL_STATE(5074)] = 203782,
  [SMALL_STATE(5075)] = 203845,
  [SMALL_STATE(5076)] = 203908,
  [SMALL_STATE(5077)] = 203966,
  [SMALL_STATE(5078)] = 204028,
  [SMALL_STATE(5079)] = 204090,
  [SMALL_STATE(5080)] = 204152,
  [SMALL_STATE(5081)] = 204214,
  [SMALL_STATE(5082)] = 204276,
  [SMALL_STATE(5083)] = 204338,
  [SMALL_STATE(5084)] = 204400,
  [SMALL_STATE(5085)] = 204462,
  [SMALL_STATE(5086)] = 204524,
  [SMALL_STATE(5087)] = 204582,
  [SMALL_STATE(5088)] = 204640,
  [SMALL_STATE(5089)] = 204702,
  [SMALL_STATE(5090)] = 204764,
  [SMALL_STATE(5091)] = 204826,
  [SMALL_STATE(5092)] = 204884,
  [SMALL_STATE(5093)] = 204945,
  [SMALL_STATE(5094)] = 205006,
  [SMALL_STATE(5095)] = 205067,
  [SMALL_STATE(5096)] = 205128,
  [SMALL_STATE(5097)] = 205189,
  [SMALL_STATE(5098)] = 205250,
  [SMALL_STATE(5099)] = 205311,
  [SMALL_STATE(5100)] = 205372,
  [SMALL_STATE(5101)] = 205433,
  [SMALL_STATE(5102)] = 205484,
  [SMALL_STATE(5103)] = 205545,
  [SMALL_STATE(5104)] = 205606,
  [SMALL_STATE(5105)] = 205667,
  [SMALL_STATE(5106)] = 205728,
  [SMALL_STATE(5107)] = 205779,
  [SMALL_STATE(5108)] = 205811,
  [SMALL_STATE(5109)] = 205843,
  [SMALL_STATE(5110)] = 205891,
  [SMALL_STATE(5111)] = 205945,
  [SMALL_STATE(5112)] = 205984,
  [SMALL_STATE(5113)] = 206055,
  [SMALL_STATE(5114)] = 206114,
  [SMALL_STATE(5115)] = 206173,
  [SMALL_STATE(5116)] = 206232,
  [SMALL_STATE(5117)] = 206291,
  [SMALL_STATE(5118)] = 206350,
  [SMALL_STATE(5119)] = 206389,
  [SMALL_STATE(5120)] = 206460,
  [SMALL_STATE(5121)] = 206519,
  [SMALL_STATE(5122)] = 206578,
  [SMALL_STATE(5123)] = 206637,
  [SMALL_STATE(5124)] = 206684,
  [SMALL_STATE(5125)] = 206743,
  [SMALL_STATE(5126)] = 206802,
  [SMALL_STATE(5127)] = 206873,
  [SMALL_STATE(5128)] = 206932,
  [SMALL_STATE(5129)] = 206991,
  [SMALL_STATE(5130)] = 207043,
  [SMALL_STATE(5131)] = 207095,
  [SMALL_STATE(5132)] = 207147,
  [SMALL_STATE(5133)] = 207199,
  [SMALL_STATE(5134)] = 207251,
  [SMALL_STATE(5135)] = 207303,
  [SMALL_STATE(5136)] = 207355,
  [SMALL_STATE(5137)] = 207407,
  [SMALL_STATE(5138)] = 207459,
  [SMALL_STATE(5139)] = 207511,
  [SMALL_STATE(5140)] = 207563,
  [SMALL_STATE(5141)] = 207615,
  [SMALL_STATE(5142)] = 207685,
  [SMALL_STATE(5143)] = 207737,
  [SMALL_STATE(5144)] = 207789,
  [SMALL_STATE(5145)] = 207819,
  [SMALL_STATE(5146)] = 207889,
  [SMALL_STATE(5147)] = 207941,
  [SMALL_STATE(5148)] = 207987,
  [SMALL_STATE(5149)] = 208039,
  [SMALL_STATE(5150)] = 208091,
  [SMALL_STATE(5151)] = 208143,
  [SMALL_STATE(5152)] = 208195,
  [SMALL_STATE(5153)] = 208247,
  [SMALL_STATE(5154)] = 208299,
  [SMALL_STATE(5155)] = 208333,
  [SMALL_STATE(5156)] = 208385,
  [SMALL_STATE(5157)] = 208437,
  [SMALL_STATE(5158)] = 208489,
  [SMALL_STATE(5159)] = 208559,
  [SMALL_STATE(5160)] = 208611,
  [SMALL_STATE(5161)] = 208663,
  [SMALL_STATE(5162)] = 208715,
  [SMALL_STATE(5163)] = 208767,
  [SMALL_STATE(5164)] = 208819,
  [SMALL_STATE(5165)] = 208871,
  [SMALL_STATE(5166)] = 208923,
  [SMALL_STATE(5167)] = 208975,
  [SMALL_STATE(5168)] = 209027,
  [SMALL_STATE(5169)] = 209079,
  [SMALL_STATE(5170)] = 209131,
  [SMALL_STATE(5171)] = 209183,
  [SMALL_STATE(5172)] = 209235,
  [SMALL_STATE(5173)] = 209281,
  [SMALL_STATE(5174)] = 209333,
  [SMALL_STATE(5175)] = 209385,
  [SMALL_STATE(5176)] = 209437,
  [SMALL_STATE(5177)] = 209489,
  [SMALL_STATE(5178)] = 209548,
  [SMALL_STATE(5179)] = 209607,
  [SMALL_STATE(5180)] = 209666,
  [SMALL_STATE(5181)] = 209727,
  [SMALL_STATE(5182)] = 209786,
  [SMALL_STATE(5183)] = 209845,
  [SMALL_STATE(5184)] = 209904,
  [SMALL_STATE(5185)] = 209963,
  [SMALL_STATE(5186)] = 210022,
  [SMALL_STATE(5187)] = 210081,
  [SMALL_STATE(5188)] = 210140,
  [SMALL_STATE(5189)] = 210199,
  [SMALL_STATE(5190)] = 210258,
  [SMALL_STATE(5191)] = 210317,
  [SMALL_STATE(5192)] = 210376,
  [SMALL_STATE(5193)] = 210435,
  [SMALL_STATE(5194)] = 210496,
  [SMALL_STATE(5195)] = 210555,
  [SMALL_STATE(5196)] = 210614,
  [SMALL_STATE(5197)] = 210673,
  [SMALL_STATE(5198)] = 210732,
  [SMALL_STATE(5199)] = 210791,
  [SMALL_STATE(5200)] = 210850,
  [SMALL_STATE(5201)] = 210909,
  [SMALL_STATE(5202)] = 210968,
  [SMALL_STATE(5203)] = 211027,
  [SMALL_STATE(5204)] = 211086,
  [SMALL_STATE(5205)] = 211145,
  [SMALL_STATE(5206)] = 211204,
  [SMALL_STATE(5207)] = 211263,
  [SMALL_STATE(5208)] = 211324,
  [SMALL_STATE(5209)] = 211383,
  [SMALL_STATE(5210)] = 211442,
  [SMALL_STATE(5211)] = 211501,
  [SMALL_STATE(5212)] = 211560,
  [SMALL_STATE(5213)] = 211619,
  [SMALL_STATE(5214)] = 211678,
  [SMALL_STATE(5215)] = 211737,
  [SMALL_STATE(5216)] = 211796,
  [SMALL_STATE(5217)] = 211855,
  [SMALL_STATE(5218)] = 211914,
  [SMALL_STATE(5219)] = 211973,
  [SMALL_STATE(5220)] = 212032,
  [SMALL_STATE(5221)] = 212091,
  [SMALL_STATE(5222)] = 212152,
  [SMALL_STATE(5223)] = 212211,
  [SMALL_STATE(5224)] = 212270,
  [SMALL_STATE(5225)] = 212329,
  [SMALL_STATE(5226)] = 212388,
  [SMALL_STATE(5227)] = 212447,
  [SMALL_STATE(5228)] = 212506,
  [SMALL_STATE(5229)] = 212565,
  [SMALL_STATE(5230)] = 212624,
  [SMALL_STATE(5231)] = 212683,
  [SMALL_STATE(5232)] = 212742,
  [SMALL_STATE(5233)] = 212801,
  [SMALL_STATE(5234)] = 212860,
  [SMALL_STATE(5235)] = 212919,
  [SMALL_STATE(5236)] = 212978,
  [SMALL_STATE(5237)] = 213037,
  [SMALL_STATE(5238)] = 213096,
  [SMALL_STATE(5239)] = 213155,
  [SMALL_STATE(5240)] = 213214,
  [SMALL_STATE(5241)] = 213277,
  [SMALL_STATE(5242)] = 213336,
  [SMALL_STATE(5243)] = 213379,
  [SMALL_STATE(5244)] = 213438,
  [SMALL_STATE(5245)] = 213497,
  [SMALL_STATE(5246)] = 213556,
  [SMALL_STATE(5247)] = 213615,
  [SMALL_STATE(5248)] = 213674,
  [SMALL_STATE(5249)] = 213733,
  [SMALL_STATE(5250)] = 213792,
  [SMALL_STATE(5251)] = 213853,
  [SMALL_STATE(5252)] = 213912,
  [SMALL_STATE(5253)] = 213971,
  [SMALL_STATE(5254)] = 214030,
  [SMALL_STATE(5255)] = 214091,
  [SMALL_STATE(5256)] = 214152,
  [SMALL_STATE(5257)] = 214211,
  [SMALL_STATE(5258)] = 214254,
  [SMALL_STATE(5259)] = 214313,
  [SMALL_STATE(5260)] = 214372,
  [SMALL_STATE(5261)] = 214415,
  [SMALL_STATE(5262)] = 214474,
  [SMALL_STATE(5263)] = 214529,
  [SMALL_STATE(5264)] = 214588,
  [SMALL_STATE(5265)] = 214647,
  [SMALL_STATE(5266)] = 214706,
  [SMALL_STATE(5267)] = 214761,
  [SMALL_STATE(5268)] = 214820,
  [SMALL_STATE(5269)] = 214879,
  [SMALL_STATE(5270)] = 214938,
  [SMALL_STATE(5271)] = 214997,
  [SMALL_STATE(5272)] = 215056,
  [SMALL_STATE(5273)] = 215115,
  [SMALL_STATE(5274)] = 215152,
  [SMALL_STATE(5275)] = 215211,
  [SMALL_STATE(5276)] = 215270,
  [SMALL_STATE(5277)] = 215329,
  [SMALL_STATE(5278)] = 215388,
  [SMALL_STATE(5279)] = 215447,
  [SMALL_STATE(5280)] = 215484,
  [SMALL_STATE(5281)] = 215539,
  [SMALL_STATE(5282)] = 215572,
  [SMALL_STATE(5283)] = 215617,
  [SMALL_STATE(5284)] = 215676,
  [SMALL_STATE(5285)] = 215735,
  [SMALL_STATE(5286)] = 215775,
  [SMALL_STATE(5287)] = 215839,
  [SMALL_STATE(5288)] = 215879,
  [SMALL_STATE(5289)] = 215907,
  [SMALL_STATE(5290)] = 215935,
  [SMALL_STATE(5291)] = 215969,
  [SMALL_STATE(5292)] = 216005,
  [SMALL_STATE(5293)] = 216037,
  [SMALL_STATE(5294)] = 216077,
  [SMALL_STATE(5295)] = 216127,
  [SMALL_STATE(5296)] = 216163,
  [SMALL_STATE(5297)] = 216191,
  [SMALL_STATE(5298)] = 216231,
  [SMALL_STATE(5299)] = 216295,
  [SMALL_STATE(5300)] = 216345,
  [SMALL_STATE(5301)] = 216395,
  [SMALL_STATE(5302)] = 216443,
  [SMALL_STATE(5303)] = 216475,
  [SMALL_STATE(5304)] = 216503,
  [SMALL_STATE(5305)] = 216531,
  [SMALL_STATE(5306)] = 216595,
  [SMALL_STATE(5307)] = 216635,
  [SMALL_STATE(5308)] = 216675,
  [SMALL_STATE(5309)] = 216705,
  [SMALL_STATE(5310)] = 216737,
  [SMALL_STATE(5311)] = 216777,
  [SMALL_STATE(5312)] = 216805,
  [SMALL_STATE(5313)] = 216845,
  [SMALL_STATE(5314)] = 216875,
  [SMALL_STATE(5315)] = 216903,
  [SMALL_STATE(5316)] = 216931,
  [SMALL_STATE(5317)] = 216971,
  [SMALL_STATE(5318)] = 217011,
  [SMALL_STATE(5319)] = 217051,
  [SMALL_STATE(5320)] = 217091,
  [SMALL_STATE(5321)] = 217131,
  [SMALL_STATE(5322)] = 217159,
  [SMALL_STATE(5323)] = 217187,
  [SMALL_STATE(5324)] = 217227,
  [SMALL_STATE(5325)] = 217267,
  [SMALL_STATE(5326)] = 217307,
  [SMALL_STATE(5327)] = 217347,
  [SMALL_STATE(5328)] = 217375,
  [SMALL_STATE(5329)] = 217415,
  [SMALL_STATE(5330)] = 217465,
  [SMALL_STATE(5331)] = 217495,
  [SMALL_STATE(5332)] = 217539,
  [SMALL_STATE(5333)] = 217603,
  [SMALL_STATE(5334)] = 217643,
  [SMALL_STATE(5335)] = 217683,
  [SMALL_STATE(5336)] = 217711,
  [SMALL_STATE(5337)] = 217747,
  [SMALL_STATE(5338)] = 217779,
  [SMALL_STATE(5339)] = 217831,
  [SMALL_STATE(5340)] = 217871,
  [SMALL_STATE(5341)] = 217921,
  [SMALL_STATE(5342)] = 217949,
  [SMALL_STATE(5343)] = 217989,
  [SMALL_STATE(5344)] = 218053,
  [SMALL_STATE(5345)] = 218103,
  [SMALL_STATE(5346)] = 218135,
  [SMALL_STATE(5347)] = 218175,
  [SMALL_STATE(5348)] = 218215,
  [SMALL_STATE(5349)] = 218255,
  [SMALL_STATE(5350)] = 218295,
  [SMALL_STATE(5351)] = 218331,
  [SMALL_STATE(5352)] = 218371,
  [SMALL_STATE(5353)] = 218411,
  [SMALL_STATE(5354)] = 218447,
  [SMALL_STATE(5355)] = 218487,
  [SMALL_STATE(5356)] = 218523,
  [SMALL_STATE(5357)] = 218559,
  [SMALL_STATE(5358)] = 218599,
  [SMALL_STATE(5359)] = 218635,
  [SMALL_STATE(5360)] = 218675,
  [SMALL_STATE(5361)] = 218715,
  [SMALL_STATE(5362)] = 218755,
  [SMALL_STATE(5363)] = 218795,
  [SMALL_STATE(5364)] = 218845,
  [SMALL_STATE(5365)] = 218885,
  [SMALL_STATE(5366)] = 218935,
  [SMALL_STATE(5367)] = 218985,
  [SMALL_STATE(5368)] = 219049,
  [SMALL_STATE(5369)] = 219099,
  [SMALL_STATE(5370)] = 219127,
  [SMALL_STATE(5371)] = 219155,
  [SMALL_STATE(5372)] = 219205,
  [SMALL_STATE(5373)] = 219233,
  [SMALL_STATE(5374)] = 219269,
  [SMALL_STATE(5375)] = 219297,
  [SMALL_STATE(5376)] = 219343,
  [SMALL_STATE(5377)] = 219371,
  [SMALL_STATE(5378)] = 219399,
  [SMALL_STATE(5379)] = 219449,
  [SMALL_STATE(5380)] = 219477,
  [SMALL_STATE(5381)] = 219527,
  [SMALL_STATE(5382)] = 219591,
  [SMALL_STATE(5383)] = 219631,
  [SMALL_STATE(5384)] = 219683,
  [SMALL_STATE(5385)] = 219719,
  [SMALL_STATE(5386)] = 219769,
  [SMALL_STATE(5387)] = 219815,
  [SMALL_STATE(5388)] = 219851,
  [SMALL_STATE(5389)] = 219901,
  [SMALL_STATE(5390)] = 219951,
  [SMALL_STATE(5391)] = 220001,
  [SMALL_STATE(5392)] = 220029,
  [SMALL_STATE(5393)] = 220079,
  [SMALL_STATE(5394)] = 220143,
  [SMALL_STATE(5395)] = 220193,
  [SMALL_STATE(5396)] = 220229,
  [SMALL_STATE(5397)] = 220257,
  [SMALL_STATE(5398)] = 220297,
  [SMALL_STATE(5399)] = 220341,
  [SMALL_STATE(5400)] = 220369,
  [SMALL_STATE(5401)] = 220397,
  [SMALL_STATE(5402)] = 220437,
  [SMALL_STATE(5403)] = 220477,
  [SMALL_STATE(5404)] = 220505,
  [SMALL_STATE(5405)] = 220547,
  [SMALL_STATE(5406)] = 220611,
  [SMALL_STATE(5407)] = 220643,
  [SMALL_STATE(5408)] = 220679,
  [SMALL_STATE(5409)] = 220715,
  [SMALL_STATE(5410)] = 220751,
  [SMALL_STATE(5411)] = 220787,
  [SMALL_STATE(5412)] = 220823,
  [SMALL_STATE(5413)] = 220859,
  [SMALL_STATE(5414)] = 220887,
  [SMALL_STATE(5415)] = 220915,
  [SMALL_STATE(5416)] = 220955,
  [SMALL_STATE(5417)] = 221019,
  [SMALL_STATE(5418)] = 221047,
  [SMALL_STATE(5419)] = 221083,
  [SMALL_STATE(5420)] = 221115,
  [SMALL_STATE(5421)] = 221155,
  [SMALL_STATE(5422)] = 221195,
  [SMALL_STATE(5423)] = 221259,
  [SMALL_STATE(5424)] = 221299,
  [SMALL_STATE(5425)] = 221363,
  [SMALL_STATE(5426)] = 221427,
  [SMALL_STATE(5427)] = 221463,
  [SMALL_STATE(5428)] = 221527,
  [SMALL_STATE(5429)] = 221555,
  [SMALL_STATE(5430)] = 221595,
  [SMALL_STATE(5431)] = 221623,
  [SMALL_STATE(5432)] = 221663,
  [SMALL_STATE(5433)] = 221703,
  [SMALL_STATE(5434)] = 221731,
  [SMALL_STATE(5435)] = 221771,
  [SMALL_STATE(5436)] = 221811,
  [SMALL_STATE(5437)] = 221851,
  [SMALL_STATE(5438)] = 221883,
  [SMALL_STATE(5439)] = 221923,
  [SMALL_STATE(5440)] = 221975,
  [SMALL_STATE(5441)] = 222003,
  [SMALL_STATE(5442)] = 222043,
  [SMALL_STATE(5443)] = 222083,
  [SMALL_STATE(5444)] = 222119,
  [SMALL_STATE(5445)] = 222159,
  [SMALL_STATE(5446)] = 222199,
  [SMALL_STATE(5447)] = 222239,
  [SMALL_STATE(5448)] = 222279,
  [SMALL_STATE(5449)] = 222306,
  [SMALL_STATE(5450)] = 222351,
  [SMALL_STATE(5451)] = 222398,
  [SMALL_STATE(5452)] = 222425,
  [SMALL_STATE(5453)] = 222482,
  [SMALL_STATE(5454)] = 222509,
  [SMALL_STATE(5455)] = 222552,
  [SMALL_STATE(5456)] = 222597,
  [SMALL_STATE(5457)] = 222642,
  [SMALL_STATE(5458)] = 222699,
  [SMALL_STATE(5459)] = 222746,
  [SMALL_STATE(5460)] = 222795,
  [SMALL_STATE(5461)] = 222842,
  [SMALL_STATE(5462)] = 222887,
  [SMALL_STATE(5463)] = 222934,
  [SMALL_STATE(5464)] = 222961,
  [SMALL_STATE(5465)] = 223016,
  [SMALL_STATE(5466)] = 223073,
  [SMALL_STATE(5467)] = 223118,
  [SMALL_STATE(5468)] = 223145,
  [SMALL_STATE(5469)] = 223192,
  [SMALL_STATE(5470)] = 223237,
  [SMALL_STATE(5471)] = 223284,
  [SMALL_STATE(5472)] = 223315,
  [SMALL_STATE(5473)] = 223342,
  [SMALL_STATE(5474)] = 223399,
  [SMALL_STATE(5475)] = 223444,
  [SMALL_STATE(5476)] = 223501,
  [SMALL_STATE(5477)] = 223546,
  [SMALL_STATE(5478)] = 223573,
  [SMALL_STATE(5479)] = 223602,
  [SMALL_STATE(5480)] = 223647,
  [SMALL_STATE(5481)] = 223692,
  [SMALL_STATE(5482)] = 223739,
  [SMALL_STATE(5483)] = 223788,
  [SMALL_STATE(5484)] = 223833,
  [SMALL_STATE(5485)] = 223860,
  [SMALL_STATE(5486)] = 223891,
  [SMALL_STATE(5487)] = 223934,
  [SMALL_STATE(5488)] = 223975,
  [SMALL_STATE(5489)] = 224032,
  [SMALL_STATE(5490)] = 224071,
  [SMALL_STATE(5491)] = 224108,
  [SMALL_STATE(5492)] = 224143,
  [SMALL_STATE(5493)] = 224176,
  [SMALL_STATE(5494)] = 224207,
  [SMALL_STATE(5495)] = 224252,
  [SMALL_STATE(5496)] = 224299,
  [SMALL_STATE(5497)] = 224326,
  [SMALL_STATE(5498)] = 224365,
  [SMALL_STATE(5499)] = 224396,
  [SMALL_STATE(5500)] = 224443,
  [SMALL_STATE(5501)] = 224488,
  [SMALL_STATE(5502)] = 224527,
  [SMALL_STATE(5503)] = 224574,
  [SMALL_STATE(5504)] = 224613,
  [SMALL_STATE(5505)] = 224660,
  [SMALL_STATE(5506)] = 224699,
  [SMALL_STATE(5507)] = 224744,
  [SMALL_STATE(5508)] = 224789,
  [SMALL_STATE(5509)] = 224836,
  [SMALL_STATE(5510)] = 224875,
  [SMALL_STATE(5511)] = 224906,
  [SMALL_STATE(5512)] = 224945,
  [SMALL_STATE(5513)] = 224984,
  [SMALL_STATE(5514)] = 225023,
  [SMALL_STATE(5515)] = 225050,
  [SMALL_STATE(5516)] = 225086,
  [SMALL_STATE(5517)] = 225122,
  [SMALL_STATE(5518)] = 225174,
  [SMALL_STATE(5519)] = 225226,
  [SMALL_STATE(5520)] = 225252,
  [SMALL_STATE(5521)] = 225278,
  [SMALL_STATE(5522)] = 225304,
  [SMALL_STATE(5523)] = 225330,
  [SMALL_STATE(5524)] = 225372,
  [SMALL_STATE(5525)] = 225408,
  [SMALL_STATE(5526)] = 225434,
  [SMALL_STATE(5527)] = 225460,
  [SMALL_STATE(5528)] = 225486,
  [SMALL_STATE(5529)] = 225522,
  [SMALL_STATE(5530)] = 225548,
  [SMALL_STATE(5531)] = 225596,
  [SMALL_STATE(5532)] = 225648,
  [SMALL_STATE(5533)] = 225702,
  [SMALL_STATE(5534)] = 225738,
  [SMALL_STATE(5535)] = 225764,
  [SMALL_STATE(5536)] = 225790,
  [SMALL_STATE(5537)] = 225816,
  [SMALL_STATE(5538)] = 225864,
  [SMALL_STATE(5539)] = 225890,
  [SMALL_STATE(5540)] = 225938,
  [SMALL_STATE(5541)] = 225964,
  [SMALL_STATE(5542)] = 226016,
  [SMALL_STATE(5543)] = 226042,
  [SMALL_STATE(5544)] = 226068,
  [SMALL_STATE(5545)] = 226094,
  [SMALL_STATE(5546)] = 226120,
  [SMALL_STATE(5547)] = 226172,
  [SMALL_STATE(5548)] = 226198,
  [SMALL_STATE(5549)] = 226224,
  [SMALL_STATE(5550)] = 226260,
  [SMALL_STATE(5551)] = 226296,
  [SMALL_STATE(5552)] = 226332,
  [SMALL_STATE(5553)] = 226358,
  [SMALL_STATE(5554)] = 226384,
  [SMALL_STATE(5555)] = 226432,
  [SMALL_STATE(5556)] = 226481,
  [SMALL_STATE(5557)] = 226518,
  [SMALL_STATE(5558)] = 226555,
  [SMALL_STATE(5559)] = 226604,
  [SMALL_STATE(5560)] = 226645,
  [SMALL_STATE(5561)] = 226694,
  [SMALL_STATE(5562)] = 226719,
  [SMALL_STATE(5563)] = 226768,
  [SMALL_STATE(5564)] = 226817,
  [SMALL_STATE(5565)] = 226866,
  [SMALL_STATE(5566)] = 226915,
  [SMALL_STATE(5567)] = 226942,
  [SMALL_STATE(5568)] = 226991,
  [SMALL_STATE(5569)] = 227028,
  [SMALL_STATE(5570)] = 227059,
  [SMALL_STATE(5571)] = 227108,
  [SMALL_STATE(5572)] = 227141,
  [SMALL_STATE(5573)] = 227178,
  [SMALL_STATE(5574)] = 227215,
  [SMALL_STATE(5575)] = 227252,
  [SMALL_STATE(5576)] = 227289,
  [SMALL_STATE(5577)] = 227326,
  [SMALL_STATE(5578)] = 227363,
  [SMALL_STATE(5579)] = 227394,
  [SMALL_STATE(5580)] = 227443,
  [SMALL_STATE(5581)] = 227474,
  [SMALL_STATE(5582)] = 227511,
  [SMALL_STATE(5583)] = 227548,
  [SMALL_STATE(5584)] = 227597,
  [SMALL_STATE(5585)] = 227634,
  [SMALL_STATE(5586)] = 227671,
  [SMALL_STATE(5587)] = 227708,
  [SMALL_STATE(5588)] = 227757,
  [SMALL_STATE(5589)] = 227788,
  [SMALL_STATE(5590)] = 227829,
  [SMALL_STATE(5591)] = 227866,
  [SMALL_STATE(5592)] = 227897,
  [SMALL_STATE(5593)] = 227940,
  [SMALL_STATE(5594)] = 227989,
  [SMALL_STATE(5595)] = 228038,
  [SMALL_STATE(5596)] = 228069,
  [SMALL_STATE(5597)] = 228118,
  [SMALL_STATE(5598)] = 228167,
  [SMALL_STATE(5599)] = 228216,
  [SMALL_STATE(5600)] = 228263,
  [SMALL_STATE(5601)] = 228312,
  [SMALL_STATE(5602)] = 228343,
  [SMALL_STATE(5603)] = 228386,
  [SMALL_STATE(5604)] = 228435,
  [SMALL_STATE(5605)] = 228478,
  [SMALL_STATE(5606)] = 228521,
  [SMALL_STATE(5607)] = 228558,
  [SMALL_STATE(5608)] = 228583,
  [SMALL_STATE(5609)] = 228632,
  [SMALL_STATE(5610)] = 228654,
  [SMALL_STATE(5611)] = 228686,
  [SMALL_STATE(5612)] = 228720,
  [SMALL_STATE(5613)] = 228752,
  [SMALL_STATE(5614)] = 228784,
  [SMALL_STATE(5615)] = 228816,
  [SMALL_STATE(5616)] = 228842,
  [SMALL_STATE(5617)] = 228872,
  [SMALL_STATE(5618)] = 228912,
  [SMALL_STATE(5619)] = 228952,
  [SMALL_STATE(5620)] = 228988,
  [SMALL_STATE(5621)] = 229024,
  [SMALL_STATE(5622)] = 229060,
  [SMALL_STATE(5623)] = 229092,
  [SMALL_STATE(5624)] = 229126,
  [SMALL_STATE(5625)] = 229162,
  [SMALL_STATE(5626)] = 229192,
  [SMALL_STATE(5627)] = 229222,
  [SMALL_STATE(5628)] = 229262,
  [SMALL_STATE(5629)] = 229292,
  [SMALL_STATE(5630)] = 229328,
  [SMALL_STATE(5631)] = 229368,
  [SMALL_STATE(5632)] = 229400,
  [SMALL_STATE(5633)] = 229430,
  [SMALL_STATE(5634)] = 229464,
  [SMALL_STATE(5635)] = 229504,
  [SMALL_STATE(5636)] = 229544,
  [SMALL_STATE(5637)] = 229586,
  [SMALL_STATE(5638)] = 229616,
  [SMALL_STATE(5639)] = 229656,
  [SMALL_STATE(5640)] = 229678,
  [SMALL_STATE(5641)] = 229704,
  [SMALL_STATE(5642)] = 229726,
  [SMALL_STATE(5643)] = 229760,
  [SMALL_STATE(5644)] = 229796,
  [SMALL_STATE(5645)] = 229820,
  [SMALL_STATE(5646)] = 229860,
  [SMALL_STATE(5647)] = 229884,
  [SMALL_STATE(5648)] = 229906,
  [SMALL_STATE(5649)] = 229928,
  [SMALL_STATE(5650)] = 229950,
  [SMALL_STATE(5651)] = 229990,
  [SMALL_STATE(5652)] = 230030,
  [SMALL_STATE(5653)] = 230062,
  [SMALL_STATE(5654)] = 230102,
  [SMALL_STATE(5655)] = 230124,
  [SMALL_STATE(5656)] = 230156,
  [SMALL_STATE(5657)] = 230178,
  [SMALL_STATE(5658)] = 230200,
  [SMALL_STATE(5659)] = 230222,
  [SMALL_STATE(5660)] = 230252,
  [SMALL_STATE(5661)] = 230292,
  [SMALL_STATE(5662)] = 230328,
  [SMALL_STATE(5663)] = 230360,
  [SMALL_STATE(5664)] = 230390,
  [SMALL_STATE(5665)] = 230422,
  [SMALL_STATE(5666)] = 230446,
  [SMALL_STATE(5667)] = 230478,
  [SMALL_STATE(5668)] = 230506,
  [SMALL_STATE(5669)] = 230538,
  [SMALL_STATE(5670)] = 230568,
  [SMALL_STATE(5671)] = 230608,
  [SMALL_STATE(5672)] = 230638,
  [SMALL_STATE(5673)] = 230660,
  [SMALL_STATE(5674)] = 230682,
  [SMALL_STATE(5675)] = 230714,
  [SMALL_STATE(5676)] = 230736,
  [SMALL_STATE(5677)] = 230776,
  [SMALL_STATE(5678)] = 230816,
  [SMALL_STATE(5679)] = 230838,
  [SMALL_STATE(5680)] = 230860,
  [SMALL_STATE(5681)] = 230888,
  [SMALL_STATE(5682)] = 230928,
  [SMALL_STATE(5683)] = 230964,
  [SMALL_STATE(5684)] = 231004,
  [SMALL_STATE(5685)] = 231044,
  [SMALL_STATE(5686)] = 231084,
  [SMALL_STATE(5687)] = 231124,
  [SMALL_STATE(5688)] = 231156,
  [SMALL_STATE(5689)] = 231182,
  [SMALL_STATE(5690)] = 231214,
  [SMALL_STATE(5691)] = 231236,
  [SMALL_STATE(5692)] = 231258,
  [SMALL_STATE(5693)] = 231290,
  [SMALL_STATE(5694)] = 231320,
  [SMALL_STATE(5695)] = 231354,
  [SMALL_STATE(5696)] = 231389,
  [SMALL_STATE(5697)] = 231418,
  [SMALL_STATE(5698)] = 231447,
  [SMALL_STATE(5699)] = 231476,
  [SMALL_STATE(5700)] = 231503,
  [SMALL_STATE(5701)] = 231532,
  [SMALL_STATE(5702)] = 231561,
  [SMALL_STATE(5703)] = 231596,
  [SMALL_STATE(5704)] = 231631,
  [SMALL_STATE(5705)] = 231664,
  [SMALL_STATE(5706)] = 231707,
  [SMALL_STATE(5707)] = 231750,
  [SMALL_STATE(5708)] = 231789,
  [SMALL_STATE(5709)] = 231816,
  [SMALL_STATE(5710)] = 231855,
  [SMALL_STATE(5711)] = 231890,
  [SMALL_STATE(5712)] = 231923,
  [SMALL_STATE(5713)] = 231952,
  [SMALL_STATE(5714)] = 231995,
  [SMALL_STATE(5715)] = 232038,
  [SMALL_STATE(5716)] = 232067,
  [SMALL_STATE(5717)] = 232102,
  [SMALL_STATE(5718)] = 232135,
  [SMALL_STATE(5719)] = 232174,
  [SMALL_STATE(5720)] = 232217,
  [SMALL_STATE(5721)] = 232250,
  [SMALL_STATE(5722)] = 232279,
  [SMALL_STATE(5723)] = 232308,
  [SMALL_STATE(5724)] = 232343,
  [SMALL_STATE(5725)] = 232372,
  [SMALL_STATE(5726)] = 232415,
  [SMALL_STATE(5727)] = 232458,
  [SMALL_STATE(5728)] = 232487,
  [SMALL_STATE(5729)] = 232516,
  [SMALL_STATE(5730)] = 232551,
  [SMALL_STATE(5731)] = 232578,
  [SMALL_STATE(5732)] = 232617,
  [SMALL_STATE(5733)] = 232646,
  [SMALL_STATE(5734)] = 232675,
  [SMALL_STATE(5735)] = 232704,
  [SMALL_STATE(5736)] = 232747,
  [SMALL_STATE(5737)] = 232776,
  [SMALL_STATE(5738)] = 232811,
  [SMALL_STATE(5739)] = 232844,
  [SMALL_STATE(5740)] = 232869,
  [SMALL_STATE(5741)] = 232912,
  [SMALL_STATE(5742)] = 232951,
  [SMALL_STATE(5743)] = 232994,
  [SMALL_STATE(5744)] = 233033,
  [SMALL_STATE(5745)] = 233062,
  [SMALL_STATE(5746)] = 233097,
  [SMALL_STATE(5747)] = 233130,
  [SMALL_STATE(5748)] = 233169,
  [SMALL_STATE(5749)] = 233202,
  [SMALL_STATE(5750)] = 233237,
  [SMALL_STATE(5751)] = 233270,
  [SMALL_STATE(5752)] = 233299,
  [SMALL_STATE(5753)] = 233328,
  [SMALL_STATE(5754)] = 233357,
  [SMALL_STATE(5755)] = 233386,
  [SMALL_STATE(5756)] = 233415,
  [SMALL_STATE(5757)] = 233444,
  [SMALL_STATE(5758)] = 233473,
  [SMALL_STATE(5759)] = 233502,
  [SMALL_STATE(5760)] = 233541,
  [SMALL_STATE(5761)] = 233570,
  [SMALL_STATE(5762)] = 233599,
  [SMALL_STATE(5763)] = 233628,
  [SMALL_STATE(5764)] = 233657,
  [SMALL_STATE(5765)] = 233686,
  [SMALL_STATE(5766)] = 233729,
  [SMALL_STATE(5767)] = 233767,
  [SMALL_STATE(5768)] = 233797,
  [SMALL_STATE(5769)] = 233829,
  [SMALL_STATE(5770)] = 233861,
  [SMALL_STATE(5771)] = 233893,
  [SMALL_STATE(5772)] = 233925,
  [SMALL_STATE(5773)] = 233957,
  [SMALL_STATE(5774)] = 233989,
  [SMALL_STATE(5775)] = 234009,
  [SMALL_STATE(5776)] = 234041,
  [SMALL_STATE(5777)] = 234079,
  [SMALL_STATE(5778)] = 234099,
  [SMALL_STATE(5779)] = 234127,
  [SMALL_STATE(5780)] = 234159,
  [SMALL_STATE(5781)] = 234191,
  [SMALL_STATE(5782)] = 234223,
  [SMALL_STATE(5783)] = 234255,
  [SMALL_STATE(5784)] = 234275,
  [SMALL_STATE(5785)] = 234313,
  [SMALL_STATE(5786)] = 234351,
  [SMALL_STATE(5787)] = 234379,
  [SMALL_STATE(5788)] = 234419,
  [SMALL_STATE(5789)] = 234439,
  [SMALL_STATE(5790)] = 234471,
  [SMALL_STATE(5791)] = 234511,
  [SMALL_STATE(5792)] = 234533,
  [SMALL_STATE(5793)] = 234553,
  [SMALL_STATE(5794)] = 234591,
  [SMALL_STATE(5795)] = 234623,
  [SMALL_STATE(5796)] = 234645,
  [SMALL_STATE(5797)] = 234667,
  [SMALL_STATE(5798)] = 234689,
  [SMALL_STATE(5799)] = 234709,
  [SMALL_STATE(5800)] = 234731,
  [SMALL_STATE(5801)] = 234751,
  [SMALL_STATE(5802)] = 234789,
  [SMALL_STATE(5803)] = 234827,
  [SMALL_STATE(5804)] = 234855,
  [SMALL_STATE(5805)] = 234893,
  [SMALL_STATE(5806)] = 234913,
  [SMALL_STATE(5807)] = 234951,
  [SMALL_STATE(5808)] = 234979,
  [SMALL_STATE(5809)] = 235017,
  [SMALL_STATE(5810)] = 235057,
  [SMALL_STATE(5811)] = 235089,
  [SMALL_STATE(5812)] = 235121,
  [SMALL_STATE(5813)] = 235143,
  [SMALL_STATE(5814)] = 235171,
  [SMALL_STATE(5815)] = 235193,
  [SMALL_STATE(5816)] = 235231,
  [SMALL_STATE(5817)] = 235251,
  [SMALL_STATE(5818)] = 235289,
  [SMALL_STATE(5819)] = 235317,
  [SMALL_STATE(5820)] = 235349,
  [SMALL_STATE(5821)] = 235371,
  [SMALL_STATE(5822)] = 235403,
  [SMALL_STATE(5823)] = 235441,
  [SMALL_STATE(5824)] = 235473,
  [SMALL_STATE(5825)] = 235513,
  [SMALL_STATE(5826)] = 235553,
  [SMALL_STATE(5827)] = 235583,
  [SMALL_STATE(5828)] = 235605,
  [SMALL_STATE(5829)] = 235627,
  [SMALL_STATE(5830)] = 235655,
  [SMALL_STATE(5831)] = 235677,
  [SMALL_STATE(5832)] = 235705,
  [SMALL_STATE(5833)] = 235727,
  [SMALL_STATE(5834)] = 235765,
  [SMALL_STATE(5835)] = 235787,
  [SMALL_STATE(5836)] = 235809,
  [SMALL_STATE(5837)] = 235847,
  [SMALL_STATE(5838)] = 235877,
  [SMALL_STATE(5839)] = 235897,
  [SMALL_STATE(5840)] = 235925,
  [SMALL_STATE(5841)] = 235953,
  [SMALL_STATE(5842)] = 235991,
  [SMALL_STATE(5843)] = 236031,
  [SMALL_STATE(5844)] = 236059,
  [SMALL_STATE(5845)] = 236089,
  [SMALL_STATE(5846)] = 236117,
  [SMALL_STATE(5847)] = 236139,
  [SMALL_STATE(5848)] = 236167,
  [SMALL_STATE(5849)] = 236195,
  [SMALL_STATE(5850)] = 236225,
  [SMALL_STATE(5851)] = 236255,
  [SMALL_STATE(5852)] = 236295,
  [SMALL_STATE(5853)] = 236325,
  [SMALL_STATE(5854)] = 236351,
  [SMALL_STATE(5855)] = 236371,
  [SMALL_STATE(5856)] = 236393,
  [SMALL_STATE(5857)] = 236413,
  [SMALL_STATE(5858)] = 236433,
  [SMALL_STATE(5859)] = 236473,
  [SMALL_STATE(5860)] = 236497,
  [SMALL_STATE(5861)] = 236517,
  [SMALL_STATE(5862)] = 236557,
  [SMALL_STATE(5863)] = 236577,
  [SMALL_STATE(5864)] = 236605,
  [SMALL_STATE(5865)] = 236627,
  [SMALL_STATE(5866)] = 236649,
  [SMALL_STATE(5867)] = 236669,
  [SMALL_STATE(5868)] = 236709,
  [SMALL_STATE(5869)] = 236731,
  [SMALL_STATE(5870)] = 236753,
  [SMALL_STATE(5871)] = 236793,
  [SMALL_STATE(5872)] = 236833,
  [SMALL_STATE(5873)] = 236853,
  [SMALL_STATE(5874)] = 236893,
  [SMALL_STATE(5875)] = 236931,
  [SMALL_STATE(5876)] = 236953,
  [SMALL_STATE(5877)] = 236975,
  [SMALL_STATE(5878)] = 236997,
  [SMALL_STATE(5879)] = 237019,
  [SMALL_STATE(5880)] = 237047,
  [SMALL_STATE(5881)] = 237069,
  [SMALL_STATE(5882)] = 237091,
  [SMALL_STATE(5883)] = 237131,
  [SMALL_STATE(5884)] = 237171,
  [SMALL_STATE(5885)] = 237211,
  [SMALL_STATE(5886)] = 237241,
  [SMALL_STATE(5887)] = 237281,
  [SMALL_STATE(5888)] = 237301,
  [SMALL_STATE(5889)] = 237323,
  [SMALL_STATE(5890)] = 237351,
  [SMALL_STATE(5891)] = 237373,
  [SMALL_STATE(5892)] = 237393,
  [SMALL_STATE(5893)] = 237415,
  [SMALL_STATE(5894)] = 237435,
  [SMALL_STATE(5895)] = 237455,
  [SMALL_STATE(5896)] = 237495,
  [SMALL_STATE(5897)] = 237523,
  [SMALL_STATE(5898)] = 237561,
  [SMALL_STATE(5899)] = 237601,
  [SMALL_STATE(5900)] = 237639,
  [SMALL_STATE(5901)] = 237661,
  [SMALL_STATE(5902)] = 237691,
  [SMALL_STATE(5903)] = 237713,
  [SMALL_STATE(5904)] = 237735,
  [SMALL_STATE(5905)] = 237765,
  [SMALL_STATE(5906)] = 237787,
  [SMALL_STATE(5907)] = 237811,
  [SMALL_STATE(5908)] = 237833,
  [SMALL_STATE(5909)] = 237872,
  [SMALL_STATE(5910)] = 237899,
  [SMALL_STATE(5911)] = 237926,
  [SMALL_STATE(5912)] = 237953,
  [SMALL_STATE(5913)] = 237988,
  [SMALL_STATE(5914)] = 238021,
  [SMALL_STATE(5915)] = 238056,
  [SMALL_STATE(5916)] = 238083,
  [SMALL_STATE(5917)] = 238116,
  [SMALL_STATE(5918)] = 238151,
  [SMALL_STATE(5919)] = 238186,
  [SMALL_STATE(5920)] = 238213,
  [SMALL_STATE(5921)] = 238240,
  [SMALL_STATE(5922)] = 238275,
  [SMALL_STATE(5923)] = 238300,
  [SMALL_STATE(5924)] = 238335,
  [SMALL_STATE(5925)] = 238370,
  [SMALL_STATE(5926)] = 238397,
  [SMALL_STATE(5927)] = 238430,
  [SMALL_STATE(5928)] = 238457,
  [SMALL_STATE(5929)] = 238490,
  [SMALL_STATE(5930)] = 238523,
  [SMALL_STATE(5931)] = 238558,
  [SMALL_STATE(5932)] = 238591,
  [SMALL_STATE(5933)] = 238624,
  [SMALL_STATE(5934)] = 238663,
  [SMALL_STATE(5935)] = 238698,
  [SMALL_STATE(5936)] = 238737,
  [SMALL_STATE(5937)] = 238764,
  [SMALL_STATE(5938)] = 238799,
  [SMALL_STATE(5939)] = 238832,
  [SMALL_STATE(5940)] = 238859,
  [SMALL_STATE(5941)] = 238898,
  [SMALL_STATE(5942)] = 238923,
  [SMALL_STATE(5943)] = 238956,
  [SMALL_STATE(5944)] = 238989,
  [SMALL_STATE(5945)] = 239022,
  [SMALL_STATE(5946)] = 239057,
  [SMALL_STATE(5947)] = 239090,
  [SMALL_STATE(5948)] = 239123,
  [SMALL_STATE(5949)] = 239156,
  [SMALL_STATE(5950)] = 239189,
  [SMALL_STATE(5951)] = 239216,
  [SMALL_STATE(5952)] = 239249,
  [SMALL_STATE(5953)] = 239276,
  [SMALL_STATE(5954)] = 239303,
  [SMALL_STATE(5955)] = 239330,
  [SMALL_STATE(5956)] = 239363,
  [SMALL_STATE(5957)] = 239396,
  [SMALL_STATE(5958)] = 239429,
  [SMALL_STATE(5959)] = 239462,
  [SMALL_STATE(5960)] = 239499,
  [SMALL_STATE(5961)] = 239536,
  [SMALL_STATE(5962)] = 239563,
  [SMALL_STATE(5963)] = 239590,
  [SMALL_STATE(5964)] = 239623,
  [SMALL_STATE(5965)] = 239656,
  [SMALL_STATE(5966)] = 239689,
  [SMALL_STATE(5967)] = 239722,
  [SMALL_STATE(5968)] = 239755,
  [SMALL_STATE(5969)] = 239788,
  [SMALL_STATE(5970)] = 239821,
  [SMALL_STATE(5971)] = 239854,
  [SMALL_STATE(5972)] = 239893,
  [SMALL_STATE(5973)] = 239929,
  [SMALL_STATE(5974)] = 239955,
  [SMALL_STATE(5975)] = 239991,
  [SMALL_STATE(5976)] = 240021,
  [SMALL_STATE(5977)] = 240047,
  [SMALL_STATE(5978)] = 240083,
  [SMALL_STATE(5979)] = 240113,
  [SMALL_STATE(5980)] = 240139,
  [SMALL_STATE(5981)] = 240175,
  [SMALL_STATE(5982)] = 240205,
  [SMALL_STATE(5983)] = 240231,
  [SMALL_STATE(5984)] = 240257,
  [SMALL_STATE(5985)] = 240287,
  [SMALL_STATE(5986)] = 240323,
  [SMALL_STATE(5987)] = 240349,
  [SMALL_STATE(5988)] = 240375,
  [SMALL_STATE(5989)] = 240411,
  [SMALL_STATE(5990)] = 240439,
  [SMALL_STATE(5991)] = 240475,
  [SMALL_STATE(5992)] = 240495,
  [SMALL_STATE(5993)] = 240521,
  [SMALL_STATE(5994)] = 240549,
  [SMALL_STATE(5995)] = 240579,
  [SMALL_STATE(5996)] = 240615,
  [SMALL_STATE(5997)] = 240645,
  [SMALL_STATE(5998)] = 240675,
  [SMALL_STATE(5999)] = 240701,
  [SMALL_STATE(6000)] = 240727,
  [SMALL_STATE(6001)] = 240763,
  [SMALL_STATE(6002)] = 240789,
  [SMALL_STATE(6003)] = 240825,
  [SMALL_STATE(6004)] = 240855,
  [SMALL_STATE(6005)] = 240881,
  [SMALL_STATE(6006)] = 240909,
  [SMALL_STATE(6007)] = 240939,
  [SMALL_STATE(6008)] = 240963,
  [SMALL_STATE(6009)] = 240999,
  [SMALL_STATE(6010)] = 241029,
  [SMALL_STATE(6011)] = 241051,
  [SMALL_STATE(6012)] = 241077,
  [SMALL_STATE(6013)] = 241101,
  [SMALL_STATE(6014)] = 241137,
  [SMALL_STATE(6015)] = 241165,
  [SMALL_STATE(6016)] = 241195,
  [SMALL_STATE(6017)] = 241231,
  [SMALL_STATE(6018)] = 241257,
  [SMALL_STATE(6019)] = 241293,
  [SMALL_STATE(6020)] = 241313,
  [SMALL_STATE(6021)] = 241343,
  [SMALL_STATE(6022)] = 241373,
  [SMALL_STATE(6023)] = 241409,
  [SMALL_STATE(6024)] = 241437,
  [SMALL_STATE(6025)] = 241473,
  [SMALL_STATE(6026)] = 241499,
  [SMALL_STATE(6027)] = 241535,
  [SMALL_STATE(6028)] = 241561,
  [SMALL_STATE(6029)] = 241583,
  [SMALL_STATE(6030)] = 241619,
  [SMALL_STATE(6031)] = 241655,
  [SMALL_STATE(6032)] = 241679,
  [SMALL_STATE(6033)] = 241705,
  [SMALL_STATE(6034)] = 241731,
  [SMALL_STATE(6035)] = 241756,
  [SMALL_STATE(6036)] = 241787,
  [SMALL_STATE(6037)] = 241818,
  [SMALL_STATE(6038)] = 241847,
  [SMALL_STATE(6039)] = 241882,
  [SMALL_STATE(6040)] = 241917,
  [SMALL_STATE(6041)] = 241944,
  [SMALL_STATE(6042)] = 241979,
  [SMALL_STATE(6043)] = 242010,
  [SMALL_STATE(6044)] = 242039,
  [SMALL_STATE(6045)] = 242064,
  [SMALL_STATE(6046)] = 242089,
  [SMALL_STATE(6047)] = 242120,
  [SMALL_STATE(6048)] = 242151,
  [SMALL_STATE(6049)] = 242170,
  [SMALL_STATE(6050)] = 242199,
  [SMALL_STATE(6051)] = 242218,
  [SMALL_STATE(6052)] = 242249,
  [SMALL_STATE(6053)] = 242274,
  [SMALL_STATE(6054)] = 242301,
  [SMALL_STATE(6055)] = 242320,
  [SMALL_STATE(6056)] = 242347,
  [SMALL_STATE(6057)] = 242374,
  [SMALL_STATE(6058)] = 242409,
  [SMALL_STATE(6059)] = 242444,
  [SMALL_STATE(6060)] = 242479,
  [SMALL_STATE(6061)] = 242498,
  [SMALL_STATE(6062)] = 242517,
  [SMALL_STATE(6063)] = 242542,
  [SMALL_STATE(6064)] = 242569,
  [SMALL_STATE(6065)] = 242604,
  [SMALL_STATE(6066)] = 242629,
  [SMALL_STATE(6067)] = 242656,
  [SMALL_STATE(6068)] = 242691,
  [SMALL_STATE(6069)] = 242718,
  [SMALL_STATE(6070)] = 242745,
  [SMALL_STATE(6071)] = 242772,
  [SMALL_STATE(6072)] = 242807,
  [SMALL_STATE(6073)] = 242826,
  [SMALL_STATE(6074)] = 242855,
  [SMALL_STATE(6075)] = 242890,
  [SMALL_STATE(6076)] = 242925,
  [SMALL_STATE(6077)] = 242960,
  [SMALL_STATE(6078)] = 242995,
  [SMALL_STATE(6079)] = 243020,
  [SMALL_STATE(6080)] = 243053,
  [SMALL_STATE(6081)] = 243086,
  [SMALL_STATE(6082)] = 243105,
  [SMALL_STATE(6083)] = 243124,
  [SMALL_STATE(6084)] = 243159,
  [SMALL_STATE(6085)] = 243194,
  [SMALL_STATE(6086)] = 243219,
  [SMALL_STATE(6087)] = 243242,
  [SMALL_STATE(6088)] = 243277,
  [SMALL_STATE(6089)] = 243312,
  [SMALL_STATE(6090)] = 243341,
  [SMALL_STATE(6091)] = 243372,
  [SMALL_STATE(6092)] = 243401,
  [SMALL_STATE(6093)] = 243436,
  [SMALL_STATE(6094)] = 243459,
  [SMALL_STATE(6095)] = 243478,
  [SMALL_STATE(6096)] = 243513,
  [SMALL_STATE(6097)] = 243546,
  [SMALL_STATE(6098)] = 243565,
  [SMALL_STATE(6099)] = 243592,
  [SMALL_STATE(6100)] = 243613,
  [SMALL_STATE(6101)] = 243642,
  [SMALL_STATE(6102)] = 243667,
  [SMALL_STATE(6103)] = 243698,
  [SMALL_STATE(6104)] = 243729,
  [SMALL_STATE(6105)] = 243758,
  [SMALL_STATE(6106)] = 243793,
  [SMALL_STATE(6107)] = 243818,
  [SMALL_STATE(6108)] = 243849,
  [SMALL_STATE(6109)] = 243878,
  [SMALL_STATE(6110)] = 243909,
  [SMALL_STATE(6111)] = 243940,
  [SMALL_STATE(6112)] = 243971,
  [SMALL_STATE(6113)] = 244000,
  [SMALL_STATE(6114)] = 244029,
  [SMALL_STATE(6115)] = 244060,
  [SMALL_STATE(6116)] = 244089,
  [SMALL_STATE(6117)] = 244122,
  [SMALL_STATE(6118)] = 244153,
  [SMALL_STATE(6119)] = 244178,
  [SMALL_STATE(6120)] = 244203,
  [SMALL_STATE(6121)] = 244238,
  [SMALL_STATE(6122)] = 244260,
  [SMALL_STATE(6123)] = 244278,
  [SMALL_STATE(6124)] = 244308,
  [SMALL_STATE(6125)] = 244330,
  [SMALL_STATE(6126)] = 244352,
  [SMALL_STATE(6127)] = 244382,
  [SMALL_STATE(6128)] = 244404,
  [SMALL_STATE(6129)] = 244426,
  [SMALL_STATE(6130)] = 244450,
  [SMALL_STATE(6131)] = 244472,
  [SMALL_STATE(6132)] = 244490,
  [SMALL_STATE(6133)] = 244512,
  [SMALL_STATE(6134)] = 244542,
  [SMALL_STATE(6135)] = 244560,
  [SMALL_STATE(6136)] = 244584,
  [SMALL_STATE(6137)] = 244606,
  [SMALL_STATE(6138)] = 244630,
  [SMALL_STATE(6139)] = 244660,
  [SMALL_STATE(6140)] = 244682,
  [SMALL_STATE(6141)] = 244700,
  [SMALL_STATE(6142)] = 244724,
  [SMALL_STATE(6143)] = 244746,
  [SMALL_STATE(6144)] = 244764,
  [SMALL_STATE(6145)] = 244794,
  [SMALL_STATE(6146)] = 244824,
  [SMALL_STATE(6147)] = 244848,
  [SMALL_STATE(6148)] = 244870,
  [SMALL_STATE(6149)] = 244894,
  [SMALL_STATE(6150)] = 244916,
  [SMALL_STATE(6151)] = 244940,
  [SMALL_STATE(6152)] = 244964,
  [SMALL_STATE(6153)] = 244982,
  [SMALL_STATE(6154)] = 245012,
  [SMALL_STATE(6155)] = 245044,
  [SMALL_STATE(6156)] = 245074,
  [SMALL_STATE(6157)] = 245092,
  [SMALL_STATE(6158)] = 245116,
  [SMALL_STATE(6159)] = 245140,
  [SMALL_STATE(6160)] = 245162,
  [SMALL_STATE(6161)] = 245193,
  [SMALL_STATE(6162)] = 245224,
  [SMALL_STATE(6163)] = 245247,
  [SMALL_STATE(6164)] = 245270,
  [SMALL_STATE(6165)] = 245293,
  [SMALL_STATE(6166)] = 245316,
  [SMALL_STATE(6167)] = 245339,
  [SMALL_STATE(6168)] = 245362,
  [SMALL_STATE(6169)] = 245393,
  [SMALL_STATE(6170)] = 245424,
  [SMALL_STATE(6171)] = 245447,
  [SMALL_STATE(6172)] = 245474,
  [SMALL_STATE(6173)] = 245493,
  [SMALL_STATE(6174)] = 245524,
  [SMALL_STATE(6175)] = 245545,
  [SMALL_STATE(6176)] = 245566,
  [SMALL_STATE(6177)] = 245597,
  [SMALL_STATE(6178)] = 245628,
  [SMALL_STATE(6179)] = 245659,
  [SMALL_STATE(6180)] = 245690,
  [SMALL_STATE(6181)] = 245721,
  [SMALL_STATE(6182)] = 245752,
  [SMALL_STATE(6183)] = 245783,
  [SMALL_STATE(6184)] = 245808,
  [SMALL_STATE(6185)] = 245831,
  [SMALL_STATE(6186)] = 245862,
  [SMALL_STATE(6187)] = 245889,
  [SMALL_STATE(6188)] = 245920,
  [SMALL_STATE(6189)] = 245951,
  [SMALL_STATE(6190)] = 245982,
  [SMALL_STATE(6191)] = 246003,
  [SMALL_STATE(6192)] = 246034,
  [SMALL_STATE(6193)] = 246065,
  [SMALL_STATE(6194)] = 246086,
  [SMALL_STATE(6195)] = 246117,
  [SMALL_STATE(6196)] = 246144,
  [SMALL_STATE(6197)] = 246163,
  [SMALL_STATE(6198)] = 246194,
  [SMALL_STATE(6199)] = 246225,
  [SMALL_STATE(6200)] = 246246,
  [SMALL_STATE(6201)] = 246273,
  [SMALL_STATE(6202)] = 246304,
  [SMALL_STATE(6203)] = 246335,
  [SMALL_STATE(6204)] = 246366,
  [SMALL_STATE(6205)] = 246397,
  [SMALL_STATE(6206)] = 246428,
  [SMALL_STATE(6207)] = 246455,
  [SMALL_STATE(6208)] = 246486,
  [SMALL_STATE(6209)] = 246509,
  [SMALL_STATE(6210)] = 246532,
  [SMALL_STATE(6211)] = 246563,
  [SMALL_STATE(6212)] = 246590,
  [SMALL_STATE(6213)] = 246617,
  [SMALL_STATE(6214)] = 246648,
  [SMALL_STATE(6215)] = 246670,
  [SMALL_STATE(6216)] = 246696,
  [SMALL_STATE(6217)] = 246722,
  [SMALL_STATE(6218)] = 246748,
  [SMALL_STATE(6219)] = 246764,
  [SMALL_STATE(6220)] = 246790,
  [SMALL_STATE(6221)] = 246816,
  [SMALL_STATE(6222)] = 246842,
  [SMALL_STATE(6223)] = 246868,
  [SMALL_STATE(6224)] = 246894,
  [SMALL_STATE(6225)] = 246914,
  [SMALL_STATE(6226)] = 246932,
  [SMALL_STATE(6227)] = 246958,
  [SMALL_STATE(6228)] = 246984,
  [SMALL_STATE(6229)] = 247010,
  [SMALL_STATE(6230)] = 247036,
  [SMALL_STATE(6231)] = 247062,
  [SMALL_STATE(6232)] = 247084,
  [SMALL_STATE(6233)] = 247106,
  [SMALL_STATE(6234)] = 247132,
  [SMALL_STATE(6235)] = 247158,
  [SMALL_STATE(6236)] = 247184,
  [SMALL_STATE(6237)] = 247210,
  [SMALL_STATE(6238)] = 247236,
  [SMALL_STATE(6239)] = 247258,
  [SMALL_STATE(6240)] = 247284,
  [SMALL_STATE(6241)] = 247310,
  [SMALL_STATE(6242)] = 247336,
  [SMALL_STATE(6243)] = 247356,
  [SMALL_STATE(6244)] = 247382,
  [SMALL_STATE(6245)] = 247408,
  [SMALL_STATE(6246)] = 247430,
  [SMALL_STATE(6247)] = 247452,
  [SMALL_STATE(6248)] = 247478,
  [SMALL_STATE(6249)] = 247500,
  [SMALL_STATE(6250)] = 247526,
  [SMALL_STATE(6251)] = 247548,
  [SMALL_STATE(6252)] = 247568,
  [SMALL_STATE(6253)] = 247594,
  [SMALL_STATE(6254)] = 247616,
  [SMALL_STATE(6255)] = 247638,
  [SMALL_STATE(6256)] = 247654,
  [SMALL_STATE(6257)] = 247680,
  [SMALL_STATE(6258)] = 247706,
  [SMALL_STATE(6259)] = 247732,
  [SMALL_STATE(6260)] = 247752,
  [SMALL_STATE(6261)] = 247778,
  [SMALL_STATE(6262)] = 247800,
  [SMALL_STATE(6263)] = 247822,
  [SMALL_STATE(6264)] = 247847,
  [SMALL_STATE(6265)] = 247870,
  [SMALL_STATE(6266)] = 247891,
  [SMALL_STATE(6267)] = 247912,
  [SMALL_STATE(6268)] = 247927,
  [SMALL_STATE(6269)] = 247948,
  [SMALL_STATE(6270)] = 247969,
  [SMALL_STATE(6271)] = 247992,
  [SMALL_STATE(6272)] = 248017,
  [SMALL_STATE(6273)] = 248040,
  [SMALL_STATE(6274)] = 248061,
  [SMALL_STATE(6275)] = 248082,
  [SMALL_STATE(6276)] = 248097,
  [SMALL_STATE(6277)] = 248120,
  [SMALL_STATE(6278)] = 248141,
  [SMALL_STATE(6279)] = 248164,
  [SMALL_STATE(6280)] = 248185,
  [SMALL_STATE(6281)] = 248206,
  [SMALL_STATE(6282)] = 248229,
  [SMALL_STATE(6283)] = 248252,
  [SMALL_STATE(6284)] = 248271,
  [SMALL_STATE(6285)] = 248286,
  [SMALL_STATE(6286)] = 248309,
  [SMALL_STATE(6287)] = 248332,
  [SMALL_STATE(6288)] = 248355,
  [SMALL_STATE(6289)] = 248370,
  [SMALL_STATE(6290)] = 248391,
  [SMALL_STATE(6291)] = 248412,
  [SMALL_STATE(6292)] = 248431,
  [SMALL_STATE(6293)] = 248452,
  [SMALL_STATE(6294)] = 248469,
  [SMALL_STATE(6295)] = 248492,
  [SMALL_STATE(6296)] = 248515,
  [SMALL_STATE(6297)] = 248536,
  [SMALL_STATE(6298)] = 248557,
  [SMALL_STATE(6299)] = 248582,
  [SMALL_STATE(6300)] = 248603,
  [SMALL_STATE(6301)] = 248618,
  [SMALL_STATE(6302)] = 248641,
  [SMALL_STATE(6303)] = 248666,
  [SMALL_STATE(6304)] = 248681,
  [SMALL_STATE(6305)] = 248702,
  [SMALL_STATE(6306)] = 248717,
  [SMALL_STATE(6307)] = 248742,
  [SMALL_STATE(6308)] = 248765,
  [SMALL_STATE(6309)] = 248784,
  [SMALL_STATE(6310)] = 248809,
  [SMALL_STATE(6311)] = 248832,
  [SMALL_STATE(6312)] = 248857,
  [SMALL_STATE(6313)] = 248872,
  [SMALL_STATE(6314)] = 248897,
  [SMALL_STATE(6315)] = 248917,
  [SMALL_STATE(6316)] = 248937,
  [SMALL_STATE(6317)] = 248955,
  [SMALL_STATE(6318)] = 248975,
  [SMALL_STATE(6319)] = 248995,
  [SMALL_STATE(6320)] = 249013,
  [SMALL_STATE(6321)] = 249033,
  [SMALL_STATE(6322)] = 249053,
  [SMALL_STATE(6323)] = 249073,
  [SMALL_STATE(6324)] = 249091,
  [SMALL_STATE(6325)] = 249109,
  [SMALL_STATE(6326)] = 249127,
  [SMALL_STATE(6327)] = 249147,
  [SMALL_STATE(6328)] = 249161,
  [SMALL_STATE(6329)] = 249175,
  [SMALL_STATE(6330)] = 249189,
  [SMALL_STATE(6331)] = 249203,
  [SMALL_STATE(6332)] = 249219,
  [SMALL_STATE(6333)] = 249239,
  [SMALL_STATE(6334)] = 249253,
  [SMALL_STATE(6335)] = 249267,
  [SMALL_STATE(6336)] = 249287,
  [SMALL_STATE(6337)] = 249301,
  [SMALL_STATE(6338)] = 249321,
  [SMALL_STATE(6339)] = 249341,
  [SMALL_STATE(6340)] = 249355,
  [SMALL_STATE(6341)] = 249373,
  [SMALL_STATE(6342)] = 249387,
  [SMALL_STATE(6343)] = 249401,
  [SMALL_STATE(6344)] = 249419,
  [SMALL_STATE(6345)] = 249439,
  [SMALL_STATE(6346)] = 249455,
  [SMALL_STATE(6347)] = 249475,
  [SMALL_STATE(6348)] = 249491,
  [SMALL_STATE(6349)] = 249507,
  [SMALL_STATE(6350)] = 249527,
  [SMALL_STATE(6351)] = 249541,
  [SMALL_STATE(6352)] = 249561,
  [SMALL_STATE(6353)] = 249575,
  [SMALL_STATE(6354)] = 249591,
  [SMALL_STATE(6355)] = 249607,
  [SMALL_STATE(6356)] = 249623,
  [SMALL_STATE(6357)] = 249639,
  [SMALL_STATE(6358)] = 249655,
  [SMALL_STATE(6359)] = 249671,
  [SMALL_STATE(6360)] = 249687,
  [SMALL_STATE(6361)] = 249703,
  [SMALL_STATE(6362)] = 249717,
  [SMALL_STATE(6363)] = 249733,
  [SMALL_STATE(6364)] = 249749,
  [SMALL_STATE(6365)] = 249763,
  [SMALL_STATE(6366)] = 249779,
  [SMALL_STATE(6367)] = 249797,
  [SMALL_STATE(6368)] = 249816,
  [SMALL_STATE(6369)] = 249835,
  [SMALL_STATE(6370)] = 249854,
  [SMALL_STATE(6371)] = 249873,
  [SMALL_STATE(6372)] = 249886,
  [SMALL_STATE(6373)] = 249905,
  [SMALL_STATE(6374)] = 249924,
  [SMALL_STATE(6375)] = 249943,
  [SMALL_STATE(6376)] = 249962,
  [SMALL_STATE(6377)] = 249979,
  [SMALL_STATE(6378)] = 249998,
  [SMALL_STATE(6379)] = 250017,
  [SMALL_STATE(6380)] = 250036,
  [SMALL_STATE(6381)] = 250055,
  [SMALL_STATE(6382)] = 250074,
  [SMALL_STATE(6383)] = 250093,
  [SMALL_STATE(6384)] = 250112,
  [SMALL_STATE(6385)] = 250129,
  [SMALL_STATE(6386)] = 250148,
  [SMALL_STATE(6387)] = 250167,
  [SMALL_STATE(6388)] = 250180,
  [SMALL_STATE(6389)] = 250199,
  [SMALL_STATE(6390)] = 250218,
  [SMALL_STATE(6391)] = 250237,
  [SMALL_STATE(6392)] = 250256,
  [SMALL_STATE(6393)] = 250269,
  [SMALL_STATE(6394)] = 250288,
  [SMALL_STATE(6395)] = 250307,
  [SMALL_STATE(6396)] = 250326,
  [SMALL_STATE(6397)] = 250345,
  [SMALL_STATE(6398)] = 250364,
  [SMALL_STATE(6399)] = 250381,
  [SMALL_STATE(6400)] = 250400,
  [SMALL_STATE(6401)] = 250419,
  [SMALL_STATE(6402)] = 250438,
  [SMALL_STATE(6403)] = 250457,
  [SMALL_STATE(6404)] = 250476,
  [SMALL_STATE(6405)] = 250495,
  [SMALL_STATE(6406)] = 250514,
  [SMALL_STATE(6407)] = 250533,
  [SMALL_STATE(6408)] = 250552,
  [SMALL_STATE(6409)] = 250571,
  [SMALL_STATE(6410)] = 250588,
  [SMALL_STATE(6411)] = 250605,
  [SMALL_STATE(6412)] = 250624,
  [SMALL_STATE(6413)] = 250643,
  [SMALL_STATE(6414)] = 250662,
  [SMALL_STATE(6415)] = 250681,
  [SMALL_STATE(6416)] = 250700,
  [SMALL_STATE(6417)] = 250719,
  [SMALL_STATE(6418)] = 250738,
  [SMALL_STATE(6419)] = 250757,
  [SMALL_STATE(6420)] = 250776,
  [SMALL_STATE(6421)] = 250789,
  [SMALL_STATE(6422)] = 250806,
  [SMALL_STATE(6423)] = 250825,
  [SMALL_STATE(6424)] = 250844,
  [SMALL_STATE(6425)] = 250861,
  [SMALL_STATE(6426)] = 250880,
  [SMALL_STATE(6427)] = 250896,
  [SMALL_STATE(6428)] = 250910,
  [SMALL_STATE(6429)] = 250924,
  [SMALL_STATE(6430)] = 250940,
  [SMALL_STATE(6431)] = 250956,
  [SMALL_STATE(6432)] = 250970,
  [SMALL_STATE(6433)] = 250984,
  [SMALL_STATE(6434)] = 251000,
  [SMALL_STATE(6435)] = 251016,
  [SMALL_STATE(6436)] = 251030,
  [SMALL_STATE(6437)] = 251044,
  [SMALL_STATE(6438)] = 251058,
  [SMALL_STATE(6439)] = 251074,
  [SMALL_STATE(6440)] = 251090,
  [SMALL_STATE(6441)] = 251104,
  [SMALL_STATE(6442)] = 251120,
  [SMALL_STATE(6443)] = 251134,
  [SMALL_STATE(6444)] = 251150,
  [SMALL_STATE(6445)] = 251164,
  [SMALL_STATE(6446)] = 251180,
  [SMALL_STATE(6447)] = 251194,
  [SMALL_STATE(6448)] = 251208,
  [SMALL_STATE(6449)] = 251224,
  [SMALL_STATE(6450)] = 251240,
  [SMALL_STATE(6451)] = 251256,
  [SMALL_STATE(6452)] = 251270,
  [SMALL_STATE(6453)] = 251286,
  [SMALL_STATE(6454)] = 251300,
  [SMALL_STATE(6455)] = 251314,
  [SMALL_STATE(6456)] = 251330,
  [SMALL_STATE(6457)] = 251346,
  [SMALL_STATE(6458)] = 251362,
  [SMALL_STATE(6459)] = 251378,
  [SMALL_STATE(6460)] = 251394,
  [SMALL_STATE(6461)] = 251410,
  [SMALL_STATE(6462)] = 251426,
  [SMALL_STATE(6463)] = 251442,
  [SMALL_STATE(6464)] = 251458,
  [SMALL_STATE(6465)] = 251474,
  [SMALL_STATE(6466)] = 251490,
  [SMALL_STATE(6467)] = 251504,
  [SMALL_STATE(6468)] = 251520,
  [SMALL_STATE(6469)] = 251536,
  [SMALL_STATE(6470)] = 251552,
  [SMALL_STATE(6471)] = 251568,
  [SMALL_STATE(6472)] = 251584,
  [SMALL_STATE(6473)] = 251600,
  [SMALL_STATE(6474)] = 251616,
  [SMALL_STATE(6475)] = 251632,
  [SMALL_STATE(6476)] = 251646,
  [SMALL_STATE(6477)] = 251662,
  [SMALL_STATE(6478)] = 251678,
  [SMALL_STATE(6479)] = 251694,
  [SMALL_STATE(6480)] = 251708,
  [SMALL_STATE(6481)] = 251724,
  [SMALL_STATE(6482)] = 251740,
  [SMALL_STATE(6483)] = 251754,
  [SMALL_STATE(6484)] = 251768,
  [SMALL_STATE(6485)] = 251784,
  [SMALL_STATE(6486)] = 251800,
  [SMALL_STATE(6487)] = 251816,
  [SMALL_STATE(6488)] = 251832,
  [SMALL_STATE(6489)] = 251846,
  [SMALL_STATE(6490)] = 251862,
  [SMALL_STATE(6491)] = 251876,
  [SMALL_STATE(6492)] = 251890,
  [SMALL_STATE(6493)] = 251904,
  [SMALL_STATE(6494)] = 251920,
  [SMALL_STATE(6495)] = 251934,
  [SMALL_STATE(6496)] = 251948,
  [SMALL_STATE(6497)] = 251962,
  [SMALL_STATE(6498)] = 251978,
  [SMALL_STATE(6499)] = 251994,
  [SMALL_STATE(6500)] = 252010,
  [SMALL_STATE(6501)] = 252026,
  [SMALL_STATE(6502)] = 252042,
  [SMALL_STATE(6503)] = 252056,
  [SMALL_STATE(6504)] = 252072,
  [SMALL_STATE(6505)] = 252086,
  [SMALL_STATE(6506)] = 252100,
  [SMALL_STATE(6507)] = 252116,
  [SMALL_STATE(6508)] = 252132,
  [SMALL_STATE(6509)] = 252146,
  [SMALL_STATE(6510)] = 252162,
  [SMALL_STATE(6511)] = 252176,
  [SMALL_STATE(6512)] = 252190,
  [SMALL_STATE(6513)] = 252200,
  [SMALL_STATE(6514)] = 252214,
  [SMALL_STATE(6515)] = 252230,
  [SMALL_STATE(6516)] = 252244,
  [SMALL_STATE(6517)] = 252258,
  [SMALL_STATE(6518)] = 252274,
  [SMALL_STATE(6519)] = 252290,
  [SMALL_STATE(6520)] = 252306,
  [SMALL_STATE(6521)] = 252322,
  [SMALL_STATE(6522)] = 252336,
  [SMALL_STATE(6523)] = 252352,
  [SMALL_STATE(6524)] = 252366,
  [SMALL_STATE(6525)] = 252382,
  [SMALL_STATE(6526)] = 252396,
  [SMALL_STATE(6527)] = 252410,
  [SMALL_STATE(6528)] = 252424,
  [SMALL_STATE(6529)] = 252438,
  [SMALL_STATE(6530)] = 252452,
  [SMALL_STATE(6531)] = 252466,
  [SMALL_STATE(6532)] = 252480,
  [SMALL_STATE(6533)] = 252494,
  [SMALL_STATE(6534)] = 252510,
  [SMALL_STATE(6535)] = 252526,
  [SMALL_STATE(6536)] = 252542,
  [SMALL_STATE(6537)] = 252558,
  [SMALL_STATE(6538)] = 252572,
  [SMALL_STATE(6539)] = 252588,
  [SMALL_STATE(6540)] = 252602,
  [SMALL_STATE(6541)] = 252618,
  [SMALL_STATE(6542)] = 252634,
  [SMALL_STATE(6543)] = 252650,
  [SMALL_STATE(6544)] = 252666,
  [SMALL_STATE(6545)] = 252680,
  [SMALL_STATE(6546)] = 252694,
  [SMALL_STATE(6547)] = 252710,
  [SMALL_STATE(6548)] = 252724,
  [SMALL_STATE(6549)] = 252738,
  [SMALL_STATE(6550)] = 252752,
  [SMALL_STATE(6551)] = 252768,
  [SMALL_STATE(6552)] = 252784,
  [SMALL_STATE(6553)] = 252798,
  [SMALL_STATE(6554)] = 252812,
  [SMALL_STATE(6555)] = 252828,
  [SMALL_STATE(6556)] = 252842,
  [SMALL_STATE(6557)] = 252858,
  [SMALL_STATE(6558)] = 252874,
  [SMALL_STATE(6559)] = 252890,
  [SMALL_STATE(6560)] = 252904,
  [SMALL_STATE(6561)] = 252918,
  [SMALL_STATE(6562)] = 252932,
  [SMALL_STATE(6563)] = 252946,
  [SMALL_STATE(6564)] = 252962,
  [SMALL_STATE(6565)] = 252978,
  [SMALL_STATE(6566)] = 252994,
  [SMALL_STATE(6567)] = 253008,
  [SMALL_STATE(6568)] = 253022,
  [SMALL_STATE(6569)] = 253038,
  [SMALL_STATE(6570)] = 253054,
  [SMALL_STATE(6571)] = 253070,
  [SMALL_STATE(6572)] = 253086,
  [SMALL_STATE(6573)] = 253102,
  [SMALL_STATE(6574)] = 253118,
  [SMALL_STATE(6575)] = 253132,
  [SMALL_STATE(6576)] = 253146,
  [SMALL_STATE(6577)] = 253160,
  [SMALL_STATE(6578)] = 253174,
  [SMALL_STATE(6579)] = 253190,
  [SMALL_STATE(6580)] = 253206,
  [SMALL_STATE(6581)] = 253220,
  [SMALL_STATE(6582)] = 253232,
  [SMALL_STATE(6583)] = 253242,
  [SMALL_STATE(6584)] = 253258,
  [SMALL_STATE(6585)] = 253274,
  [SMALL_STATE(6586)] = 253290,
  [SMALL_STATE(6587)] = 253306,
  [SMALL_STATE(6588)] = 253320,
  [SMALL_STATE(6589)] = 253336,
  [SMALL_STATE(6590)] = 253352,
  [SMALL_STATE(6591)] = 253368,
  [SMALL_STATE(6592)] = 253384,
  [SMALL_STATE(6593)] = 253400,
  [SMALL_STATE(6594)] = 253416,
  [SMALL_STATE(6595)] = 253430,
  [SMALL_STATE(6596)] = 253444,
  [SMALL_STATE(6597)] = 253460,
  [SMALL_STATE(6598)] = 253474,
  [SMALL_STATE(6599)] = 253490,
  [SMALL_STATE(6600)] = 253506,
  [SMALL_STATE(6601)] = 253522,
  [SMALL_STATE(6602)] = 253538,
  [SMALL_STATE(6603)] = 253554,
  [SMALL_STATE(6604)] = 253570,
  [SMALL_STATE(6605)] = 253584,
  [SMALL_STATE(6606)] = 253600,
  [SMALL_STATE(6607)] = 253616,
  [SMALL_STATE(6608)] = 253630,
  [SMALL_STATE(6609)] = 253644,
  [SMALL_STATE(6610)] = 253658,
  [SMALL_STATE(6611)] = 253674,
  [SMALL_STATE(6612)] = 253688,
  [SMALL_STATE(6613)] = 253702,
  [SMALL_STATE(6614)] = 253716,
  [SMALL_STATE(6615)] = 253732,
  [SMALL_STATE(6616)] = 253748,
  [SMALL_STATE(6617)] = 253764,
  [SMALL_STATE(6618)] = 253780,
  [SMALL_STATE(6619)] = 253794,
  [SMALL_STATE(6620)] = 253810,
  [SMALL_STATE(6621)] = 253826,
  [SMALL_STATE(6622)] = 253842,
  [SMALL_STATE(6623)] = 253858,
  [SMALL_STATE(6624)] = 253872,
  [SMALL_STATE(6625)] = 253886,
  [SMALL_STATE(6626)] = 253900,
  [SMALL_STATE(6627)] = 253914,
  [SMALL_STATE(6628)] = 253928,
  [SMALL_STATE(6629)] = 253944,
  [SMALL_STATE(6630)] = 253960,
  [SMALL_STATE(6631)] = 253974,
  [SMALL_STATE(6632)] = 253990,
  [SMALL_STATE(6633)] = 254004,
  [SMALL_STATE(6634)] = 254018,
  [SMALL_STATE(6635)] = 254032,
  [SMALL_STATE(6636)] = 254046,
  [SMALL_STATE(6637)] = 254062,
  [SMALL_STATE(6638)] = 254076,
  [SMALL_STATE(6639)] = 254090,
  [SMALL_STATE(6640)] = 254104,
  [SMALL_STATE(6641)] = 254118,
  [SMALL_STATE(6642)] = 254132,
  [SMALL_STATE(6643)] = 254146,
  [SMALL_STATE(6644)] = 254160,
  [SMALL_STATE(6645)] = 254174,
  [SMALL_STATE(6646)] = 254188,
  [SMALL_STATE(6647)] = 254202,
  [SMALL_STATE(6648)] = 254216,
  [SMALL_STATE(6649)] = 254230,
  [SMALL_STATE(6650)] = 254244,
  [SMALL_STATE(6651)] = 254258,
  [SMALL_STATE(6652)] = 254272,
  [SMALL_STATE(6653)] = 254288,
  [SMALL_STATE(6654)] = 254302,
  [SMALL_STATE(6655)] = 254318,
  [SMALL_STATE(6656)] = 254334,
  [SMALL_STATE(6657)] = 254348,
  [SMALL_STATE(6658)] = 254362,
  [SMALL_STATE(6659)] = 254376,
  [SMALL_STATE(6660)] = 254390,
  [SMALL_STATE(6661)] = 254404,
  [SMALL_STATE(6662)] = 254418,
  [SMALL_STATE(6663)] = 254432,
  [SMALL_STATE(6664)] = 254448,
  [SMALL_STATE(6665)] = 254464,
  [SMALL_STATE(6666)] = 254480,
  [SMALL_STATE(6667)] = 254496,
  [SMALL_STATE(6668)] = 254510,
  [SMALL_STATE(6669)] = 254520,
  [SMALL_STATE(6670)] = 254534,
  [SMALL_STATE(6671)] = 254548,
  [SMALL_STATE(6672)] = 254562,
  [SMALL_STATE(6673)] = 254578,
  [SMALL_STATE(6674)] = 254594,
  [SMALL_STATE(6675)] = 254610,
  [SMALL_STATE(6676)] = 254624,
  [SMALL_STATE(6677)] = 254640,
  [SMALL_STATE(6678)] = 254654,
  [SMALL_STATE(6679)] = 254670,
  [SMALL_STATE(6680)] = 254684,
  [SMALL_STATE(6681)] = 254700,
  [SMALL_STATE(6682)] = 254716,
  [SMALL_STATE(6683)] = 254732,
  [SMALL_STATE(6684)] = 254748,
  [SMALL_STATE(6685)] = 254764,
  [SMALL_STATE(6686)] = 254780,
  [SMALL_STATE(6687)] = 254793,
  [SMALL_STATE(6688)] = 254806,
  [SMALL_STATE(6689)] = 254819,
  [SMALL_STATE(6690)] = 254832,
  [SMALL_STATE(6691)] = 254845,
  [SMALL_STATE(6692)] = 254858,
  [SMALL_STATE(6693)] = 254871,
  [SMALL_STATE(6694)] = 254884,
  [SMALL_STATE(6695)] = 254895,
  [SMALL_STATE(6696)] = 254908,
  [SMALL_STATE(6697)] = 254921,
  [SMALL_STATE(6698)] = 254934,
  [SMALL_STATE(6699)] = 254947,
  [SMALL_STATE(6700)] = 254958,
  [SMALL_STATE(6701)] = 254971,
  [SMALL_STATE(6702)] = 254984,
  [SMALL_STATE(6703)] = 254997,
  [SMALL_STATE(6704)] = 255006,
  [SMALL_STATE(6705)] = 255019,
  [SMALL_STATE(6706)] = 255032,
  [SMALL_STATE(6707)] = 255045,
  [SMALL_STATE(6708)] = 255058,
  [SMALL_STATE(6709)] = 255071,
  [SMALL_STATE(6710)] = 255084,
  [SMALL_STATE(6711)] = 255095,
  [SMALL_STATE(6712)] = 255108,
  [SMALL_STATE(6713)] = 255121,
  [SMALL_STATE(6714)] = 255134,
  [SMALL_STATE(6715)] = 255147,
  [SMALL_STATE(6716)] = 255160,
  [SMALL_STATE(6717)] = 255173,
  [SMALL_STATE(6718)] = 255186,
  [SMALL_STATE(6719)] = 255199,
  [SMALL_STATE(6720)] = 255212,
  [SMALL_STATE(6721)] = 255223,
  [SMALL_STATE(6722)] = 255236,
  [SMALL_STATE(6723)] = 255249,
  [SMALL_STATE(6724)] = 255262,
  [SMALL_STATE(6725)] = 255275,
  [SMALL_STATE(6726)] = 255288,
  [SMALL_STATE(6727)] = 255301,
  [SMALL_STATE(6728)] = 255314,
  [SMALL_STATE(6729)] = 255327,
  [SMALL_STATE(6730)] = 255340,
  [SMALL_STATE(6731)] = 255353,
  [SMALL_STATE(6732)] = 255366,
  [SMALL_STATE(6733)] = 255379,
  [SMALL_STATE(6734)] = 255392,
  [SMALL_STATE(6735)] = 255405,
  [SMALL_STATE(6736)] = 255418,
  [SMALL_STATE(6737)] = 255429,
  [SMALL_STATE(6738)] = 255442,
  [SMALL_STATE(6739)] = 255455,
  [SMALL_STATE(6740)] = 255468,
  [SMALL_STATE(6741)] = 255481,
  [SMALL_STATE(6742)] = 255494,
  [SMALL_STATE(6743)] = 255507,
  [SMALL_STATE(6744)] = 255520,
  [SMALL_STATE(6745)] = 255533,
  [SMALL_STATE(6746)] = 255546,
  [SMALL_STATE(6747)] = 255559,
  [SMALL_STATE(6748)] = 255572,
  [SMALL_STATE(6749)] = 255585,
  [SMALL_STATE(6750)] = 255598,
  [SMALL_STATE(6751)] = 255611,
  [SMALL_STATE(6752)] = 255624,
  [SMALL_STATE(6753)] = 255637,
  [SMALL_STATE(6754)] = 255650,
  [SMALL_STATE(6755)] = 255663,
  [SMALL_STATE(6756)] = 255676,
  [SMALL_STATE(6757)] = 255689,
  [SMALL_STATE(6758)] = 255702,
  [SMALL_STATE(6759)] = 255715,
  [SMALL_STATE(6760)] = 255728,
  [SMALL_STATE(6761)] = 255739,
  [SMALL_STATE(6762)] = 255752,
  [SMALL_STATE(6763)] = 255765,
  [SMALL_STATE(6764)] = 255778,
  [SMALL_STATE(6765)] = 255791,
  [SMALL_STATE(6766)] = 255804,
  [SMALL_STATE(6767)] = 255815,
  [SMALL_STATE(6768)] = 255828,
  [SMALL_STATE(6769)] = 255841,
  [SMALL_STATE(6770)] = 255854,
  [SMALL_STATE(6771)] = 255867,
  [SMALL_STATE(6772)] = 255880,
  [SMALL_STATE(6773)] = 255893,
  [SMALL_STATE(6774)] = 255906,
  [SMALL_STATE(6775)] = 255919,
  [SMALL_STATE(6776)] = 255932,
  [SMALL_STATE(6777)] = 255945,
  [SMALL_STATE(6778)] = 255958,
  [SMALL_STATE(6779)] = 255971,
  [SMALL_STATE(6780)] = 255984,
  [SMALL_STATE(6781)] = 255997,
  [SMALL_STATE(6782)] = 256010,
  [SMALL_STATE(6783)] = 256023,
  [SMALL_STATE(6784)] = 256036,
  [SMALL_STATE(6785)] = 256049,
  [SMALL_STATE(6786)] = 256062,
  [SMALL_STATE(6787)] = 256075,
  [SMALL_STATE(6788)] = 256088,
  [SMALL_STATE(6789)] = 256101,
  [SMALL_STATE(6790)] = 256114,
  [SMALL_STATE(6791)] = 256125,
  [SMALL_STATE(6792)] = 256138,
  [SMALL_STATE(6793)] = 256151,
  [SMALL_STATE(6794)] = 256164,
  [SMALL_STATE(6795)] = 256177,
  [SMALL_STATE(6796)] = 256190,
  [SMALL_STATE(6797)] = 256203,
  [SMALL_STATE(6798)] = 256216,
  [SMALL_STATE(6799)] = 256229,
  [SMALL_STATE(6800)] = 256242,
  [SMALL_STATE(6801)] = 256255,
  [SMALL_STATE(6802)] = 256268,
  [SMALL_STATE(6803)] = 256281,
  [SMALL_STATE(6804)] = 256294,
  [SMALL_STATE(6805)] = 256307,
  [SMALL_STATE(6806)] = 256320,
  [SMALL_STATE(6807)] = 256333,
  [SMALL_STATE(6808)] = 256346,
  [SMALL_STATE(6809)] = 256359,
  [SMALL_STATE(6810)] = 256372,
  [SMALL_STATE(6811)] = 256385,
  [SMALL_STATE(6812)] = 256398,
  [SMALL_STATE(6813)] = 256411,
  [SMALL_STATE(6814)] = 256424,
  [SMALL_STATE(6815)] = 256435,
  [SMALL_STATE(6816)] = 256448,
  [SMALL_STATE(6817)] = 256459,
  [SMALL_STATE(6818)] = 256468,
  [SMALL_STATE(6819)] = 256481,
  [SMALL_STATE(6820)] = 256494,
  [SMALL_STATE(6821)] = 256505,
  [SMALL_STATE(6822)] = 256516,
  [SMALL_STATE(6823)] = 256529,
  [SMALL_STATE(6824)] = 256542,
  [SMALL_STATE(6825)] = 256551,
  [SMALL_STATE(6826)] = 256564,
  [SMALL_STATE(6827)] = 256573,
  [SMALL_STATE(6828)] = 256586,
  [SMALL_STATE(6829)] = 256599,
  [SMALL_STATE(6830)] = 256612,
  [SMALL_STATE(6831)] = 256625,
  [SMALL_STATE(6832)] = 256638,
  [SMALL_STATE(6833)] = 256651,
  [SMALL_STATE(6834)] = 256664,
  [SMALL_STATE(6835)] = 256673,
  [SMALL_STATE(6836)] = 256682,
  [SMALL_STATE(6837)] = 256693,
  [SMALL_STATE(6838)] = 256706,
  [SMALL_STATE(6839)] = 256719,
  [SMALL_STATE(6840)] = 256732,
  [SMALL_STATE(6841)] = 256745,
  [SMALL_STATE(6842)] = 256758,
  [SMALL_STATE(6843)] = 256771,
  [SMALL_STATE(6844)] = 256784,
  [SMALL_STATE(6845)] = 256797,
  [SMALL_STATE(6846)] = 256810,
  [SMALL_STATE(6847)] = 256823,
  [SMALL_STATE(6848)] = 256834,
  [SMALL_STATE(6849)] = 256847,
  [SMALL_STATE(6850)] = 256860,
  [SMALL_STATE(6851)] = 256873,
  [SMALL_STATE(6852)] = 256886,
  [SMALL_STATE(6853)] = 256899,
  [SMALL_STATE(6854)] = 256912,
  [SMALL_STATE(6855)] = 256925,
  [SMALL_STATE(6856)] = 256934,
  [SMALL_STATE(6857)] = 256947,
  [SMALL_STATE(6858)] = 256960,
  [SMALL_STATE(6859)] = 256973,
  [SMALL_STATE(6860)] = 256986,
  [SMALL_STATE(6861)] = 256999,
  [SMALL_STATE(6862)] = 257012,
  [SMALL_STATE(6863)] = 257025,
  [SMALL_STATE(6864)] = 257038,
  [SMALL_STATE(6865)] = 257051,
  [SMALL_STATE(6866)] = 257064,
  [SMALL_STATE(6867)] = 257077,
  [SMALL_STATE(6868)] = 257088,
  [SMALL_STATE(6869)] = 257099,
  [SMALL_STATE(6870)] = 257112,
  [SMALL_STATE(6871)] = 257123,
  [SMALL_STATE(6872)] = 257136,
  [SMALL_STATE(6873)] = 257149,
  [SMALL_STATE(6874)] = 257162,
  [SMALL_STATE(6875)] = 257175,
  [SMALL_STATE(6876)] = 257188,
  [SMALL_STATE(6877)] = 257201,
  [SMALL_STATE(6878)] = 257214,
  [SMALL_STATE(6879)] = 257227,
  [SMALL_STATE(6880)] = 257240,
  [SMALL_STATE(6881)] = 257253,
  [SMALL_STATE(6882)] = 257266,
  [SMALL_STATE(6883)] = 257279,
  [SMALL_STATE(6884)] = 257292,
  [SMALL_STATE(6885)] = 257305,
  [SMALL_STATE(6886)] = 257318,
  [SMALL_STATE(6887)] = 257331,
  [SMALL_STATE(6888)] = 257344,
  [SMALL_STATE(6889)] = 257357,
  [SMALL_STATE(6890)] = 257370,
  [SMALL_STATE(6891)] = 257383,
  [SMALL_STATE(6892)] = 257396,
  [SMALL_STATE(6893)] = 257409,
  [SMALL_STATE(6894)] = 257422,
  [SMALL_STATE(6895)] = 257435,
  [SMALL_STATE(6896)] = 257448,
  [SMALL_STATE(6897)] = 257461,
  [SMALL_STATE(6898)] = 257472,
  [SMALL_STATE(6899)] = 257485,
  [SMALL_STATE(6900)] = 257498,
  [SMALL_STATE(6901)] = 257509,
  [SMALL_STATE(6902)] = 257520,
  [SMALL_STATE(6903)] = 257533,
  [SMALL_STATE(6904)] = 257546,
  [SMALL_STATE(6905)] = 257559,
  [SMALL_STATE(6906)] = 257572,
  [SMALL_STATE(6907)] = 257583,
  [SMALL_STATE(6908)] = 257596,
  [SMALL_STATE(6909)] = 257609,
  [SMALL_STATE(6910)] = 257622,
  [SMALL_STATE(6911)] = 257631,
  [SMALL_STATE(6912)] = 257644,
  [SMALL_STATE(6913)] = 257657,
  [SMALL_STATE(6914)] = 257670,
  [SMALL_STATE(6915)] = 257683,
  [SMALL_STATE(6916)] = 257696,
  [SMALL_STATE(6917)] = 257707,
  [SMALL_STATE(6918)] = 257720,
  [SMALL_STATE(6919)] = 257733,
  [SMALL_STATE(6920)] = 257746,
  [SMALL_STATE(6921)] = 257759,
  [SMALL_STATE(6922)] = 257772,
  [SMALL_STATE(6923)] = 257785,
  [SMALL_STATE(6924)] = 257798,
  [SMALL_STATE(6925)] = 257811,
  [SMALL_STATE(6926)] = 257824,
  [SMALL_STATE(6927)] = 257833,
  [SMALL_STATE(6928)] = 257846,
  [SMALL_STATE(6929)] = 257859,
  [SMALL_STATE(6930)] = 257870,
  [SMALL_STATE(6931)] = 257883,
  [SMALL_STATE(6932)] = 257896,
  [SMALL_STATE(6933)] = 257909,
  [SMALL_STATE(6934)] = 257922,
  [SMALL_STATE(6935)] = 257935,
  [SMALL_STATE(6936)] = 257948,
  [SMALL_STATE(6937)] = 257961,
  [SMALL_STATE(6938)] = 257974,
  [SMALL_STATE(6939)] = 257985,
  [SMALL_STATE(6940)] = 257994,
  [SMALL_STATE(6941)] = 258007,
  [SMALL_STATE(6942)] = 258020,
  [SMALL_STATE(6943)] = 258033,
  [SMALL_STATE(6944)] = 258046,
  [SMALL_STATE(6945)] = 258059,
  [SMALL_STATE(6946)] = 258072,
  [SMALL_STATE(6947)] = 258085,
  [SMALL_STATE(6948)] = 258098,
  [SMALL_STATE(6949)] = 258111,
  [SMALL_STATE(6950)] = 258124,
  [SMALL_STATE(6951)] = 258137,
  [SMALL_STATE(6952)] = 258150,
  [SMALL_STATE(6953)] = 258163,
  [SMALL_STATE(6954)] = 258176,
  [SMALL_STATE(6955)] = 258189,
  [SMALL_STATE(6956)] = 258202,
  [SMALL_STATE(6957)] = 258215,
  [SMALL_STATE(6958)] = 258228,
  [SMALL_STATE(6959)] = 258239,
  [SMALL_STATE(6960)] = 258252,
  [SMALL_STATE(6961)] = 258261,
  [SMALL_STATE(6962)] = 258274,
  [SMALL_STATE(6963)] = 258283,
  [SMALL_STATE(6964)] = 258296,
  [SMALL_STATE(6965)] = 258307,
  [SMALL_STATE(6966)] = 258320,
  [SMALL_STATE(6967)] = 258333,
  [SMALL_STATE(6968)] = 258346,
  [SMALL_STATE(6969)] = 258359,
  [SMALL_STATE(6970)] = 258372,
  [SMALL_STATE(6971)] = 258383,
  [SMALL_STATE(6972)] = 258394,
  [SMALL_STATE(6973)] = 258407,
  [SMALL_STATE(6974)] = 258420,
  [SMALL_STATE(6975)] = 258433,
  [SMALL_STATE(6976)] = 258442,
  [SMALL_STATE(6977)] = 258455,
  [SMALL_STATE(6978)] = 258464,
  [SMALL_STATE(6979)] = 258477,
  [SMALL_STATE(6980)] = 258490,
  [SMALL_STATE(6981)] = 258503,
  [SMALL_STATE(6982)] = 258516,
  [SMALL_STATE(6983)] = 258527,
  [SMALL_STATE(6984)] = 258540,
  [SMALL_STATE(6985)] = 258553,
  [SMALL_STATE(6986)] = 258566,
  [SMALL_STATE(6987)] = 258577,
  [SMALL_STATE(6988)] = 258590,
  [SMALL_STATE(6989)] = 258603,
  [SMALL_STATE(6990)] = 258616,
  [SMALL_STATE(6991)] = 258627,
  [SMALL_STATE(6992)] = 258638,
  [SMALL_STATE(6993)] = 258649,
  [SMALL_STATE(6994)] = 258662,
  [SMALL_STATE(6995)] = 258675,
  [SMALL_STATE(6996)] = 258688,
  [SMALL_STATE(6997)] = 258699,
  [SMALL_STATE(6998)] = 258712,
  [SMALL_STATE(6999)] = 258723,
  [SMALL_STATE(7000)] = 258734,
  [SMALL_STATE(7001)] = 258745,
  [SMALL_STATE(7002)] = 258758,
  [SMALL_STATE(7003)] = 258771,
  [SMALL_STATE(7004)] = 258784,
  [SMALL_STATE(7005)] = 258797,
  [SMALL_STATE(7006)] = 258810,
  [SMALL_STATE(7007)] = 258819,
  [SMALL_STATE(7008)] = 258832,
  [SMALL_STATE(7009)] = 258845,
  [SMALL_STATE(7010)] = 258856,
  [SMALL_STATE(7011)] = 258865,
  [SMALL_STATE(7012)] = 258876,
  [SMALL_STATE(7013)] = 258889,
  [SMALL_STATE(7014)] = 258902,
  [SMALL_STATE(7015)] = 258915,
  [SMALL_STATE(7016)] = 258928,
  [SMALL_STATE(7017)] = 258941,
  [SMALL_STATE(7018)] = 258954,
  [SMALL_STATE(7019)] = 258967,
  [SMALL_STATE(7020)] = 258980,
  [SMALL_STATE(7021)] = 258993,
  [SMALL_STATE(7022)] = 259006,
  [SMALL_STATE(7023)] = 259019,
  [SMALL_STATE(7024)] = 259032,
  [SMALL_STATE(7025)] = 259045,
  [SMALL_STATE(7026)] = 259058,
  [SMALL_STATE(7027)] = 259067,
  [SMALL_STATE(7028)] = 259078,
  [SMALL_STATE(7029)] = 259091,
  [SMALL_STATE(7030)] = 259104,
  [SMALL_STATE(7031)] = 259117,
  [SMALL_STATE(7032)] = 259130,
  [SMALL_STATE(7033)] = 259143,
  [SMALL_STATE(7034)] = 259156,
  [SMALL_STATE(7035)] = 259169,
  [SMALL_STATE(7036)] = 259182,
  [SMALL_STATE(7037)] = 259195,
  [SMALL_STATE(7038)] = 259204,
  [SMALL_STATE(7039)] = 259217,
  [SMALL_STATE(7040)] = 259228,
  [SMALL_STATE(7041)] = 259241,
  [SMALL_STATE(7042)] = 259254,
  [SMALL_STATE(7043)] = 259265,
  [SMALL_STATE(7044)] = 259276,
  [SMALL_STATE(7045)] = 259289,
  [SMALL_STATE(7046)] = 259300,
  [SMALL_STATE(7047)] = 259313,
  [SMALL_STATE(7048)] = 259326,
  [SMALL_STATE(7049)] = 259339,
  [SMALL_STATE(7050)] = 259352,
  [SMALL_STATE(7051)] = 259365,
  [SMALL_STATE(7052)] = 259378,
  [SMALL_STATE(7053)] = 259389,
  [SMALL_STATE(7054)] = 259400,
  [SMALL_STATE(7055)] = 259413,
  [SMALL_STATE(7056)] = 259426,
  [SMALL_STATE(7057)] = 259439,
  [SMALL_STATE(7058)] = 259452,
  [SMALL_STATE(7059)] = 259465,
  [SMALL_STATE(7060)] = 259478,
  [SMALL_STATE(7061)] = 259491,
  [SMALL_STATE(7062)] = 259504,
  [SMALL_STATE(7063)] = 259517,
  [SMALL_STATE(7064)] = 259530,
  [SMALL_STATE(7065)] = 259539,
  [SMALL_STATE(7066)] = 259552,
  [SMALL_STATE(7067)] = 259563,
  [SMALL_STATE(7068)] = 259576,
  [SMALL_STATE(7069)] = 259589,
  [SMALL_STATE(7070)] = 259600,
  [SMALL_STATE(7071)] = 259613,
  [SMALL_STATE(7072)] = 259626,
  [SMALL_STATE(7073)] = 259639,
  [SMALL_STATE(7074)] = 259652,
  [SMALL_STATE(7075)] = 259661,
  [SMALL_STATE(7076)] = 259674,
  [SMALL_STATE(7077)] = 259687,
  [SMALL_STATE(7078)] = 259700,
  [SMALL_STATE(7079)] = 259710,
  [SMALL_STATE(7080)] = 259720,
  [SMALL_STATE(7081)] = 259728,
  [SMALL_STATE(7082)] = 259736,
  [SMALL_STATE(7083)] = 259746,
  [SMALL_STATE(7084)] = 259756,
  [SMALL_STATE(7085)] = 259766,
  [SMALL_STATE(7086)] = 259774,
  [SMALL_STATE(7087)] = 259784,
  [SMALL_STATE(7088)] = 259792,
  [SMALL_STATE(7089)] = 259802,
  [SMALL_STATE(7090)] = 259812,
  [SMALL_STATE(7091)] = 259822,
  [SMALL_STATE(7092)] = 259832,
  [SMALL_STATE(7093)] = 259840,
  [SMALL_STATE(7094)] = 259850,
  [SMALL_STATE(7095)] = 259860,
  [SMALL_STATE(7096)] = 259870,
  [SMALL_STATE(7097)] = 259880,
  [SMALL_STATE(7098)] = 259890,
  [SMALL_STATE(7099)] = 259900,
  [SMALL_STATE(7100)] = 259910,
  [SMALL_STATE(7101)] = 259918,
  [SMALL_STATE(7102)] = 259926,
  [SMALL_STATE(7103)] = 259936,
  [SMALL_STATE(7104)] = 259946,
  [SMALL_STATE(7105)] = 259956,
  [SMALL_STATE(7106)] = 259966,
  [SMALL_STATE(7107)] = 259976,
  [SMALL_STATE(7108)] = 259986,
  [SMALL_STATE(7109)] = 259996,
  [SMALL_STATE(7110)] = 260004,
  [SMALL_STATE(7111)] = 260012,
  [SMALL_STATE(7112)] = 260022,
  [SMALL_STATE(7113)] = 260032,
  [SMALL_STATE(7114)] = 260042,
  [SMALL_STATE(7115)] = 260050,
  [SMALL_STATE(7116)] = 260058,
  [SMALL_STATE(7117)] = 260066,
  [SMALL_STATE(7118)] = 260076,
  [SMALL_STATE(7119)] = 260086,
  [SMALL_STATE(7120)] = 260096,
  [SMALL_STATE(7121)] = 260106,
  [SMALL_STATE(7122)] = 260116,
  [SMALL_STATE(7123)] = 260126,
  [SMALL_STATE(7124)] = 260136,
  [SMALL_STATE(7125)] = 260146,
  [SMALL_STATE(7126)] = 260156,
  [SMALL_STATE(7127)] = 260166,
  [SMALL_STATE(7128)] = 260176,
  [SMALL_STATE(7129)] = 260186,
  [SMALL_STATE(7130)] = 260194,
  [SMALL_STATE(7131)] = 260204,
  [SMALL_STATE(7132)] = 260214,
  [SMALL_STATE(7133)] = 260224,
  [SMALL_STATE(7134)] = 260234,
  [SMALL_STATE(7135)] = 260244,
  [SMALL_STATE(7136)] = 260254,
  [SMALL_STATE(7137)] = 260264,
  [SMALL_STATE(7138)] = 260274,
  [SMALL_STATE(7139)] = 260284,
  [SMALL_STATE(7140)] = 260294,
  [SMALL_STATE(7141)] = 260304,
  [SMALL_STATE(7142)] = 260314,
  [SMALL_STATE(7143)] = 260324,
  [SMALL_STATE(7144)] = 260334,
  [SMALL_STATE(7145)] = 260344,
  [SMALL_STATE(7146)] = 260352,
  [SMALL_STATE(7147)] = 260362,
  [SMALL_STATE(7148)] = 260372,
  [SMALL_STATE(7149)] = 260382,
  [SMALL_STATE(7150)] = 260390,
  [SMALL_STATE(7151)] = 260400,
  [SMALL_STATE(7152)] = 260410,
  [SMALL_STATE(7153)] = 260420,
  [SMALL_STATE(7154)] = 260430,
  [SMALL_STATE(7155)] = 260440,
  [SMALL_STATE(7156)] = 260448,
  [SMALL_STATE(7157)] = 260458,
  [SMALL_STATE(7158)] = 260466,
  [SMALL_STATE(7159)] = 260474,
  [SMALL_STATE(7160)] = 260484,
  [SMALL_STATE(7161)] = 260494,
  [SMALL_STATE(7162)] = 260504,
  [SMALL_STATE(7163)] = 260514,
  [SMALL_STATE(7164)] = 260524,
  [SMALL_STATE(7165)] = 260532,
  [SMALL_STATE(7166)] = 260542,
  [SMALL_STATE(7167)] = 260552,
  [SMALL_STATE(7168)] = 260562,
  [SMALL_STATE(7169)] = 260572,
  [SMALL_STATE(7170)] = 260580,
  [SMALL_STATE(7171)] = 260590,
  [SMALL_STATE(7172)] = 260600,
  [SMALL_STATE(7173)] = 260610,
  [SMALL_STATE(7174)] = 260620,
  [SMALL_STATE(7175)] = 260630,
  [SMALL_STATE(7176)] = 260640,
  [SMALL_STATE(7177)] = 260650,
  [SMALL_STATE(7178)] = 260660,
  [SMALL_STATE(7179)] = 260670,
  [SMALL_STATE(7180)] = 260680,
  [SMALL_STATE(7181)] = 260690,
  [SMALL_STATE(7182)] = 260700,
  [SMALL_STATE(7183)] = 260710,
  [SMALL_STATE(7184)] = 260720,
  [SMALL_STATE(7185)] = 260730,
  [SMALL_STATE(7186)] = 260738,
  [SMALL_STATE(7187)] = 260748,
  [SMALL_STATE(7188)] = 260758,
  [SMALL_STATE(7189)] = 260768,
  [SMALL_STATE(7190)] = 260778,
  [SMALL_STATE(7191)] = 260788,
  [SMALL_STATE(7192)] = 260796,
  [SMALL_STATE(7193)] = 260806,
  [SMALL_STATE(7194)] = 260816,
  [SMALL_STATE(7195)] = 260826,
  [SMALL_STATE(7196)] = 260836,
  [SMALL_STATE(7197)] = 260846,
  [SMALL_STATE(7198)] = 260856,
  [SMALL_STATE(7199)] = 260866,
  [SMALL_STATE(7200)] = 260876,
  [SMALL_STATE(7201)] = 260886,
  [SMALL_STATE(7202)] = 260896,
  [SMALL_STATE(7203)] = 260906,
  [SMALL_STATE(7204)] = 260916,
  [SMALL_STATE(7205)] = 260924,
  [SMALL_STATE(7206)] = 260932,
  [SMALL_STATE(7207)] = 260942,
  [SMALL_STATE(7208)] = 260952,
  [SMALL_STATE(7209)] = 260962,
  [SMALL_STATE(7210)] = 260972,
  [SMALL_STATE(7211)] = 260982,
  [SMALL_STATE(7212)] = 260992,
  [SMALL_STATE(7213)] = 261002,
  [SMALL_STATE(7214)] = 261012,
  [SMALL_STATE(7215)] = 261022,
  [SMALL_STATE(7216)] = 261032,
  [SMALL_STATE(7217)] = 261042,
  [SMALL_STATE(7218)] = 261052,
  [SMALL_STATE(7219)] = 261062,
  [SMALL_STATE(7220)] = 261072,
  [SMALL_STATE(7221)] = 261082,
  [SMALL_STATE(7222)] = 261092,
  [SMALL_STATE(7223)] = 261102,
  [SMALL_STATE(7224)] = 261112,
  [SMALL_STATE(7225)] = 261122,
  [SMALL_STATE(7226)] = 261132,
  [SMALL_STATE(7227)] = 261142,
  [SMALL_STATE(7228)] = 261150,
  [SMALL_STATE(7229)] = 261160,
  [SMALL_STATE(7230)] = 261170,
  [SMALL_STATE(7231)] = 261180,
  [SMALL_STATE(7232)] = 261190,
  [SMALL_STATE(7233)] = 261200,
  [SMALL_STATE(7234)] = 261210,
  [SMALL_STATE(7235)] = 261220,
  [SMALL_STATE(7236)] = 261230,
  [SMALL_STATE(7237)] = 261240,
  [SMALL_STATE(7238)] = 261250,
  [SMALL_STATE(7239)] = 261260,
  [SMALL_STATE(7240)] = 261268,
  [SMALL_STATE(7241)] = 261278,
  [SMALL_STATE(7242)] = 261286,
  [SMALL_STATE(7243)] = 261294,
  [SMALL_STATE(7244)] = 261302,
  [SMALL_STATE(7245)] = 261312,
  [SMALL_STATE(7246)] = 261322,
  [SMALL_STATE(7247)] = 261332,
  [SMALL_STATE(7248)] = 261342,
  [SMALL_STATE(7249)] = 261352,
  [SMALL_STATE(7250)] = 261362,
  [SMALL_STATE(7251)] = 261372,
  [SMALL_STATE(7252)] = 261382,
  [SMALL_STATE(7253)] = 261392,
  [SMALL_STATE(7254)] = 261400,
  [SMALL_STATE(7255)] = 261410,
  [SMALL_STATE(7256)] = 261420,
  [SMALL_STATE(7257)] = 261430,
  [SMALL_STATE(7258)] = 261440,
  [SMALL_STATE(7259)] = 261450,
  [SMALL_STATE(7260)] = 261460,
  [SMALL_STATE(7261)] = 261470,
  [SMALL_STATE(7262)] = 261478,
  [SMALL_STATE(7263)] = 261488,
  [SMALL_STATE(7264)] = 261498,
  [SMALL_STATE(7265)] = 261508,
  [SMALL_STATE(7266)] = 261518,
  [SMALL_STATE(7267)] = 261528,
  [SMALL_STATE(7268)] = 261536,
  [SMALL_STATE(7269)] = 261546,
  [SMALL_STATE(7270)] = 261556,
  [SMALL_STATE(7271)] = 261566,
  [SMALL_STATE(7272)] = 261576,
  [SMALL_STATE(7273)] = 261586,
  [SMALL_STATE(7274)] = 261596,
  [SMALL_STATE(7275)] = 261606,
  [SMALL_STATE(7276)] = 261616,
  [SMALL_STATE(7277)] = 261626,
  [SMALL_STATE(7278)] = 261636,
  [SMALL_STATE(7279)] = 261646,
  [SMALL_STATE(7280)] = 261656,
  [SMALL_STATE(7281)] = 261666,
  [SMALL_STATE(7282)] = 261676,
  [SMALL_STATE(7283)] = 261686,
  [SMALL_STATE(7284)] = 261696,
  [SMALL_STATE(7285)] = 261704,
  [SMALL_STATE(7286)] = 261714,
  [SMALL_STATE(7287)] = 261724,
  [SMALL_STATE(7288)] = 261732,
  [SMALL_STATE(7289)] = 261742,
  [SMALL_STATE(7290)] = 261752,
  [SMALL_STATE(7291)] = 261762,
  [SMALL_STATE(7292)] = 261772,
  [SMALL_STATE(7293)] = 261782,
  [SMALL_STATE(7294)] = 261792,
  [SMALL_STATE(7295)] = 261802,
  [SMALL_STATE(7296)] = 261812,
  [SMALL_STATE(7297)] = 261822,
  [SMALL_STATE(7298)] = 261832,
  [SMALL_STATE(7299)] = 261842,
  [SMALL_STATE(7300)] = 261852,
  [SMALL_STATE(7301)] = 261862,
  [SMALL_STATE(7302)] = 261872,
  [SMALL_STATE(7303)] = 261882,
  [SMALL_STATE(7304)] = 261892,
  [SMALL_STATE(7305)] = 261902,
  [SMALL_STATE(7306)] = 261912,
  [SMALL_STATE(7307)] = 261922,
  [SMALL_STATE(7308)] = 261932,
  [SMALL_STATE(7309)] = 261942,
  [SMALL_STATE(7310)] = 261952,
  [SMALL_STATE(7311)] = 261962,
  [SMALL_STATE(7312)] = 261972,
  [SMALL_STATE(7313)] = 261982,
  [SMALL_STATE(7314)] = 261992,
  [SMALL_STATE(7315)] = 262002,
  [SMALL_STATE(7316)] = 262012,
  [SMALL_STATE(7317)] = 262022,
  [SMALL_STATE(7318)] = 262032,
  [SMALL_STATE(7319)] = 262042,
  [SMALL_STATE(7320)] = 262052,
  [SMALL_STATE(7321)] = 262060,
  [SMALL_STATE(7322)] = 262070,
  [SMALL_STATE(7323)] = 262080,
  [SMALL_STATE(7324)] = 262090,
  [SMALL_STATE(7325)] = 262100,
  [SMALL_STATE(7326)] = 262110,
  [SMALL_STATE(7327)] = 262120,
  [SMALL_STATE(7328)] = 262130,
  [SMALL_STATE(7329)] = 262140,
  [SMALL_STATE(7330)] = 262150,
  [SMALL_STATE(7331)] = 262160,
  [SMALL_STATE(7332)] = 262170,
  [SMALL_STATE(7333)] = 262180,
  [SMALL_STATE(7334)] = 262190,
  [SMALL_STATE(7335)] = 262200,
  [SMALL_STATE(7336)] = 262210,
  [SMALL_STATE(7337)] = 262220,
  [SMALL_STATE(7338)] = 262230,
  [SMALL_STATE(7339)] = 262240,
  [SMALL_STATE(7340)] = 262250,
  [SMALL_STATE(7341)] = 262260,
  [SMALL_STATE(7342)] = 262270,
  [SMALL_STATE(7343)] = 262280,
  [SMALL_STATE(7344)] = 262290,
  [SMALL_STATE(7345)] = 262300,
  [SMALL_STATE(7346)] = 262310,
  [SMALL_STATE(7347)] = 262318,
  [SMALL_STATE(7348)] = 262326,
  [SMALL_STATE(7349)] = 262336,
  [SMALL_STATE(7350)] = 262346,
  [SMALL_STATE(7351)] = 262356,
  [SMALL_STATE(7352)] = 262364,
  [SMALL_STATE(7353)] = 262374,
  [SMALL_STATE(7354)] = 262384,
  [SMALL_STATE(7355)] = 262392,
  [SMALL_STATE(7356)] = 262402,
  [SMALL_STATE(7357)] = 262412,
  [SMALL_STATE(7358)] = 262422,
  [SMALL_STATE(7359)] = 262432,
  [SMALL_STATE(7360)] = 262440,
  [SMALL_STATE(7361)] = 262450,
  [SMALL_STATE(7362)] = 262460,
  [SMALL_STATE(7363)] = 262470,
  [SMALL_STATE(7364)] = 262480,
  [SMALL_STATE(7365)] = 262490,
  [SMALL_STATE(7366)] = 262500,
  [SMALL_STATE(7367)] = 262510,
  [SMALL_STATE(7368)] = 262518,
  [SMALL_STATE(7369)] = 262528,
  [SMALL_STATE(7370)] = 262538,
  [SMALL_STATE(7371)] = 262548,
  [SMALL_STATE(7372)] = 262558,
  [SMALL_STATE(7373)] = 262566,
  [SMALL_STATE(7374)] = 262576,
  [SMALL_STATE(7375)] = 262586,
  [SMALL_STATE(7376)] = 262596,
  [SMALL_STATE(7377)] = 262606,
  [SMALL_STATE(7378)] = 262616,
  [SMALL_STATE(7379)] = 262626,
  [SMALL_STATE(7380)] = 262636,
  [SMALL_STATE(7381)] = 262646,
  [SMALL_STATE(7382)] = 262654,
  [SMALL_STATE(7383)] = 262664,
  [SMALL_STATE(7384)] = 262674,
  [SMALL_STATE(7385)] = 262684,
  [SMALL_STATE(7386)] = 262694,
  [SMALL_STATE(7387)] = 262702,
  [SMALL_STATE(7388)] = 262712,
  [SMALL_STATE(7389)] = 262722,
  [SMALL_STATE(7390)] = 262732,
  [SMALL_STATE(7391)] = 262742,
  [SMALL_STATE(7392)] = 262752,
  [SMALL_STATE(7393)] = 262762,
  [SMALL_STATE(7394)] = 262772,
  [SMALL_STATE(7395)] = 262782,
  [SMALL_STATE(7396)] = 262792,
  [SMALL_STATE(7397)] = 262802,
  [SMALL_STATE(7398)] = 262812,
  [SMALL_STATE(7399)] = 262822,
  [SMALL_STATE(7400)] = 262832,
  [SMALL_STATE(7401)] = 262842,
  [SMALL_STATE(7402)] = 262852,
  [SMALL_STATE(7403)] = 262862,
  [SMALL_STATE(7404)] = 262872,
  [SMALL_STATE(7405)] = 262882,
  [SMALL_STATE(7406)] = 262892,
  [SMALL_STATE(7407)] = 262902,
  [SMALL_STATE(7408)] = 262912,
  [SMALL_STATE(7409)] = 262922,
  [SMALL_STATE(7410)] = 262932,
  [SMALL_STATE(7411)] = 262942,
  [SMALL_STATE(7412)] = 262952,
  [SMALL_STATE(7413)] = 262962,
  [SMALL_STATE(7414)] = 262972,
  [SMALL_STATE(7415)] = 262982,
  [SMALL_STATE(7416)] = 262992,
  [SMALL_STATE(7417)] = 263002,
  [SMALL_STATE(7418)] = 263009,
  [SMALL_STATE(7419)] = 263016,
  [SMALL_STATE(7420)] = 263023,
  [SMALL_STATE(7421)] = 263030,
  [SMALL_STATE(7422)] = 263037,
  [SMALL_STATE(7423)] = 263044,
  [SMALL_STATE(7424)] = 263051,
  [SMALL_STATE(7425)] = 263058,
  [SMALL_STATE(7426)] = 263065,
  [SMALL_STATE(7427)] = 263072,
  [SMALL_STATE(7428)] = 263079,
  [SMALL_STATE(7429)] = 263086,
  [SMALL_STATE(7430)] = 263093,
  [SMALL_STATE(7431)] = 263100,
  [SMALL_STATE(7432)] = 263107,
  [SMALL_STATE(7433)] = 263114,
  [SMALL_STATE(7434)] = 263121,
  [SMALL_STATE(7435)] = 263128,
  [SMALL_STATE(7436)] = 263135,
  [SMALL_STATE(7437)] = 263142,
  [SMALL_STATE(7438)] = 263149,
  [SMALL_STATE(7439)] = 263156,
  [SMALL_STATE(7440)] = 263163,
  [SMALL_STATE(7441)] = 263170,
  [SMALL_STATE(7442)] = 263177,
  [SMALL_STATE(7443)] = 263184,
  [SMALL_STATE(7444)] = 263191,
  [SMALL_STATE(7445)] = 263198,
  [SMALL_STATE(7446)] = 263205,
  [SMALL_STATE(7447)] = 263212,
  [SMALL_STATE(7448)] = 263219,
  [SMALL_STATE(7449)] = 263226,
  [SMALL_STATE(7450)] = 263233,
  [SMALL_STATE(7451)] = 263240,
  [SMALL_STATE(7452)] = 263247,
  [SMALL_STATE(7453)] = 263254,
  [SMALL_STATE(7454)] = 263261,
  [SMALL_STATE(7455)] = 263268,
  [SMALL_STATE(7456)] = 263275,
  [SMALL_STATE(7457)] = 263282,
  [SMALL_STATE(7458)] = 263289,
  [SMALL_STATE(7459)] = 263296,
  [SMALL_STATE(7460)] = 263303,
  [SMALL_STATE(7461)] = 263310,
  [SMALL_STATE(7462)] = 263317,
  [SMALL_STATE(7463)] = 263324,
  [SMALL_STATE(7464)] = 263331,
  [SMALL_STATE(7465)] = 263338,
  [SMALL_STATE(7466)] = 263345,
  [SMALL_STATE(7467)] = 263352,
  [SMALL_STATE(7468)] = 263359,
  [SMALL_STATE(7469)] = 263366,
  [SMALL_STATE(7470)] = 263373,
  [SMALL_STATE(7471)] = 263380,
  [SMALL_STATE(7472)] = 263387,
  [SMALL_STATE(7473)] = 263394,
  [SMALL_STATE(7474)] = 263401,
  [SMALL_STATE(7475)] = 263408,
  [SMALL_STATE(7476)] = 263415,
  [SMALL_STATE(7477)] = 263422,
  [SMALL_STATE(7478)] = 263429,
  [SMALL_STATE(7479)] = 263436,
  [SMALL_STATE(7480)] = 263443,
  [SMALL_STATE(7481)] = 263450,
  [SMALL_STATE(7482)] = 263457,
  [SMALL_STATE(7483)] = 263464,
  [SMALL_STATE(7484)] = 263471,
  [SMALL_STATE(7485)] = 263478,
  [SMALL_STATE(7486)] = 263485,
  [SMALL_STATE(7487)] = 263492,
  [SMALL_STATE(7488)] = 263499,
  [SMALL_STATE(7489)] = 263506,
  [SMALL_STATE(7490)] = 263513,
  [SMALL_STATE(7491)] = 263520,
  [SMALL_STATE(7492)] = 263527,
  [SMALL_STATE(7493)] = 263534,
  [SMALL_STATE(7494)] = 263541,
  [SMALL_STATE(7495)] = 263548,
  [SMALL_STATE(7496)] = 263555,
  [SMALL_STATE(7497)] = 263562,
  [SMALL_STATE(7498)] = 263569,
  [SMALL_STATE(7499)] = 263576,
  [SMALL_STATE(7500)] = 263583,
  [SMALL_STATE(7501)] = 263590,
  [SMALL_STATE(7502)] = 263597,
  [SMALL_STATE(7503)] = 263604,
  [SMALL_STATE(7504)] = 263611,
  [SMALL_STATE(7505)] = 263618,
  [SMALL_STATE(7506)] = 263625,
  [SMALL_STATE(7507)] = 263632,
  [SMALL_STATE(7508)] = 263639,
  [SMALL_STATE(7509)] = 263646,
  [SMALL_STATE(7510)] = 263653,
  [SMALL_STATE(7511)] = 263660,
  [SMALL_STATE(7512)] = 263667,
  [SMALL_STATE(7513)] = 263674,
  [SMALL_STATE(7514)] = 263681,
  [SMALL_STATE(7515)] = 263688,
  [SMALL_STATE(7516)] = 263695,
  [SMALL_STATE(7517)] = 263702,
  [SMALL_STATE(7518)] = 263709,
  [SMALL_STATE(7519)] = 263716,
  [SMALL_STATE(7520)] = 263723,
  [SMALL_STATE(7521)] = 263730,
  [SMALL_STATE(7522)] = 263737,
  [SMALL_STATE(7523)] = 263744,
  [SMALL_STATE(7524)] = 263751,
  [SMALL_STATE(7525)] = 263758,
  [SMALL_STATE(7526)] = 263765,
  [SMALL_STATE(7527)] = 263772,
  [SMALL_STATE(7528)] = 263779,
  [SMALL_STATE(7529)] = 263786,
  [SMALL_STATE(7530)] = 263793,
  [SMALL_STATE(7531)] = 263800,
  [SMALL_STATE(7532)] = 263807,
  [SMALL_STATE(7533)] = 263814,
  [SMALL_STATE(7534)] = 263821,
  [SMALL_STATE(7535)] = 263828,
  [SMALL_STATE(7536)] = 263835,
  [SMALL_STATE(7537)] = 263842,
  [SMALL_STATE(7538)] = 263849,
  [SMALL_STATE(7539)] = 263856,
  [SMALL_STATE(7540)] = 263863,
  [SMALL_STATE(7541)] = 263870,
  [SMALL_STATE(7542)] = 263877,
  [SMALL_STATE(7543)] = 263884,
  [SMALL_STATE(7544)] = 263891,
  [SMALL_STATE(7545)] = 263898,
  [SMALL_STATE(7546)] = 263905,
  [SMALL_STATE(7547)] = 263912,
  [SMALL_STATE(7548)] = 263919,
  [SMALL_STATE(7549)] = 263926,
  [SMALL_STATE(7550)] = 263933,
  [SMALL_STATE(7551)] = 263940,
  [SMALL_STATE(7552)] = 263947,
  [SMALL_STATE(7553)] = 263954,
  [SMALL_STATE(7554)] = 263961,
  [SMALL_STATE(7555)] = 263968,
  [SMALL_STATE(7556)] = 263975,
  [SMALL_STATE(7557)] = 263982,
  [SMALL_STATE(7558)] = 263989,
  [SMALL_STATE(7559)] = 263996,
  [SMALL_STATE(7560)] = 264003,
  [SMALL_STATE(7561)] = 264010,
  [SMALL_STATE(7562)] = 264017,
  [SMALL_STATE(7563)] = 264024,
  [SMALL_STATE(7564)] = 264031,
  [SMALL_STATE(7565)] = 264038,
  [SMALL_STATE(7566)] = 264045,
  [SMALL_STATE(7567)] = 264052,
  [SMALL_STATE(7568)] = 264059,
  [SMALL_STATE(7569)] = 264066,
  [SMALL_STATE(7570)] = 264073,
  [SMALL_STATE(7571)] = 264080,
  [SMALL_STATE(7572)] = 264087,
  [SMALL_STATE(7573)] = 264094,
  [SMALL_STATE(7574)] = 264101,
  [SMALL_STATE(7575)] = 264108,
  [SMALL_STATE(7576)] = 264115,
  [SMALL_STATE(7577)] = 264122,
  [SMALL_STATE(7578)] = 264129,
  [SMALL_STATE(7579)] = 264136,
  [SMALL_STATE(7580)] = 264143,
  [SMALL_STATE(7581)] = 264150,
  [SMALL_STATE(7582)] = 264157,
  [SMALL_STATE(7583)] = 264164,
  [SMALL_STATE(7584)] = 264171,
  [SMALL_STATE(7585)] = 264178,
  [SMALL_STATE(7586)] = 264185,
  [SMALL_STATE(7587)] = 264192,
  [SMALL_STATE(7588)] = 264199,
  [SMALL_STATE(7589)] = 264206,
  [SMALL_STATE(7590)] = 264213,
  [SMALL_STATE(7591)] = 264220,
  [SMALL_STATE(7592)] = 264227,
  [SMALL_STATE(7593)] = 264234,
  [SMALL_STATE(7594)] = 264241,
  [SMALL_STATE(7595)] = 264248,
  [SMALL_STATE(7596)] = 264255,
  [SMALL_STATE(7597)] = 264262,
  [SMALL_STATE(7598)] = 264269,
  [SMALL_STATE(7599)] = 264276,
  [SMALL_STATE(7600)] = 264283,
  [SMALL_STATE(7601)] = 264290,
  [SMALL_STATE(7602)] = 264297,
  [SMALL_STATE(7603)] = 264304,
  [SMALL_STATE(7604)] = 264311,
  [SMALL_STATE(7605)] = 264318,
  [SMALL_STATE(7606)] = 264325,
  [SMALL_STATE(7607)] = 264332,
  [SMALL_STATE(7608)] = 264339,
  [SMALL_STATE(7609)] = 264346,
  [SMALL_STATE(7610)] = 264353,
  [SMALL_STATE(7611)] = 264360,
  [SMALL_STATE(7612)] = 264367,
  [SMALL_STATE(7613)] = 264374,
  [SMALL_STATE(7614)] = 264381,
  [SMALL_STATE(7615)] = 264388,
  [SMALL_STATE(7616)] = 264395,
  [SMALL_STATE(7617)] = 264402,
  [SMALL_STATE(7618)] = 264409,
  [SMALL_STATE(7619)] = 264416,
  [SMALL_STATE(7620)] = 264423,
  [SMALL_STATE(7621)] = 264430,
  [SMALL_STATE(7622)] = 264437,
  [SMALL_STATE(7623)] = 264444,
  [SMALL_STATE(7624)] = 264451,
  [SMALL_STATE(7625)] = 264458,
  [SMALL_STATE(7626)] = 264465,
  [SMALL_STATE(7627)] = 264472,
  [SMALL_STATE(7628)] = 264479,
  [SMALL_STATE(7629)] = 264486,
  [SMALL_STATE(7630)] = 264493,
  [SMALL_STATE(7631)] = 264500,
  [SMALL_STATE(7632)] = 264507,
  [SMALL_STATE(7633)] = 264514,
  [SMALL_STATE(7634)] = 264521,
  [SMALL_STATE(7635)] = 264528,
  [SMALL_STATE(7636)] = 264535,
  [SMALL_STATE(7637)] = 264542,
  [SMALL_STATE(7638)] = 264549,
  [SMALL_STATE(7639)] = 264556,
  [SMALL_STATE(7640)] = 264563,
  [SMALL_STATE(7641)] = 264570,
  [SMALL_STATE(7642)] = 264577,
  [SMALL_STATE(7643)] = 264584,
  [SMALL_STATE(7644)] = 264591,
  [SMALL_STATE(7645)] = 264598,
  [SMALL_STATE(7646)] = 264605,
  [SMALL_STATE(7647)] = 264612,
  [SMALL_STATE(7648)] = 264619,
  [SMALL_STATE(7649)] = 264626,
  [SMALL_STATE(7650)] = 264633,
  [SMALL_STATE(7651)] = 264640,
  [SMALL_STATE(7652)] = 264647,
  [SMALL_STATE(7653)] = 264654,
  [SMALL_STATE(7654)] = 264661,
  [SMALL_STATE(7655)] = 264668,
  [SMALL_STATE(7656)] = 264675,
  [SMALL_STATE(7657)] = 264682,
  [SMALL_STATE(7658)] = 264689,
  [SMALL_STATE(7659)] = 264696,
  [SMALL_STATE(7660)] = 264703,
  [SMALL_STATE(7661)] = 264710,
  [SMALL_STATE(7662)] = 264717,
  [SMALL_STATE(7663)] = 264724,
  [SMALL_STATE(7664)] = 264731,
  [SMALL_STATE(7665)] = 264738,
  [SMALL_STATE(7666)] = 264745,
  [SMALL_STATE(7667)] = 264752,
  [SMALL_STATE(7668)] = 264759,
  [SMALL_STATE(7669)] = 264766,
  [SMALL_STATE(7670)] = 264773,
  [SMALL_STATE(7671)] = 264780,
  [SMALL_STATE(7672)] = 264787,
  [SMALL_STATE(7673)] = 264794,
  [SMALL_STATE(7674)] = 264801,
  [SMALL_STATE(7675)] = 264808,
  [SMALL_STATE(7676)] = 264815,
  [SMALL_STATE(7677)] = 264822,
  [SMALL_STATE(7678)] = 264829,
  [SMALL_STATE(7679)] = 264836,
  [SMALL_STATE(7680)] = 264843,
  [SMALL_STATE(7681)] = 264850,
  [SMALL_STATE(7682)] = 264857,
  [SMALL_STATE(7683)] = 264864,
  [SMALL_STATE(7684)] = 264871,
  [SMALL_STATE(7685)] = 264878,
  [SMALL_STATE(7686)] = 264885,
  [SMALL_STATE(7687)] = 264892,
  [SMALL_STATE(7688)] = 264899,
  [SMALL_STATE(7689)] = 264906,
  [SMALL_STATE(7690)] = 264913,
  [SMALL_STATE(7691)] = 264920,
  [SMALL_STATE(7692)] = 264927,
  [SMALL_STATE(7693)] = 264934,
  [SMALL_STATE(7694)] = 264941,
  [SMALL_STATE(7695)] = 264948,
  [SMALL_STATE(7696)] = 264955,
  [SMALL_STATE(7697)] = 264962,
  [SMALL_STATE(7698)] = 264969,
  [SMALL_STATE(7699)] = 264976,
  [SMALL_STATE(7700)] = 264983,
  [SMALL_STATE(7701)] = 264990,
  [SMALL_STATE(7702)] = 264997,
  [SMALL_STATE(7703)] = 265004,
  [SMALL_STATE(7704)] = 265011,
  [SMALL_STATE(7705)] = 265018,
  [SMALL_STATE(7706)] = 265025,
  [SMALL_STATE(7707)] = 265032,
  [SMALL_STATE(7708)] = 265039,
  [SMALL_STATE(7709)] = 265046,
  [SMALL_STATE(7710)] = 265053,
  [SMALL_STATE(7711)] = 265060,
  [SMALL_STATE(7712)] = 265067,
  [SMALL_STATE(7713)] = 265074,
  [SMALL_STATE(7714)] = 265081,
  [SMALL_STATE(7715)] = 265088,
  [SMALL_STATE(7716)] = 265095,
  [SMALL_STATE(7717)] = 265102,
  [SMALL_STATE(7718)] = 265109,
  [SMALL_STATE(7719)] = 265116,
  [SMALL_STATE(7720)] = 265123,
  [SMALL_STATE(7721)] = 265130,
  [SMALL_STATE(7722)] = 265137,
  [SMALL_STATE(7723)] = 265144,
  [SMALL_STATE(7724)] = 265151,
  [SMALL_STATE(7725)] = 265158,
  [SMALL_STATE(7726)] = 265165,
  [SMALL_STATE(7727)] = 265172,
  [SMALL_STATE(7728)] = 265179,
  [SMALL_STATE(7729)] = 265186,
  [SMALL_STATE(7730)] = 265193,
  [SMALL_STATE(7731)] = 265200,
  [SMALL_STATE(7732)] = 265207,
  [SMALL_STATE(7733)] = 265214,
  [SMALL_STATE(7734)] = 265221,
  [SMALL_STATE(7735)] = 265228,
  [SMALL_STATE(7736)] = 265235,
  [SMALL_STATE(7737)] = 265242,
  [SMALL_STATE(7738)] = 265249,
  [SMALL_STATE(7739)] = 265256,
  [SMALL_STATE(7740)] = 265263,
  [SMALL_STATE(7741)] = 265270,
  [SMALL_STATE(7742)] = 265277,
  [SMALL_STATE(7743)] = 265284,
  [SMALL_STATE(7744)] = 265291,
  [SMALL_STATE(7745)] = 265298,
  [SMALL_STATE(7746)] = 265305,
  [SMALL_STATE(7747)] = 265312,
  [SMALL_STATE(7748)] = 265319,
  [SMALL_STATE(7749)] = 265326,
  [SMALL_STATE(7750)] = 265333,
  [SMALL_STATE(7751)] = 265340,
  [SMALL_STATE(7752)] = 265347,
  [SMALL_STATE(7753)] = 265354,
  [SMALL_STATE(7754)] = 265361,
  [SMALL_STATE(7755)] = 265368,
  [SMALL_STATE(7756)] = 265375,
  [SMALL_STATE(7757)] = 265382,
  [SMALL_STATE(7758)] = 265389,
  [SMALL_STATE(7759)] = 265396,
  [SMALL_STATE(7760)] = 265403,
  [SMALL_STATE(7761)] = 265410,
  [SMALL_STATE(7762)] = 265417,
  [SMALL_STATE(7763)] = 265424,
  [SMALL_STATE(7764)] = 265431,
  [SMALL_STATE(7765)] = 265438,
  [SMALL_STATE(7766)] = 265445,
  [SMALL_STATE(7767)] = 265452,
  [SMALL_STATE(7768)] = 265459,
  [SMALL_STATE(7769)] = 265466,
  [SMALL_STATE(7770)] = 265473,
  [SMALL_STATE(7771)] = 265480,
  [SMALL_STATE(7772)] = 265487,
  [SMALL_STATE(7773)] = 265494,
  [SMALL_STATE(7774)] = 265501,
  [SMALL_STATE(7775)] = 265508,
  [SMALL_STATE(7776)] = 265515,
  [SMALL_STATE(7777)] = 265522,
  [SMALL_STATE(7778)] = 265529,
  [SMALL_STATE(7779)] = 265536,
  [SMALL_STATE(7780)] = 265543,
  [SMALL_STATE(7781)] = 265550,
  [SMALL_STATE(7782)] = 265557,
  [SMALL_STATE(7783)] = 265564,
  [SMALL_STATE(7784)] = 265571,
  [SMALL_STATE(7785)] = 265578,
  [SMALL_STATE(7786)] = 265585,
  [SMALL_STATE(7787)] = 265592,
  [SMALL_STATE(7788)] = 265599,
  [SMALL_STATE(7789)] = 265606,
  [SMALL_STATE(7790)] = 265613,
  [SMALL_STATE(7791)] = 265620,
  [SMALL_STATE(7792)] = 265627,
  [SMALL_STATE(7793)] = 265634,
  [SMALL_STATE(7794)] = 265641,
  [SMALL_STATE(7795)] = 265648,
  [SMALL_STATE(7796)] = 265655,
  [SMALL_STATE(7797)] = 265662,
  [SMALL_STATE(7798)] = 265669,
  [SMALL_STATE(7799)] = 265676,
  [SMALL_STATE(7800)] = 265683,
  [SMALL_STATE(7801)] = 265690,
  [SMALL_STATE(7802)] = 265697,
  [SMALL_STATE(7803)] = 265704,
  [SMALL_STATE(7804)] = 265711,
  [SMALL_STATE(7805)] = 265718,
  [SMALL_STATE(7806)] = 265725,
  [SMALL_STATE(7807)] = 265732,
  [SMALL_STATE(7808)] = 265739,
  [SMALL_STATE(7809)] = 265746,
  [SMALL_STATE(7810)] = 265753,
  [SMALL_STATE(7811)] = 265760,
  [SMALL_STATE(7812)] = 265767,
  [SMALL_STATE(7813)] = 265774,
  [SMALL_STATE(7814)] = 265781,
  [SMALL_STATE(7815)] = 265788,
  [SMALL_STATE(7816)] = 265795,
  [SMALL_STATE(7817)] = 265802,
  [SMALL_STATE(7818)] = 265809,
  [SMALL_STATE(7819)] = 265816,
  [SMALL_STATE(7820)] = 265823,
  [SMALL_STATE(7821)] = 265830,
  [SMALL_STATE(7822)] = 265837,
  [SMALL_STATE(7823)] = 265844,
  [SMALL_STATE(7824)] = 265851,
  [SMALL_STATE(7825)] = 265858,
  [SMALL_STATE(7826)] = 265865,
  [SMALL_STATE(7827)] = 265872,
  [SMALL_STATE(7828)] = 265879,
  [SMALL_STATE(7829)] = 265886,
  [SMALL_STATE(7830)] = 265893,
  [SMALL_STATE(7831)] = 265900,
  [SMALL_STATE(7832)] = 265907,
  [SMALL_STATE(7833)] = 265914,
  [SMALL_STATE(7834)] = 265921,
  [SMALL_STATE(7835)] = 265928,
  [SMALL_STATE(7836)] = 265935,
  [SMALL_STATE(7837)] = 265942,
  [SMALL_STATE(7838)] = 265949,
  [SMALL_STATE(7839)] = 265956,
  [SMALL_STATE(7840)] = 265963,
  [SMALL_STATE(7841)] = 265970,
  [SMALL_STATE(7842)] = 265977,
  [SMALL_STATE(7843)] = 265984,
  [SMALL_STATE(7844)] = 265991,
  [SMALL_STATE(7845)] = 265998,
  [SMALL_STATE(7846)] = 266005,
  [SMALL_STATE(7847)] = 266012,
  [SMALL_STATE(7848)] = 266019,
  [SMALL_STATE(7849)] = 266026,
  [SMALL_STATE(7850)] = 266033,
  [SMALL_STATE(7851)] = 266040,
  [SMALL_STATE(7852)] = 266047,
  [SMALL_STATE(7853)] = 266054,
  [SMALL_STATE(7854)] = 266061,
  [SMALL_STATE(7855)] = 266068,
  [SMALL_STATE(7856)] = 266075,
  [SMALL_STATE(7857)] = 266082,
  [SMALL_STATE(7858)] = 266089,
  [SMALL_STATE(7859)] = 266096,
  [SMALL_STATE(7860)] = 266103,
  [SMALL_STATE(7861)] = 266110,
  [SMALL_STATE(7862)] = 266117,
  [SMALL_STATE(7863)] = 266124,
  [SMALL_STATE(7864)] = 266131,
  [SMALL_STATE(7865)] = 266138,
  [SMALL_STATE(7866)] = 266145,
  [SMALL_STATE(7867)] = 266152,
  [SMALL_STATE(7868)] = 266159,
  [SMALL_STATE(7869)] = 266166,
  [SMALL_STATE(7870)] = 266173,
  [SMALL_STATE(7871)] = 266180,
  [SMALL_STATE(7872)] = 266187,
  [SMALL_STATE(7873)] = 266194,
  [SMALL_STATE(7874)] = 266201,
  [SMALL_STATE(7875)] = 266208,
  [SMALL_STATE(7876)] = 266215,
  [SMALL_STATE(7877)] = 266222,
  [SMALL_STATE(7878)] = 266229,
  [SMALL_STATE(7879)] = 266236,
  [SMALL_STATE(7880)] = 266243,
  [SMALL_STATE(7881)] = 266250,
  [SMALL_STATE(7882)] = 266257,
  [SMALL_STATE(7883)] = 266264,
  [SMALL_STATE(7884)] = 266271,
  [SMALL_STATE(7885)] = 266278,
  [SMALL_STATE(7886)] = 266285,
  [SMALL_STATE(7887)] = 266292,
  [SMALL_STATE(7888)] = 266299,
  [SMALL_STATE(7889)] = 266306,
  [SMALL_STATE(7890)] = 266313,
  [SMALL_STATE(7891)] = 266320,
  [SMALL_STATE(7892)] = 266327,
  [SMALL_STATE(7893)] = 266334,
  [SMALL_STATE(7894)] = 266341,
  [SMALL_STATE(7895)] = 266348,
  [SMALL_STATE(7896)] = 266355,
  [SMALL_STATE(7897)] = 266362,
  [SMALL_STATE(7898)] = 266369,
  [SMALL_STATE(7899)] = 266376,
  [SMALL_STATE(7900)] = 266383,
  [SMALL_STATE(7901)] = 266390,
  [SMALL_STATE(7902)] = 266397,
  [SMALL_STATE(7903)] = 266404,
  [SMALL_STATE(7904)] = 266411,
  [SMALL_STATE(7905)] = 266418,
  [SMALL_STATE(7906)] = 266425,
  [SMALL_STATE(7907)] = 266432,
  [SMALL_STATE(7908)] = 266439,
  [SMALL_STATE(7909)] = 266446,
  [SMALL_STATE(7910)] = 266453,
  [SMALL_STATE(7911)] = 266460,
  [SMALL_STATE(7912)] = 266467,
  [SMALL_STATE(7913)] = 266474,
  [SMALL_STATE(7914)] = 266481,
  [SMALL_STATE(7915)] = 266488,
  [SMALL_STATE(7916)] = 266495,
  [SMALL_STATE(7917)] = 266502,
  [SMALL_STATE(7918)] = 266509,
  [SMALL_STATE(7919)] = 266516,
  [SMALL_STATE(7920)] = 266523,
  [SMALL_STATE(7921)] = 266530,
  [SMALL_STATE(7922)] = 266537,
  [SMALL_STATE(7923)] = 266544,
  [SMALL_STATE(7924)] = 266551,
  [SMALL_STATE(7925)] = 266558,
  [SMALL_STATE(7926)] = 266565,
  [SMALL_STATE(7927)] = 266572,
  [SMALL_STATE(7928)] = 266579,
  [SMALL_STATE(7929)] = 266586,
  [SMALL_STATE(7930)] = 266593,
  [SMALL_STATE(7931)] = 266600,
  [SMALL_STATE(7932)] = 266607,
  [SMALL_STATE(7933)] = 266614,
  [SMALL_STATE(7934)] = 266621,
  [SMALL_STATE(7935)] = 266628,
  [SMALL_STATE(7936)] = 266635,
  [SMALL_STATE(7937)] = 266642,
  [SMALL_STATE(7938)] = 266649,
  [SMALL_STATE(7939)] = 266656,
  [SMALL_STATE(7940)] = 266663,
  [SMALL_STATE(7941)] = 266670,
  [SMALL_STATE(7942)] = 266677,
  [SMALL_STATE(7943)] = 266684,
  [SMALL_STATE(7944)] = 266691,
  [SMALL_STATE(7945)] = 266698,
  [SMALL_STATE(7946)] = 266705,
  [SMALL_STATE(7947)] = 266712,
  [SMALL_STATE(7948)] = 266719,
  [SMALL_STATE(7949)] = 266726,
  [SMALL_STATE(7950)] = 266733,
  [SMALL_STATE(7951)] = 266740,
  [SMALL_STATE(7952)] = 266747,
  [SMALL_STATE(7953)] = 266754,
  [SMALL_STATE(7954)] = 266761,
  [SMALL_STATE(7955)] = 266768,
  [SMALL_STATE(7956)] = 266775,
  [SMALL_STATE(7957)] = 266782,
  [SMALL_STATE(7958)] = 266789,
  [SMALL_STATE(7959)] = 266796,
  [SMALL_STATE(7960)] = 266803,
  [SMALL_STATE(7961)] = 266810,
  [SMALL_STATE(7962)] = 266817,
  [SMALL_STATE(7963)] = 266824,
  [SMALL_STATE(7964)] = 266831,
  [SMALL_STATE(7965)] = 266838,
  [SMALL_STATE(7966)] = 266845,
  [SMALL_STATE(7967)] = 266852,
  [SMALL_STATE(7968)] = 266859,
  [SMALL_STATE(7969)] = 266866,
  [SMALL_STATE(7970)] = 266873,
  [SMALL_STATE(7971)] = 266880,
  [SMALL_STATE(7972)] = 266887,
  [SMALL_STATE(7973)] = 266894,
  [SMALL_STATE(7974)] = 266901,
  [SMALL_STATE(7975)] = 266908,
  [SMALL_STATE(7976)] = 266915,
  [SMALL_STATE(7977)] = 266922,
  [SMALL_STATE(7978)] = 266929,
  [SMALL_STATE(7979)] = 266936,
  [SMALL_STATE(7980)] = 266943,
  [SMALL_STATE(7981)] = 266950,
  [SMALL_STATE(7982)] = 266957,
  [SMALL_STATE(7983)] = 266964,
  [SMALL_STATE(7984)] = 266971,
  [SMALL_STATE(7985)] = 266978,
  [SMALL_STATE(7986)] = 266985,
  [SMALL_STATE(7987)] = 266992,
  [SMALL_STATE(7988)] = 266999,
  [SMALL_STATE(7989)] = 267006,
  [SMALL_STATE(7990)] = 267013,
  [SMALL_STATE(7991)] = 267020,
  [SMALL_STATE(7992)] = 267027,
  [SMALL_STATE(7993)] = 267034,
  [SMALL_STATE(7994)] = 267041,
  [SMALL_STATE(7995)] = 267048,
  [SMALL_STATE(7996)] = 267055,
  [SMALL_STATE(7997)] = 267062,
  [SMALL_STATE(7998)] = 267069,
  [SMALL_STATE(7999)] = 267076,
  [SMALL_STATE(8000)] = 267083,
  [SMALL_STATE(8001)] = 267090,
  [SMALL_STATE(8002)] = 267097,
  [SMALL_STATE(8003)] = 267104,
  [SMALL_STATE(8004)] = 267111,
  [SMALL_STATE(8005)] = 267118,
  [SMALL_STATE(8006)] = 267125,
  [SMALL_STATE(8007)] = 267132,
  [SMALL_STATE(8008)] = 267139,
  [SMALL_STATE(8009)] = 267146,
  [SMALL_STATE(8010)] = 267153,
  [SMALL_STATE(8011)] = 267160,
  [SMALL_STATE(8012)] = 267167,
  [SMALL_STATE(8013)] = 267174,
  [SMALL_STATE(8014)] = 267181,
  [SMALL_STATE(8015)] = 267188,
  [SMALL_STATE(8016)] = 267195,
  [SMALL_STATE(8017)] = 267202,
  [SMALL_STATE(8018)] = 267209,
  [SMALL_STATE(8019)] = 267216,
  [SMALL_STATE(8020)] = 267223,
  [SMALL_STATE(8021)] = 267230,
  [SMALL_STATE(8022)] = 267237,
  [SMALL_STATE(8023)] = 267244,
  [SMALL_STATE(8024)] = 267251,
  [SMALL_STATE(8025)] = 267258,
  [SMALL_STATE(8026)] = 267265,
  [SMALL_STATE(8027)] = 267272,
  [SMALL_STATE(8028)] = 267279,
  [SMALL_STATE(8029)] = 267286,
  [SMALL_STATE(8030)] = 267293,
  [SMALL_STATE(8031)] = 267300,
  [SMALL_STATE(8032)] = 267307,
  [SMALL_STATE(8033)] = 267314,
  [SMALL_STATE(8034)] = 267321,
  [SMALL_STATE(8035)] = 267328,
  [SMALL_STATE(8036)] = 267335,
  [SMALL_STATE(8037)] = 267342,
  [SMALL_STATE(8038)] = 267349,
  [SMALL_STATE(8039)] = 267356,
  [SMALL_STATE(8040)] = 267363,
  [SMALL_STATE(8041)] = 267370,
  [SMALL_STATE(8042)] = 267377,
  [SMALL_STATE(8043)] = 267384,
  [SMALL_STATE(8044)] = 267391,
  [SMALL_STATE(8045)] = 267398,
  [SMALL_STATE(8046)] = 267405,
  [SMALL_STATE(8047)] = 267412,
  [SMALL_STATE(8048)] = 267419,
  [SMALL_STATE(8049)] = 267426,
  [SMALL_STATE(8050)] = 267433,
  [SMALL_STATE(8051)] = 267440,
  [SMALL_STATE(8052)] = 267447,
  [SMALL_STATE(8053)] = 267454,
  [SMALL_STATE(8054)] = 267461,
  [SMALL_STATE(8055)] = 267468,
  [SMALL_STATE(8056)] = 267475,
  [SMALL_STATE(8057)] = 267482,
  [SMALL_STATE(8058)] = 267489,
  [SMALL_STATE(8059)] = 267496,
  [SMALL_STATE(8060)] = 267503,
  [SMALL_STATE(8061)] = 267510,
  [SMALL_STATE(8062)] = 267517,
  [SMALL_STATE(8063)] = 267524,
  [SMALL_STATE(8064)] = 267531,
  [SMALL_STATE(8065)] = 267538,
  [SMALL_STATE(8066)] = 267545,
  [SMALL_STATE(8067)] = 267552,
  [SMALL_STATE(8068)] = 267559,
  [SMALL_STATE(8069)] = 267566,
  [SMALL_STATE(8070)] = 267573,
  [SMALL_STATE(8071)] = 267580,
  [SMALL_STATE(8072)] = 267587,
  [SMALL_STATE(8073)] = 267594,
  [SMALL_STATE(8074)] = 267601,
  [SMALL_STATE(8075)] = 267608,
  [SMALL_STATE(8076)] = 267615,
  [SMALL_STATE(8077)] = 267622,
  [SMALL_STATE(8078)] = 267629,
  [SMALL_STATE(8079)] = 267636,
  [SMALL_STATE(8080)] = 267643,
  [SMALL_STATE(8081)] = 267650,
  [SMALL_STATE(8082)] = 267657,
  [SMALL_STATE(8083)] = 267664,
  [SMALL_STATE(8084)] = 267671,
  [SMALL_STATE(8085)] = 267678,
  [SMALL_STATE(8086)] = 267685,
  [SMALL_STATE(8087)] = 267692,
  [SMALL_STATE(8088)] = 267699,
  [SMALL_STATE(8089)] = 267706,
  [SMALL_STATE(8090)] = 267713,
  [SMALL_STATE(8091)] = 267720,
  [SMALL_STATE(8092)] = 267727,
  [SMALL_STATE(8093)] = 267734,
  [SMALL_STATE(8094)] = 267741,
  [SMALL_STATE(8095)] = 267748,
  [SMALL_STATE(8096)] = 267755,
  [SMALL_STATE(8097)] = 267762,
  [SMALL_STATE(8098)] = 267769,
  [SMALL_STATE(8099)] = 267776,
  [SMALL_STATE(8100)] = 267783,
  [SMALL_STATE(8101)] = 267790,
  [SMALL_STATE(8102)] = 267797,
  [SMALL_STATE(8103)] = 267804,
  [SMALL_STATE(8104)] = 267811,
  [SMALL_STATE(8105)] = 267818,
  [SMALL_STATE(8106)] = 267825,
  [SMALL_STATE(8107)] = 267832,
  [SMALL_STATE(8108)] = 267839,
  [SMALL_STATE(8109)] = 267846,
  [SMALL_STATE(8110)] = 267853,
  [SMALL_STATE(8111)] = 267860,
  [SMALL_STATE(8112)] = 267867,
  [SMALL_STATE(8113)] = 267874,
  [SMALL_STATE(8114)] = 267881,
  [SMALL_STATE(8115)] = 267888,
  [SMALL_STATE(8116)] = 267895,
  [SMALL_STATE(8117)] = 267902,
  [SMALL_STATE(8118)] = 267909,
  [SMALL_STATE(8119)] = 267916,
  [SMALL_STATE(8120)] = 267923,
  [SMALL_STATE(8121)] = 267930,
  [SMALL_STATE(8122)] = 267937,
  [SMALL_STATE(8123)] = 267944,
  [SMALL_STATE(8124)] = 267951,
  [SMALL_STATE(8125)] = 267958,
  [SMALL_STATE(8126)] = 267965,
  [SMALL_STATE(8127)] = 267972,
  [SMALL_STATE(8128)] = 267979,
  [SMALL_STATE(8129)] = 267986,
  [SMALL_STATE(8130)] = 267993,
  [SMALL_STATE(8131)] = 268000,
  [SMALL_STATE(8132)] = 268007,
  [SMALL_STATE(8133)] = 268014,
  [SMALL_STATE(8134)] = 268021,
  [SMALL_STATE(8135)] = 268028,
  [SMALL_STATE(8136)] = 268035,
  [SMALL_STATE(8137)] = 268042,
  [SMALL_STATE(8138)] = 268049,
  [SMALL_STATE(8139)] = 268056,
  [SMALL_STATE(8140)] = 268063,
  [SMALL_STATE(8141)] = 268070,
  [SMALL_STATE(8142)] = 268077,
  [SMALL_STATE(8143)] = 268084,
  [SMALL_STATE(8144)] = 268091,
  [SMALL_STATE(8145)] = 268098,
  [SMALL_STATE(8146)] = 268105,
  [SMALL_STATE(8147)] = 268112,
  [SMALL_STATE(8148)] = 268119,
  [SMALL_STATE(8149)] = 268126,
  [SMALL_STATE(8150)] = 268133,
  [SMALL_STATE(8151)] = 268140,
  [SMALL_STATE(8152)] = 268147,
  [SMALL_STATE(8153)] = 268154,
  [SMALL_STATE(8154)] = 268161,
  [SMALL_STATE(8155)] = 268168,
  [SMALL_STATE(8156)] = 268175,
  [SMALL_STATE(8157)] = 268182,
  [SMALL_STATE(8158)] = 268189,
  [SMALL_STATE(8159)] = 268196,
  [SMALL_STATE(8160)] = 268203,
  [SMALL_STATE(8161)] = 268210,
  [SMALL_STATE(8162)] = 268217,
  [SMALL_STATE(8163)] = 268224,
  [SMALL_STATE(8164)] = 268231,
  [SMALL_STATE(8165)] = 268238,
  [SMALL_STATE(8166)] = 268245,
  [SMALL_STATE(8167)] = 268252,
  [SMALL_STATE(8168)] = 268259,
  [SMALL_STATE(8169)] = 268266,
  [SMALL_STATE(8170)] = 268273,
  [SMALL_STATE(8171)] = 268280,
  [SMALL_STATE(8172)] = 268287,
  [SMALL_STATE(8173)] = 268294,
  [SMALL_STATE(8174)] = 268301,
  [SMALL_STATE(8175)] = 268308,
  [SMALL_STATE(8176)] = 268315,
  [SMALL_STATE(8177)] = 268322,
  [SMALL_STATE(8178)] = 268329,
  [SMALL_STATE(8179)] = 268336,
  [SMALL_STATE(8180)] = 268343,
  [SMALL_STATE(8181)] = 268350,
  [SMALL_STATE(8182)] = 268357,
  [SMALL_STATE(8183)] = 268364,
  [SMALL_STATE(8184)] = 268371,
  [SMALL_STATE(8185)] = 268378,
  [SMALL_STATE(8186)] = 268385,
  [SMALL_STATE(8187)] = 268392,
  [SMALL_STATE(8188)] = 268399,
  [SMALL_STATE(8189)] = 268406,
  [SMALL_STATE(8190)] = 268413,
  [SMALL_STATE(8191)] = 268420,
  [SMALL_STATE(8192)] = 268427,
  [SMALL_STATE(8193)] = 268434,
  [SMALL_STATE(8194)] = 268441,
  [SMALL_STATE(8195)] = 268448,
  [SMALL_STATE(8196)] = 268455,
  [SMALL_STATE(8197)] = 268462,
  [SMALL_STATE(8198)] = 268469,
  [SMALL_STATE(8199)] = 268476,
  [SMALL_STATE(8200)] = 268483,
  [SMALL_STATE(8201)] = 268490,
  [SMALL_STATE(8202)] = 268497,
  [SMALL_STATE(8203)] = 268504,
  [SMALL_STATE(8204)] = 268511,
  [SMALL_STATE(8205)] = 268518,
  [SMALL_STATE(8206)] = 268525,
  [SMALL_STATE(8207)] = 268532,
  [SMALL_STATE(8208)] = 268539,
  [SMALL_STATE(8209)] = 268546,
  [SMALL_STATE(8210)] = 268553,
  [SMALL_STATE(8211)] = 268560,
  [SMALL_STATE(8212)] = 268567,
  [SMALL_STATE(8213)] = 268574,
  [SMALL_STATE(8214)] = 268581,
  [SMALL_STATE(8215)] = 268588,
  [SMALL_STATE(8216)] = 268595,
  [SMALL_STATE(8217)] = 268602,
  [SMALL_STATE(8218)] = 268609,
  [SMALL_STATE(8219)] = 268616,
  [SMALL_STATE(8220)] = 268623,
  [SMALL_STATE(8221)] = 268630,
  [SMALL_STATE(8222)] = 268637,
  [SMALL_STATE(8223)] = 268644,
  [SMALL_STATE(8224)] = 268651,
  [SMALL_STATE(8225)] = 268658,
  [SMALL_STATE(8226)] = 268665,
  [SMALL_STATE(8227)] = 268672,
  [SMALL_STATE(8228)] = 268679,
  [SMALL_STATE(8229)] = 268686,
  [SMALL_STATE(8230)] = 268693,
  [SMALL_STATE(8231)] = 268700,
  [SMALL_STATE(8232)] = 268707,
  [SMALL_STATE(8233)] = 268714,
  [SMALL_STATE(8234)] = 268721,
  [SMALL_STATE(8235)] = 268728,
  [SMALL_STATE(8236)] = 268735,
  [SMALL_STATE(8237)] = 268742,
  [SMALL_STATE(8238)] = 268749,
  [SMALL_STATE(8239)] = 268756,
  [SMALL_STATE(8240)] = 268763,
  [SMALL_STATE(8241)] = 268770,
  [SMALL_STATE(8242)] = 268777,
  [SMALL_STATE(8243)] = 268784,
  [SMALL_STATE(8244)] = 268791,
  [SMALL_STATE(8245)] = 268798,
  [SMALL_STATE(8246)] = 268805,
  [SMALL_STATE(8247)] = 268812,
  [SMALL_STATE(8248)] = 268819,
  [SMALL_STATE(8249)] = 268826,
  [SMALL_STATE(8250)] = 268833,
  [SMALL_STATE(8251)] = 268840,
  [SMALL_STATE(8252)] = 268847,
  [SMALL_STATE(8253)] = 268854,
  [SMALL_STATE(8254)] = 268861,
  [SMALL_STATE(8255)] = 268868,
  [SMALL_STATE(8256)] = 268875,
  [SMALL_STATE(8257)] = 268882,
  [SMALL_STATE(8258)] = 268889,
  [SMALL_STATE(8259)] = 268896,
  [SMALL_STATE(8260)] = 268903,
  [SMALL_STATE(8261)] = 268910,
  [SMALL_STATE(8262)] = 268917,
  [SMALL_STATE(8263)] = 268924,
  [SMALL_STATE(8264)] = 268931,
  [SMALL_STATE(8265)] = 268938,
  [SMALL_STATE(8266)] = 268945,
  [SMALL_STATE(8267)] = 268952,
  [SMALL_STATE(8268)] = 268959,
  [SMALL_STATE(8269)] = 268966,
  [SMALL_STATE(8270)] = 268973,
  [SMALL_STATE(8271)] = 268980,
  [SMALL_STATE(8272)] = 268987,
  [SMALL_STATE(8273)] = 268994,
  [SMALL_STATE(8274)] = 269001,
  [SMALL_STATE(8275)] = 269008,
  [SMALL_STATE(8276)] = 269015,
  [SMALL_STATE(8277)] = 269022,
  [SMALL_STATE(8278)] = 269029,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7902),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7304),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6930),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7878),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7159),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7522),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7640),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8124),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7630),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7861),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7873),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6865),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7127),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7337),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8269),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7343),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8125),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8126),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6813),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7175),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7796),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8094),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7700),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7187),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(831),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6199),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8125),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5421),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8126),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7416),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5020),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(834),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(242),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3585),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6130),
  [435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7328),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7534),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7304),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3720),
  [447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2475),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1025),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2976),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2477),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5883),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4927),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4963),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4904),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6813),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7175),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7796),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7340),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8094),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(948),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7700),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8151),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7187),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7916),
  [522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7615),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7640),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6331),
  [540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4045),
  [543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7045),
  [546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6655),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3802),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3760),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8124),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4973),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1533),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7179),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1275),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6180),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6046),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8179),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8180),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1413),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7325),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4718),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5104),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6193),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7863),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5397),
  [634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7873),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7352),
  [640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3643),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3061),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6865),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7331),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7577),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7127),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7779),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7595),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7596),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7965),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7337),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8269),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1532),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7343),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1078),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6204),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6103),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8095),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8096),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1389),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7580),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7498),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6899),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7177),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6175),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7580),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5285),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7498),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7260),
  [866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3600),
  [875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2996),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6899),
  [887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7224),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1429),
  [893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7177),
  [899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8178),
  [905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(940),
  [908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7907),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7507),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7230),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7500),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1530),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7226),
  [929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1144),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6176),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6117),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8193),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(838),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6190),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8182),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5446),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8016),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7361),
  [998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [1001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [1004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [1013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5020),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(834),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3617),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2598),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [1034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6130),
  [1037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7328),
  [1040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7534),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7304),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3720),
  [1049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2475),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1025),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3069),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2477),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5883),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4927),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4963),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4904),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6930),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7139),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1265),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7878),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7159),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7783),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8174),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7522),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8187),
  [1118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7615),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7640),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6331),
  [1136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4617),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7045),
  [1142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6655),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4656),
  [1148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3760),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8124),
  [1157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [1160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4973),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [1166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [1169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7113),
  [1172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1275),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [1178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6210),
  [1181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6114),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7630),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7861),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1449),
  [1196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7325),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4718),
  [1205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5104),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(138),
  [1240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [1243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [1246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [1254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(242),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [1260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3585),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1923),
  [1266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [1272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6130),
  [1275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7173),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7534),
  [1281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2475),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(974),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2477),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5883),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4927),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4963),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4904),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6813),
  [1314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7175),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7340),
  [1320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8094),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(948),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [1332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7700),
  [1335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8151),
  [1338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7187),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7916),
  [1344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7615),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7640),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6331),
  [1362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4045),
  [1365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7045),
  [1368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6655),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3802),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3760),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8124),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4973),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7363),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7179),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1275),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1413),
  [1404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7325),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4718),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5104),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8023),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3643),
  [1454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6865),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7331),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7127),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7779),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7595),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7596),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7965),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7337),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8269),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7343),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1078),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1389),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [1509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3617),
  [1518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6930),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7139),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7159),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7783),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8174),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7522),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8187),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7380),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8023),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7113),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1449),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3600),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6899),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7224),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7177),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8178),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(940),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7907),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7507),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7230),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7500),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7226),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1144),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [1623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8191),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7650),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7251),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7707),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7693),
  [1672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [1675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [1678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3595),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [1687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6937),
  [1690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7247),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7225),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8191),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(937),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7649),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7585),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7251),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7707),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7265),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1153),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6981),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7281),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7307),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7782),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8273),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7784),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7484),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5895),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6593),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8274),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6353),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [2024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2014),
  [2027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(138),
  [2030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1348),
  [2033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1348),
  [2036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1307),
  [2039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(242),
  [2042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1308),
  [2045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6130),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7173),
  [2051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(79),
  [2054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(974),
  [2057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6449),
  [2060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6813),
  [2063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7175),
  [2066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1421),
  [2069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7796),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7340),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(214),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8094),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(948),
  [2084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7699),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7700),
  [2090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8151),
  [2093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7187),
  [2096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7916),
  [2099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1218),
  [2102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1133),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7456),
  [2108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7615),
  [2111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7640),
  [2114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6331),
  [2117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4045),
  [2120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7045),
  [2123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6655),
  [2126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3802),
  [2129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3760),
  [2132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7657),
  [2135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7363),
  [2138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7179),
  [2141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1275),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1123),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1124),
  [2150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1413),
  [2153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7325),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1184),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4718),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5104),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2016),
  [2170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(426),
  [2173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(47),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6981),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7139),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1412),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7693),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7281),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(186),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7958),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(951),
  [2200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8174),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7522),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8187),
  [2209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7307),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8269),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7113),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1146),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1169),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1449),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2027),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(472),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(57),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6899),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7224),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1429),
  [2247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7646),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7177),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(215),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8178),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(940),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7907),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7917),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7507),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7230),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7500),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7226),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1144),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1145),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1422),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2070),
  [2292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6865),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7331),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1388),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7577),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7127),
  [2310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(210),
  [2313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7779),
  [2316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(949),
  [2319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7595),
  [2322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7596),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7965),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7337),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7343),
  [2334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1078),
  [2337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1079),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1389),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2040),
  [2348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(843),
  [2351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(61),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6937),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7247),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7225),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(184),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8191),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(937),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7649),
  [2375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7650),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7585),
  [2381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7251),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7707),
  [2387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7265),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1152),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1153),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1430),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6616),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2004),
  [2410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(483),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6930),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1265),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7878),
  [2422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7159),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7783),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7380),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8023),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6362),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1855),
  [2512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(138),
  [2515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1348),
  [2518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1307),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1307),
  [2526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1308),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3541),
  [2531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6130),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(974),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6449),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7657),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7363),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7988),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8248),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8011),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5100),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 167),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 167),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [2820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7235),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7093),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1855),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1308),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6130),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6449),
  [2935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7657),
  [2938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7363),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1855),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1308),
  [2961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6130),
  [2964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6449),
  [2967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7657),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7363),
  [2973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7093),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7778),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [2998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [3002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7326),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [3023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [3025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [3027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [3029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [3071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [3087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [3091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [3093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1855),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1308),
  [3109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6130),
  [3112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6449),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7657),
  [3118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7363),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [3135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [3143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [3155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [3163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7865),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7388),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7672),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [3313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1924),
  [3316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1269),
  [3319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6147),
  [3322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6533),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3782),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7637),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5402),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7524),
  [3339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7388),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4613),
  [3345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7820),
  [3348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2832),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5020),
  [3354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5020),
  [3357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(633),
  [3360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [3363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3604),
  [3366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [3369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [3372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [3375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5158),
  [3378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7222),
  [3381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7534),
  [3384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7304),
  [3387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2475),
  [3390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7444),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3010),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5809),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4838),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4839),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4840),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8124),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4964),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6571),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1592),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7672),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6036),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8209),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8064),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [3517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7688),
  [3520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5423),
  [3523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7426),
  [3526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7385),
  [3529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(754),
  [3532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [3535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3606),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [3541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6586),
  [3544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1603),
  [3547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6047),
  [3550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7688),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5423),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7426),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7497),
  [3616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5447),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8064),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7094),
  [3625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2980),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3590),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [3639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6585),
  [3642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1580),
  [3645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6090),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8192),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6509),
  [3741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2118),
  [3788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1215),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6128),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6509),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2041),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1445),
  [3803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6159),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6616),
  [3809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8185),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8196),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [3977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1610),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(154),
  [3983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1237),
  [3986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1387),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6136),
  [3992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(974),
  [3995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(141),
  [3998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1185),
  [4001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1386),
  [4004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1386),
  [4007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4025] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(276),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [4044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [4051] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7272),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2144),
  [4066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(153),
  [4069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1447),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1447),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1390),
  [4078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6132),
  [4081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1448),
  [4084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1180),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7456),
  [4090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7615),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7640),
  [4096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6331),
  [4099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4045),
  [4102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7045),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6655),
  [4108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3802),
  [4111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3760),
  [4114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1450),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7325),
  [4120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1451),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4783),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5104),
  [4129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7272),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [4184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [4187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(138),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [4193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [4196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [4199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [4202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1308),
  [4205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6130),
  [4208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1248),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(974),
  [4216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6449),
  [4219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [4222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [4225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [4228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7615),
  [4231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7640),
  [4234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6331),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4045),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7045),
  [4243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6655),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3802),
  [4249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3760),
  [4252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7657),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7363),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1275),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7325),
  [4267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [4270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4718),
  [4273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5104),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [4326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(245),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7790),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8132),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7578),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [4427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7913),
  [4430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8278),
  [4433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7936),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7915),
  [4447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7918),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7919),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7921),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7906),
  [4469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7922),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7933),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7935),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [4534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7818),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [4583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7892),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [4596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7822),
  [4599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7828),
  [4602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7829),
  [4605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7832),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7834),
  [4611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7836),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7837),
  [4617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7838),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7840),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7844),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7846),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7852),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7855),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7893),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7894),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7895),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7900),
  [4647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7937),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7940),
  [4653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7941),
  [4656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7942),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7943),
  [4662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7946),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7476),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8001),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7877),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7758),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7594),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(284),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [4893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [4918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(277),
  [4921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [4929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(277),
  [4932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(235),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(241),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(263),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [4999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [5011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [5053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [5087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [5097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [5111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(239),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [5121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6541),
  [5128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7402),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [5133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [5143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [5161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1627),
  [5164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7987),
  [5167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7285),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7285),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(235),
  [5195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [5207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7775),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [5252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(261),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [5263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [5341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(253),
  [5388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7255),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [5430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [5478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7295),
  [5511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(239),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7255),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [5573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [5577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(239),
  [5580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [5602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(284),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [5631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1863),
  [5646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [5672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(256),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [5677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1927),
  [5680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6468),
  [5683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7400),
  [5686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(7581),
  [5689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(5814),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [5706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [5709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6473),
  [5712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7414),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [5748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(253),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [5755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [5762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6458),
  [5765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7410),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [5780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [5794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [5824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2208),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [5833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [5837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [5877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7263),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5167),
  [5920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [5926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [5936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2200),
  [5955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [5965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [5975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [5981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [5989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2246),
  [5992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6452),
  [5995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7409),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [6006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [6008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(239),
  [6011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [6021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [6031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(239),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [6044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [6060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [6070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2332),
  [6077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7773),
  [6101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [6111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [6117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [6119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [6125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [6139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(239),
  [6146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [6152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [6154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [6168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [6178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2343),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [6195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [6207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [6231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [6251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [6382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6678),
  [6385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7398),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [6390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [6402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2523),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [6409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(932),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [6422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(235),
  [6425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [6436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2496),
  [6439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2983),
  [6442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7775),
  [6445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7323),
  [6448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7777),
  [6451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7957),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [6458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2504),
  [6461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(253),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [6476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2520),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [6525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [6551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [6591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [6613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [6631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(256),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [6640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [6650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [6676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5860),
  [6679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5171),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [6700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6261),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [6764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [6774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7956),
  [6777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7246),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [6786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5547),
  [6789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5142),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [6832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [6894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4992),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [6939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7323),
  [6942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6359),
  [6945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6359),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [6962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5134),
  [6965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [7001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7279),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [7026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(284),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [7063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(277),
  [7066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(933),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [7073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5174),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [7084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7290),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [7101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5137),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [7108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [7110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5645),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(235),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [7123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [7125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [7131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(235),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [7140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [7176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [7200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(235),
  [7203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(253),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7924),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [7294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [7308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(253),
  [7311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [7319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [7325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3138),
  [7328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6471),
  [7331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7413),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [7344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [7348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5165),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [7359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [7373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [7375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [7383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [7386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [7389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [7392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [7395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7222),
  [7398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7534),
  [7401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [7406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3244),
  [7409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6445),
  [7412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7408),
  [7415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [7422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3252),
  [7425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2983),
  [7428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7775),
  [7431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7323),
  [7434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7777),
  [7437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7957),
  [7440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [7461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [7463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [7469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(253),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [7480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3653),
  [7487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3658),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [7500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3511),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [7537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [7543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [7549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(261),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [7554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5150),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [7561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3476),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [7596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [7598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [7602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [7630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [7636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [7638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [7640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [7648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [7652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [7654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [7656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [7666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8048),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [7682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [7692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [7694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [7706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(263),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [7719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5172),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [7749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [7759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [7777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [7779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [7781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3956),
  [7784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3984),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [7797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [7801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [7821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [7823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5508),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5481),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [7865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(241),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [7874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5523),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3950),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [7959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [7961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [7973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [7977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [7985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [7991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [7993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [7999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [8027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5685),
  [8029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [8036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [8039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [8054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [8057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [8060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [8063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [8066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7328),
  [8069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7534),
  [8072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [8081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [8089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [8107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [8127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [8135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [8155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [8159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [8177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4085),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [8186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [8207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [8210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [8213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8008),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [8224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [8228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [8340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [8382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 174),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [8394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137), SHIFT(1163),
  [8397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [8409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1163),
  [8412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [8416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 181),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [8432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [8434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 192),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [8438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 183),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [8482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 198),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [8502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [8510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7956),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [8519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [8527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [8537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [8563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [8578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 182),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [8590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5860),
  [8597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5171),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [8732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 184),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [8738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 199),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [8744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [8748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [8764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7956),
  [8767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7246),
  [8770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5547),
  [8773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5142),
  [8776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6359),
  [8784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6359),
  [8787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7323),
  [8790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5134),
  [8793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5174),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [8798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5860),
  [8805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5171),
  [8808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [8812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [8816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4368),
  [8819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7778),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [8826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [8828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4368),
  [8831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7778),
  [8834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5137),
  [8837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5165),
  [8840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(930),
  [8843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7956),
  [8846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7246),
  [8849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5547),
  [8852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5142),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [8861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [8865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [8867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [8869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7323),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [8874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6359),
  [8877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6359),
  [8880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5134),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [8895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8061),
  [8903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [8905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5031),
  [8908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5031),
  [8911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5033),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [8918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [8920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [8928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [8932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [8934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [8940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7990),
  [8948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [8960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [8964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [8966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [8968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8031),
  [8970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [8972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [8976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [8978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [8980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [8982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [8984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [8986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [8994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [9000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [9002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [9004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [9006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [9008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [9010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [9012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8075),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [9016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [9028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [9030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [9032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [9034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [9036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(1863),
  [9039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(1863),
  [9042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5137),
  [9045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(1863),
  [9048] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1863),
  [9052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5174),
  [9055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5150),
  [9058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(4797),
  [9061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(4798),
  [9064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4811),
  [9067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4803),
  [9070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4810),
  [9073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1863),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [9082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [9094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [9104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5165),
  [9107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [9109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [9111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7323),
  [9114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5860),
  [9125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5171),
  [9128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4817),
  [9135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7956),
  [9138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7246),
  [9141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5547),
  [9144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5142),
  [9147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5150),
  [9150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7323),
  [9153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6359),
  [9156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6359),
  [9159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5134),
  [9162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5107),
  [9165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5107),
  [9168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8028),
  [9171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5137),
  [9174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5174),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [9181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [9183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6558),
  [9185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5165),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6557),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [9204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [9232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [9250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [9270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5150),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6486),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5313),
  [9285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6603),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6843),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [9325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6784),
  [9333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5859),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [9351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6614),
  [9355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [9359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [9375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [9407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [9431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [9437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [9481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [9487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [9491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [9495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5260),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [9517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [9523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [9529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6711),
  [9531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [9535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [9553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5547),
  [9560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5142),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [9565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [9571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [9573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [9575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [9589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6832),
  [9591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [9597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [9601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [9611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5547),
  [9618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5134),
  [9621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [9629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6741),
  [9637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [9643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [9653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [9659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6874),
  [9665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [9677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5142),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [9682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [9686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6841),
  [9688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6774),
  [9726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [9730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5134),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6811),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [9765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [9771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [9779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [9789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5547),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [9800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [9818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5307),
  [9820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5310),
  [9822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [9824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [9826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [9828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5339),
  [9830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [9832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [9834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5591),
  [9840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6254),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6801),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [9862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7246),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [9871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [9889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5860),
  [9892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5171),
  [9895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [9913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [9917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [9931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [9937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [9989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [9991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [9993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5595),
  [10008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6429),
  [10011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7406),
  [10014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [10018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [10022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [10026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [10042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5137),
  [10045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [10051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [10055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [10057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [10063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [10065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [10067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7947),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [10072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6399),
  [10074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [10082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [10084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [10086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [10088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [10090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [10096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [10098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [10106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7775),
  [10111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7957),
  [10116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7328),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [10121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [10123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [10125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [10127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [10129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [10131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [10133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [10135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [10139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5860),
  [10142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5860),
  [10145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5171),
  [10148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [10174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [10180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [10182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5174),
  [10185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [10201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [10209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [10211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [10225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5165),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [10236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [10238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [10246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 168),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [10274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [10276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5174),
  [10279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6029),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [10299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [10313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [10325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5137),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [10332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [10338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [10340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6026),
  [10344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [10354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [10356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [10358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [10360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [10368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6030),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [10372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [10378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [10382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [10384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8121),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [10400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [10404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [10426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [10434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5150),
  [10437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6398),
  [10439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [10443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5165),
  [10446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [10450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [10454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [10470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6258),
  [10472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5342),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [10482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [10484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6244),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [10492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6821),
  [10495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5297),
  [10498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7710),
  [10501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7361),
  [10504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [10512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5150),
  [10519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [10533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [10535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [10545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [10547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [10549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [10555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [10561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [10563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [10567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [10569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [10571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [10573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [10575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [10577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [10579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [10583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [10589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [10591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [10595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [10599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [10603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [10605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [10609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [10621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [10623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [10625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [10627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [10633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [10637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [10641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7867),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [10671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [10675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [10695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [10697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [10701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [10703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [10705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [10707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6676),
  [10709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [10711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [10713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [10715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [10737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [10739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [10741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6934),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [10745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [10747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [10749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [10751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7278),
  [10753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [10755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [10761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [10763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7107),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [10767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7309),
  [10769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [10771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [10775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [10777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [10781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6619),
  [10783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [10787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [10801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [10821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [10827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6225),
  [10830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [10848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6821),
  [10851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [10871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7070),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [10881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [10891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [10895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [10899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [10901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [10907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7061),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [10915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [10918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [10920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(7731),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [10953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [10977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [10983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [10995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [11003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [11005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6668),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [11020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [11044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [11060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7269),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [11072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 191),
  [11074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7213),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [11084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [11104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [11114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [11132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7264),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [11140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [11152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [11156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [11158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [11160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [11166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [11174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6441),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6455),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [11234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6462),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [11252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [11254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [11258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [11262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [11270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6474),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [11278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [11284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [11290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8114),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [11314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6517),
  [11316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [11322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [11326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [11336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6259),
  [11339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200),
  [11341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 188),
  [11343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [11347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 201),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [11351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [11353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [11355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [11361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [11365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [11369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(5504),
  [11372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [11398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [11402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [11406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6550),
  [11408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180), SHIFT_REPEAT(5604),
  [11411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180),
  [11413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [11415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [11431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [11435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6224),
  [11438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200),
  [11440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 208),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [11444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [11456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212), SHIFT_REPEAT(5721),
  [11459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [11465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [11471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6596),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [11475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7812),
  [11477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [11481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [11485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [11487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [11495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [11499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6610),
  [11501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [11505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7831),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [11511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7821),
  [11513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [11515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [11517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6608),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [11522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [11538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6620),
  [11543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6620),
  [11546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [11550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [11576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [11584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [11588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6674),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [11592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [11594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6681),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [11602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [11606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [11612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [11620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [11624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [11626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 188),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [11630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [11634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [11636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [11638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [11642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [11670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [11678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [11692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [11792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5530),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [11857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [11897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(327),
  [11900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [11910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6482),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [11918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 194),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [11926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [11930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [11946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [11949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [11951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 195),
  [11955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [11973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [11981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [11987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [11989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1739),
  [11992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [12000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [12010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [12013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [12023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(4928),
  [12026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [12036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [12038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [12058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3593),
  [12061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [12063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(959),
  [12066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5960),
  [12069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [12091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [12103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [12121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [12123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [12141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 207),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [12165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [12173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 209),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [12177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(929),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [12202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5382),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [12207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7110),
  [12210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [12212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3570),
  [12215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [12217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [12221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 207),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [12225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 201),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [12239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 213),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [12243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215), SHIFT_REPEAT(7607),
  [12246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215),
  [12248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [12258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 216),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [12262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 216),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [12286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [12288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [12292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [12296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6607),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [12306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [12310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [12312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [12352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [12372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [12380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [12384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7273),
  [12387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [12395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [12407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7581),
  [12410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [12431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 95),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [12437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1054),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [12444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7704),
  [12446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [12454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [12462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 166),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [12466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [12472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [12480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [12484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7671),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [12494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [12496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [12502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [12504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [12510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [12536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [12540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [12542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [12550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7678),
  [12552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 209),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [12558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [12566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [12576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [12590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [12596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [12606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [12608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [12612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [12614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [12618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8212),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [12688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [12842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [12902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 175),
  [12904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 175),
  [12906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 175),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [12916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [12948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [13020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [13128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7948),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [13361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [13403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 175),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [13501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [13561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 175),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [13569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [13593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [13595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [13669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [13695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [13779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [13801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [13825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [13847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [13849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [13887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [13917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [13947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [13993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [13997] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [14015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
